diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index e496cbf..2b35d0e 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -39196,7 +39196,7 @@ the open operation.
     "jazz1"
                          Type: File List Integer
 
-The open function arguments are a FileNam} and a String specifying the
+The open function arguments are a FileName and a String specifying the
 mode.  If a full pathname is not specified, the current default
 directory is assumed.  The mode must be one of "input" or "output".
 If it is not specified, "input" is assumed.  Once the file has been
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 1b5716f..65a295f 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -42689,6 +42689,276 @@ GraphicsDefaults(): Exports == Implementation where
 
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{package GRAPHVIZ Graphviz}
+\begin{chunk}{Graphviz.input}
+)set break resume
+)sys rm -f Graphviz.output
+)spool Graphviz.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 6
+header:=standardDotHeader()
+--R 
+--R
+--R   (1)
+--R   ["digraph graphname {", "graph [rankdir="LR" ranksep="3.0"]",
+--R    "node [style=filled];", "edge [penwidth="0.5" color="blue"];"]
+--R                                                           Type: List(String)
+--E 1
+
+--S 2 of 6
+graph:=sampleDotGraph()
+--R 
+--R
+--R   (2)
+--R   ["I1 [fillcolor="white"];", "I2 [fillcolor="white"];",
+--R    "N1 [fillcolor="cadetblue"];", "N2 [fillcolor="coral"];",
+--R    "N3 [fillcolor="green"];", "N4 [fillcolor="gold"];",
+--R    "N5 [fillcolor="cyan"];", "N6 [fillcolor="red"];",
+--R    "N7 [fillcolor="yellow"];", "N8 [fillcolor="orange"];",
+--R    "O1 [fillcolor="white"];", "O2 [fillcolor="white"];", "I1 -> N1;",
+--R    "I1 -> N2;", "I1 -> N3;", "I2 -> N1;", "I2 -> N2;", "I2 -> N3;",
+--R    "N1 -> N4;", "N1 -> N5;", "N1 -> N6;", "N2 -> N4;", "N2 -> N5;",
+--R    "N2 -> N6;", "N3 -> N4;", "N3 -> N5;",
+--R    "N3 -> N6 [color="red" penwidth="3"];", "N4 -> N7;", "N4 -> N8;",
+--R    "N5 -> N7;", "N5 -> N8;", "N6 -> N7;", "N6 -> N8;", "N7 -> O1;",
+--R    "N8 -> O2;"]
+--R                                                           Type: List(String)
+--E 2
+
+--S 3 of 6
+writeDotGraph(header,graph,"NeuralNet")
+--R 
+--R                                                                   Type: Void
+--E 3
+
+--S 4 of 6
+dot2eps "NeuralNet"
+--R 
+--R                                                                   Type: Void
+--E 4
+
+--S 5 of 6
+-- dotview("evince","NeuralNet")
+--S 5
+
+--S 6 of 6
+)show Graphviz
+--R 
+--R Graphviz  is a package constructor
+--R Abbreviation for Graphviz is GRAPHVIZ 
+--R This constructor is exposed in this frame.
+--R Issue )edit /research/silver/books/bookvol10.4.pamphlet to see algebra source code for GRAPHVIZ 
+--R
+--R------------------------------- Operations --------------------------------
+--R dot2eps : String -> Void              dotview : (String,String) -> Void
+--R sampleDotGraph : () -> List(String)
+--R standardDotHeader : () -> List(String)
+--R writeDotGraph : (List(String),List(String),String) -> Void
+--R
+--E 6
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{Graphviz.help}
+====================================================================
+Graphviz examples
+====================================================================
+
+Graphviz dot files have a header which might look like
+
+   digraph graphname {
+     graph [rankdir="LR" ranksep="3.0"]
+     node [style=filled];
+     edge [penwidth="0.5" color="blue"];
+
+This default header can be created using 'standardDotHeader()'
+
+   header:=standardDotHeader()
+
+A graph is the body of the dot file containing information
+about what the nodes are and how they are connected. It might
+contain node information such as
+
+   I1 [fillcolor="white"];
+   N1 [fillcolor="cadetblue"];
+
+and line information such as
+
+   I1 -> N1  [color="red" penwidth="3"];
+
+A sample graph can be created using 'sampleDotGraph()'
+
+   graph:=sampleDotGraph()
+
+Once the header and graph information is created we can
+write that information into a file using the function
+'writeDotGraph'. Two things to note are 
+   * a trailing '}' line is automatically added
+   * the supplied name adds the ".dot" extension
+
+   writeDotGraph(header,graph,"NeuralNet")
+
+will create the file "NeuralNet.dot"
+
+The "NeuralNet.dot" file can be graphed and stored in
+an encapsulated postscript (.eps) format with
+
+   dot2eps "NeuralNet"
+
+will create the file "NeuralNet.eps"
+
+You can call a viewer on your platform. 
+Linux has 'evince'. MAC has 'gv'. MAC has 'open'.
+Most places have 'firefox'
+
+   dotview("evince","NeuralNet")
+
+See Also:
+o )show Graphviz
+
+\end{chunk}
+\pagehead{Graphviz}{GRAPHVIZ}
+\pagepic{ps/v104graphviz.eps}{GRAPHVIZ}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{GRAPHVIZ}{dot2eps} &
+\cross{GRAPHVIZ}{dotview} &
+\cross{GRAPHVIZ}{sampleDotGraph} &
+\cross{GRAPHVIZ}{standardDotHeader} &
+\cross{GRAPHVIZ}{writeDotGraph}
+\end{tabular}
+
+\begin{chunk}{package GRAPHVIZ Graphviz}
+)abbrev package GRAPHVIZ Graphviz
+++ Author: Mark Botch
+++ Date Created: September 3, 2014
+++ Description:
+++ Low level tools for creating and viewing graphs using graphviz
+Graphviz(): Exports == Implementation where
+
+ HEADER   ==> List String
+ BODY     ==> List String
+ GRAPH    ==> List String
+ DOTFILE  ==> List String
+ FILENAME ==> String
+  
+ Exports ==> with 
+
+  standardDotHeader: () -> HEADER
+    ++ create the standard dot
+    ++
+    ++X header:=standardDotHeader()
+
+  sampleDotGraph: () -> GRAPH
+    ++ creates a sample graph file
+    ++
+    ++X graph:=sampleDotGraph()
+
+  writeDotGraph: (HEADER, GRAPH, FILENAME) -> Void
+    ++ creates a graphviz dot file and writes it out
+    ++
+    ++X header:=standardDotHeader()
+    ++X graph:=sampleDotGraph()
+    ++X writeDotGraph(header,graph,"NeuralNet")
+
+  dot2eps: FILENAME -> Void
+    ++ dot2eps runs dot -T eps filename.dot >filename.eps
+    ++
+    ++X dot2eps "NeuralNet"
+
+  dotview:(String,String) -> Void
+    ++ dotview runs "viewer filename". 
+    ++ A file extension of ".eps" is added.
+    ++
+    ++X dotview("evince","NeuralNet") -- on Linux
+    ++X dotview("gv","NeuralNet") -- on MAC
+    ++X dotview("firefox","NeuralNet") -- most places
+
+ Implementation == add
+
+  standardDotHeader() ==
+    ["digraph graphname {",_
+     "graph [rankdir=_"LR_" ranksep=_"3.0_"]",_
+     "node [style=filled];",_
+     "edge [penwidth=_"0.5_" color=_"blue_"];"_
+    ]
+
+  sampleDotGraph() ==
+    ["I1 [fillcolor=_"white_"];",_
+     "I2 [fillcolor=_"white_"];",_
+     "N1 [fillcolor=_"cadetblue_"];",_
+     "N2 [fillcolor=_"coral_"];",_
+     "N3 [fillcolor=_"green_"];",_
+     "N4 [fillcolor=_"gold_"];",_
+     "N5 [fillcolor=_"cyan_"];",_
+     "N6 [fillcolor=_"red_"];",_
+     "N7 [fillcolor=_"yellow_"];",_
+     "N8 [fillcolor=_"orange_"];",_
+     "O1 [fillcolor=_"white_"];",_
+     "O2 [fillcolor=_"white_"];",_
+     "I1 -> N1;",_
+     "I1 -> N2;",_
+     "I1 -> N3;",_
+     "I2 -> N1;",_
+     "I2 -> N2;",_
+     "I2 -> N3;",_
+     "N1 -> N4;",_
+     "N1 -> N5;",_
+     "N1 -> N6;",_
+     "N2 -> N4;",_
+     "N2 -> N5;",_
+     "N2 -> N6;",_
+     "N3 -> N4;",_
+     "N3 -> N5;",_
+     "N3 -> N6 [color=_"red_" penwidth=_"3_"];",_
+     "N4 -> N7;",_
+     "N4 -> N8;",_
+     "N5 -> N7;",_
+     "N5 -> N8;",_
+     "N6 -> N7;",_
+     "N6 -> N8;",_
+     "N7 -> O1;",_
+     "N8 -> O2;"_
+    ]
+
+  writeDotGraph(header:HEADER, graph:GRAPH, name:FILENAME):Void ==
+    file:TextFile:=open(concat(name,".dot")::FileName,"output")
+    for line in header repeat writeLine!(file,line)
+    for line in graph repeat writeLine!(file,line)
+    write!(file,"}")
+    close!(file)
+    void()
+
+  dot2eps(file) ==
+    instr:String:=concat(file,".dot >")
+    outstr:String:=concat(file,".eps")
+    command:=concat("dot -T eps ",concat(instr,outstr))
+    SYSTEM(command)$Lisp
+    void()
+
+  dotview(viewr,file) ==
+    outstr:String:=concat(file,".eps")
+    SYSTEM(concat(viewr,concat(" ",outstr)))$Lisp
+    void()
+
+  
+
+ 
+\end{chunk}
+\begin{chunk}{GRAY.dotabb}
+"GRAPHVIZ" [color="#FF4488",href="bookvol10.4.pdf#nameddest=GRAPHVIZ"]
+"STRING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=STRING"]
+"GRAPHVIZ" -> "STRING"
+
+\end{chunk}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package GRAY GrayCode}
 \begin{chunk}{GrayCode.input}
 )set break resume
diff --git a/books/bookvol10.pamphlet b/books/bookvol10.pamphlet
index 587f03a..53b0bea 100644
--- a/books/bookvol10.pamphlet
+++ b/books/bookvol10.pamphlet
@@ -5955,7 +5955,8 @@ LAYER11=\
   ${OUT}/FTEM.o     ${OUT}/GENEEZ.o   ${OUT}/GENMFACT.o ${OUT}/GENPGCD.o  \
   ${OUT}/GALFACTU.o ${OUT}/GALPOLYU.o ${OUT}/GB.o       ${OUT}/GBEUCLID.o \
   ${OUT}/GBF.o      ${OUT}/GBINTERN.o ${OUT}/GHENSEL.o  ${OUT}/GMODPOL.o  \
-  ${OUT}/GOSPER.o   ${OUT}/GRIMAGE.o  ${OUT}/GROEBSOL.o ${OUT}/HDMP.o     \
+  ${OUT}/GOSPER.o   ${OUT}/GRAPHVIZ.o \
+  ${OUT}/GRIMAGE.o  ${OUT}/GROEBSOL.o ${OUT}/HDMP.o     \
   ${OUT}/HDP.o      ${OUT}/HEXADEC.o  ${OUT}/HEUGCD.o   ${OUT}/HTMLFORM.o \
   ${OUT}/IBPTOOLS.o \
   ${OUT}/IFF.o      ${OUT}/IBITS.o    ${OUT}/ICARD.o    ${OUT}/ICDEN.o    \
@@ -7354,6 +7355,11 @@ LAYER11=\
 /*"GMODPOL" -> {"OCAMON"; "OAMON"; "OASGP"; "OAMONS"; "VSPACE"; "FIELD"}*/
 /*"GMODPOL" -> {"EUCDOM"; "PID"; "DIVRING"}*/
 
+"GRAPHVIZ" [color="#FF4488",href="bookvol10.4.pdf#nameddest=GRAPHVIZ"]
+"GRAPHVIZ" -> "STRING"
+/*"GRAPHVIZ" -> {"LIST"; "CHAR"; "SINT"; "OUTFORM"; "INT"; "PRIMARR"} */
+/*"GRAPHVIZ" -> {"A1AGG-"; "ISTRING"} */
+
 "GOSPER" [color="#FF4488",href="bookvol10.4.pdf#nameddest=GOSPER"]
 /*"GOSPER" -> {"OAMONS"; "OCAMON"; "OAMON"; "OASGP"; "ORDSET"; "SETCAT"}*/
 /*"GOSPER" -> {"BASTYPE"; "KOERCE"; "ABELMON"; "ABELSG"; "CABMON"; "INTDOM"}*/
@@ -18371,6 +18377,7 @@ REGRESS= \
  GradedModule.regress \
  GraphicsDefaults.regress \
  GraphImage.regress \
+ Graphviz.regress \
  GrayCode.regress \
  GroebnerFactorizationPackage.regress \
  GroebnerInternalPackage.regress \
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index f79bdfc..ad1491b 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -24346,6 +24346,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
    (|GeneralPackageForAlgebraicFunctionField| . GPAFF)
    (|GeneralUnivariatePowerSeries| . GSERIES)
    (|GenerateUnivariatePowerSeries| . GENUPS)
+   (|Graphviz| . GRAPHVIZ)
    (|GnuDraw| . GDRAW)
    (|GraphicsDefaults| . GRDEF)
    (|GroebnerPackage| . GB)
diff --git a/books/ps/v104graphviz.eps b/books/ps/v104graphviz.eps
new file mode 100644
index 0000000..c78f46b
--- /dev/null
+++ b/books/ps/v104graphviz.eps
@@ -0,0 +1,278 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: graphviz version 2.26.3 (20100126.1600)
+%%Title: pic
+%%Pages: 1
+%%BoundingBox: 36 36 134 152
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 134 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 98 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 41 translate
+0.16355 0.45339 0.92549 graphcolor
+newpath -4 -5 moveto
+-4 112 lineto
+95 112 lineto
+95 -5 lineto
+closepath fill
+1 setlinewidth
+0.16355 0.45339 0.92549 graphcolor
+newpath -4 -5 moveto
+-4 112 lineto
+95 112 lineto
+95 -5 lineto
+closepath stroke
+% GRAPHVIZ
+gsave
+[ /Rect [ 0 72 90 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.4.pdf#nameddest=GRAPHVIZ) >>
+  /Subtype /Link
+/ANN pdfmark
+0.93939 0.73333 1 nodecolor
+newpath 90 108 moveto
+0 108 lineto
+0 72 lineto
+90 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.93939 0.73333 1 nodecolor
+newpath 90 108 moveto
+0 108 lineto
+0 72 lineto
+90 72 lineto
+closepath stroke
+0 0 0 nodecolor
+14 /Times-Roman set_font
+8 86.4 moveto 74 (GRAPHVIZ) alignedtext
+grestore
+% STRING
+gsave
+[ /Rect [ 10 0 80 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=STRING) >>
+  /Subtype /Link
+/ANN pdfmark
+0.27273 0.73333 1 nodecolor
+newpath 80 36 moveto
+10 36 lineto
+10 0 lineto
+80 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.27273 0.73333 1 nodecolor
+newpath 80 36 moveto
+10 36 lineto
+10 0 lineto
+80 0 lineto
+closepath stroke
+0 0 0 nodecolor
+14 /Times-Roman set_font
+17.5 14.4 moveto 55 (STRING) alignedtext
+grestore
+% GRAPHVIZ->STRING
+gsave
+1 setlinewidth
+0 0 0 edgecolor
+newpath 45 71.83 moveto
+45 64.13 45 54.97 45 46.42 curveto
+stroke
+0 0 0 edgecolor
+newpath 48.5 46.41 moveto
+45 36.41 lineto
+41.5 46.41 lineto
+closepath fill
+1 setlinewidth
+solid
+0 0 0 edgecolor
+newpath 48.5 46.41 moveto
+45 36.41 lineto
+41.5 46.41 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index 7db6080..6bf0843 100644
--- a/changelog
+++ b/changelog
@@ -1,26 +1,34 @@
+20140904 tpd src/axiom-website/patches.html 20140904.01.tpd.patch
+20140904 tpd books/ps/v104graphviz.eps
+20140904 tpd books/bookvol10.3
+20140904 tpd books/bookvol10.4
+20140904 tpd books/bookvol10
+20140904 tpd books/bookvol5
+20140904 tpd src/input/Makefile
+20140904 tpd src/input/graphviz.input
 20140903 tpd src/axiom-website/patches.html 20140903.02.tpd.patch
 20140903 tpd src/axiom-website/videos.html add Building Test Cases video
 20140903 tpd src/axiom-website/patches.html 20140903.01.tpd.patch
 20140903 tpd src/input/Makefile typo fix
 20140902 tpd src/axiom-website/patches.html 20140902.01.tpd.patch
-20140902 tpd books/bookvol10.3.pamphlet add CAD
-20140902 tpd books/bookvol10.4.pamphlet add CAD
-20140902 tpd books/bookvol10.pamphlet add CAD
-20140902 tpd books/bookvol5.pamphlet add CAD
-20140902 tpd books/bookvolbib.pamphlet add CAD references
-20140902 tpd books/ps/v103cell.eps
-20140902 tpd books/ps/v103simplecell.eps
-20140902 tpd books/ps/v104cylindricalalgebraicdecompositionpackage.eps
-20140902 tpd books/ps/v104cylindricalalgebraicdecompositionutilities.eps
+20140902 rxr books/bookvol10.3.pamphlet add CAD
+20140902 rxr books/bookvol10.4.pamphlet add CAD
+20140902 rxr books/bookvol10.pamphlet add CAD
+20140902 rxr books/bookvol5.pamphlet add CAD
+20140902 rxr books/bookvolbib.pamphlet add CAD references
+20140902 rxr books/ps/v103cell.eps
+20140902 rxr books/ps/v103simplecell.eps
+20140902 rxr books/ps/v104cylindricalalgebraicdecompositionpackage.eps
+20140902 rxr books/ps/v104cylindricalalgebraicdecompositionutilities.eps
+20140902 rxr src/input/Makefile.pamphlet add cad.input
+20140902 rxr src/input/cad.input test CAD
+20140902 rxr src/share/algebra/browse.daase add CAD
+20140902 rxr src/share/algebra/category.daase add CAD
+20140902 rxr src/share/algebra/dependents.daase/index.kaf add CAD
+20140902 rxr src/share/algebra/interp.daase add CAD
+20140902 rxr src/share/algebra/operation.daase add CAD
+20140902 rxr src/share/algebra/users.daase/index.kaf add CAD
 20140902 tpd books/ps/v104definiteintegrationtools.eps
-20140902 tpd src/input/Makefile.pamphlet add cad.input
-20140902 tpd src/input/cad.input test CAD
-20140902 tpd src/share/algebra/browse.daase add CAD
-20140902 tpd src/share/algebra/category.daase add CAD
-20140902 tpd src/share/algebra/dependents.daase/index.kaf add CAD
-20140902 tpd src/share/algebra/interp.daase add CAD
-20140902 tpd src/share/algebra/operation.daase add CAD
-20140902 tpd src/share/algebra/users.daase/index.kaf add CAD
 20140901 tpd src/axiom-website/patches.html 20140901.03.tpd.patch
 20140901 tpd src/axiom-website/documentation.html add Socrates quote
 20140901 tpd src/axiom-website/patches.html 20140901.02.tpd.patch
diff --git a/patch b/patch
index 59796cf..dbdf69b 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-src/axiom-website/videos.html add Building Test Cases video
+books/bookvol10.4 add graphviz package
 
-Detail how to build and deploy regression test cases
+Add a package to create encapsulated postscript (.eps) graphs
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 70b2307..f195772 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4626,6 +4626,8 @@ books/bookvol10.3, vol10.4 add Cylindrical Algebraic Computation<br/>
 src/input/Makefile typo fix<br/>
 <a href="patches/20140903.02.tpd.patch">20140903.02.tpd.patch</a>
 src/axiom-website/videos.html add Building Test Cases video<br/>
+<a href="patches/20140904.01.tpd.patch">20140904.01.tpd.patch</a>
+books/bookvol10.4 add graphviz package<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 11d782d..5f7e4e1 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -343,7 +343,8 @@ REGRESSTESTS= ackermann.regress \
     fr2.regress       frac.regress     fr.regress       free.regress \
     function.regress  functioncode.regress \
     galois.regress    gamma.regress \
-    gbf.regress       genups.regress   gonshor.regress  grpthry.regress \
+    gbf.regress       genups.regress   gonshor.regress  graphviz.regress \
+    grpthry.regress \
     gstbl.regress     guess.regress \
     heap.regress      heat.regress     help.regress \
     herm.regress      heugcd.regress \
@@ -763,7 +764,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/fr.input       ${OUT}/frame.input \
        ${OUT}/fr1.input      ${OUT}/gary1.input \
        ${OUT}/gbf.input      ${OUT}/genups.input     ${OUT}/gnarly1.input \
-       ${OUT}/gonshor.input  ${OUT}/grdef.input    \
+       ${OUT}/gonshor.input  ${OUT}/graphviz.input   ${OUT}/grdef.input    \
        ${OUT}/gstbl.input    ${OUT}/guess.input \
        ${OUT}/heap.input     ${OUT}/heat.input       ${OUT}/helix.input \
        ${OUT}/herm.input     ${OUT}/heugcd.input \
@@ -1180,6 +1181,7 @@ DOCFILES= \
   ${DOC}/gary1.input.dvi       ${DOC}/gbf.input.dvi        \
   ${DOC}/genups.input.dvi      ${DOC}/gnarly1.input.dvi    \
   ${DOC}/gonshor.input.dvi     ${DOC}/graphics.input.dvi   \
+  ${DOC}/graphviz.input.dvi    \
   ${DOC}/grdef.input.dvi       ${DOC}/grpthry.input.dvi    \
   ${DOC}/gstbl.input.dvi       ${DOC}/guess.input.dvi      \
   ${DOC}/heap.input.dvi       \
diff --git a/src/input/graphviz.input.pamphlet b/src/input/graphviz.input.pamphlet
new file mode 100644
index 0000000..890d13c
--- /dev/null
+++ b/src/input/graphviz.input.pamphlet
@@ -0,0 +1,95 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input graphviz.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\section{License}
+\begin{chunk}{license}
+--Copyright The Numerical Algorithms Group Limited 1991.
+\end{chunk}
+\begin{chunk}{*}
+)set break resume
+)sys rm -f graphviz.output
+)spool graphviz.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 6
+header:=standardDotHeader()
+--R 
+--R
+--R   (1)
+--R   ["digraph graphname {", "graph [rankdir="LR" ranksep="3.0"]",
+--R    "node [style=filled];", "edge [penwidth="0.5" color="blue"];"]
+--R                                                           Type: List(String)
+--E 1
+
+--S 2 of 6
+graph:=sampleDotGraph()
+--R 
+--R
+--R   (2)
+--R   ["I1 [fillcolor="white"];", "I2 [fillcolor="white"];",
+--R    "N1 [fillcolor="cadetblue"];", "N2 [fillcolor="coral"];",
+--R    "N3 [fillcolor="green"];", "N4 [fillcolor="gold"];",
+--R    "N5 [fillcolor="cyan"];", "N6 [fillcolor="red"];",
+--R    "N7 [fillcolor="yellow"];", "N8 [fillcolor="orange"];",
+--R    "O1 [fillcolor="white"];", "O2 [fillcolor="white"];", "I1 -> N1;",
+--R    "I1 -> N2;", "I1 -> N3;", "I2 -> N1;", "I2 -> N2;", "I2 -> N3;",
+--R    "N1 -> N4;", "N1 -> N5;", "N1 -> N6;", "N2 -> N4;", "N2 -> N5;",
+--R    "N2 -> N6;", "N3 -> N4;", "N3 -> N5;",
+--R    "N3 -> N6 [color="red" penwidth="3"];", "N4 -> N7;", "N4 -> N8;",
+--R    "N5 -> N7;", "N5 -> N8;", "N6 -> N7;", "N6 -> N8;", "N7 -> O1;",
+--R    "N8 -> O2;"]
+--R                                                           Type: List(String)
+--E 2
+
+--S 3 of 6
+writeDotGraph(header,graph,"NeuralNet")
+--R 
+--R                                                                   Type: Void
+--E 3
+
+--S 4 of 6
+dot2eps "NeuralNet"
+--R 
+--R                                                                   Type: Void
+--E 4
+
+--S 5 of 6
+-- dotview("evince","NeuralNet")
+--S 5
+
+--S 6 of 6
+)show Graphviz
+--R 
+--R Graphviz  is a package constructor
+--R Abbreviation for Graphviz is GRAPHVIZ 
+--R This constructor is exposed in this frame.
+--R Issue )edit /research/silver/books/bookvol10.4.pamphlet to see algebra source code for GRAPHVIZ 
+--R
+--R------------------------------- Operations --------------------------------
+--R dot2eps : String -> Void              dotview : (String,String) -> Void
+--R sampleDotGraph : () -> List(String)
+--R standardDotHeader : () -> List(String)
+--R writeDotGraph : (List(String),List(String),String) -> Void
+--R
+--E 6
+
+)spool
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/src/share/algebra/browse.daase b/src/share/algebra/browse.daase
index 5cceacb..29fbfc4 100644
--- a/src/share/algebra/browse.daase
+++ b/src/share/algebra/browse.daase
@@ -1,5 +1,5 @@
 
-(2502729 . 3618694787)       
+(2503905 . 3618799568)       
 (|OneDimensionalArrayAggregate&| A S) 
 ((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically, these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property, that is, any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over, and access to, elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
 NIL 
@@ -1920,6 +1920,10 @@ NIL
 ((|constructor| (NIL "GradedAlgebra(R,E) denotes ``E-graded R-algebra''. A graded algebra is a graded module together with a degree preserving R-linear map, called the product. \\blankline The name ``product'' is written out in full so inner and outer products with the same mapping type can be distinguished by name.")) (|product| (($ $ $) "\\spad{product(a,b)} is the degree-preserving R-linear product: \\blankline \\spad{degree product(a,b) = degree a + degree \\spad{b}} \\spad{product(a1+a2,b) = product(a1,b) + product(a2,b)} \\spad{product(a,b1+b2) = product(a,b1) + product(a,b2)} \\spad{product(r*a,b) = product(a,r*b) = r*product(a,b)} \\spad{product(a,product(b,c)) = product(product(a,b),c)}")) ((|One|) (($) "\\spad{1} is the identity for \\spad{product}."))) 
 NIL 
 NIL 
+(|Graphviz|) 
+((|constructor| (NIL "Low level tools for creating and viewing graphs using graphviz")) (|dotview| (((|Void|) (|String|) (|String|)) "\\indented{1}{dotview runs \"viewer filename\".} \\indented{1}{A file extension of \".eps\" is added.} \\blankline \\spad{X} dotview(\"evince\",\"NeuralNet\") \\spad{--} on Linux \\spad{X} dotview(\"gv\",\"NeuralNet\") \\spad{--} on MAC \\spad{X} dotview(\"firefox\",\"NeuralNet\") \\spad{--} most places")) (|dot2eps| (((|Void|) (|String|)) "\\indented{1}{dot2eps runs dot \\spad{-T} eps filename.dot >filename.eps} \\blankline \\spad{X} dot2eps \"NeuralNet\"")) (|writeDotGraph| (((|Void|) (|List| (|String|)) (|List| (|String|)) (|String|)) "\\indented{1}{creates a graphviz dot file and writes it out} \\blankline \\spad{X} header:=standardDotHeader() \\spad{X} graph:=sampleDotGraph() \\spad{X} writeDotGraph(header,graph,\"NeuralNet\")")) (|sampleDotGraph| (((|List| (|String|))) "\\indented{1}{creates a sample graph file} \\blankline \\spad{X} graph:=sampleDotGraph()")) (|standardDotHeader| (((|List| (|String|))) "\\indented{1}{create the standard dot} \\blankline \\spad{X} header:=standardDotHeader()"))) 
+NIL 
+NIL 
 (|GrayCode|) 
 ((|constructor| (NIL "GrayCode provides a function for efficiently running through all subsets of a finite set, only changing one element by another one.")) (|firstSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{firstSubsetGray(n)} creates the first vector \\spad{ww} to start a loop using nextSubsetGray(ww,n)")) (|nextSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) "\\spad{nextSubsetGray(ww,n)} returns a vector \\spad{vv} whose components have the following meanings:\\br vv.1: a vector of length \\spad{n} whose entries are 0 or 1. This can be interpreted as a code for a subset of the set 1,...,n; \\spad{vv.1} differs from \\spad{ww.1} by exactly one entry;\\br \\spad{vv.2.1} is the number of the entry of \\spad{vv.1} which will be changed next time;\\br \\spad{vv.2.1} = \\spad{n+1} means that \\spad{vv.1} is the last subset; trying to compute nextSubsetGray(vv) if \\spad{vv.2.1} = \\spad{n+1} will produce an error!\\br \\blankline The other components of \\spad{vv.2} are needed to compute nextSubsetGray efficiently. Note that this is an implementation of [Williamson, Topic II, 3.54, \\spad{p.} 112] for the special case \\spad{r1} = \\spad{r2} = \\spad{...} = \\spad{rn} = 2; Note that nextSubsetGray produces a side-effect, \\spadignore{i.e.} nextSubsetGray(vv) and \\spad{vv} \\spad{:=} nextSubsetGray(vv) will have the same effect."))) 
 NIL 
@@ -5192,4 +5196,4 @@ NIL
 NIL 
 NIL 
 NIL 
-((|Category| NIL 2502709 2502714 2502719 2502724) (|Union| NIL 2502689 2502694 2502699 2502704) (|Record| NIL 2502669 2502674 2502679 2502684) (|Mapping| NIL 2502649 2502654 2502659 2502664) (|Enumeration| NIL 2502629 2502634 2502639 2502644) (|IntegerMod| "bookvol10.3.pamphlet" 2502407 2502427 2502535 2502624) (|IntegerLinearDependence| "bookvol10.4.pamphlet" 2501507 2501538 2502397 2502402) (|ZeroDimensionalSolvePackage| "bookvol10.4.pamphlet" 2492099 2492145 2501497 2501502) (|ParadoxicalCombinatorsForStreams| "bookvol10.4.pamphlet" 2491567 2491607 2492089 2492094) (|XRecursivePolynomial| "bookvol10.3.pamphlet" 2490708 2490745 2491346 2491468) (|XPolynomialRing| "bookvol10.3.pamphlet" 2488287 2488312 2490284 2490475) (|XPolynomial| "bookvol10.3.pamphlet" 2487774 2487793 2488066 2488188) (|XPolynomialsCat| "bookvol10.2.pamphlet" 2487027 2487055 2487647 2487769) (|XPBWPolynomial| "bookvol10.3.pamphlet" 2485589 2485620 2486715 2486837) (|ExtensionField| "bookvol10.2.pamphlet" 2483974 2483996 2485419 2485584) (|ExtensionField&| NIL 2482371 2482396 2483819 2483824) (|XFreeAlgebra| "bookvol10.2.pamphlet" 2479344 2479369 2482244 2482366) (|XExponentialPackage| "bookvol10.4.pamphlet" 2478727 2478769 2479334 2479339) (|XDistributedPolynomial| "bookvol10.3.pamphlet" 2478262 2478297 2478506 2478628) (|XAlgebra| "bookvol10.2.pamphlet" 2477932 2477948 2478194 2478257) (|WuWenTsunTriangularSet| "bookvol10.3.pamphlet" 2474500 2474536 2477553 2477605) (|WeightedPolynomials| "bookvol10.3.pamphlet" 2473448 2473508 2474292 2474409) (|WildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 2471000 2471045 2473438 2473443) (|WeierstrassPreparation| "bookvol10.4.pamphlet" 2469245 2469275 2470990 2470995) (|VectorSpace| "bookvol10.2.pamphlet" 2468893 2468912 2469196 2469240) (|VectorSpace&| NIL 2468577 2468599 2468883 2468888) (|Void| "bookvol10.3.pamphlet" 2468170 2468180 2468567 2468572) (|ViewportPackage| "bookvol10.4.pamphlet" 2465874 2465895 2468160 2468165) (|ViewDefaultsPackage| "bookvol10.4.pamphlet" 2461118 2461143 2465864 2465869) (|ThreeDimensionalViewport| "bookvol10.3.pamphlet" 2445313 2445343 2461108 2461113) (|TwoDimensionalViewport| "bookvol10.3.pamphlet" 2433485 2433513 2445303 2445308) (|Vector| "bookvol10.3.pamphlet" 2432199 2432213 2432453 2432505) (|VectorFunctions2| "bookvol10.4.pamphlet" 2430860 2430886 2432189 2432194) (|VectorCategory| "bookvol10.2.pamphlet" 2428824 2428846 2430791 2430855) (|VectorCategory&| NIL 2426576 2426601 2428546 2428551) (|Variable| "bookvol10.3.pamphlet" 2426351 2426371 2426566 2426571) (|UnivariateTaylorSeriesCZero| "bookvol10.3.pamphlet" 2421080 2421126 2424395 2424560) (|TaylorSolve| "bookvol10.4.pamphlet" 2420979 2421011 2421070 2421075) (|UTSodetools| "bookvol10.4.pamphlet" 2420257 2420285 2420923 2420928) (|UnivariateTaylorSeriesODESolver| "bookvol10.4.pamphlet" 2418419 2418467 2420247 2420252) (|UnivariateTaylorSeries| "bookvol10.3.pamphlet" 2412776 2412823 2416463 2416628) (|UnivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 2409998 2410041 2412606 2412771) (|UnivariateTaylorSeriesCategory&| NIL 2406805 2406851 2409416 2409421) (|UnivariateTaylorSeriesFunctions2| "bookvol10.4.pamphlet" 2406401 2406465 2406795 2406800) (|UnaryRecursiveAggregate| "bookvol10.2.pamphlet" 2401665 2401696 2406381 2406396) (|UnaryRecursiveAggregate&| NIL 2396889 2396923 2401608 2401613) (|UnivariatePuiseuxSeriesWithExponentialSingularity| "bookvol10.3.pamphlet" 2394024 2394096 2395484 2395725) (|UnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2391085 2391133 2391686 2391938) (|UnivariatePuiseuxSeriesConstructor| "bookvol10.3.pamphlet" 2388345 2388396 2388747 2388999) (|UnivariatePuiseuxSeriesConstructorCategory| "bookvol10.2.pamphlet" 2386673 2386732 2388088 2388340) (|UnivariatePuiseuxSeriesConstructorCategory&| NIL 2385245 2385307 2386663 2386668) (|UnivariatePuiseuxSeriesCategory| "bookvol10.2.pamphlet" 2383705 2383749 2384988 2385240) (|UnivariatePuiseuxSeriesFunctions2| "bookvol10.4.pamphlet" 2383218 2383301 2383695 2383700) (|UnivariatePolynomialSquareFree| "bookvol10.4.pamphlet" 2381619 2381660 2383208 2383213) (|UnivariatePowerSeriesCategory| "bookvol10.2.pamphlet" 2379095 2379145 2381449 2381614) (|UnivariatePowerSeriesCategory&| NIL 2376308 2376361 2378665 2378670) (|UnivariatePolynomialCategory| "bookvol10.2.pamphlet" 2370547 2370583 2376026 2376303) (|UnivariatePolynomialCategory&| NIL 2364741 2364780 2370223 2370228) (|UnivariatePolynomialCategoryFunctions2| "bookvol10.4.pamphlet" 2364171 2364225 2364731 2364736) (|UnivariatePolynomial| "bookvol10.3.pamphlet" 2360052 2360084 2360660 2360937) (|UnivariatePolynomialMultiplicationPackage| "bookvol10.4.pamphlet" 2358948 2358999 2360042 2360047) (|UnivariatePolynomialDivisionPackage| "bookvol10.4.pamphlet" 2358481 2358527 2358938 2358943) (|UnivariatePolynomialDecompositionPackage| "bookvol10.4.pamphlet" 2356685 2356736 2358471 2358476) (|UnivariatePolynomialCommonDenominator| "bookvol10.4.pamphlet" 2355852 2355902 2356675 2356680) (|UnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2355227 2355275 2355842 2355847) (|UniversalSegment| "bookvol10.3.pamphlet" 2354550 2354574 2355129 2355134) (|UniversalSegmentFunctions2| "bookvol10.4.pamphlet" 2354025 2354061 2354497 2354502) (|UnivariateFactorize| "bookvol10.4.pamphlet" 2353132 2353160 2354015 2354020) (|UnivariateLaurentSeries| "bookvol10.3.pamphlet" 2340955 2341003 2341948 2342658) (|UnivariateLaurentSeriesConstructor| "bookvol10.3.pamphlet" 2333693 2333744 2334092 2334344) (|UnivariateLaurentSeriesConstructorCategory| "bookvol10.2.pamphlet" 2331141 2331200 2333407 2333688) (|UnivariateLaurentSeriesConstructorCategory&| NIL 2328825 2328887 2331094 2331099) (|UnivariateLaurentSeriesCategory| "bookvol10.2.pamphlet" 2326904 2326948 2328568 2328820) (|UnivariateLaurentSeriesFunctions2| "bookvol10.4.pamphlet" 2326418 2326501 2326894 2326899) (|UnivariateFormalPowerSeries| "bookvol10.3.pamphlet" 2324364 2324404 2324462 2324627) (|UnivariateFormalPowerSeriesFunctions| "bookvol10.4.pamphlet" 2324246 2324295 2324354 2324359) (|UniqueFactorizationDomain| "bookvol10.2.pamphlet" 2323250 2323281 2324129 2324241) (|UniqueFactorizationDomain&| NIL 2322358 2322392 2323240 2323245) (|UserDefinedVariableOrdering| "bookvol10.4.pamphlet" 2321145 2321178 2322348 2322353) (|UserDefinedPartialOrdering| "bookvol10.4.pamphlet" 2318640 2318674 2321093 2321098) (|U8Vector| "bookvol10.3.pamphlet" 2317685 2317699 2317893 2317945) (|U8Matrix| "bookvol10.3.pamphlet" 2316784 2316798 2317176 2317228) (|U32Vector| "bookvol10.3.pamphlet" 2315827 2315842 2316037 2316089) (|U32Matrix| "bookvol10.3.pamphlet" 2314923 2314938 2315318 2315370) (|U16Vector| "bookvol10.3.pamphlet" 2313966 2313981 2314176 2314228) (|U16Matrix| "bookvol10.3.pamphlet" 2313062 2313077 2313457 2313509) (|Type| "bookvol10.2.pamphlet" 2312983 2312993 2313042 2313057) (|TwoFactorize| "bookvol10.4.pamphlet" 2311638 2311658 2312973 2312978) (|Tuple| "bookvol10.3.pamphlet" 2310637 2310650 2311585 2311590) (|TubePlotTools| "bookvol10.4.pamphlet" 2307521 2307540 2310627 2310632) (|TubePlot| "bookvol10.3.pamphlet" 2306206 2306228 2307511 2307516) (|TaylorSeries| "bookvol10.3.pamphlet" 2304618 2304643 2305601 2305766) (|TriangularSetCategory| "bookvol10.2.pamphlet" 2294131 2294166 2304549 2304613) (|TriangularSetCategory&| NIL 2283662 2283700 2294083 2294088) (|TranscendentalManipulations| "bookvol10.4.pamphlet" 2278038 2278075 2283308 2283313) (|TriangularMatrixOperations| "bookvol10.4.pamphlet" 2276986 2277034 2278028 2278033) (|TrigonometricManipulations| "bookvol10.4.pamphlet" 2275464 2275500 2276976 2276981) (|TrigonometricFunctionCategory| "bookvol10.2.pamphlet" 2274950 2274985 2275454 2275459) (|TrigonometricFunctionCategory&| NIL 2274433 2274471 2274940 2274945) (|Tree| "bookvol10.3.pamphlet" 2272598 2272610 2274216 2274268) (|TranscendentalFunctionCategory| "bookvol10.2.pamphlet" 2272418 2272454 2272588 2272593) (|TranscendentalFunctionCategory&| NIL 2272235 2272274 2272408 2272413) (|TopLevelThreeSpace| "bookvol10.4.pamphlet" 2271898 2271922 2272225 2272230) (|ToolsForSign| "bookvol10.4.pamphlet" 2271552 2271572 2271888 2271893) (|TextFile| "bookvol10.3.pamphlet" 2270126 2270140 2271542 2271547) (|TexFormat| "bookvol10.3.pamphlet" 2267257 2267272 2270116 2270121) (|TexFormat1| "bookvol10.4.pamphlet" 2266806 2266824 2267247 2267252) (|TemplateUtilities| "bookvol10.4.pamphlet" 2266353 2266376 2266796 2266801) (|TabulatedComputationPackage| "bookvol10.4.pamphlet" 2264520 2264567 2266343 2266348) (|TableAggregate| "bookvol10.2.pamphlet" 2263518 2263552 2264475 2264515) (|TableAggregate&| NIL 2262548 2262585 2263508 2263513) (|TangentExpansions| "bookvol10.4.pamphlet" 2261910 2261935 2262538 2262543) (|Table| "bookvol10.3.pamphlet" 2260725 2260750 2260997 2261049) (|Tableau| "bookvol10.3.pamphlet" 2260211 2260226 2260715 2260720) (|TableauxBumpers| "bookvol10.4.pamphlet" 2257117 2257140 2260201 2260206) (|SystemSolvePackage| "bookvol10.4.pamphlet" 2253733 2253759 2257107 2257112) (|SymbolTable| "bookvol10.3.pamphlet" 2251822 2251839 2253723 2253728) (|TheSymbolTable| "bookvol10.3.pamphlet" 2247876 2247896 2251812 2251817) (|SymmetricPolynomial| "bookvol10.3.pamphlet" 2246522 2246549 2246620 2246854) (|SymmetricFunctions| "bookvol10.4.pamphlet" 2245928 2245954 2246512 2246517) (|Symbol| "bookvol10.3.pamphlet" 2243387 2243399 2245918 2245923) (|Switch| "bookvol10.3.pamphlet" 2240130 2240142 2243377 2243382) (|SparseUnivariateTaylorSeries| "bookvol10.3.pamphlet" 2236713 2236766 2238174 2238339) (|SparseUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2233351 2233405 2234375 2234627) (|SparseUnivariatePolynomial| "bookvol10.3.pamphlet" 2228962 2228996 2229840 2230117) (|SupFractionFactorizer| "bookvol10.4.pamphlet" 2228064 2228100 2228952 2228957) (|SparseUnivariatePolynomialExpressions| "bookvol10.3.pamphlet" 2224386 2224431 2224489 2224766) (|SparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2223747 2223793 2224376 2224381) (|RationalFunctionSum| "bookvol10.4.pamphlet" 2222333 2222360 2223737 2223742) (|FunctionSpaceSum| "bookvol10.4.pamphlet" 2222002 2222028 2222323 2222328) (|SparseUnivariateLaurentSeries| "bookvol10.3.pamphlet" 2209434 2209488 2210446 2211180) (|SuchThat| "bookvol10.3.pamphlet" 2209111 2209131 2209424 2209429) (|SubSpace| "bookvol10.3.pamphlet" 2201461 2201481 2209101 2209106) (|SubResultantPackage| "bookvol10.4.pamphlet" 2200604 2200634 2201404 2201409) (|StreamTranscendentalFunctions| "bookvol10.4.pamphlet" 2196679 2196721 2200594 2200599) (|StreamTranscendentalFunctionsNonCommutative| "bookvol10.4.pamphlet" 2193109 2193165 2196669 2196674) (|StreamTaylorSeriesOperations| "bookvol10.4.pamphlet" 2185636 2185672 2192970 2192975) (|StringTable| "bookvol10.3.pamphlet" 2184530 2184555 2184687 2184739) (|String| "bookvol10.3.pamphlet" 2183715 2183727 2183816 2183868) (|StringCategory| "bookvol10.2.pamphlet" 2183455 2183475 2183646 2183710) (|Stream| "bookvol10.3.pamphlet" 2178974 2178988 2183137 2183165) (|StreamFunctions3| "bookvol10.4.pamphlet" 2178302 2178330 2178964 2178969) (|StreamFunctions2| "bookvol10.4.pamphlet" 2176862 2176888 2178292 2178297) (|StreamFunctions1| "bookvol10.4.pamphlet" 2176357 2176381 2176852 2176857) (|StreamTensor| "bookvol10.4.pamphlet" 2176033 2176053 2176347 2176352) (|StreamInfiniteProduct| "bookvol10.4.pamphlet" 2174951 2174985 2176023 2176028) (|StepThrough| "bookvol10.2.pamphlet" 2174169 2174186 2174941 2174946) (|SparseTable| "bookvol10.3.pamphlet" 2173107 2173143 2173280 2173308) (|StreamAggregate| "bookvol10.2.pamphlet" 2172194 2172217 2173087 2173102) (|StreamAggregate&| NIL 2171288 2171314 2172184 2172189) (|Stack| "bookvol10.3.pamphlet" 2167276 2167289 2171071 2171123) (|SquareFreeRegularTriangularSet| "bookvol10.3.pamphlet" 2165415 2165459 2166897 2166949) (|SquareFreeRegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2164144 2164201 2165405 2165410) (|StringAggregate| "bookvol10.2.pamphlet" 2159444 2159465 2164075 2164139) (|StringAggregate&| NIL 2154800 2154824 2159434 2159439) (|SquareMatrix| "bookvol10.3.pamphlet" 2152064 2152091 2152979 2153121) (|SplittingTree| "bookvol10.3.pamphlet" 2147474 2147497 2151728 2151780) (|SplittingNode| "bookvol10.3.pamphlet" 2144512 2144535 2147464 2147469) (|SpecialFunctionCategory| "bookvol10.2.pamphlet" 2143303 2143332 2144502 2144507) (|SpecialOutputPackage| "bookvol10.4.pamphlet" 2141855 2141881 2143293 2143298) (|ThreeSpaceCategory| "bookvol10.2.pamphlet" 2126230 2126256 2141845 2141850) (|ThreeSpace| "bookvol10.3.pamphlet" 2126005 2126023 2126220 2126225) (|SortPackage| "bookvol10.4.pamphlet" 2125538 2125559 2125953 2125958) (|TransSolvePackage| "bookvol10.4.pamphlet" 2123119 2123144 2125528 2125533) (|TransSolvePackageService| "bookvol10.4.pamphlet" 2121687 2121719 2123109 2123114) (|RadicalSolvePackage| "bookvol10.4.pamphlet" 2116159 2116186 2121677 2121682) (|PolynomialSolveByFormulas| "bookvol10.4.pamphlet" 2114605 2114641 2116149 2116154) (|SquareFreeNormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 2114313 2114368 2114536 2114600) (|SparseMultivariateTaylorSeries| "bookvol10.3.pamphlet" 2112270 2112323 2113708 2113873) (|SparseMultivariatePolynomial| "bookvol10.3.pamphlet" 2108802 2108847 2109200 2109434) (|SmithNormalForm| "bookvol10.4.pamphlet" 2107627 2107664 2108792 2108797) (|SquareMatrixCategory| "bookvol10.2.pamphlet" 2105682 2105729 2107523 2107622) (|SquareMatrixCategory&| NIL 2103692 2103742 2105536 2105541) (|StackAggregate| "bookvol10.2.pamphlet" 2102258 2102280 2103623 2103687) (|SingleInteger| "bookvol10.3.pamphlet" 2100506 2100525 2102019 2102253) (|SimplifyAlgebraicNumberConvertPackage| "bookvol10.4.pamphlet" 2100215 2100258 2100496 2100501) (|RationalFunctionSign| "bookvol10.4.pamphlet" 2099288 2099316 2100205 2100210) (|ElementaryFunctionSign| "bookvol10.4.pamphlet" 2098532 2098564 2099278 2099283) (|SturmHabichtPackage| "bookvol10.4.pamphlet" 2096473 2096504 2098481 2098486) (|SplitHomogeneousDirectProduct| "bookvol10.3.pamphlet" 2086109 2086162 2086637 2086841) (|SemiGroup| "bookvol10.2.pamphlet" 2085415 2085430 2086099 2086104) (|SemiGroup&| NIL 2084718 2084736 2085405 2085410) (|SymmetricGroupCombinatoricFunctions| "bookvol10.4.pamphlet" 2078198 2078239 2084708 2084713) (|SquareFreeRegularTriangularSetCategory| "bookvol10.2.pamphlet" 2077701 2077753 2078129 2078193) (|SquareFreeRegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2077363 2077420 2077691 2077696) (|SquareFreeQuasiComponentPackage| "bookvol10.4.pamphlet" 2073252 2073300 2077353 2077358) (|SimpleFortranProgram| "bookvol10.3.pamphlet" 2072696 2072727 2073242 2073247) (|SExpressionOf| "bookvol10.3.pamphlet" 2072529 2072579 2072686 2072691) (|SExpression| "bookvol10.3.pamphlet" 2072413 2072430 2072519 2072524) (|SExpressionCategory| "bookvol10.2.pamphlet" 2069648 2069704 2072403 2072408) (|Set| "bookvol10.3.pamphlet" 2067898 2067909 2069011 2069091) (|SetOfMIntegersInOneToN| "bookvol10.3.pamphlet" 2066359 2066395 2067888 2067893) (|SetCategory| "bookvol10.2.pamphlet" 2065841 2065858 2066349 2066354) (|SetCategory&| NIL 2065320 2065340 2065831 2065836) (|SetCategoryWithDegree| "bookvol10.2.pamphlet" 2065193 2065220 2065310 2065315) (|SetAggregate| "bookvol10.2.pamphlet" 2062058 2062078 2065145 2065188) (|SetAggregate&| NIL 2058958 2058981 2062048 2062053) (|SegmentExpansionCategory| "bookvol10.2.pamphlet" 2057999 2058033 2058938 2058953) (|Segment| "bookvol10.3.pamphlet" 2057791 2057806 2057901 2057906) (|SegmentCategory| "bookvol10.2.pamphlet" 2056567 2056590 2057771 2057786) (|SegmentBinding| "bookvol10.3.pamphlet" 2055634 2055656 2056514 2056519) (|SegmentBindingFunctions2| "bookvol10.4.pamphlet" 2055319 2055353 2055624 2055629) (|SegmentFunctions2| "bookvol10.4.pamphlet" 2054715 2054742 2055266 2055271) (|SequentialDifferentialVariable| "bookvol10.3.pamphlet" 2053986 2054024 2054705 2054710) (|SequentialDifferentialPolynomial| "bookvol10.3.pamphlet" 2050274 2050314 2050580 2050814) (|StochasticDifferential| "bookvol10.3.pamphlet" 2046709 2046739 2050225 2050269) (|StructuralConstantsPackage| "bookvol10.4.pamphlet" 2044789 2044823 2046699 2046704) (|SimpleCell| "bookvol10.3.pamphlet" 2044737 2044774 2044779 2044784) (|SortedCache| "bookvol10.4.pamphlet" 2043578 2043597 2044727 2044732) (|SingletonAsOrderedSet| "bookvol10.3.pamphlet" 2043432 2043459 2043568 2043573) (|SAERationalFunctionAlgFactor| "bookvol10.4.pamphlet" 2043120 2043165 2043422 2043427) (|SimpleAlgebraicExtension| "bookvol10.3.pamphlet" 2040847 2040884 2041525 2041741) (|SimpleAlgebraicExtensionAlgFactor| "bookvol10.4.pamphlet" 2040518 2040568 2040837 2040842) (|RationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 2038218 2038270 2040508 2040513) (|Ruleset| "bookvol10.3.pamphlet" 2037650 2037674 2038208 2038213) (|RewriteRule| "bookvol10.3.pamphlet" 2035828 2035856 2037640 2037645) (|RuleCalled| "bookvol10.3.pamphlet" 2035673 2035693 2035818 2035823) (|RegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2033016 2033063 2035663 2035668) (|RegularTriangularSetCategory| "bookvol10.2.pamphlet" 2023804 2023846 2032947 2033011) (|RegularTriangularSetCategory&| NIL 2014648 2014693 2023794 2023799) (|RegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2013374 2013421 2014638 2014643) (|RealRootCharacterizationCategory| "bookvol10.2.pamphlet" 2011751 2011810 2013364 2013369) (|RealRootCharacterizationCategory&| NIL 2010125 2010187 2011741 2011746) (|RecursivePolynomialCategory| "bookvol10.2.pamphlet" 1993236 1993275 2009886 2010120) (|RecursivePolynomialCategory&| NIL 1976050 1976092 1992703 1992708) (|RoutinesTable| "bookvol10.3.pamphlet" 1972326 1972345 1975080 1975132) (|RomanNumeral| "bookvol10.3.pamphlet" 1971459 1971477 1972087 1972321) (|RightOpenIntervalRootCharacterization| "bookvol10.3.pamphlet" 1970559 1970625 1971449 1971454) (|RealNumberSystem| "bookvol10.2.pamphlet" 1969297 1969319 1970389 1970554) (|RealNumberSystem&| NIL 1968192 1968217 1969287 1969292) (|Rng| "bookvol10.2.pamphlet" 1967712 1967721 1968182 1968187) (|RightModule| "bookvol10.2.pamphlet" 1967219 1967238 1967702 1967707) (|RectangularMatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1966615 1966704 1967209 1967214) (|RectangularMatrix| "bookvol10.3.pamphlet" 1965174 1965207 1965676 1965744) (|RectangularMatrixCategory| "bookvol10.2.pamphlet" 1960759 1960812 1965089 1965169) (|RectangularMatrixCategory&| NIL 1956233 1956289 1960566 1960571) (|RationalInterpolation| "bookvol10.4.pamphlet" 1956107 1956141 1956223 1956228) (|Ring| "bookvol10.2.pamphlet" 1955458 1955468 1956080 1956102) (|Ring&| NIL 1954823 1954836 1955448 1955453) (|RandomIntegerDistributions| "bookvol10.4.pamphlet" 1953828 1953860 1954813 1954818) (|RegularChain| "bookvol10.3.pamphlet" 1952170 1952195 1953060 1953112) (|RootsFindingPackage| "bookvol10.4.pamphlet" 1950204 1950231 1952160 1952165) (|RationalFunction| "bookvol10.4.pamphlet" 1947847 1947871 1950194 1950199) (|RationalFunctionFactorizer| "bookvol10.4.pamphlet" 1947286 1947320 1947837 1947842) (|RationalFunctionFactor| "bookvol10.4.pamphlet" 1947002 1947033 1947276 1947281) (|RandomFloatDistributions| "bookvol10.4.pamphlet" 1945977 1946007 1946992 1946997) (|RetractSolvePackage| "bookvol10.4.pamphlet" 1945380 1945409 1945967 1945972) (|RetractableTo| "bookvol10.2.pamphlet" 1944712 1944733 1945370 1945375) (|RetractableTo&| NIL 1944041 1944065 1944702 1944707) (|Result| "bookvol10.3.pamphlet" 1942483 1942495 1943071 1943123) (|ResidueRing| "bookvol10.3.pamphlet" 1941794 1941845 1942389 1942478) (|ResolveLatticeCompletion| "bookvol10.4.pamphlet" 1941099 1941131 1941784 1941789) (|RepeatedSquaring| "bookvol10.4.pamphlet" 1940817 1940841 1941089 1941094) (|RadicalEigenPackage| "bookvol10.4.pamphlet" 1938357 1938382 1940807 1940812) (|RepeatedDoubling| "bookvol10.4.pamphlet" 1938043 1938067 1938347 1938352) (|RepresentationPackage2| "bookvol10.4.pamphlet" 1928021 1928051 1937862 1937867) (|RepresentationPackage1| "bookvol10.4.pamphlet" 1922382 1922412 1927963 1927968) (|RegularTriangularSet| "bookvol10.3.pamphlet" 1920579 1920613 1922003 1922055) (|Reference| "bookvol10.3.pamphlet" 1919915 1919932 1920526 1920531) (|ReductionOfOrder| "bookvol10.4.pamphlet" 1919036 1919062 1919905 1919910) (|RecurrenceOperator| "bookvol10.4.pamphlet" 1917431 1917459 1918990 1918995) (|RealClosure| "bookvol10.3.pamphlet" 1916052 1916080 1916714 1916879) (|RealSolvePackage| "bookvol10.4.pamphlet" 1914612 1914634 1916042 1916047) (|RealConstant| "bookvol10.2.pamphlet" 1914487 1914505 1914602 1914607) (|RealZeroPackageQ| "bookvol10.4.pamphlet" 1911825 1911853 1914477 1914482) (|RealZeroPackage| "bookvol10.4.pamphlet" 1908722 1908749 1911815 1911820) (|ReducedDivisor| "bookvol10.4.pamphlet" 1908460 1908496 1908712 1908717) (|RandomDistributions| "bookvol10.4.pamphlet" 1908011 1908038 1908450 1908455) (|TranscendentalRischDESystem| "bookvol10.4.pamphlet" 1906845 1906883 1908001 1908006) (|TranscendentalRischDE| "bookvol10.4.pamphlet" 1904796 1904828 1906835 1906840) (|ElementaryRischDESystem| "bookvol10.4.pamphlet" 1904021 1904054 1904786 1904791) (|ElementaryRischDE| "bookvol10.4.pamphlet" 1903067 1903094 1904011 1904016) (|RealClosedField| "bookvol10.2.pamphlet" 1900312 1900333 1902897 1903062) (|RealClosedField&| NIL 1897714 1897738 1900302 1900307) (|RecursiveAggregate| "bookvol10.2.pamphlet" 1895672 1895698 1897694 1897709) (|RecursiveAggregate&| NIL 1893545 1893574 1895570 1895575) (|RationalRetractions| "bookvol10.4.pamphlet" 1892950 1892977 1893535 1893540) (|RationalFactorize| "bookvol10.4.pamphlet" 1892120 1892146 1892940 1892945) (|RandomNumberSource| "bookvol10.4.pamphlet" 1891462 1891486 1892110 1892115) (|RadixUtilities| "bookvol10.4.pamphlet" 1891207 1891227 1891452 1891457) (|RadixExpansion| "bookvol10.3.pamphlet" 1887298 1887323 1888961 1889126) (|RadicalFunctionField| "bookvol10.3.pamphlet" 1885170 1885220 1885286 1885541) (|RadicalCategory| "bookvol10.2.pamphlet" 1884789 1884810 1885160 1885165) (|RadicalCategory&| NIL 1884405 1884429 1884779 1884784) (|Queue| "bookvol10.3.pamphlet" 1880173 1880186 1884188 1884240) (|Quaternion| "bookvol10.3.pamphlet" 1878496 1878514 1878797 1878905) (|QuaternionCategoryFunctions2| "bookvol10.4.pamphlet" 1877875 1877919 1878486 1878491) (|QuaternionCategory| "bookvol10.2.pamphlet" 1876023 1876049 1877762 1877870) (|QuaternionCategory&| NIL 1873862 1873891 1875604 1875609) (|QueueAggregate| "bookvol10.2.pamphlet" 1872639 1872661 1873793 1873857) (|QuadraticForm| "bookvol10.3.pamphlet" 1872097 1872122 1872629 1872634) (|QuotientFieldCategory| "bookvol10.2.pamphlet" 1870701 1870730 1871915 1872092) (|QuotientFieldCategory&| NIL 1868795 1868827 1870012 1870017) (|QuotientFieldCategoryFunctions2| "bookvol10.4.pamphlet" 1868467 1868512 1868785 1868790) (|QueryEquation| "bookvol10.3.pamphlet" 1868031 1868050 1868457 1868462) (|QuasiComponentPackage| "bookvol10.4.pamphlet" 1863996 1864034 1868021 1868026) (|QuasiAlgebraicSet| "bookvol10.3.pamphlet" 1860125 1860172 1863881 1863886) (|QuasiAlgebraicSet2| "bookvol10.4.pamphlet" 1858121 1858155 1860115 1860120) (|PAdicWildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 1855420 1855470 1858111 1858116) (|PushVariables| "bookvol10.4.pamphlet" 1854746 1854776 1855410 1855415) (|PartialTranscendentalFunctions| "bookvol10.2.pamphlet" 1850997 1851035 1854736 1854741) (|PointPackage| "bookvol10.4.pamphlet" 1848113 1848133 1850987 1850992) (|PointFunctions2| "bookvol10.4.pamphlet" 1847919 1847946 1848103 1848108) (|PointCategory| "bookvol10.2.pamphlet" 1846975 1846996 1847850 1847914) (|PolynomialSquareFree| "bookvol10.4.pamphlet" 1846268 1846310 1846965 1846970) (|PseudoLinearNormalForm| "bookvol10.4.pamphlet" 1845118 1845148 1846258 1846263) (|PolynomialSetUtilitiesPackage| "bookvol10.4.pamphlet" 1832564 1832607 1844960 1844965) (|PolynomialSetCategory| "bookvol10.2.pamphlet" 1827388 1827430 1832520 1832559) (|PolynomialSetCategory&| NIL 1822197 1822242 1827332 1827337) (|PlottableSpaceCurveCategory| "bookvol10.2.pamphlet" 1821197 1821230 1822187 1822192) (|PowerSeriesCategory| "bookvol10.2.pamphlet" 1819875 1819921 1821027 1821192) (|PowerSeriesCategory&| NIL 1818710 1818759 1819865 1819870) (|Partition| "bookvol10.3.pamphlet" 1817506 1817521 1818700 1818705) (|ProjectiveSpaceCategory| "bookvol10.2.pamphlet" 1814980 1815011 1817496 1817501) (|PseudoRemainderSequence| "bookvol10.4.pamphlet" 1806621 1806659 1814929 1814934) (|PriorityQueueAggregate| "bookvol10.2.pamphlet" 1805999 1806029 1806552 1806616) (|ProjectiveSpace| "bookvol10.3.pamphlet" 1805870 1805899 1805989 1805994) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1805708 1805770 1805860 1805865) (|ProjectivePlane| "bookvol10.3.pamphlet" 1805585 1805608 1805698 1805703) (|Product| "bookvol10.3.pamphlet" 1802385 1802402 1802917 1802985) (|PolynomialRing| "bookvol10.3.pamphlet" 1800433 1800457 1801138 1801372) (|ProjectiveAlgebraicSetPackage| "bookvol10.4.pamphlet" 1799660 1799726 1800423 1800428) (|PrintPackage| "bookvol10.4.pamphlet" 1799402 1799420 1799650 1799655) (|IntegerPrimesPackage| "bookvol10.4.pamphlet" 1797617 1797645 1799392 1799397) (|PrimitiveElement| "bookvol10.4.pamphlet" 1795694 1795718 1797607 1797612) (|PrimitiveFunctionCategory| "bookvol10.2.pamphlet" 1795282 1795313 1795684 1795689) (|PrimitiveArray| "bookvol10.3.pamphlet" 1794399 1794421 1794564 1794616) (|PrimitiveArrayFunctions2| "bookvol10.4.pamphlet" 1792483 1792517 1794389 1794394) (|PrecomputedAssociatedEquations| "bookvol10.4.pamphlet" 1791821 1791861 1792473 1792478) (|PlottablePlaneCurveCategory| "bookvol10.2.pamphlet" 1791161 1791194 1791811 1791816) (|U32VectorPolynomialOperations| "bookvol10.4.pamphlet" 1785943 1785978 1791151 1791156) (|PolynomialRoots| "bookvol10.4.pamphlet" 1784671 1784702 1785892 1785897) (|Polynomial| "bookvol10.3.pamphlet" 1781067 1781085 1781571 1781805) (|PolynomialCategoryLifting| "bookvol10.4.pamphlet" 1780333 1780379 1781057 1781062) (|PolynomialCategoryQuotientFunctions| "bookvol10.4.pamphlet" 1778314 1778365 1780323 1780328) (|PolynomialCategory| "bookvol10.2.pamphlet" 1771621 1771658 1778075 1778309) (|PolynomialCategory&| NIL 1764075 1764115 1770532 1770537) (|PolynomialToUnivariatePolynomial| "bookvol10.4.pamphlet" 1763491 1763535 1764065 1764070) (|PolynomialFunctions2| "bookvol10.4.pamphlet" 1763079 1763109 1763481 1763486) (|RealPolynomialUtilitiesPackage| "bookvol10.4.pamphlet" 1762083 1762140 1763026 1763031) (|PolToPol| "bookvol10.4.pamphlet" 1760825 1760846 1762073 1762078) (|Point| "bookvol10.3.pamphlet" 1759703 1759716 1759793 1759845) (|PolynomialNumberTheoryFunctions| "bookvol10.4.pamphlet" 1756346 1756383 1759693 1759698) (|PatternMatchTools| "bookvol10.4.pamphlet" 1755152 1755181 1756336 1756341) (|PatternMatchSymbol| "bookvol10.4.pamphlet" 1754693 1754719 1755142 1755147) (|PatternMatchQuotientFieldCategory| "bookvol10.4.pamphlet" 1754261 1754306 1754683 1754688) (|AttachPredicates| "bookvol10.4.pamphlet" 1753771 1753795 1754251 1754256) (|FunctionSpaceAttachPredicates| "bookvol10.4.pamphlet" 1753247 1753288 1753761 1753766) (|PatternMatchPolynomialCategory| "bookvol10.4.pamphlet" 1752285 1752331 1753165 1753170) (|PatternMatchListAggregate| "bookvol10.4.pamphlet" 1751847 1751884 1752275 1752280) (|PatternMatchKernel| "bookvol10.4.pamphlet" 1751410 1751438 1751837 1751842) (|PatternMatchIntegerNumberSystem| "bookvol10.4.pamphlet" 1750961 1751000 1751400 1751405) (|PatternMatchFunctionSpace| "bookvol10.4.pamphlet" 1750527 1750564 1750951 1750956) (|PatternMatchPushDown| "bookvol10.4.pamphlet" 1749819 1749851 1750517 1750522) (|PatternMatchAssertions| "bookvol10.4.pamphlet" 1748866 1748894 1749809 1749814) (|FunctionSpaceAssertions| "bookvol10.4.pamphlet" 1747873 1747906 1748856 1748861) (|PolynomialPackageForCurve| "bookvol10.4.pamphlet" 1746748 1746809 1747863 1747868) (|PlotTools| "bookvol10.4.pamphlet" 1746521 1746536 1746738 1746743) (|Plot| "bookvol10.3.pamphlet" 1741371 1741381 1746511 1746516) (|Plot3D| "bookvol10.3.pamphlet" 1737981 1737993 1741361 1741366) (|PlotFunctions1| "bookvol10.4.pamphlet" 1737120 1737142 1737971 1737976) (|ParametricLinearEquations| "bookvol10.4.pamphlet" 1723210 1723260 1737110 1737115) (|Plcs| "bookvol10.3.pamphlet" 1723115 1723131 1723200 1723205) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1722983 1723036 1723105 1723110) (|Places| "bookvol10.3.pamphlet" 1722890 1722904 1722973 1722978) (|PlacesCategory| "bookvol10.2.pamphlet" 1721920 1721946 1722880 1722885) (|PolynomialInterpolation| "bookvol10.4.pamphlet" 1721525 1721561 1721910 1721915) (|PolynomialInterpolationAlgorithms| "bookvol10.4.pamphlet" 1721282 1721325 1721515 1721520) (|PositiveInteger| "bookvol10.3.pamphlet" 1720885 1720906 1721248 1721277) (|PrincipalIdealDomain| "bookvol10.2.pamphlet" 1719804 1719830 1720768 1720880) (|PiCoercions| "bookvol10.4.pamphlet" 1719540 1719559 1719794 1719799) (|PolyGroebner| "bookvol10.4.pamphlet" 1718152 1718172 1719530 1719535) (|PermutationGroupExamples| "bookvol10.4.pamphlet" 1710088 1710118 1718142 1718147) (|PolynomialGcdPackage| "bookvol10.4.pamphlet" 1708551 1708586 1710078 1710083) (|PartialFractionPackage| "bookvol10.4.pamphlet" 1707582 1707612 1708541 1708546) (|PartialFraction| "bookvol10.3.pamphlet" 1703067 1703090 1707412 1707577) (|PointsOfFiniteOrderTools| "bookvol10.4.pamphlet" 1702392 1702430 1703057 1703062) (|PackageForPoly| "bookvol10.4.pamphlet" 1700521 1700562 1702382 1702387) (|PointsOfFiniteOrderRational| "bookvol10.4.pamphlet" 1699866 1699909 1700511 1700516) (|PointsOfFiniteOrder| "bookvol10.4.pamphlet" 1699274 1699314 1699856 1699861) (|PrimeField| "bookvol10.3.pamphlet" 1698830 1698850 1698968 1699133) (|PolynomialFactorizationExplicit| "bookvol10.2.pamphlet" 1696466 1696503 1698713 1698825) (|PolynomialFactorizationExplicit&| NIL 1694153 1694193 1696403 1696408) (|PolynomialFactorizationByRecursionUnivariate| "bookvol10.4.pamphlet" 1692018 1692072 1694143 1694148) (|PolynomialFactorizationByRecursion| "bookvol10.4.pamphlet" 1689646 1689701 1692008 1692013) (|Permutation| "bookvol10.3.pamphlet" 1684931 1684950 1689448 1689470) (|PermutationGroup| "bookvol10.3.pamphlet" 1679682 1679706 1684921 1684926) (|PermutationCategory| "bookvol10.2.pamphlet" 1678321 1678348 1679655 1679677) (|Permanent| "bookvol10.4.pamphlet" 1677073 1677094 1678311 1678316) (|PendantTree| "bookvol10.3.pamphlet" 1676314 1676333 1676903 1676908) (|PartialDifferentialRing| "bookvol10.2.pamphlet" 1674661 1674692 1676287 1676309) (|PartialDifferentialRing&| NIL 1673022 1673056 1674651 1674656) (|NumericalPDEProblem| "bookvol10.3.pamphlet" 1671184 1671209 1673012 1673017) (|AnnaPartialDifferentialEquationPackage| "bookvol10.4.pamphlet" 1665224 1665268 1671174 1671179) (|PolynomialDecomposition| "bookvol10.4.pamphlet" 1664559 1664593 1665214 1665219) (|PartialDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1662669 1662717 1664549 1664554) (|PolynomialComposition| "bookvol10.4.pamphlet" 1662385 1662417 1662659 1662664) (|PoincareBirkhoffWittLyndonBasis| "bookvol10.3.pamphlet" 1660998 1661044 1662375 1662380) (|Pattern| "bookvol10.3.pamphlet" 1655278 1655293 1660988 1660993) (|PatternFunctions2| "bookvol10.4.pamphlet" 1654994 1655021 1655268 1655273) (|PatternFunctions1| "bookvol10.4.pamphlet" 1653281 1653308 1654984 1654989) (|PatternMatchResult| "bookvol10.3.pamphlet" 1650926 1650954 1653271 1653276) (|PatternMatchResultFunctions2| "bookvol10.4.pamphlet" 1650612 1650652 1650916 1650921) (|PatternMatch| "bookvol10.4.pamphlet" 1648782 1648823 1650279 1650284) (|PatternMatchable| "bookvol10.2.pamphlet" 1648207 1648231 1648772 1648777) (|PatternMatchListResult| "bookvol10.3.pamphlet" 1647297 1647331 1648197 1648202) (|Patternable| "bookvol10.2.pamphlet" 1646994 1647013 1647287 1647292) (|PartitionsAndPermutations| "bookvol10.4.pamphlet" 1644489 1644520 1646984 1646989) (|ParametricSurface| "bookvol10.3.pamphlet" 1643932 1643975 1644479 1644484) (|ParametricSurfaceFunctions2| "bookvol10.4.pamphlet" 1643700 1643741 1643922 1643927) (|ParametricSpaceCurve| "bookvol10.3.pamphlet" 1643140 1643186 1643690 1643695) (|ParametricSpaceCurveFunctions2| "bookvol10.4.pamphlet" 1642899 1642943 1643130 1643135) (|ParametricPlaneCurve| "bookvol10.3.pamphlet" 1642351 1642397 1642889 1642894) (|ParametricPlaneCurveFunctions2| "bookvol10.4.pamphlet" 1642110 1642154 1642341 1642346) (|ParametrizationPackage| "bookvol10.4.pamphlet" 1640913 1640982 1642100 1642105) (|PolynomialAN2Expression| "bookvol10.4.pamphlet" 1640306 1640335 1640903 1640908) (|Palette| "bookvol10.3.pamphlet" 1639309 1639322 1640296 1640301) (|PackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 1633722 1633775 1639261 1639266) (|PackageForAlgebraicFunctionFieldOverFiniteField| "bookvol10.4.pamphlet" 1627521 1627589 1633634 1633639) (|PAdicRationalConstructor| "bookvol10.3.pamphlet" 1624317 1624357 1625468 1625633) (|PAdicRational| "bookvol10.3.pamphlet" 1621501 1621524 1621685 1621850) (|PAdicInteger| "bookvol10.3.pamphlet" 1621193 1621215 1621384 1621496) (|PAdicIntegerCategory| "bookvol10.2.pamphlet" 1619678 1619708 1621076 1621188) (|PadeApproximantPackage| "bookvol10.4.pamphlet" 1618603 1618642 1619668 1619673) (|PadeApproximants| "bookvol10.4.pamphlet" 1617594 1617624 1618593 1618598) (|PseudoAlgebraicClosureOfRationalNumber| "bookvol10.3.pamphlet" 1616207 1616251 1617079 1617244) (|PseudoAlgebraicClosureOfRationalNumberCategory| "bookvol10.2.pamphlet" 1615075 1615127 1616037 1616202) (|PseudoAlgebraicClosureOfPerfectFieldCategory| "bookvol10.2.pamphlet" 1613260 1613310 1614905 1615070) (|PseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1612075 1612118 1612945 1613110) (|PseudoAlgebraicClosureOfFiniteFieldCategory| "bookvol10.2.pamphlet" 1610949 1610998 1611905 1612070) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.3.pamphlet" 1608964 1609028 1609859 1610024) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| "bookvol10.2.pamphlet" 1607816 1607876 1608794 1608959) (|OrdinaryWeightedPolynomials| "bookvol10.3.pamphlet" 1606733 1606788 1607608 1607725) (|OrderedVariableList| "bookvol10.3.pamphlet" 1606497 1606537 1606723 1606728) (|OutputPackage| "bookvol10.4.pamphlet" 1605612 1605631 1606487 1606492) (|OutputForm| "bookvol10.3.pamphlet" 1595018 1595034 1605602 1605607) (|OrdSetInts| "bookvol10.3.pamphlet" 1594615 1594631 1595008 1595013) (|OrthogonalPolynomialFunctions| "bookvol10.4.pamphlet" 1593028 1593065 1594515 1594520) (|UnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1592259 1592311 1592613 1592676) (|SparseUnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1591419 1591473 1591844 1591907) (|UnivariateSkewPolynomialCategoryOps| "bookvol10.4.pamphlet" 1589131 1589176 1591324 1591329) (|UnivariateSkewPolynomialCategory| "bookvol10.2.pamphlet" 1583089 1583129 1589063 1589126) (|UnivariateSkewPolynomialCategory&| NIL 1576925 1576968 1582902 1582907) (|OrderedSet| "bookvol10.2.pamphlet" 1576057 1576073 1576915 1576920) (|OrderedSet&| NIL 1575186 1575205 1576047 1576052) (|OrderedRing| "bookvol10.2.pamphlet" 1574504 1574521 1575159 1575181) (|OrderedRing&| NIL 1573836 1573856 1574494 1574499) (|OrderedMonoid| "bookvol10.2.pamphlet" 1573549 1573568 1573826 1573831) (|OrderingFunctions| "bookvol10.4.pamphlet" 1572681 1572712 1573539 1573544) (|OrderedFinite| "bookvol10.2.pamphlet" 1572604 1572623 1572671 1572676) (|OrderedCompletion| "bookvol10.3.pamphlet" 1570954 1570979 1572024 1572069) (|OrderedCompletionFunctions2| "bookvol10.4.pamphlet" 1570281 1570318 1570944 1570949) (|NumericalOptimizationProblem| "bookvol10.3.pamphlet" 1568021 1568055 1570271 1570276) (|AnnaNumericalOptimizationPackage| "bookvol10.4.pamphlet" 1560443 1560481 1568011 1568016) (|NumericalOptimizationCategory| "bookvol10.2.pamphlet" 1557894 1557929 1560433 1560438) (|OperationsQuery| "bookvol10.4.pamphlet" 1557436 1557457 1557884 1557889) (|Operator| "bookvol10.3.pamphlet" 1557074 1557090 1557160 1557277) (|OnePointCompletion| "bookvol10.3.pamphlet" 1555707 1555733 1556494 1556539) (|OnePointCompletionFunctions2| "bookvol10.4.pamphlet" 1555172 1555210 1555697 1555702) (|OpenMathServerPackage| "bookvol10.4.pamphlet" 1554203 1554230 1555162 1555167) (|OrderedMultisetAggregate| "bookvol10.2.pamphlet" 1553924 1553956 1554106 1554198) (|OpenMathPackage| "bookvol10.4.pamphlet" 1552587 1552608 1553914 1553919) (|OpenMath| "bookvol10.2.pamphlet" 1551656 1551670 1552577 1552582) (|OppositeMonogenicLinearOperator| "bookvol10.3.pamphlet" 1550993 1551034 1551491 1551554) (|ExpressionToOpenMath| "bookvol10.4.pamphlet" 1550809 1550837 1550983 1550988) (|OpenMathError| "bookvol10.3.pamphlet" 1550351 1550370 1550799 1550804) (|OpenMathErrorKind| "bookvol10.3.pamphlet" 1549388 1549411 1550341 1550346) (|OpenMathEncoding| "bookvol10.3.pamphlet" 1548720 1548742 1549378 1549383) (|OpenMathDevice| "bookvol10.3.pamphlet" 1543451 1543471 1548710 1548715) (|OpenMathConnection| "bookvol10.3.pamphlet" 1542852 1542876 1543441 1543446) (|OrderedIntegralDomain| "bookvol10.2.pamphlet" 1542567 1542594 1542735 1542847) (|OrderedFreeMonoid| "bookvol10.3.pamphlet" 1536179 1536204 1542557 1542562) (|OrderlyDifferentialVariable| "bookvol10.3.pamphlet" 1535437 1535472 1536169 1536174) (|OrdinaryDifferentialRing| "bookvol10.3.pamphlet" 1534776 1534824 1535162 1535395) (|OrderlyDifferentialPolynomial| "bookvol10.3.pamphlet" 1531032 1531069 1531385 1531619) (|OrderedDirectProduct| "bookvol10.3.pamphlet" 1520820 1520858 1521196 1521400) (|ODETools| "bookvol10.4.pamphlet" 1519343 1519364 1520810 1520815) (|SystemODESolver| "bookvol10.4.pamphlet" 1516794 1516820 1519333 1519338) (|RationalRicDE| "bookvol10.4.pamphlet" 1512693 1512717 1516728 1516733) (|ReduceLODE| "bookvol10.4.pamphlet" 1512050 1512078 1512683 1512688) (|RationalLODE| "bookvol10.4.pamphlet" 1509488 1509511 1512040 1512045) (|PrimitiveRatRicDE| "bookvol10.4.pamphlet" 1506492 1506525 1509478 1509483) (|NumericalODEProblem| "bookvol10.3.pamphlet" 1505131 1505156 1506482 1506487) (|PrimitiveRatDE| "bookvol10.4.pamphlet" 1502381 1502411 1505121 1505126) (|PureAlgebraicLODE| "bookvol10.4.pamphlet" 1501736 1501771 1502371 1502376) (|AnnaOrdinaryDifferentialEquationPackage| "bookvol10.4.pamphlet" 1489443 1489488 1501726 1501731) (|ODEIntegration| "bookvol10.4.pamphlet" 1488854 1488878 1489433 1489438) (|ODEIntensityFunctionsTable| "bookvol10.3.pamphlet" 1486233 1486265 1488844 1488849) (|ElementaryFunctionODESolver| "bookvol10.4.pamphlet" 1481529 1481566 1486223 1486228) (|ConstantLODE| "bookvol10.4.pamphlet" 1481032 1481056 1481519 1481524) (|OrdinaryDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1479382 1479431 1481022 1481027) (|Octonion| "bookvol10.3.pamphlet" 1477231 1477247 1477919 1477982) (|OctonionCategoryFunctions2| "bookvol10.4.pamphlet" 1476856 1476898 1477221 1477226) (|OctonionCategory| "bookvol10.2.pamphlet" 1474766 1474790 1476788 1476851) (|OctonionCategory&| NIL 1472326 1472353 1474351 1474356) (|OrderedCancellationAbelianMonoid| "bookvol10.2.pamphlet" 1472146 1472184 1472316 1472321) (|OrderedAbelianSemiGroup| "bookvol10.2.pamphlet" 1471891 1471920 1472136 1472141) (|OrderedAbelianMonoidSup| "bookvol10.2.pamphlet" 1471224 1471253 1471881 1471886) (|OrderedAbelianMonoid| "bookvol10.2.pamphlet" 1471069 1471095 1471214 1471219) (|OrderedAbelianGroup| "bookvol10.2.pamphlet" 1470916 1470941 1471059 1471064) (|NumericTubePlot| "bookvol10.4.pamphlet" 1470630 1470659 1470906 1470911) (|NumericalQuadrature| "bookvol10.4.pamphlet" 1459342 1459367 1470620 1470625) (|NumericalOrdinaryDifferentialEquations| "bookvol10.4.pamphlet" 1450873 1450917 1459332 1459337) (|NumericalIntegrationCategory| "bookvol10.2.pamphlet" 1448202 1448236 1450863 1450868) (|NumberFormats| "bookvol10.4.pamphlet" 1447033 1447052 1448192 1448197) (|Numeric| "bookvol10.4.pamphlet" 1439140 1439155 1446792 1446797) (|NormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 1438493 1438538 1439071 1439135) (|NumberTheoreticPolynomialFunctions| "bookvol10.4.pamphlet" 1437995 1438037 1438393 1438398) (|NewSparseUnivariatePolynomial| "bookvol10.3.pamphlet" 1430808 1430845 1434484 1434761) (|NewSparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 1430167 1430216 1430798 1430803) (|NewSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 1425153 1425201 1425474 1425708) (|NeitherSparseOrDensePowerSeries| "bookvol10.3.pamphlet" 1423327 1423366 1423433 1423598) (|NumericRealEigenPackage| "bookvol10.4.pamphlet" 1421696 1421731 1423317 1423322) (|NewtonPolygon| "bookvol10.4.pamphlet" 1421577 1421617 1421686 1421691) (|NPCoef| "bookvol10.4.pamphlet" 1420821 1420845 1421567 1421572) (|NottinghamGroup| "bookvol10.3.pamphlet" 1420693 1420716 1420794 1420816) (|NormRetractPackage| "bookvol10.4.pamphlet" 1420275 1420326 1420683 1420688) (|NormalizationPackage| "bookvol10.4.pamphlet" 1419105 1419142 1420265 1420270) (|NormInMonogenicAlgebra| "bookvol10.4.pamphlet" 1418767 1418813 1419095 1419100) (|None| "bookvol10.3.pamphlet" 1418506 1418516 1418757 1418762) (|NoneFunctions1| "bookvol10.4.pamphlet" 1418170 1418192 1418496 1418501) (|NonLinearFirstOrderODESolver| "bookvol10.4.pamphlet" 1417605 1417643 1418160 1418165) (|NonNegativeInteger| "bookvol10.3.pamphlet" 1416471 1416495 1417571 1417600) (|NonLinearSolvePackage| "bookvol10.4.pamphlet" 1415078 1415107 1416461 1416466) (|NumericalIntegrationProblem| "bookvol10.3.pamphlet" 1412741 1412774 1415068 1415073) (|NumberFieldIntegralBasis| "bookvol10.4.pamphlet" 1410191 1410226 1412731 1412736) (|NewtonInterpolation| "bookvol10.4.pamphlet" 1409497 1409524 1410181 1410186) (|NonCommutativeOperatorDivision| "bookvol10.4.pamphlet" 1407613 1407653 1409487 1409492) (|NumericContinuedFraction| "bookvol10.4.pamphlet" 1407252 1407284 1407603 1407608) (|NumericComplexEigenPackage| "bookvol10.4.pamphlet" 1405406 1405444 1407242 1407247) (|NonAssociativeRing| "bookvol10.2.pamphlet" 1404988 1405012 1405396 1405401) (|NonAssociativeRing&| NIL 1404567 1404594 1404978 1404983) (|NonAssociativeRng| "bookvol10.2.pamphlet" 1403930 1403953 1404557 1404562) (|NonAssociativeRng&| NIL 1403290 1403316 1403920 1403925) (|NAGLinkSupportPackage| "bookvol10.4.pamphlet" 1402348 1402375 1403280 1403285) (|NagSpecialFunctionsPackage| "bookvol10.4.pamphlet" 1392766 1392798 1402338 1402343) (|NagLapack| "bookvol10.4.pamphlet" 1391259 1391274 1392756 1392761) (|NagLinearEquationSolvingPackage| "bookvol10.4.pamphlet" 1385694 1385731 1391249 1391254) (|NagEigenPackage| "bookvol10.4.pamphlet" 1379837 1379858 1385684 1385689) (|NagMatrixOperationsPackage| "bookvol10.4.pamphlet" 1375623 1375655 1379827 1379832) (|NagOptimisationPackage| "bookvol10.4.pamphlet" 1369397 1369425 1375613 1375618) (|NagFittingPackage| "bookvol10.4.pamphlet" 1360139 1360162 1369387 1369392) (|NagInterpolationPackage| "bookvol10.4.pamphlet" 1356209 1356238 1360129 1360134) (|NagPartialDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1354212 1354256 1356199 1356204) (|NagOrdinaryDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1346981 1347026 1354202 1354207) (|NagIntegrationPackage| "bookvol10.4.pamphlet" 1341506 1341533 1346971 1346976) (|NagSeriesSummationPackage| "bookvol10.4.pamphlet" 1337415 1337446 1341496 1341501) (|NagRootFindingPackage| "bookvol10.4.pamphlet" 1335942 1335969 1337405 1337410) (|NagPolynomialRootsPackage| "bookvol10.4.pamphlet" 1335249 1335280 1335932 1335937) (|NonAssociativeAlgebra| "bookvol10.2.pamphlet" 1334765 1334794 1335200 1335244) (|NonAssociativeAlgebra&| NIL 1334317 1334349 1334755 1334760) (|MyUnivariatePolynomial| "bookvol10.3.pamphlet" 1330463 1330497 1330806 1331083) (|MyExpression| "bookvol10.3.pamphlet" 1328013 1328037 1328095 1328462) (|MultivariateSquareFree| "bookvol10.4.pamphlet" 1324961 1324998 1328003 1328008) (|MultivariateFactorize| "bookvol10.4.pamphlet" 1324340 1324376 1324951 1324956) (|MultivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 1322272 1322323 1324170 1324335) (|MergeThing| "bookvol10.4.pamphlet" 1321923 1321941 1322262 1322267) (|MoreSystemCommands| "bookvol10.4.pamphlet" 1321365 1321389 1321913 1321918) (|Multiset| "bookvol10.3.pamphlet" 1319341 1319357 1321046 1321126) (|MultisetAggregate| "bookvol10.2.pamphlet" 1319130 1319155 1319268 1319336) (|MonoidRing| "bookvol10.3.pamphlet" 1316043 1316063 1318724 1318841) (|MonoidRingFunctions2| "bookvol10.4.pamphlet" 1315587 1315619 1316033 1316038) (|MRationalFactorize| "bookvol10.4.pamphlet" 1315132 1315165 1315577 1315582) (|MPolyCatRationalFunctionFactorizer| "bookvol10.4.pamphlet" 1313173 1313224 1315122 1315127) (|MultivariatePolynomial| "bookvol10.3.pamphlet" 1309621 1309656 1309983 1310217) (|MPolyCatPolyFactorizer| "bookvol10.4.pamphlet" 1308880 1308919 1309611 1309616) (|MPolyCatFunctions3| "bookvol10.4.pamphlet" 1308677 1308733 1308870 1308875) (|MPolyCatFunctions2| "bookvol10.4.pamphlet" 1308412 1308461 1308667 1308672) (|MonomialExtensionTools| "bookvol10.4.pamphlet" 1306767 1306800 1308402 1308407) (|Monoid| "bookvol10.2.pamphlet" 1305665 1305677 1306757 1306762) (|Monoid&| NIL 1304560 1304575 1305655 1305660) (|MonogenicAlgebra| "bookvol10.2.pamphlet" 1303193 1303220 1304339 1304555) (|MonogenicAlgebra&| NIL 1301904 1301934 1303053 1303058) (|MonadWithUnit| "bookvol10.2.pamphlet" 1300046 1300065 1301894 1301899) (|MonadWithUnit&| NIL 1298185 1298207 1300036 1300041) (|Monad| "bookvol10.2.pamphlet" 1297373 1297384 1298175 1298180) (|Monad&| NIL 1296558 1296572 1297363 1297368) (|MoebiusTransform| "bookvol10.3.pamphlet" 1295198 1295222 1296531 1296553) (|Module| "bookvol10.2.pamphlet" 1294890 1294904 1295149 1295193) (|Module&| NIL 1294618 1294635 1294880 1294885) (|ModularRing| "bookvol10.3.pamphlet" 1293913 1293969 1294591 1294613) (|ModuleOperator| "bookvol10.3.pamphlet" 1292423 1292447 1293637 1293754) (|ModuleMonomial| "bookvol10.3.pamphlet" 1291924 1291954 1292413 1292418) (|ModMonic| "bookvol10.3.pamphlet" 1287496 1287518 1288320 1288597) (|ModularField| "bookvol10.3.pamphlet" 1286773 1286830 1287326 1287491) (|MathMLFormat| "bookvol10.3.pamphlet" 1285568 1285586 1286763 1286768) (|MultipleMap| "bookvol10.4.pamphlet" 1285293 1285336 1285558 1285563) (|MonogenicLinearOperator| "bookvol10.2.pamphlet" 1283666 1283697 1285225 1285288) (|MultivariateLifting| "bookvol10.4.pamphlet" 1282265 1282299 1283656 1283661) (|MakeUnaryCompiledFunction| "bookvol10.4.pamphlet" 1281686 1281723 1282255 1282260) (|MakeRecord| "bookvol10.4.pamphlet" 1281270 1281291 1281676 1281681) (|MakeFunction| "bookvol10.4.pamphlet" 1280545 1280565 1281260 1281265) (|MakeFloatCompiledFunction| "bookvol10.4.pamphlet" 1279372 1279405 1280535 1280540) (|MakeCachableSet| "bookvol10.3.pamphlet" 1279137 1279160 1279362 1279367) (|MakeBinaryCompiledFunction| "bookvol10.4.pamphlet" 1278552 1278594 1279127 1279132) (|MachineInteger| "bookvol10.3.pamphlet" 1277900 1277920 1278375 1278547) (|ModularHermitianRowReduction| "bookvol10.4.pamphlet" 1276513 1276549 1277890 1277895) (|MachineFloat| "bookvol10.3.pamphlet" 1274871 1274889 1276323 1276508) (|MultFiniteFactorize| "bookvol10.4.pamphlet" 1274258 1274293 1274861 1274866) (|MeshCreationRoutinesForThreeDimensions| "bookvol10.4.pamphlet" 1272134 1272178 1274248 1274253) (|ModularDistinctDegreeFactorizer| "bookvol10.4.pamphlet" 1270358 1270397 1272124 1272129) (|MultiDictionary| "bookvol10.2.pamphlet" 1269613 1269636 1270313 1270353) (|MachineComplex| "bookvol10.3.pamphlet" 1263526 1263546 1264152 1264557) (|MatrixCommonDenominator| "bookvol10.4.pamphlet" 1262707 1262740 1263516 1263521) (|MultiVariableCalculusFunctions| "bookvol10.4.pamphlet" 1259943 1259993 1262697 1262702) (|StorageEfficientMatrixOperations| "bookvol10.4.pamphlet" 1257193 1257233 1259933 1259938) (|Matrix| "bookvol10.3.pamphlet" 1255948 1255962 1256434 1256486) (|MatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1253302 1253352 1255804 1255809) (|MatrixCategory| "bookvol10.2.pamphlet" 1239393 1239427 1253233 1253297) (|MatrixCategory&| NIL 1225307 1225344 1239150 1239155) (|MatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1224567 1224637 1225297 1225302) (|MappingPackage4| "bookvol10.4.pamphlet" 1223348 1223373 1224557 1224562) (|MappingPackage3| "bookvol10.4.pamphlet" 1222210 1222237 1223338 1223343) (|MappingPackage2| "bookvol10.4.pamphlet" 1221503 1221528 1222200 1222205) (|MappingPackage1| "bookvol10.4.pamphlet" 1220312 1220335 1221493 1221498) (|MappingPackageInternalHacks3| "bookvol10.4.pamphlet" 1220098 1220138 1220302 1220307) (|MappingPackageInternalHacks2| "bookvol10.4.pamphlet" 1219841 1219879 1220088 1220093) (|MappingPackageInternalHacks1| "bookvol10.4.pamphlet" 1219451 1219487 1219831 1219836) (|MatrixManipulation| "bookvol10.4.pamphlet" 1215107 1215147 1219441 1219446) (|Magma| "bookvol10.3.pamphlet" 1213388 1213408 1215097 1215102) (|ModularAlgebraicGcdOperations| "bookvol10.2.pamphlet" 1211217 1211259 1213378 1213383) (|ThreeDimensionalMatrix| "bookvol10.3.pamphlet" 1209141 1209171 1210777 1210782) (|LazyStreamAggregate| "bookvol10.2.pamphlet" 1204872 1204899 1209121 1209136) (|LazyStreamAggregate&| NIL 1200610 1200640 1204862 1204867) (|LyndonWord| "bookvol10.3.pamphlet" 1197840 1197865 1200600 1200605) (|LieSquareMatrix| "bookvol10.3.pamphlet" 1195753 1195780 1196148 1196235) (|LinearSystemPolynomialPackage| "bookvol10.4.pamphlet" 1195269 1195313 1195743 1195748) (|LinearSystemMatrixPackage| "bookvol10.4.pamphlet" 1194052 1194099 1195259 1195264) (|LinearSystemMatrixPackage1| "bookvol10.4.pamphlet" 1191794 1191828 1194042 1194047) (|ListAggregate| "bookvol10.2.pamphlet" 1191415 1191436 1191725 1191789) (|ListAggregate&| NIL 1191092 1191116 1191405 1191410) (|LiePolynomial| "bookvol10.3.pamphlet" 1190196 1190226 1190915 1191001) (|LinearPolynomialEquationByFractions| "bookvol10.4.pamphlet" 1189424 1189467 1190186 1190191) (|LocalParametrizationOfSimplePointPackage| "bookvol10.4.pamphlet" 1187862 1187949 1189414 1189419) (|LeftOreRing| "bookvol10.2.pamphlet" 1187307 1187324 1187771 1187857) (|LinesOpPack| "bookvol10.4.pamphlet" 1185971 1185990 1187297 1187302) (|Localize| "bookvol10.3.pamphlet" 1185328 1185348 1185871 1185915) (|Logic| "bookvol10.2.pamphlet" 1184957 1184968 1185318 1185323) (|Logic&| NIL 1184583 1184597 1184947 1184952) (|LinearOrdinaryDifferentialOperatorsOps| "bookvol10.4.pamphlet" 1183477 1183525 1184573 1184578) (|LinearOrdinaryDifferentialOperator| "bookvol10.3.pamphlet" 1182720 1182769 1183062 1183125) (|LinearOrdinaryDifferentialOperatorFactorizer| "bookvol10.4.pamphlet" 1181707 1181762 1182654 1182659) (|LinearOrdinaryDifferentialOperatorCategory| "bookvol10.2.pamphlet" 1180292 1180342 1181639 1181702) (|LinearOrdinaryDifferentialOperatorCategory&| NIL 1178895 1178948 1180245 1180250) (|LinearOrdinaryDifferentialOperator2| "bookvol10.3.pamphlet" 1178027 1178072 1178480 1178543) (|LinearOrdinaryDifferentialOperator1| "bookvol10.3.pamphlet" 1177286 1177329 1177612 1177675) (|ElementaryFunctionLODESolver| "bookvol10.4.pamphlet" 1175990 1176030 1177276 1177281) (|LocalPowerSeriesCategory| "bookvol10.2.pamphlet" 1174319 1174351 1175820 1175985) (|LinearAggregate| "bookvol10.2.pamphlet" 1170782 1170805 1174299 1174314) (|LinearAggregate&| NIL 1167205 1167231 1170725 1170730) (|ListMonoidOps| "bookvol10.3.pamphlet" 1163806 1163834 1167195 1167200) (|LeftModule| "bookvol10.2.pamphlet" 1163313 1163331 1163796 1163801) (|ListMultiDictionary| "bookvol10.3.pamphlet" 1162353 1162380 1163022 1163074) (|LinearSystemFromPowerSeriesPackage| "bookvol10.4.pamphlet" 1161772 1161818 1162343 1162348) (|List| "bookvol10.3.pamphlet" 1159603 1159615 1161012 1161064) (|ListFunctions3| "bookvol10.4.pamphlet" 1158906 1158932 1159593 1159598) (|ListFunctions2| "bookvol10.4.pamphlet" 1157574 1157598 1158896 1158901) (|ListToMap| "bookvol10.4.pamphlet" 1154430 1154449 1157564 1157569) (|LinearlyExplicitRingOver| "bookvol10.2.pamphlet" 1153779 1153811 1154403 1154425) (|LinearDependence| "bookvol10.4.pamphlet" 1152632 1152658 1153685 1153690) (|RationalFunctionLimitPackage| "bookvol10.4.pamphlet" 1150564 1150600 1152622 1152627) (|PowerSeriesLimitPackage| "bookvol10.4.pamphlet" 1149418 1149452 1150554 1150559) (|AssociatedLieAlgebra| "bookvol10.3.pamphlet" 1147123 1147153 1148401 1148645) (|LieAlgebra| "bookvol10.2.pamphlet" 1146683 1146701 1147032 1147118) (|LieAlgebra&| NIL 1146284 1146305 1146636 1146641) (|Library| "bookvol10.3.pamphlet" 1144627 1144640 1145338 1145366) (|LinGroebnerPackage| "bookvol10.4.pamphlet" 1141993 1142024 1144617 1144622) (|LiouvillianFunction| "bookvol10.4.pamphlet" 1140759 1140788 1141983 1141988) (|LiouvillianFunctionCategory| "bookvol10.2.pamphlet" 1139587 1139620 1140749 1140754) (|LexTriangularPackage| "bookvol10.4.pamphlet" 1135401 1135434 1139577 1139582) (|LieExponentials| "bookvol10.3.pamphlet" 1133616 1133656 1135374 1135396) (|LeadingCoefDetermination| "bookvol10.4.pamphlet" 1132024 1132063 1133606 1133611) (|LazardSetSolvingPackage| "bookvol10.4.pamphlet" 1131113 1131156 1132014 1132019) (|LaurentPolynomial| "bookvol10.3.pamphlet" 1129719 1129747 1130551 1130663) (|LaplaceTransform| "bookvol10.4.pamphlet" 1129254 1129280 1129709 1129714) (|LocalAlgebra| "bookvol10.3.pamphlet" 1128621 1128645 1129143 1129206) (|LeftAlgebra| "bookvol10.2.pamphlet" 1128381 1128400 1128594 1128616) (|LeftAlgebra&| NIL 1128155 1128177 1128371 1128376) (|Kovacic| "bookvol10.4.pamphlet" 1126835 1126853 1128145 1128150) (|ConvertibleTo| "bookvol10.2.pamphlet" 1126548 1126569 1126825 1126830) (|CoercibleTo| "bookvol10.2.pamphlet" 1126276 1126295 1126538 1126543) (|Kernel| "bookvol10.3.pamphlet" 1124775 1124789 1126002 1126007) (|KernelFunctions2| "bookvol10.4.pamphlet" 1124464 1124490 1124765 1124770) (|KeyedDictionary| "bookvol10.2.pamphlet" 1123577 1123612 1124419 1124459) (|KeyedDictionary&| NIL 1122722 1122760 1123567 1123572) (|KeyedAccessFile| "bookvol10.3.pamphlet" 1121194 1121223 1121916 1121968) (|AssociatedJordanAlgebra| "bookvol10.3.pamphlet" 1118875 1118908 1120177 1120421) (|IndexedAggregate| "bookvol10.2.pamphlet" 1117105 1117143 1118855 1118870) (|IndexedAggregate&| NIL 1115158 1115199 1116911 1116916) (|IndexedVector| "bookvol10.3.pamphlet" 1113975 1114001 1114126 1114178) (|InfiniteTuple| "bookvol10.3.pamphlet" 1113084 1113105 1113965 1113970) (|InnerTrigonometricManipulations| "bookvol10.4.pamphlet" 1111822 1111866 1113074 1113079) (|InfiniteTupleFunctions3| "bookvol10.4.pamphlet" 1111307 1111342 1111812 1111817) (|InfiniteTupleFunctions2| "bookvol10.4.pamphlet" 1111030 1111063 1111297 1111302) (|InnerTaylorSeries| "bookvol10.3.pamphlet" 1108720 1108750 1110763 1110979) (|InnerSparseUnivariatePowerSeries| "bookvol10.3.pamphlet" 1100847 1100892 1107463 1107628) (|InnerPolySum| "bookvol10.4.pamphlet" 1100304 1100330 1100837 1100842) (|IndexedString| "bookvol10.3.pamphlet" 1099301 1099325 1099478 1099530) (|InternalRationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 1098251 1098315 1099291 1099296) (|IrrRepSymNatPackage| "bookvol10.4.pamphlet" 1096302 1096327 1098241 1098246) (|IntegrationResultRFToFunction| "bookvol10.4.pamphlet" 1094806 1094843 1096242 1096247) (|IrredPolyOverFiniteField| "bookvol10.4.pamphlet" 1094385 1094418 1094796 1094801) (|IntegerRoots| "bookvol10.4.pamphlet" 1092691 1092711 1094375 1094380) (|IntegrationResult| "bookvol10.3.pamphlet" 1090349 1090374 1092492 1092536) (|IntegrationResultFunctions2| "bookvol10.4.pamphlet" 1089472 1089509 1090339 1090344) (|IntegrationResultToFunction| "bookvol10.4.pamphlet" 1088628 1088665 1089462 1089467) (|InternalPrintPackage| "bookvol10.4.pamphlet" 1088386 1088412 1088618 1088623) (|InnerPrimeField| "bookvol10.3.pamphlet" 1087963 1087988 1088080 1088245) (|InnerPAdicInteger| "bookvol10.3.pamphlet" 1087676 1087717 1087846 1087958) (|InverseLaplaceTransform| "bookvol10.4.pamphlet" 1087256 1087289 1087666 1087671) (|TranscendentalIntegration| "bookvol10.4.pamphlet" 1080259 1080295 1087246 1087251) (|IntegrationTools| "bookvol10.4.pamphlet" 1077962 1077988 1079681 1079686) (|IntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 1077248 1077290 1077952 1077957) (|Interval| "bookvol10.3.pamphlet" 1076967 1076983 1077111 1077243) (|RationalFunctionIntegration| "bookvol10.4.pamphlet" 1075310 1075345 1076957 1076962) (|IntegerRetractions| "bookvol10.4.pamphlet" 1074787 1074813 1075300 1075305) (|RationalIntegration| "bookvol10.4.pamphlet" 1073443 1073473 1074777 1074782) (|PatternMatchIntegration| "bookvol10.4.pamphlet" 1071614 1071647 1072961 1072966) (|PureAlgebraicIntegration| "bookvol10.4.pamphlet" 1069213 1069249 1071506 1071511) (|AnnaNumericalIntegrationPackage| "bookvol10.4.pamphlet" 1059709 1059746 1069203 1069208) (|Integer| "bookvol10.3.pamphlet" 1058955 1058968 1059453 1059704) (|TranscendentalHermiteIntegration| "bookvol10.4.pamphlet" 1058195 1058238 1058945 1058950) (|AlgebraicHermiteIntegration| "bookvol10.4.pamphlet" 1057819 1057864 1058185 1058190) (|IntegerNumberTheoryFunctions| "bookvol10.4.pamphlet" 1054172 1054206 1057809 1057814) (|GenusZeroIntegration| "bookvol10.4.pamphlet" 1047276 1047308 1054064 1054069) (|IntegrationFunctionsTable| "bookvol10.3.pamphlet" 1041251 1041282 1047266 1047271) (|InterpolateFormsPackage| "bookvol10.4.pamphlet" 1040382 1040460 1041241 1041246) (|IntegerFactorizationPackage| "bookvol10.4.pamphlet" 1039443 1039478 1040372 1040377) (|InterfaceGroebnerPackage| "bookvol10.4.pamphlet" 1039289 1039335 1039433 1039438) (|ElementaryIntegration| "bookvol10.4.pamphlet" 1037632 1037663 1039279 1039284) (|IntegralDomain| "bookvol10.2.pamphlet" 1036229 1036249 1037515 1037627) (|IntegralDomain&| NIL 1034930 1034953 1036219 1036224) (|IntersectionDivisorPackage| "bookvol10.4.pamphlet" 1034052 1034163 1034920 1034925) (|IntervalCategory| "bookvol10.2.pamphlet" 1032608 1032632 1033915 1034047) (|IntegerBits| "bookvol10.4.pamphlet" 1032130 1032147 1032598 1032603) (|AlgebraicIntegrate| "bookvol10.4.pamphlet" 1031276 1031315 1032120 1032125) (|AlgebraicIntegration| "bookvol10.4.pamphlet" 1030738 1030768 1031266 1031271) (|InnerTable| "bookvol10.3.pamphlet" 1029654 1029693 1029825 1029877) (|IntegerNumberSystem| "bookvol10.2.pamphlet" 1026892 1026917 1029477 1029649) (|IntegerNumberSystem&| NIL 1024294 1024322 1026882 1026887) (|InnerPolySign| "bookvol10.4.pamphlet" 1023731 1023755 1024284 1024289) (|InfiniteProductPrimeField| "bookvol10.4.pamphlet" 1022804 1022846 1023721 1023726) (|InfiniteProductFiniteField| "bookvol10.4.pamphlet" 1021868 1021916 1022794 1022799) (|InnerMultFact| "bookvol10.4.pamphlet" 1020863 1020891 1021858 1021863) (|InnerModularGcd| "bookvol10.4.pamphlet" 1020007 1020050 1020853 1020858) (|InnerNumericFloatSolvePackage| "bookvol10.4.pamphlet" 1018329 1018374 1019997 1020002) (|InfiniteProductCharacteristicZero| "bookvol10.4.pamphlet" 1017378 1017428 1018319 1018324) (|InputForm| "bookvol10.3.pamphlet" 1014292 1014307 1017368 1017373) (|InputFormFunctions1| "bookvol10.4.pamphlet" 1013920 1013947 1014282 1014287) (|Infinity| "bookvol10.4.pamphlet" 1013502 1013516 1013910 1013915) (|InfinitlyClosePoint| "bookvol10.3.pamphlet" 1012902 1012982 1013492 1013497) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1012288 1012367 1012892 1012897) (|InfinitlyClosePointCategory| "bookvol10.2.pamphlet" 1010916 1011004 1012278 1012283) (|InnerNumericEigenPackage| "bookvol10.4.pamphlet" 1009442 1009482 1010906 1010911) (|IndexedExponents| "bookvol10.3.pamphlet" 1009334 1009365 1009432 1009437) (|IncrementingMaps| "bookvol10.4.pamphlet" 1008737 1008761 1009324 1009329) (|InnerNormalBasisFieldFunctions| "bookvol10.4.pamphlet" 1004603 1004642 1008727 1008732) (|IndexedMatrix| "bookvol10.3.pamphlet" 1003628 1003665 1004151 1004203) (|InnerMatrixQuotientFieldFunctions| "bookvol10.4.pamphlet" 1002676 1002751 1003571 1003576) (|InnerMatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1001245 1001300 1002619 1002624) (|IndexedList| "bookvol10.3.pamphlet" 999999 1000023 1000527 1000579) (|InnerIndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 999648 999715 999782 999834) (|InnerFiniteField| "bookvol10.3.pamphlet" 998868 998898 999133 999298) (|IndexedFlexibleArray| "bookvol10.3.pamphlet" 995959 995992 998150 998202) (|InnerFreeAbelianMonoid| "bookvol10.3.pamphlet" 995759 995796 995897 995902) (|InnerEvalable| "bookvol10.2.pamphlet" 995145 995168 995749 995754) (|InnerEvalable&| NIL 994528 994554 995135 995140) (|IndexedDirectProductObject| "bookvol10.3.pamphlet" 994317 994353 994518 994523) (|IndexedDirectProductOrderedAbelianMonoidSup| "bookvol10.3.pamphlet" 994049 994102 994307 994312) (|IndexedDirectProductOrderedAbelianMonoid| "bookvol10.3.pamphlet" 993746 993796 994039 994044) (|IndexedDirectProductCategory| "bookvol10.2.pamphlet" 992658 992696 993736 993741) (|IndexedDirectProductAbelianMonoid| "bookvol10.3.pamphlet" 992387 992430 992648 992653) (|IndexedDirectProductAbelianGroup| "bookvol10.3.pamphlet" 992119 992161 992377 992382) (|IdealDecompositionPackage| "bookvol10.4.pamphlet" 989368 989409 992109 992114) (|PolynomialIdeals| "bookvol10.3.pamphlet" 984424 984473 989289 989294) (|InfClsPt| "bookvol10.3.pamphlet" 983875 983904 984414 984419) (|InnerCommonDenominator| "bookvol10.4.pamphlet" 983088 983124 983865 983870) (|IndexCard| "bookvol10.3.pamphlet" 982364 982379 983078 983083) (|IntegralBasisPolynomialTools| "bookvol10.4.pamphlet" 980981 981024 982354 982359) (|IndexedBits| "bookvol10.3.pamphlet" 980138 980160 980559 980611) (|IntegralBasisTools| "bookvol10.4.pamphlet" 977053 977084 980128 980133) (|ChineseRemainderToolsForIntegralBases| "bookvol10.4.pamphlet" 975928 975978 977043 977048) (|IndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 975588 975638 975711 975763) (|IndexedOneDimensionalArray| "bookvol10.3.pamphlet" 974753 974792 974870 974922) (|InnerAlgebraicNumber| "bookvol10.3.pamphlet" 972870 972896 974481 974646) (|InnerAlgFactor| "bookvol10.4.pamphlet" 972419 972460 972860 972865) (|HyperbolicFunctionCategory| "bookvol10.2.pamphlet" 971773 971805 972409 972414) (|HyperbolicFunctionCategory&| NIL 971124 971159 971763 971768) (|HTMLFormat| "bookvol10.3.pamphlet" 969968 969984 971114 971119) (|HomogeneousAggregate| "bookvol10.2.pamphlet" 967744 967772 969948 969963) (|HomogeneousAggregate&| NIL 965321 965352 967528 967533) (|HexadecimalExpansion| "bookvol10.3.pamphlet" 962459 962485 963075 963240) (|HeuGcd| "bookvol10.4.pamphlet" 961407 961422 962449 962454) (|HyperellipticFiniteDivisor| "bookvol10.3.pamphlet" 961019 961063 961397 961402) (|Heap| "bookvol10.3.pamphlet" 957107 957119 960802 960854) (|HomogeneousDirectProduct| "bookvol10.3.pamphlet" 946889 946927 947271 947475) (|HomogeneousDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 943058 943115 943699 943933) (|HallBasis| "bookvol10.4.pamphlet" 941647 941662 943048 943053) (|HashTable| "bookvol10.3.pamphlet" 940518 940556 940734 940786) (|Pi| "bookvol10.3.pamphlet" 940057 940065 940348 940513) (|GuessUnivariatePolynomial| "bookvol10.4.pamphlet" 926131 926166 940047 940052) (|GuessPolynomial| "bookvol10.4.pamphlet" 925805 925826 925918 925923) (|Guess| "bookvol10.4.pamphlet" 910070 910112 925649 925654) (|GuessInteger| "bookvol10.4.pamphlet" 909779 909797 909887 909892) (|GuessFinite| "bookvol10.4.pamphlet" 909582 909601 909700 909705) (|GuessFiniteFunctions| "bookvol10.4.pamphlet" 909445 909473 909572 909577) (|GuessAlgebraicNumber| "bookvol10.4.pamphlet" 909233 909259 909351 909356) (|GeneralTriangularSet| "bookvol10.3.pamphlet" 908350 908384 908854 908906) (|GeneralSparseTable| "bookvol10.3.pamphlet" 907273 907324 907461 907489) (|GeneralUnivariatePowerSeries| "bookvol10.3.pamphlet" 903950 904003 904935 905187) (|Group| "bookvol10.2.pamphlet" 902918 902929 903923 903945) (|Group&| NIL 901900 901914 902908 902913) (|GroebnerSolve| "bookvol10.4.pamphlet" 900484 900512 901890 901895) (|GradedModule| "bookvol10.2.pamphlet" 899114 899136 900474 900479) (|GradedModule&| NIL 897741 897766 899104 899109) (|GraphImage| "bookvol10.3.pamphlet" 890772 890788 897731 897736) (|GraphicsDefaults| "bookvol10.4.pamphlet" 889153 889175 890762 890767) (|GrayCode| "bookvol10.4.pamphlet" 887688 887702 889143 889148) (|GradedAlgebra| "bookvol10.2.pamphlet" 886880 886903 887678 887683) (|GradedAlgebra&| NIL 886069 886095 886870 886875) (|GeneralPolynomialSet| "bookvol10.3.pamphlet" 885500 885541 885730 885782) (|GeneralPackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 880233 880357 885452 885457) (|GosperSummationMethod| "bookvol10.4.pamphlet" 879483 879520 880223 880228) (|GuessOption| "bookvol10.3.pamphlet" 873767 873784 879473 879478) (|GuessOptionFunctions0| "bookvol10.3.pamphlet" 870163 870190 873757 873762) (|GeneralModulePolynomial| "bookvol10.3.pamphlet" 869242 869290 870114 870158) (|GeneralHenselPackage| "bookvol10.4.pamphlet" 868396 868428 869232 869237) (|GenerateUnivariatePowerSeries| "bookvol10.4.pamphlet" 864182 864222 868386 868391) (|GenUFactorize| "bookvol10.4.pamphlet" 863775 863796 864172 864177) (|GeneralPolynomialGcdPackage| "bookvol10.4.pamphlet" 863400 863442 863765 863770) (|GeneralizedMultivariateFactorize| "bookvol10.4.pamphlet" 862837 862886 863390 863395) (|GenExEuclid| "bookvol10.4.pamphlet" 861310 861332 862827 862832) (|GnuDraw| "bookvol10.4.pamphlet" 859770 859783 861300 861305) (|GeneralDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 855789 855844 856580 856814) (|GenericNonAssociativeAlgebra| "bookvol10.3.pamphlet" 849629 849682 855478 855595) (|GcdDomain| "bookvol10.2.pamphlet" 848533 848548 849512 849624) (|GcdDomain&| NIL 847541 847559 848523 848528) (|GroebnerPackage| "bookvol10.4.pamphlet" 843072 843123 847494 847499) (|GroebnerInternalPackage| "bookvol10.4.pamphlet" 839149 839208 843062 843067) (|GroebnerFactorizationPackage| "bookvol10.4.pamphlet" 834588 834652 839139 839144) (|EuclideanGroebnerBasisPackage| "bookvol10.4.pamphlet" 831214 831279 834578 834583) (|GaussianFactorizationPackage| "bookvol10.4.pamphlet" 830511 830545 831204 831209) (|GaloisGroupUtilities| "bookvol10.4.pamphlet" 828802 828830 830450 830455) (|GaloisGroupPolynomialUtilities| "bookvol10.4.pamphlet" 827241 827282 828792 828797) (|GaloisGroupFactorizationUtilities| "bookvol10.4.pamphlet" 825419 825465 827231 827236) (|GaloisGroupFactorizer| "bookvol10.4.pamphlet" 815838 815868 825409 825414) (|FortranVectorFunctionCategory| "bookvol10.2.pamphlet" 812754 812789 815818 815833) (|FortranVectorCategory| "bookvol10.2.pamphlet" 811779 811806 812734 812749) (|FunctionCalled| "bookvol10.3.pamphlet" 811616 811640 811769 811774) (|FortranType| "bookvol10.3.pamphlet" 809839 809856 811606 811611) (|FortranTemplate| "bookvol10.3.pamphlet" 808997 809018 809829 809834) (|FunctionSpaceUnivariatePolynomialFactor| "bookvol10.4.pamphlet" 807986 808038 808909 808914) (|FortranScalarType| "bookvol10.3.pamphlet" 806115 806138 807976 807981) (|FunctionSpaceReduce| "bookvol10.4.pamphlet" 805526 805555 806105 806110) (|FunctionSpacePrimitiveElement| "bookvol10.4.pamphlet" 804340 804379 805460 805465) (|FunctionalSpecialFunction| "bookvol10.4.pamphlet" 801608 801643 804330 804335) (|FunctionSpace| "bookvol10.2.pamphlet" 795360 795381 801224 801603) (|FunctionSpace&| NIL 788919 788943 794786 794791) (|FunctionSpaceIntegration| "bookvol10.4.pamphlet" 788517 788551 788909 788914) (|FourierSeries| "bookvol10.3.pamphlet" 787766 787789 788269 788424) (|FunctionSpaceComplexIntegration| "bookvol10.4.pamphlet" 787005 787046 787756 787761) (|FiniteSetAggregate| "bookvol10.2.pamphlet" 786125 786151 786908 787000) (|FiniteSetAggregate&| NIL 785247 785276 786033 786038) (|FiniteSetAggregateFunctions2| "bookvol10.4.pamphlet" 783964 784006 785237 785242) (|FunctionSpaceToUnivariatePowerSeries| "bookvol10.4.pamphlet" 778421 778489 783954 783959) (|FunctionSpaceFunctions2| "bookvol10.4.pamphlet" 778012 778049 778411 778416) (|FunctionSpaceToExponentialExpansion| "bookvol10.4.pamphlet" 777142 777198 778002 778007) (|FactoredFunctionUtilities| "bookvol10.4.pamphlet" 776119 776152 777132 777137) (|Factored| "bookvol10.3.pamphlet" 767823 767839 774877 774989) (|FramedNonAssociativeAlgebra| "bookvol10.2.pamphlet" 762945 762980 767729 767818) (|FramedNonAssociativeAlgebra&| NIL 758111 758149 762898 762903) (|FramedNonAssociativeAlgebraFunctions2| "bookvol10.4.pamphlet" 757524 757577 758101 758106) (|FramedModule| "bookvol10.3.pamphlet" 756918 756954 757445 757450) (|FractionalIdeal| "bookvol10.3.pamphlet" 756135 756165 756891 756913) (|FractionalIdealFunctions2| "bookvol10.4.pamphlet" 755850 755905 756125 756130) (|FullyRetractableTo| "bookvol10.2.pamphlet" 755508 755534 755840 755845) (|FullyRetractableTo&| NIL 754995 755024 755330 755335) (|FramedAlgebra| "bookvol10.2.pamphlet" 753366 753390 754927 754990) (|FramedAlgebra&| NIL 751792 751819 753356 753361) (|Fraction| "bookvol10.3.pamphlet" 748044 748060 748435 748729) (|FractionFunctions2| "bookvol10.4.pamphlet" 747641 747669 748034 748039) (|FactoredFunctions2| "bookvol10.4.pamphlet" 746983 747011 747631 747636) (|FloatingPointSystem| "bookvol10.2.pamphlet" 743835 743860 746793 746978) (|FloatingPointSystem&| NIL 740765 740793 743726 743731) (|FieldOfPrimeCharacteristic| "bookvol10.2.pamphlet" 739723 739755 740595 740760) (|FieldOfPrimeCharacteristic&| NIL 738838 738873 739713 739718) (|FullyPatternMatchable| "bookvol10.2.pamphlet" 738571 738600 738818 738833) (|FullPartialFractionExpansion| "bookvol10.3.pamphlet" 737299 737338 738561 738566) (|FortranProgram| "bookvol10.3.pamphlet" 735771 735833 737289 737294) (|FortranPackage| "bookvol10.4.pamphlet" 734708 734728 735761 735766) (|FortranFunctionCategory| "bookvol10.2.pamphlet" 731777 731806 734688 734703) (|FortranProgramCategory| "bookvol10.2.pamphlet" 731460 731488 731757 731772) (|ScriptFormulaFormat| "bookvol10.3.pamphlet" 728837 728862 731450 731455) (|ScriptFormulaFormat1| "bookvol10.4.pamphlet" 728298 728326 728827 728832) (|FindOrderFinite| "bookvol10.4.pamphlet" 728070 728103 728288 728293) (|FortranOutputStackPackage| "bookvol10.4.pamphlet" 727248 727279 728060 728065) (|FreeNilpotentLie| "bookvol10.3.pamphlet" 726639 726675 727199 727243) (|FileNameCategory| "bookvol10.2.pamphlet" 724969 724991 726629 726634) (|FileName| "bookvol10.3.pamphlet" 724855 724869 724959 724964) (|FortranMachineTypeCategory| "bookvol10.2.pamphlet" 724586 724618 724738 724850) (|FreeMonoid| "bookvol10.3.pamphlet" 721340 721358 724534 724539) (|FreeModule| "bookvol10.3.pamphlet" 721005 721025 721244 721288) (|FortranMatrixFunctionCategory| "bookvol10.2.pamphlet" 717928 717963 720985 721000) (|FortranMatrixCategory| "bookvol10.2.pamphlet" 716953 716980 717908 717923) (|FreeModuleCat| "bookvol10.2.pamphlet" 714619 714648 716904 716948) (|FreeModule1| "bookvol10.3.pamphlet" 714042 714063 714523 714567) (|FloatingRealPackage| "bookvol10.4.pamphlet" 711833 711864 714032 714037) (|Float| "bookvol10.3.pamphlet" 708626 708637 711590 711828) (|FloatingComplexPackage| "bookvol10.4.pamphlet" 706072 706106 708616 708621) (|FullyLinearlyExplicitRingOver| "bookvol10.2.pamphlet" 705740 705777 706045 706067) (|FullyLinearlyExplicitRingOver&| NIL 705341 705381 705649 705654) (|FiniteLinearAggregateSort| "bookvol10.4.pamphlet" 704574 704609 705331 705336) (|FreeLieAlgebra| "bookvol10.2.pamphlet" 702612 702643 704483 704569) (|FiniteLinearAggregate| "bookvol10.2.pamphlet" 699787 699816 702568 702607) (|FiniteLinearAggregate&| NIL 696857 696889 699641 699646) (|FiniteLinearAggregateFunctions2| "bookvol10.4.pamphlet" 695549 695594 696847 696852) (|FiniteRankAlgebra| "bookvol10.2.pamphlet" 693631 693659 695481 695544) (|FiniteRankAlgebra&| NIL 691624 691655 693477 693482) (|Finite| "bookvol10.2.pamphlet" 690615 690627 691614 691619) (|Finite&| NIL 689603 689618 690605 690610) (|FiniteRankNonAssociativeAlgebra| "bookvol10.2.pamphlet" 678887 678926 689509 689598) (|FiniteRankNonAssociativeAlgebra&| NIL 668206 668248 678831 678836) (|File| "bookvol10.3.pamphlet" 667791 667803 668196 668201) (|FileCategory| "bookvol10.2.pamphlet" 666228 666255 667781 667786) (|Field| "bookvol10.2.pamphlet" 665491 665502 666058 666223) (|Field&| NIL 664911 664925 665481 665486) (|FreeGroup| "bookvol10.3.pamphlet" 663438 663455 664884 664906) (|FGLMIfCanPackage| "bookvol10.4.pamphlet" 662331 662360 663428 663433) (|FiniteFieldExtension| "bookvol10.3.pamphlet" 661611 661644 661916 662081) (|FiniteFieldSquareFreeDecomposition| "bookvol10.4.pamphlet" 661452 661501 661601 661606) (|FiniteFieldSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 660921 660976 661442 661447) (|FiniteFieldPolynomialPackage| "bookvol10.4.pamphlet" 652294 652331 660911 660916) (|FiniteFieldPolynomialPackage2| "bookvol10.4.pamphlet" 651353 651393 652284 652289) (|FiniteFieldExtensionByPolynomial| "bookvol10.3.pamphlet" 650688 650738 650938 651103) (|FiniteField| "bookvol10.3.pamphlet" 649976 650001 650198 650363) (|FiniteFieldNormalBasisExtension| "bookvol10.3.pamphlet" 648366 648415 649561 649726) (|FiniteFieldNormalBasisExtensionByPolynomial| "bookvol10.3.pamphlet" 646730 646788 647951 648116) (|FiniteFieldNormalBasis| "bookvol10.3.pamphlet" 645080 645121 646240 646405) (|FunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 642430 642469 645070 645075) (|FiniteFieldCategory| "bookvol10.2.pamphlet" 639939 639964 642260 642425) (|FiniteFieldCategory&| NIL 637605 637633 639929 639934) (|FiniteFieldHomomorphisms| "bookvol10.4.pamphlet" 636376 636415 637595 637600) (|FiniteFieldFunctions| "bookvol10.4.pamphlet" 633833 633862 636366 636371) (|FractionFreeFastGaussian| "bookvol10.4.pamphlet" 627937 627971 633823 633828) (|FractionFreeFastGaussianFractions| "bookvol10.4.pamphlet" 626585 626631 627927 627932) (|FiniteFieldFactorizationWithSizeParseBySideEffect| "bookvol10.4.pamphlet" 625957 626021 626575 626580) (|FiniteFieldFactorization| "bookvol10.4.pamphlet" 625856 625895 625947 625952) (|FiniteFieldCyclicGroupExtension| "bookvol10.3.pamphlet" 624577 624626 625441 625606) (|FiniteFieldCyclicGroupExtensionByPolynomial| "bookvol10.3.pamphlet" 623320 623381 624162 624327) (|FiniteFieldCyclicGroup| "bookvol10.3.pamphlet" 621956 621997 622830 622995) (|FunctionFieldCategory| "bookvol10.2.pamphlet" 610647 610684 621696 621951) (|FunctionFieldCategory&| NIL 599508 599548 610560 610565) (|FunctionFieldCategoryFunctions2| "bookvol10.4.pamphlet" 599218 599287 599498 599503) (|FortranExpression| "bookvol10.3.pamphlet" 591811 591872 598906 598969) (|FullyEvalableOver| "bookvol10.2.pamphlet" 591506 591531 591801 591806) (|FullyEvalableOver&| NIL 590960 590988 591258 591263) (|FiniteDivisor| "bookvol10.3.pamphlet" 590404 590435 590950 590955) (|FiniteDivisorCategory| "bookvol10.2.pamphlet" 588401 588440 590394 590399) (|FiniteDivisorCategory&| NIL 586395 586437 588391 588396) (|FiniteDivisorFunctions2| "bookvol10.4.pamphlet" 586120 586181 586385 586390) (|FortranCodePackage1| "bookvol10.4.pamphlet" 584664 584689 586110 586115) (|FourierComponent| "bookvol10.3.pamphlet" 584181 584205 584654 584659) (|FortranCode| "bookvol10.3.pamphlet" 574137 574154 584171 584176) (|FiniteAlgebraicExtensionField| "bookvol10.2.pamphlet" 567319 567356 573967 574132) (|FiniteAlgebraicExtensionField&| NIL 560620 560660 567271 567276) (|FlexibleArray| "bookvol10.3.pamphlet" 558913 558934 559902 559954) (|FiniteAbelianMonoidRing| "bookvol10.2.pamphlet" 556966 556999 558743 558908) (|FiniteAbelianMonoidRing&| NIL 555038 555074 556818 556823) (|FiniteAbelianMonoidRingFunctions2| "bookvol10.4.pamphlet" 554581 554634 555028 555033) (|FreeAbelianMonoid| "bookvol10.3.pamphlet" 554189 554214 554501 554506) (|FreeAbelianMonoidCategory| "bookvol10.2.pamphlet" 552349 552384 554179 554184) (|FreeAbelianGroup| "bookvol10.3.pamphlet" 551901 551925 552197 552241) (|FactoringUtilities| "bookvol10.4.pamphlet" 550097 550130 551891 551896) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| "bookvol10.4.pamphlet" 549926 549989 550087 550092) (|FactoredFunctions| "bookvol10.4.pamphlet" 549105 549130 549916 549921) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.4.pamphlet" 548926 548997 549095 549100) (|ExponentialOfUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 545259 545316 546588 546840) (|ExpressionTubePlot| "bookvol10.4.pamphlet" 542711 542735 545249 545254) (|ExpressionSolve| "bookvol10.4.pamphlet" 542604 542642 542701 542706) (|ExpressionSpaceODESolver| "bookvol10.4.pamphlet" 539330 539364 542594 542599) (|Expression| "bookvol10.3.pamphlet" 533411 533429 534141 534764) (|ExpressionToUnivariatePowerSeries| "bookvol10.4.pamphlet" 529470 529514 533401 533406) (|ExpressionFunctions2| "bookvol10.4.pamphlet" 529222 529252 529460 529465) (|ExponentialExpansion| "bookvol10.3.pamphlet" 524154 524197 524810 524975) (|Export3D| "bookvol10.4.pamphlet" 524001 524015 524144 524149) (|Exit| "bookvol10.3.pamphlet" 523670 523680 523991 523996) (|EvaluateCycleIndicators| "bookvol10.4.pamphlet" 523147 523178 523660 523665) (|Evalable| "bookvol10.2.pamphlet" 522705 522721 523137 523142) (|Evalable&| NIL 522260 522279 522695 522700) (|EuclideanDomain| "bookvol10.2.pamphlet" 519776 519797 522143 522255) (|EuclideanDomain&| NIL 517396 517420 519766 519771) (|ExpertSystemToolsPackage| "bookvol10.4.pamphlet" 509232 509262 517386 517391) (|ExpertSystemToolsPackage2| "bookvol10.4.pamphlet" 508804 508841 509222 509227) (|ExpertSystemToolsPackage1| "bookvol10.4.pamphlet" 508466 508500 508794 508799) (|ExpressionSpace| "bookvol10.2.pamphlet" 501400 501421 508456 508461) (|ExpressionSpace&| NIL 494223 494247 501282 501287) (|ExpertSystemContinuityPackage| "bookvol10.4.pamphlet" 491005 491040 494213 494218) (|ExpertSystemContinuityPackage1| "bookvol10.4.pamphlet" 490718 490758 490995 491000) (|ExpressionSpaceFunctions2| "bookvol10.4.pamphlet" 490206 490241 490708 490713) (|ExpressionSpaceFunctions1| "bookvol10.4.pamphlet" 489745 489780 490196 490201) (|ErrorFunctions| "bookvol10.4.pamphlet" 487209 487229 489735 489740) (|EqTable| "bookvol10.3.pamphlet" 486082 486109 486296 486348) (|Equation| "bookvol10.3.pamphlet" 480557 480573 483310 483449) (|EquationFunctions2| "bookvol10.4.pamphlet" 480259 480287 480547 480552) (|EigenPackage| "bookvol10.4.pamphlet" 476603 476623 480249 480254) (|EntireRing| "bookvol10.2.pamphlet" 476104 476120 476512 476598) (|EuclideanModularRing| "bookvol10.3.pamphlet" 475231 475298 475987 476099) (|EltableAggregate| "bookvol10.2.pamphlet" 473673 473706 475221 475226) (|EltableAggregate&| NIL 472065 472101 473616 473621) (|Eltable| "bookvol10.2.pamphlet" 471592 471615 472055 472060) (|EllipticFunctionsUnivariateTaylorSeries| "bookvol10.4.pamphlet" 470944 471000 471582 471587) (|ElementaryFunctionCategory| "bookvol10.2.pamphlet" 470617 470649 470934 470939) (|ElementaryFunctionCategory&| NIL 470287 470322 470607 470612) (|ExtensibleLinearAggregate| "bookvol10.2.pamphlet" 468167 468200 470242 470282) (|ExtensibleLinearAggregate&| NIL 465992 466028 468070 468075) (|ElementaryFunctionsUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 462724 462794 465945 465950) (|ElementaryFunctionsUnivariateLaurentSeries| "bookvol10.3.pamphlet" 459517 459580 462677 462682) (|ElementaryFunctionStructurePackage| "bookvol10.4.pamphlet" 457486 457530 459507 459512) (|ElementaryFunction| "bookvol10.4.pamphlet" 452250 452278 457476 457481) (|ExtAlgBasis| "bookvol10.3.pamphlet" 450555 450572 452240 452245) (|e04ucfAnnaType| "bookvol10.3.pamphlet" 450081 450101 450545 450550) (|e04nafAnnaType| "bookvol10.3.pamphlet" 449648 449668 450071 450076) (|e04mbfAnnaType| "bookvol10.3.pamphlet" 449218 449238 449638 449643) (|e04jafAnnaType| "bookvol10.3.pamphlet" 448744 448764 449208 449213) (|e04gcfAnnaType| "bookvol10.3.pamphlet" 448270 448290 448734 448739) (|e04fdfAnnaType| "bookvol10.3.pamphlet" 447796 447816 448260 448265) (|e04dgfAnnaType| "bookvol10.3.pamphlet" 447322 447342 447786 447791) (|e04AgentsPackage| "bookvol10.4.pamphlet" 443050 443072 447312 447317) (|DifferentialVariableCategory| "bookvol10.2.pamphlet" 439773 439809 443040 443045) (|DifferentialVariableCategory&| NIL 436493 436532 439763 439768) (|DesingTreePackage| "bookvol10.4.pamphlet" 433563 433665 436483 436488) (|DesingTree| "bookvol10.3.pamphlet" 432714 432732 433346 433398) (|DesingTreeCategory| "bookvol10.2.pamphlet" 432267 432293 432645 432709) (|DifferentialSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 428735 428787 429066 429300) (|DrawOption| "bookvol10.3.pamphlet" 422490 422506 428725 428730) (|DrawOptionFunctions1| "bookvol10.4.pamphlet" 422143 422171 422480 422485) (|DrawOptionFunctions0| "bookvol10.4.pamphlet" 417084 417110 422133 422138) (|TopLevelDrawFunctionsForPoints| "bookvol10.4.pamphlet" 415297 415333 417074 417079) (|TopLevelDrawFunctions| "bookvol10.4.pamphlet" 408186 408218 415287 415292) (|DrawNumericHack| "bookvol10.4.pamphlet" 407436 407459 408176 408181) (|DrawComplex| "bookvol10.4.pamphlet" 404852 404869 407426 407431) (|TopLevelDrawFunctionsForAlgebraicCurves| "bookvol10.4.pamphlet" 404362 404414 404842 404847) (|TopLevelDrawFunctionsForCompiledFunctions| "bookvol10.4.pamphlet" 393763 393810 404352 404357) (|DequeueAggregate| "bookvol10.2.pamphlet" 391934 391958 393694 393758) (|DifferentialPolynomialCategory| "bookvol10.2.pamphlet" 387196 387240 391695 391929) (|DifferentialPolynomialCategory&| NIL 382636 382683 387138 387143) (|DirectProductModule| "bookvol10.3.pamphlet" 374403 374436 374542 374981) (|DirectProductMatrixModule| "bookvol10.3.pamphlet" 366161 366202 366309 366748) (|DistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 362387 362433 362971 363205) (|DiscreteLogarithmPackage| "bookvol10.4.pamphlet" 361705 361737 362377 362382) (|DataList| "bookvol10.3.pamphlet" 360290 360306 360987 361039) (|DoublyLinkedAggregate| "bookvol10.2.pamphlet" 358718 358747 360270 360285) (|DivisionRing| "bookvol10.2.pamphlet" 358114 358132 358627 358713) (|DivisionRing&| NIL 357588 357609 358104 358109) (|Divisor| "bookvol10.3.pamphlet" 357396 357411 357480 357524) (|DivisorCategory| "bookvol10.2.pamphlet" 356131 356154 357347 357391) (|DisplayPackage| "bookvol10.4.pamphlet" 354333 354353 356121 356126) (|DirichletRing| "bookvol10.3.pamphlet" 353494 353520 354061 354281) (|DirectProduct| "bookvol10.3.pamphlet" 343022 343049 343658 343862) (|DirectProductFunctions2| "bookvol10.4.pamphlet" 341862 341901 343012 343017) (|DirectProductCategory| "bookvol10.2.pamphlet" 340701 340736 341641 341857) (|DirectProductCategory&| NIL 339245 339283 340188 340193) (|DiophantineSolutionPackage| "bookvol10.4.pamphlet" 338066 338098 339235 339240) (|DictionaryOperations| "bookvol10.2.pamphlet" 337115 337143 338021 338061) (|DictionaryOperations&| NIL 336150 336181 337059 337064) (|DifferentialRing| "bookvol10.2.pamphlet" 335250 335272 336123 336145) (|DifferentialRing&| NIL 334364 334389 335240 335245) (|DifferentialExtension| "bookvol10.2.pamphlet" 333489 333518 334337 334359) (|DifferentialExtension&| NIL 332499 332531 333350 333355) (|Dictionary| "bookvol10.2.pamphlet" 332098 332116 332454 332494) (|Dictionary&| NIL 331729 331750 332088 332093) (|DenavitHartenbergMatrix| "bookvol10.3.pamphlet" 329894 329925 331277 331329) (|DoubleFloatVector| "bookvol10.3.pamphlet" 328248 328271 328649 328701) (|DoubleFloatSpecialFunctions| "bookvol10.4.pamphlet" 319417 319450 328238 328243) (|DoubleFloatMatrix| "bookvol10.3.pamphlet" 318442 318465 318872 318924) (|DoubleFloat| "bookvol10.3.pamphlet" 314738 314755 318252 318437) (|DefiniteIntegrationTools| "bookvol10.4.pamphlet" 312955 312989 314728 314733) (|DeRhamComplex| "bookvol10.3.pamphlet" 310895 310938 312928 312950) (|Dequeue| "bookvol10.3.pamphlet" 305033 305048 310678 310730) (|DegreeReductionPackage| "bookvol10.4.pamphlet" 304628 304662 305023 305028) (|RationalFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 302060 302103 304618 304623) (|ElementaryFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 300509 300556 302050 302055) (|DecimalExpansion| "bookvol10.3.pamphlet" 297663 297685 298263 298428) (|DistinctDegreeFactorize| "bookvol10.4.pamphlet" 295523 295557 297653 297658) (|DoubleResultantPackage| "bookvol10.4.pamphlet" 295115 295155 295513 295518) (|Database| "bookvol10.3.pamphlet" 293762 293778 295105 295110) (|d03fafAnnaType| "bookvol10.3.pamphlet" 293578 293598 293752 293757) (|d03eefAnnaType| "bookvol10.3.pamphlet" 293386 293406 293568 293573) (|d03AgentsPackage| "bookvol10.4.pamphlet" 292317 292339 293376 293381) (|d02ejfAnnaType| "bookvol10.3.pamphlet" 291769 291789 292307 292312) (|d02cjfAnnaType| "bookvol10.3.pamphlet" 291237 291257 291759 291764) (|d02bhfAnnaType| "bookvol10.3.pamphlet" 290717 290737 291227 291232) (|d02bbfAnnaType| "bookvol10.3.pamphlet" 290197 290217 290707 290712) (|d02AgentsPackage| "bookvol10.4.pamphlet" 285128 285150 290187 290192) (|d01WeightsPackage| "bookvol10.4.pamphlet" 283436 283459 285118 285123) (|d01TransformFunctionType| "bookvol10.3.pamphlet" 283391 283421 283426 283431) (|d01gbfAnnaType| "bookvol10.3.pamphlet" 282903 282923 283381 283386) (|d01fcfAnnaType| "bookvol10.3.pamphlet" 282415 282435 282893 282898) (|d01asfAnnaType| "bookvol10.3.pamphlet" 281873 281893 282405 282410) (|d01aqfAnnaType| "bookvol10.3.pamphlet" 281356 281376 281863 281868) (|d01apfAnnaType| "bookvol10.3.pamphlet" 280826 280846 281346 281351) (|d01anfAnnaType| "bookvol10.3.pamphlet" 280310 280330 280816 280821) (|d01amfAnnaType| "bookvol10.3.pamphlet" 279810 279830 280300 280305) (|d01alfAnnaType| "bookvol10.3.pamphlet" 279340 279360 279800 279805) (|d01akfAnnaType| "bookvol10.3.pamphlet" 278858 278878 279330 279335) (|d01ajfAnnaType| "bookvol10.3.pamphlet" 278371 278391 278848 278853) (|d01AgentsPackage| "bookvol10.4.pamphlet" 274464 274486 278361 278366) (|CyclotomicPolynomialPackage| "bookvol10.4.pamphlet" 273943 273976 274454 274459) (|CycleIndicators| "bookvol10.4.pamphlet" 270741 270762 273933 273938) (|CoerceVectorMatrixPackage| "bookvol10.4.pamphlet" 270103 270136 270731 270736) (|ComplexTrigonometricManipulations| "bookvol10.4.pamphlet" 268544 268587 270093 270098) (|CyclicStreamTools| "bookvol10.4.pamphlet" 267318 267346 268534 268539) (|ComplexRootFindingPackage| "bookvol10.4.pamphlet" 261310 261346 267308 267313) (|CRApackage| "bookvol10.4.pamphlet" 260459 260477 261300 261305) (|ComplexPatternMatch| "bookvol10.4.pamphlet" 259932 259964 260362 260367) (|CharacteristicPolynomialInMonogenicalAlgebra| "bookvol10.4.pamphlet" 259595 259656 259922 259927) (|CoordinateSystems| "bookvol10.4.pamphlet" 254595 254620 259585 259590) (|ContinuedFraction| "bookvol10.3.pamphlet" 250509 250534 254425 254590) (|CommutativeRing| "bookvol10.2.pamphlet" 250143 250164 250415 250504) (|SubSpaceComponentProperty| "bookvol10.3.pamphlet" 249620 249651 250133 250138) (|ComplexPattern| "bookvol10.4.pamphlet" 249375 249402 249610 249615) (|Complex| "bookvol10.3.pamphlet" 241232 241247 241486 241962) (|ComplexFunctions2| "bookvol10.4.pamphlet" 240940 240967 241222 241227) (|ComplexFactorization| "bookvol10.4.pamphlet" 240718 240750 240930 240935) (|ComplexCategory| "bookvol10.2.pamphlet" 238596 238619 240225 240713) (|ComplexCategory&| NIL 236162 236188 237794 237799) (|Comparable| "bookvol10.2.pamphlet" 235893 235909 236152 236157) (|CommuteUnivariatePolynomialCategory| "bookvol10.4.pamphlet" 235634 235685 235883 235888) (|CommonOperators| "bookvol10.4.pamphlet" 235160 235181 235624 235629) (|Commutator| "bookvol10.3.pamphlet" 234961 234977 235150 235155) (|CombinatorialOpsCategory| "bookvol10.2.pamphlet" 233974 234004 234951 234956) (|IntegerCombinatoricFunctions| "bookvol10.4.pamphlet" 232440 232476 233964 233969) (|CombinatorialFunction| "bookvol10.4.pamphlet" 229875 229906 232430 232435) (|Color| "bookvol10.3.pamphlet" 228710 228721 229865 229870) (|ComplexRootPackage| "bookvol10.4.pamphlet" 228028 228061 228700 228705) (|TwoDimensionalPlotClipping| "bookvol10.4.pamphlet" 224124 224156 228018 228023) (|CliffordAlgebra| "bookvol10.3.pamphlet" 222802 222831 224056 224119) (|Collection| "bookvol10.2.pamphlet" 219814 219832 222782 222797) (|Collection&| NIL 216668 216689 219639 219644) (|ComplexIntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 215966 216020 216658 216663) (|ChangeOfVariable| "bookvol10.4.pamphlet" 213926 213958 215956 215961) (|CharacteristicZero| "bookvol10.2.pamphlet" 213818 213842 213899 213921) (|CharacteristicPolynomialPackage| "bookvol10.4.pamphlet" 213303 213342 213808 213813) (|CharacteristicNonZero| "bookvol10.2.pamphlet" 213030 213057 213276 213298) (|Character| "bookvol10.3.pamphlet" 209384 209399 213020 213025) (|CombinatorialFunctionCategory| "bookvol10.2.pamphlet" 208530 208565 209374 209379) (|Cell| "bookvol10.3.pamphlet" 208494 208515 208520 208525) (|ComplexDoubleFloatVector| "bookvol10.3.pamphlet" 206305 206335 206958 207010) (|ComplexDoubleFloatMatrix| "bookvol10.3.pamphlet" 205193 205223 205639 205691) (|CommonDenominator| "bookvol10.4.pamphlet" 204418 204447 205183 205188) (|CharacterClass| "bookvol10.3.pamphlet" 202612 202632 203682 203762) (|CartesianTensor| "bookvol10.3.pamphlet" 193778 193815 202602 202607) (|CartesianTensorFunctions2| "bookvol10.4.pamphlet" 193145 193195 193768 193773) (|CardinalNumber| "bookvol10.3.pamphlet" 189463 189483 193111 193140) (|CylindricalAlgebraicDecompositionUtilities| "bookvol10.4.pamphlet" 189087 189139 189453 189458) (|CylindricalAlgebraicDecompositionPackage| "bookvol10.4.pamphlet" 189015 189072 189077 189082) (|CachableSet| "bookvol10.2.pamphlet" 188622 188639 189005 189010) (|CancellationAbelianMonoid| "bookvol10.2.pamphlet" 188092 188123 188612 188617) (|BinaryTree| "bookvol10.3.pamphlet" 187129 187147 187875 187927) (|BinaryTournament| "bookvol10.3.pamphlet" 186310 186334 186912 186964) (|BinaryTreeCategory| "bookvol10.2.pamphlet" 185643 185669 186241 186305) (|BinaryTreeCategory&| NIL 185032 185061 185633 185638) (|BitAggregate| "bookvol10.2.pamphlet" 184100 184118 184963 185027) (|BitAggregate&| NIL 183224 183245 184090 184095) (|BinarySearchTree| "bookvol10.3.pamphlet" 181821 181845 183007 183059) (|BasicStochasticDifferential| "bookvol10.3.pamphlet" 179686 179719 181811 181816) (|BrillhartTests| "bookvol10.4.pamphlet" 178447 178470 179676 179681) (|BinaryRecursiveAggregate| "bookvol10.2.pamphlet" 177385 177417 178427 178442) (|BinaryRecursiveAggregate&| NIL 176283 176318 177328 177333) (|BalancedPAdicRational| "bookvol10.3.pamphlet" 173193 173224 173403 173568) (|BalancedPAdicInteger| "bookvol10.3.pamphlet" 172860 172890 173076 173188) (|BoundIntegerRoots| "bookvol10.4.pamphlet" 172507 172535 172850 172855) (|BasicOperator| "bookvol10.3.pamphlet" 168028 168047 172497 172502) (|BasicOperatorFunctions1| "bookvol10.4.pamphlet" 165485 165516 167976 167981) (|Boolean| "bookvol10.3.pamphlet" 164350 164363 165475 165480) (|BiModule| "bookvol10.2.pamphlet" 163971 163989 164301 164345) (|BlowUpPackage| "bookvol10.4.pamphlet" 162238 162285 163961 163966) (|BlowUpWithQuadTrans| "bookvol10.3.pamphlet" 162111 162136 162203 162233) (|BlowUpMethodCategory| "bookvol10.2.pamphlet" 162070 162096 162101 162106) (|BlowUpWithHamburgerNoether| "bookvol10.3.pamphlet" 161938 161970 162037 162065) (|BlasLevelOne| "bookvol10.5.pamphlet" 150200 150218 161928 161933) (|Bits| "bookvol10.3.pamphlet" 149561 149571 149778 149830) (|BinaryFile| "bookvol10.3.pamphlet" 148910 148926 149551 149556) (|BinaryExpansion| "bookvol10.3.pamphlet" 146032 146053 146664 146829) (|BagAggregate| "bookvol10.2.pamphlet" 145254 145274 145987 146027) (|BagAggregate&| NIL 144508 144531 145244 145249) (|BasicFunctions| "bookvol10.3.pamphlet" 143905 143925 144476 144503) (|BezoutMatrix| "bookvol10.4.pamphlet" 143027 143064 143847 143852) (|Bezier| "bookvol10.4.pamphlet" 140886 140900 143017 143022) (|BalancedBinaryTree| "bookvol10.3.pamphlet" 136455 136481 140669 140721) (|BasicType| "bookvol10.2.pamphlet" 136142 136157 136445 136450) (|BasicType&| NIL 135826 135844 136132 136137) (|BalancedFactorisation| "bookvol10.4.pamphlet" 135226 135258 135816 135821) (|AxiomServer| "bookvol10.4.pamphlet" 135077 135094 135216 135221) (|Automorphism| "bookvol10.3.pamphlet" 134504 134524 135050 135072) (|UnitsKnownAttribute| "bookvol10.2.pamphlet" 134282 134307 134484 134499) (|AttributeRegistry| "bookvol10.2.pamphlet" 130635 130658 133835 134277) (|AttributeButtons| "bookvol10.3.pamphlet" 126733 126755 130603 130630) (|ShallowlyMutableAttribute| "bookvol10.2.pamphlet" 126470 126501 126713 126728) (|ArcTrigonometricFunctionCategory| "bookvol10.2.pamphlet" 125909 125947 126460 126465) (|ArcTrigonometricFunctionCategory&| NIL 125345 125386 125899 125904) (|PartiallyOrderedSetAttribute| "bookvol10.2.pamphlet" 125117 125151 125325 125340) (|NoZeroDivisorsAttribute| "bookvol10.2.pamphlet" 124918 124947 125097 125112) (|NullSquareAttribute| "bookvol10.2.pamphlet" 124783 124808 124898 124913) (|NotherianAttribute| "bookvol10.2.pamphlet" 124641 124665 124763 124778) (|MultiplicativeValuationAttribute| "bookvol10.2.pamphlet" 124450 124488 124621 124636) (|LeftUnitaryAttribute| "bookvol10.2.pamphlet" 124293 124319 124430 124445) (|LazyRepresentationAttribute| "bookvol10.2.pamphlet" 124155 124188 124273 124288) (|JacobiIdentityAttribute| "bookvol10.2.pamphlet" 123988 124017 124135 124150) (|FiniteAggregateAttribute| "bookvol10.2.pamphlet" 123849 123879 123968 123983) (|CanonicalUnitNormalAttribute| "bookvol10.2.pamphlet" 123523 123557 123829 123844) (|CommutativeStarAttribute| "bookvol10.2.pamphlet" 123250 123280 123503 123518) (|CentralAttribute| "bookvol10.2.pamphlet" 122931 122953 123230 123245) (|CanonicalAttribute| "bookvol10.2.pamphlet" 122728 122752 122911 122926) (|CanonicalClosedAttribute| "bookvol10.2.pamphlet" 122544 122574 122708 122723) (|ArbitraryPrecisionAttribute| "bookvol10.2.pamphlet" 122374 122407 122524 122539) (|ArbitraryExponentAttribute| "bookvol10.2.pamphlet" 122242 122274 122354 122369) (|ApproximateAttribute| "bookvol10.2.pamphlet" 122131 122157 122222 122237) (|AdditiveValuationAttribute| "bookvol10.2.pamphlet" 121944 121976 122111 122126) (|ArrayStack| "bookvol10.3.pamphlet" 117592 117610 121727 121779) (|AssociatedEquations| "bookvol10.4.pamphlet" 116361 116390 117545 117550) (|Asp9| "bookvol10.3.pamphlet" 115514 115531 116351 116356) (|Asp8| "bookvol10.3.pamphlet" 114453 114470 115504 115509) (|Asp80| "bookvol10.3.pamphlet" 113780 113798 114443 114448) (|Asp7| "bookvol10.3.pamphlet" 112974 112991 113770 113775) (|Asp78| "bookvol10.3.pamphlet" 112448 112466 112964 112969) (|Asp77| "bookvol10.3.pamphlet" 111816 111834 112438 112443) (|Asp74| "bookvol10.3.pamphlet" 110838 110856 111806 111811) (|Asp73| "bookvol10.3.pamphlet" 110096 110114 110828 110833) (|Asp6| "bookvol10.3.pamphlet" 108772 108789 110086 110091) (|Asp55| "bookvol10.3.pamphlet" 107204 107222 108762 108767) (|Asp50| "bookvol10.3.pamphlet" 104855 104873 107194 107199) (|Asp4| "bookvol10.3.pamphlet" 104140 104157 104845 104850) (|Asp49| "bookvol10.3.pamphlet" 103124 103142 104130 104135) (|Asp42| "bookvol10.3.pamphlet" 101396 101439 103114 103119) (|Asp41| "bookvol10.3.pamphlet" 99894 99937 101386 101391) (|Asp35| "bookvol10.3.pamphlet" 98874 98892 99884 99889) (|Asp34| "bookvol10.3.pamphlet" 98120 98138 98864 98869) (|Asp33| "bookvol10.3.pamphlet" 97701 97719 98110 98115) (|Asp31| "bookvol10.3.pamphlet" 96810 96828 97691 97696) (|Asp30| "bookvol10.3.pamphlet" 95537 95555 96800 96805) (|Asp29| "bookvol10.3.pamphlet" 95016 95034 95527 95532) (|Asp28| "bookvol10.3.pamphlet" 85442 85460 95006 95011) (|Asp27| "bookvol10.3.pamphlet" 84293 84311 85432 85437) (|Asp24| "bookvol10.3.pamphlet" 83371 83389 84283 84288) (|Asp20| "bookvol10.3.pamphlet" 82539 82557 83361 83366) (|Asp1| "bookvol10.3.pamphlet" 81915 81932 82529 82534) (|Asp19| "bookvol10.3.pamphlet" 75989 76007 81905 81910) (|Asp12| "bookvol10.3.pamphlet" 75402 75420 75979 75984) (|Asp10| "bookvol10.3.pamphlet" 74678 74696 75392 75397) (|TwoDimensionalArray| "bookvol10.3.pamphlet" 74219 74246 74461 74513) (|OneDimensionalArray| "bookvol10.3.pamphlet" 72993 73020 73501 73553) (|OneDimensionalArrayFunctions2| "bookvol10.4.pamphlet" 71002 71041 72983 72988) (|TwoDimensionalArrayCategory| "bookvol10.2.pamphlet" 64227 64274 70933 70997) (|TwoDimensionalArrayCategory&| NIL 57508 57558 64217 64222) (|ApplyRules| "bookvol10.4.pamphlet" 56819 56846 57498 57503) (|ApplyUnivariateSkewPolynomial| "bookvol10.4.pamphlet" 56394 56435 56809 56814) (|ApplicationProgramInterface| "bookvol10.4.pamphlet" 55305 55338 56384 56389) (|Any| "bookvol10.3.pamphlet" 53651 53660 55295 55300) (|AnyFunctions1| "bookvol10.4.pamphlet" 52716 52737 53641 53646) (|AntiSymm| "bookvol10.3.pamphlet" 51159 51182 52689 52711) (|AnonymousFunction| "bookvol10.3.pamphlet" 51056 51079 51149 51154) (|AlgebraicNumber| "bookvol10.3.pamphlet" 49265 49286 50784 50949) (|AbelianMonoidRing| "bookvol10.2.pamphlet" 47392 47419 49095 49260) (|AbelianMonoidRing&| NIL 45343 45373 47049 47054) (|AssociationList| "bookvol10.3.pamphlet" 43080 43115 43442 43494) (|AlgebraGivenByStructuralConstants| "bookvol10.3.pamphlet" 42104 42162 42901 42990) (|AlgebraPackage| "bookvol10.4.pamphlet" 38043 38067 42047 42052) (|AlgebraicMultFact| "bookvol10.4.pamphlet" 37236 37266 38033 38038) (|AlgebraicManipulations| "bookvol10.4.pamphlet" 34652 34684 36992 36997) (|AlgebraicFunctionField| "bookvol10.3.pamphlet" 32419 32467 32640 32895) (|AlgFactor| "bookvol10.4.pamphlet" 31536 31554 32409 32414) (|Algebra| "bookvol10.2.pamphlet" 31006 31021 31468 31531) (|Algebra&| NIL 30531 30549 30996 31001) (|AssociationListAggregate| "bookvol10.2.pamphlet" 29985 30029 30462 30526) (|ArcHyperbolicFunctionCategory| "bookvol10.2.pamphlet" 29338 29373 29975 29980) (|Aggregate| "bookvol10.2.pamphlet" 27707 27722 29318 29333) (|Aggregate&| NIL 26037 26055 27651 27656) (|AffineSpaceCategory| "bookvol10.2.pamphlet" 23907 23934 26027 26032) (|AlgebraicFunction| "bookvol10.4.pamphlet" 22279 22306 23827 23832) (|AffineSpace| "bookvol10.3.pamphlet" 22112 22137 22269 22274) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 21912 21970 22102 22107) (|AffinePlane| "bookvol10.3.pamphlet" 21751 21770 21902 21907) (|AffineAlgebraicSetComputeWithResultant| "bookvol10.4.pamphlet" 21597 21672 21741 21746) (|AffineAlgebraicSetComputeWithGroebnerBasis| "bookvol10.4.pamphlet" 21139 21218 21587 21592) (|PlaneAlgebraicCurvePlot| "bookvol10.3.pamphlet" 19405 19434 21129 21134) (|AlgebraicallyClosedFunctionSpace| "bookvol10.2.pamphlet" 17181 17221 19223 19400) (|AlgebraicallyClosedFunctionSpace&| NIL 15126 15169 17171 17176) (|AlgebraicallyClosedField| "bookvol10.2.pamphlet" 10185 10215 14956 15121) (|AlgebraicallyClosedField&| NIL 5401 5434 10175 10180) (|AbelianSemiGroup| "bookvol10.2.pamphlet" 4744 4766 5391 5396) (|AbelianSemiGroup&| NIL 4084 4109 4734 4739) (|AbelianMonoid| "bookvol10.2.pamphlet" 3441 3460 4074 4079) (|AbelianMonoid&| NIL 2795 2817 3431 3436) (|AbelianGroup| "bookvol10.2.pamphlet" 2290 2308 2785 2790) (|AbelianGroup&| NIL 1782 1803 2280 2285) (|OneDimensionalArrayAggregate| "bookvol10.2.pamphlet" 878 914 1713 1777) (|OneDimensionalArrayAggregate&| NIL 30 69 868 873)) 
\ No newline at end of file
+((|Category| NIL 2503885 2503890 2503895 2503900) (|Union| NIL 2503865 2503870 2503875 2503880) (|Record| NIL 2503845 2503850 2503855 2503860) (|Mapping| NIL 2503825 2503830 2503835 2503840) (|Enumeration| NIL 2503805 2503810 2503815 2503820) (|IntegerMod| "bookvol10.3.pamphlet" 2503583 2503603 2503711 2503800) (|IntegerLinearDependence| "bookvol10.4.pamphlet" 2502683 2502714 2503573 2503578) (|ZeroDimensionalSolvePackage| "bookvol10.4.pamphlet" 2493275 2493321 2502673 2502678) (|ParadoxicalCombinatorsForStreams| "bookvol10.4.pamphlet" 2492743 2492783 2493265 2493270) (|XRecursivePolynomial| "bookvol10.3.pamphlet" 2491884 2491921 2492522 2492644) (|XPolynomialRing| "bookvol10.3.pamphlet" 2489463 2489488 2491460 2491651) (|XPolynomial| "bookvol10.3.pamphlet" 2488950 2488969 2489242 2489364) (|XPolynomialsCat| "bookvol10.2.pamphlet" 2488203 2488231 2488823 2488945) (|XPBWPolynomial| "bookvol10.3.pamphlet" 2486765 2486796 2487891 2488013) (|ExtensionField| "bookvol10.2.pamphlet" 2485150 2485172 2486595 2486760) (|ExtensionField&| NIL 2483547 2483572 2484995 2485000) (|XFreeAlgebra| "bookvol10.2.pamphlet" 2480520 2480545 2483420 2483542) (|XExponentialPackage| "bookvol10.4.pamphlet" 2479903 2479945 2480510 2480515) (|XDistributedPolynomial| "bookvol10.3.pamphlet" 2479438 2479473 2479682 2479804) (|XAlgebra| "bookvol10.2.pamphlet" 2479108 2479124 2479370 2479433) (|WuWenTsunTriangularSet| "bookvol10.3.pamphlet" 2475676 2475712 2478729 2478781) (|WeightedPolynomials| "bookvol10.3.pamphlet" 2474624 2474684 2475468 2475585) (|WildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 2472176 2472221 2474614 2474619) (|WeierstrassPreparation| "bookvol10.4.pamphlet" 2470421 2470451 2472166 2472171) (|VectorSpace| "bookvol10.2.pamphlet" 2470069 2470088 2470372 2470416) (|VectorSpace&| NIL 2469753 2469775 2470059 2470064) (|Void| "bookvol10.3.pamphlet" 2469346 2469356 2469743 2469748) (|ViewportPackage| "bookvol10.4.pamphlet" 2467050 2467071 2469336 2469341) (|ViewDefaultsPackage| "bookvol10.4.pamphlet" 2462294 2462319 2467040 2467045) (|ThreeDimensionalViewport| "bookvol10.3.pamphlet" 2446489 2446519 2462284 2462289) (|TwoDimensionalViewport| "bookvol10.3.pamphlet" 2434661 2434689 2446479 2446484) (|Vector| "bookvol10.3.pamphlet" 2433375 2433389 2433629 2433681) (|VectorFunctions2| "bookvol10.4.pamphlet" 2432036 2432062 2433365 2433370) (|VectorCategory| "bookvol10.2.pamphlet" 2430000 2430022 2431967 2432031) (|VectorCategory&| NIL 2427752 2427777 2429722 2429727) (|Variable| "bookvol10.3.pamphlet" 2427527 2427547 2427742 2427747) (|UnivariateTaylorSeriesCZero| "bookvol10.3.pamphlet" 2422256 2422302 2425571 2425736) (|TaylorSolve| "bookvol10.4.pamphlet" 2422155 2422187 2422246 2422251) (|UTSodetools| "bookvol10.4.pamphlet" 2421433 2421461 2422099 2422104) (|UnivariateTaylorSeriesODESolver| "bookvol10.4.pamphlet" 2419595 2419643 2421423 2421428) (|UnivariateTaylorSeries| "bookvol10.3.pamphlet" 2413952 2413999 2417639 2417804) (|UnivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 2411174 2411217 2413782 2413947) (|UnivariateTaylorSeriesCategory&| NIL 2407981 2408027 2410592 2410597) (|UnivariateTaylorSeriesFunctions2| "bookvol10.4.pamphlet" 2407577 2407641 2407971 2407976) (|UnaryRecursiveAggregate| "bookvol10.2.pamphlet" 2402841 2402872 2407557 2407572) (|UnaryRecursiveAggregate&| NIL 2398065 2398099 2402784 2402789) (|UnivariatePuiseuxSeriesWithExponentialSingularity| "bookvol10.3.pamphlet" 2395200 2395272 2396660 2396901) (|UnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2392261 2392309 2392862 2393114) (|UnivariatePuiseuxSeriesConstructor| "bookvol10.3.pamphlet" 2389521 2389572 2389923 2390175) (|UnivariatePuiseuxSeriesConstructorCategory| "bookvol10.2.pamphlet" 2387849 2387908 2389264 2389516) (|UnivariatePuiseuxSeriesConstructorCategory&| NIL 2386421 2386483 2387839 2387844) (|UnivariatePuiseuxSeriesCategory| "bookvol10.2.pamphlet" 2384881 2384925 2386164 2386416) (|UnivariatePuiseuxSeriesFunctions2| "bookvol10.4.pamphlet" 2384394 2384477 2384871 2384876) (|UnivariatePolynomialSquareFree| "bookvol10.4.pamphlet" 2382795 2382836 2384384 2384389) (|UnivariatePowerSeriesCategory| "bookvol10.2.pamphlet" 2380271 2380321 2382625 2382790) (|UnivariatePowerSeriesCategory&| NIL 2377484 2377537 2379841 2379846) (|UnivariatePolynomialCategory| "bookvol10.2.pamphlet" 2371723 2371759 2377202 2377479) (|UnivariatePolynomialCategory&| NIL 2365917 2365956 2371399 2371404) (|UnivariatePolynomialCategoryFunctions2| "bookvol10.4.pamphlet" 2365347 2365401 2365907 2365912) (|UnivariatePolynomial| "bookvol10.3.pamphlet" 2361228 2361260 2361836 2362113) (|UnivariatePolynomialMultiplicationPackage| "bookvol10.4.pamphlet" 2360124 2360175 2361218 2361223) (|UnivariatePolynomialDivisionPackage| "bookvol10.4.pamphlet" 2359657 2359703 2360114 2360119) (|UnivariatePolynomialDecompositionPackage| "bookvol10.4.pamphlet" 2357861 2357912 2359647 2359652) (|UnivariatePolynomialCommonDenominator| "bookvol10.4.pamphlet" 2357028 2357078 2357851 2357856) (|UnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2356403 2356451 2357018 2357023) (|UniversalSegment| "bookvol10.3.pamphlet" 2355726 2355750 2356305 2356310) (|UniversalSegmentFunctions2| "bookvol10.4.pamphlet" 2355201 2355237 2355673 2355678) (|UnivariateFactorize| "bookvol10.4.pamphlet" 2354308 2354336 2355191 2355196) (|UnivariateLaurentSeries| "bookvol10.3.pamphlet" 2342131 2342179 2343124 2343834) (|UnivariateLaurentSeriesConstructor| "bookvol10.3.pamphlet" 2334869 2334920 2335268 2335520) (|UnivariateLaurentSeriesConstructorCategory| "bookvol10.2.pamphlet" 2332317 2332376 2334583 2334864) (|UnivariateLaurentSeriesConstructorCategory&| NIL 2330001 2330063 2332270 2332275) (|UnivariateLaurentSeriesCategory| "bookvol10.2.pamphlet" 2328080 2328124 2329744 2329996) (|UnivariateLaurentSeriesFunctions2| "bookvol10.4.pamphlet" 2327594 2327677 2328070 2328075) (|UnivariateFormalPowerSeries| "bookvol10.3.pamphlet" 2325540 2325580 2325638 2325803) (|UnivariateFormalPowerSeriesFunctions| "bookvol10.4.pamphlet" 2325422 2325471 2325530 2325535) (|UniqueFactorizationDomain| "bookvol10.2.pamphlet" 2324426 2324457 2325305 2325417) (|UniqueFactorizationDomain&| NIL 2323534 2323568 2324416 2324421) (|UserDefinedVariableOrdering| "bookvol10.4.pamphlet" 2322321 2322354 2323524 2323529) (|UserDefinedPartialOrdering| "bookvol10.4.pamphlet" 2319816 2319850 2322269 2322274) (|U8Vector| "bookvol10.3.pamphlet" 2318861 2318875 2319069 2319121) (|U8Matrix| "bookvol10.3.pamphlet" 2317960 2317974 2318352 2318404) (|U32Vector| "bookvol10.3.pamphlet" 2317003 2317018 2317213 2317265) (|U32Matrix| "bookvol10.3.pamphlet" 2316099 2316114 2316494 2316546) (|U16Vector| "bookvol10.3.pamphlet" 2315142 2315157 2315352 2315404) (|U16Matrix| "bookvol10.3.pamphlet" 2314238 2314253 2314633 2314685) (|Type| "bookvol10.2.pamphlet" 2314159 2314169 2314218 2314233) (|TwoFactorize| "bookvol10.4.pamphlet" 2312814 2312834 2314149 2314154) (|Tuple| "bookvol10.3.pamphlet" 2311813 2311826 2312761 2312766) (|TubePlotTools| "bookvol10.4.pamphlet" 2308697 2308716 2311803 2311808) (|TubePlot| "bookvol10.3.pamphlet" 2307382 2307404 2308687 2308692) (|TaylorSeries| "bookvol10.3.pamphlet" 2305794 2305819 2306777 2306942) (|TriangularSetCategory| "bookvol10.2.pamphlet" 2295307 2295342 2305725 2305789) (|TriangularSetCategory&| NIL 2284838 2284876 2295259 2295264) (|TranscendentalManipulations| "bookvol10.4.pamphlet" 2279214 2279251 2284484 2284489) (|TriangularMatrixOperations| "bookvol10.4.pamphlet" 2278162 2278210 2279204 2279209) (|TrigonometricManipulations| "bookvol10.4.pamphlet" 2276640 2276676 2278152 2278157) (|TrigonometricFunctionCategory| "bookvol10.2.pamphlet" 2276126 2276161 2276630 2276635) (|TrigonometricFunctionCategory&| NIL 2275609 2275647 2276116 2276121) (|Tree| "bookvol10.3.pamphlet" 2273774 2273786 2275392 2275444) (|TranscendentalFunctionCategory| "bookvol10.2.pamphlet" 2273594 2273630 2273764 2273769) (|TranscendentalFunctionCategory&| NIL 2273411 2273450 2273584 2273589) (|TopLevelThreeSpace| "bookvol10.4.pamphlet" 2273074 2273098 2273401 2273406) (|ToolsForSign| "bookvol10.4.pamphlet" 2272728 2272748 2273064 2273069) (|TextFile| "bookvol10.3.pamphlet" 2271302 2271316 2272718 2272723) (|TexFormat| "bookvol10.3.pamphlet" 2268433 2268448 2271292 2271297) (|TexFormat1| "bookvol10.4.pamphlet" 2267982 2268000 2268423 2268428) (|TemplateUtilities| "bookvol10.4.pamphlet" 2267529 2267552 2267972 2267977) (|TabulatedComputationPackage| "bookvol10.4.pamphlet" 2265696 2265743 2267519 2267524) (|TableAggregate| "bookvol10.2.pamphlet" 2264694 2264728 2265651 2265691) (|TableAggregate&| NIL 2263724 2263761 2264684 2264689) (|TangentExpansions| "bookvol10.4.pamphlet" 2263086 2263111 2263714 2263719) (|Table| "bookvol10.3.pamphlet" 2261901 2261926 2262173 2262225) (|Tableau| "bookvol10.3.pamphlet" 2261387 2261402 2261891 2261896) (|TableauxBumpers| "bookvol10.4.pamphlet" 2258293 2258316 2261377 2261382) (|SystemSolvePackage| "bookvol10.4.pamphlet" 2254909 2254935 2258283 2258288) (|SymbolTable| "bookvol10.3.pamphlet" 2252998 2253015 2254899 2254904) (|TheSymbolTable| "bookvol10.3.pamphlet" 2249052 2249072 2252988 2252993) (|SymmetricPolynomial| "bookvol10.3.pamphlet" 2247698 2247725 2247796 2248030) (|SymmetricFunctions| "bookvol10.4.pamphlet" 2247104 2247130 2247688 2247693) (|Symbol| "bookvol10.3.pamphlet" 2244563 2244575 2247094 2247099) (|Switch| "bookvol10.3.pamphlet" 2241306 2241318 2244553 2244558) (|SparseUnivariateTaylorSeries| "bookvol10.3.pamphlet" 2237889 2237942 2239350 2239515) (|SparseUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2234527 2234581 2235551 2235803) (|SparseUnivariatePolynomial| "bookvol10.3.pamphlet" 2230138 2230172 2231016 2231293) (|SupFractionFactorizer| "bookvol10.4.pamphlet" 2229240 2229276 2230128 2230133) (|SparseUnivariatePolynomialExpressions| "bookvol10.3.pamphlet" 2225562 2225607 2225665 2225942) (|SparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2224923 2224969 2225552 2225557) (|RationalFunctionSum| "bookvol10.4.pamphlet" 2223509 2223536 2224913 2224918) (|FunctionSpaceSum| "bookvol10.4.pamphlet" 2223178 2223204 2223499 2223504) (|SparseUnivariateLaurentSeries| "bookvol10.3.pamphlet" 2210610 2210664 2211622 2212356) (|SuchThat| "bookvol10.3.pamphlet" 2210287 2210307 2210600 2210605) (|SubSpace| "bookvol10.3.pamphlet" 2202637 2202657 2210277 2210282) (|SubResultantPackage| "bookvol10.4.pamphlet" 2201780 2201810 2202580 2202585) (|StreamTranscendentalFunctions| "bookvol10.4.pamphlet" 2197855 2197897 2201770 2201775) (|StreamTranscendentalFunctionsNonCommutative| "bookvol10.4.pamphlet" 2194285 2194341 2197845 2197850) (|StreamTaylorSeriesOperations| "bookvol10.4.pamphlet" 2186812 2186848 2194146 2194151) (|StringTable| "bookvol10.3.pamphlet" 2185706 2185731 2185863 2185915) (|String| "bookvol10.3.pamphlet" 2184891 2184903 2184992 2185044) (|StringCategory| "bookvol10.2.pamphlet" 2184631 2184651 2184822 2184886) (|Stream| "bookvol10.3.pamphlet" 2180150 2180164 2184313 2184341) (|StreamFunctions3| "bookvol10.4.pamphlet" 2179478 2179506 2180140 2180145) (|StreamFunctions2| "bookvol10.4.pamphlet" 2178038 2178064 2179468 2179473) (|StreamFunctions1| "bookvol10.4.pamphlet" 2177533 2177557 2178028 2178033) (|StreamTensor| "bookvol10.4.pamphlet" 2177209 2177229 2177523 2177528) (|StreamInfiniteProduct| "bookvol10.4.pamphlet" 2176127 2176161 2177199 2177204) (|StepThrough| "bookvol10.2.pamphlet" 2175345 2175362 2176117 2176122) (|SparseTable| "bookvol10.3.pamphlet" 2174283 2174319 2174456 2174484) (|StreamAggregate| "bookvol10.2.pamphlet" 2173370 2173393 2174263 2174278) (|StreamAggregate&| NIL 2172464 2172490 2173360 2173365) (|Stack| "bookvol10.3.pamphlet" 2168452 2168465 2172247 2172299) (|SquareFreeRegularTriangularSet| "bookvol10.3.pamphlet" 2166591 2166635 2168073 2168125) (|SquareFreeRegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2165320 2165377 2166581 2166586) (|StringAggregate| "bookvol10.2.pamphlet" 2160620 2160641 2165251 2165315) (|StringAggregate&| NIL 2155976 2156000 2160610 2160615) (|SquareMatrix| "bookvol10.3.pamphlet" 2153240 2153267 2154155 2154297) (|SplittingTree| "bookvol10.3.pamphlet" 2148650 2148673 2152904 2152956) (|SplittingNode| "bookvol10.3.pamphlet" 2145688 2145711 2148640 2148645) (|SpecialFunctionCategory| "bookvol10.2.pamphlet" 2144479 2144508 2145678 2145683) (|SpecialOutputPackage| "bookvol10.4.pamphlet" 2143031 2143057 2144469 2144474) (|ThreeSpaceCategory| "bookvol10.2.pamphlet" 2127406 2127432 2143021 2143026) (|ThreeSpace| "bookvol10.3.pamphlet" 2127181 2127199 2127396 2127401) (|SortPackage| "bookvol10.4.pamphlet" 2126714 2126735 2127129 2127134) (|TransSolvePackage| "bookvol10.4.pamphlet" 2124295 2124320 2126704 2126709) (|TransSolvePackageService| "bookvol10.4.pamphlet" 2122863 2122895 2124285 2124290) (|RadicalSolvePackage| "bookvol10.4.pamphlet" 2117335 2117362 2122853 2122858) (|PolynomialSolveByFormulas| "bookvol10.4.pamphlet" 2115781 2115817 2117325 2117330) (|SquareFreeNormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 2115489 2115544 2115712 2115776) (|SparseMultivariateTaylorSeries| "bookvol10.3.pamphlet" 2113446 2113499 2114884 2115049) (|SparseMultivariatePolynomial| "bookvol10.3.pamphlet" 2109978 2110023 2110376 2110610) (|SmithNormalForm| "bookvol10.4.pamphlet" 2108803 2108840 2109968 2109973) (|SquareMatrixCategory| "bookvol10.2.pamphlet" 2106858 2106905 2108699 2108798) (|SquareMatrixCategory&| NIL 2104868 2104918 2106712 2106717) (|StackAggregate| "bookvol10.2.pamphlet" 2103434 2103456 2104799 2104863) (|SingleInteger| "bookvol10.3.pamphlet" 2101682 2101701 2103195 2103429) (|SimplifyAlgebraicNumberConvertPackage| "bookvol10.4.pamphlet" 2101391 2101434 2101672 2101677) (|RationalFunctionSign| "bookvol10.4.pamphlet" 2100464 2100492 2101381 2101386) (|ElementaryFunctionSign| "bookvol10.4.pamphlet" 2099708 2099740 2100454 2100459) (|SturmHabichtPackage| "bookvol10.4.pamphlet" 2097649 2097680 2099657 2099662) (|SplitHomogeneousDirectProduct| "bookvol10.3.pamphlet" 2087285 2087338 2087813 2088017) (|SemiGroup| "bookvol10.2.pamphlet" 2086591 2086606 2087275 2087280) (|SemiGroup&| NIL 2085894 2085912 2086581 2086586) (|SymmetricGroupCombinatoricFunctions| "bookvol10.4.pamphlet" 2079374 2079415 2085884 2085889) (|SquareFreeRegularTriangularSetCategory| "bookvol10.2.pamphlet" 2078877 2078929 2079305 2079369) (|SquareFreeRegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2078539 2078596 2078867 2078872) (|SquareFreeQuasiComponentPackage| "bookvol10.4.pamphlet" 2074428 2074476 2078529 2078534) (|SimpleFortranProgram| "bookvol10.3.pamphlet" 2073872 2073903 2074418 2074423) (|SExpressionOf| "bookvol10.3.pamphlet" 2073705 2073755 2073862 2073867) (|SExpression| "bookvol10.3.pamphlet" 2073589 2073606 2073695 2073700) (|SExpressionCategory| "bookvol10.2.pamphlet" 2070824 2070880 2073579 2073584) (|Set| "bookvol10.3.pamphlet" 2069074 2069085 2070187 2070267) (|SetOfMIntegersInOneToN| "bookvol10.3.pamphlet" 2067535 2067571 2069064 2069069) (|SetCategory| "bookvol10.2.pamphlet" 2067017 2067034 2067525 2067530) (|SetCategory&| NIL 2066496 2066516 2067007 2067012) (|SetCategoryWithDegree| "bookvol10.2.pamphlet" 2066369 2066396 2066486 2066491) (|SetAggregate| "bookvol10.2.pamphlet" 2063234 2063254 2066321 2066364) (|SetAggregate&| NIL 2060134 2060157 2063224 2063229) (|SegmentExpansionCategory| "bookvol10.2.pamphlet" 2059175 2059209 2060114 2060129) (|Segment| "bookvol10.3.pamphlet" 2058967 2058982 2059077 2059082) (|SegmentCategory| "bookvol10.2.pamphlet" 2057743 2057766 2058947 2058962) (|SegmentBinding| "bookvol10.3.pamphlet" 2056810 2056832 2057690 2057695) (|SegmentBindingFunctions2| "bookvol10.4.pamphlet" 2056495 2056529 2056800 2056805) (|SegmentFunctions2| "bookvol10.4.pamphlet" 2055891 2055918 2056442 2056447) (|SequentialDifferentialVariable| "bookvol10.3.pamphlet" 2055162 2055200 2055881 2055886) (|SequentialDifferentialPolynomial| "bookvol10.3.pamphlet" 2051450 2051490 2051756 2051990) (|StochasticDifferential| "bookvol10.3.pamphlet" 2047885 2047915 2051401 2051445) (|StructuralConstantsPackage| "bookvol10.4.pamphlet" 2045965 2045999 2047875 2047880) (|SimpleCell| "bookvol10.3.pamphlet" 2045913 2045950 2045955 2045960) (|SortedCache| "bookvol10.4.pamphlet" 2044754 2044773 2045903 2045908) (|SingletonAsOrderedSet| "bookvol10.3.pamphlet" 2044608 2044635 2044744 2044749) (|SAERationalFunctionAlgFactor| "bookvol10.4.pamphlet" 2044296 2044341 2044598 2044603) (|SimpleAlgebraicExtension| "bookvol10.3.pamphlet" 2042023 2042060 2042701 2042917) (|SimpleAlgebraicExtensionAlgFactor| "bookvol10.4.pamphlet" 2041694 2041744 2042013 2042018) (|RationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 2039394 2039446 2041684 2041689) (|Ruleset| "bookvol10.3.pamphlet" 2038826 2038850 2039384 2039389) (|RewriteRule| "bookvol10.3.pamphlet" 2037004 2037032 2038816 2038821) (|RuleCalled| "bookvol10.3.pamphlet" 2036849 2036869 2036994 2036999) (|RegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2034192 2034239 2036839 2036844) (|RegularTriangularSetCategory| "bookvol10.2.pamphlet" 2024980 2025022 2034123 2034187) (|RegularTriangularSetCategory&| NIL 2015824 2015869 2024970 2024975) (|RegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2014550 2014597 2015814 2015819) (|RealRootCharacterizationCategory| "bookvol10.2.pamphlet" 2012927 2012986 2014540 2014545) (|RealRootCharacterizationCategory&| NIL 2011301 2011363 2012917 2012922) (|RecursivePolynomialCategory| "bookvol10.2.pamphlet" 1994412 1994451 2011062 2011296) (|RecursivePolynomialCategory&| NIL 1977226 1977268 1993879 1993884) (|RoutinesTable| "bookvol10.3.pamphlet" 1973502 1973521 1976256 1976308) (|RomanNumeral| "bookvol10.3.pamphlet" 1972635 1972653 1973263 1973497) (|RightOpenIntervalRootCharacterization| "bookvol10.3.pamphlet" 1971735 1971801 1972625 1972630) (|RealNumberSystem| "bookvol10.2.pamphlet" 1970473 1970495 1971565 1971730) (|RealNumberSystem&| NIL 1969368 1969393 1970463 1970468) (|Rng| "bookvol10.2.pamphlet" 1968888 1968897 1969358 1969363) (|RightModule| "bookvol10.2.pamphlet" 1968395 1968414 1968878 1968883) (|RectangularMatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1967791 1967880 1968385 1968390) (|RectangularMatrix| "bookvol10.3.pamphlet" 1966350 1966383 1966852 1966920) (|RectangularMatrixCategory| "bookvol10.2.pamphlet" 1961935 1961988 1966265 1966345) (|RectangularMatrixCategory&| NIL 1957409 1957465 1961742 1961747) (|RationalInterpolation| "bookvol10.4.pamphlet" 1957283 1957317 1957399 1957404) (|Ring| "bookvol10.2.pamphlet" 1956634 1956644 1957256 1957278) (|Ring&| NIL 1955999 1956012 1956624 1956629) (|RandomIntegerDistributions| "bookvol10.4.pamphlet" 1955004 1955036 1955989 1955994) (|RegularChain| "bookvol10.3.pamphlet" 1953346 1953371 1954236 1954288) (|RootsFindingPackage| "bookvol10.4.pamphlet" 1951380 1951407 1953336 1953341) (|RationalFunction| "bookvol10.4.pamphlet" 1949023 1949047 1951370 1951375) (|RationalFunctionFactorizer| "bookvol10.4.pamphlet" 1948462 1948496 1949013 1949018) (|RationalFunctionFactor| "bookvol10.4.pamphlet" 1948178 1948209 1948452 1948457) (|RandomFloatDistributions| "bookvol10.4.pamphlet" 1947153 1947183 1948168 1948173) (|RetractSolvePackage| "bookvol10.4.pamphlet" 1946556 1946585 1947143 1947148) (|RetractableTo| "bookvol10.2.pamphlet" 1945888 1945909 1946546 1946551) (|RetractableTo&| NIL 1945217 1945241 1945878 1945883) (|Result| "bookvol10.3.pamphlet" 1943659 1943671 1944247 1944299) (|ResidueRing| "bookvol10.3.pamphlet" 1942970 1943021 1943565 1943654) (|ResolveLatticeCompletion| "bookvol10.4.pamphlet" 1942275 1942307 1942960 1942965) (|RepeatedSquaring| "bookvol10.4.pamphlet" 1941993 1942017 1942265 1942270) (|RadicalEigenPackage| "bookvol10.4.pamphlet" 1939533 1939558 1941983 1941988) (|RepeatedDoubling| "bookvol10.4.pamphlet" 1939219 1939243 1939523 1939528) (|RepresentationPackage2| "bookvol10.4.pamphlet" 1929197 1929227 1939038 1939043) (|RepresentationPackage1| "bookvol10.4.pamphlet" 1923558 1923588 1929139 1929144) (|RegularTriangularSet| "bookvol10.3.pamphlet" 1921755 1921789 1923179 1923231) (|Reference| "bookvol10.3.pamphlet" 1921091 1921108 1921702 1921707) (|ReductionOfOrder| "bookvol10.4.pamphlet" 1920212 1920238 1921081 1921086) (|RecurrenceOperator| "bookvol10.4.pamphlet" 1918607 1918635 1920166 1920171) (|RealClosure| "bookvol10.3.pamphlet" 1917228 1917256 1917890 1918055) (|RealSolvePackage| "bookvol10.4.pamphlet" 1915788 1915810 1917218 1917223) (|RealConstant| "bookvol10.2.pamphlet" 1915663 1915681 1915778 1915783) (|RealZeroPackageQ| "bookvol10.4.pamphlet" 1913001 1913029 1915653 1915658) (|RealZeroPackage| "bookvol10.4.pamphlet" 1909898 1909925 1912991 1912996) (|ReducedDivisor| "bookvol10.4.pamphlet" 1909636 1909672 1909888 1909893) (|RandomDistributions| "bookvol10.4.pamphlet" 1909187 1909214 1909626 1909631) (|TranscendentalRischDESystem| "bookvol10.4.pamphlet" 1908021 1908059 1909177 1909182) (|TranscendentalRischDE| "bookvol10.4.pamphlet" 1905972 1906004 1908011 1908016) (|ElementaryRischDESystem| "bookvol10.4.pamphlet" 1905197 1905230 1905962 1905967) (|ElementaryRischDE| "bookvol10.4.pamphlet" 1904243 1904270 1905187 1905192) (|RealClosedField| "bookvol10.2.pamphlet" 1901488 1901509 1904073 1904238) (|RealClosedField&| NIL 1898890 1898914 1901478 1901483) (|RecursiveAggregate| "bookvol10.2.pamphlet" 1896848 1896874 1898870 1898885) (|RecursiveAggregate&| NIL 1894721 1894750 1896746 1896751) (|RationalRetractions| "bookvol10.4.pamphlet" 1894126 1894153 1894711 1894716) (|RationalFactorize| "bookvol10.4.pamphlet" 1893296 1893322 1894116 1894121) (|RandomNumberSource| "bookvol10.4.pamphlet" 1892638 1892662 1893286 1893291) (|RadixUtilities| "bookvol10.4.pamphlet" 1892383 1892403 1892628 1892633) (|RadixExpansion| "bookvol10.3.pamphlet" 1888474 1888499 1890137 1890302) (|RadicalFunctionField| "bookvol10.3.pamphlet" 1886346 1886396 1886462 1886717) (|RadicalCategory| "bookvol10.2.pamphlet" 1885965 1885986 1886336 1886341) (|RadicalCategory&| NIL 1885581 1885605 1885955 1885960) (|Queue| "bookvol10.3.pamphlet" 1881349 1881362 1885364 1885416) (|Quaternion| "bookvol10.3.pamphlet" 1879672 1879690 1879973 1880081) (|QuaternionCategoryFunctions2| "bookvol10.4.pamphlet" 1879051 1879095 1879662 1879667) (|QuaternionCategory| "bookvol10.2.pamphlet" 1877199 1877225 1878938 1879046) (|QuaternionCategory&| NIL 1875038 1875067 1876780 1876785) (|QueueAggregate| "bookvol10.2.pamphlet" 1873815 1873837 1874969 1875033) (|QuadraticForm| "bookvol10.3.pamphlet" 1873273 1873298 1873805 1873810) (|QuotientFieldCategory| "bookvol10.2.pamphlet" 1871877 1871906 1873091 1873268) (|QuotientFieldCategory&| NIL 1869971 1870003 1871188 1871193) (|QuotientFieldCategoryFunctions2| "bookvol10.4.pamphlet" 1869643 1869688 1869961 1869966) (|QueryEquation| "bookvol10.3.pamphlet" 1869207 1869226 1869633 1869638) (|QuasiComponentPackage| "bookvol10.4.pamphlet" 1865172 1865210 1869197 1869202) (|QuasiAlgebraicSet| "bookvol10.3.pamphlet" 1861301 1861348 1865057 1865062) (|QuasiAlgebraicSet2| "bookvol10.4.pamphlet" 1859297 1859331 1861291 1861296) (|PAdicWildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 1856596 1856646 1859287 1859292) (|PushVariables| "bookvol10.4.pamphlet" 1855922 1855952 1856586 1856591) (|PartialTranscendentalFunctions| "bookvol10.2.pamphlet" 1852173 1852211 1855912 1855917) (|PointPackage| "bookvol10.4.pamphlet" 1849289 1849309 1852163 1852168) (|PointFunctions2| "bookvol10.4.pamphlet" 1849095 1849122 1849279 1849284) (|PointCategory| "bookvol10.2.pamphlet" 1848151 1848172 1849026 1849090) (|PolynomialSquareFree| "bookvol10.4.pamphlet" 1847444 1847486 1848141 1848146) (|PseudoLinearNormalForm| "bookvol10.4.pamphlet" 1846294 1846324 1847434 1847439) (|PolynomialSetUtilitiesPackage| "bookvol10.4.pamphlet" 1833740 1833783 1846136 1846141) (|PolynomialSetCategory| "bookvol10.2.pamphlet" 1828564 1828606 1833696 1833735) (|PolynomialSetCategory&| NIL 1823373 1823418 1828508 1828513) (|PlottableSpaceCurveCategory| "bookvol10.2.pamphlet" 1822373 1822406 1823363 1823368) (|PowerSeriesCategory| "bookvol10.2.pamphlet" 1821051 1821097 1822203 1822368) (|PowerSeriesCategory&| NIL 1819886 1819935 1821041 1821046) (|Partition| "bookvol10.3.pamphlet" 1818682 1818697 1819876 1819881) (|ProjectiveSpaceCategory| "bookvol10.2.pamphlet" 1816156 1816187 1818672 1818677) (|PseudoRemainderSequence| "bookvol10.4.pamphlet" 1807797 1807835 1816105 1816110) (|PriorityQueueAggregate| "bookvol10.2.pamphlet" 1807175 1807205 1807728 1807792) (|ProjectiveSpace| "bookvol10.3.pamphlet" 1807046 1807075 1807165 1807170) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1806884 1806946 1807036 1807041) (|ProjectivePlane| "bookvol10.3.pamphlet" 1806761 1806784 1806874 1806879) (|Product| "bookvol10.3.pamphlet" 1803561 1803578 1804093 1804161) (|PolynomialRing| "bookvol10.3.pamphlet" 1801609 1801633 1802314 1802548) (|ProjectiveAlgebraicSetPackage| "bookvol10.4.pamphlet" 1800836 1800902 1801599 1801604) (|PrintPackage| "bookvol10.4.pamphlet" 1800578 1800596 1800826 1800831) (|IntegerPrimesPackage| "bookvol10.4.pamphlet" 1798793 1798821 1800568 1800573) (|PrimitiveElement| "bookvol10.4.pamphlet" 1796870 1796894 1798783 1798788) (|PrimitiveFunctionCategory| "bookvol10.2.pamphlet" 1796458 1796489 1796860 1796865) (|PrimitiveArray| "bookvol10.3.pamphlet" 1795575 1795597 1795740 1795792) (|PrimitiveArrayFunctions2| "bookvol10.4.pamphlet" 1793659 1793693 1795565 1795570) (|PrecomputedAssociatedEquations| "bookvol10.4.pamphlet" 1792997 1793037 1793649 1793654) (|PlottablePlaneCurveCategory| "bookvol10.2.pamphlet" 1792337 1792370 1792987 1792992) (|U32VectorPolynomialOperations| "bookvol10.4.pamphlet" 1787119 1787154 1792327 1792332) (|PolynomialRoots| "bookvol10.4.pamphlet" 1785847 1785878 1787068 1787073) (|Polynomial| "bookvol10.3.pamphlet" 1782243 1782261 1782747 1782981) (|PolynomialCategoryLifting| "bookvol10.4.pamphlet" 1781509 1781555 1782233 1782238) (|PolynomialCategoryQuotientFunctions| "bookvol10.4.pamphlet" 1779490 1779541 1781499 1781504) (|PolynomialCategory| "bookvol10.2.pamphlet" 1772797 1772834 1779251 1779485) (|PolynomialCategory&| NIL 1765251 1765291 1771708 1771713) (|PolynomialToUnivariatePolynomial| "bookvol10.4.pamphlet" 1764667 1764711 1765241 1765246) (|PolynomialFunctions2| "bookvol10.4.pamphlet" 1764255 1764285 1764657 1764662) (|RealPolynomialUtilitiesPackage| "bookvol10.4.pamphlet" 1763259 1763316 1764202 1764207) (|PolToPol| "bookvol10.4.pamphlet" 1762001 1762022 1763249 1763254) (|Point| "bookvol10.3.pamphlet" 1760879 1760892 1760969 1761021) (|PolynomialNumberTheoryFunctions| "bookvol10.4.pamphlet" 1757522 1757559 1760869 1760874) (|PatternMatchTools| "bookvol10.4.pamphlet" 1756328 1756357 1757512 1757517) (|PatternMatchSymbol| "bookvol10.4.pamphlet" 1755869 1755895 1756318 1756323) (|PatternMatchQuotientFieldCategory| "bookvol10.4.pamphlet" 1755437 1755482 1755859 1755864) (|AttachPredicates| "bookvol10.4.pamphlet" 1754947 1754971 1755427 1755432) (|FunctionSpaceAttachPredicates| "bookvol10.4.pamphlet" 1754423 1754464 1754937 1754942) (|PatternMatchPolynomialCategory| "bookvol10.4.pamphlet" 1753461 1753507 1754341 1754346) (|PatternMatchListAggregate| "bookvol10.4.pamphlet" 1753023 1753060 1753451 1753456) (|PatternMatchKernel| "bookvol10.4.pamphlet" 1752586 1752614 1753013 1753018) (|PatternMatchIntegerNumberSystem| "bookvol10.4.pamphlet" 1752137 1752176 1752576 1752581) (|PatternMatchFunctionSpace| "bookvol10.4.pamphlet" 1751703 1751740 1752127 1752132) (|PatternMatchPushDown| "bookvol10.4.pamphlet" 1750995 1751027 1751693 1751698) (|PatternMatchAssertions| "bookvol10.4.pamphlet" 1750042 1750070 1750985 1750990) (|FunctionSpaceAssertions| "bookvol10.4.pamphlet" 1749049 1749082 1750032 1750037) (|PolynomialPackageForCurve| "bookvol10.4.pamphlet" 1747924 1747985 1749039 1749044) (|PlotTools| "bookvol10.4.pamphlet" 1747697 1747712 1747914 1747919) (|Plot| "bookvol10.3.pamphlet" 1742547 1742557 1747687 1747692) (|Plot3D| "bookvol10.3.pamphlet" 1739157 1739169 1742537 1742542) (|PlotFunctions1| "bookvol10.4.pamphlet" 1738296 1738318 1739147 1739152) (|ParametricLinearEquations| "bookvol10.4.pamphlet" 1724386 1724436 1738286 1738291) (|Plcs| "bookvol10.3.pamphlet" 1724291 1724307 1724376 1724381) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1724159 1724212 1724281 1724286) (|Places| "bookvol10.3.pamphlet" 1724066 1724080 1724149 1724154) (|PlacesCategory| "bookvol10.2.pamphlet" 1723096 1723122 1724056 1724061) (|PolynomialInterpolation| "bookvol10.4.pamphlet" 1722701 1722737 1723086 1723091) (|PolynomialInterpolationAlgorithms| "bookvol10.4.pamphlet" 1722458 1722501 1722691 1722696) (|PositiveInteger| "bookvol10.3.pamphlet" 1722061 1722082 1722424 1722453) (|PrincipalIdealDomain| "bookvol10.2.pamphlet" 1720980 1721006 1721944 1722056) (|PiCoercions| "bookvol10.4.pamphlet" 1720716 1720735 1720970 1720975) (|PolyGroebner| "bookvol10.4.pamphlet" 1719328 1719348 1720706 1720711) (|PermutationGroupExamples| "bookvol10.4.pamphlet" 1711264 1711294 1719318 1719323) (|PolynomialGcdPackage| "bookvol10.4.pamphlet" 1709727 1709762 1711254 1711259) (|PartialFractionPackage| "bookvol10.4.pamphlet" 1708758 1708788 1709717 1709722) (|PartialFraction| "bookvol10.3.pamphlet" 1704243 1704266 1708588 1708753) (|PointsOfFiniteOrderTools| "bookvol10.4.pamphlet" 1703568 1703606 1704233 1704238) (|PackageForPoly| "bookvol10.4.pamphlet" 1701697 1701738 1703558 1703563) (|PointsOfFiniteOrderRational| "bookvol10.4.pamphlet" 1701042 1701085 1701687 1701692) (|PointsOfFiniteOrder| "bookvol10.4.pamphlet" 1700450 1700490 1701032 1701037) (|PrimeField| "bookvol10.3.pamphlet" 1700006 1700026 1700144 1700309) (|PolynomialFactorizationExplicit| "bookvol10.2.pamphlet" 1697642 1697679 1699889 1700001) (|PolynomialFactorizationExplicit&| NIL 1695329 1695369 1697579 1697584) (|PolynomialFactorizationByRecursionUnivariate| "bookvol10.4.pamphlet" 1693194 1693248 1695319 1695324) (|PolynomialFactorizationByRecursion| "bookvol10.4.pamphlet" 1690822 1690877 1693184 1693189) (|Permutation| "bookvol10.3.pamphlet" 1686107 1686126 1690624 1690646) (|PermutationGroup| "bookvol10.3.pamphlet" 1680858 1680882 1686097 1686102) (|PermutationCategory| "bookvol10.2.pamphlet" 1679497 1679524 1680831 1680853) (|Permanent| "bookvol10.4.pamphlet" 1678249 1678270 1679487 1679492) (|PendantTree| "bookvol10.3.pamphlet" 1677490 1677509 1678079 1678084) (|PartialDifferentialRing| "bookvol10.2.pamphlet" 1675837 1675868 1677463 1677485) (|PartialDifferentialRing&| NIL 1674198 1674232 1675827 1675832) (|NumericalPDEProblem| "bookvol10.3.pamphlet" 1672360 1672385 1674188 1674193) (|AnnaPartialDifferentialEquationPackage| "bookvol10.4.pamphlet" 1666400 1666444 1672350 1672355) (|PolynomialDecomposition| "bookvol10.4.pamphlet" 1665735 1665769 1666390 1666395) (|PartialDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1663845 1663893 1665725 1665730) (|PolynomialComposition| "bookvol10.4.pamphlet" 1663561 1663593 1663835 1663840) (|PoincareBirkhoffWittLyndonBasis| "bookvol10.3.pamphlet" 1662174 1662220 1663551 1663556) (|Pattern| "bookvol10.3.pamphlet" 1656454 1656469 1662164 1662169) (|PatternFunctions2| "bookvol10.4.pamphlet" 1656170 1656197 1656444 1656449) (|PatternFunctions1| "bookvol10.4.pamphlet" 1654457 1654484 1656160 1656165) (|PatternMatchResult| "bookvol10.3.pamphlet" 1652102 1652130 1654447 1654452) (|PatternMatchResultFunctions2| "bookvol10.4.pamphlet" 1651788 1651828 1652092 1652097) (|PatternMatch| "bookvol10.4.pamphlet" 1649958 1649999 1651455 1651460) (|PatternMatchable| "bookvol10.2.pamphlet" 1649383 1649407 1649948 1649953) (|PatternMatchListResult| "bookvol10.3.pamphlet" 1648473 1648507 1649373 1649378) (|Patternable| "bookvol10.2.pamphlet" 1648170 1648189 1648463 1648468) (|PartitionsAndPermutations| "bookvol10.4.pamphlet" 1645665 1645696 1648160 1648165) (|ParametricSurface| "bookvol10.3.pamphlet" 1645108 1645151 1645655 1645660) (|ParametricSurfaceFunctions2| "bookvol10.4.pamphlet" 1644876 1644917 1645098 1645103) (|ParametricSpaceCurve| "bookvol10.3.pamphlet" 1644316 1644362 1644866 1644871) (|ParametricSpaceCurveFunctions2| "bookvol10.4.pamphlet" 1644075 1644119 1644306 1644311) (|ParametricPlaneCurve| "bookvol10.3.pamphlet" 1643527 1643573 1644065 1644070) (|ParametricPlaneCurveFunctions2| "bookvol10.4.pamphlet" 1643286 1643330 1643517 1643522) (|ParametrizationPackage| "bookvol10.4.pamphlet" 1642089 1642158 1643276 1643281) (|PolynomialAN2Expression| "bookvol10.4.pamphlet" 1641482 1641511 1642079 1642084) (|Palette| "bookvol10.3.pamphlet" 1640485 1640498 1641472 1641477) (|PackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 1634898 1634951 1640437 1640442) (|PackageForAlgebraicFunctionFieldOverFiniteField| "bookvol10.4.pamphlet" 1628697 1628765 1634810 1634815) (|PAdicRationalConstructor| "bookvol10.3.pamphlet" 1625493 1625533 1626644 1626809) (|PAdicRational| "bookvol10.3.pamphlet" 1622677 1622700 1622861 1623026) (|PAdicInteger| "bookvol10.3.pamphlet" 1622369 1622391 1622560 1622672) (|PAdicIntegerCategory| "bookvol10.2.pamphlet" 1620854 1620884 1622252 1622364) (|PadeApproximantPackage| "bookvol10.4.pamphlet" 1619779 1619818 1620844 1620849) (|PadeApproximants| "bookvol10.4.pamphlet" 1618770 1618800 1619769 1619774) (|PseudoAlgebraicClosureOfRationalNumber| "bookvol10.3.pamphlet" 1617383 1617427 1618255 1618420) (|PseudoAlgebraicClosureOfRationalNumberCategory| "bookvol10.2.pamphlet" 1616251 1616303 1617213 1617378) (|PseudoAlgebraicClosureOfPerfectFieldCategory| "bookvol10.2.pamphlet" 1614436 1614486 1616081 1616246) (|PseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1613251 1613294 1614121 1614286) (|PseudoAlgebraicClosureOfFiniteFieldCategory| "bookvol10.2.pamphlet" 1612125 1612174 1613081 1613246) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.3.pamphlet" 1610140 1610204 1611035 1611200) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| "bookvol10.2.pamphlet" 1608992 1609052 1609970 1610135) (|OrdinaryWeightedPolynomials| "bookvol10.3.pamphlet" 1607909 1607964 1608784 1608901) (|OrderedVariableList| "bookvol10.3.pamphlet" 1607673 1607713 1607899 1607904) (|OutputPackage| "bookvol10.4.pamphlet" 1606788 1606807 1607663 1607668) (|OutputForm| "bookvol10.3.pamphlet" 1596194 1596210 1606778 1606783) (|OrdSetInts| "bookvol10.3.pamphlet" 1595791 1595807 1596184 1596189) (|OrthogonalPolynomialFunctions| "bookvol10.4.pamphlet" 1594204 1594241 1595691 1595696) (|UnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1593435 1593487 1593789 1593852) (|SparseUnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1592595 1592649 1593020 1593083) (|UnivariateSkewPolynomialCategoryOps| "bookvol10.4.pamphlet" 1590307 1590352 1592500 1592505) (|UnivariateSkewPolynomialCategory| "bookvol10.2.pamphlet" 1584265 1584305 1590239 1590302) (|UnivariateSkewPolynomialCategory&| NIL 1578101 1578144 1584078 1584083) (|OrderedSet| "bookvol10.2.pamphlet" 1577233 1577249 1578091 1578096) (|OrderedSet&| NIL 1576362 1576381 1577223 1577228) (|OrderedRing| "bookvol10.2.pamphlet" 1575680 1575697 1576335 1576357) (|OrderedRing&| NIL 1575012 1575032 1575670 1575675) (|OrderedMonoid| "bookvol10.2.pamphlet" 1574725 1574744 1575002 1575007) (|OrderingFunctions| "bookvol10.4.pamphlet" 1573857 1573888 1574715 1574720) (|OrderedFinite| "bookvol10.2.pamphlet" 1573780 1573799 1573847 1573852) (|OrderedCompletion| "bookvol10.3.pamphlet" 1572130 1572155 1573200 1573245) (|OrderedCompletionFunctions2| "bookvol10.4.pamphlet" 1571457 1571494 1572120 1572125) (|NumericalOptimizationProblem| "bookvol10.3.pamphlet" 1569197 1569231 1571447 1571452) (|AnnaNumericalOptimizationPackage| "bookvol10.4.pamphlet" 1561619 1561657 1569187 1569192) (|NumericalOptimizationCategory| "bookvol10.2.pamphlet" 1559070 1559105 1561609 1561614) (|OperationsQuery| "bookvol10.4.pamphlet" 1558612 1558633 1559060 1559065) (|Operator| "bookvol10.3.pamphlet" 1558250 1558266 1558336 1558453) (|OnePointCompletion| "bookvol10.3.pamphlet" 1556883 1556909 1557670 1557715) (|OnePointCompletionFunctions2| "bookvol10.4.pamphlet" 1556348 1556386 1556873 1556878) (|OpenMathServerPackage| "bookvol10.4.pamphlet" 1555379 1555406 1556338 1556343) (|OrderedMultisetAggregate| "bookvol10.2.pamphlet" 1555100 1555132 1555282 1555374) (|OpenMathPackage| "bookvol10.4.pamphlet" 1553763 1553784 1555090 1555095) (|OpenMath| "bookvol10.2.pamphlet" 1552832 1552846 1553753 1553758) (|OppositeMonogenicLinearOperator| "bookvol10.3.pamphlet" 1552169 1552210 1552667 1552730) (|ExpressionToOpenMath| "bookvol10.4.pamphlet" 1551985 1552013 1552159 1552164) (|OpenMathError| "bookvol10.3.pamphlet" 1551527 1551546 1551975 1551980) (|OpenMathErrorKind| "bookvol10.3.pamphlet" 1550564 1550587 1551517 1551522) (|OpenMathEncoding| "bookvol10.3.pamphlet" 1549896 1549918 1550554 1550559) (|OpenMathDevice| "bookvol10.3.pamphlet" 1544627 1544647 1549886 1549891) (|OpenMathConnection| "bookvol10.3.pamphlet" 1544028 1544052 1544617 1544622) (|OrderedIntegralDomain| "bookvol10.2.pamphlet" 1543743 1543770 1543911 1544023) (|OrderedFreeMonoid| "bookvol10.3.pamphlet" 1537355 1537380 1543733 1543738) (|OrderlyDifferentialVariable| "bookvol10.3.pamphlet" 1536613 1536648 1537345 1537350) (|OrdinaryDifferentialRing| "bookvol10.3.pamphlet" 1535952 1536000 1536338 1536571) (|OrderlyDifferentialPolynomial| "bookvol10.3.pamphlet" 1532208 1532245 1532561 1532795) (|OrderedDirectProduct| "bookvol10.3.pamphlet" 1521996 1522034 1522372 1522576) (|ODETools| "bookvol10.4.pamphlet" 1520519 1520540 1521986 1521991) (|SystemODESolver| "bookvol10.4.pamphlet" 1517970 1517996 1520509 1520514) (|RationalRicDE| "bookvol10.4.pamphlet" 1513869 1513893 1517904 1517909) (|ReduceLODE| "bookvol10.4.pamphlet" 1513226 1513254 1513859 1513864) (|RationalLODE| "bookvol10.4.pamphlet" 1510664 1510687 1513216 1513221) (|PrimitiveRatRicDE| "bookvol10.4.pamphlet" 1507668 1507701 1510654 1510659) (|NumericalODEProblem| "bookvol10.3.pamphlet" 1506307 1506332 1507658 1507663) (|PrimitiveRatDE| "bookvol10.4.pamphlet" 1503557 1503587 1506297 1506302) (|PureAlgebraicLODE| "bookvol10.4.pamphlet" 1502912 1502947 1503547 1503552) (|AnnaOrdinaryDifferentialEquationPackage| "bookvol10.4.pamphlet" 1490619 1490664 1502902 1502907) (|ODEIntegration| "bookvol10.4.pamphlet" 1490030 1490054 1490609 1490614) (|ODEIntensityFunctionsTable| "bookvol10.3.pamphlet" 1487409 1487441 1490020 1490025) (|ElementaryFunctionODESolver| "bookvol10.4.pamphlet" 1482705 1482742 1487399 1487404) (|ConstantLODE| "bookvol10.4.pamphlet" 1482208 1482232 1482695 1482700) (|OrdinaryDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1480558 1480607 1482198 1482203) (|Octonion| "bookvol10.3.pamphlet" 1478407 1478423 1479095 1479158) (|OctonionCategoryFunctions2| "bookvol10.4.pamphlet" 1478032 1478074 1478397 1478402) (|OctonionCategory| "bookvol10.2.pamphlet" 1475942 1475966 1477964 1478027) (|OctonionCategory&| NIL 1473502 1473529 1475527 1475532) (|OrderedCancellationAbelianMonoid| "bookvol10.2.pamphlet" 1473322 1473360 1473492 1473497) (|OrderedAbelianSemiGroup| "bookvol10.2.pamphlet" 1473067 1473096 1473312 1473317) (|OrderedAbelianMonoidSup| "bookvol10.2.pamphlet" 1472400 1472429 1473057 1473062) (|OrderedAbelianMonoid| "bookvol10.2.pamphlet" 1472245 1472271 1472390 1472395) (|OrderedAbelianGroup| "bookvol10.2.pamphlet" 1472092 1472117 1472235 1472240) (|NumericTubePlot| "bookvol10.4.pamphlet" 1471806 1471835 1472082 1472087) (|NumericalQuadrature| "bookvol10.4.pamphlet" 1460518 1460543 1471796 1471801) (|NumericalOrdinaryDifferentialEquations| "bookvol10.4.pamphlet" 1452049 1452093 1460508 1460513) (|NumericalIntegrationCategory| "bookvol10.2.pamphlet" 1449378 1449412 1452039 1452044) (|NumberFormats| "bookvol10.4.pamphlet" 1448209 1448228 1449368 1449373) (|Numeric| "bookvol10.4.pamphlet" 1440316 1440331 1447968 1447973) (|NormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 1439669 1439714 1440247 1440311) (|NumberTheoreticPolynomialFunctions| "bookvol10.4.pamphlet" 1439171 1439213 1439569 1439574) (|NewSparseUnivariatePolynomial| "bookvol10.3.pamphlet" 1431984 1432021 1435660 1435937) (|NewSparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 1431343 1431392 1431974 1431979) (|NewSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 1426329 1426377 1426650 1426884) (|NeitherSparseOrDensePowerSeries| "bookvol10.3.pamphlet" 1424503 1424542 1424609 1424774) (|NumericRealEigenPackage| "bookvol10.4.pamphlet" 1422872 1422907 1424493 1424498) (|NewtonPolygon| "bookvol10.4.pamphlet" 1422753 1422793 1422862 1422867) (|NPCoef| "bookvol10.4.pamphlet" 1421997 1422021 1422743 1422748) (|NottinghamGroup| "bookvol10.3.pamphlet" 1421869 1421892 1421970 1421992) (|NormRetractPackage| "bookvol10.4.pamphlet" 1421451 1421502 1421859 1421864) (|NormalizationPackage| "bookvol10.4.pamphlet" 1420281 1420318 1421441 1421446) (|NormInMonogenicAlgebra| "bookvol10.4.pamphlet" 1419943 1419989 1420271 1420276) (|None| "bookvol10.3.pamphlet" 1419682 1419692 1419933 1419938) (|NoneFunctions1| "bookvol10.4.pamphlet" 1419346 1419368 1419672 1419677) (|NonLinearFirstOrderODESolver| "bookvol10.4.pamphlet" 1418781 1418819 1419336 1419341) (|NonNegativeInteger| "bookvol10.3.pamphlet" 1417647 1417671 1418747 1418776) (|NonLinearSolvePackage| "bookvol10.4.pamphlet" 1416254 1416283 1417637 1417642) (|NumericalIntegrationProblem| "bookvol10.3.pamphlet" 1413917 1413950 1416244 1416249) (|NumberFieldIntegralBasis| "bookvol10.4.pamphlet" 1411367 1411402 1413907 1413912) (|NewtonInterpolation| "bookvol10.4.pamphlet" 1410673 1410700 1411357 1411362) (|NonCommutativeOperatorDivision| "bookvol10.4.pamphlet" 1408789 1408829 1410663 1410668) (|NumericContinuedFraction| "bookvol10.4.pamphlet" 1408428 1408460 1408779 1408784) (|NumericComplexEigenPackage| "bookvol10.4.pamphlet" 1406582 1406620 1408418 1408423) (|NonAssociativeRing| "bookvol10.2.pamphlet" 1406164 1406188 1406572 1406577) (|NonAssociativeRing&| NIL 1405743 1405770 1406154 1406159) (|NonAssociativeRng| "bookvol10.2.pamphlet" 1405106 1405129 1405733 1405738) (|NonAssociativeRng&| NIL 1404466 1404492 1405096 1405101) (|NAGLinkSupportPackage| "bookvol10.4.pamphlet" 1403524 1403551 1404456 1404461) (|NagSpecialFunctionsPackage| "bookvol10.4.pamphlet" 1393942 1393974 1403514 1403519) (|NagLapack| "bookvol10.4.pamphlet" 1392435 1392450 1393932 1393937) (|NagLinearEquationSolvingPackage| "bookvol10.4.pamphlet" 1386870 1386907 1392425 1392430) (|NagEigenPackage| "bookvol10.4.pamphlet" 1381013 1381034 1386860 1386865) (|NagMatrixOperationsPackage| "bookvol10.4.pamphlet" 1376799 1376831 1381003 1381008) (|NagOptimisationPackage| "bookvol10.4.pamphlet" 1370573 1370601 1376789 1376794) (|NagFittingPackage| "bookvol10.4.pamphlet" 1361315 1361338 1370563 1370568) (|NagInterpolationPackage| "bookvol10.4.pamphlet" 1357385 1357414 1361305 1361310) (|NagPartialDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1355388 1355432 1357375 1357380) (|NagOrdinaryDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1348157 1348202 1355378 1355383) (|NagIntegrationPackage| "bookvol10.4.pamphlet" 1342682 1342709 1348147 1348152) (|NagSeriesSummationPackage| "bookvol10.4.pamphlet" 1338591 1338622 1342672 1342677) (|NagRootFindingPackage| "bookvol10.4.pamphlet" 1337118 1337145 1338581 1338586) (|NagPolynomialRootsPackage| "bookvol10.4.pamphlet" 1336425 1336456 1337108 1337113) (|NonAssociativeAlgebra| "bookvol10.2.pamphlet" 1335941 1335970 1336376 1336420) (|NonAssociativeAlgebra&| NIL 1335493 1335525 1335931 1335936) (|MyUnivariatePolynomial| "bookvol10.3.pamphlet" 1331639 1331673 1331982 1332259) (|MyExpression| "bookvol10.3.pamphlet" 1329189 1329213 1329271 1329638) (|MultivariateSquareFree| "bookvol10.4.pamphlet" 1326137 1326174 1329179 1329184) (|MultivariateFactorize| "bookvol10.4.pamphlet" 1325516 1325552 1326127 1326132) (|MultivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 1323448 1323499 1325346 1325511) (|MergeThing| "bookvol10.4.pamphlet" 1323099 1323117 1323438 1323443) (|MoreSystemCommands| "bookvol10.4.pamphlet" 1322541 1322565 1323089 1323094) (|Multiset| "bookvol10.3.pamphlet" 1320517 1320533 1322222 1322302) (|MultisetAggregate| "bookvol10.2.pamphlet" 1320306 1320331 1320444 1320512) (|MonoidRing| "bookvol10.3.pamphlet" 1317219 1317239 1319900 1320017) (|MonoidRingFunctions2| "bookvol10.4.pamphlet" 1316763 1316795 1317209 1317214) (|MRationalFactorize| "bookvol10.4.pamphlet" 1316308 1316341 1316753 1316758) (|MPolyCatRationalFunctionFactorizer| "bookvol10.4.pamphlet" 1314349 1314400 1316298 1316303) (|MultivariatePolynomial| "bookvol10.3.pamphlet" 1310797 1310832 1311159 1311393) (|MPolyCatPolyFactorizer| "bookvol10.4.pamphlet" 1310056 1310095 1310787 1310792) (|MPolyCatFunctions3| "bookvol10.4.pamphlet" 1309853 1309909 1310046 1310051) (|MPolyCatFunctions2| "bookvol10.4.pamphlet" 1309588 1309637 1309843 1309848) (|MonomialExtensionTools| "bookvol10.4.pamphlet" 1307943 1307976 1309578 1309583) (|Monoid| "bookvol10.2.pamphlet" 1306841 1306853 1307933 1307938) (|Monoid&| NIL 1305736 1305751 1306831 1306836) (|MonogenicAlgebra| "bookvol10.2.pamphlet" 1304369 1304396 1305515 1305731) (|MonogenicAlgebra&| NIL 1303080 1303110 1304229 1304234) (|MonadWithUnit| "bookvol10.2.pamphlet" 1301222 1301241 1303070 1303075) (|MonadWithUnit&| NIL 1299361 1299383 1301212 1301217) (|Monad| "bookvol10.2.pamphlet" 1298549 1298560 1299351 1299356) (|Monad&| NIL 1297734 1297748 1298539 1298544) (|MoebiusTransform| "bookvol10.3.pamphlet" 1296374 1296398 1297707 1297729) (|Module| "bookvol10.2.pamphlet" 1296066 1296080 1296325 1296369) (|Module&| NIL 1295794 1295811 1296056 1296061) (|ModularRing| "bookvol10.3.pamphlet" 1295089 1295145 1295767 1295789) (|ModuleOperator| "bookvol10.3.pamphlet" 1293599 1293623 1294813 1294930) (|ModuleMonomial| "bookvol10.3.pamphlet" 1293100 1293130 1293589 1293594) (|ModMonic| "bookvol10.3.pamphlet" 1288672 1288694 1289496 1289773) (|ModularField| "bookvol10.3.pamphlet" 1287949 1288006 1288502 1288667) (|MathMLFormat| "bookvol10.3.pamphlet" 1286744 1286762 1287939 1287944) (|MultipleMap| "bookvol10.4.pamphlet" 1286469 1286512 1286734 1286739) (|MonogenicLinearOperator| "bookvol10.2.pamphlet" 1284842 1284873 1286401 1286464) (|MultivariateLifting| "bookvol10.4.pamphlet" 1283441 1283475 1284832 1284837) (|MakeUnaryCompiledFunction| "bookvol10.4.pamphlet" 1282862 1282899 1283431 1283436) (|MakeRecord| "bookvol10.4.pamphlet" 1282446 1282467 1282852 1282857) (|MakeFunction| "bookvol10.4.pamphlet" 1281721 1281741 1282436 1282441) (|MakeFloatCompiledFunction| "bookvol10.4.pamphlet" 1280548 1280581 1281711 1281716) (|MakeCachableSet| "bookvol10.3.pamphlet" 1280313 1280336 1280538 1280543) (|MakeBinaryCompiledFunction| "bookvol10.4.pamphlet" 1279728 1279770 1280303 1280308) (|MachineInteger| "bookvol10.3.pamphlet" 1279076 1279096 1279551 1279723) (|ModularHermitianRowReduction| "bookvol10.4.pamphlet" 1277689 1277725 1279066 1279071) (|MachineFloat| "bookvol10.3.pamphlet" 1276047 1276065 1277499 1277684) (|MultFiniteFactorize| "bookvol10.4.pamphlet" 1275434 1275469 1276037 1276042) (|MeshCreationRoutinesForThreeDimensions| "bookvol10.4.pamphlet" 1273310 1273354 1275424 1275429) (|ModularDistinctDegreeFactorizer| "bookvol10.4.pamphlet" 1271534 1271573 1273300 1273305) (|MultiDictionary| "bookvol10.2.pamphlet" 1270789 1270812 1271489 1271529) (|MachineComplex| "bookvol10.3.pamphlet" 1264702 1264722 1265328 1265733) (|MatrixCommonDenominator| "bookvol10.4.pamphlet" 1263883 1263916 1264692 1264697) (|MultiVariableCalculusFunctions| "bookvol10.4.pamphlet" 1261119 1261169 1263873 1263878) (|StorageEfficientMatrixOperations| "bookvol10.4.pamphlet" 1258369 1258409 1261109 1261114) (|Matrix| "bookvol10.3.pamphlet" 1257124 1257138 1257610 1257662) (|MatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1254478 1254528 1256980 1256985) (|MatrixCategory| "bookvol10.2.pamphlet" 1240569 1240603 1254409 1254473) (|MatrixCategory&| NIL 1226483 1226520 1240326 1240331) (|MatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1225743 1225813 1226473 1226478) (|MappingPackage4| "bookvol10.4.pamphlet" 1224524 1224549 1225733 1225738) (|MappingPackage3| "bookvol10.4.pamphlet" 1223386 1223413 1224514 1224519) (|MappingPackage2| "bookvol10.4.pamphlet" 1222679 1222704 1223376 1223381) (|MappingPackage1| "bookvol10.4.pamphlet" 1221488 1221511 1222669 1222674) (|MappingPackageInternalHacks3| "bookvol10.4.pamphlet" 1221274 1221314 1221478 1221483) (|MappingPackageInternalHacks2| "bookvol10.4.pamphlet" 1221017 1221055 1221264 1221269) (|MappingPackageInternalHacks1| "bookvol10.4.pamphlet" 1220627 1220663 1221007 1221012) (|MatrixManipulation| "bookvol10.4.pamphlet" 1216283 1216323 1220617 1220622) (|Magma| "bookvol10.3.pamphlet" 1214564 1214584 1216273 1216278) (|ModularAlgebraicGcdOperations| "bookvol10.2.pamphlet" 1212393 1212435 1214554 1214559) (|ThreeDimensionalMatrix| "bookvol10.3.pamphlet" 1210317 1210347 1211953 1211958) (|LazyStreamAggregate| "bookvol10.2.pamphlet" 1206048 1206075 1210297 1210312) (|LazyStreamAggregate&| NIL 1201786 1201816 1206038 1206043) (|LyndonWord| "bookvol10.3.pamphlet" 1199016 1199041 1201776 1201781) (|LieSquareMatrix| "bookvol10.3.pamphlet" 1196929 1196956 1197324 1197411) (|LinearSystemPolynomialPackage| "bookvol10.4.pamphlet" 1196445 1196489 1196919 1196924) (|LinearSystemMatrixPackage| "bookvol10.4.pamphlet" 1195228 1195275 1196435 1196440) (|LinearSystemMatrixPackage1| "bookvol10.4.pamphlet" 1192970 1193004 1195218 1195223) (|ListAggregate| "bookvol10.2.pamphlet" 1192591 1192612 1192901 1192965) (|ListAggregate&| NIL 1192268 1192292 1192581 1192586) (|LiePolynomial| "bookvol10.3.pamphlet" 1191372 1191402 1192091 1192177) (|LinearPolynomialEquationByFractions| "bookvol10.4.pamphlet" 1190600 1190643 1191362 1191367) (|LocalParametrizationOfSimplePointPackage| "bookvol10.4.pamphlet" 1189038 1189125 1190590 1190595) (|LeftOreRing| "bookvol10.2.pamphlet" 1188483 1188500 1188947 1189033) (|LinesOpPack| "bookvol10.4.pamphlet" 1187147 1187166 1188473 1188478) (|Localize| "bookvol10.3.pamphlet" 1186504 1186524 1187047 1187091) (|Logic| "bookvol10.2.pamphlet" 1186133 1186144 1186494 1186499) (|Logic&| NIL 1185759 1185773 1186123 1186128) (|LinearOrdinaryDifferentialOperatorsOps| "bookvol10.4.pamphlet" 1184653 1184701 1185749 1185754) (|LinearOrdinaryDifferentialOperator| "bookvol10.3.pamphlet" 1183896 1183945 1184238 1184301) (|LinearOrdinaryDifferentialOperatorFactorizer| "bookvol10.4.pamphlet" 1182883 1182938 1183830 1183835) (|LinearOrdinaryDifferentialOperatorCategory| "bookvol10.2.pamphlet" 1181468 1181518 1182815 1182878) (|LinearOrdinaryDifferentialOperatorCategory&| NIL 1180071 1180124 1181421 1181426) (|LinearOrdinaryDifferentialOperator2| "bookvol10.3.pamphlet" 1179203 1179248 1179656 1179719) (|LinearOrdinaryDifferentialOperator1| "bookvol10.3.pamphlet" 1178462 1178505 1178788 1178851) (|ElementaryFunctionLODESolver| "bookvol10.4.pamphlet" 1177166 1177206 1178452 1178457) (|LocalPowerSeriesCategory| "bookvol10.2.pamphlet" 1175495 1175527 1176996 1177161) (|LinearAggregate| "bookvol10.2.pamphlet" 1171958 1171981 1175475 1175490) (|LinearAggregate&| NIL 1168381 1168407 1171901 1171906) (|ListMonoidOps| "bookvol10.3.pamphlet" 1164982 1165010 1168371 1168376) (|LeftModule| "bookvol10.2.pamphlet" 1164489 1164507 1164972 1164977) (|ListMultiDictionary| "bookvol10.3.pamphlet" 1163529 1163556 1164198 1164250) (|LinearSystemFromPowerSeriesPackage| "bookvol10.4.pamphlet" 1162948 1162994 1163519 1163524) (|List| "bookvol10.3.pamphlet" 1160779 1160791 1162188 1162240) (|ListFunctions3| "bookvol10.4.pamphlet" 1160082 1160108 1160769 1160774) (|ListFunctions2| "bookvol10.4.pamphlet" 1158750 1158774 1160072 1160077) (|ListToMap| "bookvol10.4.pamphlet" 1155606 1155625 1158740 1158745) (|LinearlyExplicitRingOver| "bookvol10.2.pamphlet" 1154955 1154987 1155579 1155601) (|LinearDependence| "bookvol10.4.pamphlet" 1153808 1153834 1154861 1154866) (|RationalFunctionLimitPackage| "bookvol10.4.pamphlet" 1151740 1151776 1153798 1153803) (|PowerSeriesLimitPackage| "bookvol10.4.pamphlet" 1150594 1150628 1151730 1151735) (|AssociatedLieAlgebra| "bookvol10.3.pamphlet" 1148299 1148329 1149577 1149821) (|LieAlgebra| "bookvol10.2.pamphlet" 1147859 1147877 1148208 1148294) (|LieAlgebra&| NIL 1147460 1147481 1147812 1147817) (|Library| "bookvol10.3.pamphlet" 1145803 1145816 1146514 1146542) (|LinGroebnerPackage| "bookvol10.4.pamphlet" 1143169 1143200 1145793 1145798) (|LiouvillianFunction| "bookvol10.4.pamphlet" 1141935 1141964 1143159 1143164) (|LiouvillianFunctionCategory| "bookvol10.2.pamphlet" 1140763 1140796 1141925 1141930) (|LexTriangularPackage| "bookvol10.4.pamphlet" 1136577 1136610 1140753 1140758) (|LieExponentials| "bookvol10.3.pamphlet" 1134792 1134832 1136550 1136572) (|LeadingCoefDetermination| "bookvol10.4.pamphlet" 1133200 1133239 1134782 1134787) (|LazardSetSolvingPackage| "bookvol10.4.pamphlet" 1132289 1132332 1133190 1133195) (|LaurentPolynomial| "bookvol10.3.pamphlet" 1130895 1130923 1131727 1131839) (|LaplaceTransform| "bookvol10.4.pamphlet" 1130430 1130456 1130885 1130890) (|LocalAlgebra| "bookvol10.3.pamphlet" 1129797 1129821 1130319 1130382) (|LeftAlgebra| "bookvol10.2.pamphlet" 1129557 1129576 1129770 1129792) (|LeftAlgebra&| NIL 1129331 1129353 1129547 1129552) (|Kovacic| "bookvol10.4.pamphlet" 1128011 1128029 1129321 1129326) (|ConvertibleTo| "bookvol10.2.pamphlet" 1127724 1127745 1128001 1128006) (|CoercibleTo| "bookvol10.2.pamphlet" 1127452 1127471 1127714 1127719) (|Kernel| "bookvol10.3.pamphlet" 1125951 1125965 1127178 1127183) (|KernelFunctions2| "bookvol10.4.pamphlet" 1125640 1125666 1125941 1125946) (|KeyedDictionary| "bookvol10.2.pamphlet" 1124753 1124788 1125595 1125635) (|KeyedDictionary&| NIL 1123898 1123936 1124743 1124748) (|KeyedAccessFile| "bookvol10.3.pamphlet" 1122370 1122399 1123092 1123144) (|AssociatedJordanAlgebra| "bookvol10.3.pamphlet" 1120051 1120084 1121353 1121597) (|IndexedAggregate| "bookvol10.2.pamphlet" 1118281 1118319 1120031 1120046) (|IndexedAggregate&| NIL 1116334 1116375 1118087 1118092) (|IndexedVector| "bookvol10.3.pamphlet" 1115151 1115177 1115302 1115354) (|InfiniteTuple| "bookvol10.3.pamphlet" 1114260 1114281 1115141 1115146) (|InnerTrigonometricManipulations| "bookvol10.4.pamphlet" 1112998 1113042 1114250 1114255) (|InfiniteTupleFunctions3| "bookvol10.4.pamphlet" 1112483 1112518 1112988 1112993) (|InfiniteTupleFunctions2| "bookvol10.4.pamphlet" 1112206 1112239 1112473 1112478) (|InnerTaylorSeries| "bookvol10.3.pamphlet" 1109896 1109926 1111939 1112155) (|InnerSparseUnivariatePowerSeries| "bookvol10.3.pamphlet" 1102023 1102068 1108639 1108804) (|InnerPolySum| "bookvol10.4.pamphlet" 1101480 1101506 1102013 1102018) (|IndexedString| "bookvol10.3.pamphlet" 1100477 1100501 1100654 1100706) (|InternalRationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 1099427 1099491 1100467 1100472) (|IrrRepSymNatPackage| "bookvol10.4.pamphlet" 1097478 1097503 1099417 1099422) (|IntegrationResultRFToFunction| "bookvol10.4.pamphlet" 1095982 1096019 1097418 1097423) (|IrredPolyOverFiniteField| "bookvol10.4.pamphlet" 1095561 1095594 1095972 1095977) (|IntegerRoots| "bookvol10.4.pamphlet" 1093867 1093887 1095551 1095556) (|IntegrationResult| "bookvol10.3.pamphlet" 1091525 1091550 1093668 1093712) (|IntegrationResultFunctions2| "bookvol10.4.pamphlet" 1090648 1090685 1091515 1091520) (|IntegrationResultToFunction| "bookvol10.4.pamphlet" 1089804 1089841 1090638 1090643) (|InternalPrintPackage| "bookvol10.4.pamphlet" 1089562 1089588 1089794 1089799) (|InnerPrimeField| "bookvol10.3.pamphlet" 1089139 1089164 1089256 1089421) (|InnerPAdicInteger| "bookvol10.3.pamphlet" 1088852 1088893 1089022 1089134) (|InverseLaplaceTransform| "bookvol10.4.pamphlet" 1088432 1088465 1088842 1088847) (|TranscendentalIntegration| "bookvol10.4.pamphlet" 1081435 1081471 1088422 1088427) (|IntegrationTools| "bookvol10.4.pamphlet" 1079138 1079164 1080857 1080862) (|IntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 1078424 1078466 1079128 1079133) (|Interval| "bookvol10.3.pamphlet" 1078143 1078159 1078287 1078419) (|RationalFunctionIntegration| "bookvol10.4.pamphlet" 1076486 1076521 1078133 1078138) (|IntegerRetractions| "bookvol10.4.pamphlet" 1075963 1075989 1076476 1076481) (|RationalIntegration| "bookvol10.4.pamphlet" 1074619 1074649 1075953 1075958) (|PatternMatchIntegration| "bookvol10.4.pamphlet" 1072790 1072823 1074137 1074142) (|PureAlgebraicIntegration| "bookvol10.4.pamphlet" 1070389 1070425 1072682 1072687) (|AnnaNumericalIntegrationPackage| "bookvol10.4.pamphlet" 1060885 1060922 1070379 1070384) (|Integer| "bookvol10.3.pamphlet" 1060131 1060144 1060629 1060880) (|TranscendentalHermiteIntegration| "bookvol10.4.pamphlet" 1059371 1059414 1060121 1060126) (|AlgebraicHermiteIntegration| "bookvol10.4.pamphlet" 1058995 1059040 1059361 1059366) (|IntegerNumberTheoryFunctions| "bookvol10.4.pamphlet" 1055348 1055382 1058985 1058990) (|GenusZeroIntegration| "bookvol10.4.pamphlet" 1048452 1048484 1055240 1055245) (|IntegrationFunctionsTable| "bookvol10.3.pamphlet" 1042427 1042458 1048442 1048447) (|InterpolateFormsPackage| "bookvol10.4.pamphlet" 1041558 1041636 1042417 1042422) (|IntegerFactorizationPackage| "bookvol10.4.pamphlet" 1040619 1040654 1041548 1041553) (|InterfaceGroebnerPackage| "bookvol10.4.pamphlet" 1040465 1040511 1040609 1040614) (|ElementaryIntegration| "bookvol10.4.pamphlet" 1038808 1038839 1040455 1040460) (|IntegralDomain| "bookvol10.2.pamphlet" 1037405 1037425 1038691 1038803) (|IntegralDomain&| NIL 1036106 1036129 1037395 1037400) (|IntersectionDivisorPackage| "bookvol10.4.pamphlet" 1035228 1035339 1036096 1036101) (|IntervalCategory| "bookvol10.2.pamphlet" 1033784 1033808 1035091 1035223) (|IntegerBits| "bookvol10.4.pamphlet" 1033306 1033323 1033774 1033779) (|AlgebraicIntegrate| "bookvol10.4.pamphlet" 1032452 1032491 1033296 1033301) (|AlgebraicIntegration| "bookvol10.4.pamphlet" 1031914 1031944 1032442 1032447) (|InnerTable| "bookvol10.3.pamphlet" 1030830 1030869 1031001 1031053) (|IntegerNumberSystem| "bookvol10.2.pamphlet" 1028068 1028093 1030653 1030825) (|IntegerNumberSystem&| NIL 1025470 1025498 1028058 1028063) (|InnerPolySign| "bookvol10.4.pamphlet" 1024907 1024931 1025460 1025465) (|InfiniteProductPrimeField| "bookvol10.4.pamphlet" 1023980 1024022 1024897 1024902) (|InfiniteProductFiniteField| "bookvol10.4.pamphlet" 1023044 1023092 1023970 1023975) (|InnerMultFact| "bookvol10.4.pamphlet" 1022039 1022067 1023034 1023039) (|InnerModularGcd| "bookvol10.4.pamphlet" 1021183 1021226 1022029 1022034) (|InnerNumericFloatSolvePackage| "bookvol10.4.pamphlet" 1019505 1019550 1021173 1021178) (|InfiniteProductCharacteristicZero| "bookvol10.4.pamphlet" 1018554 1018604 1019495 1019500) (|InputForm| "bookvol10.3.pamphlet" 1015468 1015483 1018544 1018549) (|InputFormFunctions1| "bookvol10.4.pamphlet" 1015096 1015123 1015458 1015463) (|Infinity| "bookvol10.4.pamphlet" 1014678 1014692 1015086 1015091) (|InfinitlyClosePoint| "bookvol10.3.pamphlet" 1014078 1014158 1014668 1014673) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1013464 1013543 1014068 1014073) (|InfinitlyClosePointCategory| "bookvol10.2.pamphlet" 1012092 1012180 1013454 1013459) (|InnerNumericEigenPackage| "bookvol10.4.pamphlet" 1010618 1010658 1012082 1012087) (|IndexedExponents| "bookvol10.3.pamphlet" 1010510 1010541 1010608 1010613) (|IncrementingMaps| "bookvol10.4.pamphlet" 1009913 1009937 1010500 1010505) (|InnerNormalBasisFieldFunctions| "bookvol10.4.pamphlet" 1005779 1005818 1009903 1009908) (|IndexedMatrix| "bookvol10.3.pamphlet" 1004804 1004841 1005327 1005379) (|InnerMatrixQuotientFieldFunctions| "bookvol10.4.pamphlet" 1003852 1003927 1004747 1004752) (|InnerMatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1002421 1002476 1003795 1003800) (|IndexedList| "bookvol10.3.pamphlet" 1001175 1001199 1001703 1001755) (|InnerIndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 1000824 1000891 1000958 1001010) (|InnerFiniteField| "bookvol10.3.pamphlet" 1000044 1000074 1000309 1000474) (|IndexedFlexibleArray| "bookvol10.3.pamphlet" 997135 997168 999326 999378) (|InnerFreeAbelianMonoid| "bookvol10.3.pamphlet" 996935 996972 997073 997078) (|InnerEvalable| "bookvol10.2.pamphlet" 996321 996344 996925 996930) (|InnerEvalable&| NIL 995704 995730 996311 996316) (|IndexedDirectProductObject| "bookvol10.3.pamphlet" 995493 995529 995694 995699) (|IndexedDirectProductOrderedAbelianMonoidSup| "bookvol10.3.pamphlet" 995225 995278 995483 995488) (|IndexedDirectProductOrderedAbelianMonoid| "bookvol10.3.pamphlet" 994922 994972 995215 995220) (|IndexedDirectProductCategory| "bookvol10.2.pamphlet" 993834 993872 994912 994917) (|IndexedDirectProductAbelianMonoid| "bookvol10.3.pamphlet" 993563 993606 993824 993829) (|IndexedDirectProductAbelianGroup| "bookvol10.3.pamphlet" 993295 993337 993553 993558) (|IdealDecompositionPackage| "bookvol10.4.pamphlet" 990544 990585 993285 993290) (|PolynomialIdeals| "bookvol10.3.pamphlet" 985600 985649 990465 990470) (|InfClsPt| "bookvol10.3.pamphlet" 985051 985080 985590 985595) (|InnerCommonDenominator| "bookvol10.4.pamphlet" 984264 984300 985041 985046) (|IndexCard| "bookvol10.3.pamphlet" 983540 983555 984254 984259) (|IntegralBasisPolynomialTools| "bookvol10.4.pamphlet" 982157 982200 983530 983535) (|IndexedBits| "bookvol10.3.pamphlet" 981314 981336 981735 981787) (|IntegralBasisTools| "bookvol10.4.pamphlet" 978229 978260 981304 981309) (|ChineseRemainderToolsForIntegralBases| "bookvol10.4.pamphlet" 977104 977154 978219 978224) (|IndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 976764 976814 976887 976939) (|IndexedOneDimensionalArray| "bookvol10.3.pamphlet" 975929 975968 976046 976098) (|InnerAlgebraicNumber| "bookvol10.3.pamphlet" 974046 974072 975657 975822) (|InnerAlgFactor| "bookvol10.4.pamphlet" 973595 973636 974036 974041) (|HyperbolicFunctionCategory| "bookvol10.2.pamphlet" 972949 972981 973585 973590) (|HyperbolicFunctionCategory&| NIL 972300 972335 972939 972944) (|HTMLFormat| "bookvol10.3.pamphlet" 971144 971160 972290 972295) (|HomogeneousAggregate| "bookvol10.2.pamphlet" 968920 968948 971124 971139) (|HomogeneousAggregate&| NIL 966497 966528 968704 968709) (|HexadecimalExpansion| "bookvol10.3.pamphlet" 963635 963661 964251 964416) (|HeuGcd| "bookvol10.4.pamphlet" 962583 962598 963625 963630) (|HyperellipticFiniteDivisor| "bookvol10.3.pamphlet" 962195 962239 962573 962578) (|Heap| "bookvol10.3.pamphlet" 958283 958295 961978 962030) (|HomogeneousDirectProduct| "bookvol10.3.pamphlet" 948065 948103 948447 948651) (|HomogeneousDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 944234 944291 944875 945109) (|HallBasis| "bookvol10.4.pamphlet" 942823 942838 944224 944229) (|HashTable| "bookvol10.3.pamphlet" 941694 941732 941910 941962) (|Pi| "bookvol10.3.pamphlet" 941233 941241 941524 941689) (|GuessUnivariatePolynomial| "bookvol10.4.pamphlet" 927307 927342 941223 941228) (|GuessPolynomial| "bookvol10.4.pamphlet" 926981 927002 927094 927099) (|Guess| "bookvol10.4.pamphlet" 911246 911288 926825 926830) (|GuessInteger| "bookvol10.4.pamphlet" 910955 910973 911063 911068) (|GuessFinite| "bookvol10.4.pamphlet" 910758 910777 910876 910881) (|GuessFiniteFunctions| "bookvol10.4.pamphlet" 910621 910649 910748 910753) (|GuessAlgebraicNumber| "bookvol10.4.pamphlet" 910409 910435 910527 910532) (|GeneralTriangularSet| "bookvol10.3.pamphlet" 909526 909560 910030 910082) (|GeneralSparseTable| "bookvol10.3.pamphlet" 908449 908500 908637 908665) (|GeneralUnivariatePowerSeries| "bookvol10.3.pamphlet" 905126 905179 906111 906363) (|Group| "bookvol10.2.pamphlet" 904094 904105 905099 905121) (|Group&| NIL 903076 903090 904084 904089) (|GroebnerSolve| "bookvol10.4.pamphlet" 901660 901688 903066 903071) (|GradedModule| "bookvol10.2.pamphlet" 900290 900312 901650 901655) (|GradedModule&| NIL 898917 898942 900280 900285) (|GraphImage| "bookvol10.3.pamphlet" 891948 891964 898907 898912) (|GraphicsDefaults| "bookvol10.4.pamphlet" 890329 890351 891938 891943) (|GrayCode| "bookvol10.4.pamphlet" 888864 888878 890319 890324) (|Graphviz| "bookvol10.4.pamphlet" 887688 887702 888854 888859) (|GradedAlgebra| "bookvol10.2.pamphlet" 886880 886903 887678 887683) (|GradedAlgebra&| NIL 886069 886095 886870 886875) (|GeneralPolynomialSet| "bookvol10.3.pamphlet" 885500 885541 885730 885782) (|GeneralPackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 880233 880357 885452 885457) (|GosperSummationMethod| "bookvol10.4.pamphlet" 879483 879520 880223 880228) (|GuessOption| "bookvol10.3.pamphlet" 873767 873784 879473 879478) (|GuessOptionFunctions0| "bookvol10.3.pamphlet" 870163 870190 873757 873762) (|GeneralModulePolynomial| "bookvol10.3.pamphlet" 869242 869290 870114 870158) (|GeneralHenselPackage| "bookvol10.4.pamphlet" 868396 868428 869232 869237) (|GenerateUnivariatePowerSeries| "bookvol10.4.pamphlet" 864182 864222 868386 868391) (|GenUFactorize| "bookvol10.4.pamphlet" 863775 863796 864172 864177) (|GeneralPolynomialGcdPackage| "bookvol10.4.pamphlet" 863400 863442 863765 863770) (|GeneralizedMultivariateFactorize| "bookvol10.4.pamphlet" 862837 862886 863390 863395) (|GenExEuclid| "bookvol10.4.pamphlet" 861310 861332 862827 862832) (|GnuDraw| "bookvol10.4.pamphlet" 859770 859783 861300 861305) (|GeneralDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 855789 855844 856580 856814) (|GenericNonAssociativeAlgebra| "bookvol10.3.pamphlet" 849629 849682 855478 855595) (|GcdDomain| "bookvol10.2.pamphlet" 848533 848548 849512 849624) (|GcdDomain&| NIL 847541 847559 848523 848528) (|GroebnerPackage| "bookvol10.4.pamphlet" 843072 843123 847494 847499) (|GroebnerInternalPackage| "bookvol10.4.pamphlet" 839149 839208 843062 843067) (|GroebnerFactorizationPackage| "bookvol10.4.pamphlet" 834588 834652 839139 839144) (|EuclideanGroebnerBasisPackage| "bookvol10.4.pamphlet" 831214 831279 834578 834583) (|GaussianFactorizationPackage| "bookvol10.4.pamphlet" 830511 830545 831204 831209) (|GaloisGroupUtilities| "bookvol10.4.pamphlet" 828802 828830 830450 830455) (|GaloisGroupPolynomialUtilities| "bookvol10.4.pamphlet" 827241 827282 828792 828797) (|GaloisGroupFactorizationUtilities| "bookvol10.4.pamphlet" 825419 825465 827231 827236) (|GaloisGroupFactorizer| "bookvol10.4.pamphlet" 815838 815868 825409 825414) (|FortranVectorFunctionCategory| "bookvol10.2.pamphlet" 812754 812789 815818 815833) (|FortranVectorCategory| "bookvol10.2.pamphlet" 811779 811806 812734 812749) (|FunctionCalled| "bookvol10.3.pamphlet" 811616 811640 811769 811774) (|FortranType| "bookvol10.3.pamphlet" 809839 809856 811606 811611) (|FortranTemplate| "bookvol10.3.pamphlet" 808997 809018 809829 809834) (|FunctionSpaceUnivariatePolynomialFactor| "bookvol10.4.pamphlet" 807986 808038 808909 808914) (|FortranScalarType| "bookvol10.3.pamphlet" 806115 806138 807976 807981) (|FunctionSpaceReduce| "bookvol10.4.pamphlet" 805526 805555 806105 806110) (|FunctionSpacePrimitiveElement| "bookvol10.4.pamphlet" 804340 804379 805460 805465) (|FunctionalSpecialFunction| "bookvol10.4.pamphlet" 801608 801643 804330 804335) (|FunctionSpace| "bookvol10.2.pamphlet" 795360 795381 801224 801603) (|FunctionSpace&| NIL 788919 788943 794786 794791) (|FunctionSpaceIntegration| "bookvol10.4.pamphlet" 788517 788551 788909 788914) (|FourierSeries| "bookvol10.3.pamphlet" 787766 787789 788269 788424) (|FunctionSpaceComplexIntegration| "bookvol10.4.pamphlet" 787005 787046 787756 787761) (|FiniteSetAggregate| "bookvol10.2.pamphlet" 786125 786151 786908 787000) (|FiniteSetAggregate&| NIL 785247 785276 786033 786038) (|FiniteSetAggregateFunctions2| "bookvol10.4.pamphlet" 783964 784006 785237 785242) (|FunctionSpaceToUnivariatePowerSeries| "bookvol10.4.pamphlet" 778421 778489 783954 783959) (|FunctionSpaceFunctions2| "bookvol10.4.pamphlet" 778012 778049 778411 778416) (|FunctionSpaceToExponentialExpansion| "bookvol10.4.pamphlet" 777142 777198 778002 778007) (|FactoredFunctionUtilities| "bookvol10.4.pamphlet" 776119 776152 777132 777137) (|Factored| "bookvol10.3.pamphlet" 767823 767839 774877 774989) (|FramedNonAssociativeAlgebra| "bookvol10.2.pamphlet" 762945 762980 767729 767818) (|FramedNonAssociativeAlgebra&| NIL 758111 758149 762898 762903) (|FramedNonAssociativeAlgebraFunctions2| "bookvol10.4.pamphlet" 757524 757577 758101 758106) (|FramedModule| "bookvol10.3.pamphlet" 756918 756954 757445 757450) (|FractionalIdeal| "bookvol10.3.pamphlet" 756135 756165 756891 756913) (|FractionalIdealFunctions2| "bookvol10.4.pamphlet" 755850 755905 756125 756130) (|FullyRetractableTo| "bookvol10.2.pamphlet" 755508 755534 755840 755845) (|FullyRetractableTo&| NIL 754995 755024 755330 755335) (|FramedAlgebra| "bookvol10.2.pamphlet" 753366 753390 754927 754990) (|FramedAlgebra&| NIL 751792 751819 753356 753361) (|Fraction| "bookvol10.3.pamphlet" 748044 748060 748435 748729) (|FractionFunctions2| "bookvol10.4.pamphlet" 747641 747669 748034 748039) (|FactoredFunctions2| "bookvol10.4.pamphlet" 746983 747011 747631 747636) (|FloatingPointSystem| "bookvol10.2.pamphlet" 743835 743860 746793 746978) (|FloatingPointSystem&| NIL 740765 740793 743726 743731) (|FieldOfPrimeCharacteristic| "bookvol10.2.pamphlet" 739723 739755 740595 740760) (|FieldOfPrimeCharacteristic&| NIL 738838 738873 739713 739718) (|FullyPatternMatchable| "bookvol10.2.pamphlet" 738571 738600 738818 738833) (|FullPartialFractionExpansion| "bookvol10.3.pamphlet" 737299 737338 738561 738566) (|FortranProgram| "bookvol10.3.pamphlet" 735771 735833 737289 737294) (|FortranPackage| "bookvol10.4.pamphlet" 734708 734728 735761 735766) (|FortranFunctionCategory| "bookvol10.2.pamphlet" 731777 731806 734688 734703) (|FortranProgramCategory| "bookvol10.2.pamphlet" 731460 731488 731757 731772) (|ScriptFormulaFormat| "bookvol10.3.pamphlet" 728837 728862 731450 731455) (|ScriptFormulaFormat1| "bookvol10.4.pamphlet" 728298 728326 728827 728832) (|FindOrderFinite| "bookvol10.4.pamphlet" 728070 728103 728288 728293) (|FortranOutputStackPackage| "bookvol10.4.pamphlet" 727248 727279 728060 728065) (|FreeNilpotentLie| "bookvol10.3.pamphlet" 726639 726675 727199 727243) (|FileNameCategory| "bookvol10.2.pamphlet" 724969 724991 726629 726634) (|FileName| "bookvol10.3.pamphlet" 724855 724869 724959 724964) (|FortranMachineTypeCategory| "bookvol10.2.pamphlet" 724586 724618 724738 724850) (|FreeMonoid| "bookvol10.3.pamphlet" 721340 721358 724534 724539) (|FreeModule| "bookvol10.3.pamphlet" 721005 721025 721244 721288) (|FortranMatrixFunctionCategory| "bookvol10.2.pamphlet" 717928 717963 720985 721000) (|FortranMatrixCategory| "bookvol10.2.pamphlet" 716953 716980 717908 717923) (|FreeModuleCat| "bookvol10.2.pamphlet" 714619 714648 716904 716948) (|FreeModule1| "bookvol10.3.pamphlet" 714042 714063 714523 714567) (|FloatingRealPackage| "bookvol10.4.pamphlet" 711833 711864 714032 714037) (|Float| "bookvol10.3.pamphlet" 708626 708637 711590 711828) (|FloatingComplexPackage| "bookvol10.4.pamphlet" 706072 706106 708616 708621) (|FullyLinearlyExplicitRingOver| "bookvol10.2.pamphlet" 705740 705777 706045 706067) (|FullyLinearlyExplicitRingOver&| NIL 705341 705381 705649 705654) (|FiniteLinearAggregateSort| "bookvol10.4.pamphlet" 704574 704609 705331 705336) (|FreeLieAlgebra| "bookvol10.2.pamphlet" 702612 702643 704483 704569) (|FiniteLinearAggregate| "bookvol10.2.pamphlet" 699787 699816 702568 702607) (|FiniteLinearAggregate&| NIL 696857 696889 699641 699646) (|FiniteLinearAggregateFunctions2| "bookvol10.4.pamphlet" 695549 695594 696847 696852) (|FiniteRankAlgebra| "bookvol10.2.pamphlet" 693631 693659 695481 695544) (|FiniteRankAlgebra&| NIL 691624 691655 693477 693482) (|Finite| "bookvol10.2.pamphlet" 690615 690627 691614 691619) (|Finite&| NIL 689603 689618 690605 690610) (|FiniteRankNonAssociativeAlgebra| "bookvol10.2.pamphlet" 678887 678926 689509 689598) (|FiniteRankNonAssociativeAlgebra&| NIL 668206 668248 678831 678836) (|File| "bookvol10.3.pamphlet" 667791 667803 668196 668201) (|FileCategory| "bookvol10.2.pamphlet" 666228 666255 667781 667786) (|Field| "bookvol10.2.pamphlet" 665491 665502 666058 666223) (|Field&| NIL 664911 664925 665481 665486) (|FreeGroup| "bookvol10.3.pamphlet" 663438 663455 664884 664906) (|FGLMIfCanPackage| "bookvol10.4.pamphlet" 662331 662360 663428 663433) (|FiniteFieldExtension| "bookvol10.3.pamphlet" 661611 661644 661916 662081) (|FiniteFieldSquareFreeDecomposition| "bookvol10.4.pamphlet" 661452 661501 661601 661606) (|FiniteFieldSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 660921 660976 661442 661447) (|FiniteFieldPolynomialPackage| "bookvol10.4.pamphlet" 652294 652331 660911 660916) (|FiniteFieldPolynomialPackage2| "bookvol10.4.pamphlet" 651353 651393 652284 652289) (|FiniteFieldExtensionByPolynomial| "bookvol10.3.pamphlet" 650688 650738 650938 651103) (|FiniteField| "bookvol10.3.pamphlet" 649976 650001 650198 650363) (|FiniteFieldNormalBasisExtension| "bookvol10.3.pamphlet" 648366 648415 649561 649726) (|FiniteFieldNormalBasisExtensionByPolynomial| "bookvol10.3.pamphlet" 646730 646788 647951 648116) (|FiniteFieldNormalBasis| "bookvol10.3.pamphlet" 645080 645121 646240 646405) (|FunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 642430 642469 645070 645075) (|FiniteFieldCategory| "bookvol10.2.pamphlet" 639939 639964 642260 642425) (|FiniteFieldCategory&| NIL 637605 637633 639929 639934) (|FiniteFieldHomomorphisms| "bookvol10.4.pamphlet" 636376 636415 637595 637600) (|FiniteFieldFunctions| "bookvol10.4.pamphlet" 633833 633862 636366 636371) (|FractionFreeFastGaussian| "bookvol10.4.pamphlet" 627937 627971 633823 633828) (|FractionFreeFastGaussianFractions| "bookvol10.4.pamphlet" 626585 626631 627927 627932) (|FiniteFieldFactorizationWithSizeParseBySideEffect| "bookvol10.4.pamphlet" 625957 626021 626575 626580) (|FiniteFieldFactorization| "bookvol10.4.pamphlet" 625856 625895 625947 625952) (|FiniteFieldCyclicGroupExtension| "bookvol10.3.pamphlet" 624577 624626 625441 625606) (|FiniteFieldCyclicGroupExtensionByPolynomial| "bookvol10.3.pamphlet" 623320 623381 624162 624327) (|FiniteFieldCyclicGroup| "bookvol10.3.pamphlet" 621956 621997 622830 622995) (|FunctionFieldCategory| "bookvol10.2.pamphlet" 610647 610684 621696 621951) (|FunctionFieldCategory&| NIL 599508 599548 610560 610565) (|FunctionFieldCategoryFunctions2| "bookvol10.4.pamphlet" 599218 599287 599498 599503) (|FortranExpression| "bookvol10.3.pamphlet" 591811 591872 598906 598969) (|FullyEvalableOver| "bookvol10.2.pamphlet" 591506 591531 591801 591806) (|FullyEvalableOver&| NIL 590960 590988 591258 591263) (|FiniteDivisor| "bookvol10.3.pamphlet" 590404 590435 590950 590955) (|FiniteDivisorCategory| "bookvol10.2.pamphlet" 588401 588440 590394 590399) (|FiniteDivisorCategory&| NIL 586395 586437 588391 588396) (|FiniteDivisorFunctions2| "bookvol10.4.pamphlet" 586120 586181 586385 586390) (|FortranCodePackage1| "bookvol10.4.pamphlet" 584664 584689 586110 586115) (|FourierComponent| "bookvol10.3.pamphlet" 584181 584205 584654 584659) (|FortranCode| "bookvol10.3.pamphlet" 574137 574154 584171 584176) (|FiniteAlgebraicExtensionField| "bookvol10.2.pamphlet" 567319 567356 573967 574132) (|FiniteAlgebraicExtensionField&| NIL 560620 560660 567271 567276) (|FlexibleArray| "bookvol10.3.pamphlet" 558913 558934 559902 559954) (|FiniteAbelianMonoidRing| "bookvol10.2.pamphlet" 556966 556999 558743 558908) (|FiniteAbelianMonoidRing&| NIL 555038 555074 556818 556823) (|FiniteAbelianMonoidRingFunctions2| "bookvol10.4.pamphlet" 554581 554634 555028 555033) (|FreeAbelianMonoid| "bookvol10.3.pamphlet" 554189 554214 554501 554506) (|FreeAbelianMonoidCategory| "bookvol10.2.pamphlet" 552349 552384 554179 554184) (|FreeAbelianGroup| "bookvol10.3.pamphlet" 551901 551925 552197 552241) (|FactoringUtilities| "bookvol10.4.pamphlet" 550097 550130 551891 551896) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| "bookvol10.4.pamphlet" 549926 549989 550087 550092) (|FactoredFunctions| "bookvol10.4.pamphlet" 549105 549130 549916 549921) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.4.pamphlet" 548926 548997 549095 549100) (|ExponentialOfUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 545259 545316 546588 546840) (|ExpressionTubePlot| "bookvol10.4.pamphlet" 542711 542735 545249 545254) (|ExpressionSolve| "bookvol10.4.pamphlet" 542604 542642 542701 542706) (|ExpressionSpaceODESolver| "bookvol10.4.pamphlet" 539330 539364 542594 542599) (|Expression| "bookvol10.3.pamphlet" 533411 533429 534141 534764) (|ExpressionToUnivariatePowerSeries| "bookvol10.4.pamphlet" 529470 529514 533401 533406) (|ExpressionFunctions2| "bookvol10.4.pamphlet" 529222 529252 529460 529465) (|ExponentialExpansion| "bookvol10.3.pamphlet" 524154 524197 524810 524975) (|Export3D| "bookvol10.4.pamphlet" 524001 524015 524144 524149) (|Exit| "bookvol10.3.pamphlet" 523670 523680 523991 523996) (|EvaluateCycleIndicators| "bookvol10.4.pamphlet" 523147 523178 523660 523665) (|Evalable| "bookvol10.2.pamphlet" 522705 522721 523137 523142) (|Evalable&| NIL 522260 522279 522695 522700) (|EuclideanDomain| "bookvol10.2.pamphlet" 519776 519797 522143 522255) (|EuclideanDomain&| NIL 517396 517420 519766 519771) (|ExpertSystemToolsPackage| "bookvol10.4.pamphlet" 509232 509262 517386 517391) (|ExpertSystemToolsPackage2| "bookvol10.4.pamphlet" 508804 508841 509222 509227) (|ExpertSystemToolsPackage1| "bookvol10.4.pamphlet" 508466 508500 508794 508799) (|ExpressionSpace| "bookvol10.2.pamphlet" 501400 501421 508456 508461) (|ExpressionSpace&| NIL 494223 494247 501282 501287) (|ExpertSystemContinuityPackage| "bookvol10.4.pamphlet" 491005 491040 494213 494218) (|ExpertSystemContinuityPackage1| "bookvol10.4.pamphlet" 490718 490758 490995 491000) (|ExpressionSpaceFunctions2| "bookvol10.4.pamphlet" 490206 490241 490708 490713) (|ExpressionSpaceFunctions1| "bookvol10.4.pamphlet" 489745 489780 490196 490201) (|ErrorFunctions| "bookvol10.4.pamphlet" 487209 487229 489735 489740) (|EqTable| "bookvol10.3.pamphlet" 486082 486109 486296 486348) (|Equation| "bookvol10.3.pamphlet" 480557 480573 483310 483449) (|EquationFunctions2| "bookvol10.4.pamphlet" 480259 480287 480547 480552) (|EigenPackage| "bookvol10.4.pamphlet" 476603 476623 480249 480254) (|EntireRing| "bookvol10.2.pamphlet" 476104 476120 476512 476598) (|EuclideanModularRing| "bookvol10.3.pamphlet" 475231 475298 475987 476099) (|EltableAggregate| "bookvol10.2.pamphlet" 473673 473706 475221 475226) (|EltableAggregate&| NIL 472065 472101 473616 473621) (|Eltable| "bookvol10.2.pamphlet" 471592 471615 472055 472060) (|EllipticFunctionsUnivariateTaylorSeries| "bookvol10.4.pamphlet" 470944 471000 471582 471587) (|ElementaryFunctionCategory| "bookvol10.2.pamphlet" 470617 470649 470934 470939) (|ElementaryFunctionCategory&| NIL 470287 470322 470607 470612) (|ExtensibleLinearAggregate| "bookvol10.2.pamphlet" 468167 468200 470242 470282) (|ExtensibleLinearAggregate&| NIL 465992 466028 468070 468075) (|ElementaryFunctionsUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 462724 462794 465945 465950) (|ElementaryFunctionsUnivariateLaurentSeries| "bookvol10.3.pamphlet" 459517 459580 462677 462682) (|ElementaryFunctionStructurePackage| "bookvol10.4.pamphlet" 457486 457530 459507 459512) (|ElementaryFunction| "bookvol10.4.pamphlet" 452250 452278 457476 457481) (|ExtAlgBasis| "bookvol10.3.pamphlet" 450555 450572 452240 452245) (|e04ucfAnnaType| "bookvol10.3.pamphlet" 450081 450101 450545 450550) (|e04nafAnnaType| "bookvol10.3.pamphlet" 449648 449668 450071 450076) (|e04mbfAnnaType| "bookvol10.3.pamphlet" 449218 449238 449638 449643) (|e04jafAnnaType| "bookvol10.3.pamphlet" 448744 448764 449208 449213) (|e04gcfAnnaType| "bookvol10.3.pamphlet" 448270 448290 448734 448739) (|e04fdfAnnaType| "bookvol10.3.pamphlet" 447796 447816 448260 448265) (|e04dgfAnnaType| "bookvol10.3.pamphlet" 447322 447342 447786 447791) (|e04AgentsPackage| "bookvol10.4.pamphlet" 443050 443072 447312 447317) (|DifferentialVariableCategory| "bookvol10.2.pamphlet" 439773 439809 443040 443045) (|DifferentialVariableCategory&| NIL 436493 436532 439763 439768) (|DesingTreePackage| "bookvol10.4.pamphlet" 433563 433665 436483 436488) (|DesingTree| "bookvol10.3.pamphlet" 432714 432732 433346 433398) (|DesingTreeCategory| "bookvol10.2.pamphlet" 432267 432293 432645 432709) (|DifferentialSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 428735 428787 429066 429300) (|DrawOption| "bookvol10.3.pamphlet" 422490 422506 428725 428730) (|DrawOptionFunctions1| "bookvol10.4.pamphlet" 422143 422171 422480 422485) (|DrawOptionFunctions0| "bookvol10.4.pamphlet" 417084 417110 422133 422138) (|TopLevelDrawFunctionsForPoints| "bookvol10.4.pamphlet" 415297 415333 417074 417079) (|TopLevelDrawFunctions| "bookvol10.4.pamphlet" 408186 408218 415287 415292) (|DrawNumericHack| "bookvol10.4.pamphlet" 407436 407459 408176 408181) (|DrawComplex| "bookvol10.4.pamphlet" 404852 404869 407426 407431) (|TopLevelDrawFunctionsForAlgebraicCurves| "bookvol10.4.pamphlet" 404362 404414 404842 404847) (|TopLevelDrawFunctionsForCompiledFunctions| "bookvol10.4.pamphlet" 393763 393810 404352 404357) (|DequeueAggregate| "bookvol10.2.pamphlet" 391934 391958 393694 393758) (|DifferentialPolynomialCategory| "bookvol10.2.pamphlet" 387196 387240 391695 391929) (|DifferentialPolynomialCategory&| NIL 382636 382683 387138 387143) (|DirectProductModule| "bookvol10.3.pamphlet" 374403 374436 374542 374981) (|DirectProductMatrixModule| "bookvol10.3.pamphlet" 366161 366202 366309 366748) (|DistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 362387 362433 362971 363205) (|DiscreteLogarithmPackage| "bookvol10.4.pamphlet" 361705 361737 362377 362382) (|DataList| "bookvol10.3.pamphlet" 360290 360306 360987 361039) (|DoublyLinkedAggregate| "bookvol10.2.pamphlet" 358718 358747 360270 360285) (|DivisionRing| "bookvol10.2.pamphlet" 358114 358132 358627 358713) (|DivisionRing&| NIL 357588 357609 358104 358109) (|Divisor| "bookvol10.3.pamphlet" 357396 357411 357480 357524) (|DivisorCategory| "bookvol10.2.pamphlet" 356131 356154 357347 357391) (|DisplayPackage| "bookvol10.4.pamphlet" 354333 354353 356121 356126) (|DirichletRing| "bookvol10.3.pamphlet" 353494 353520 354061 354281) (|DirectProduct| "bookvol10.3.pamphlet" 343022 343049 343658 343862) (|DirectProductFunctions2| "bookvol10.4.pamphlet" 341862 341901 343012 343017) (|DirectProductCategory| "bookvol10.2.pamphlet" 340701 340736 341641 341857) (|DirectProductCategory&| NIL 339245 339283 340188 340193) (|DiophantineSolutionPackage| "bookvol10.4.pamphlet" 338066 338098 339235 339240) (|DictionaryOperations| "bookvol10.2.pamphlet" 337115 337143 338021 338061) (|DictionaryOperations&| NIL 336150 336181 337059 337064) (|DifferentialRing| "bookvol10.2.pamphlet" 335250 335272 336123 336145) (|DifferentialRing&| NIL 334364 334389 335240 335245) (|DifferentialExtension| "bookvol10.2.pamphlet" 333489 333518 334337 334359) (|DifferentialExtension&| NIL 332499 332531 333350 333355) (|Dictionary| "bookvol10.2.pamphlet" 332098 332116 332454 332494) (|Dictionary&| NIL 331729 331750 332088 332093) (|DenavitHartenbergMatrix| "bookvol10.3.pamphlet" 329894 329925 331277 331329) (|DoubleFloatVector| "bookvol10.3.pamphlet" 328248 328271 328649 328701) (|DoubleFloatSpecialFunctions| "bookvol10.4.pamphlet" 319417 319450 328238 328243) (|DoubleFloatMatrix| "bookvol10.3.pamphlet" 318442 318465 318872 318924) (|DoubleFloat| "bookvol10.3.pamphlet" 314738 314755 318252 318437) (|DefiniteIntegrationTools| "bookvol10.4.pamphlet" 312955 312989 314728 314733) (|DeRhamComplex| "bookvol10.3.pamphlet" 310895 310938 312928 312950) (|Dequeue| "bookvol10.3.pamphlet" 305033 305048 310678 310730) (|DegreeReductionPackage| "bookvol10.4.pamphlet" 304628 304662 305023 305028) (|RationalFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 302060 302103 304618 304623) (|ElementaryFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 300509 300556 302050 302055) (|DecimalExpansion| "bookvol10.3.pamphlet" 297663 297685 298263 298428) (|DistinctDegreeFactorize| "bookvol10.4.pamphlet" 295523 295557 297653 297658) (|DoubleResultantPackage| "bookvol10.4.pamphlet" 295115 295155 295513 295518) (|Database| "bookvol10.3.pamphlet" 293762 293778 295105 295110) (|d03fafAnnaType| "bookvol10.3.pamphlet" 293578 293598 293752 293757) (|d03eefAnnaType| "bookvol10.3.pamphlet" 293386 293406 293568 293573) (|d03AgentsPackage| "bookvol10.4.pamphlet" 292317 292339 293376 293381) (|d02ejfAnnaType| "bookvol10.3.pamphlet" 291769 291789 292307 292312) (|d02cjfAnnaType| "bookvol10.3.pamphlet" 291237 291257 291759 291764) (|d02bhfAnnaType| "bookvol10.3.pamphlet" 290717 290737 291227 291232) (|d02bbfAnnaType| "bookvol10.3.pamphlet" 290197 290217 290707 290712) (|d02AgentsPackage| "bookvol10.4.pamphlet" 285128 285150 290187 290192) (|d01WeightsPackage| "bookvol10.4.pamphlet" 283436 283459 285118 285123) (|d01TransformFunctionType| "bookvol10.3.pamphlet" 283391 283421 283426 283431) (|d01gbfAnnaType| "bookvol10.3.pamphlet" 282903 282923 283381 283386) (|d01fcfAnnaType| "bookvol10.3.pamphlet" 282415 282435 282893 282898) (|d01asfAnnaType| "bookvol10.3.pamphlet" 281873 281893 282405 282410) (|d01aqfAnnaType| "bookvol10.3.pamphlet" 281356 281376 281863 281868) (|d01apfAnnaType| "bookvol10.3.pamphlet" 280826 280846 281346 281351) (|d01anfAnnaType| "bookvol10.3.pamphlet" 280310 280330 280816 280821) (|d01amfAnnaType| "bookvol10.3.pamphlet" 279810 279830 280300 280305) (|d01alfAnnaType| "bookvol10.3.pamphlet" 279340 279360 279800 279805) (|d01akfAnnaType| "bookvol10.3.pamphlet" 278858 278878 279330 279335) (|d01ajfAnnaType| "bookvol10.3.pamphlet" 278371 278391 278848 278853) (|d01AgentsPackage| "bookvol10.4.pamphlet" 274464 274486 278361 278366) (|CyclotomicPolynomialPackage| "bookvol10.4.pamphlet" 273943 273976 274454 274459) (|CycleIndicators| "bookvol10.4.pamphlet" 270741 270762 273933 273938) (|CoerceVectorMatrixPackage| "bookvol10.4.pamphlet" 270103 270136 270731 270736) (|ComplexTrigonometricManipulations| "bookvol10.4.pamphlet" 268544 268587 270093 270098) (|CyclicStreamTools| "bookvol10.4.pamphlet" 267318 267346 268534 268539) (|ComplexRootFindingPackage| "bookvol10.4.pamphlet" 261310 261346 267308 267313) (|CRApackage| "bookvol10.4.pamphlet" 260459 260477 261300 261305) (|ComplexPatternMatch| "bookvol10.4.pamphlet" 259932 259964 260362 260367) (|CharacteristicPolynomialInMonogenicalAlgebra| "bookvol10.4.pamphlet" 259595 259656 259922 259927) (|CoordinateSystems| "bookvol10.4.pamphlet" 254595 254620 259585 259590) (|ContinuedFraction| "bookvol10.3.pamphlet" 250509 250534 254425 254590) (|CommutativeRing| "bookvol10.2.pamphlet" 250143 250164 250415 250504) (|SubSpaceComponentProperty| "bookvol10.3.pamphlet" 249620 249651 250133 250138) (|ComplexPattern| "bookvol10.4.pamphlet" 249375 249402 249610 249615) (|Complex| "bookvol10.3.pamphlet" 241232 241247 241486 241962) (|ComplexFunctions2| "bookvol10.4.pamphlet" 240940 240967 241222 241227) (|ComplexFactorization| "bookvol10.4.pamphlet" 240718 240750 240930 240935) (|ComplexCategory| "bookvol10.2.pamphlet" 238596 238619 240225 240713) (|ComplexCategory&| NIL 236162 236188 237794 237799) (|Comparable| "bookvol10.2.pamphlet" 235893 235909 236152 236157) (|CommuteUnivariatePolynomialCategory| "bookvol10.4.pamphlet" 235634 235685 235883 235888) (|CommonOperators| "bookvol10.4.pamphlet" 235160 235181 235624 235629) (|Commutator| "bookvol10.3.pamphlet" 234961 234977 235150 235155) (|CombinatorialOpsCategory| "bookvol10.2.pamphlet" 233974 234004 234951 234956) (|IntegerCombinatoricFunctions| "bookvol10.4.pamphlet" 232440 232476 233964 233969) (|CombinatorialFunction| "bookvol10.4.pamphlet" 229875 229906 232430 232435) (|Color| "bookvol10.3.pamphlet" 228710 228721 229865 229870) (|ComplexRootPackage| "bookvol10.4.pamphlet" 228028 228061 228700 228705) (|TwoDimensionalPlotClipping| "bookvol10.4.pamphlet" 224124 224156 228018 228023) (|CliffordAlgebra| "bookvol10.3.pamphlet" 222802 222831 224056 224119) (|Collection| "bookvol10.2.pamphlet" 219814 219832 222782 222797) (|Collection&| NIL 216668 216689 219639 219644) (|ComplexIntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 215966 216020 216658 216663) (|ChangeOfVariable| "bookvol10.4.pamphlet" 213926 213958 215956 215961) (|CharacteristicZero| "bookvol10.2.pamphlet" 213818 213842 213899 213921) (|CharacteristicPolynomialPackage| "bookvol10.4.pamphlet" 213303 213342 213808 213813) (|CharacteristicNonZero| "bookvol10.2.pamphlet" 213030 213057 213276 213298) (|Character| "bookvol10.3.pamphlet" 209384 209399 213020 213025) (|CombinatorialFunctionCategory| "bookvol10.2.pamphlet" 208530 208565 209374 209379) (|Cell| "bookvol10.3.pamphlet" 208494 208515 208520 208525) (|ComplexDoubleFloatVector| "bookvol10.3.pamphlet" 206305 206335 206958 207010) (|ComplexDoubleFloatMatrix| "bookvol10.3.pamphlet" 205193 205223 205639 205691) (|CommonDenominator| "bookvol10.4.pamphlet" 204418 204447 205183 205188) (|CharacterClass| "bookvol10.3.pamphlet" 202612 202632 203682 203762) (|CartesianTensor| "bookvol10.3.pamphlet" 193778 193815 202602 202607) (|CartesianTensorFunctions2| "bookvol10.4.pamphlet" 193145 193195 193768 193773) (|CardinalNumber| "bookvol10.3.pamphlet" 189463 189483 193111 193140) (|CylindricalAlgebraicDecompositionUtilities| "bookvol10.4.pamphlet" 189087 189139 189453 189458) (|CylindricalAlgebraicDecompositionPackage| "bookvol10.4.pamphlet" 189015 189072 189077 189082) (|CachableSet| "bookvol10.2.pamphlet" 188622 188639 189005 189010) (|CancellationAbelianMonoid| "bookvol10.2.pamphlet" 188092 188123 188612 188617) (|BinaryTree| "bookvol10.3.pamphlet" 187129 187147 187875 187927) (|BinaryTournament| "bookvol10.3.pamphlet" 186310 186334 186912 186964) (|BinaryTreeCategory| "bookvol10.2.pamphlet" 185643 185669 186241 186305) (|BinaryTreeCategory&| NIL 185032 185061 185633 185638) (|BitAggregate| "bookvol10.2.pamphlet" 184100 184118 184963 185027) (|BitAggregate&| NIL 183224 183245 184090 184095) (|BinarySearchTree| "bookvol10.3.pamphlet" 181821 181845 183007 183059) (|BasicStochasticDifferential| "bookvol10.3.pamphlet" 179686 179719 181811 181816) (|BrillhartTests| "bookvol10.4.pamphlet" 178447 178470 179676 179681) (|BinaryRecursiveAggregate| "bookvol10.2.pamphlet" 177385 177417 178427 178442) (|BinaryRecursiveAggregate&| NIL 176283 176318 177328 177333) (|BalancedPAdicRational| "bookvol10.3.pamphlet" 173193 173224 173403 173568) (|BalancedPAdicInteger| "bookvol10.3.pamphlet" 172860 172890 173076 173188) (|BoundIntegerRoots| "bookvol10.4.pamphlet" 172507 172535 172850 172855) (|BasicOperator| "bookvol10.3.pamphlet" 168028 168047 172497 172502) (|BasicOperatorFunctions1| "bookvol10.4.pamphlet" 165485 165516 167976 167981) (|Boolean| "bookvol10.3.pamphlet" 164350 164363 165475 165480) (|BiModule| "bookvol10.2.pamphlet" 163971 163989 164301 164345) (|BlowUpPackage| "bookvol10.4.pamphlet" 162238 162285 163961 163966) (|BlowUpWithQuadTrans| "bookvol10.3.pamphlet" 162111 162136 162203 162233) (|BlowUpMethodCategory| "bookvol10.2.pamphlet" 162070 162096 162101 162106) (|BlowUpWithHamburgerNoether| "bookvol10.3.pamphlet" 161938 161970 162037 162065) (|BlasLevelOne| "bookvol10.5.pamphlet" 150200 150218 161928 161933) (|Bits| "bookvol10.3.pamphlet" 149561 149571 149778 149830) (|BinaryFile| "bookvol10.3.pamphlet" 148910 148926 149551 149556) (|BinaryExpansion| "bookvol10.3.pamphlet" 146032 146053 146664 146829) (|BagAggregate| "bookvol10.2.pamphlet" 145254 145274 145987 146027) (|BagAggregate&| NIL 144508 144531 145244 145249) (|BasicFunctions| "bookvol10.3.pamphlet" 143905 143925 144476 144503) (|BezoutMatrix| "bookvol10.4.pamphlet" 143027 143064 143847 143852) (|Bezier| "bookvol10.4.pamphlet" 140886 140900 143017 143022) (|BalancedBinaryTree| "bookvol10.3.pamphlet" 136455 136481 140669 140721) (|BasicType| "bookvol10.2.pamphlet" 136142 136157 136445 136450) (|BasicType&| NIL 135826 135844 136132 136137) (|BalancedFactorisation| "bookvol10.4.pamphlet" 135226 135258 135816 135821) (|AxiomServer| "bookvol10.4.pamphlet" 135077 135094 135216 135221) (|Automorphism| "bookvol10.3.pamphlet" 134504 134524 135050 135072) (|UnitsKnownAttribute| "bookvol10.2.pamphlet" 134282 134307 134484 134499) (|AttributeRegistry| "bookvol10.2.pamphlet" 130635 130658 133835 134277) (|AttributeButtons| "bookvol10.3.pamphlet" 126733 126755 130603 130630) (|ShallowlyMutableAttribute| "bookvol10.2.pamphlet" 126470 126501 126713 126728) (|ArcTrigonometricFunctionCategory| "bookvol10.2.pamphlet" 125909 125947 126460 126465) (|ArcTrigonometricFunctionCategory&| NIL 125345 125386 125899 125904) (|PartiallyOrderedSetAttribute| "bookvol10.2.pamphlet" 125117 125151 125325 125340) (|NoZeroDivisorsAttribute| "bookvol10.2.pamphlet" 124918 124947 125097 125112) (|NullSquareAttribute| "bookvol10.2.pamphlet" 124783 124808 124898 124913) (|NotherianAttribute| "bookvol10.2.pamphlet" 124641 124665 124763 124778) (|MultiplicativeValuationAttribute| "bookvol10.2.pamphlet" 124450 124488 124621 124636) (|LeftUnitaryAttribute| "bookvol10.2.pamphlet" 124293 124319 124430 124445) (|LazyRepresentationAttribute| "bookvol10.2.pamphlet" 124155 124188 124273 124288) (|JacobiIdentityAttribute| "bookvol10.2.pamphlet" 123988 124017 124135 124150) (|FiniteAggregateAttribute| "bookvol10.2.pamphlet" 123849 123879 123968 123983) (|CanonicalUnitNormalAttribute| "bookvol10.2.pamphlet" 123523 123557 123829 123844) (|CommutativeStarAttribute| "bookvol10.2.pamphlet" 123250 123280 123503 123518) (|CentralAttribute| "bookvol10.2.pamphlet" 122931 122953 123230 123245) (|CanonicalAttribute| "bookvol10.2.pamphlet" 122728 122752 122911 122926) (|CanonicalClosedAttribute| "bookvol10.2.pamphlet" 122544 122574 122708 122723) (|ArbitraryPrecisionAttribute| "bookvol10.2.pamphlet" 122374 122407 122524 122539) (|ArbitraryExponentAttribute| "bookvol10.2.pamphlet" 122242 122274 122354 122369) (|ApproximateAttribute| "bookvol10.2.pamphlet" 122131 122157 122222 122237) (|AdditiveValuationAttribute| "bookvol10.2.pamphlet" 121944 121976 122111 122126) (|ArrayStack| "bookvol10.3.pamphlet" 117592 117610 121727 121779) (|AssociatedEquations| "bookvol10.4.pamphlet" 116361 116390 117545 117550) (|Asp9| "bookvol10.3.pamphlet" 115514 115531 116351 116356) (|Asp8| "bookvol10.3.pamphlet" 114453 114470 115504 115509) (|Asp80| "bookvol10.3.pamphlet" 113780 113798 114443 114448) (|Asp7| "bookvol10.3.pamphlet" 112974 112991 113770 113775) (|Asp78| "bookvol10.3.pamphlet" 112448 112466 112964 112969) (|Asp77| "bookvol10.3.pamphlet" 111816 111834 112438 112443) (|Asp74| "bookvol10.3.pamphlet" 110838 110856 111806 111811) (|Asp73| "bookvol10.3.pamphlet" 110096 110114 110828 110833) (|Asp6| "bookvol10.3.pamphlet" 108772 108789 110086 110091) (|Asp55| "bookvol10.3.pamphlet" 107204 107222 108762 108767) (|Asp50| "bookvol10.3.pamphlet" 104855 104873 107194 107199) (|Asp4| "bookvol10.3.pamphlet" 104140 104157 104845 104850) (|Asp49| "bookvol10.3.pamphlet" 103124 103142 104130 104135) (|Asp42| "bookvol10.3.pamphlet" 101396 101439 103114 103119) (|Asp41| "bookvol10.3.pamphlet" 99894 99937 101386 101391) (|Asp35| "bookvol10.3.pamphlet" 98874 98892 99884 99889) (|Asp34| "bookvol10.3.pamphlet" 98120 98138 98864 98869) (|Asp33| "bookvol10.3.pamphlet" 97701 97719 98110 98115) (|Asp31| "bookvol10.3.pamphlet" 96810 96828 97691 97696) (|Asp30| "bookvol10.3.pamphlet" 95537 95555 96800 96805) (|Asp29| "bookvol10.3.pamphlet" 95016 95034 95527 95532) (|Asp28| "bookvol10.3.pamphlet" 85442 85460 95006 95011) (|Asp27| "bookvol10.3.pamphlet" 84293 84311 85432 85437) (|Asp24| "bookvol10.3.pamphlet" 83371 83389 84283 84288) (|Asp20| "bookvol10.3.pamphlet" 82539 82557 83361 83366) (|Asp1| "bookvol10.3.pamphlet" 81915 81932 82529 82534) (|Asp19| "bookvol10.3.pamphlet" 75989 76007 81905 81910) (|Asp12| "bookvol10.3.pamphlet" 75402 75420 75979 75984) (|Asp10| "bookvol10.3.pamphlet" 74678 74696 75392 75397) (|TwoDimensionalArray| "bookvol10.3.pamphlet" 74219 74246 74461 74513) (|OneDimensionalArray| "bookvol10.3.pamphlet" 72993 73020 73501 73553) (|OneDimensionalArrayFunctions2| "bookvol10.4.pamphlet" 71002 71041 72983 72988) (|TwoDimensionalArrayCategory| "bookvol10.2.pamphlet" 64227 64274 70933 70997) (|TwoDimensionalArrayCategory&| NIL 57508 57558 64217 64222) (|ApplyRules| "bookvol10.4.pamphlet" 56819 56846 57498 57503) (|ApplyUnivariateSkewPolynomial| "bookvol10.4.pamphlet" 56394 56435 56809 56814) (|ApplicationProgramInterface| "bookvol10.4.pamphlet" 55305 55338 56384 56389) (|Any| "bookvol10.3.pamphlet" 53651 53660 55295 55300) (|AnyFunctions1| "bookvol10.4.pamphlet" 52716 52737 53641 53646) (|AntiSymm| "bookvol10.3.pamphlet" 51159 51182 52689 52711) (|AnonymousFunction| "bookvol10.3.pamphlet" 51056 51079 51149 51154) (|AlgebraicNumber| "bookvol10.3.pamphlet" 49265 49286 50784 50949) (|AbelianMonoidRing| "bookvol10.2.pamphlet" 47392 47419 49095 49260) (|AbelianMonoidRing&| NIL 45343 45373 47049 47054) (|AssociationList| "bookvol10.3.pamphlet" 43080 43115 43442 43494) (|AlgebraGivenByStructuralConstants| "bookvol10.3.pamphlet" 42104 42162 42901 42990) (|AlgebraPackage| "bookvol10.4.pamphlet" 38043 38067 42047 42052) (|AlgebraicMultFact| "bookvol10.4.pamphlet" 37236 37266 38033 38038) (|AlgebraicManipulations| "bookvol10.4.pamphlet" 34652 34684 36992 36997) (|AlgebraicFunctionField| "bookvol10.3.pamphlet" 32419 32467 32640 32895) (|AlgFactor| "bookvol10.4.pamphlet" 31536 31554 32409 32414) (|Algebra| "bookvol10.2.pamphlet" 31006 31021 31468 31531) (|Algebra&| NIL 30531 30549 30996 31001) (|AssociationListAggregate| "bookvol10.2.pamphlet" 29985 30029 30462 30526) (|ArcHyperbolicFunctionCategory| "bookvol10.2.pamphlet" 29338 29373 29975 29980) (|Aggregate| "bookvol10.2.pamphlet" 27707 27722 29318 29333) (|Aggregate&| NIL 26037 26055 27651 27656) (|AffineSpaceCategory| "bookvol10.2.pamphlet" 23907 23934 26027 26032) (|AlgebraicFunction| "bookvol10.4.pamphlet" 22279 22306 23827 23832) (|AffineSpace| "bookvol10.3.pamphlet" 22112 22137 22269 22274) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 21912 21970 22102 22107) (|AffinePlane| "bookvol10.3.pamphlet" 21751 21770 21902 21907) (|AffineAlgebraicSetComputeWithResultant| "bookvol10.4.pamphlet" 21597 21672 21741 21746) (|AffineAlgebraicSetComputeWithGroebnerBasis| "bookvol10.4.pamphlet" 21139 21218 21587 21592) (|PlaneAlgebraicCurvePlot| "bookvol10.3.pamphlet" 19405 19434 21129 21134) (|AlgebraicallyClosedFunctionSpace| "bookvol10.2.pamphlet" 17181 17221 19223 19400) (|AlgebraicallyClosedFunctionSpace&| NIL 15126 15169 17171 17176) (|AlgebraicallyClosedField| "bookvol10.2.pamphlet" 10185 10215 14956 15121) (|AlgebraicallyClosedField&| NIL 5401 5434 10175 10180) (|AbelianSemiGroup| "bookvol10.2.pamphlet" 4744 4766 5391 5396) (|AbelianSemiGroup&| NIL 4084 4109 4734 4739) (|AbelianMonoid| "bookvol10.2.pamphlet" 3441 3460 4074 4079) (|AbelianMonoid&| NIL 2795 2817 3431 3436) (|AbelianGroup| "bookvol10.2.pamphlet" 2290 2308 2785 2790) (|AbelianGroup&| NIL 1782 1803 2280 2285) (|OneDimensionalArrayAggregate| "bookvol10.2.pamphlet" 878 914 1713 1777) (|OneDimensionalArrayAggregate&| NIL 30 69 868 873)) 
\ No newline at end of file
diff --git a/src/share/algebra/category.daase b/src/share/algebra/category.daase
index 08a434f..ed8c257 100644
--- a/src/share/algebra/category.daase
+++ b/src/share/algebra/category.daase
@@ -1,5 +1,5 @@
 
-(224313 . 3618694788)        
+(224313 . 3618799569)        
 (((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
 (((|#2| |#2|) . T)) 
 ((((|Integer|)) . T)) 
diff --git a/src/share/algebra/interp.daase b/src/share/algebra/interp.daase
index 2867051..67d2296 100644
--- a/src/share/algebra/interp.daase
+++ b/src/share/algebra/interp.daase
@@ -1,5 +1,5 @@
 
-(5947754 . 3618694789)       
+(5949271 . 3618799570)       
 ((|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) 62) (((|Boolean|) $) NIL)) (|sort!| (($ (|Mapping| (|Boolean|) |#2| |#2|) $) 17) (($ $) NIL)) (|setelt| ((|#2| $ (|Integer|) |#2|) NIL) ((|#2| $ (|UniversalSegment| (|Integer|)) |#2|) 34)) (|reverse!| (($ $) 58)) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (|Mapping| |#2| |#2| |#2|) $) 37)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) 22) (((|Integer|) |#2| $) NIL) (((|Integer|) |#2| $ (|Integer|)) 70)) (|parts| (((|List| |#2|) $) 13)) (|merge| (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (|map!| (($ (|Mapping| |#2| |#2|) $) 29)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) 44)) (|insert| (($ |#2| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) 49)) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) 24)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 21)) (|elt| ((|#2| $ (|Integer|) |#2|) NIL) ((|#2| $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) 48)) (|delete| (($ $ (|Integer|)) 55) (($ $ (|UniversalSegment| (|Integer|))) 54)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 26) (((|NonNegativeInteger|) |#2| $) NIL)) (|copyInto!| (($ $ $ (|Integer|)) 51)) (|copy| (($ $) 50)) (|construct| (($ (|List| |#2|)) 52)) (|concat| (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (|List| $)) 61)) (|coerce| (((|OutputForm|) $) 69)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 20)) (= (((|Boolean|) $ $) 64)) (< (((|Boolean|) $ $) 72))) 
 (((|OneDimensionalArrayAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |sort!| (|#1| |#1|)) (SIGNATURE |sort!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |reverse!| (|#1| |#1|)) (SIGNATURE |copyInto!| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |sorted?| ((|Boolean|) |#1|)) (SIGNATURE |merge| (|#1| |#1| |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1| (|Integer|))) (SIGNATURE |position| ((|Integer|) |#2| |#1|)) (SIGNATURE |position| ((|Integer|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |sorted?| ((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |merge| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |setelt| (|#2| |#1| (|UniversalSegment| (|Integer|)) |#2|)) (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |delete| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |delete| (|#1| |#1| (|Integer|))) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |find| ((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2| |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|))) (SIGNATURE |elt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |setelt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |parts| ((|List| |#2|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) (|OneDimensionalArrayAggregate| |#2|) (|Type|)) (T |OneDimensionalArrayAggregate&|)) 
 NIL 
@@ -1999,6 +1999,10 @@ NIL
 ((|One| (*1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) (|product| (*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|))))) 
 (|Join| (|GradedModule| |t#1| |t#2|) (|RetractableTo| |t#1|) (CATEGORY |domain| (SIGNATURE (|One|) ($) |constant|) (SIGNATURE |product| ($ $ $)))) 
 (((|BasicType|) . T) ((|CoercibleTo| (|OutputForm|)) . T) ((|GradedModule| |#1| |#2|) . T) ((|RetractableTo| |#1|) . T) ((|SetCategory|) . T)) 
+((|writeDotGraph| (((|Void|) (|List| (|String|)) (|List| (|String|)) (|String|)) 19)) (|standardDotHeader| (((|List| (|String|))) 7)) (|sampleDotGraph| (((|List| (|String|))) 8)) (|dotview| (((|Void|) (|String|) (|String|)) 21)) (|dot2eps| (((|Void|) (|String|)) 20))) 
+(((|Graphviz|) (CATEGORY |package| (SIGNATURE |standardDotHeader| ((|List| (|String|)))) (SIGNATURE |sampleDotGraph| ((|List| (|String|)))) (SIGNATURE |writeDotGraph| ((|Void|) (|List| (|String|)) (|List| (|String|)) (|String|))) (SIGNATURE |dot2eps| ((|Void|) (|String|))) (SIGNATURE |dotview| ((|Void|) (|String|) (|String|))))) (T |Graphviz|)) 
+((|dotview| (*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Graphviz|)))) (|dot2eps| (*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Graphviz|)))) (|writeDotGraph| (*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Graphviz|)))) (|sampleDotGraph| (*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|Graphviz|)))) (|standardDotHeader| (*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|Graphviz|))))) 
+(CATEGORY |package| (SIGNATURE |standardDotHeader| ((|List| (|String|)))) (SIGNATURE |sampleDotGraph| ((|List| (|String|)))) (SIGNATURE |writeDotGraph| ((|Void|) (|List| (|String|)) (|List| (|String|)) (|String|))) (SIGNATURE |dot2eps| ((|Void|) (|String|))) (SIGNATURE |dotview| ((|Void|) (|String|) (|String|)))) 
 ((|nextSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) 18)) (|firstSubsetGray| (((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|)) 16))) 
 (((|GrayCode|) (CATEGORY |package| (SIGNATURE |nextSubsetGray| ((|Vector| (|Vector| (|Integer|))) (|Vector| (|Vector| (|Integer|))) (|PositiveInteger|))) (SIGNATURE |firstSubsetGray| ((|Vector| (|Vector| (|Integer|))) (|PositiveInteger|))))) (T |GrayCode|)) 
 ((|firstSubsetGray| (*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *1 (|GrayCode|)))) (|nextSubsetGray| (*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GrayCode|))))) 
@@ -5387,4 +5391,4 @@ NIL
 NIL 
 NIL 
 NIL 
-((|Category| 5947739 5947744 5947749 "NIL" NIL T NIL (NIL) NIL NIL NIL) (|Union| 5947724 5947729 5947734 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Record| 5947709 5947714 5947719 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Mapping| 5947694 5947699 5947704 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Enumeration| 5947679 5947684 5947689 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|IntegerMod| 5946409 5947439 5947587 "ZMOD" 5947592 NIL ZMOD (NIL NIL) |domain| NIL NIL) (|IntegerLinearDependence| 5944763 5945026 5945431 "ZLINDEP" 5946112 NIL ZLINDEP (NIL T) |package| NIL NIL) (|ZeroDimensionalSolvePackage| 5924913 5928017 5931721 "ZDSOLVE" 5941269 NIL ZDSOLVE (NIL T NIL NIL) |package| NIL NIL) (|ParadoxicalCombinatorsForStreams| 5923772 5923952 5924259 "YSTREAM" 5924700 NIL YSTREAM (NIL T) |package| NIL NIL) (|XRecursivePolynomial| 5920429 5922547 5922902 "XRPOLY" 5923507 NIL XRPOLY (NIL T T) |domain| NIL NIL) (|XPolynomialRing| 5915068 5916795 5917705 "XPR" 5919602 NIL XPR (NIL T T) |domain| NIL NIL) (|XPolynomial| 5911699 5913956 5914297 "XPOLY" 5914779 NIL XPOLY (NIL T) |domain| NIL NIL) (|XPolynomialsCat| 5908410 5910306 5910400 "XPOLYC" 5910920 NIL XPOLYC (NIL T T) |category| NIL 5911129) (|XPBWPolynomial| 5902518 5905720 5906406 "XPBWPOLY" 5907813 NIL XPBWPOLY (NIL T T) |domain| NIL NIL) (|ExtensionField| 5895863 5899240 5899313 "XF" 5900466 NIL XF (NIL T) |category| NIL 5901246) (|ExtensionField&| 5895217 5895354 5895651 "XF-" 5895656 NIL XF- (NIL T T) |domain| NIL NIL) (|XFreeAlgebra| 5887939 5889701 5889789 "XFALG" 5893455 NIL XFALG (NIL T T) |category| NIL 5894680) (|XExponentialPackage| 5886422 5886580 5886940 "XEXPPKG" 5887747 NIL XEXPPKG (NIL T T T) |package| NIL NIL) (|XDistributedPolynomial| 5883678 5886143 5886327 "XDPOLY" 5886332 NIL XDPOLY (NIL T T) |domain| NIL NIL) (|XAlgebra| 5882098 5882889 5882949 "XALG" 5883041 NIL XALG (NIL T) |category| NIL 5883216) (|WuWenTsunTriangularSet| 5872068 5878419 5879249 "WUTSET" 5881457 NIL WUTSET (NIL T T T T) |domain| NIL NIL) (|WeightedPolynomials| 5868622 5869684 5870255 "WP" 5871745 NIL WP (NIL T T T T NIL NIL NIL) |domain| NIL NIL) (|WildFunctionFieldIntegralBasis| 5866778 5867033 5867541 "WFFINTBS" 5868338 NIL WFFINTBS (NIL T T T T) |package| NIL NIL) (|WeierstrassPreparation| 5863076 5863785 5864618 "WEIER" 5866020 NIL WEIER (NIL T) |package| NIL NIL) (|VectorSpace| 5861855 5862375 5862442 "VSPACE" 5862662 NIL VSPACE (NIL T) |category| NIL 5862780) (|VectorSpace&| 5861642 5861665 5861798 "VSPACE-" 5861803 NIL VSPACE- (NIL T T) |domain| NIL NIL) (|Void| 5861266 5861321 5861429 "VOID" 5861558 T VOID (NIL) |domain| NIL NIL) (|ViewportPackage| 5857851 5858483 5859257 "VIEW" 5860538 T VIEW (NIL) |package| NIL NIL) (|ViewDefaultsPackage| 5850555 5851731 5853363 "VIEWDEF" 5856273 T VIEWDEF (NIL) |package| NIL NIL) (|ThreeDimensionalViewport| 5833088 5836208 5839783 "VIEW3D" 5847044 T VIEW3D (NIL) |domain| NIL NIL) (|TwoDimensionalViewport| 5820322 5822754 5825403 "VIEW2D" 5830499 T VIEW2D (NIL) |domain| NIL NIL) (|Vector| 5813960 5819978 5820113 "VECTOR" 5820229 NIL VECTOR (NIL T) |domain| NIL NIL) (|VectorFunctions2| 5811930 5812252 5812697 "VECTOR2" 5813591 NIL VECTOR2 (NIL T T) |package| NIL NIL) (|VectorCategory| 5802624 5808521 5808593 "VECTCAT" 5810267 NIL VECTCAT (NIL T) |category| NIL 5811050) (|VectorCategory&| 5801330 5801622 5802165 "VECTCAT-" 5802170 NIL VECTCAT- (NIL T T) |domain| NIL NIL) (|Variable| 5800571 5800782 5800975 "VARIABLE" 5801185 NIL VARIABLE (NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCZero| 5788338 5796772 5797625 "UTSZ" 5799818 NIL UTSZ (NIL T NIL) |domain| NIL NIL) (|TaylorSolve| 5787580 5787647 5787923 "UTSSOL" 5788247 NIL UTSSOL (NIL T T T) |package| NIL NIL) (|UTSodetools| 5785405 5785608 5786063 "UTSODETL" 5787322 NIL UTSODETL (NIL T T T T) |package| NIL NIL) (|UnivariateTaylorSeriesODESolver| 5781177 5781773 5782593 "UTSODE" 5784750 NIL UTSODE (NIL T T) |package| NIL NIL) (|UnivariateTaylorSeries| 5768745 5777183 5778036 "UTS" 5780424 NIL UTS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCategory| 5754871 5762692 5762796 "UTSCAT" 5764909 NIL UTSCAT (NIL T) |category| NIL 5766155) (|UnivariateTaylorSeriesCategory&| 5751358 5752171 5753587 "UTSCAT-" 5753592 NIL UTSCAT- (NIL T T) |domain| NIL NIL) (|UnivariateTaylorSeriesFunctions2| 5750666 5750716 5750988 "UTS2" 5751284 NIL UTS2 (NIL T T T T) |package| NIL NIL) (|UnaryRecursiveAggregate| 5741835 5745436 5745526 "URAGG" 5749145 NIL URAGG (NIL T) |category| NIL 5750232) (|UnaryRecursiveAggregate&| 5737506 5738610 5740278 "URAGG-" 5740283 NIL URAGG- (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesWithExponentialSingularity| 5730227 5734863 5735795 "UPXSSING" 5736929 NIL UPXSSING (NIL T T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeries| 5718485 5728717 5729213 "UPXS" 5729833 NIL UPXS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructor| 5708576 5718220 5718422 "UPXSCONS" 5718427 NIL UPXSCONS (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructorCategory| 5693663 5703256 5703431 "UPXSCCA" 5704870 NIL UPXSCCA (NIL T T) |category| NIL 5705284) (|UnivariatePuiseuxSeriesConstructorCategory&| 5693020 5693130 5693506 "UPXSCCA-" 5693511 NIL UPXSCCA- (NIL T T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesCategory| 5678204 5687491 5687597 "UPXSCAT" 5688832 NIL UPXSCAT (NIL T) |category| NIL 5689804) (|UnivariatePuiseuxSeriesFunctions2| 5677232 5677358 5677670 "UPXS2" 5678054 NIL UPXS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariatePolynomialSquareFree| 5675075 5675392 5675960 "UPSQFREE" 5676881 NIL UPSQFREE (NIL T T) |package| NIL NIL) (|UnivariatePowerSeriesCategory| 5665663 5669797 5669929 "UPSCAT" 5672124 NIL UPSCAT (NIL T T) |category| NIL 5673215) (|UnivariatePowerSeriesCategory&| 5664312 5664625 5665226 "UPSCAT-" 5665231 NIL UPSCAT- (NIL T T T) |domain| NIL NIL) (|UnivariatePolynomialCategory| 5640356 5653241 5653341 "UPOLYC" 5657458 NIL UPOLYC (NIL T) |category| NIL 5659551) (|UnivariatePolynomialCategory&| 5624975 5629122 5634802 "UPOLYC-" 5634807 NIL UPOLYC- (NIL T T) |domain| NIL NIL) (|UnivariatePolynomialCategoryFunctions2| 5624273 5624323 5624603 "UPOLYC2" 5624901 NIL UPOLYC2 (NIL T T T T) |package| NIL NIL) (|UnivariatePolynomial| 5610494 5623517 5623770 "UP" 5624106 NIL UP (NIL NIL T) |domain| NIL NIL) (|UnivariatePolynomialMultiplicationPackage| 5609179 5609342 5609694 "UPMP" 5610297 NIL UPMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDivisionPackage| 5608375 5608486 5608774 "UPDIVP" 5609044 NIL UPDIVP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDecompositionPackage| 5605548 5605938 5606567 "UPDECOMP" 5607941 NIL UPDECOMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialCommonDenominator| 5604023 5604181 5604566 "UPCDEN" 5605356 NIL UPCDEN (NIL T T T) |package| NIL NIL) (|UnivariatePolynomialFunctions2| 5603183 5603293 5603563 "UP2" 5603889 NIL UP2 (NIL NIL T NIL T) |package| NIL NIL) (|UniversalSegment| 5601101 5601934 5602369 "UNISEG" 5602810 NIL UNISEG (NIL T) |domain| NIL NIL) (|UniversalSegmentFunctions2| 5599798 5599990 5600331 "UNISEG2" 5600856 NIL UNISEG2 (NIL T T) |package| NIL NIL) (|UnivariateFactorize| 5598240 5598488 5598874 "UNIFACT" 5599516 NIL UNIFACT (NIL T) |package| NIL NIL) (|UnivariateLaurentSeries| 5574089 5596852 5597287 "ULS" 5597907 NIL ULS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructor| 5557231 5573825 5574026 "ULSCONS" 5574031 NIL ULSCONS (NIL T T) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructorCategory| 5531682 5548338 5548512 "ULSCCAT" 5550092 NIL ULSCCAT (NIL T T) |category| NIL 5550582) (|UnivariateLaurentSeriesConstructorCategory&| 5530143 5530466 5531183 "ULSCCAT-" 5531188 NIL ULSCCAT- (NIL T T T) |domain| NIL NIL) (|UnivariateLaurentSeriesCategory| 5514978 5524075 5524181 "ULSCAT" 5525843 NIL ULSCAT (NIL T) |category| NIL 5527005) (|UnivariateLaurentSeriesFunctions2| 5514006 5514132 5514444 "ULS2" 5514828 NIL ULS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariateFormalPowerSeries| 5501976 5510472 5511344 "UFPS" 5513218 NIL UFPS (NIL T) |domain| NIL NIL) (|UnivariateFormalPowerSeriesFunctions| 5501250 5501384 5501644 "UFPS1" 5501818 NIL UFPS1 (NIL T) |package| NIL NIL) (|UniqueFactorizationDomain| 5498669 5500084 5500164 "UFD" 5500569 T UFD (NIL) |category| NIL 5500769) (|UniqueFactorizationDomain&| 5498292 5498357 5498562 "UFD-" 5498567 NIL UFD- (NIL T) |domain| NIL NIL) (|UserDefinedVariableOrdering| 5496740 5496999 5497388 "UDVO" 5497973 T UDVO (NIL) |package| NIL NIL) (|UserDefinedPartialOrdering| 5493337 5493861 5494569 "UDPO" 5496121 NIL UDPO (NIL T) |package| NIL NIL) (|U8Vector| 5487180 5493208 5493286 "U8VEC" 5493291 T U8VEC (NIL) |domain| NIL NIL) (|U8Matrix| 5481461 5486791 5486957 "U8MAT" 5487046 T U8MAT (NIL) |domain| NIL NIL) (|U32Vector| 5475302 5481330 5481410 "U32VEC" 5481415 T U32VEC (NIL) |domain| NIL NIL) (|U32Matrix| 5469564 5474906 5475076 "U32MAT" 5475166 T U32MAT (NIL) |domain| NIL NIL) (|U16Vector| 5463405 5469433 5469513 "U16VEC" 5469518 T U16VEC (NIL) |domain| NIL NIL) (|U16Matrix| 5457667 5463009 5463179 "U16MAT" 5463269 T U16MAT (NIL) |domain| NIL NIL) (|Type| 5457570 5457575 5457613 "TYPE" 5457618 T TYPE (NIL) |category| NIL NIL) (|TwoFactorize| 5454954 5455482 5456113 "TWOFACT" 5457008 NIL TWOFACT (NIL T) |package| NIL NIL) (|Tuple| 5453491 5453954 5454287 "TUPLE" 5454661 NIL TUPLE (NIL T) |domain| NIL NIL) (|TubePlotTools| 5449505 5450377 5451355 "TUBETOOL" 5452555 T TUBETOOL (NIL) |package| NIL NIL) (|TubePlot| 5447570 5447856 5448260 "TUBE" 5449170 NIL TUBE (NIL T) |domain| NIL NIL) (|TaylorSeries| 5439927 5445853 5446323 "TS" 5447154 NIL TS (NIL T) |domain| NIL NIL) (|TriangularSetCategory| 5420209 5426008 5426212 "TSETCAT" 5436991 NIL TSETCAT (NIL T T T T) |category| NIL 5439405) (|TriangularSetCategory&| 5412441 5414606 5417525 "TSETCAT-" 5417530 NIL TSETCAT- (NIL T T T T T) |domain| NIL NIL) (|TranscendentalManipulations| 5402160 5403241 5404700 "TRMANIP" 5411167 NIL TRMANIP (NIL T T) |package| NIL NIL) (|TriangularMatrixOperations| 5401071 5401161 5401483 "TRIMAT" 5402041 NIL TRIMAT (NIL T T T T) |package| NIL NIL) (|TrigonometricManipulations| 5396649 5396943 5397627 "TRIGMNIP" 5400670 NIL TRIGMNIP (NIL T T) |package| NIL NIL) (|TrigonometricFunctionCategory| 5395845 5395958 5396046 "TRIGCAT" 5396475 T TRIGCAT (NIL) |category| NIL NIL) (|TrigonometricFunctionCategory&| 5395364 5395443 5395699 "TRIGCAT-" 5395704 NIL TRIGCAT- (NIL T) |domain| NIL NIL) (|Tree| 5390817 5393530 5393998 "TREE" 5394941 NIL TREE (NIL T) |domain| NIL NIL) (|TranscendentalFunctionCategory| 5389687 5390238 5390328 "TRANFUN" 5390399 T TRANFUN (NIL) |category| NIL 5390617) (|TranscendentalFunctionCategory&| 5388699 5388904 5389352 "TRANFUN-" 5389357 NIL TRANFUN- (NIL T) |domain| NIL NIL) (|TopLevelThreeSpace| 5388290 5388351 5388489 "TOPSP" 5388613 T TOPSP (NIL) |package| NIL NIL) (|ToolsForSign| 5387293 5387448 5387691 "TOOLSIGN" 5388101 NIL TOOLSIGN (NIL T) |package| NIL NIL) (|TextFile| 5385276 5385975 5386371 "TEXTFILE" 5386929 T TEXTFILE (NIL) |domain| NIL NIL) (|TexFormat| 5382085 5382763 5383452 "TEX" 5384621 T TEX (NIL) |domain| NIL NIL) (|TexFormat1| 5381731 5381771 5381892 "TEX1" 5382021 NIL TEX1 (NIL T) |package| NIL NIL) (|TemplateUtilities| 5381070 5381175 5381359 "TEMUTL" 5381597 T TEMUTL (NIL) |package| NIL NIL) (|TabulatedComputationPackage| 5377804 5378197 5378771 "TBCMPPK" 5380608 NIL TBCMPPK (NIL T T) |package| NIL NIL) (|TableAggregate| 5366601 5374933 5375033 "TBAGG" 5375701 NIL TBAGG (NIL T T) |category| NIL 5376001) (|TableAggregate&| 5359896 5361812 5364265 "TBAGG-" 5364270 NIL TBAGG- (NIL T T T) |domain| NIL NIL) (|TangentExpansions| 5358852 5359009 5359265 "TANEXP" 5359705 NIL TANEXP (NIL T) |package| NIL NIL) (|Table| 5350183 5358599 5358757 "TABLE" 5358762 NIL TABLE (NIL T T) |domain| NIL NIL) (|Tableau| 5349284 5349413 5349627 "TABLEAU" 5350020 NIL TABLEAU (NIL T) |domain| NIL NIL) (|TableauxBumpers| 5342008 5343481 5345104 "TABLBUMP" 5347727 NIL TABLBUMP (NIL T) |package| NIL NIL) (|SystemSolvePackage| 5336094 5337182 5338480 "SYSSOLP" 5340786 NIL SYSSOLP (NIL T) |package| NIL NIL) (|SymbolTable| 5331613 5332498 5333529 "SYMTAB" 5335101 T SYMTAB (NIL) |domain| NIL NIL) (|TheSymbolTable| 5323868 5325178 5326838 "SYMS" 5329997 T SYMS (NIL) |domain| NIL NIL) (|SymmetricPolynomial| 5319764 5322902 5323307 "SYMPOLY" 5323531 NIL SYMPOLY (NIL T) |domain| NIL NIL) (|SymmetricFunctions| 5318990 5319090 5319297 "SYMFUNC" 5319623 NIL SYMFUNC (NIL T) |package| NIL NIL) (|Symbol| 5313054 5314764 5316065 "SYMBOL" 5317717 T SYMBOL (NIL) |domain| NIL NIL) (|Switch| 5304080 5306378 5308794 "SWITCH" 5310666 T SWITCH (NIL) |domain| NIL NIL) (|SparseUnivariateTaylorSeries| 5293844 5302001 5302549 "SUTS" 5303644 NIL SUTS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePuiseuxSeries| 5281987 5292280 5292800 "SUPXS" 5293438 NIL SUPXS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePolynomial| 5268222 5281241 5281506 "SUP" 5281804 NIL SUP (NIL T) |domain| NIL NIL) (|SupFractionFactorizer| 5266425 5266690 5267157 "SUPFRACF" 5267928 NIL SUPFRACF (NIL T T T T) |package| NIL NIL) (|SparseUnivariatePolynomialExpressions| 5251102 5265956 5266240 "SUPEXPR" 5266245 NIL SUPEXPR (NIL T) |domain| NIL NIL) (|SparseUnivariatePolynomialFunctions2| 5250320 5250432 5250684 "SUP2" 5250966 NIL SUP2 (NIL T T) |package| NIL NIL) (|RationalFunctionSum| 5247525 5247975 5248620 "SUMRF" 5249807 NIL SUMRF (NIL T) |package| NIL NIL) (|FunctionSpaceSum| 5246158 5246238 5246652 "SUMFS" 5247408 NIL SUMFS (NIL T T) |package| NIL NIL) (|SparseUnivariateLaurentSeries| 5221261 5244728 5245181 "SULS" 5245819 NIL SULS (NIL T NIL NIL) |domain| NIL NIL) (|SuchThat| 5220276 5220515 5220727 "SUCH" 5221123 NIL SUCH (NIL T T) |domain| NIL NIL) (|SubSpace| 5209829 5211407 5213168 "SUBSPACE" 5218586 NIL SUBSPACE (NIL NIL T) |domain| NIL NIL) (|SubResultantPackage| 5208764 5208904 5209210 "SUBRESP" 5209644 NIL SUBRESP (NIL T T) |package| NIL NIL) (|StreamTranscendentalFunctions| 5198843 5200368 5202163 "STTF" 5207085 NIL STTF (NIL T) |package| NIL NIL) (|StreamTranscendentalFunctionsNonCommutative| 5189658 5190967 5192574 "STTFNC" 5197380 NIL STTFNC (NIL T) |package| NIL NIL) (|StreamTaylorSeriesOperations| 5176624 5179023 5181559 "STTAYLOR" 5187208 NIL STTAYLOR (NIL T) |package| NIL NIL) (|StringTable| 5167424 5176368 5176523 "STRTBL" 5176528 NIL STRTBL (NIL T) |domain| NIL NIL) (|String| 5160294 5167351 5167399 "STRING" 5167404 T STRING (NIL) |domain| NIL NIL) (|StringCategory| 5152125 5159096 5159154 "STRICAT" 5159250 T STRICAT (NIL) |category| |String| 5159366) (|Stream| 5141361 5148178 5149172 "STREAM" 5151173 NIL STREAM (NIL T) |domain| NIL NIL) (|StreamFunctions3| 5140656 5140749 5140956 "STREAM3" 5141244 NIL STREAM3 (NIL T T T) |package| NIL NIL) (|StreamFunctions2| 5139197 5139420 5139753 "STREAM2" 5140399 NIL STREAM2 (NIL T T) |package| NIL NIL) (|StreamFunctions1| 5138726 5138790 5138940 "STREAM1" 5139109 NIL STREAM1 (NIL T) |package| NIL NIL) (|StreamTensor| 5138190 5138277 5138442 "STNSR" 5138615 NIL STNSR (NIL T) |package| NIL NIL) (|StreamInfiniteProduct| 5136392 5136669 5137099 "STINPROD" 5137874 NIL STINPROD (NIL T) |package| NIL NIL) (|StepThrough| 5135783 5136008 5136060 "STEP" 5136182 T STEP (NIL) |category| NIL 5136310) (|SparseTable| 5127212 5135628 5135748 "STBL" 5135753 NIL STBL (NIL T T NIL) |domain| NIL NIL) (|StreamAggregate| 5120195 5125949 5126023 "STAGG" 5126296 NIL STAGG (NIL T) |category| NIL 5126482) (|StreamAggregate&| 5117089 5117820 5119051 "STAGG-" 5119056 NIL STAGG- (NIL T T) |domain| NIL NIL) (|Stack| 5107092 5109254 5110964 "STACK" 5115426 NIL STACK (NIL T) |domain| NIL NIL) (|SquareFreeRegularTriangularSet| 5096028 5103614 5104423 "SREGSET" 5106483 NIL SREGSET (NIL T T T T) |domain| NIL NIL) (|SquareFreeRegularSetDecompositionPackage| 5083404 5085236 5087526 "SRDCMPK" 5094026 NIL SRDCMPK (NIL T T T T T) |package| NIL NIL) (|StringAggregate| 5071950 5078924 5078984 "SRAGG" 5081228 T SRAGG (NIL) |category| NIL 5082299) (|StringAggregate&| 5070443 5070806 5071412 "SRAGG-" 5071417 NIL SRAGG- (NIL T) |domain| NIL NIL) (|SquareMatrix| 5062248 5068698 5069379 "SQMATRIX" 5069844 NIL SQMATRIX (NIL NIL T) |domain| NIL NIL) (|SplittingTree| 5052342 5056673 5057858 "SPLTREE" 5061193 NIL SPLTREE (NIL T T) |domain| NIL NIL) (|SplittingNode| 5045896 5046743 5047746 "SPLNODE" 5051469 NIL SPLNODE (NIL T T) |domain| NIL NIL) (|SpecialFunctionCategory| 5044342 5044610 5044686 "SPFCAT" 5045527 T SPFCAT (NIL) |category| NIL NIL) (|SpecialOutputPackage| 5042101 5042414 5042912 "SPECOUT" 5043900 T SPECOUT (NIL) |package| NIL NIL) (|ThreeSpaceCategory| 5029245 5031697 5031777 "SPACEC" 5039128 NIL SPACEC (NIL T) |category| |ThreeSpace| 5042019) (|ThreeSpace| 5026666 5029132 5029211 "SPACE3" 5029216 NIL SPACE3 (NIL T) |domain| NIL NIL) (|SortPackage| 5024505 5024735 5025221 "SORTPAK" 5026366 NIL SORTPAK (NIL T T) |package| NIL NIL) (|TransSolvePackage| 5021043 5021501 5022235 "SOLVETRA" 5023964 NIL SOLVETRA (NIL T) |package| NIL NIL) (|TransSolvePackageService| 5018909 5019387 5020006 "SOLVESER" 5020536 NIL SOLVESER (NIL T) |package| NIL NIL) (|RadicalSolvePackage| 5010555 5011922 5013648 "SOLVERAD" 5017309 NIL SOLVERAD (NIL T) |package| NIL NIL) (|PolynomialSolveByFormulas| 5003907 5004613 5005659 "SOLVEFOR" 5009708 NIL SOLVEFOR (NIL T T) |package| NIL NIL) (|SquareFreeNormalizedTriangularSetCategory| 4995677 5002762 5003001 "SNTSCAT" 5003006 NIL SNTSCAT (NIL T T T T) |category| NIL 5003143) (|SparseMultivariateTaylorSeries| 4986825 4992644 4993300 "SMTS" 4995195 NIL SMTS (NIL T T T) |domain| NIL NIL) (|SparseMultivariatePolynomial| 4978216 4986594 4986760 "SMP" 4986765 NIL SMP (NIL T T) |domain| NIL NIL) (|SmithNormalForm| 4975289 4975659 4976255 "SMITH" 4977802 NIL SMITH (NIL T T T T) |package| NIL NIL) (|SquareMatrixCategory| 4964244 4970277 4970475 "SMATCAT" 4973017 NIL SMATCAT (NIL NIL T T T) |category| NIL 4973857) (|SquareMatrixCategory&| 4959467 4960617 4962544 "SMATCAT-" 4962549 NIL SMATCAT- (NIL T NIL T T T) |domain| NIL NIL) (|StackAggregate| 4956220 4958326 4958398 "SKAGG" 4958816 NIL SKAGG (NIL T) |category| NIL 4959039) (|SingleInteger| 4950729 4954845 4955285 "SINT" 4955822 T SINT (NIL) |domain| NIL NIL) (|SimplifyAlgebraicNumberConvertPackage| 4950211 4950281 4950465 "SIMPAN" 4950635 T SIMPAN (NIL) |package| NIL NIL) (|RationalFunctionSign| 4948265 4948611 4949084 "SIGNRF" 4949813 NIL SIGNRF (NIL T) |package| NIL NIL) (|ElementaryFunctionSign| 4946050 4946256 4946808 "SIGNEF" 4948007 NIL SIGNEF (NIL T T) |package| NIL NIL) (|SturmHabichtPackage| 4941564 4942407 4943402 "SHP" 4945156 NIL SHP (NIL T NIL) |package| NIL NIL) (|SplitHomogeneousDirectProduct| 4932840 4941322 4941522 "SHDP" 4941527 NIL SHDP (NIL NIL NIL T) |domain| NIL NIL) (|SemiGroup| 4932079 4932323 4932371 "SGROUP" 4932609 T SGROUP (NIL) |category| NIL 4932758) (|SemiGroup&| 4931717 4931791 4931960 "SGROUP-" 4931965 NIL SGROUP- (NIL T) |domain| NIL NIL) (|SymmetricGroupCombinatoricFunctions| 4925964 4927107 4928434 "SGCF" 4930476 T SGCF (NIL) |package| NIL NIL) (|SquareFreeRegularTriangularSetCategory| 4917941 4925026 4925259 "SFRTCAT" 4925264 NIL SFRTCAT (NIL T T T T) |category| |SquareFreeRegularTriangularSet| 4925331) (|SquareFreeRegularTriangularSetGcdPackage| 4905954 4907391 4909261 "SFRGCD" 4916349 NIL SFRGCD (NIL T T T T T) |package| NIL NIL) (|SquareFreeQuasiComponentPackage| 4893711 4895208 4897096 "SFQCMPK" 4904326 NIL SFQCMPK (NIL T T T T T) |package| NIL NIL) (|SimpleFortranProgram| 4893008 4893143 4893368 "SFORT" 4893590 NIL SFORT (NIL T T) |domain| NIL NIL) (|SExpressionOf| 4891922 4892756 4892953 "SEXOF" 4892958 NIL SEXOF (NIL T T T T T) |domain| NIL NIL) (|SExpression| 4890757 4891699 4891827 "SEX" 4891832 T SEX (NIL) |domain| NIL NIL) (|SExpressionCategory| 4881720 4882548 4882721 "SEXCAT" 4889749 NIL SEXCAT (NIL T T T T T) |category| NIL 4890675) (|Set| 4877724 4881614 4881686 "SET" 4881691 NIL SET (NIL T) |domain| NIL NIL) (|SetOfMIntegersInOneToN| 4874519 4875276 4875900 "SETMN" 4877210 NIL SETMN (NIL NIL NIL) |domain| NIL NIL) (|SetCategory| 4873915 4874071 4874123 "SETCAT" 4874308 T SETCAT (NIL) |category| NIL 4874459) (|SetCategory&| 4873575 4873643 4873807 "SETCAT-" 4873812 NIL SETCAT- (NIL T) |domain| NIL NIL) (|SetCategoryWithDegree| 4873023 4873219 4873291 "SETCATD" 4873402 T SETCATD (NIL) |category| NIL 4873493) (|SetAggregate| 4867627 4870540 4870615 "SETAGG" 4872058 NIL SETAGG (NIL T) |category| NIL 4872589) (|SetAggregate&| 4866857 4866998 4867355 "SETAGG-" 4867360 NIL SETAGG- (NIL T T) |domain| NIL NIL) (|SegmentExpansionCategory| 4865644 4865966 4866096 "SEGXCAT" 4866629 NIL SEGXCAT (NIL T T) |category| NIL 4866808) (|Segment| 4864385 4865127 4865405 "SEG" 4865410 NIL SEG (NIL T) |domain| NIL NIL) (|SegmentCategory| 4862827 4863057 4863131 "SEGCAT" 4864043 NIL SEGCAT (NIL T) |category| NIL 4864367) (|SegmentBinding| 4861439 4861867 4862173 "SEGBIND" 4862579 NIL SEGBIND (NIL T) |domain| NIL NIL) (|SegmentBindingFunctions2| 4860789 4860877 4861081 "SEGBIND2" 4861327 NIL SEGBIND2 (NIL T T) |package| NIL NIL) (|SegmentFunctions2| 4859638 4859801 4860095 "SEG2" 4860573 NIL SEG2 (NIL T T) |package| NIL NIL) (|SequentialDifferentialVariable| 4858814 4859459 4859594 "SDVAR" 4859599 NIL SDVAR (NIL T) |domain| NIL NIL) (|SequentialDifferentialPolynomial| 4845499 4858233 4858568 "SDPOL" 4858573 NIL SDPOL (NIL T) |domain| NIL NIL) (|StochasticDifferential| 4838258 4839806 4841037 "SD" 4844376 NIL SD (NIL T) |domain| NIL NIL) (|StructuralConstantsPackage| 4835866 4836258 4836820 "SCPKG" 4837779 NIL SCPKG (NIL T) |package| NIL NIL) (|SimpleCell| 4832845 4833219 4833780 "SCELL" 4835409 NIL SCELL (NIL T T) |domain| NIL NIL) (|SortedCache| 4831590 4831768 4832062 "SCACHE" 4832610 NIL SCACHE (NIL T) |package| NIL NIL) (|SingletonAsOrderedSet| 4830789 4831156 4831321 "SAOS" 4831483 T SAOS (NIL) |domain| NIL NIL) (|SAERationalFunctionAlgFactor| 4829913 4829957 4830331 "SAERFFC" 4830721 NIL SAERFFC (NIL T T T) |package| NIL NIL) (|SimpleAlgebraicExtension| 4821090 4829702 4829876 "SAE" 4829881 NIL SAE (NIL T T NIL) |domain| NIL NIL) (|SimpleAlgebraicExtensionAlgFactor| 4820259 4820303 4820657 "SAEFACT" 4821022 NIL SAEFACT (NIL T T T) |package| NIL NIL) (|RationalUnivariateRepresentationPackage| 4817188 4817721 4818480 "RURPK" 4819676 NIL RURPK (NIL T NIL) |package| NIL NIL) (|Ruleset| 4815014 4815362 4815860 "RULESET" 4816938 NIL RULESET (NIL T T T) |domain| NIL NIL) (|RewriteRule| 4810406 4811044 4811780 "RULE" 4814534 NIL RULE (NIL T T T) |domain| NIL NIL) (|RuleCalled| 4809898 4810087 4810219 "RULECOLD" 4810326 NIL RULECOLD (NIL NIL) |domain| NIL NIL) (|RegularTriangularSetGcdPackage| 4800812 4801901 4803378 "RSETGCD" 4808679 NIL RSETGCD (NIL T T T T T) |package| NIL NIL) (|RegularTriangularSetCategory| 4782805 4789890 4790103 "RSETCAT" 4798537 NIL RSETCAT (NIL T T T T) |category| NIL 4800238) (|RegularTriangularSetCategory&| 4779755 4780458 4781757 "RSETCAT-" 4781762 NIL RSETCAT- (NIL T T T T T) |domain| NIL NIL) (|RegularSetDecompositionPackage| 4767354 4769198 4771470 "RSDCMPK" 4777741 NIL RSDCMPK (NIL T T T T T) |package| NIL NIL) (|RealRootCharacterizationCategory| 4763765 4764342 4764520 "RRCC" 4766740 NIL RRCC (NIL T T) |category| |RightOpenIntervalRootCharacterization| 4767272) (|RealRootCharacterizationCategory&| 4762734 4762965 4763471 "RRCC-" 4763476 NIL RRCC- (NIL T T T) |domain| NIL NIL) (|RecursivePolynomialCategory| 4717640 4731945 4732096 "RPOLCAT" 4753426 NIL RPOLCAT (NIL T T T) |category| NIL 4758581) (|RecursivePolynomialCategory&| 4704720 4707976 4712901 "RPOLCAT-" 4712906 NIL RPOLCAT- (NIL T T T T) |domain| NIL NIL) (|RoutinesTable| 4691291 4701326 4702278 "ROUTINE" 4703810 T ROUTINE (NIL) |domain| NIL NIL) (|RomanNumeral| 4686607 4690500 4690782 "ROMAN" 4691049 T ROMAN (NIL) |domain| NIL NIL) (|RightOpenIntervalRootCharacterization| 4683609 4684356 4684846 "ROIRC" 4686290 NIL ROIRC (NIL T T) |domain| NIL NIL) (|RealNumberSystem| 4677971 4681165 4681227 "RNS" 4681757 T RNS (NIL) |category| NIL 4682248) (|RealNumberSystem&| 4675571 4676126 4677009 "RNS-" 4677164 NIL RNS- (NIL T) |domain| NIL NIL) (|Rng| 4674765 4675277 4675313 "RNG" 4675318 T RNG (NIL) |category| NIL 4675359) (|RightModule| 4673901 4674345 4674410 "RMODULE" 4674500 NIL RMODULE (NIL T) |category| NIL 4674573) (|RectangularMatrixCategoryFunctions2| 4671819 4671930 4672525 "RMCAT2" 4673761 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) |package| NIL NIL) (|RectangularMatrix| 4666946 4670407 4670960 "RMATRIX" 4671386 NIL RMATRIX (NIL NIL NIL T) |domain| NIL NIL) (|RectangularMatrixCategory| 4655069 4658190 4658426 "RMATCAT" 4664858 NIL RMATCAT (NIL NIL NIL T T T) |category| NIL 4666374) (|RectangularMatrixCategory&| 4653959 4654190 4654767 "RMATCAT-" 4654772 NIL RMATCAT- (NIL T NIL NIL T T T) |domain| NIL NIL) (|RationalInterpolation| 4653163 4653296 4653542 "RINTERP" 4653802 NIL RINTERP (NIL NIL T) |package| NIL NIL) (|Ring| 4651747 4652492 4652530 "RING" 4652715 T RING (NIL) |category| NIL 4652897) (|Ring&| 4651434 4651494 4651638 "RING-" 4651643 NIL RING- (NIL T) |domain| NIL NIL) (|RandomIntegerDistributions| 4649486 4649834 4650291 "RIDIST" 4651045 T RIDIST (NIL) |package| NIL NIL) (|RegularChain| 4630965 4648367 4648811 "RGCHAIN" 4649126 NIL RGCHAIN (NIL T NIL) |domain| NIL NIL) (|RootsFindingPackage| 4628860 4629252 4629753 "RFP" 4630533 NIL RFP (NIL T) |package| NIL NIL) (|RationalFunction| 4623595 4624611 4625790 "RF" 4627753 NIL RF (NIL T) |package| NIL NIL) (|RationalFunctionFactorizer| 4622896 4623004 4623229 "RFFACTOR" 4623463 NIL RFFACTOR (NIL T) |package| NIL NIL) (|RationalFunctionFactor| 4622378 4622422 4622628 "RFFACT" 4622828 NIL RFFACT (NIL T) |package| NIL NIL) (|RandomFloatDistributions| 4618856 4619472 4620226 "RFDIST" 4621688 T RFDIST (NIL) |package| NIL NIL) (|RetractSolvePackage| 4617907 4618047 4618345 "RETSOL" 4618692 NIL RETSOL (NIL T T) |package| NIL NIL) (|RetractableTo| 4617285 4617386 4617456 "RETRACT" 4617758 NIL RETRACT (NIL T) |category| NIL NIL) (|RetractableTo&| 4617055 4617084 4617225 "RETRACT-" 4617230 NIL RETRACT- (NIL T T) |domain| NIL NIL) (|Result| 4606999 4616415 4616655 "RESULT" 4616843 T RESULT (NIL) |domain| NIL NIL) (|ResidueRing| 4604872 4605746 4606069 "RESRING" 4606844 NIL RESRING (NIL T T T T NIL) |domain| NIL NIL) (|ResolveLatticeCompletion| 4604288 4604343 4604517 "RESLATC" 4604776 NIL RESLATC (NIL T) |package| NIL NIL) (|RepeatedSquaring| 4603781 4603829 4604022 "REPSQ" 4604215 NIL REPSQ (NIL T) |package| NIL NIL) (|RadicalEigenPackage| 4599228 4600209 4601298 "REP" 4602746 T REP (NIL) |package| NIL NIL) (|RepeatedDoubling| 4598713 4598763 4598958 "REPDB" 4599153 NIL REPDB (NIL T) |package| NIL NIL) (|RepresentationPackage2| 4589236 4591104 4592957 "REP2" 4596934 NIL REP2 (NIL T) |package| NIL NIL) (|RepresentationPackage1| 4582898 4583953 4585388 "REP1" 4587875 NIL REP1 (NIL T) |package| NIL NIL) (|RegularTriangularSet| 4571975 4579560 4580339 "REGSET" 4582299 NIL REGSET (NIL T T T T) |domain| NIL NIL) (|Reference| 4570374 4570779 4571124 "REF" 4571678 NIL REF (NIL T) |domain| NIL NIL) (|ReductionOfOrder| 4569362 4569481 4569765 "REDORDER" 4570210 NIL REDORDER (NIL T T) |package| NIL NIL) (|RecurrenceOperator| 4563805 4564458 4565478 "RECOP" 4568656 NIL RECOP (NIL T T) |package| NIL NIL) (|RealClosure| 4557263 4562115 4562622 "RECLOS" 4563393 NIL RECLOS (NIL T) |domain| NIL NIL) (|RealSolvePackage| 4555736 4556003 4556362 "REALSOLV" 4556952 T REALSOLV (NIL) |package| NIL NIL) (|RealConstant| 4555471 4555528 4555582 "REAL" 4555587 T REAL (NIL) |category| NIL 4555659) (|RealZeroPackageQ| 4549856 4551054 4552465 "REAL0Q" 4554171 NIL REAL0Q (NIL T) |package| NIL NIL) (|RealZeroPackage| 4542782 4544265 4545956 "REAL0" 4548261 NIL REAL0 (NIL T) |package| NIL NIL) (|ReducedDivisor| 4541716 4541824 4542195 "RDIV" 4542650 NIL RDIV (NIL T T T T T) |package| NIL NIL) (|RandomDistributions| 4540222 4540464 4540815 "RDIST" 4541440 NIL RDIST (NIL T) |package| NIL NIL) (|TranscendentalRischDESystem| 4538035 4538420 4539024 "RDETRS" 4539808 NIL RDETRS (NIL T T) |package| NIL NIL) (|TranscendentalRischDE| 4534848 4535422 4536208 "RDETR" 4537427 NIL RDETR (NIL T T) |package| NIL NIL) (|ElementaryRischDESystem| 4532742 4533092 4533766 "RDEEFS" 4534474 NIL RDEEFS (NIL T T) |package| NIL NIL) (|ElementaryRischDE| 4530521 4530902 4531595 "RDEEF" 4532337 NIL RDEEF (NIL T T) |package| NIL NIL) (|RealClosedField| 4520949 4525261 4525321 "RCFIELD" 4527647 T RCFIELD (NIL) |category| NIL 4529060) (|RealClosedField&| 4517524 4518379 4519624 "RCFIELD-" 4519777 NIL RCFIELD- (NIL T) |domain| NIL NIL) (|RecursiveAggregate| 4512062 4514549 4514629 "RCAGG" 4516444 NIL RCAGG (NIL T) |category| NIL 4517124) (|RecursiveAggregate&| 4511551 4511656 4511907 "RCAGG-" 4511912 NIL RCAGG- (NIL T T) |domain| NIL NIL) (|RationalRetractions| 4510400 4510564 4510865 "RATRET" 4511352 NIL RATRET (NIL T) |package| NIL NIL) (|RationalFactorize| 4509577 4509672 4509909 "RATFACT" 4510276 NIL RATFACT (NIL T) |package| NIL NIL) (|RandomNumberSource| 4508441 4508601 4508869 "RANDSRC" 4509361 T RANDSRC (NIL) |package| NIL NIL) (|RadixUtilities| 4507994 4508058 4508191 "RADUTIL" 4508352 T RADUTIL (NIL) |package| NIL NIL) (|RadixExpansion| 4496840 4505846 4506409 "RADIX" 4507492 NIL RADIX (NIL NIL) |domain| NIL NIL) (|RadicalFunctionField| 4484136 4496510 4496793 "RADFF" 4496798 NIL RADFF (NIL T T T NIL NIL) |domain| NIL NIL) (|RadicalCategory| 4483576 4483672 4483732 "RADCAT" 4483995 T RADCAT (NIL) |category| NIL NIL) (|RadicalCategory&| 4483244 4483302 4483473 "RADCAT-" 4483478 NIL RADCAT- (NIL T) |domain| NIL NIL) (|Queue| 4472860 4475086 4476862 "QUEUE" 4481515 NIL QUEUE (NIL T) |domain| NIL NIL) (|Quaternion| 4467975 4472736 4472826 "QUAT" 4472831 NIL QUAT (NIL T) |domain| NIL NIL) (|QuaternionCategoryFunctions2| 4467299 4467349 4467611 "QUATCT2" 4467901 NIL QUATCT2 (NIL T T T T) |package| NIL NIL) (|QuaternionCategory| 4457665 4462364 4462455 "QUATCAT" 4463968 NIL QUATCAT (NIL T) |category| |Quaternion| 4465183) (|QuaternionCategory&| 4451814 4453212 4455393 "QUATCAT-" 4455596 NIL QUATCAT- (NIL T T) |domain| NIL NIL) (|QueueAggregate| 4448245 4450407 4450479 "QUAGG" 4451096 NIL QUAGG (NIL T) |category| NIL 4451386) (|QuadraticForm| 4446622 4447219 4447514 "QFORM" 4448032 NIL QFORM (NIL NIL T) |domain| NIL NIL) (|QuotientFieldCategory| 4432360 4440263 4440359 "QFCAT" 4441692 NIL QFCAT (NIL T) |category| NIL 4443337) (|QuotientFieldCategory&| 4425339 4427048 4429660 "QFCAT-" 4429868 NIL QFCAT- (NIL T T) |domain| NIL NIL) (|QuotientFieldCategoryFunctions2| 4424646 4424696 4424968 "QFCAT2" 4425265 NIL QFCAT2 (NIL T T T T) |package| NIL NIL) (|QueryEquation| 4423790 4423935 4424160 "QEQUAT" 4424463 T QEQUAT (NIL) |domain| NIL NIL) (|QuasiComponentPackage| 4411747 4413244 4415112 "QCMPACK" 4422162 NIL QCMPACK (NIL T T T T T) |package| NIL NIL) (|QuasiAlgebraicSet| 4407419 4408000 4408731 "QALGSET" 4411181 NIL QALGSET (NIL T T T T) |domain| NIL NIL) (|QuasiAlgebraicSet2| 4405680 4406090 4406629 "QALGSET2" 4406985 NIL QALGSET2 (NIL NIL NIL) |package| NIL NIL) (|PAdicWildFunctionFieldIntegralBasis| 4403370 4403666 4404233 "PWFFINTB" 4405350 NIL PWFFINTB (NIL T T T T) |package| NIL NIL) (|PushVariables| 4400395 4400590 4401143 "PUSHVAR" 4403107 NIL PUSHVAR (NIL T T T T) |package| NIL NIL) (|PartialTranscendentalFunctions| 4393207 4394575 4394705 "PTRANFN" 4398801 NIL PTRANFN (NIL T) |category| NIL NIL) (|PointPackage| 4390903 4391249 4391713 "PTPACK" 4392797 NIL PTPACK (NIL T) |package| NIL NIL) (|PointFunctions2| 4390352 4390422 4390590 "PTFUNC2" 4390809 NIL PTFUNC2 (NIL T T) |package| NIL NIL) (|PointCategory| 4382504 4388518 4388588 "PTCAT" 4389189 NIL PTCAT (NIL T) |category| |Point| 4389442) (|PolynomialSquareFree| 4381860 4381908 4382151 "PSQFR" 4382432 NIL PSQFR (NIL T T T T) |package| NIL NIL) (|PseudoLinearNormalForm| 4379685 4380101 4380626 "PSEUDLIN" 4381410 NIL PSEUDLIN (NIL T) |package| NIL NIL) (|PolynomialSetUtilitiesPackage| 4355575 4359033 4362838 "PSETPK" 4376083 NIL PSETPK (NIL T T T T) |package| NIL NIL) (|PolynomialSetCategory| 4343697 4347578 4347772 "PSETCAT" 4353835 NIL PSETCAT (NIL T T T T) |category| NIL 4355105) (|PolynomialSetCategory&| 4340453 4341330 4342626 "PSETCAT-" 4342631 NIL PSETCAT- (NIL T T T T T) |domain| NIL NIL) (|PlottableSpaceCurveCategory| 4339273 4339521 4339605 "PSCURVE" 4340118 T PSCURVE (NIL) |category| |Plot3D| 4340413) (|PowerSeriesCategory| 4333549 4335602 4335734 "PSCAT" 4337346 NIL PSCAT (NIL T T T) |category| NIL 4337728) (|PowerSeriesCategory&| 4332242 4332506 4333107 "PSCAT-" 4333112 NIL PSCAT- (NIL T T T T) |domain| NIL NIL) (|Partition| 4330271 4331052 4331426 "PRTITION" 4331902 T PRTITION (NIL) |domain| NIL NIL) (|ProjectiveSpaceCategory| 4325417 4326314 4326405 "PRSPCAT" 4329196 NIL PRSPCAT (NIL T) |category| NIL 4330157) (|PseudoRemainderSequence| 4306810 4309973 4313403 "PRS" 4322116 NIL PRS (NIL T T) |package| NIL NIL) (|PriorityQueueAggregate| 4303729 4305788 4305882 "PRQAGG" 4306214 NIL PRQAGG (NIL T) |category| |Heap| 4306382) (|ProjectiveSpace| 4302663 4303567 4303690 "PROJSP" 4303695 NIL PROJSP (NIL NIL T) |domain| NIL NIL) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| 4301071 4302357 4302584 "PROJPLPS" 4302589 NIL PROJPLPS (NIL T) |domain| NIL NIL) (|ProjectivePlane| 4300011 4300937 4301032 "PROJPL" 4301037 NIL PROJPL (NIL T) |domain| NIL NIL) (|Product| 4291035 4297262 4298468 "PRODUCT" 4298877 NIL PRODUCT (NIL T T) |domain| NIL NIL) (|PolynomialRing| 4287060 4290092 4290490 "PR" 4290725 NIL PR (NIL T T) |domain| NIL NIL) (|ProjectiveAlgebraicSetPackage| 4284307 4284546 4285108 "PRJALGPK" 4286782 NIL PRJALGPK (NIL T NIL T T T) |package| NIL NIL) (|PrintPackage| 4283969 4284012 4284120 "PRINT" 4284239 T PRINT (NIL) |package| NIL NIL) (|IntegerPrimesPackage| 4282856 4282998 4283264 "PRIMES" 4283788 NIL PRIMES (NIL T) |package| NIL NIL) (|PrimitiveElement| 4279578 4280210 4281013 "PRIMELT" 4282148 NIL PRIMELT (NIL T) |package| NIL NIL) (|PrimitiveFunctionCategory| 4279080 4279148 4279228 "PRIMCAT" 4279458 T PRIMCAT (NIL) |category| NIL NIL) (|PrimitiveArray| 4273652 4278939 4279036 "PRIMARR" 4279041 NIL PRIMARR (NIL T) |domain| NIL NIL) (|PrimitiveArrayFunctions2| 4271993 4272256 4272645 "PRIMARR2" 4273355 NIL PRIMARR2 (NIL T T) |package| NIL NIL) (|PrecomputedAssociatedEquations| 4271213 4271309 4271586 "PREASSOC" 4271873 NIL PREASSOC (NIL T T) |package| NIL NIL) (|PlottablePlaneCurveCategory| 4270256 4270456 4270540 "PPCURVE" 4270931 T PPCURVE (NIL) |category| NIL 4271173) (|U32VectorPolynomialOperations| 4260186 4262082 4264230 "POLYVEC" 4268182 T POLYVEC (NIL) |package| NIL NIL) (|PolynomialRoots| 4255776 4256378 4257333 "POLYROOT" 4259529 NIL POLYROOT (NIL T T T T T) |package| NIL NIL) (|Polynomial| 4246364 4255130 4255388 "POLY" 4255568 NIL POLY (NIL T) |domain| NIL NIL) (|PolynomialCategoryLifting| 4245316 4245388 4245798 "POLYLIFT" 4246268 NIL POLYLIFT (NIL T T T T T) |package| NIL NIL) (|PolynomialCategoryQuotientFunctions| 4238809 4239470 4240538 "POLYCATQ" 4244576 NIL POLYCATQ (NIL T T T T T) |package| NIL NIL) (|PolynomialCategory| 4216499 4224695 4224828 "POLYCAT" 4231724 NIL POLYCAT (NIL T T T) |category| NIL 4234978) (|PolynomialCategory&| 4206028 4208848 4212753 "POLYCAT-" 4212758 NIL POLYCAT- (NIL T T T T) |domain| NIL NIL) (|PolynomialToUnivariatePolynomial| 4205254 4205367 4205614 "POLY2UP" 4205891 NIL POLY2UP (NIL NIL T) |package| NIL NIL) (|PolynomialFunctions2| 4204648 4204728 4204916 "POLY2" 4205150 NIL POLY2 (NIL T T) |package| NIL NIL) (|RealPolynomialUtilitiesPackage| 4202158 4202533 4203052 "POLUTIL" 4204263 NIL POLUTIL (NIL T T) |package| NIL NIL) (|PolToPol| 4198693 4199320 4200067 "POLTOPOL" 4201482 NIL POLTOPOL (NIL NIL T) |package| NIL NIL) (|Point| 4192506 4198600 4198664 "POINT" 4198669 NIL POINT (NIL T) |domain| NIL NIL) (|PolynomialNumberTheoryFunctions| 4188558 4189282 4190148 "PNTHEORY" 4191718 T PNTHEORY (NIL) |package| NIL NIL) (|PatternMatchTools| 4185795 4186294 4187012 "PMTOOLS" 4188030 NIL PMTOOLS (NIL T T T) |package| NIL NIL) (|PatternMatchSymbol| 4185045 4185178 4185408 "PMSYM" 4185638 NIL PMSYM (NIL T) |package| NIL NIL) (|PatternMatchQuotientFieldCategory| 4184065 4184180 4184552 "PMQFCAT" 4184906 NIL PMQFCAT (NIL T T T) |package| NIL NIL) (|AttachPredicates| 4182962 4183135 4183412 "PMPRED" 4183850 NIL PMPRED (NIL T) |package| NIL NIL) (|FunctionSpaceAttachPredicates| 4181911 4182028 4182323 "PMPREDFS" 4182803 NIL PMPREDFS (NIL T T T) |package| NIL NIL) (|PatternMatchPolynomialCategory| 4179387 4179736 4180448 "PMPLCAT" 4181500 NIL PMPLCAT (NIL T T T T T) |package| NIL NIL) (|PatternMatchListAggregate| 4178498 4178631 4178934 "PMLSAGG" 4179230 NIL PMLSAGG (NIL T T T) |package| NIL NIL) (|PatternMatchKernel| 4177532 4177658 4178002 "PMKERNEL" 4178348 NIL PMKERNEL (NIL T T) |package| NIL NIL) (|PatternMatchIntegerNumberSystem| 4176735 4176871 4177138 "PMINS" 4177372 NIL PMINS (NIL T) |package| NIL NIL) (|PatternMatchFunctionSpace| 4175635 4175750 4176179 "PMFS" 4176596 NIL PMFS (NIL T T T) |package| NIL NIL) (|PatternMatchPushDown| 4174206 4174403 4174790 "PMDOWN" 4175409 NIL PMDOWN (NIL T T T) |package| NIL NIL) (|PatternMatchAssertions| 4172733 4172977 4173320 "PMASS" 4173923 T PMASS (NIL) |package| NIL NIL) (|FunctionSpaceAssertions| 4171510 4171642 4171923 "PMASSFS" 4172562 NIL PMASSFS (NIL T T) |package| NIL NIL) (|PolynomialPackageForCurve| 4167163 4167512 4168224 "PLPKCRV" 4171047 NIL PLPKCRV (NIL T T T NIL T) |package| NIL NIL) (|PlotTools| 4166585 4166691 4166855 "PLOTTOOL" 4167033 T PLOTTOOL (NIL) |package| NIL NIL) (|Plot| 4157187 4159218 4161367 "PLOT" 4164460 T PLOT (NIL) |domain| NIL NIL) (|Plot3D| 4149721 4151512 4153284 "PLOT3D" 4155443 T PLOT3D (NIL) |domain| NIL NIL) (|PlotFunctions1| 4147954 4148197 4148583 "PLOT1" 4149416 NIL PLOT1 (NIL T) |package| NIL NIL) (|ParametricLinearEquations| 4109047 4115442 4122436 "PLEQN" 4141217 NIL PLEQN (NIL T T T T) |package| NIL NIL) (|Plcs| 4108025 4108904 4109012 "PLCS" 4109017 NIL PLCS (NIL T T) |domain| NIL NIL) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| 4106460 4107593 4107874 "PLACESPS" 4107879 NIL PLACESPS (NIL T) |domain| NIL NIL) (|Places| 4105307 4106280 4106389 "PLACES" 4106394 NIL PLACES (NIL T) |domain| NIL NIL) (|PlacesCategory| 4099843 4100716 4100829 "PLACESC" 4104330 NIL PLACESC (NIL T T) |category| NIL 4105193) (|PolynomialInterpolation| 4098638 4098833 4099166 "PINTERP" 4099603 NIL PINTERP (NIL NIL T) |package| NIL NIL) (|PolynomialInterpolationAlgorithms| 4098024 4098093 4098326 "PINTERPA" 4098545 NIL PINTERPA (NIL T T) |package| NIL NIL) (|PositiveInteger| 4096965 4097647 4097828 "PI" 4097889 T PI (NIL) |domain| NIL NIL) (|PrincipalIdealDomain| 4094444 4095888 4095958 "PID" 4096265 T PID (NIL) |category| NIL 4096484) (|PiCoercions| 4093982 4094030 4094188 "PICOERCE" 4094372 NIL PICOERCE (NIL T) |package| NIL NIL) (|PolyGroebner| 4092874 4093080 4093375 "PGROEB" 4093746 NIL PGROEB (NIL T) |package| NIL NIL) (|PermutationGroupExamples| 4083987 4085507 4087400 "PGE" 4091045 T PGE (NIL) |package| NIL NIL) (|PolynomialGcdPackage| 4080235 4080680 4081411 "PGCD" 4083433 NIL PGCD (NIL T T T T) |package| NIL NIL) (|PartialFractionPackage| 4078989 4079150 4079477 "PFRPAC" 4080025 NIL PFRPAC (NIL T) |package| NIL NIL) (|PartialFraction| 4073523 4076273 4076923 "PFR" 4078410 NIL PFR (NIL T) |domain| NIL NIL) (|PointsOfFiniteOrderTools| 4070598 4070932 4071509 "PFOTOOLS" 4073129 NIL PFOTOOLS (NIL T T) |package| NIL NIL) (|PackageForPoly| 4061076 4062060 4063369 "PFORP" 4069477 NIL PFORP (NIL T T T NIL) |package| NIL NIL) (|PointsOfFiniteOrderRational| 4058316 4058697 4059367 "PFOQ" 4060661 NIL PFOQ (NIL T T T) |package| NIL NIL) (|PointsOfFiniteOrder| 4055500 4055821 4056481 "PFO" 4057961 NIL PFO (NIL T T T T T) |package| NIL NIL) (|PrimeField| 4050095 4055234 4055395 "PF" 4055400 NIL PF (NIL NIL) |domain| NIL NIL) (|PolynomialFactorizationExplicit| 4045131 4047242 4047334 "PFECAT" 4048675 T PFECAT (NIL) |category| NIL 4049578) (|PolynomialFactorizationExplicit&| 4043844 4044193 4044720 "PFECAT-" 4044725 NIL PFECAT- (NIL T) |domain| NIL NIL) (|PolynomialFactorizationByRecursionUnivariate| 4040268 4040845 4041652 "PFBRU" 4043225 NIL PFBRU (NIL T T) |package| NIL NIL) (|PolynomialFactorizationByRecursion| 4035277 4036046 4037082 "PFBR" 4039453 NIL PFBR (NIL T T T T) |package| NIL NIL) (|Permutation| 4029038 4030954 4032033 "PERM" 4034257 NIL PERM (NIL T) |domain| NIL NIL) (|PermutationGroup| 4021051 4022403 4023896 "PERMGRP" 4027614 NIL PERMGRP (NIL T) |domain| NIL NIL) (|PermutationCategory| 4018402 4019579 4019668 "PERMCAT" 4020431 NIL PERMCAT (NIL T) |category| |Permutation| 4020844) (|Permanent| 4017819 4017875 4018090 "PERMAN" 4018322 NIL PERMAN (NIL NIL T) |package| NIL NIL) (|PendantTree| 4014189 4017117 4017336 "PENDTREE" 4017659 NIL PENDTREE (NIL T) |domain| NIL NIL) (|PartialDifferentialRing| 4011108 4012149 4012246 "PDRING" 4013459 NIL PDRING (NIL T) |category| NIL 4013908) (|PartialDifferentialRing&| 4009738 4010038 4010632 "PDRING-" 4010637 NIL PDRING- (NIL T T) |domain| NIL NIL) (|NumericalPDEProblem| 4005531 4006577 4007622 "PDEPROB" 4008747 T PDEPROB (NIL) |domain| NIL NIL) (|AnnaPartialDifferentialEquationPackage| 4001252 4002063 4003057 "PDEPACK" 4004629 T PDEPACK (NIL) |package| NIL NIL) (|PolynomialDecomposition| 3999294 3999583 4000045 "PDECOMP" 4000910 NIL PDECOMP (NIL T T) |package| NIL NIL) (|PartialDifferentialEquationsSolverCategory| 3995676 3996823 3996937 "PDECAT" 3998164 T PDECAT (NIL) |category| NIL 3999212) (|PolynomialComposition| 3995238 3995275 3995451 "PCOMP" 3995615 NIL PCOMP (NIL T T) |package| NIL NIL) (|PoincareBirkhoffWittLyndonBasis| 3992208 3992965 3993516 "PBWLB" 3994779 NIL PBWLB (NIL T) |domain| NIL NIL) (|Pattern| 3980715 3982804 3984908 "PATTERN" 3990142 NIL PATTERN (NIL T) |domain| NIL NIL) (|PatternFunctions2| 3980114 3980188 3980378 "PATTERN2" 3980617 NIL PATTERN2 (NIL T T) |package| NIL NIL) (|PatternFunctions1| 3976491 3977040 3977772 "PATTERN1" 3979467 NIL PATTERN1 (NIL T T) |package| NIL NIL) (|PatternMatchResult| 3972394 3973107 3973853 "PATRES" 3975839 NIL PATRES (NIL T T) |domain| NIL NIL) (|PatternMatchResultFunctions2| 3971578 3971684 3971949 "PATRES2" 3972264 NIL PATRES2 (NIL T T T) |package| NIL NIL) (|PatternMatch| 3968276 3968797 3969396 "PATMATCH" 3971111 NIL PATMATCH (NIL T T T) |package| NIL NIL) (|PatternMatchable| 3967500 3967759 3967842 "PATMAB" 3968037 NIL PATMAB (NIL T) |category| NIL 3968194) (|PatternMatchListResult| 3964934 3965360 3965830 "PATLRES" 3967160 NIL PATLRES (NIL T T T) |domain| NIL NIL) (|Patternable| 3964206 3964391 3964457 "PATAB" 3964462 NIL PATAB (NIL T) |category| NIL 3964741) (|PartitionsAndPermutations| 3960055 3960833 3961790 "PARTPERM" 3963315 T PARTPERM (NIL) |package| NIL NIL) (|ParametricSurface| 3959415 3959505 3959688 "PARSURF" 3959936 NIL PARSURF (NIL T) |domain| NIL NIL) (|ParametricSurfaceFunctions2| 3958732 3958826 3959042 "PARSU2" 3959297 NIL PARSU2 (NIL T T) |package| NIL NIL) (|ParametricSpaceCurve| 3958088 3958176 3958363 "PARSCURV" 3958615 NIL PARSCURV (NIL T) |domain| NIL NIL) (|ParametricSpaceCurveFunctions2| 3957372 3957472 3957700 "PARSC2" 3957964 NIL PARSC2 (NIL T T) |package| NIL NIL) (|ParametricPlaneCurve| 3956746 3956829 3957011 "PARPCURV" 3957260 NIL PARPCURV (NIL T) |domain| NIL NIL) (|ParametricPlaneCurveFunctions2| 3956030 3956130 3956358 "PARPC2" 3956622 NIL PARPC2 (NIL T T) |package| NIL NIL) (|ParametrizationPackage| 3953233 3953366 3953929 "PARAMP" 3955810 NIL PARAMP (NIL T NIL T T T T T) |package| NIL NIL) (|PolynomialAN2Expression| 3952248 3952413 3952680 "PAN2EXPR" 3953028 T PAN2EXPR (NIL) |package| NIL NIL) (|Palette| 3950549 3950931 3951279 "PALETTE" 3951930 T PALETTE (NIL) |domain| NIL NIL) (|PackageForAlgebraicFunctionField| 3926395 3930320 3934547 "PAFF" 3946472 NIL PAFF (NIL T NIL T) |package| NIL NIL) (|PackageForAlgebraicFunctionFieldOverFiniteField| 3893630 3899505 3905401 "PAFFFF" 3920693 NIL PAFFFF (NIL T NIL T) |package| NIL NIL) (|PAdicRationalConstructor| 3884020 3892153 3892558 "PADICRC" 3893341 NIL PADICRC (NIL NIL T) |domain| NIL NIL) (|PAdicRational| 3872934 3882806 3883171 "PADICRAT" 3883714 NIL PADICRAT (NIL NIL) |domain| NIL NIL) (|PAdicInteger| 3870477 3872810 3872898 "PADIC" 3872903 NIL PADIC (NIL NIL) |domain| NIL NIL) (|PAdicIntegerCategory| 3865985 3868258 3868345 "PADICCT" 3869399 NIL PADICCT (NIL NIL) |category| NIL 3869910) (|PadeApproximantPackage| 3864038 3864416 3864933 "PADEPAC" 3865569 NIL PADEPAC (NIL T NIL NIL) |package| NIL NIL) (|PadeApproximants| 3862519 3862751 3863163 "PADE" 3863777 NIL PADE (NIL T T T) |package| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumber| 3856697 3861540 3861885 "PACRAT" 3862266 T PACRAT (NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumberCategory| 3850281 3854972 3855094 "PACRATC" 3855099 T PACRATC (NIL) |category| NIL 3855298) (|PseudoAlgebraicClosureOfPerfectFieldCategory| 3843221 3846156 3846274 "PACPERC" 3848528 T PACPERC (NIL) |category| NIL 3849421) (|PseudoAlgebraicClosureOfFiniteField| 3837909 3842647 3842908 "PACOFF" 3843075 NIL PACOFF (NIL T) |domain| NIL NIL) (|PseudoAlgebraicClosureOfFiniteFieldCategory| 3832544 3836625 3836741 "PACFFC" 3836746 T PACFFC (NIL) |category| NIL 3836829) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| 3825440 3831601 3831964 "PACEXT" 3832337 NIL PACEXT (NIL NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| 3816844 3822885 3823023 "PACEXTC" 3823028 T PACEXTC (NIL) |category| NIL 3823212) (|OrdinaryWeightedPolynomials| 3813793 3814896 3815423 "OWP" 3816491 NIL OWP (NIL T NIL NIL NIL) |domain| NIL NIL) (|OrderedVariableList| 3812418 3813079 3813406 "OVAR" 3813545 NIL OVAR (NIL NIL) |domain| NIL NIL) (|OutputPackage| 3811262 3811423 3811688 "OUT" 3812195 T OUT (NIL) |package| NIL NIL) (|OutputForm| 3795512 3798061 3801252 "OUTFORM" 3808107 T OUTFORM (NIL) |domain| NIL NIL) (|OrdSetInts| 3794695 3795064 3795218 "OSI" 3795394 T OSI (NIL) |domain| NIL NIL) (|OrthogonalPolynomialFunctions| 3792231 3792618 3793183 "ORTHPOL" 3794229 NIL ORTHPOL (NIL T) |package| NIL NIL) (|UnivariateSkewPolynomial| 3788480 3791615 3791878 "OREUP" 3792116 NIL OREUP (NIL NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariateSkewPolynomial| 3784692 3787852 3788127 "ORESUP" 3788349 NIL ORESUP (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateSkewPolynomialCategoryOps| 3780485 3781207 3782118 "OREPCTO" 3783928 NIL OREPCTO (NIL T T) |package| NIL NIL) (|UnivariateSkewPolynomialCategory| 3770411 3773457 3773565 "OREPCAT" 3778043 NIL OREPCAT (NIL T) |category| NIL 3779788) (|UnivariateSkewPolynomialCategory&| 3766204 3767265 3768907 "OREPCAT-" 3768912 NIL OREPCAT- (NIL T T) |domain| NIL NIL) (|OrderedSet| 3765081 3765389 3765439 "ORDSET" 3765894 T ORDSET (NIL) |category| NIL 3766122) (|OrderedSet&| 3764477 3764604 3764869 "ORDSET-" 3764874 NIL ORDSET- (NIL T) |domain| NIL NIL) (|OrderedRing| 3762426 3763442 3763494 "ORDRING" 3763824 T ORDRING (NIL) |category| NIL 3764037) (|OrderedRing&| 3761888 3762010 3762246 "ORDRING-" 3762251 NIL ORDRING- (NIL T) |domain| NIL NIL) (|OrderedMonoid| 3761064 3761651 3761707 "ORDMON" 3761712 T ORDMON (NIL) |category| NIL 3761748) (|OrderingFunctions| 3759651 3759847 3760185 "ORDFUNS" 3760834 NIL ORDFUNS (NIL NIL T) |package| NIL NIL) (|OrderedFinite| 3758956 3759434 3759490 "ORDFIN" 3759495 T ORDFIN (NIL) |category| NIL 3759531) (|OrderedCompletion| 3753488 3756411 3757123 "ORDCOMP" 3758315 NIL ORDCOMP (NIL T) |domain| NIL NIL) (|OrderedCompletionFunctions2| 3752068 3752299 3752679 "ORDCOMP2" 3753220 NIL ORDCOMP2 (NIL T T) |package| NIL NIL) (|NumericalOptimizationProblem| 3746348 3747703 3749107 "OPTPROB" 3750736 T OPTPROB (NIL) |domain| NIL NIL) (|AnnaNumericalOptimizationPackage| 3740593 3741646 3742935 "OPTPACK" 3745139 T OPTPACK (NIL) |package| NIL NIL) (|NumericalOptimizationCategory| 3736767 3737903 3737991 "OPTCAT" 3739426 T OPTCAT (NIL) |category| NIL 3740511) (|OperationsQuery| 3736340 3736403 3736537 "OPQUERY" 3736679 T OPQUERY (NIL) |package| NIL NIL) (|Operator| 3731952 3733570 3734397 "OP" 3735559 NIL OP (NIL T) |domain| NIL NIL) (|OnePointCompletion| 3726975 3729823 3730452 "ONECOMP" 3731396 NIL ONECOMP (NIL T) |domain| NIL NIL) (|OnePointCompletionFunctions2| 3725616 3725825 3726185 "ONECOMP2" 3726729 NIL ONECOMP2 (NIL T T) |package| NIL NIL) (|OpenMathServerPackage| 3724526 3724703 3724972 "OMSERVER" 3725405 T OMSERVER (NIL) |package| NIL NIL) (|OrderedMultisetAggregate| 3719996 3723570 3723668 "OMSAGG" 3723779 NIL OMSAGG (NIL T) |category| NIL 3723898) (|OpenMathPackage| 3717655 3718052 3718554 "OMPKG" 3719540 T OMPKG (NIL) |package| NIL NIL) (|OpenMath| 3716739 3716888 3716934 "OM" 3717419 T OM (NIL) |category| NIL NIL) (|OppositeMonogenicLinearOperator| 3714485 3715894 3716222 "OMLO" 3716541 NIL OMLO (NIL T T) |domain| NIL NIL) (|ExpressionToOpenMath| 3712624 3712849 3713256 "OMEXPR" 3714185 NIL OMEXPR (NIL T) |package| NIL NIL) (|OpenMathError| 3711497 3711811 3712065 "OMERR" 3712412 T OMERR (NIL) |domain| NIL NIL) (|OpenMathErrorKind| 3710091 3710428 3710737 "OMERRK" 3711238 T OMERRK (NIL) |domain| NIL NIL) (|OpenMathEncoding| 3709139 3709416 3709646 "OMENC" 3709909 T OMENC (NIL) |domain| NIL NIL) (|OpenMathDevice| 3699282 3700949 3702895 "OMDEV" 3707237 T OMDEV (NIL) |domain| NIL NIL) (|OpenMathConnection| 3697525 3697817 3698211 "OMCONN" 3698940 T OMCONN (NIL) |domain| NIL NIL) (|OrderedIntegralDomain| 3695525 3696783 3696855 "OINTDOM" 3696860 T OINTDOM (NIL) |category| NIL 3696905) (|OrderedFreeMonoid| 3688907 3690481 3691621 "OFMONOID" 3694455 NIL OFMONOID (NIL T) |domain| NIL NIL) (|OrderlyDifferentialVariable| 3688088 3688734 3688863 "ODVAR" 3688868 NIL ODVAR (NIL T) |domain| NIL NIL) (|OrdinaryDifferentialRing| 3684027 3687210 3687532 "ODR" 3687899 NIL ODR (NIL T T NIL) |domain| NIL NIL) (|OrderlyDifferentialPolynomial| 3670874 3683464 3683787 "ODPOL" 3683792 NIL ODPOL (NIL T) |domain| NIL NIL) (|OrderedDirectProduct| 3662134 3670617 3670832 "ODP" 3670837 NIL ODP (NIL NIL T NIL) |domain| NIL NIL) (|ODETools| 3659979 3660291 3660766 "ODETOOLS" 3661763 NIL ODETOOLS (NIL T T) |package| NIL NIL) (|SystemODESolver| 3655664 3656489 3657487 "ODESYS" 3659099 NIL ODESYS (NIL T T) |package| NIL NIL) (|RationalRicDE| 3645723 3647403 3649349 "ODERTRIC" 3653923 NIL ODERTRIC (NIL T T) |package| NIL NIL) (|ReduceLODE| 3644699 3644801 3645171 "ODERED" 3645597 NIL ODERED (NIL T T T T T) |package| NIL NIL) (|RationalLODE| 3638911 3639844 3641098 "ODERAT" 3643648 NIL ODERAT (NIL T T) |package| NIL NIL) (|PrimitiveRatRicDE| 3633216 3633870 3634901 "ODEPRRIC" 3638190 NIL ODEPRRIC (NIL T T T T) |package| NIL NIL) (|NumericalODEProblem| 3629978 3630781 3631584 "ODEPROB" 3632467 T ODEPROB (NIL) |domain| NIL NIL) (|PrimitiveRatDE| 3623428 3624061 3625163 "ODEPRIM" 3629180 NIL ODEPRIM (NIL T T T T) |package| NIL NIL) (|PureAlgebraicLODE| 3622050 3622206 3622701 "ODEPAL" 3623248 NIL ODEPAL (NIL T T T T) |package| NIL NIL) (|AnnaOrdinaryDifferentialEquationPackage| 3615751 3616920 3618326 "ODEPACK" 3620738 T ODEPACK (NIL) |package| NIL NIL) (|ODEIntegration| 3613804 3613931 3614400 "ODEINT" 3615590 NIL ODEINT (NIL T T) |package| NIL NIL) (|ODEIntensityFunctionsTable| 3605352 3607321 3609407 "ODEIFTBL" 3611786 T ODEIFTBL (NIL) |domain| NIL NIL) (|ElementaryFunctionODESolver| 3597361 3598399 3599900 "ODEEF" 3604185 NIL ODEEF (NIL T T) |package| NIL NIL) (|ConstantLODE| 3596080 3596190 3596685 "ODECONST" 3597227 NIL ODECONST (NIL T T T) |package| NIL NIL) (|OrdinaryDifferentialEquationsSolverCategory| 3593184 3594089 3594205 "ODECAT" 3595192 T ODECAT (NIL) |category| NIL 3595998) (|Octonion| 3588830 3592664 3592884 "OCT" 3593021 NIL OCT (NIL T) |domain| NIL NIL) (|OctonionCategoryFunctions2| 3588168 3588218 3588472 "OCTCT2" 3588756 NIL OCTCT2 (NIL T T T T) |package| NIL NIL) (|OctonionCategory| 3580286 3583549 3583636 "OC" 3585698 NIL OC (NIL T) |category| |Octonion| 3586970) (|OctonionCategory&| 3576202 3577177 3578685 "OC-" 3578884 NIL OC- (NIL T T) |domain| NIL NIL) (|OrderedCancellationAbelianMonoid| 3575254 3575783 3575877 "OCAMON" 3575882 T OCAMON (NIL) |category| NIL 3575947) (|OrderedAbelianSemiGroup| 3574497 3574976 3575052 "OASGP" 3575057 T OASGP (NIL) |category| NIL 3575100) (|OrderedAbelianMonoidSup| 3573409 3573959 3574035 "OAMONS" 3574106 T OAMONS (NIL) |category| NIL 3574199) (|OrderedAbelianMonoid| 3572611 3573090 3573160 "OAMON" 3573165 T OAMON (NIL) |category| NIL 3573221) (|OrderedAbelianGroup| 3571573 3572153 3572221 "OAGROUP" 3572226 T OAGROUP (NIL) |category| NIL 3572290) (|NumericTubePlot| 3571016 3571086 3571263 "NUMTUBE" 3571479 NIL NUMTUBE (NIL T) |package| NIL NIL) (|NumericalQuadrature| 3561633 3563769 3566023 "NUMQUAD" 3568816 T NUMQUAD (NIL) |package| NIL NIL) (|NumericalOrdinaryDifferentialEquations| 3555339 3556703 3558226 "NUMODE" 3560202 T NUMODE (NIL) |package| NIL NIL) (|NumericalIntegrationCategory| 3551138 3552407 3552493 "NUMINT" 3554040 T NUMINT (NIL) |category| NIL 3555257) (|NumberFormats| 3549155 3549504 3549944 "NUMFMT" 3550740 T NUMFMT (NIL) |package| NIL NIL) (|Numeric| 3525537 3530048 3534441 "NUMERIC" 3544825 NIL NUMERIC (NIL T) |package| NIL NIL) (|NormalizedTriangularSetCategory| 3517528 3524613 3524832 "NTSCAT" 3524837 NIL NTSCAT (NIL T T T T) |category| NIL 3524904) (|NumberTheoreticPolynomialFunctions| 3515992 3516256 3516637 "NTPOLFN" 3517256 NIL NTPOLFN (NIL T) |package| NIL NIL) (|NewSparseUnivariatePolynomial| 3495602 3510018 3511431 "NSUP" 3514667 NIL NSUP (NIL T) |domain| NIL NIL) (|NewSparseUnivariatePolynomialFunctions2| 3494787 3494905 3495169 "NSUP2" 3495460 NIL NSUP2 (NIL T T) |package| NIL NIL) (|NewSparseMultivariatePolynomial| 3479572 3494274 3494584 "NSMP" 3494589 NIL NSMP (NIL T T) |domain| NIL NIL) (|NeitherSparseOrDensePowerSeries| 3462786 3478824 3479140 "NSDPS" 3479349 NIL NSDPS (NIL T) |domain| NIL NIL) (|NumericRealEigenPackage| 3460066 3460535 3461174 "NREP" 3462249 NIL NREP (NIL T) |package| NIL NIL) (|NewtonPolygon| 3455656 3456366 3457316 "NPOLYGON" 3459302 NIL NPOLYGON (NIL T T T NIL) |package| NIL NIL) (|NPCoef| 3453322 3453688 3454275 "NPCOEF" 3455261 NIL NPCOEF (NIL T T T T T) |package| NIL NIL) (|NottinghamGroup| 3452228 3452877 3453055 "NOTTING" 3453219 NIL NOTTING (NIL T) |domain| NIL NIL) (|NormRetractPackage| 3450252 3450443 3450904 "NORMRETR" 3452003 NIL NORMRETR (NIL T T T T NIL) |package| NIL NIL) (|NormalizationPackage| 3446922 3447293 3447946 "NORMPK" 3449837 NIL NORMPK (NIL T T T T T) |package| NIL NIL) (|NormInMonogenicAlgebra| 3446317 3446346 3446600 "NORMMA" 3446869 NIL NORMMA (NIL T T T T) |package| NIL NIL) (|None| 3446094 3446254 3446295 "NONE" 3446300 T NONE (NIL) |domain| NIL NIL) (|NoneFunctions1| 3445763 3445797 3445914 "NONE1" 3446035 NIL NONE1 (NIL T) |package| NIL NIL) (|NonLinearFirstOrderODESolver| 3444677 3444760 3445203 "NODE1" 3445656 NIL NODE1 (NIL T T) |package| NIL NIL) (|NonNegativeInteger| 3442234 3443294 3443714 "NNI" 3444309 T NNI (NIL) |domain| NIL NIL) (|NonLinearSolvePackage| 3439595 3440065 3440683 "NLINSOL" 3441698 NIL NLINSOL (NIL T) |package| NIL NIL) (|NumericalIntegrationProblem| 3433494 3434946 3436445 "NIPROB" 3438166 T NIPROB (NIL) |domain| NIL NIL) (|NumberFieldIntegralBasis| 3431392 3431732 3432260 "NFINTBAS" 3433120 NIL NFINTBAS (NIL T T) |package| NIL NIL) (|NewtonInterpolation| 3430864 3430935 3431108 "NEWTON" 3431297 NIL NEWTON (NIL T) |package| NIL NIL) (|NonCommutativeOperatorDivision| 3428633 3428934 3429413 "NCODIV" 3430514 NIL NCODIV (NIL T T) |package| NIL NIL) (|NumericContinuedFraction| 3428097 3428168 3428356 "NCNTFRAC" 3428538 NIL NCNTFRAC (NIL T) |package| NIL NIL) (|NumericComplexEigenPackage| 3424903 3425486 3426245 "NCEP" 3427446 NIL NCEP (NIL T) |package| NIL NIL) (|NonAssociativeRing| 3423189 3424203 3424269 "NASRING" 3424482 T NASRING (NIL) |category| NIL 3424643) (|NonAssociativeRing&| 3422834 3422894 3423080 "NASRING-" 3423085 NIL NASRING- (NIL T) |domain| NIL NIL) (|NonAssociativeRng| 3421525 3422183 3422247 "NARNG" 3422464 T NARNG (NIL) |category| NIL 3422626) (|NonAssociativeRng&| 3421037 3421129 3421364 "NARNG-" 3421369 NIL NARNG- (NIL T) |domain| NIL NIL) (|NAGLinkSupportPackage| 3418937 3419277 3419746 "NAGSP" 3420626 T NAGSP (NIL) |package| NIL NIL) (|NagSpecialFunctionsPackage| 3403615 3406291 3409244 "NAGS" 3416052 T NAGS (NIL) |package| NIL NIL) (|NagLapack| 3401220 3401713 3402279 "NAGF07" 3403083 T NAGF07 (NIL) |package| NIL NIL) (|NagLinearEquationSolvingPackage| 3391894 3394027 3396312 "NAGF04" 3399013 T NAGF04 (NIL) |package| NIL NIL) (|NagEigenPackage| 3380250 3382878 3385662 "NAGF02" 3389156 T NAGF02 (NIL) |package| NIL NIL) (|NagMatrixOperationsPackage| 3372115 3373926 3375874 "NAGF01" 3378370 T NAGF01 (NIL) |package| NIL NIL) (|NagOptimisationPackage| 3361510 3364126 3366861 "NAGE04" 3369440 T NAGE04 (NIL) |package| NIL NIL) (|NagFittingPackage| 3346113 3349805 3353656 "NAGE02" 3357709 T NAGE02 (NIL) |package| NIL NIL) (|NagInterpolationPackage| 3338922 3340570 3342349 "NAGE01" 3344396 T NAGE01 (NIL) |package| NIL NIL) (|NagPartialDifferentialEquationsPackage| 3334970 3335909 3336974 "NAGD03" 3337949 T NAGD03 (NIL) |package| NIL NIL) (|NagOrdinaryDifferentialEquationsPackage| 3321832 3324827 3327991 "NAGD02" 3331900 T NAGD02 (NIL) |package| NIL NIL) (|NagIntegrationPackage| 3311698 3313995 3316429 "NAGD01" 3319456 T NAGD01 (NIL) |package| NIL NIL) (|NagSeriesSummationPackage| 3305165 3306499 3307978 "NAGC06" 3310285 T NAGC06 (NIL) |package| NIL NIL) (|NagRootFindingPackage| 3302683 3303192 3303793 "NAGC05" 3304622 T NAGC05 (NIL) |package| NIL NIL) (|NagPolynomialRootsPackage| 3301577 3301764 3302046 "NAGC02" 3302467 T NAGC02 (NIL) |package| NIL NIL) (|NonAssociativeAlgebra| 3300119 3300857 3300954 "NAALG" 3301115 NIL NAALG (NIL T) |category| NIL 3301237) (|NonAssociativeAlgebra&| 3299782 3299833 3300034 "NAALG-" 3300039 NIL NAALG- (NIL T T) |domain| NIL NIL) (|MyUnivariatePolynomial| 3285148 3298278 3298759 "MYUP" 3299391 NIL MYUP (NIL NIL T) |domain| NIL NIL) (|MyExpression| 3270914 3282441 3283126 "MYEXPR" 3284576 NIL MYEXPR (NIL NIL T) |domain| NIL NIL) (|MultivariateSquareFree| 3259514 3261429 3263618 "MULTSQFR" 3268906 NIL MULTSQFR (NIL T T T T) |package| NIL NIL) (|MultivariateFactorize| 3258105 3258241 3258628 "MULTFACT" 3259338 NIL MULTFACT (NIL T T T T) |package| NIL NIL) (|MultivariateTaylorSeriesCategory| 3247145 3252562 3252690 "MTSCAT" 3254802 NIL MTSCAT (NIL T T) |category| NIL 3255782) (|MergeThing| 3246687 3246759 3246911 "MTHING" 3247049 NIL MTHING (NIL T) |package| NIL NIL) (|MoreSystemCommands| 3246315 3246362 3246486 "MSYSCMD" 3246615 T MSYSCMD (NIL) |package| NIL NIL) (|Multiset| 3240563 3244255 3244792 "MSET" 3245831 NIL MSET (NIL T) |domain| NIL NIL) (|MultisetAggregate| 3236374 3239857 3239942 "MSETAGG" 3239947 NIL MSETAGG (NIL T) |category| |Multiset| 3240006) (|MonoidRing| 3230096 3232229 3233372 "MRING" 3235297 NIL MRING (NIL T T) |domain| NIL NIL) (|MonoidRingFunctions2| 3229406 3229496 3229710 "MRF2" 3229982 NIL MRF2 (NIL T T T) |package| NIL NIL) (|MRationalFactorize| 3228682 3228726 3229012 "MRATFAC" 3229338 NIL MRATFAC (NIL T T T T) |package| NIL NIL) (|MPolyCatRationalFunctionFactorizer| 3224220 3224648 3225428 "MPRFF" 3228200 NIL MPRFF (NIL T T T T) |package| NIL NIL) (|MultivariatePolynomial| 3214367 3223900 3224107 "MPOLY" 3224112 NIL MPOLY (NIL NIL T) |domain| NIL NIL) (|MPolyCatPolyFactorizer| 3213445 3213489 3213876 "MPCPF" 3214299 NIL MPCPF (NIL T T T T) |package| NIL NIL) (|MPolyCatFunctions3| 3212579 3212629 3212961 "MPC3" 3213371 NIL MPC3 (NIL T T T T T T T) |package| NIL NIL) (|MPolyCatFunctions2| 3211186 3211280 3211654 "MPC2" 3212457 NIL MPC2 (NIL T T T T T T T) |package| NIL NIL) (|MonomialExtensionTools| 3208495 3208951 3209564 "MONOTOOL" 3210691 NIL MONOTOOL (NIL T T) |package| NIL NIL) (|Monoid| 3207210 3207645 3207687 "MONOID" 3208111 T MONOID (NIL) |category| NIL 3208393) (|Monoid&| 3206266 3206499 3206875 "MONOID-" 3206880 NIL MONOID- (NIL T) |domain| NIL NIL) (|MonogenicAlgebra| 3192240 3200830 3200961 "MONOGEN" 3202337 NIL MONOGEN (NIL T T) |category| NIL 3203094) (|MonogenicAlgebra&| 3187820 3188837 3190491 "MONOGEN-" 3190740 NIL MONOGEN- (NIL T T T) |domain| NIL NIL) (|MonadWithUnit| 3186001 3186587 3186643 "MONADWU" 3187317 T MONADWU (NIL) |category| NIL 3187722) (|MonadWithUnit&| 3184888 3185153 3185608 "MONADWU-" 3185613 NIL MONADWU- (NIL T) |domain| NIL NIL) (|Monad| 3183921 3184221 3184261 "MONAD" 3184596 T MONAD (NIL) |category| NIL 3184806) (|Monad&| 3183381 3183511 3183735 "MONAD-" 3183740 NIL MONAD- (NIL T) |domain| NIL NIL) (|MoebiusTransform| 3180842 3181664 3182095 "MOEBIUS" 3183013 NIL MOEBIUS (NIL T) |domain| NIL NIL) (|Module| 3180001 3180461 3180528 "MODULE" 3180533 NIL MODULE (NIL T) |category| NIL 3180568) (|Module&| 3179358 3179488 3179780 "MODULE-" 3179785 NIL MODULE- (NIL T T) |domain| NIL NIL) (|ModularRing| 3175946 3176836 3177312 "MODRING" 3179107 NIL MODRING (NIL T T NIL NIL NIL) |domain| NIL NIL) (|ModuleOperator| 3171142 3172734 3173598 "MODOP" 3175165 NIL MODOP (NIL T T) |domain| NIL NIL) (|ModuleMonomial| 3168478 3169005 3169521 "MODMONOM" 3170844 NIL MODMONOM (NIL T T NIL) |domain| NIL NIL) (|ModMonic| 3151801 3165392 3166065 "MODMON" 3167894 NIL MODMON (NIL T T) |domain| NIL NIL) (|ModularField| 3147619 3150005 3150415 "MODFIELD" 3151618 NIL MODFIELD (NIL T T NIL NIL NIL) |domain| NIL NIL) (|MathMLFormat| 3146036 3146406 3146735 "MMLFORM" 3147330 T MMLFORM (NIL) |domain| NIL NIL) (|MultipleMap| 3145123 3145173 3145531 "MMAP" 3145962 NIL MMAP (NIL T T T T T T) |package| NIL NIL) (|MonogenicLinearOperator| 3142239 3143320 3143410 "MLO" 3144227 NIL MLO (NIL T) |category| NIL 3144661) (|MultivariateLifting| 3137378 3138294 3139419 "MLIFT" 3141289 NIL MLIFT (NIL T T T T) |package| NIL NIL) (|MakeUnaryCompiledFunction| 3136289 3136416 3136703 "MKUCFUNC" 3137222 NIL MKUCFUNC (NIL T T T) |package| NIL NIL) (|MakeRecord| 3135736 3135819 3135991 "MKRECORD" 3136181 NIL MKRECORD (NIL T T) |package| NIL NIL) (|MakeFunction| 3134254 3134458 3134818 "MKFUNC" 3135453 NIL MKFUNC (NIL T) |package| NIL NIL) (|MakeFloatCompiledFunction| 3133013 3133199 3133539 "MKFLCFN" 3134017 NIL MKFLCFN (NIL T) |package| NIL NIL) (|MakeCachableSet| 3132199 3132648 3132812 "MKCHSET" 3132916 NIL MKCHSET (NIL T) |domain| NIL NIL) (|MakeBinaryCompiledFunction| 3130956 3131105 3131430 "MKBCFUNC" 3132021 NIL MKBCFUNC (NIL T T T T) |package| NIL NIL) (|MachineInteger| 3126080 3130042 3130344 "MINT" 3130698 T MINT (NIL) |domain| NIL NIL) (|ModularHermitianRowReduction| 3124066 3124401 3124877 "MHROWRED" 3125701 NIL MHROWRED (NIL T) |package| NIL NIL) (|MachineFloat| 3116440 3121087 3121960 "MFLOAT" 3123233 T MFLOAT (NIL) |domain| NIL NIL) (|MultFiniteFactorize| 3115122 3115259 3115614 "MFINFACT" 3116264 NIL MFINFACT (NIL T T T T) |package| NIL NIL) (|MeshCreationRoutinesForThreeDimensions| 3107611 3109301 3111163 "MESH" 3113352 T MESH (NIL) |package| NIL NIL) (|ModularDistinctDegreeFactorizer| 3104903 3105318 3105910 "MDDFACT" 3107147 NIL MDDFACT (NIL T) |package| NIL NIL) (|MultiDictionary| 3100209 3103530 3103611 "MDAGG" 3104074 NIL MDAGG (NIL T) |category| NIL 3104336) (|MachineComplex| 3082041 3098937 3099332 "MCMPLX" 3099858 T MCMPLX (NIL) |domain| NIL NIL) (|MatrixCommonDenominator| 3080505 3080717 3081086 "MCDEN" 3081794 NIL MCDEN (NIL T T) |package| NIL NIL) (|MultiVariableCalculusFunctions| 3076391 3076776 3077482 "MCALCFN" 3080066 NIL MCALCFN (NIL T T T T) |package| NIL NIL) (|StorageEfficientMatrixOperations| 3072576 3073295 3074183 "MATSTOR" 3075597 NIL MATSTOR (NIL T) |package| NIL NIL) (|Matrix| 3066750 3071632 3072000 "MATRIX" 3072250 NIL MATRIX (NIL T) |domain| NIL NIL) (|MatrixLinearAlgebraFunctions| 3059166 3060157 3061316 "MATLIN" 3065799 NIL MATLIN (NIL T T T T) |package| NIL NIL) (|MatrixCategory| 3041382 3045954 3046100 "MATCAT" 3056274 NIL MATCAT (NIL T T T) |category| NIL 3058713) (|MatrixCategory&| 3035558 3037078 3039313 "MATCAT-" 3039318 NIL MATCAT- (NIL T T T T) |domain| NIL NIL) (|MatrixCategoryFunctions2| 3033155 3033342 3033885 "MATCAT2" 3035329 NIL MATCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|MappingPackage4| 3031194 3031571 3032068 "MAPPKG4" 3032739 NIL MAPPKG4 (NIL T T) |package| NIL NIL) (|MappingPackage3| 3028106 3028555 3029162 "MAPPKG3" 3030696 NIL MAPPKG3 (NIL T T T) |package| NIL NIL) (|MappingPackage2| 3026453 3026685 3027044 "MAPPKG2" 3027835 NIL MAPPKG2 (NIL T T) |package| NIL NIL) (|MappingPackage1| 3023954 3024368 3024920 "MAPPKG1" 3025968 NIL MAPPKG1 (NIL T) |package| NIL NIL) (|MappingPackageInternalHacks3| 3023289 3023362 3023594 "MAPHACK3" 3023857 NIL MAPHACK3 (NIL T T T) |package| NIL NIL) (|MappingPackageInternalHacks2| 3022617 3022680 3022888 "MAPHACK2" 3023195 NIL MAPHACK2 (NIL T T) |package| NIL NIL) (|MappingPackageInternalHacks1| 3021551 3021719 3022010 "MAPHACK1" 3022419 NIL MAPHACK1 (NIL T) |package| NIL NIL) (|MatrixManipulation| 3009206 3010629 3012512 "MAMA" 3019846 NIL MAMA (NIL T T T T) |package| NIL NIL) (|Magma| 3006408 3007124 3007611 "MAGMA" 3008765 NIL MAGMA (NIL T) |domain| NIL NIL) (|ModularAlgebraicGcdOperations| 3003566 3004069 3004185 "MAGCDOC" 3005814 NIL MAGCDOC (NIL T T) |category| NIL NIL) (|ThreeDimensionalMatrix| 2997512 3000147 3001067 "M3D" 3002727 NIL M3D (NIL T) |domain| NIL NIL) (|LazyStreamAggregate| 2988776 2994762 2994844 "LZSTAGG" 2996232 NIL LZSTAGG (NIL T) |category| NIL 2996751) (|LazyStreamAggregate&| 2982776 2984375 2986625 "LZSTAGG-" 2986630 NIL LZSTAGG- (NIL T T) |domain| NIL NIL) (|LyndonWord| 2977995 2979058 2979923 "LWORD" 2981967 NIL LWORD (NIL T) |domain| NIL NIL) (|LieSquareMatrix| 2967809 2977554 2977820 "LSQM" 2977825 NIL LSQM (NIL NIL T) |domain| NIL NIL) (|LinearSystemPolynomialPackage| 2966562 2966743 2967142 "LSPP" 2967604 NIL LSPP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage| 2962762 2963150 2963906 "LSMP" 2966120 NIL LSMP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage1| 2958109 2958980 2960018 "LSMP1" 2961807 NIL LSMP1 (NIL T) |package| NIL NIL) (|ListAggregate| 2949468 2956810 2956880 "LSAGG" 2956975 NIL LSAGG (NIL T) |category| NIL 2957128) (|ListAggregate&| 2944803 2946011 2947780 "LSAGG-" 2947785 NIL LSAGG- (NIL T T) |domain| NIL NIL) (|LiePolynomial| 2941172 2943258 2943702 "LPOLY" 2944446 NIL LPOLY (NIL T T) |domain| NIL NIL) (|LinearPolynomialEquationByFractions| 2940097 2940297 2940648 "LPEFRAC" 2940948 NIL LPEFRAC (NIL T) |package| NIL NIL) (|LocalParametrizationOfSimplePointPackage| 2935503 2935841 2936621 "LPARSPT" 2939696 NIL LPARSPT (NIL T NIL T T T T T) |package| NIL NIL) (|LeftOreRing| 2933984 2934815 2934867 "LORER" 2935018 T LORER (NIL) |category| NIL 2935154) (|LinesOpPack| 2931582 2932047 2932614 "LOP" 2933470 NIL LOP (NIL T) |package| NIL NIL) (|Localize| 2929294 2930231 2930595 "LO" 2931336 NIL LO (NIL T T T) |domain| NIL NIL) (|Logic| 2928858 2928969 2929009 "LOGIC" 2929155 T LOGIC (NIL) |category| NIL 2929271) (|Logic&| 2928675 2928698 2928797 "LOGIC-" 2928802 NIL LOGIC- (NIL T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorsOps| 2927072 2927279 2927684 "LODOOPS" 2928434 NIL LODOOPS (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperator| 2923427 2926836 2927014 "LODO" 2927019 NIL LODO (NIL T NIL) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorFactorizer| 2920034 2920571 2921402 "LODOF" 2922863 NIL LODOF (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperatorCategory| 2914509 2917855 2917983 "LODOCAT" 2918905 NIL LODOCAT (NIL T) |category| NIL 2919261) (|LinearOrdinaryDifferentialOperatorCategory&| 2914025 2914095 2914386 "LODOCAT-" 2914391 NIL LODOCAT- (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator2| 2910215 2913652 2913936 "LODO2" 2913941 NIL LODO2 (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator1| 2906574 2909992 2910157 "LODO1" 2910162 NIL LODO1 (NIL T) |domain| NIL NIL) (|ElementaryFunctionLODESolver| 2904440 2904635 2905261 "LODEEF" 2906341 NIL LODEEF (NIL T T T) |package| NIL NIL) (|LocalPowerSeriesCategory| 2893210 2899088 2899181 "LOCPOWC" 2901860 NIL LOCPOWC (NIL T) |category| |NeitherSparseOrDensePowerSeries| 2902830) (|LinearAggregate| 2886197 2890245 2890319 "LNAGG" 2891887 NIL LNAGG (NIL T) |category| NIL 2892584) (|LinearAggregate&| 2884992 2885258 2885771 "LNAGG-" 2885776 NIL LNAGG- (NIL T T) |domain| NIL NIL) (|ListMonoidOps| 2878749 2879784 2880825 "LMOPS" 2884047 NIL LMOPS (NIL T T NIL) |domain| NIL NIL) (|LeftModule| 2877888 2878332 2878395 "LMODULE" 2878484 NIL LMODULE (NIL T) |category| NIL 2878557) (|ListMultiDictionary| 2873798 2877221 2877464 "LMDICT" 2877720 NIL LMDICT (NIL T) |domain| NIL NIL) (|LinearSystemFromPowerSeriesPackage| 2872135 2872357 2872751 "LISYSER" 2873542 NIL LISYSER (NIL T T) |package| NIL NIL) (|List| 2862619 2870572 2871004 "LIST" 2871741 NIL LIST (NIL T) |domain| NIL NIL) (|ListFunctions3| 2861944 2862031 2862228 "LIST3" 2862508 NIL LIST3 (NIL T T T) |package| NIL NIL) (|ListFunctions2| 2860535 2860748 2861067 "LIST2" 2861697 NIL LIST2 (NIL T T) |package| NIL NIL) (|ListToMap| 2857891 2858264 2858805 "LIST2MAP" 2860063 NIL LIST2MAP (NIL T T) |package| NIL NIL) (|LinearlyExplicitRingOver| 2855966 2856865 2856957 "LINEXP" 2857386 NIL LINEXP (NIL T) |category| NIL 2857610) (|LinearDependence| 2853732 2854081 2854570 "LINDEP" 2855588 NIL LINDEP (NIL T T) |package| NIL NIL) (|RationalFunctionLimitPackage| 2847957 2849189 2850593 "LIMITRF" 2852419 NIL LIMITRF (NIL T) |package| NIL NIL) (|PowerSeriesLimitPackage| 2844756 2845221 2846005 "LIMITPS" 2847450 NIL LIMITPS (NIL T T) |package| NIL NIL) (|AssociatedLieAlgebra| 2835274 2843776 2844243 "LIE" 2844406 NIL LIE (NIL T T) |domain| NIL NIL) (|LieAlgebra| 2833937 2834467 2834542 "LIECAT" 2834779 NIL LIECAT (NIL T) |category| NIL 2834978) (|LieAlgebra&| 2833717 2833740 2833880 "LIECAT-" 2833885 NIL LIECAT- (NIL T T) |domain| NIL NIL) (|Library| 2823317 2832773 2833056 "LIB" 2833464 T LIB (NIL) |domain| NIL NIL) (|LinGroebnerPackage| 2813650 2815674 2817877 "LGROBP" 2821210 NIL LGROBP (NIL NIL T) |package| NIL NIL) (|LiouvillianFunction| 2809061 2809459 2810143 "LF" 2813160 NIL LF (NIL T T) |package| NIL NIL) (|LiouvillianFunctionCategory| 2807062 2807842 2807926 "LFCAT" 2808489 T LFCAT (NIL) |category| NIL 2808784) (|LexTriangularPackage| 2800213 2801634 2803226 "LEXTRIPK" 2805570 NIL LEXTRIPK (NIL T NIL) |package| NIL NIL) (|LieExponentials| 2794778 2795939 2796781 "LEXP" 2799532 NIL LEXP (NIL T T NIL) |domain| NIL NIL) (|LeadingCoefDetermination| 2792217 2792654 2793305 "LEADCDET" 2794312 NIL LEADCDET (NIL T T T T) |package| NIL NIL) (|LazardSetSolvingPackage| 2790639 2790742 2791186 "LAZM3PK" 2792085 NIL LAZM3PK (NIL T T T T T T) |package| NIL NIL) (|LaurentPolynomial| 2782413 2786999 2787968 "LAUPOL" 2789787 NIL LAUPOL (NIL T T) |domain| NIL NIL) (|LaplaceTransform| 2781495 2781549 2781939 "LAPLACE" 2782335 NIL LAPLACE (NIL T T) |package| NIL NIL) (|LocalAlgebra| 2778667 2780145 2780503 "LA" 2781264 NIL LA (NIL T T T) |domain| NIL NIL) (|LeftAlgebra| 2777333 2778108 2778174 "LALG" 2778269 NIL LALG (NIL T) |category| NIL 2778360) (|LeftAlgebra&| 2776899 2776974 2777191 "LALG-" 2777196 NIL LALG- (NIL T T) |domain| NIL NIL) (|Kovacic| 2774868 2775176 2775737 "KOVACIC" 2776550 NIL KOVACIC (NIL T T) |package| NIL NIL) (|ConvertibleTo| 2774610 2774638 2774708 "KONVERT" 2774806 NIL KONVERT (NIL T) |category| NIL NIL) (|CoercibleTo| 2774361 2774388 2774454 "KOERCE" 2774549 NIL KOERCE (NIL T) |category| NIL NIL) (|Kernel| 2770792 2771842 2772503 "KERNEL" 2773748 NIL KERNEL (NIL T) |domain| NIL NIL) (|KernelFunctions2| 2769939 2770054 2770286 "KERNEL2" 2770648 NIL KERNEL2 (NIL T T) |package| NIL NIL) (|KeyedDictionary| 2761356 2767557 2767659 "KDAGG" 2768304 NIL KDAGG (NIL T T) |category| NIL 2768590) (|KeyedDictionary&| 2760692 2760842 2761159 "KDAGG-" 2761164 NIL KDAGG- (NIL T T T) |domain| NIL NIL) (|KeyedAccessFile| 2751304 2760114 2760385 "KAFILE" 2760488 NIL KAFILE (NIL T) |domain| NIL NIL) (|AssociatedJordanAlgebra| 2741813 2750315 2750788 "JORDAN" 2750954 NIL JORDAN (NIL T T) |domain| NIL NIL) (|IndexedAggregate| 2736336 2738974 2739071 "IXAGG" 2740693 NIL IXAGG (NIL T T) |category| NIL 2741348) (|IndexedAggregate&| 2734910 2735262 2735857 "IXAGG-" 2735862 NIL IXAGG- (NIL T T T) |domain| NIL NIL) (|IndexedVector| 2728793 2734782 2734880 "IVECTOR" 2734885 NIL IVECTOR (NIL T NIL) |domain| NIL NIL) (|InfiniteTuple| 2726831 2727162 2727601 "ITUPLE" 2728410 NIL ITUPLE (NIL T) |domain| NIL NIL) (|InnerTrigonometricManipulations| 2723786 2724002 2724583 "ITRIGMNP" 2726572 NIL ITRIGMNP (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions3| 2721792 2722084 2722530 "ITFUN3" 2723444 NIL ITFUN3 (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions2| 2721153 2721239 2721439 "ITFUN2" 2721682 NIL ITFUN2 (NIL T T) |package| NIL NIL) (|InnerTaylorSeries| 2717787 2719248 2719753 "ITAYLOR" 2720712 NIL ITAYLOR (NIL T) |domain| NIL NIL) (|InnerSparseUnivariatePowerSeries| 2700207 2707463 2709322 "ISUPS" 2716022 NIL ISUPS (NIL T) |domain| NIL NIL) (|InnerPolySum| 2698828 2698994 2699357 "ISUMP" 2700004 NIL ISUMP (NIL T T T T) |package| NIL NIL) (|IndexedString| 2691438 2698488 2698632 "ISTRING" 2698743 NIL ISTRING (NIL NIL) |domain| NIL NIL) (|InternalRationalUnivariateRepresentationPackage| 2689836 2689936 2690405 "IRURPK" 2691309 NIL IRURPK (NIL T T T T T) |package| NIL NIL) (|IrrRepSymNatPackage| 2687714 2688075 2688589 "IRSN" 2689376 T IRSN (NIL) |package| NIL NIL) (|IntegrationResultRFToFunction| 2683915 2684535 2685375 "IRRF2F" 2687062 NIL IRRF2F (NIL T) |package| NIL NIL) (|IrredPolyOverFiniteField| 2683292 2683380 2683585 "IRREDFFX" 2683803 NIL IRREDFFX (NIL T) |package| NIL NIL) (|IntegerRoots| 2680752 2681167 2681724 "IROOT" 2682804 NIL IROOT (NIL T) |package| NIL NIL) (|IntegrationResult| 2675660 2677069 2678135 "IR" 2679751 NIL IR (NIL T) |domain| NIL NIL) (|IntegrationResultFunctions2| 2672292 2672923 2673717 "IR2" 2674966 NIL IR2 (NIL T T) |package| NIL NIL) (|IntegrationResultToFunction| 2670286 2670476 2670975 "IR2F" 2672068 NIL IR2F (NIL T T) |package| NIL NIL) (|InternalPrintPackage| 2669935 2669976 2670097 "IPRNTPK" 2670221 T IPRNTPK (NIL) |package| NIL NIL) (|InnerPrimeField| 2664551 2669659 2669830 "IPF" 2669835 NIL IPF (NIL NIL) |domain| NIL NIL) (|InnerPAdicInteger| 2662092 2664400 2664515 "IPADIC" 2664520 NIL IPADIC (NIL NIL NIL) |domain| NIL NIL) (|InverseLaplaceTransform| 2661002 2661082 2661540 "INVLAPLA" 2661988 NIL INVLAPLA (NIL T T) |package| NIL NIL) (|TranscendentalIntegration| 2645467 2648735 2652200 "INTTR" 2657661 NIL INTTR (NIL T T) |package| NIL NIL) (|IntegrationTools| 2639695 2640771 2642038 "INTTOOLS" 2644296 NIL INTTOOLS (NIL T T) |package| NIL NIL) (|IntegerSolveLinearPolynomialEquation| 2638678 2638888 2639210 "INTSLPE" 2639461 T INTSLPE (NIL) |package| NIL NIL) (|Interval| 2635993 2638514 2638646 "INTRVL" 2638651 NIL INTRVL (NIL T) |domain| NIL NIL) (|RationalFunctionIntegration| 2631844 2632660 2633671 "INTRF" 2635138 NIL INTRF (NIL T) |package| NIL NIL) (|IntegerRetractions| 2630840 2630975 2631232 "INTRET" 2631674 NIL INTRET (NIL T) |package| NIL NIL) (|RationalIntegration| 2627574 2628125 2628889 "INTRAT" 2630250 NIL INTRAT (NIL T T) |package| NIL NIL) (|PatternMatchIntegration| 2622742 2623625 2624652 "INTPM" 2626824 NIL INTPM (NIL T T) |package| NIL NIL) (|PureAlgebraicIntegration| 2617276 2618071 2619245 "INTPAF" 2621891 NIL INTPAF (NIL T T T) |package| NIL NIL) (|AnnaNumericalIntegrationPackage| 2608806 2610364 2612223 "INTPACK" 2615495 T INTPACK (NIL) |package| NIL NIL) (|Integer| 2604318 2608271 2608527 "INT" 2608580 T INT (NIL) |domain| NIL NIL) (|TranscendentalHermiteIntegration| 2603120 2603326 2603694 "INTHERTR" 2604088 NIL INTHERTR (NIL T T) |package| NIL NIL) (|AlgebraicHermiteIntegration| 2602108 2602218 2602582 "INTHERAL" 2602986 NIL INTHERAL (NIL T T T T) |package| NIL NIL) (|IntegerNumberTheoryFunctions| 2598091 2598816 2599697 "INTHEORY" 2601299 T INTHEORY (NIL) |package| NIL NIL) (|GenusZeroIntegration| 2582608 2585107 2588030 "INTG0" 2595483 NIL INTG0 (NIL T T T) |package| NIL NIL) (|IntegrationFunctionsTable| 2559898 2565389 2571005 "INTFTBL" 2577058 T INTFTBL (NIL) |domain| NIL NIL) (|InterpolateFormsPackage| 2556187 2556512 2557251 "INTFRSP" 2559534 NIL INTFRSP (NIL T NIL T T T T T T) |package| NIL NIL) (|IntegerFactorizationPackage| 2554814 2555008 2555340 "INTFACT" 2555954 NIL INTFACT (NIL T) |package| NIL NIL) (|InterfaceGroebnerPackage| 2554101 2554152 2554427 "INTERGB" 2554739 NIL INTERGB (NIL T NIL T T T) |package| NIL NIL) (|ElementaryIntegration| 2549653 2550239 2551163 "INTEF" 2553473 NIL INTEF (NIL T T) |package| NIL NIL) (|IntegralDomain| 2547372 2548359 2548417 "INTDOM" 2548904 T INTDOM (NIL) |category| NIL 2549239) (|IntegralDomain&| 2546450 2546681 2547059 "INTDOM-" 2547064 NIL INTDOM- (NIL T) |domain| NIL NIL) (|IntersectionDivisorPackage| 2543853 2544005 2544715 "INTDIVP" 2546269 NIL INTDIVP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|IntervalCategory| 2538184 2540662 2540797 "INTCAT" 2542505 NIL INTCAT (NIL T) |category| |Interval| 2543051) (|IntegerBits| 2537296 2537453 2537684 "INTBIT" 2537991 T INTBIT (NIL) |package| NIL NIL) (|AlgebraicIntegrate| 2534674 2534914 2535526 "INTALG" 2537025 NIL INTALG (NIL T T T T T) |package| NIL NIL) (|AlgebraicIntegration| 2533557 2533726 2534089 "INTAF" 2534481 NIL INTAF (NIL T T) |package| NIL NIL) (|InnerTable| 2524784 2533200 2533462 "INTABL" 2533467 NIL INTABL (NIL T T T) |domain| NIL NIL) (|IntegerNumberSystem| 2516692 2520447 2520515 "INS" 2522278 T INS (NIL) |category| NIL 2523538) (|IntegerNumberSystem&| 2512247 2513384 2515000 "INS-" 2515161 NIL INS- (NIL T) |domain| NIL NIL) (|InnerPolySign| 2510262 2510587 2511075 "INPSIGN" 2511858 NIL INPSIGN (NIL T T) |package| NIL NIL) (|InfiniteProductPrimeField| 2508507 2508696 2509100 "INPRODPF" 2510034 NIL INPRODPF (NIL T T) |package| NIL NIL) (|InfiniteProductFiniteField| 2506247 2506436 2506921 "INPRODFF" 2508279 NIL INPRODFF (NIL T T T T) |package| NIL NIL) (|InnerMultFact| 2504063 2504394 2504959 "INNMFACT" 2505877 NIL INNMFACT (NIL T T T T) |package| NIL NIL) (|InnerModularGcd| 2502629 2502759 2503097 "INMODGCD" 2503899 NIL INMODGCD (NIL T T NIL NIL) |package| NIL NIL) (|InnerNumericFloatSolvePackage| 2500113 2500462 2501014 "INFSP" 2502225 NIL INFSP (NIL T T T) |package| NIL NIL) (|InfiniteProductCharacteristicZero| 2498346 2498535 2498946 "INFPROD0" 2499885 NIL INFPROD0 (NIL T T) |package| NIL NIL) (|InputForm| 2493864 2495344 2496158 "INFORM" 2497553 T INFORM (NIL) |domain| NIL NIL) (|InputFormFunctions1| 2493171 2493262 2493450 "INFORM1" 2493744 NIL INFORM1 (NIL T) |package| NIL NIL) (|Infinity| 2492216 2492390 2492631 "INFINITY" 2492962 T INFINITY (NIL) |package| NIL NIL) (|InfinitlyClosePoint| 2488112 2489636 2490271 "INFCLSPT" 2491978 NIL INFCLSPT (NIL T NIL T T T T T T T) |domain| NIL NIL) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| 2482981 2485785 2486656 "INFCLSPS" 2487457 NIL INFCLSPS (NIL T NIL T) |domain| NIL NIL) (|InfinitlyClosePointCategory| 2468093 2469509 2469945 "INFCLCT" 2481448 NIL INFCLCT (NIL T NIL T T T T T T T) |category| NIL 2482867) (|InnerNumericEigenPackage| 2465667 2466070 2466641 "INEP" 2467656 NIL INEP (NIL T T T) |package| NIL NIL) (|IndexedExponents| 2464581 2465396 2465563 "INDE" 2465568 NIL INDE (NIL T) |domain| NIL NIL) (|IncrementingMaps| 2463811 2463907 2464126 "INCRMAPS" 2464456 NIL INCRMAPS (NIL T) |package| NIL NIL) (|InnerNormalBasisFieldFunctions| 2455516 2456882 2458472 "INBFF" 2462326 NIL INBFF (NIL T) |package| NIL NIL) (|IndexedMatrix| 2450326 2455259 2455430 "IMATRIX" 2455435 NIL IMATRIX (NIL T NIL NIL) |domain| NIL NIL) (|InnerMatrixQuotientFieldFunctions| 2447858 2448025 2448606 "IMATQF" 2450109 NIL IMATQF (NIL T T T T T T T T) |package| NIL NIL) (|InnerMatrixLinearAlgebraFunctions| 2444498 2444829 2445438 "IMATLIN" 2447457 NIL IMATLIN (NIL T T T T) |package| NIL NIL) (|IndexedList| 2436975 2444376 2444469 "ILIST" 2444474 NIL ILIST (NIL T NIL) |domain| NIL NIL) (|InnerIndexedTwoDimensionalArray| 2434032 2436676 2436922 "IIARRAY2" 2436927 NIL IIARRAY2 (NIL T NIL NIL T T) |domain| NIL NIL) (|InnerFiniteField| 2426498 2433809 2433967 "IFF" 2433972 NIL IFF (NIL NIL NIL) |domain| NIL NIL) (|IndexedFlexibleArray| 2419181 2425143 2425534 "IFARRAY" 2426194 NIL IFARRAY (NIL T NIL) |domain| NIL NIL) (|InnerFreeAbelianMonoid| 2418066 2418968 2419135 "IFAMON" 2419140 NIL IFAMON (NIL T T NIL) |domain| NIL NIL) (|InnerEvalable| 2417454 2417524 2417615 "IEVALAB" 2417944 NIL IEVALAB (NIL T T) |category| NIL NIL) (|InnerEvalable&| 2417022 2417095 2417328 "IEVALAB-" 2417333 NIL IEVALAB- (NIL T T T) |domain| NIL NIL) (|IndexedDirectProductObject| 2416491 2416820 2416973 "IDPO" 2416978 NIL IDPO (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoidSup| 2415427 2416169 2416405 "IDPOAMS" 2416410 NIL IDPOAMS (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoid| 2414450 2415120 2415344 "IDPOAM" 2415349 NIL IDPOAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductCategory| 2412850 2413173 2413300 "IDPC" 2414124 NIL IDPC (NIL T T) |category| NIL 2414368) (|IndexedDirectProductAbelianMonoid| 2412073 2412578 2412774 "IDPAM" 2412779 NIL IDPAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductAbelianGroup| 2411192 2411806 2411998 "IDPAG" 2412003 NIL IDPAG (NIL T T) |domain| NIL NIL) (|IdealDecompositionPackage| 2402730 2404657 2406746 "IDECOMP" 2409222 NIL IDECOMP (NIL NIL NIL) |package| NIL NIL) (|PolynomialIdeals| 2390640 2391985 2393594 "IDEAL" 2401280 NIL IDEAL (NIL T T T T) |domain| NIL NIL) (|InfClsPt| 2387200 2389093 2389613 "ICP" 2390222 NIL ICP (NIL T NIL T) |domain| NIL NIL) (|InnerCommonDenominator| 2385592 2385750 2386134 "ICDEN" 2387008 NIL ICDEN (NIL T T T T) |package| NIL NIL) (|IndexCard| 2384348 2384788 2385021 "ICARD" 2385393 T ICARD (NIL) |domain| NIL NIL) (|IntegralBasisPolynomialTools| 2380498 2381057 2381864 "IBPTOOLS" 2383727 NIL IBPTOOLS (NIL T T T T) |package| NIL NIL) (|IndexedBits| 2374033 2379933 2380110 "IBITS" 2380376 NIL IBITS (NIL NIL) |domain| NIL NIL) (|IntegralBasisTools| 2368520 2369323 2370425 "IBATOOL" 2373157 NIL IBATOOL (NIL T T T) |package| NIL NIL) (|ChineseRemainderToolsForIntegralBases| 2364755 2365442 2366368 "IBACHIN" 2367799 NIL IBACHIN (NIL T T T) |package| NIL NIL) (|IndexedTwoDimensionalArray| 2361592 2364394 2364630 "IARRAY2" 2364635 NIL IARRAY2 (NIL T NIL NIL) |domain| NIL NIL) (|IndexedOneDimensionalArray| 2356127 2361410 2361548 "IARRAY1" 2361553 NIL IARRAY1 (NIL T NIL) |domain| NIL NIL) (|InnerAlgebraicNumber| 2346392 2352840 2353854 "IAN" 2355169 T IAN (NIL) |domain| NIL NIL) (|InnerAlgFactor| 2345501 2345580 2345906 "IALGFACT" 2346289 NIL IALGFACT (NIL T T T T) |package| NIL NIL) (|HyperbolicFunctionCategory| 2344703 2344822 2344904 "HYPCAT" 2345321 T HYPCAT (NIL) |category| NIL NIL) (|HyperbolicFunctionCategory&| 2344055 2344178 2344491 "HYPCAT-" 2344496 NIL HYPCAT- (NIL T) |domain| NIL NIL) (|HTMLFormat| 2342486 2342856 2343181 "HTMLFORM" 2343766 T HTMLFORM (NIL) |domain| NIL NIL) (|HomogeneousAggregate| 2337521 2339399 2339483 "HOAGG" 2341220 NIL HOAGG (NIL T) |category| NIL 2342122) (|HomogeneousAggregate&| 2335438 2335981 2336802 "HOAGG-" 2336807 NIL HOAGG- (NIL T T) |domain| NIL NIL) (|HexadecimalExpansion| 2325597 2334403 2334727 "HEXADEC" 2335170 T HEXADEC (NIL) |domain| NIL NIL) (|HeuGcd| 2323600 2323883 2324293 "HEUGCD" 2325265 NIL HEUGCD (NIL T) |package| NIL NIL) (|HyperellipticFiniteDivisor| 2322352 2323273 2323548 "HELLFDIV" 2323553 NIL HELLFDIV (NIL T T T T) |domain| NIL NIL) (|Heap| 2312678 2314797 2316459 "HEAP" 2320734 NIL HEAP (NIL T) |domain| NIL NIL) (|HomogeneousDirectProduct| 2303992 2312474 2312636 "HDP" 2312641 NIL HDP (NIL NIL T) |domain| NIL NIL) (|HomogeneousDistributedMultivariatePolynomial| 2293578 2303247 2303589 "HDMP" 2303793 NIL HDMP (NIL NIL T) |domain| NIL NIL) (|HallBasis| 2292393 2292630 2292936 "HB" 2293306 T HB (NIL) |package| NIL NIL) (|HashTable| 2283707 2292116 2292298 "HASHTBL" 2292303 NIL HASHTBL (NIL T T NIL) |domain| NIL NIL) (|Pi| 2280318 2282970 2283328 "HACKPI" 2283369 T HACKPI (NIL) |domain| NIL NIL) (|GuessUnivariatePolynomial| 2248122 2254904 2262183 "GUESSUP" 2273121 NIL GUESSUP (NIL NIL) |package| NIL NIL) (|GuessPolynomial| 2193404 2206523 2219289 "GUESSP" 2235402 T GUESSP (NIL) |package| NIL NIL) (|Guess| 2134108 2143184 2152765 "GUESS" 2184385 NIL GUESS (NIL T T T T NIL NIL) |package| NIL NIL) (|GuessInteger| 2084655 2096394 2107954 "GUESSINT" 2122588 T GUESSINT (NIL) |package| NIL NIL) (|GuessFinite| 2039117 2048931 2059178 "GUESSF" 2074514 NIL GUESSF (NIL T) |package| NIL NIL) (|GuessFiniteFunctions| 2038591 2038643 2038843 "GUESSF1" 2039041 NIL GUESSF1 (NIL T) |package| NIL NIL) (|GuessAlgebraicNumber| 1990490 2001564 2012961 "GUESSAN" 2027250 T GUESSAN (NIL) |package| NIL NIL) (|GeneralTriangularSet| 1984334 1990206 1990438 "GTSET" 1990443 NIL GTSET (NIL T T T T) |domain| NIL NIL) (|GeneralSparseTable| 1975719 1984131 1984299 "GSTBL" 1984304 NIL GSTBL (NIL T T T NIL) |domain| NIL NIL) (|GeneralUnivariatePowerSeries| 1964524 1974068 1974528 "GSERIES" 1975371 NIL GSERIES (NIL T NIL NIL) |domain| NIL NIL) (|Group| 1963181 1963753 1963793 "GROUP" 1964163 T GROUP (NIL) |category| NIL 1964405) (|Group&| 1961920 1962223 1962721 "GROUP-" 1962726 NIL GROUP- (NIL T) |domain| NIL NIL) (|GroebnerSolve| 1958704 1959343 1960121 "GROEBSOL" 1961247 NIL GROEBSOL (NIL NIL T T) |package| NIL NIL) (|GradedModule| 1957027 1957315 1957417 "GRMOD" 1958393 NIL GRMOD (NIL T T) |category| NIL 1958622) (|GradedModule&| 1956712 1956744 1956944 "GRMOD-" 1956949 NIL GRMOD- (NIL T T T) |domain| NIL NIL) (|GraphImage| 1949205 1950702 1952366 "GRIMAGE" 1955084 T GRIMAGE (NIL) |domain| NIL NIL) (|GraphicsDefaults| 1946422 1946824 1947454 "GRDEF" 1948623 T GRDEF (NIL) |package| NIL NIL) (|GrayCode| 1945429 1945627 1945886 "GRAY" 1946195 T GRAY (NIL) |package| NIL NIL) (|GradedAlgebra| 1944316 1944744 1944848 "GRALG" 1945137 NIL GRALG (NIL T T) |category| NIL 1945285) (|GradedAlgebra&| 1943844 1943918 1944177 "GRALG-" 1944182 NIL GRALG- (NIL T T T) |domain| NIL NIL) (|GeneralPolynomialSet| 1939087 1943037 1943389 "GPOLSET" 1943667 NIL GPOLSET (NIL T T T T) |domain| NIL NIL) (|GeneralPackageForAlgebraicFunctionField| 1904370 1906572 1909373 "GPAFF" 1936841 NIL GPAFF (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|GosperSummationMethod| 1903242 1903321 1903777 "GOSPER" 1904267 NIL GOSPER (NIL T T T T T) |package| NIL NIL) (|GuessOption| 1897179 1898426 1899700 "GOPT" 1902006 T GOPT (NIL) |domain| NIL NIL) (|GuessOptionFunctions0| 1889112 1890743 1892415 "GOPT0" 1895565 T GOPT0 (NIL) |domain| NIL NIL) (|GeneralModulePolynomial| 1881959 1882817 1883694 "GMODPOL" 1888632 NIL GMODPOL (NIL NIL T T T NIL T) |domain| NIL NIL) (|GeneralHenselPackage| 1880284 1880532 1880938 "GHENSEL" 1881677 NIL GHENSEL (NIL T T) |package| NIL NIL) (|GenerateUnivariatePowerSeries| 1868788 1870144 1871995 "GENUPS" 1878727 NIL GENUPS (NIL T T) |package| NIL NIL) (|GenUFactorize| 1868136 1868242 1868439 "GENUFACT" 1868658 NIL GENUFACT (NIL T) |package| NIL NIL) (|GeneralPolynomialGcdPackage| 1866788 1866948 1867344 "GENPGCD" 1867947 NIL GENPGCD (NIL T T T T) |package| NIL NIL) (|GeneralizedMultivariateFactorize| 1865804 1865848 1866263 "GENMFACT" 1866720 NIL GENMFACT (NIL T T T T T) |package| NIL NIL) (|GenExEuclid| 1863419 1863768 1864267 "GENEEZ" 1865411 NIL GENEEZ (NIL T T) |package| NIL NIL) (|GnuDraw| 1861005 1861450 1862000 "GDRAW" 1862899 T GDRAW (NIL) |package| NIL NIL) (|GeneralDistributedMultivariatePolynomial| 1851013 1860244 1860585 "GDMP" 1860864 NIL GDMP (NIL NIL T T) |domain| NIL NIL) (|GenericNonAssociativeAlgebra| 1832267 1839350 1841428 "GCNAALG" 1849114 NIL GCNAALG (NIL T NIL NIL NIL) |domain| NIL NIL) (|GcdDomain| 1829766 1831045 1831093 "GCDDOM" 1831494 T GCDDOM (NIL) |category| NIL 1831806) (|GcdDomain&| 1828584 1828880 1829348 "GCDDOM-" 1829353 NIL GCDDOM- (NIL T) |domain| NIL NIL) (|GroebnerPackage| 1826425 1826648 1827113 "GB" 1828280 NIL GB (NIL T T T T) |package| NIL NIL) (|GroebnerInternalPackage| 1808873 1811903 1815249 "GBINTERN" 1823256 NIL GBINTERN (NIL T T T T) |package| NIL NIL) (|GroebnerFactorizationPackage| 1804949 1805326 1806067 "GBF" 1808357 NIL GBF (NIL T T T T) |package| NIL NIL) (|EuclideanGroebnerBasisPackage| 1802679 1802897 1803393 "GBEUCLID" 1804648 NIL GBEUCLID (NIL T T T T) |package| NIL NIL) (|GaussianFactorizationPackage| 1801502 1801693 1801990 "GAUSSFAC" 1802454 T GAUSSFAC (NIL) |package| NIL NIL) (|GaloisGroupUtilities| 1798140 1798734 1799416 "GALUTIL" 1800890 NIL GALUTIL (NIL T) |package| NIL NIL) (|GaloisGroupPolynomialUtilities| 1794958 1795372 1795978 "GALPOLYU" 1797667 NIL GALPOLYU (NIL T T) |package| NIL NIL) (|GaloisGroupFactorizationUtilities| 1789393 1789810 1790617 "GALFACTU" 1794427 NIL GALFACTU (NIL T T T) |package| NIL NIL) (|GaloisGroupFactorizer| 1773643 1776191 1779250 "GALFACT" 1786442 NIL GALFACT (NIL T) |package| NIL NIL) (|FortranVectorFunctionCategory| 1769114 1770088 1770176 "FVFUN" 1772344 T FVFUN (NIL) |category| NIL 1773555) (|FortranVectorCategory| 1767868 1768132 1768204 "FVC" 1768714 T FVC (NIL) |category| NIL 1769026) (|FunctionCalled| 1767348 1767537 1767677 "FUNCTION" 1767788 NIL FUNCTION (NIL NIL) |domain| NIL NIL) (|FortranType| 1763416 1764236 1765108 "FT" 1766514 T FT (NIL) |domain| NIL NIL) (|FortranTemplate| 1761409 1762099 1762499 "FTEM" 1763062 T FTEM (NIL) |domain| NIL NIL) (|FunctionSpaceUnivariatePolynomialFactor| 1757919 1758433 1759245 "FSUPFACT" 1760840 NIL FSUPFACT (NIL T T T) |package| NIL NIL) (|FortranScalarType| 1755293 1755685 1756254 "FST" 1757400 T FST (NIL) |domain| NIL NIL) (|FunctionSpaceReduce| 1753745 1753912 1754287 "FSRED" 1755078 NIL FSRED (NIL T T) |package| NIL NIL) (|FunctionSpacePrimitiveElement| 1751323 1751745 1752406 "FSPRMELT" 1753257 NIL FSPRMELT (NIL T T) |package| NIL NIL) (|FunctionalSpecialFunction| 1743489 1744345 1745497 "FSPECF" 1750313 NIL FSPECF (NIL T T) |package| NIL NIL) (|FunctionSpace| 1715746 1727946 1728022 "FS" 1734799 NIL FS (NIL T) |category| NIL 1738507) (|FunctionSpace&| 1698908 1703083 1709176 "FS-" 1709745 NIL FS- (NIL T T) |domain| NIL NIL) (|FunctionSpaceIntegration| 1697880 1697950 1698371 "FSINT" 1698815 NIL FSINT (NIL T T) |package| NIL NIL) (|FourierSeries| 1695251 1696166 1696655 "FSERIES" 1697550 NIL FSERIES (NIL T T) |domain| NIL NIL) (|FunctionSpaceComplexIntegration| 1693040 1693237 1693780 "FSCINT" 1695020 NIL FSCINT (NIL T T) |package| NIL NIL) (|FiniteSetAggregate| 1687427 1691272 1691359 "FSAGG" 1692057 NIL FSAGG (NIL T) |category| NIL 1692453) (|FiniteSetAggregate&| 1684061 1684862 1686104 "FSAGG-" 1686293 NIL FSAGG- (NIL T T) |domain| NIL NIL) (|FiniteSetAggregateFunctions2| 1682453 1682621 1683003 "FSAGG2" 1683859 NIL FSAGG2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToUnivariatePowerSeries| 1678233 1678582 1679586 "FS2UPS" 1682071 NIL FS2UPS (NIL T T T T T NIL) |package| NIL NIL) (|FunctionSpaceFunctions2| 1677540 1677590 1677858 "FS2" 1678159 NIL FS2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToExponentialExpansion| 1675540 1675762 1676339 "FS2EXPXP" 1677290 NIL FS2EXPXP (NIL T T NIL NIL) |package| NIL NIL) (|FactoredFunctionUtilities| 1674528 1674698 1674987 "FRUTIL" 1675341 NIL FRUTIL (NIL T) |package| NIL NIL) (|Factored| 1661445 1667318 1669420 "FR" 1672482 NIL FR (NIL T) |domain| NIL NIL) (|FramedNonAssociativeAlgebra| 1652943 1656898 1657007 "FRNAALG" 1659935 NIL FRNAALG (NIL T) |category| NIL 1661021) (|FramedNonAssociativeAlgebra&| 1645438 1646961 1649151 "FRNAALG-" 1650892 NIL FRNAALG- (NIL T T) |domain| NIL NIL) (|FramedNonAssociativeAlgebraFunctions2| 1644699 1644749 1645047 "FRNAAF2" 1645364 NIL FRNAAF2 (NIL T T T T) |package| NIL NIL) (|FramedModule| 1642074 1642702 1643167 "FRMOD" 1644432 NIL FRMOD (NIL T T T T NIL) |domain| NIL NIL) (|FractionalIdeal| 1638223 1639057 1639587 "FRIDEAL" 1641759 NIL FRIDEAL (NIL T T T T) |domain| NIL NIL) (|FractionalIdealFunctions2| 1636745 1636865 1637413 "FRIDEAL2" 1638079 NIL FRIDEAL2 (NIL T T T T T T T T) |package| NIL NIL) (|FullyRetractableTo| 1635570 1636171 1636251 "FRETRCT" 1636256 NIL FRETRCT (NIL T) |category| NIL 1636541) (|FullyRetractableTo&| 1634200 1634510 1635088 "FRETRCT-" 1635093 NIL FRETRCT- (NIL T T) |domain| NIL NIL) (|FramedAlgebra| 1629657 1631269 1631394 "FRAMALG" 1633157 NIL FRAMALG (NIL T T) |category| NIL 1633630) (|FramedAlgebra&| 1626671 1627282 1628317 "FRAMALG-" 1628767 NIL FRAMALG- (NIL T T T) |domain| NIL NIL) (|Fraction| 1617523 1625880 1626301 "FRAC" 1626306 NIL FRAC (NIL T) |domain| NIL NIL) (|FractionFunctions2| 1616899 1616975 1617175 "FRAC2" 1617423 NIL FRAC2 (NIL T T) |package| NIL NIL) (|FactoredFunctions2| 1616275 1616351 1616551 "FR2" 1616799 NIL FR2 (NIL T T) |package| NIL NIL) (|FloatingPointSystem| 1607404 1611670 1611738 "FPS" 1613851 T FPS (NIL) |category| NIL 1614887) (|FloatingPointSystem&| 1606335 1606521 1606855 "FPS-" 1607155 NIL FPS- (NIL T) |domain| NIL NIL) (|FieldOfPrimeCharacteristic| 1602134 1604583 1604665 "FPC" 1605143 T FPC (NIL) |category| NIL 1605443) (|FieldOfPrimeCharacteristic&| 1601704 1601771 1602003 "FPC-" 1602008 NIL FPC- (NIL T) |domain| NIL NIL) (|FullyPatternMatchable| 1599895 1600843 1600929 "FPATMAB" 1600934 NIL FPATMAB (NIL T) |category| NIL 1601186) (|FullPartialFractionExpansion| 1595759 1596411 1597171 "FPARFRAC" 1599297 NIL FPARFRAC (NIL T T) |domain| NIL NIL) (|FortranProgram| 1588299 1589098 1590288 "FORTRAN" 1594744 NIL FORTRAN (NIL NIL NIL NIL NIL) |domain| NIL NIL) (|FortranPackage| 1584854 1585552 1586375 "FORT" 1587520 T FORT (NIL) |package| NIL NIL) (|FortranFunctionCategory| 1580823 1581665 1581741 "FORTFN" 1583687 T FORTFN (NIL) |category| NIL 1584766) (|FortranProgramCategory| 1580397 1580471 1580545 "FORTCAT" 1580655 T FORTCAT (NIL) |category| NIL 1580768) (|ScriptFormulaFormat| 1577356 1577990 1578639 "FORMULA" 1579802 T FORMULA (NIL) |domain| NIL NIL) (|ScriptFormulaFormat1| 1576932 1576982 1577133 "FORMULA1" 1577282 NIL FORMULA1 (NIL T) |package| NIL NIL) (|FindOrderFinite| 1576030 1576111 1576442 "FORDER" 1576827 NIL FORDER (NIL T T T T) |package| NIL NIL) (|FortranOutputStackPackage| 1574201 1574484 1574909 "FOP" 1575671 T FOP (NIL) |package| NIL NIL) (|FreeNilpotentLie| 1571817 1572747 1573128 "FNLA" 1573949 NIL FNLA (NIL NIL NIL T) |domain| NIL NIL) (|FileNameCategory| 1569741 1570242 1570304 "FNCAT" 1571272 T FNCAT (NIL) |category| |FileName| 1571735) (|FileName| 1569155 1569660 1569714 "FNAME" 1569719 T FNAME (NIL) |domain| NIL NIL) (|FortranMachineTypeCategory| 1567248 1568498 1568580 "FMTC" 1568585 T FMTC (NIL) |category| NIL 1568659) (|FreeMonoid| 1561713 1563282 1564265 "FMONOID" 1566322 NIL FMONOID (NIL T) |domain| NIL NIL) (|FreeModule| 1560642 1561290 1561534 "FM" 1561539 NIL FM (NIL T T) |domain| NIL NIL) (|FortranMatrixFunctionCategory| 1556113 1557087 1557175 "FMFUN" 1559343 T FMFUN (NIL) |category| NIL 1560554) (|FortranMatrixCategory| 1554867 1555131 1555203 "FMC" 1555713 T FMC (NIL) |category| NIL 1556025) (|FreeModuleCat| 1550546 1551619 1551710 "FMCAT" 1553750 NIL FMCAT (NIL T T) |category| NIL 1554515) (|FreeModule1| 1549065 1550177 1550335 "FM1" 1550460 NIL FM1 (NIL T T) |domain| NIL NIL) (|FloatingRealPackage| 1545378 1546013 1546835 "FLOATRP" 1548337 NIL FLOATRP (NIL T) |package| NIL NIL) (|Float| 1535307 1541197 1542420 "FLOAT" 1544181 T FLOAT (NIL) |domain| NIL NIL) (|FloatingComplexPackage| 1530908 1531697 1532703 "FLOATCP" 1534401 NIL FLOATCP (NIL T) |package| NIL NIL) (|FullyLinearlyExplicitRingOver| 1529031 1530195 1530297 "FLINEXP" 1530302 NIL FLINEXP (NIL T) |category| NIL 1530492) (|FullyLinearlyExplicitRingOver&| 1527728 1528044 1528602 "FLINEXP-" 1528607 NIL FLINEXP- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateSort| 1526089 1526286 1526694 "FLASORT" 1527497 NIL FLASORT (NIL T T) |package| NIL NIL) (|FreeLieAlgebra| 1521487 1522603 1522706 "FLALG" 1525003 NIL FLALG (NIL T T) |category| |LiePolynomial| 1525767) (|FiniteLinearAggregate| 1512176 1517386 1517472 "FLAGG" 1519708 NIL FLAGG (NIL T) |category| NIL 1520688) (|FiniteLinearAggregate&| 1510314 1510761 1511521 "FLAGG-" 1511526 NIL FLAGG- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateFunctions2| 1508723 1508891 1509271 "FLAGG2" 1510112 NIL FLAGG2 (NIL T T T T) |package| NIL NIL) (|FiniteRankAlgebra| 1503561 1504935 1505068 "FINRALG" 1507364 NIL FINRALG (NIL T T) |category| NIL 1508191) (|FiniteRankAlgebra&| 1502259 1502577 1503145 "FINRALG-" 1503150 NIL FINRALG- (NIL T T T) |domain| NIL NIL) (|Finite| 1501156 1501482 1501524 "FINITE" 1501936 T FINITE (NIL) |category| NIL 1502177) (|Finite&| 1500872 1500927 1501062 "FINITE-" 1501067 NIL FINITE- (NIL T) |domain| NIL NIL) (|FiniteRankNonAssociativeAlgebra| 1486600 1489907 1490024 "FINAALG" 1497873 NIL FINAALG (NIL T) |category| NIL 1500495) (|FiniteRankNonAssociativeAlgebra&| 1477428 1479157 1481325 "FINAALG-" 1484583 NIL FINAALG- (NIL T T) |domain| NIL NIL) (|File| 1476566 1477040 1477203 "FILE" 1477310 NIL FILE (NIL T) |domain| NIL NIL) (|FileCategory| 1474302 1474698 1474794 "FILECAT" 1476138 NIL FILECAT (NIL T T) |category| NIL 1476484) (|Field| 1470976 1473185 1473225 "FIELD" 1473274 T FIELD (NIL) |category| NIL 1473458) (|Field&| 1469035 1469544 1470279 "FIELD-" 1470284 NIL FIELD- (NIL T) |domain| NIL NIL) (|FreeGroup| 1465791 1466847 1467394 "FGROUP" 1468543 NIL FGROUP (NIL T) |domain| NIL NIL) (|FGLMIfCanPackage| 1464291 1464539 1464913 "FGLMICPK" 1465509 NIL FGLMICPK (NIL T NIL) |package| NIL NIL) (|FiniteFieldExtension| 1458005 1464096 1464246 "FFX" 1464251 NIL FFX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldSquareFreeDecomposition| 1457111 1457193 1457460 "FFSQFR" 1457894 NIL FFSQFR (NIL T T) |package| NIL NIL) (|FiniteFieldSolveLinearPolynomialEquation| 1456249 1456345 1456676 "FFSLPE" 1456991 NIL FFSLPE (NIL T T T) |package| NIL NIL) (|FiniteFieldPolynomialPackage| 1446643 1448443 1450461 "FFPOLY" 1454332 NIL FFPOLY (NIL T) |package| NIL NIL) (|FiniteFieldPolynomialPackage2| 1445584 1445661 1446106 "FFPOLY2" 1446542 NIL FFPOLY2 (NIL T T) |package| NIL NIL) (|FiniteFieldExtensionByPolynomial| 1439284 1445349 1445539 "FFP" 1445544 NIL FFP (NIL T NIL) |domain| NIL NIL) (|FiniteField| 1432075 1439081 1439224 "FF" 1439229 NIL FF (NIL NIL NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtension| 1424329 1430643 1431080 "FFNBX" 1431770 NIL FFNBX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtensionByPolynomial| 1416202 1422494 1423063 "FFNBP" 1424024 NIL FFNBP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasis| 1407464 1414723 1415183 "FFNB" 1415852 NIL FFNB (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldIntegralBasis| 1405586 1405841 1406367 "FFINTBAS" 1407180 NIL FFINTBAS (NIL T T T) |package| NIL NIL) (|FiniteFieldCategory| 1399259 1402598 1402666 "FFIELDC" 1403857 T FFIELDC (NIL) |category| NIL 1404591) (|FiniteFieldCategory&| 1396824 1397461 1398400 "FFIELDC-" 1398405 NIL FFIELDC- (NIL T) |domain| NIL NIL) (|FiniteFieldHomomorphisms| 1395948 1395996 1396265 "FFHOM" 1396736 NIL FFHOM (NIL T T T) |package| NIL NIL) (|FiniteFieldFunctions| 1391520 1392396 1393406 "FFF" 1395023 NIL FFF (NIL T) |package| NIL NIL) (|FractionFreeFastGaussian| 1382761 1384235 1385995 "FFFG" 1389926 NIL FFFG (NIL T T) |package| NIL NIL) (|FractionFreeFastGaussianFractions| 1380002 1380423 1381162 "FFFGF" 1382286 NIL FFFGF (NIL T T T) |package| NIL NIL) (|FiniteFieldFactorizationWithSizeParseBySideEffect| 1377315 1377624 1378168 "FFFACTSE" 1379644 NIL FFFACTSE (NIL T T) |package| NIL NIL) (|FiniteFieldFactorization| 1374828 1375137 1375631 "FFFACTOR" 1376957 NIL FFFACTOR (NIL T T) |package| NIL NIL) (|FiniteFieldCyclicGroupExtension| 1368050 1374203 1374471 "FFCGX" 1374692 NIL FFCGX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroupExtensionByPolynomial| 1361230 1367359 1367667 "FFCGP" 1367914 NIL FFCGP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroup| 1353546 1360614 1360875 "FFCG" 1361079 NIL FFCG (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldCategory| 1321636 1335258 1335466 "FFCAT" 1347014 NIL FFCAT (NIL T T T) |category| NIL 1349518) (|FunctionFieldCategory&| 1313118 1314649 1316887 "FFCAT-" 1319638 NIL FFCAT- (NIL T T T T) |domain| NIL NIL) (|FunctionFieldCategoryFunctions2| 1311894 1311944 1312456 "FFCAT2" 1313044 NIL FFCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranExpression| 1294775 1299911 1301901 "FEXPR" 1310040 NIL FEXPR (NIL NIL NIL T) |domain| NIL NIL) (|FullyEvalableOver| 1293418 1293946 1294031 "FEVALAB" 1294173 NIL FEVALAB (NIL T) |category| NIL 1294529) (|FullyEvalableOver&| 1292319 1292558 1293038 "FEVALAB-" 1293043 NIL FEVALAB- (NIL T T) |domain| NIL NIL) (|FiniteDivisor| 1290157 1291156 1291526 "FDIV" 1292151 NIL FDIV (NIL T T T T) |domain| NIL NIL) (|FiniteDivisorCategory| 1284989 1285891 1286128 "FDIVCAT" 1289322 NIL FDIVCAT (NIL T T T T) |category| NIL 1289965) (|FiniteDivisorCategory&| 1284544 1284583 1284919 "FDIVCAT-" 1284924 NIL FDIVCAT- (NIL T T T T T) |domain| NIL NIL) (|FiniteDivisorFunctions2| 1283125 1283241 1283763 "FDIV2" 1284404 NIL FDIV2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranCodePackage1| 1280596 1281072 1281661 "FCPAK1" 1282590 T FCPAK1 (NIL) |package| NIL NIL) (|FourierComponent| 1279348 1279767 1280001 "FCOMP" 1280430 NIL FCOMP (NIL T) |domain| NIL NIL) (|FortranCode| 1254866 1259577 1264940 "FC" 1274023 T FC (NIL) |domain| NIL NIL) (|FiniteAlgebraicExtensionField| 1242263 1248274 1248377 "FAXF" 1252049 NIL FAXF (NIL T) |category| NIL 1253396) (|FiniteAlgebraicExtensionField&| 1236873 1238034 1239682 "FAXF-" 1240750 NIL FAXF- (NIL T T) |domain| NIL NIL) (|FlexibleArray| 1229695 1235684 1236044 "FARRAY" 1236569 NIL FARRAY (NIL T) |domain| NIL NIL) (|FiniteAbelianMonoidRing| 1222147 1225029 1225149 "FAMR" 1227185 NIL FAMR (NIL T T) |category| NIL 1227915) (|FiniteAbelianMonoidRing&| 1220525 1220917 1221605 "FAMR-" 1221610 NIL FAMR- (NIL T T T) |domain| NIL NIL) (|FiniteAbelianMonoidRingFunctions2| 1219766 1219816 1220116 "FAMR2" 1220451 NIL FAMR2 (NIL T T T T T) |package| NIL NIL) (|FreeAbelianMonoid| 1218529 1219572 1219702 "FAMONOID" 1219707 NIL FAMONOID (NIL T) |domain| NIL NIL) (|FreeAbelianMonoidCategory| 1214771 1215660 1215796 "FAMONC" 1217737 NIL FAMONC (NIL T T) |category| NIL 1218331) (|FreeAbelianGroup| 1212957 1214319 1214577 "FAGROUP" 1214582 NIL FAGROUP (NIL T) |domain| NIL NIL) (|FactoringUtilities| 1208427 1209062 1209913 "FACUTIL" 1212268 NIL FACUTIL (NIL T T T T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| 1206919 1207144 1207580 "FACTRN" 1208173 NIL FACTRN (NIL T) |package| NIL NIL) (|FactoredFunctions| 1205450 1205722 1206097 "FACTFUNC" 1206618 NIL FACTFUNC (NIL T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| 1203886 1204111 1204571 "FACTEXT" 1205196 NIL FACTEXT (NIL T) |package| NIL NIL) (|ExponentialOfUnivariatePuiseuxSeries| 1192701 1202404 1202856 "EXPUPXS" 1203587 NIL EXPUPXS (NIL T NIL NIL) |domain| NIL NIL) (|ExpressionTubePlot| 1187861 1188898 1190070 "EXPRTUBE" 1191581 T EXPRTUBE (NIL) |package| NIL NIL) (|ExpressionSolve| 1186188 1186330 1186787 "EXPRSOL" 1187690 NIL EXPRSOL (NIL T T T T) |package| NIL NIL) (|ExpressionSpaceODESolver| 1179522 1180394 1181651 "EXPRODE" 1185103 NIL EXPRODE (NIL T T) |package| NIL NIL) (|Expression| 1157283 1176754 1177644 "EXPR" 1178688 NIL EXPR (NIL T) |domain| NIL NIL) (|ExpressionToUnivariatePowerSeries| 1146312 1147099 1148486 "EXPR2UPS" 1156193 NIL EXPR2UPS (NIL T T) |package| NIL NIL) (|ExpressionFunctions2| 1145682 1145762 1145962 "EXPR2" 1146208 NIL EXPR2 (NIL T T) |package| NIL NIL) (|ExponentialExpansion| 1128719 1143885 1144515 "EXPEXPAN" 1145349 NIL EXPEXPAN (NIL T T NIL NIL) |domain| NIL NIL) (|Export3D| 1128253 1128327 1128457 "EXP3D" 1128621 T EXP3D (NIL) |package| NIL NIL) (|Exit| 1128030 1128190 1128231 "EXIT" 1128236 T EXIT (NIL) |domain| NIL NIL) (|EvaluateCycleIndicators| 1127330 1127432 1127662 "EVALCYC" 1127904 NIL EVALCYC (NIL T) |package| NIL NIL) (|Evalable| 1126664 1126799 1126866 "EVALAB" 1127136 NIL EVALAB (NIL T) |category| NIL 1127293) (|Evalable&| 1125984 1126125 1126431 "EVALAB-" 1126436 NIL EVALAB- (NIL T T) |domain| NIL NIL) (|EuclideanDomain| 1122066 1123951 1124011 "EUCDOM" 1124914 T EUCDOM (NIL) |category| NIL 1125472) (|EuclideanDomain&| 1119861 1120432 1121283 "EUCDOM-" 1121288 NIL EUCDOM- (NIL T) |domain| NIL NIL) (|ExpertSystemToolsPackage| 1100389 1104352 1108599 "ESTOOLS" 1115678 T ESTOOLS (NIL) |package| NIL NIL) (|ExpertSystemToolsPackage2| 1099800 1099872 1100062 "ESTOOLS2" 1100293 NIL ESTOOLS2 (NIL T T) |package| NIL NIL) (|ExpertSystemToolsPackage1| 1099372 1099422 1099583 "ESTOOLS1" 1099726 NIL ESTOOLS1 (NIL T) |package| NIL NIL) (|ExpressionSpace| 1089830 1092174 1092234 "ES" 1096909 T ES (NIL) |category| NIL 1099144) (|ExpressionSpace&| 1082495 1084269 1086929 "ES-" 1087243 NIL ES- (NIL T) |domain| NIL NIL) (|ExpertSystemContinuityPackage| 1075659 1077000 1078505 "ESCONT" 1081064 T ESCONT (NIL) |package| NIL NIL) (|ExpertSystemContinuityPackage1| 1075176 1075222 1075410 "ESCONT1" 1075589 NIL ESCONT1 (NIL NIL NIL) |package| NIL NIL) (|ExpressionSpaceFunctions2| 1074606 1074667 1074868 "ES2" 1075091 NIL ES2 (NIL T T) |package| NIL NIL) (|ExpressionSpaceFunctions1| 1073995 1074067 1074268 "ES1" 1074510 NIL ES1 (NIL T T) |package| NIL NIL) (|ErrorFunctions| 1072820 1072981 1073255 "ERROR" 1073765 T ERROR (NIL) |package| NIL NIL) (|EqTable| 1064147 1072563 1072725 "EQTBL" 1072730 NIL EQTBL (NIL T T) |domain| NIL NIL) (|Equation| 1053462 1057343 1059349 "EQ" 1062187 NIL EQ (NIL T) |domain| NIL NIL) (|EquationFunctions2| 1052878 1052954 1053134 "EQ2" 1053362 NIL EQ2 (NIL T T) |package| NIL NIL) (|EigenPackage| 1044825 1046537 1048423 "EP" 1051051 NIL EP (NIL T) |package| NIL NIL) (|EntireRing| 1043611 1044356 1044406 "ENTIRER" 1044411 T ENTIRER (NIL) |category| NIL 1044497) (|EuclideanModularRing| 1038098 1040185 1040765 "EMR" 1043317 NIL EMR (NIL T T T NIL NIL NIL) |domain| NIL NIL) (|EltableAggregate| 1036815 1037047 1037144 "ELTAGG" 1037785 NIL ELTAGG (NIL T T) |category| NIL 1038067) (|EltableAggregate&| 1036417 1036485 1036708 "ELTAGG-" 1036713 NIL ELTAGG- (NIL T T T) |domain| NIL NIL) (|Eltable| 1036117 1036146 1036225 "ELTAB" 1036353 NIL ELTAB (NIL T T) |category| NIL NIL) (|EllipticFunctionsUnivariateTaylorSeries| 1034639 1034793 1035140 "ELFUTS" 1035924 NIL ELFUTS (NIL T T) |package| NIL NIL) (|ElementaryFunctionCategory| 1034193 1034249 1034331 "ELEMFUN" 1034538 T ELEMFUN (NIL) |category| NIL NIL) (|ElementaryFunctionCategory&| 1033955 1033976 1034135 "ELEMFUN-" 1034140 NIL ELEMFUN- (NIL T) |domain| NIL NIL) (|ExtensibleLinearAggregate| 1026237 1030780 1030874 "ELAGG" 1032577 NIL ELAGG (NIL T) |category| NIL 1033298) (|ExtensibleLinearAggregate&| 1023788 1024344 1025349 "ELAGG-" 1025354 NIL ELAGG- (NIL T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariatePuiseuxSeries| 1010183 1012334 1013595 "EFUPXS" 1022822 NIL EFUPXS (NIL T T T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariateLaurentSeries| 998242 1000395 1001610 "EFULS" 1009217 NIL EFULS (NIL T T T) |domain| NIL NIL) (|ElementaryFunctionStructurePackage| 993313 993775 994628 "EFSTRUC" 997693 NIL EFSTRUC (NIL T T) |package| NIL NIL) (|ElementaryFunction| 975229 976987 979188 "EF" 991269 NIL EF (NIL T T) |package| NIL NIL) (|ExtAlgBasis| 973855 974330 974601 "EAB" 974996 T EAB (NIL) |domain| NIL NIL) (|e04ucfAnnaType| 972590 973736 973815 "E04UCFA" 973820 T E04UCFA (NIL) |domain| NIL NIL) (|e04nafAnnaType| 971325 972471 972550 "E04NAFA" 972555 T E04NAFA (NIL) |domain| NIL NIL) (|e04mbfAnnaType| 970060 971206 971285 "E04MBFA" 971290 T E04MBFA (NIL) |domain| NIL NIL) (|e04jafAnnaType| 968795 969941 970020 "E04JAFA" 970025 T E04JAFA (NIL) |domain| NIL NIL) (|e04gcfAnnaType| 967532 968676 968755 "E04GCFA" 968760 T E04GCFA (NIL) |domain| NIL NIL) (|e04fdfAnnaType| 966269 967413 967492 "E04FDFA" 967497 T E04FDFA (NIL) |domain| NIL NIL) (|e04dgfAnnaType| 965004 966150 966229 "E04DGFA" 966234 T E04DGFA (NIL) |domain| NIL NIL) (|e04AgentsPackage| 954682 956990 959456 "E04AGNT" 962586 T E04AGNT (NIL) |package| NIL NIL) (|DifferentialVariableCategory| 952447 953074 953180 "DVARCAT" 954171 NIL DVARCAT (NIL T) |category| NIL 954550) (|DifferentialVariableCategory&| 951179 951467 952023 "DVARCAT-" 952028 NIL DVARCAT- (NIL T T) |domain| NIL NIL) (|DesingTreePackage| 937722 938439 939776 "DTP" 950353 NIL DTP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|DesingTree| 933982 936708 936990 "DSTREE" 937497 NIL DSTREE (NIL T) |domain| NIL NIL) (|DesingTreeCategory| 930302 932860 932947 "DSTRCAT" 933321 NIL DSTRCAT (NIL T) |category| |DesingTree| 933548) (|DifferentialSparseMultivariatePolynomial| 919165 929830 930150 "DSMP" 930155 NIL DSMP (NIL T T T) |domain| NIL NIL) (|DrawOption| 910739 912409 914219 "DROPT" 917391 T DROPT (NIL) |domain| NIL NIL) (|DrawOptionFunctions1| 910199 910279 910453 "DROPT1" 910635 NIL DROPT1 (NIL T) |package| NIL NIL) (|DrawOptionFunctions0| 901940 903728 905671 "DROPT0" 908312 T DROPT0 (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForPoints| 898700 899312 900094 "DRAWPT" 901234 T DRAWPT (NIL) |package| NIL NIL) (|TopLevelDrawFunctions| 887968 889781 891969 "DRAW" 896632 NIL DRAW (NIL T) |package| NIL NIL) (|DrawNumericHack| 887274 887363 887598 "DRAWHACK" 887855 NIL DRAWHACK (NIL T) |package| NIL NIL) (|DrawComplex| 884739 885269 885881 "DRAWCX" 886700 T DRAWCX (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForAlgebraicCurves| 883785 883895 884229 "DRAWCURV" 884605 NIL DRAWCURV (NIL T T) |package| NIL NIL) (|TopLevelDrawFunctionsForCompiledFunctions| 864497 868302 872580 "DRAWCFUN" 879605 T DRAWCFUN (NIL) |package| NIL NIL) (|DequeueAggregate| 859846 862418 862494 "DQAGG" 863564 NIL DQAGG (NIL T) |category| |Dequeue| 864009) (|DifferentialPolynomialCategory| 840076 850359 850560 "DPOLCAT" 854644 NIL DPOLCAT (NIL T T T T) |category| NIL 855638) (|DifferentialPolynomialCategory&| 832157 834021 837170 "DPOLCAT-" 837175 NIL DPOLCAT- (NIL T T T T T) |domain| NIL NIL) (|DirectProductModule| 822017 831899 832086 "DPMO" 832091 NIL DPMO (NIL NIL T T) |domain| NIL NIL) (|DirectProductMatrixModule| 811716 821614 821926 "DPMM" 821931 NIL DPMM (NIL NIL T T T) |domain| NIL NIL) (|DistributedMultivariatePolynomial| 801434 811026 811335 "DMP" 811528 NIL DMP (NIL NIL T) |domain| NIL NIL) (|DiscreteLogarithmPackage| 800635 800747 801043 "DLP" 801298 NIL DLP (NIL T) |package| NIL NIL) (|DataList| 791660 799247 799588 "DLIST" 800346 NIL DLIST (NIL T) |domain| NIL NIL) (|DoublyLinkedAggregate| 787032 789830 789916 "DLAGG" 790873 NIL DLAGG (NIL T) |category| NIL 791226) (|DivisionRing| 785063 785979 786033 "DIVRING" 786265 T DIVRING (NIL) |category| NIL 786436) (|DivisionRing&| 783509 783882 784502 "DIVRING-" 784507 NIL DIVRING- (NIL T) |domain| NIL NIL) (|Divisor| 781355 782855 783075 "DIV" 783350 NIL DIV (NIL T) |domain| NIL NIL) (|DivisorCategory| 777494 778880 778961 "DIVCAT" 780410 NIL DIVCAT (NIL T) |category| |Divisor| 780942) (|DisplayPackage| 774615 775083 775708 "DISPLAY" 776913 T DISPLAY (NIL) |package| NIL NIL) (|DirichletRing| 770727 772409 773065 "DIRRING" 774015 NIL DIRRING (NIL T) |domain| NIL NIL) (|DirectProduct| 762105 770564 770685 "DIRPROD" 770690 NIL DIRPROD (NIL NIL T) |domain| NIL NIL) (|DirectProductFunctions2| 760233 760516 760951 "DIRPROD2" 761788 NIL DIRPROD2 (NIL NIL T T) |package| NIL NIL) (|DirectProductCategory| 744771 753205 753319 "DIRPCAT" 754028 NIL DIRPCAT (NIL NIL T) |category| NIL 755375) (|DirectProductCategory&| 740377 741294 742775 "DIRPCAT-" 743433 NIL DIRPCAT- (NIL T NIL T) |domain| NIL NIL) (|DiophantineSolutionPackage| 739204 739446 739780 "DIOSP" 740111 T DIOSP (NIL) |package| NIL NIL) (|DictionaryOperations| 734275 737424 737515 "DIOPS" 738312 NIL DIOPS (NIL T) |category| NIL 738673) (|DictionaryOperations&| 733577 733720 734052 "DIOPS-" 734057 NIL DIOPS- (NIL T T) |domain| NIL NIL) (|DifferentialRing| 731841 732698 732760 "DIFRING" 733103 T DIFRING (NIL) |category| NIL 733296) (|DifferentialRing&| 731247 731362 731637 "DIFRING-" 731642 NIL DIFRING- (NIL T) |domain| NIL NIL) (|DifferentialExtension| 727689 729598 729684 "DIFEXT" 730327 NIL DIFEXT (NIL T) |category| NIL 730820) (|DifferentialExtension&| 725022 725648 726721 "DIFEXT-" 726726 NIL DIFEXT- (NIL T T) |domain| NIL NIL) (|Dictionary| 721189 724338 724409 "DIAGG" 724414 NIL DIAGG (NIL T) |category| NIL 724455) (|Dictionary&| 720297 720496 720882 "DIAGG-" 720887 NIL DIAGG- (NIL T T) |domain| NIL NIL) (|DenavitHartenbergMatrix| 713423 718431 718888 "DHMATRIX" 719961 NIL DHMATRIX (NIL T) |domain| NIL NIL) (|DoubleFloatVector| 705684 713078 713228 "DFVEC" 713323 T DFVEC (NIL) |domain| NIL NIL) (|DoubleFloatSpecialFunctions| 692885 695451 698430 "DFSFUN" 702775 T DFSFUN (NIL) |package| NIL NIL) (|DoubleFloatMatrix| 686677 692425 692631 "DFMAT" 692729 T DFMAT (NIL) |domain| NIL NIL) (|DoubleFloat| 678035 683879 684711 "DFLOAT" 685883 T DFLOAT (NIL) |domain| NIL NIL) (|DefiniteIntegrationTools| 674460 674952 675769 "DFINTTLS" 677487 NIL DFINTTLS (NIL T T) |package| NIL NIL) (|DeRhamComplex| 669646 671056 671787 "DERHAM" 673834 NIL DERHAM (NIL T NIL) |domain| NIL NIL) (|Dequeue| 656577 659190 661426 "DEQUEUE" 667461 NIL DEQUEUE (NIL T) |domain| NIL NIL) (|DegreeReductionPackage| 655088 655323 655709 "DEGRED" 656313 NIL DEGRED (NIL T T) |package| NIL NIL) (|RationalFunctionDefiniteIntegration| 648853 650026 651509 "DEFINTRF" 653834 NIL DEFINTRF (NIL T) |package| NIL NIL) (|ElementaryFunctionDefiniteIntegration| 644462 645146 646232 "DEFINTEF" 648121 NIL DEFINTEF (NIL T T) |package| NIL NIL) (|DecimalExpansion| 634629 643439 643759 "DECIMAL" 644190 T DECIMAL (NIL) |domain| NIL NIL) (|DistinctDegreeFactorize| 630134 630813 631690 "DDFACT" 633886 NIL DDFACT (NIL T T) |package| NIL NIL) (|DoubleResultantPackage| 629346 629408 629714 "DBLRESP" 630048 NIL DBLRESP (NIL T T T T) |package| NIL NIL) (|Database| 625835 626257 626837 "DBASE" 628965 NIL DBASE (NIL T) |domain| NIL NIL) (|d03fafAnnaType| 624534 625690 625782 "D03FAFA" 625787 T D03FAFA (NIL) |domain| NIL NIL) (|d03eefAnnaType| 623234 624389 624481 "D03EEFA" 624486 T D03EEFA (NIL) |domain| NIL NIL) (|d03AgentsPackage| 619878 620612 621433 "D03AGNT" 622461 T D03AGNT (NIL) |package| NIL NIL) (|d02ejfAnnaType| 618818 619731 619824 "D02EJFA" 619829 T D02EJFA (NIL) |domain| NIL NIL) (|d02cjfAnnaType| 617758 618671 618764 "D02CJFA" 618769 T D02CJFA (NIL) |domain| NIL NIL) (|d02bhfAnnaType| 616698 617611 617704 "D02BHFA" 617709 T D02BHFA (NIL) |domain| NIL NIL) (|d02bbfAnnaType| 615638 616551 616644 "D02BBFA" 616649 T D02BBFA (NIL) |domain| NIL NIL) (|d02AgentsPackage| 604757 607201 609794 "D02AGNT" 613093 T D02AGNT (NIL) |package| NIL NIL) (|d01WeightsPackage| 600985 601843 602785 "D01WGTS" 603865 T D01WGTS (NIL) |package| NIL NIL) (|d01TransformFunctionType| 599569 600848 600946 "D01TRNS" 600951 T D01TRNS (NIL) |domain| NIL NIL) (|d01gbfAnnaType| 598173 599452 599530 "D01GBFA" 599535 T D01GBFA (NIL) |domain| NIL NIL) (|d01fcfAnnaType| 596777 598056 598134 "D01FCFA" 598139 T D01FCFA (NIL) |domain| NIL NIL) (|d01asfAnnaType| 595381 596660 596738 "D01ASFA" 596743 T D01ASFA (NIL) |domain| NIL NIL) (|d01aqfAnnaType| 593985 595264 595342 "D01AQFA" 595347 T D01AQFA (NIL) |domain| NIL NIL) (|d01apfAnnaType| 592589 593868 593946 "D01APFA" 593951 T D01APFA (NIL) |domain| NIL NIL) (|d01anfAnnaType| 591193 592472 592550 "D01ANFA" 592555 T D01ANFA (NIL) |domain| NIL NIL) (|d01amfAnnaType| 589797 591076 591154 "D01AMFA" 591159 T D01AMFA (NIL) |domain| NIL NIL) (|d01alfAnnaType| 588401 589680 589758 "D01ALFA" 589763 T D01ALFA (NIL) |domain| NIL NIL) (|d01akfAnnaType| 587005 588284 588362 "D01AKFA" 588367 T D01AKFA (NIL) |domain| NIL NIL) (|d01ajfAnnaType| 585609 586888 586966 "D01AJFA" 586971 T D01AJFA (NIL) |domain| NIL NIL) (|d01AgentsPackage| 575732 577911 580212 "D01AGNT" 583356 T D01AGNT (NIL) |package| NIL NIL) (|CyclotomicPolynomialPackage| 574196 574478 574864 "CYCLOTOM" 575416 T CYCLOTOM (NIL) |package| NIL NIL) (|CycleIndicators| 567922 569255 570718 "CYCLES" 572779 T CYCLES (NIL) |package| NIL NIL) (|CoerceVectorMatrixPackage| 566759 566950 567261 "CVMP" 567702 NIL CVMP (NIL T) |package| NIL NIL) (|ComplexTrigonometricManipulations| 562283 562621 563340 "CTRIGMNP" 566313 NIL CTRIGMNP (NIL T T) |package| NIL NIL) (|CyclicStreamTools| 561143 561297 561583 "CSTTOOLS" 562095 NIL CSTTOOLS (NIL T T) |package| NIL NIL) (|ComplexRootFindingPackage| 553946 554806 556014 "CRFP" 560096 NIL CRFP (NIL T T) |package| NIL NIL) (|CRApackage| 552457 552694 553052 "CRAPACK" 553649 NIL CRAPACK (NIL T) |package| NIL NIL) (|ComplexPatternMatch| 551334 551503 551877 "CPMATCH" 552248 NIL CPMATCH (NIL T T T) |package| NIL NIL) (|CharacteristicPolynomialInMonogenicalAlgebra| 550671 550720 551001 "CPIMA" 551261 NIL CPIMA (NIL T T T) |package| NIL NIL) (|CoordinateSystems| 544367 545315 546487 "COORDSYS" 549628 NIL COORDSYS (NIL T) |package| NIL NIL) (|ContinuedFraction| 537760 540760 541614 "CONTFRAC" 543588 NIL CONTFRAC (NIL T) |domain| NIL NIL) (|CommutativeRing| 536533 537278 537338 "COMRING" 537343 T COMRING (NIL) |category| NIL 537432) (|SubSpaceComponentProperty| 535046 535395 535725 "COMPPROP" 536269 T COMPPROP (NIL) |domain| NIL NIL) (|ComplexPattern| 534452 534496 534728 "COMPLPAT" 534978 NIL COMPLPAT (NIL T T T) |package| NIL NIL) (|Complex| 518778 534146 534324 "COMPLEX" 534329 NIL COMPLEX (NIL T) |domain| NIL NIL) (|ComplexFunctions2| 518161 518235 518433 "COMPLEX2" 518680 NIL COMPLEX2 (NIL T T) |package| NIL NIL) (|ComplexFactorization| 517631 517675 517879 "COMPFACT" 518093 NIL COMPFACT (NIL T T) |package| NIL NIL) (|ComplexCategory| 491656 507827 507912 "COMPCAT" 509862 NIL COMPCAT (NIL T) |category| NIL 512207) (|ComplexCategory&| 475114 479345 485182 "COMPCAT-" 485922 NIL COMPCAT- (NIL T T) |domain| NIL NIL) (|Comparable| 474606 474798 474848 "COMPAR" 474945 T COMPAR (NIL) |category| NIL 475032) (|CommuteUnivariatePolynomialCategory| 474056 474085 474324 "COMMUPC" 474553 NIL COMMUPC (NIL T T T) |package| NIL NIL) (|CommonOperators| 473676 473728 473850 "COMMONOP" 473980 T COMMONOP (NIL) |package| NIL NIL) (|Commutator| 473064 473270 473418 "COMM" 473564 T COMM (NIL) |domain| NIL NIL) (|CombinatorialOpsCategory| 471730 471991 472069 "COMBOPC" 472704 T COMBOPC (NIL) |category| NIL 473021) (|IntegerCombinatoricFunctions| 469826 470083 470495 "COMBINAT" 471419 NIL COMBINAT (NIL T) |package| NIL NIL) (|CombinatorialFunction| 463425 464144 465145 "COMBF" 468959 NIL COMBF (NIL T T) |package| NIL NIL) (|Color| 461615 462033 462421 "COLOR" 463063 T COLOR (NIL) |domain| NIL NIL) (|ComplexRootPackage| 460971 461034 461275 "CMPLXRT" 461528 NIL CMPLXRT (NIL T T) |package| NIL NIL) (|TwoDimensionalPlotClipping| 454028 455549 457238 "CLIP" 459350 T CLIP (NIL) |package| NIL NIL) (|CliffordAlgebra| 451495 452514 452920 "CLIF" 453741 NIL CLIF (NIL NIL T NIL) |domain| NIL NIL) (|Collection| 445883 448633 448697 "CLAGG" 450227 NIL CLAGG (NIL T) |category| NIL 451018) (|Collection&| 443529 444169 445062 "CLAGG-" 445067 NIL CLAGG- (NIL T T) |domain| NIL NIL) (|ComplexIntegerSolveLinearPolynomialEquation| 442424 442613 442987 "CINTSLPE" 443316 NIL CINTSLPE (NIL T T) |package| NIL NIL) (|ChangeOfVariable| 438224 438868 439743 "CHVAR" 441731 NIL CHVAR (NIL T T T) |package| NIL NIL) (|CharacteristicZero| 437108 437853 437919 "CHARZ" 437924 T CHARZ (NIL) |category| NIL 437943) (|CharacteristicPolynomialPackage| 436587 436652 436844 "CHARPOL" 437019 NIL CHARPOL (NIL T) |package| NIL NIL) (|CharacteristicNonZero| 435272 436062 436134 "CHARNZ" 436217 T CHARNZ (NIL) |category| NIL 436306) (|Character| 432242 433133 433696 "CHAR" 434743 T CHAR (NIL) |domain| NIL NIL) (|CombinatorialFunctionCategory| 431708 431788 431876 "CFCAT" 432117 T CFCAT (NIL) |category| NIL NIL) (|Cell| 429002 429458 430039 "CELL" 431176 NIL CELL (NIL T) |domain| NIL NIL) (|ComplexDoubleFloatVector| 419398 428362 428600 "CDFVEC" 428828 T CDFVEC (NIL) |domain| NIL NIL) (|ComplexDoubleFloatMatrix| 412109 418865 419111 "CDFMAT" 419216 T CDFMAT (NIL) |domain| NIL NIL) (|CommonDenominator| 410713 410870 411208 "CDEN" 411917 NIL CDEN (NIL T T T) |package| NIL NIL) (|CharacterClass| 404251 409175 409695 "CCLASS" 410237 T CCLASS (NIL) |domain| NIL NIL) (|CartesianTensor| 396151 397388 398625 "CARTEN" 403130 NIL CARTEN (NIL NIL NIL T) |domain| NIL NIL) (|CartesianTensorFunctions2| 394594 394807 395210 "CARTEN2" 395909 NIL CARTEN2 (NIL NIL NIL T T) |package| NIL NIL) (|CardinalNumber| 391752 392936 393462 "CARD" 394112 T CARD (NIL) |domain| NIL NIL) (|CylindricalAlgebraicDecompositionUtilities| 390381 390543 390901 "CADU" 391556 NIL CADU (NIL T T) |package| NIL NIL) (|CylindricalAlgebraicDecompositionPackage| 385363 386259 387364 "CAD" 389397 NIL CAD (NIL T) |package| NIL NIL) (|CachableSet| 384401 384811 384863 "CACHSET" 385103 T CACHSET (NIL) |category| NIL 385260) (|CancellationAbelianMonoid| 383615 383992 384072 "CABMON" 384165 T CABMON (NIL) |category| NIL 384268) (|BinaryTree| 380150 383089 383276 "BTREE" 383485 NIL BTREE (NIL T) |domain| NIL NIL) (|BinaryTournament| 376527 379493 379732 "BTOURN" 379979 NIL BTOURN (NIL T) |domain| NIL NIL) (|BinaryTreeCategory| 372844 375694 375781 "BTCAT" 375894 NIL BTCAT (NIL T) |category| NIL 376053) (|BinaryTreeCategory&| 372326 372429 372688 "BTCAT-" 372693 NIL BTCAT- (NIL T T) |domain| NIL NIL) (|BitAggregate| 365009 370774 370828 "BTAGG" 371220 T BTAGG (NIL) |category| NIL 371494) (|BitAggregate&| 364315 364452 364760 "BTAGG-" 364765 NIL BTAGG- (NIL T) |domain| NIL NIL) (|BinarySearchTree| 359996 363062 363441 "BSTREE" 364004 NIL BSTREE (NIL T) |domain| NIL NIL) (|BasicStochasticDifferential| 357468 358134 358649 "BSD" 359551 T BSD (NIL) |domain| NIL NIL) (|BrillhartTests| 355619 355855 356275 "BRILL" 357142 NIL BRILL (NIL T) |package| NIL NIL) (|BinaryRecursiveAggregate| 350771 353594 353686 "BRAGG" 354811 NIL BRAGG (NIL T) |category| NIL 355185) (|BinaryRecursiveAggregate&| 348774 349257 350071 "BRAGG-" 350076 NIL BRAGG- (NIL T T) |domain| NIL NIL) (|BalancedPAdicRational| 336816 347496 347885 "BPADICRT" 348460 NIL BPADICRT (NIL NIL) |domain| NIL NIL) (|BalancedPAdicInteger| 334343 336676 336780 "BPADIC" 336785 NIL BPADIC (NIL NIL) |domain| NIL NIL) (|BoundIntegerRoots| 333769 333813 334041 "BOUNDZRO" 334275 NIL BOUNDZRO (NIL T T) |package| NIL NIL) (|BasicOperator| 326469 328003 329489 "BOP" 332325 T BOP (NIL) |domain| NIL NIL) (|BasicOperatorFunctions1| 322244 322960 323888 "BOP1" 325624 NIL BOP1 (NIL T) |package| NIL NIL) (|Boolean| 320040 320866 321302 "BOOLEAN" 321838 T BOOLEAN (NIL) |domain| NIL NIL) (|BiModule| 319129 319589 319663 "BMODULE" 319668 NIL BMODULE (NIL T T) |category| NIL 319795) (|BlowUpPackage| 312783 313854 315191 "BLUPPACK" 318012 NIL BLUPPACK (NIL T NIL T T T) |package| NIL NIL) (|BlowUpWithQuadTrans| 311905 312546 312689 "BLQT" 312694 T BLQT (NIL) |domain| NIL NIL) (|BlowUpMethodCategory| 309451 310082 310152 "BLMETCT" 311246 T BLMETCT (NIL) |category| NIL 311823) (|BlowUpWithHamburgerNoether| 308566 309204 309359 "BLHN" 309364 T BLHN (NIL) |domain| NIL NIL) (|BlasLevelOne| 298333 300640 303091 "BLAS1" 306155 T BLAS1 (NIL) |package| NIL NIL) (|Bits| 292070 297975 298104 "BITS" 298228 T BITS (NIL) |domain| NIL NIL) (|BinaryFile| 290593 291224 291513 "BINFILE" 291817 T BINFILE (NIL) |domain| NIL NIL) (|BinaryExpansion| 280774 289582 289898 "BINARY" 290323 T BINARY (NIL) |domain| NIL NIL) (|BagAggregate| 277681 279671 279739 "BGAGG" 280146 NIL BGAGG (NIL T) |category| NIL 280374) (|BagAggregate&| 277439 277473 277616 "BGAGG-" 277621 NIL BGAGG- (NIL T T) |domain| NIL NIL) (|BasicFunctions| 276083 276456 276796 "BFUNCT" 277143 T BFUNCT (NIL) |domain| NIL NIL) (|BezoutMatrix| 273749 274005 274487 "BEZOUT" 275809 NIL BEZOUT (NIL T T T T T) |package| NIL NIL) (|Bezier| 272242 272538 272910 "BEZIER" 273419 NIL BEZIER (NIL T) |package| NIL NIL) (|BalancedBinaryTree| 267076 270286 270847 "BBTREE" 271754 NIL BBTREE (NIL T) |domain| NIL NIL) (|BasicType| 266705 266761 266809 "BASTYPE" 266981 T BASTYPE (NIL) |category| NIL NIL) (|BasicType&| 266495 266525 266640 "BASTYPE-" 266645 NIL BASTYPE- (NIL T) |domain| NIL NIL) (|BalancedFactorisation| 265390 265498 265813 "BALFACT" 266332 NIL BALFACT (NIL T T) |package| NIL NIL) (|AxiomServer| 264347 264529 264784 "AXSERV" 265173 T AXSERV (NIL) |package| NIL NIL) (|Automorphism| 262654 263408 263705 "AUTOMOR" 264104 NIL AUTOMOR (NIL T) |domain| NIL NIL) (|UnitsKnownAttribute| 262527 262532 262600 "ATUNIKN" 262605 T ATUNIKN (NIL) |category| NIL NIL) (|AttributeRegistry| 261869 261874 261938 "ATTREG" 261943 T ATTREG (NIL) |category| NIL NIL) (|AttributeButtons| 258975 259559 260194 "ATTRBUT" 261282 T ATTRBUT (NIL) |domain| NIL NIL) (|ShallowlyMutableAttribute| 258836 258841 258921 "ATSHMUT" 258926 T ATSHMUT (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory| 257990 258109 258203 "ATRIG" 258656 T ATRIG (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory&| 257652 257695 257902 "ATRIG-" 257907 NIL ATRIG- (NIL T) |domain| NIL NIL) (|PartiallyOrderedSetAttribute| 257507 257512 257598 "ATPOSET" 257603 T ATPOSET (NIL) |category| NIL NIL) (|NoZeroDivisorsAttribute| 257372 257377 257453 "ATNZDIV" 257458 T ATNZDIV (NIL) |category| NIL NIL) (|NullSquareAttribute| 257245 257250 257318 "ATNULSQ" 257323 T ATNULSQ (NIL) |category| NIL NIL) (|NotherianAttribute| 257120 257125 257191 "ATNOTHR" 257196 T ATNOTHR (NIL) |category| NIL NIL) (|MultiplicativeValuationAttribute| 256967 256972 257066 "ATMULVA" 257071 T ATMULVA (NIL) |category| NIL NIL) (|LeftUnitaryAttribute| 256838 256843 256913 "ATLUNIT" 256918 T ATLUNIT (NIL) |category| NIL NIL) (|LazyRepresentationAttribute| 256695 256700 256784 "ATLR" 256789 T ATLR (NIL) |category| NIL NIL) (|JacobiIdentityAttribute| 256560 256565 256641 "ATJACID" 256646 T ATJACID (NIL) |category| NIL NIL) (|FiniteAggregateAttribute| 256423 256428 256506 "ATFINAG" 256511 T ATFINAG (NIL) |category| NIL NIL) (|CanonicalUnitNormalAttribute| 256278 256283 256369 "ATCUNOR" 256374 T ATCUNOR (NIL) |category| NIL NIL) (|CommutativeStarAttribute| 256141 256146 256224 "ATCS" 256229 T ATCS (NIL) |category| NIL NIL) (|CentralAttribute| 256020 256025 256087 "ATCENRL" 256092 T ATCENRL (NIL) |category| NIL NIL) (|CanonicalAttribute| 255895 255900 255966 "ATCANON" 255971 T ATCANON (NIL) |category| NIL NIL) (|CanonicalClosedAttribute| 255758 255763 255841 "ATCANCL" 255846 T ATCANCL (NIL) |category| NIL NIL) (|ArbitraryPrecisionAttribute| 255615 255620 255704 "ATARBPR" 255709 T ATARBPR (NIL) |category| NIL NIL) (|ArbitraryExponentAttribute| 255474 255479 255561 "ATARBEX" 255566 T ATARBEX (NIL) |category| NIL NIL) (|ApproximateAttribute| 255345 255350 255420 "ATAPPRO" 255425 T ATAPPRO (NIL) |category| NIL NIL) (|AdditiveValuationAttribute| 255204 255209 255291 "ATADDVA" 255296 T ATADDVA (NIL) |category| NIL NIL) (|ArrayStack| 245017 247184 248909 "ASTACK" 253536 NIL ASTACK (NIL T) |domain| NIL NIL) (|AssociatedEquations| 242420 242868 243501 "ASSOCEQ" 244519 NIL ASSOCEQ (NIL T T) |package| NIL NIL) (|Asp9| 240912 241853 242063 "ASP9" 242250 NIL ASP9 (NIL NIL) |domain| NIL NIL) (|Asp8| 240546 240813 240880 "ASP8" 240885 NIL ASP8 (NIL NIL) |domain| NIL NIL) (|Asp80| 238781 239886 240130 "ASP80" 240344 NIL ASP80 (NIL NIL) |domain| NIL NIL) (|Asp7| 237080 238169 238396 "ASP7" 238594 NIL ASP7 (NIL NIL) |domain| NIL NIL) (|Asp78| 235417 236495 236714 "ASP78" 236903 NIL ASP78 (NIL NIL) |domain| NIL NIL) (|Asp77| 233753 234832 235051 "ASP77" 235240 NIL ASP77 (NIL NIL) |domain| NIL NIL) (|Asp74| 232049 233138 233367 "ASP74" 233566 NIL ASP74 (NIL NIL) |domain| NIL NIL) (|Asp73| 230347 231434 231663 "ASP73" 231862 NIL ASP73 (NIL NIL) |domain| NIL NIL) (|Asp6| 228686 229765 229982 "ASP6" 230170 NIL ASP6 (NIL NIL) |domain| NIL NIL) (|Asp55| 227016 228101 228320 "ASP55" 228509 NIL ASP55 (NIL NIL) |domain| NIL NIL) (|Asp50| 225347 226428 226648 "ASP50" 226838 NIL ASP50 (NIL NIL) |domain| NIL NIL) (|Asp4| 223879 224810 225010 "ASP4" 225187 NIL ASP4 (NIL NIL) |domain| NIL NIL) (|Asp49| 222408 223339 223541 "ASP49" 223719 NIL ASP49 (NIL NIL) |domain| NIL NIL) (|Asp42| 220552 221663 221938 "ASP42" 222207 NIL ASP42 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp41| 218705 219813 220086 "ASP41" 220353 NIL ASP41 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp35| 217038 218120 218339 "ASP35" 218528 NIL ASP35 (NIL NIL) |domain| NIL NIL) (|Asp34| 216670 216937 217006 "ASP34" 217011 NIL ASP34 (NIL NIL) |domain| NIL NIL) (|Asp33| 216222 216314 216455 "ASP33" 216571 NIL ASP33 (NIL NIL) |domain| NIL NIL) (|Asp31| 214515 215607 215836 "ASP31" 216035 NIL ASP31 (NIL NIL) |domain| NIL NIL) (|Asp30| 214147 214414 214483 "ASP30" 214488 NIL ASP30 (NIL NIL) |domain| NIL NIL) (|Asp29| 213697 213791 213932 "ASP29" 214048 NIL ASP29 (NIL NIL) |domain| NIL NIL) (|Asp28| 213329 213596 213665 "ASP28" 213670 NIL ASP28 (NIL NIL) |domain| NIL NIL) (|Asp27| 212961 213228 213297 "ASP27" 213302 NIL ASP27 (NIL NIL) |domain| NIL NIL) (|Asp24| 211486 212418 212621 "ASP24" 212800 NIL ASP24 (NIL NIL) |domain| NIL NIL) (|Asp20| 209768 210862 211094 "ASP20" 211296 NIL ASP20 (NIL NIL) |domain| NIL NIL) (|Asp1| 208300 209231 209431 "ASP1" 209608 NIL ASP1 (NIL NIL) |domain| NIL NIL) (|Asp19| 206625 207712 207932 "ASP19" 208122 NIL ASP19 (NIL NIL) |domain| NIL NIL) (|Asp12| 206177 206269 206410 "ASP12" 206526 NIL ASP12 (NIL NIL) |domain| NIL NIL) (|Asp10| 204411 205514 205759 "ASP10" 205974 NIL ASP10 (NIL NIL) |domain| NIL NIL) (|TwoDimensionalArray| 201270 204024 204249 "ARRAY2" 204254 NIL ARRAY2 (NIL T) |domain| NIL NIL) (|OneDimensionalArray| 195159 200535 200789 "ARRAY1" 201084 NIL ARRAY1 (NIL T) |domain| NIL NIL) (|OneDimensionalArrayFunctions2| 193375 193663 194087 "ARRAY12" 194837 NIL ARRAY12 (NIL T T) |package| NIL NIL) (|TwoDimensionalArrayCategory| 183671 186279 186451 "ARR2CAT" 191766 NIL ARR2CAT (NIL T T T) |category| NIL 192975) (|TwoDimensionalArrayCategory&| 179838 180860 182368 "ARR2CAT-" 182373 NIL ARR2CAT- (NIL T T T T) |domain| NIL NIL) (|ApplyRules| 177722 177928 178437 "APPRULE" 179583 NIL APPRULE (NIL T T T) |package| NIL NIL) (|ApplyUnivariateSkewPolynomial| 177093 177150 177391 "APPLYORE" 177641 NIL APPLYORE (NIL T T T) |package| NIL NIL) (|ApplicationProgramInterface| 175651 175869 176201 "API" 176831 T API (NIL) |package| NIL NIL) (|Any| 174083 174471 174795 "ANY" 175349 T ANY (NIL) |domain| NIL NIL) (|AnyFunctions1| 172933 173099 173360 "ANY1" 173878 NIL ANY1 (NIL T) |package| NIL NIL) (|AntiSymm| 169143 170384 170948 "ANTISYM" 172440 NIL ANTISYM (NIL T NIL) |domain| NIL NIL) (|AnonymousFunction| 168892 169054 169121 "ANON" 169126 T ANON (NIL) |domain| NIL NIL) (|AlgebraicNumber| 159460 165887 166849 "AN" 167976 T AN (NIL) |domain| NIL NIL) (|AbelianMonoidRing| 153584 155485 155593 "AMR" 157017 NIL AMR (NIL T T) |category| NIL 157953) (|AbelianMonoidRing&| 152263 152558 153135 "AMR-" 153140 NIL AMR- (NIL T T T) |domain| NIL NIL) (|AssociationList| 131828 152090 152218 "ALIST" 152223 NIL ALIST (NIL T T) |domain| NIL NIL) (|AlgebraGivenByStructuralConstants| 127001 131087 131416 "ALGSC" 131678 NIL ALGSC (NIL T NIL NIL NIL) |domain| NIL NIL) (|AlgebraPackage| 120277 121187 122332 "ALGPKG" 125966 NIL ALGPKG (NIL T T) |package| NIL NIL) (|AlgebraicMultFact| 118768 118962 119357 "ALGMFACT" 120043 NIL ALGMFACT (NIL T T T) |package| NIL NIL) (|AlgebraicManipulations| 111091 112039 113114 "ALGMANIP" 118067 NIL ALGMANIP (NIL T T) |package| NIL NIL) (|AlgebraicFunctionField| 97882 110316 110634 "ALGFF" 110957 NIL ALGFF (NIL T T T NIL) |domain| NIL NIL) (|AlgFactor| 96410 96599 96930 "ALGFACT" 97643 NIL ALGFACT (NIL T) |package| NIL NIL) (|Algebra| 94976 95767 95836 "ALGEBRA" 95938 NIL ALGEBRA (NIL T) |category| NIL 96025) (|Algebra&| 94543 94618 94834 "ALGEBRA-" 94839 NIL ALGEBRA- (NIL T T) |domain| NIL NIL) (|AssociationListAggregate| 70289 91056 91176 "ALAGG" 91399 NIL ALAGG (NIL T T) |category| |AssociationList| 91625) (|ArcHyperbolicFunctionCategory| 69449 69574 69662 "AHYP" 70103 T AHYP (NIL) |category| NIL NIL) (|Aggregate| 67687 68056 68104 "AGG" 68958 T AGG (NIL) |category| NIL 69431) (|Aggregate&| 66746 66993 67365 "AGG-" 67370 NIL AGG- (NIL T) |domain| NIL NIL) (|AffineSpaceCategory| 62636 63427 63510 "AFSPCAT" 65807 NIL AFSPCAT (NIL T) |category| NIL 66632) (|AlgebraicFunction| 58425 59087 59831 "AF" 62018 NIL AF (NIL T T) |package| NIL NIL) (|AffineSpace| 57480 58279 58390 "AFFSP" 58395 NIL AFFSP (NIL NIL T) |domain| NIL NIL) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| 56013 57190 57405 "AFFPLPS" 57410 NIL AFFPLPS (NIL T) |domain| NIL NIL) (|AffinePlane| 55078 55895 55978 "AFFPL" 55983 NIL AFFPL (NIL T) |domain| NIL NIL) (|AffineAlgebraicSetComputeWithResultant| 48512 49389 50647 "AFALGRES" 54122 NIL AFALGRES (NIL T NIL T T T) |package| NIL NIL) (|AffineAlgebraicSetComputeWithGroebnerBasis| 45978 46239 46844 "AFALGGRO" 48217 NIL AFALGGRO (NIL T NIL T T T) |package| NIL NIL) (|PlaneAlgebraicCurvePlot| 44687 45081 45400 "ACPLOT" 45721 T ACPLOT (NIL) |domain| NIL NIL) (|AlgebraicallyClosedFunctionSpace| 28628 39906 40048 "ACFS" 41463 NIL ACFS (NIL T) |category| |Expression| 41846) (|AlgebraicallyClosedFunctionSpace&| 25328 26092 27446 "ACFS-" 27451 NIL ACFS- (NIL T T) |domain| NIL NIL) (|AlgebraicallyClosedField| 18951 21835 21913 "ACF" 23646 T ACF (NIL) |category| NIL 24442) (|AlgebraicallyClosedField&| 16600 17188 18117 "ACF-" 18122 NIL ACF- (NIL T) |domain| NIL NIL) (|AbelianSemiGroup| 15981 16189 16251 "ABELSG" 16410 T ABELSG (NIL) |category| NIL 16518) (|AbelianSemiGroup&| 15728 15766 15909 "ABELSG-" 15914 NIL ABELSG- (NIL T) |domain| NIL NIL) (|AbelianMonoid| 14733 15060 15116 "ABELMON" 15417 T ABELMON (NIL) |category| NIL 15619) (|AbelianMonoid&| 14172 14295 14545 "ABELMON-" 14550 NIL ABELMON- (NIL T) |domain| NIL NIL) (|AbelianGroup| 13194 13622 13676 "ABELGRP" 13869 T ABELGRP (NIL) |category| NIL 14003) (|AbelianGroup&| 12401 12575 12914 "ABELGRP-" 12919 NIL ABELGRP- (NIL T) |domain| NIL NIL) (|OneDimensionalArrayAggregate| 6156 11366 11466 "A1AGG" 11471 NIL A1AGG (NIL T) |category| NIL 11565) (|OneDimensionalArrayAggregate&| 30 1630 3956 "A1AGG-" 3961 NIL A1AGG- (NIL T T) |domain| NIL NIL)) 
\ No newline at end of file
+((|Category| 5949256 5949261 5949266 "NIL" NIL T NIL (NIL) NIL NIL NIL) (|Union| 5949241 5949246 5949251 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Record| 5949226 5949231 5949236 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Mapping| 5949211 5949216 5949221 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Enumeration| 5949196 5949201 5949206 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|IntegerMod| 5947926 5948956 5949104 "ZMOD" 5949109 NIL ZMOD (NIL NIL) |domain| NIL NIL) (|IntegerLinearDependence| 5946280 5946543 5946948 "ZLINDEP" 5947629 NIL ZLINDEP (NIL T) |package| NIL NIL) (|ZeroDimensionalSolvePackage| 5926430 5929534 5933238 "ZDSOLVE" 5942786 NIL ZDSOLVE (NIL T NIL NIL) |package| NIL NIL) (|ParadoxicalCombinatorsForStreams| 5925289 5925469 5925776 "YSTREAM" 5926217 NIL YSTREAM (NIL T) |package| NIL NIL) (|XRecursivePolynomial| 5921946 5924064 5924419 "XRPOLY" 5925024 NIL XRPOLY (NIL T T) |domain| NIL NIL) (|XPolynomialRing| 5916585 5918312 5919222 "XPR" 5921119 NIL XPR (NIL T T) |domain| NIL NIL) (|XPolynomial| 5913216 5915473 5915814 "XPOLY" 5916296 NIL XPOLY (NIL T) |domain| NIL NIL) (|XPolynomialsCat| 5909927 5911823 5911917 "XPOLYC" 5912437 NIL XPOLYC (NIL T T) |category| NIL 5912646) (|XPBWPolynomial| 5904035 5907237 5907923 "XPBWPOLY" 5909330 NIL XPBWPOLY (NIL T T) |domain| NIL NIL) (|ExtensionField| 5897380 5900757 5900830 "XF" 5901983 NIL XF (NIL T) |category| NIL 5902763) (|ExtensionField&| 5896734 5896871 5897168 "XF-" 5897173 NIL XF- (NIL T T) |domain| NIL NIL) (|XFreeAlgebra| 5889456 5891218 5891306 "XFALG" 5894972 NIL XFALG (NIL T T) |category| NIL 5896197) (|XExponentialPackage| 5887939 5888097 5888457 "XEXPPKG" 5889264 NIL XEXPPKG (NIL T T T) |package| NIL NIL) (|XDistributedPolynomial| 5885195 5887660 5887844 "XDPOLY" 5887849 NIL XDPOLY (NIL T T) |domain| NIL NIL) (|XAlgebra| 5883615 5884406 5884466 "XALG" 5884558 NIL XALG (NIL T) |category| NIL 5884733) (|WuWenTsunTriangularSet| 5873585 5879936 5880766 "WUTSET" 5882974 NIL WUTSET (NIL T T T T) |domain| NIL NIL) (|WeightedPolynomials| 5870139 5871201 5871772 "WP" 5873262 NIL WP (NIL T T T T NIL NIL NIL) |domain| NIL NIL) (|WildFunctionFieldIntegralBasis| 5868295 5868550 5869058 "WFFINTBS" 5869855 NIL WFFINTBS (NIL T T T T) |package| NIL NIL) (|WeierstrassPreparation| 5864593 5865302 5866135 "WEIER" 5867537 NIL WEIER (NIL T) |package| NIL NIL) (|VectorSpace| 5863372 5863892 5863959 "VSPACE" 5864179 NIL VSPACE (NIL T) |category| NIL 5864297) (|VectorSpace&| 5863159 5863182 5863315 "VSPACE-" 5863320 NIL VSPACE- (NIL T T) |domain| NIL NIL) (|Void| 5862783 5862838 5862946 "VOID" 5863075 T VOID (NIL) |domain| NIL NIL) (|ViewportPackage| 5859368 5860000 5860774 "VIEW" 5862055 T VIEW (NIL) |package| NIL NIL) (|ViewDefaultsPackage| 5852072 5853248 5854880 "VIEWDEF" 5857790 T VIEWDEF (NIL) |package| NIL NIL) (|ThreeDimensionalViewport| 5834605 5837725 5841300 "VIEW3D" 5848561 T VIEW3D (NIL) |domain| NIL NIL) (|TwoDimensionalViewport| 5821839 5824271 5826920 "VIEW2D" 5832016 T VIEW2D (NIL) |domain| NIL NIL) (|Vector| 5815477 5821495 5821630 "VECTOR" 5821746 NIL VECTOR (NIL T) |domain| NIL NIL) (|VectorFunctions2| 5813447 5813769 5814214 "VECTOR2" 5815108 NIL VECTOR2 (NIL T T) |package| NIL NIL) (|VectorCategory| 5804141 5810038 5810110 "VECTCAT" 5811784 NIL VECTCAT (NIL T) |category| NIL 5812567) (|VectorCategory&| 5802847 5803139 5803682 "VECTCAT-" 5803687 NIL VECTCAT- (NIL T T) |domain| NIL NIL) (|Variable| 5802088 5802299 5802492 "VARIABLE" 5802702 NIL VARIABLE (NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCZero| 5789855 5798289 5799142 "UTSZ" 5801335 NIL UTSZ (NIL T NIL) |domain| NIL NIL) (|TaylorSolve| 5789097 5789164 5789440 "UTSSOL" 5789764 NIL UTSSOL (NIL T T T) |package| NIL NIL) (|UTSodetools| 5786922 5787125 5787580 "UTSODETL" 5788839 NIL UTSODETL (NIL T T T T) |package| NIL NIL) (|UnivariateTaylorSeriesODESolver| 5782694 5783290 5784110 "UTSODE" 5786267 NIL UTSODE (NIL T T) |package| NIL NIL) (|UnivariateTaylorSeries| 5770262 5778700 5779553 "UTS" 5781941 NIL UTS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCategory| 5756388 5764209 5764313 "UTSCAT" 5766426 NIL UTSCAT (NIL T) |category| NIL 5767672) (|UnivariateTaylorSeriesCategory&| 5752875 5753688 5755104 "UTSCAT-" 5755109 NIL UTSCAT- (NIL T T) |domain| NIL NIL) (|UnivariateTaylorSeriesFunctions2| 5752183 5752233 5752505 "UTS2" 5752801 NIL UTS2 (NIL T T T T) |package| NIL NIL) (|UnaryRecursiveAggregate| 5743352 5746953 5747043 "URAGG" 5750662 NIL URAGG (NIL T) |category| NIL 5751749) (|UnaryRecursiveAggregate&| 5739023 5740127 5741795 "URAGG-" 5741800 NIL URAGG- (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesWithExponentialSingularity| 5731744 5736380 5737312 "UPXSSING" 5738446 NIL UPXSSING (NIL T T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeries| 5720002 5730234 5730730 "UPXS" 5731350 NIL UPXS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructor| 5710093 5719737 5719939 "UPXSCONS" 5719944 NIL UPXSCONS (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructorCategory| 5695180 5704773 5704948 "UPXSCCA" 5706387 NIL UPXSCCA (NIL T T) |category| NIL 5706801) (|UnivariatePuiseuxSeriesConstructorCategory&| 5694537 5694647 5695023 "UPXSCCA-" 5695028 NIL UPXSCCA- (NIL T T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesCategory| 5679721 5689008 5689114 "UPXSCAT" 5690349 NIL UPXSCAT (NIL T) |category| NIL 5691321) (|UnivariatePuiseuxSeriesFunctions2| 5678749 5678875 5679187 "UPXS2" 5679571 NIL UPXS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariatePolynomialSquareFree| 5676592 5676909 5677477 "UPSQFREE" 5678398 NIL UPSQFREE (NIL T T) |package| NIL NIL) (|UnivariatePowerSeriesCategory| 5667180 5671314 5671446 "UPSCAT" 5673641 NIL UPSCAT (NIL T T) |category| NIL 5674732) (|UnivariatePowerSeriesCategory&| 5665829 5666142 5666743 "UPSCAT-" 5666748 NIL UPSCAT- (NIL T T T) |domain| NIL NIL) (|UnivariatePolynomialCategory| 5641873 5654758 5654858 "UPOLYC" 5658975 NIL UPOLYC (NIL T) |category| NIL 5661068) (|UnivariatePolynomialCategory&| 5626492 5630639 5636319 "UPOLYC-" 5636324 NIL UPOLYC- (NIL T T) |domain| NIL NIL) (|UnivariatePolynomialCategoryFunctions2| 5625790 5625840 5626120 "UPOLYC2" 5626418 NIL UPOLYC2 (NIL T T T T) |package| NIL NIL) (|UnivariatePolynomial| 5612011 5625034 5625287 "UP" 5625623 NIL UP (NIL NIL T) |domain| NIL NIL) (|UnivariatePolynomialMultiplicationPackage| 5610696 5610859 5611211 "UPMP" 5611814 NIL UPMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDivisionPackage| 5609892 5610003 5610291 "UPDIVP" 5610561 NIL UPDIVP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDecompositionPackage| 5607065 5607455 5608084 "UPDECOMP" 5609458 NIL UPDECOMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialCommonDenominator| 5605540 5605698 5606083 "UPCDEN" 5606873 NIL UPCDEN (NIL T T T) |package| NIL NIL) (|UnivariatePolynomialFunctions2| 5604700 5604810 5605080 "UP2" 5605406 NIL UP2 (NIL NIL T NIL T) |package| NIL NIL) (|UniversalSegment| 5602618 5603451 5603886 "UNISEG" 5604327 NIL UNISEG (NIL T) |domain| NIL NIL) (|UniversalSegmentFunctions2| 5601315 5601507 5601848 "UNISEG2" 5602373 NIL UNISEG2 (NIL T T) |package| NIL NIL) (|UnivariateFactorize| 5599757 5600005 5600391 "UNIFACT" 5601033 NIL UNIFACT (NIL T) |package| NIL NIL) (|UnivariateLaurentSeries| 5575606 5598369 5598804 "ULS" 5599424 NIL ULS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructor| 5558748 5575342 5575543 "ULSCONS" 5575548 NIL ULSCONS (NIL T T) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructorCategory| 5533199 5549855 5550029 "ULSCCAT" 5551609 NIL ULSCCAT (NIL T T) |category| NIL 5552099) (|UnivariateLaurentSeriesConstructorCategory&| 5531660 5531983 5532700 "ULSCCAT-" 5532705 NIL ULSCCAT- (NIL T T T) |domain| NIL NIL) (|UnivariateLaurentSeriesCategory| 5516495 5525592 5525698 "ULSCAT" 5527360 NIL ULSCAT (NIL T) |category| NIL 5528522) (|UnivariateLaurentSeriesFunctions2| 5515523 5515649 5515961 "ULS2" 5516345 NIL ULS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariateFormalPowerSeries| 5503493 5511989 5512861 "UFPS" 5514735 NIL UFPS (NIL T) |domain| NIL NIL) (|UnivariateFormalPowerSeriesFunctions| 5502767 5502901 5503161 "UFPS1" 5503335 NIL UFPS1 (NIL T) |package| NIL NIL) (|UniqueFactorizationDomain| 5500186 5501601 5501681 "UFD" 5502086 T UFD (NIL) |category| NIL 5502286) (|UniqueFactorizationDomain&| 5499809 5499874 5500079 "UFD-" 5500084 NIL UFD- (NIL T) |domain| NIL NIL) (|UserDefinedVariableOrdering| 5498257 5498516 5498905 "UDVO" 5499490 T UDVO (NIL) |package| NIL NIL) (|UserDefinedPartialOrdering| 5494854 5495378 5496086 "UDPO" 5497638 NIL UDPO (NIL T) |package| NIL NIL) (|U8Vector| 5488697 5494725 5494803 "U8VEC" 5494808 T U8VEC (NIL) |domain| NIL NIL) (|U8Matrix| 5482978 5488308 5488474 "U8MAT" 5488563 T U8MAT (NIL) |domain| NIL NIL) (|U32Vector| 5476819 5482847 5482927 "U32VEC" 5482932 T U32VEC (NIL) |domain| NIL NIL) (|U32Matrix| 5471081 5476423 5476593 "U32MAT" 5476683 T U32MAT (NIL) |domain| NIL NIL) (|U16Vector| 5464922 5470950 5471030 "U16VEC" 5471035 T U16VEC (NIL) |domain| NIL NIL) (|U16Matrix| 5459184 5464526 5464696 "U16MAT" 5464786 T U16MAT (NIL) |domain| NIL NIL) (|Type| 5459087 5459092 5459130 "TYPE" 5459135 T TYPE (NIL) |category| NIL NIL) (|TwoFactorize| 5456471 5456999 5457630 "TWOFACT" 5458525 NIL TWOFACT (NIL T) |package| NIL NIL) (|Tuple| 5455008 5455471 5455804 "TUPLE" 5456178 NIL TUPLE (NIL T) |domain| NIL NIL) (|TubePlotTools| 5451022 5451894 5452872 "TUBETOOL" 5454072 T TUBETOOL (NIL) |package| NIL NIL) (|TubePlot| 5449087 5449373 5449777 "TUBE" 5450687 NIL TUBE (NIL T) |domain| NIL NIL) (|TaylorSeries| 5441444 5447370 5447840 "TS" 5448671 NIL TS (NIL T) |domain| NIL NIL) (|TriangularSetCategory| 5421726 5427525 5427729 "TSETCAT" 5438508 NIL TSETCAT (NIL T T T T) |category| NIL 5440922) (|TriangularSetCategory&| 5413958 5416123 5419042 "TSETCAT-" 5419047 NIL TSETCAT- (NIL T T T T T) |domain| NIL NIL) (|TranscendentalManipulations| 5403677 5404758 5406217 "TRMANIP" 5412684 NIL TRMANIP (NIL T T) |package| NIL NIL) (|TriangularMatrixOperations| 5402588 5402678 5403000 "TRIMAT" 5403558 NIL TRIMAT (NIL T T T T) |package| NIL NIL) (|TrigonometricManipulations| 5398166 5398460 5399144 "TRIGMNIP" 5402187 NIL TRIGMNIP (NIL T T) |package| NIL NIL) (|TrigonometricFunctionCategory| 5397362 5397475 5397563 "TRIGCAT" 5397992 T TRIGCAT (NIL) |category| NIL NIL) (|TrigonometricFunctionCategory&| 5396881 5396960 5397216 "TRIGCAT-" 5397221 NIL TRIGCAT- (NIL T) |domain| NIL NIL) (|Tree| 5392334 5395047 5395515 "TREE" 5396458 NIL TREE (NIL T) |domain| NIL NIL) (|TranscendentalFunctionCategory| 5391204 5391755 5391845 "TRANFUN" 5391916 T TRANFUN (NIL) |category| NIL 5392134) (|TranscendentalFunctionCategory&| 5390216 5390421 5390869 "TRANFUN-" 5390874 NIL TRANFUN- (NIL T) |domain| NIL NIL) (|TopLevelThreeSpace| 5389807 5389868 5390006 "TOPSP" 5390130 T TOPSP (NIL) |package| NIL NIL) (|ToolsForSign| 5388810 5388965 5389208 "TOOLSIGN" 5389618 NIL TOOLSIGN (NIL T) |package| NIL NIL) (|TextFile| 5386793 5387492 5387888 "TEXTFILE" 5388446 T TEXTFILE (NIL) |domain| NIL NIL) (|TexFormat| 5383602 5384280 5384969 "TEX" 5386138 T TEX (NIL) |domain| NIL NIL) (|TexFormat1| 5383248 5383288 5383409 "TEX1" 5383538 NIL TEX1 (NIL T) |package| NIL NIL) (|TemplateUtilities| 5382587 5382692 5382876 "TEMUTL" 5383114 T TEMUTL (NIL) |package| NIL NIL) (|TabulatedComputationPackage| 5379321 5379714 5380288 "TBCMPPK" 5382125 NIL TBCMPPK (NIL T T) |package| NIL NIL) (|TableAggregate| 5368118 5376450 5376550 "TBAGG" 5377218 NIL TBAGG (NIL T T) |category| NIL 5377518) (|TableAggregate&| 5361413 5363329 5365782 "TBAGG-" 5365787 NIL TBAGG- (NIL T T T) |domain| NIL NIL) (|TangentExpansions| 5360369 5360526 5360782 "TANEXP" 5361222 NIL TANEXP (NIL T) |package| NIL NIL) (|Table| 5351700 5360116 5360274 "TABLE" 5360279 NIL TABLE (NIL T T) |domain| NIL NIL) (|Tableau| 5350801 5350930 5351144 "TABLEAU" 5351537 NIL TABLEAU (NIL T) |domain| NIL NIL) (|TableauxBumpers| 5343525 5344998 5346621 "TABLBUMP" 5349244 NIL TABLBUMP (NIL T) |package| NIL NIL) (|SystemSolvePackage| 5337611 5338699 5339997 "SYSSOLP" 5342303 NIL SYSSOLP (NIL T) |package| NIL NIL) (|SymbolTable| 5333130 5334015 5335046 "SYMTAB" 5336618 T SYMTAB (NIL) |domain| NIL NIL) (|TheSymbolTable| 5325385 5326695 5328355 "SYMS" 5331514 T SYMS (NIL) |domain| NIL NIL) (|SymmetricPolynomial| 5321281 5324419 5324824 "SYMPOLY" 5325048 NIL SYMPOLY (NIL T) |domain| NIL NIL) (|SymmetricFunctions| 5320507 5320607 5320814 "SYMFUNC" 5321140 NIL SYMFUNC (NIL T) |package| NIL NIL) (|Symbol| 5314571 5316281 5317582 "SYMBOL" 5319234 T SYMBOL (NIL) |domain| NIL NIL) (|Switch| 5305597 5307895 5310311 "SWITCH" 5312183 T SWITCH (NIL) |domain| NIL NIL) (|SparseUnivariateTaylorSeries| 5295361 5303518 5304066 "SUTS" 5305161 NIL SUTS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePuiseuxSeries| 5283504 5293797 5294317 "SUPXS" 5294955 NIL SUPXS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePolynomial| 5269739 5282758 5283023 "SUP" 5283321 NIL SUP (NIL T) |domain| NIL NIL) (|SupFractionFactorizer| 5267942 5268207 5268674 "SUPFRACF" 5269445 NIL SUPFRACF (NIL T T T T) |package| NIL NIL) (|SparseUnivariatePolynomialExpressions| 5252619 5267473 5267757 "SUPEXPR" 5267762 NIL SUPEXPR (NIL T) |domain| NIL NIL) (|SparseUnivariatePolynomialFunctions2| 5251837 5251949 5252201 "SUP2" 5252483 NIL SUP2 (NIL T T) |package| NIL NIL) (|RationalFunctionSum| 5249042 5249492 5250137 "SUMRF" 5251324 NIL SUMRF (NIL T) |package| NIL NIL) (|FunctionSpaceSum| 5247675 5247755 5248169 "SUMFS" 5248925 NIL SUMFS (NIL T T) |package| NIL NIL) (|SparseUnivariateLaurentSeries| 5222778 5246245 5246698 "SULS" 5247336 NIL SULS (NIL T NIL NIL) |domain| NIL NIL) (|SuchThat| 5221793 5222032 5222244 "SUCH" 5222640 NIL SUCH (NIL T T) |domain| NIL NIL) (|SubSpace| 5211346 5212924 5214685 "SUBSPACE" 5220103 NIL SUBSPACE (NIL NIL T) |domain| NIL NIL) (|SubResultantPackage| 5210281 5210421 5210727 "SUBRESP" 5211161 NIL SUBRESP (NIL T T) |package| NIL NIL) (|StreamTranscendentalFunctions| 5200360 5201885 5203680 "STTF" 5208602 NIL STTF (NIL T) |package| NIL NIL) (|StreamTranscendentalFunctionsNonCommutative| 5191175 5192484 5194091 "STTFNC" 5198897 NIL STTFNC (NIL T) |package| NIL NIL) (|StreamTaylorSeriesOperations| 5178141 5180540 5183076 "STTAYLOR" 5188725 NIL STTAYLOR (NIL T) |package| NIL NIL) (|StringTable| 5168941 5177885 5178040 "STRTBL" 5178045 NIL STRTBL (NIL T) |domain| NIL NIL) (|String| 5161811 5168868 5168916 "STRING" 5168921 T STRING (NIL) |domain| NIL NIL) (|StringCategory| 5153642 5160613 5160671 "STRICAT" 5160767 T STRICAT (NIL) |category| |String| 5160883) (|Stream| 5142878 5149695 5150689 "STREAM" 5152690 NIL STREAM (NIL T) |domain| NIL NIL) (|StreamFunctions3| 5142173 5142266 5142473 "STREAM3" 5142761 NIL STREAM3 (NIL T T T) |package| NIL NIL) (|StreamFunctions2| 5140714 5140937 5141270 "STREAM2" 5141916 NIL STREAM2 (NIL T T) |package| NIL NIL) (|StreamFunctions1| 5140243 5140307 5140457 "STREAM1" 5140626 NIL STREAM1 (NIL T) |package| NIL NIL) (|StreamTensor| 5139707 5139794 5139959 "STNSR" 5140132 NIL STNSR (NIL T) |package| NIL NIL) (|StreamInfiniteProduct| 5137909 5138186 5138616 "STINPROD" 5139391 NIL STINPROD (NIL T) |package| NIL NIL) (|StepThrough| 5137300 5137525 5137577 "STEP" 5137699 T STEP (NIL) |category| NIL 5137827) (|SparseTable| 5128729 5137145 5137265 "STBL" 5137270 NIL STBL (NIL T T NIL) |domain| NIL NIL) (|StreamAggregate| 5121712 5127466 5127540 "STAGG" 5127813 NIL STAGG (NIL T) |category| NIL 5127999) (|StreamAggregate&| 5118606 5119337 5120568 "STAGG-" 5120573 NIL STAGG- (NIL T T) |domain| NIL NIL) (|Stack| 5108609 5110771 5112481 "STACK" 5116943 NIL STACK (NIL T) |domain| NIL NIL) (|SquareFreeRegularTriangularSet| 5097545 5105131 5105940 "SREGSET" 5108000 NIL SREGSET (NIL T T T T) |domain| NIL NIL) (|SquareFreeRegularSetDecompositionPackage| 5084921 5086753 5089043 "SRDCMPK" 5095543 NIL SRDCMPK (NIL T T T T T) |package| NIL NIL) (|StringAggregate| 5073467 5080441 5080501 "SRAGG" 5082745 T SRAGG (NIL) |category| NIL 5083816) (|StringAggregate&| 5071960 5072323 5072929 "SRAGG-" 5072934 NIL SRAGG- (NIL T) |domain| NIL NIL) (|SquareMatrix| 5063765 5070215 5070896 "SQMATRIX" 5071361 NIL SQMATRIX (NIL NIL T) |domain| NIL NIL) (|SplittingTree| 5053859 5058190 5059375 "SPLTREE" 5062710 NIL SPLTREE (NIL T T) |domain| NIL NIL) (|SplittingNode| 5047413 5048260 5049263 "SPLNODE" 5052986 NIL SPLNODE (NIL T T) |domain| NIL NIL) (|SpecialFunctionCategory| 5045859 5046127 5046203 "SPFCAT" 5047044 T SPFCAT (NIL) |category| NIL NIL) (|SpecialOutputPackage| 5043618 5043931 5044429 "SPECOUT" 5045417 T SPECOUT (NIL) |package| NIL NIL) (|ThreeSpaceCategory| 5030762 5033214 5033294 "SPACEC" 5040645 NIL SPACEC (NIL T) |category| |ThreeSpace| 5043536) (|ThreeSpace| 5028183 5030649 5030728 "SPACE3" 5030733 NIL SPACE3 (NIL T) |domain| NIL NIL) (|SortPackage| 5026022 5026252 5026738 "SORTPAK" 5027883 NIL SORTPAK (NIL T T) |package| NIL NIL) (|TransSolvePackage| 5022560 5023018 5023752 "SOLVETRA" 5025481 NIL SOLVETRA (NIL T) |package| NIL NIL) (|TransSolvePackageService| 5020426 5020904 5021523 "SOLVESER" 5022053 NIL SOLVESER (NIL T) |package| NIL NIL) (|RadicalSolvePackage| 5012072 5013439 5015165 "SOLVERAD" 5018826 NIL SOLVERAD (NIL T) |package| NIL NIL) (|PolynomialSolveByFormulas| 5005424 5006130 5007176 "SOLVEFOR" 5011225 NIL SOLVEFOR (NIL T T) |package| NIL NIL) (|SquareFreeNormalizedTriangularSetCategory| 4997194 5004279 5004518 "SNTSCAT" 5004523 NIL SNTSCAT (NIL T T T T) |category| NIL 5004660) (|SparseMultivariateTaylorSeries| 4988342 4994161 4994817 "SMTS" 4996712 NIL SMTS (NIL T T T) |domain| NIL NIL) (|SparseMultivariatePolynomial| 4979733 4988111 4988277 "SMP" 4988282 NIL SMP (NIL T T) |domain| NIL NIL) (|SmithNormalForm| 4976806 4977176 4977772 "SMITH" 4979319 NIL SMITH (NIL T T T T) |package| NIL NIL) (|SquareMatrixCategory| 4965761 4971794 4971992 "SMATCAT" 4974534 NIL SMATCAT (NIL NIL T T T) |category| NIL 4975374) (|SquareMatrixCategory&| 4960984 4962134 4964061 "SMATCAT-" 4964066 NIL SMATCAT- (NIL T NIL T T T) |domain| NIL NIL) (|StackAggregate| 4957737 4959843 4959915 "SKAGG" 4960333 NIL SKAGG (NIL T) |category| NIL 4960556) (|SingleInteger| 4952246 4956362 4956802 "SINT" 4957339 T SINT (NIL) |domain| NIL NIL) (|SimplifyAlgebraicNumberConvertPackage| 4951728 4951798 4951982 "SIMPAN" 4952152 T SIMPAN (NIL) |package| NIL NIL) (|RationalFunctionSign| 4949782 4950128 4950601 "SIGNRF" 4951330 NIL SIGNRF (NIL T) |package| NIL NIL) (|ElementaryFunctionSign| 4947567 4947773 4948325 "SIGNEF" 4949524 NIL SIGNEF (NIL T T) |package| NIL NIL) (|SturmHabichtPackage| 4943081 4943924 4944919 "SHP" 4946673 NIL SHP (NIL T NIL) |package| NIL NIL) (|SplitHomogeneousDirectProduct| 4934357 4942839 4943039 "SHDP" 4943044 NIL SHDP (NIL NIL NIL T) |domain| NIL NIL) (|SemiGroup| 4933596 4933840 4933888 "SGROUP" 4934126 T SGROUP (NIL) |category| NIL 4934275) (|SemiGroup&| 4933234 4933308 4933477 "SGROUP-" 4933482 NIL SGROUP- (NIL T) |domain| NIL NIL) (|SymmetricGroupCombinatoricFunctions| 4927481 4928624 4929951 "SGCF" 4931993 T SGCF (NIL) |package| NIL NIL) (|SquareFreeRegularTriangularSetCategory| 4919458 4926543 4926776 "SFRTCAT" 4926781 NIL SFRTCAT (NIL T T T T) |category| |SquareFreeRegularTriangularSet| 4926848) (|SquareFreeRegularTriangularSetGcdPackage| 4907471 4908908 4910778 "SFRGCD" 4917866 NIL SFRGCD (NIL T T T T T) |package| NIL NIL) (|SquareFreeQuasiComponentPackage| 4895228 4896725 4898613 "SFQCMPK" 4905843 NIL SFQCMPK (NIL T T T T T) |package| NIL NIL) (|SimpleFortranProgram| 4894525 4894660 4894885 "SFORT" 4895107 NIL SFORT (NIL T T) |domain| NIL NIL) (|SExpressionOf| 4893439 4894273 4894470 "SEXOF" 4894475 NIL SEXOF (NIL T T T T T) |domain| NIL NIL) (|SExpression| 4892274 4893216 4893344 "SEX" 4893349 T SEX (NIL) |domain| NIL NIL) (|SExpressionCategory| 4883237 4884065 4884238 "SEXCAT" 4891266 NIL SEXCAT (NIL T T T T T) |category| NIL 4892192) (|Set| 4879241 4883131 4883203 "SET" 4883208 NIL SET (NIL T) |domain| NIL NIL) (|SetOfMIntegersInOneToN| 4876036 4876793 4877417 "SETMN" 4878727 NIL SETMN (NIL NIL NIL) |domain| NIL NIL) (|SetCategory| 4875432 4875588 4875640 "SETCAT" 4875825 T SETCAT (NIL) |category| NIL 4875976) (|SetCategory&| 4875092 4875160 4875324 "SETCAT-" 4875329 NIL SETCAT- (NIL T) |domain| NIL NIL) (|SetCategoryWithDegree| 4874540 4874736 4874808 "SETCATD" 4874919 T SETCATD (NIL) |category| NIL 4875010) (|SetAggregate| 4869144 4872057 4872132 "SETAGG" 4873575 NIL SETAGG (NIL T) |category| NIL 4874106) (|SetAggregate&| 4868374 4868515 4868872 "SETAGG-" 4868877 NIL SETAGG- (NIL T T) |domain| NIL NIL) (|SegmentExpansionCategory| 4867161 4867483 4867613 "SEGXCAT" 4868146 NIL SEGXCAT (NIL T T) |category| NIL 4868325) (|Segment| 4865902 4866644 4866922 "SEG" 4866927 NIL SEG (NIL T) |domain| NIL NIL) (|SegmentCategory| 4864344 4864574 4864648 "SEGCAT" 4865560 NIL SEGCAT (NIL T) |category| NIL 4865884) (|SegmentBinding| 4862956 4863384 4863690 "SEGBIND" 4864096 NIL SEGBIND (NIL T) |domain| NIL NIL) (|SegmentBindingFunctions2| 4862306 4862394 4862598 "SEGBIND2" 4862844 NIL SEGBIND2 (NIL T T) |package| NIL NIL) (|SegmentFunctions2| 4861155 4861318 4861612 "SEG2" 4862090 NIL SEG2 (NIL T T) |package| NIL NIL) (|SequentialDifferentialVariable| 4860331 4860976 4861111 "SDVAR" 4861116 NIL SDVAR (NIL T) |domain| NIL NIL) (|SequentialDifferentialPolynomial| 4847016 4859750 4860085 "SDPOL" 4860090 NIL SDPOL (NIL T) |domain| NIL NIL) (|StochasticDifferential| 4839775 4841323 4842554 "SD" 4845893 NIL SD (NIL T) |domain| NIL NIL) (|StructuralConstantsPackage| 4837383 4837775 4838337 "SCPKG" 4839296 NIL SCPKG (NIL T) |package| NIL NIL) (|SimpleCell| 4834362 4834736 4835297 "SCELL" 4836926 NIL SCELL (NIL T T) |domain| NIL NIL) (|SortedCache| 4833107 4833285 4833579 "SCACHE" 4834127 NIL SCACHE (NIL T) |package| NIL NIL) (|SingletonAsOrderedSet| 4832306 4832673 4832838 "SAOS" 4833000 T SAOS (NIL) |domain| NIL NIL) (|SAERationalFunctionAlgFactor| 4831430 4831474 4831848 "SAERFFC" 4832238 NIL SAERFFC (NIL T T T) |package| NIL NIL) (|SimpleAlgebraicExtension| 4822607 4831219 4831393 "SAE" 4831398 NIL SAE (NIL T T NIL) |domain| NIL NIL) (|SimpleAlgebraicExtensionAlgFactor| 4821776 4821820 4822174 "SAEFACT" 4822539 NIL SAEFACT (NIL T T T) |package| NIL NIL) (|RationalUnivariateRepresentationPackage| 4818705 4819238 4819997 "RURPK" 4821193 NIL RURPK (NIL T NIL) |package| NIL NIL) (|Ruleset| 4816531 4816879 4817377 "RULESET" 4818455 NIL RULESET (NIL T T T) |domain| NIL NIL) (|RewriteRule| 4811923 4812561 4813297 "RULE" 4816051 NIL RULE (NIL T T T) |domain| NIL NIL) (|RuleCalled| 4811415 4811604 4811736 "RULECOLD" 4811843 NIL RULECOLD (NIL NIL) |domain| NIL NIL) (|RegularTriangularSetGcdPackage| 4802329 4803418 4804895 "RSETGCD" 4810196 NIL RSETGCD (NIL T T T T T) |package| NIL NIL) (|RegularTriangularSetCategory| 4784322 4791407 4791620 "RSETCAT" 4800054 NIL RSETCAT (NIL T T T T) |category| NIL 4801755) (|RegularTriangularSetCategory&| 4781272 4781975 4783274 "RSETCAT-" 4783279 NIL RSETCAT- (NIL T T T T T) |domain| NIL NIL) (|RegularSetDecompositionPackage| 4768871 4770715 4772987 "RSDCMPK" 4779258 NIL RSDCMPK (NIL T T T T T) |package| NIL NIL) (|RealRootCharacterizationCategory| 4765282 4765859 4766037 "RRCC" 4768257 NIL RRCC (NIL T T) |category| |RightOpenIntervalRootCharacterization| 4768789) (|RealRootCharacterizationCategory&| 4764251 4764482 4764988 "RRCC-" 4764993 NIL RRCC- (NIL T T T) |domain| NIL NIL) (|RecursivePolynomialCategory| 4719157 4733462 4733613 "RPOLCAT" 4754943 NIL RPOLCAT (NIL T T T) |category| NIL 4760098) (|RecursivePolynomialCategory&| 4706237 4709493 4714418 "RPOLCAT-" 4714423 NIL RPOLCAT- (NIL T T T T) |domain| NIL NIL) (|RoutinesTable| 4692808 4702843 4703795 "ROUTINE" 4705327 T ROUTINE (NIL) |domain| NIL NIL) (|RomanNumeral| 4688124 4692017 4692299 "ROMAN" 4692566 T ROMAN (NIL) |domain| NIL NIL) (|RightOpenIntervalRootCharacterization| 4685126 4685873 4686363 "ROIRC" 4687807 NIL ROIRC (NIL T T) |domain| NIL NIL) (|RealNumberSystem| 4679488 4682682 4682744 "RNS" 4683274 T RNS (NIL) |category| NIL 4683765) (|RealNumberSystem&| 4677088 4677643 4678526 "RNS-" 4678681 NIL RNS- (NIL T) |domain| NIL NIL) (|Rng| 4676282 4676794 4676830 "RNG" 4676835 T RNG (NIL) |category| NIL 4676876) (|RightModule| 4675418 4675862 4675927 "RMODULE" 4676017 NIL RMODULE (NIL T) |category| NIL 4676090) (|RectangularMatrixCategoryFunctions2| 4673336 4673447 4674042 "RMCAT2" 4675278 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) |package| NIL NIL) (|RectangularMatrix| 4668463 4671924 4672477 "RMATRIX" 4672903 NIL RMATRIX (NIL NIL NIL T) |domain| NIL NIL) (|RectangularMatrixCategory| 4656586 4659707 4659943 "RMATCAT" 4666375 NIL RMATCAT (NIL NIL NIL T T T) |category| NIL 4667891) (|RectangularMatrixCategory&| 4655476 4655707 4656284 "RMATCAT-" 4656289 NIL RMATCAT- (NIL T NIL NIL T T T) |domain| NIL NIL) (|RationalInterpolation| 4654680 4654813 4655059 "RINTERP" 4655319 NIL RINTERP (NIL NIL T) |package| NIL NIL) (|Ring| 4653264 4654009 4654047 "RING" 4654232 T RING (NIL) |category| NIL 4654414) (|Ring&| 4652951 4653011 4653155 "RING-" 4653160 NIL RING- (NIL T) |domain| NIL NIL) (|RandomIntegerDistributions| 4651003 4651351 4651808 "RIDIST" 4652562 T RIDIST (NIL) |package| NIL NIL) (|RegularChain| 4632482 4649884 4650328 "RGCHAIN" 4650643 NIL RGCHAIN (NIL T NIL) |domain| NIL NIL) (|RootsFindingPackage| 4630377 4630769 4631270 "RFP" 4632050 NIL RFP (NIL T) |package| NIL NIL) (|RationalFunction| 4625112 4626128 4627307 "RF" 4629270 NIL RF (NIL T) |package| NIL NIL) (|RationalFunctionFactorizer| 4624413 4624521 4624746 "RFFACTOR" 4624980 NIL RFFACTOR (NIL T) |package| NIL NIL) (|RationalFunctionFactor| 4623895 4623939 4624145 "RFFACT" 4624345 NIL RFFACT (NIL T) |package| NIL NIL) (|RandomFloatDistributions| 4620373 4620989 4621743 "RFDIST" 4623205 T RFDIST (NIL) |package| NIL NIL) (|RetractSolvePackage| 4619424 4619564 4619862 "RETSOL" 4620209 NIL RETSOL (NIL T T) |package| NIL NIL) (|RetractableTo| 4618802 4618903 4618973 "RETRACT" 4619275 NIL RETRACT (NIL T) |category| NIL NIL) (|RetractableTo&| 4618572 4618601 4618742 "RETRACT-" 4618747 NIL RETRACT- (NIL T T) |domain| NIL NIL) (|Result| 4608516 4617932 4618172 "RESULT" 4618360 T RESULT (NIL) |domain| NIL NIL) (|ResidueRing| 4606389 4607263 4607586 "RESRING" 4608361 NIL RESRING (NIL T T T T NIL) |domain| NIL NIL) (|ResolveLatticeCompletion| 4605805 4605860 4606034 "RESLATC" 4606293 NIL RESLATC (NIL T) |package| NIL NIL) (|RepeatedSquaring| 4605298 4605346 4605539 "REPSQ" 4605732 NIL REPSQ (NIL T) |package| NIL NIL) (|RadicalEigenPackage| 4600745 4601726 4602815 "REP" 4604263 T REP (NIL) |package| NIL NIL) (|RepeatedDoubling| 4600230 4600280 4600475 "REPDB" 4600670 NIL REPDB (NIL T) |package| NIL NIL) (|RepresentationPackage2| 4590753 4592621 4594474 "REP2" 4598451 NIL REP2 (NIL T) |package| NIL NIL) (|RepresentationPackage1| 4584415 4585470 4586905 "REP1" 4589392 NIL REP1 (NIL T) |package| NIL NIL) (|RegularTriangularSet| 4573492 4581077 4581856 "REGSET" 4583816 NIL REGSET (NIL T T T T) |domain| NIL NIL) (|Reference| 4571891 4572296 4572641 "REF" 4573195 NIL REF (NIL T) |domain| NIL NIL) (|ReductionOfOrder| 4570879 4570998 4571282 "REDORDER" 4571727 NIL REDORDER (NIL T T) |package| NIL NIL) (|RecurrenceOperator| 4565322 4565975 4566995 "RECOP" 4570173 NIL RECOP (NIL T T) |package| NIL NIL) (|RealClosure| 4558780 4563632 4564139 "RECLOS" 4564910 NIL RECLOS (NIL T) |domain| NIL NIL) (|RealSolvePackage| 4557253 4557520 4557879 "REALSOLV" 4558469 T REALSOLV (NIL) |package| NIL NIL) (|RealConstant| 4556988 4557045 4557099 "REAL" 4557104 T REAL (NIL) |category| NIL 4557176) (|RealZeroPackageQ| 4551373 4552571 4553982 "REAL0Q" 4555688 NIL REAL0Q (NIL T) |package| NIL NIL) (|RealZeroPackage| 4544299 4545782 4547473 "REAL0" 4549778 NIL REAL0 (NIL T) |package| NIL NIL) (|ReducedDivisor| 4543233 4543341 4543712 "RDIV" 4544167 NIL RDIV (NIL T T T T T) |package| NIL NIL) (|RandomDistributions| 4541739 4541981 4542332 "RDIST" 4542957 NIL RDIST (NIL T) |package| NIL NIL) (|TranscendentalRischDESystem| 4539552 4539937 4540541 "RDETRS" 4541325 NIL RDETRS (NIL T T) |package| NIL NIL) (|TranscendentalRischDE| 4536365 4536939 4537725 "RDETR" 4538944 NIL RDETR (NIL T T) |package| NIL NIL) (|ElementaryRischDESystem| 4534259 4534609 4535283 "RDEEFS" 4535991 NIL RDEEFS (NIL T T) |package| NIL NIL) (|ElementaryRischDE| 4532038 4532419 4533112 "RDEEF" 4533854 NIL RDEEF (NIL T T) |package| NIL NIL) (|RealClosedField| 4522466 4526778 4526838 "RCFIELD" 4529164 T RCFIELD (NIL) |category| NIL 4530577) (|RealClosedField&| 4519041 4519896 4521141 "RCFIELD-" 4521294 NIL RCFIELD- (NIL T) |domain| NIL NIL) (|RecursiveAggregate| 4513579 4516066 4516146 "RCAGG" 4517961 NIL RCAGG (NIL T) |category| NIL 4518641) (|RecursiveAggregate&| 4513068 4513173 4513424 "RCAGG-" 4513429 NIL RCAGG- (NIL T T) |domain| NIL NIL) (|RationalRetractions| 4511917 4512081 4512382 "RATRET" 4512869 NIL RATRET (NIL T) |package| NIL NIL) (|RationalFactorize| 4511094 4511189 4511426 "RATFACT" 4511793 NIL RATFACT (NIL T) |package| NIL NIL) (|RandomNumberSource| 4509958 4510118 4510386 "RANDSRC" 4510878 T RANDSRC (NIL) |package| NIL NIL) (|RadixUtilities| 4509511 4509575 4509708 "RADUTIL" 4509869 T RADUTIL (NIL) |package| NIL NIL) (|RadixExpansion| 4498357 4507363 4507926 "RADIX" 4509009 NIL RADIX (NIL NIL) |domain| NIL NIL) (|RadicalFunctionField| 4485653 4498027 4498310 "RADFF" 4498315 NIL RADFF (NIL T T T NIL NIL) |domain| NIL NIL) (|RadicalCategory| 4485093 4485189 4485249 "RADCAT" 4485512 T RADCAT (NIL) |category| NIL NIL) (|RadicalCategory&| 4484761 4484819 4484990 "RADCAT-" 4484995 NIL RADCAT- (NIL T) |domain| NIL NIL) (|Queue| 4474377 4476603 4478379 "QUEUE" 4483032 NIL QUEUE (NIL T) |domain| NIL NIL) (|Quaternion| 4469492 4474253 4474343 "QUAT" 4474348 NIL QUAT (NIL T) |domain| NIL NIL) (|QuaternionCategoryFunctions2| 4468816 4468866 4469128 "QUATCT2" 4469418 NIL QUATCT2 (NIL T T T T) |package| NIL NIL) (|QuaternionCategory| 4459182 4463881 4463972 "QUATCAT" 4465485 NIL QUATCAT (NIL T) |category| |Quaternion| 4466700) (|QuaternionCategory&| 4453331 4454729 4456910 "QUATCAT-" 4457113 NIL QUATCAT- (NIL T T) |domain| NIL NIL) (|QueueAggregate| 4449762 4451924 4451996 "QUAGG" 4452613 NIL QUAGG (NIL T) |category| NIL 4452903) (|QuadraticForm| 4448139 4448736 4449031 "QFORM" 4449549 NIL QFORM (NIL NIL T) |domain| NIL NIL) (|QuotientFieldCategory| 4433877 4441780 4441876 "QFCAT" 4443209 NIL QFCAT (NIL T) |category| NIL 4444854) (|QuotientFieldCategory&| 4426856 4428565 4431177 "QFCAT-" 4431385 NIL QFCAT- (NIL T T) |domain| NIL NIL) (|QuotientFieldCategoryFunctions2| 4426163 4426213 4426485 "QFCAT2" 4426782 NIL QFCAT2 (NIL T T T T) |package| NIL NIL) (|QueryEquation| 4425307 4425452 4425677 "QEQUAT" 4425980 T QEQUAT (NIL) |domain| NIL NIL) (|QuasiComponentPackage| 4413264 4414761 4416629 "QCMPACK" 4423679 NIL QCMPACK (NIL T T T T T) |package| NIL NIL) (|QuasiAlgebraicSet| 4408936 4409517 4410248 "QALGSET" 4412698 NIL QALGSET (NIL T T T T) |domain| NIL NIL) (|QuasiAlgebraicSet2| 4407197 4407607 4408146 "QALGSET2" 4408502 NIL QALGSET2 (NIL NIL NIL) |package| NIL NIL) (|PAdicWildFunctionFieldIntegralBasis| 4404887 4405183 4405750 "PWFFINTB" 4406867 NIL PWFFINTB (NIL T T T T) |package| NIL NIL) (|PushVariables| 4401912 4402107 4402660 "PUSHVAR" 4404624 NIL PUSHVAR (NIL T T T T) |package| NIL NIL) (|PartialTranscendentalFunctions| 4394724 4396092 4396222 "PTRANFN" 4400318 NIL PTRANFN (NIL T) |category| NIL NIL) (|PointPackage| 4392420 4392766 4393230 "PTPACK" 4394314 NIL PTPACK (NIL T) |package| NIL NIL) (|PointFunctions2| 4391869 4391939 4392107 "PTFUNC2" 4392326 NIL PTFUNC2 (NIL T T) |package| NIL NIL) (|PointCategory| 4384021 4390035 4390105 "PTCAT" 4390706 NIL PTCAT (NIL T) |category| |Point| 4390959) (|PolynomialSquareFree| 4383377 4383425 4383668 "PSQFR" 4383949 NIL PSQFR (NIL T T T T) |package| NIL NIL) (|PseudoLinearNormalForm| 4381202 4381618 4382143 "PSEUDLIN" 4382927 NIL PSEUDLIN (NIL T) |package| NIL NIL) (|PolynomialSetUtilitiesPackage| 4357092 4360550 4364355 "PSETPK" 4377600 NIL PSETPK (NIL T T T T) |package| NIL NIL) (|PolynomialSetCategory| 4345214 4349095 4349289 "PSETCAT" 4355352 NIL PSETCAT (NIL T T T T) |category| NIL 4356622) (|PolynomialSetCategory&| 4341970 4342847 4344143 "PSETCAT-" 4344148 NIL PSETCAT- (NIL T T T T T) |domain| NIL NIL) (|PlottableSpaceCurveCategory| 4340790 4341038 4341122 "PSCURVE" 4341635 T PSCURVE (NIL) |category| |Plot3D| 4341930) (|PowerSeriesCategory| 4335066 4337119 4337251 "PSCAT" 4338863 NIL PSCAT (NIL T T T) |category| NIL 4339245) (|PowerSeriesCategory&| 4333759 4334023 4334624 "PSCAT-" 4334629 NIL PSCAT- (NIL T T T T) |domain| NIL NIL) (|Partition| 4331788 4332569 4332943 "PRTITION" 4333419 T PRTITION (NIL) |domain| NIL NIL) (|ProjectiveSpaceCategory| 4326934 4327831 4327922 "PRSPCAT" 4330713 NIL PRSPCAT (NIL T) |category| NIL 4331674) (|PseudoRemainderSequence| 4308327 4311490 4314920 "PRS" 4323633 NIL PRS (NIL T T) |package| NIL NIL) (|PriorityQueueAggregate| 4305246 4307305 4307399 "PRQAGG" 4307731 NIL PRQAGG (NIL T) |category| |Heap| 4307899) (|ProjectiveSpace| 4304180 4305084 4305207 "PROJSP" 4305212 NIL PROJSP (NIL NIL T) |domain| NIL NIL) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| 4302588 4303874 4304101 "PROJPLPS" 4304106 NIL PROJPLPS (NIL T) |domain| NIL NIL) (|ProjectivePlane| 4301528 4302454 4302549 "PROJPL" 4302554 NIL PROJPL (NIL T) |domain| NIL NIL) (|Product| 4292552 4298779 4299985 "PRODUCT" 4300394 NIL PRODUCT (NIL T T) |domain| NIL NIL) (|PolynomialRing| 4288577 4291609 4292007 "PR" 4292242 NIL PR (NIL T T) |domain| NIL NIL) (|ProjectiveAlgebraicSetPackage| 4285824 4286063 4286625 "PRJALGPK" 4288299 NIL PRJALGPK (NIL T NIL T T T) |package| NIL NIL) (|PrintPackage| 4285486 4285529 4285637 "PRINT" 4285756 T PRINT (NIL) |package| NIL NIL) (|IntegerPrimesPackage| 4284373 4284515 4284781 "PRIMES" 4285305 NIL PRIMES (NIL T) |package| NIL NIL) (|PrimitiveElement| 4281095 4281727 4282530 "PRIMELT" 4283665 NIL PRIMELT (NIL T) |package| NIL NIL) (|PrimitiveFunctionCategory| 4280597 4280665 4280745 "PRIMCAT" 4280975 T PRIMCAT (NIL) |category| NIL NIL) (|PrimitiveArray| 4275169 4280456 4280553 "PRIMARR" 4280558 NIL PRIMARR (NIL T) |domain| NIL NIL) (|PrimitiveArrayFunctions2| 4273510 4273773 4274162 "PRIMARR2" 4274872 NIL PRIMARR2 (NIL T T) |package| NIL NIL) (|PrecomputedAssociatedEquations| 4272730 4272826 4273103 "PREASSOC" 4273390 NIL PREASSOC (NIL T T) |package| NIL NIL) (|PlottablePlaneCurveCategory| 4271773 4271973 4272057 "PPCURVE" 4272448 T PPCURVE (NIL) |category| NIL 4272690) (|U32VectorPolynomialOperations| 4261703 4263599 4265747 "POLYVEC" 4269699 T POLYVEC (NIL) |package| NIL NIL) (|PolynomialRoots| 4257293 4257895 4258850 "POLYROOT" 4261046 NIL POLYROOT (NIL T T T T T) |package| NIL NIL) (|Polynomial| 4247881 4256647 4256905 "POLY" 4257085 NIL POLY (NIL T) |domain| NIL NIL) (|PolynomialCategoryLifting| 4246833 4246905 4247315 "POLYLIFT" 4247785 NIL POLYLIFT (NIL T T T T T) |package| NIL NIL) (|PolynomialCategoryQuotientFunctions| 4240326 4240987 4242055 "POLYCATQ" 4246093 NIL POLYCATQ (NIL T T T T T) |package| NIL NIL) (|PolynomialCategory| 4218016 4226212 4226345 "POLYCAT" 4233241 NIL POLYCAT (NIL T T T) |category| NIL 4236495) (|PolynomialCategory&| 4207545 4210365 4214270 "POLYCAT-" 4214275 NIL POLYCAT- (NIL T T T T) |domain| NIL NIL) (|PolynomialToUnivariatePolynomial| 4206771 4206884 4207131 "POLY2UP" 4207408 NIL POLY2UP (NIL NIL T) |package| NIL NIL) (|PolynomialFunctions2| 4206165 4206245 4206433 "POLY2" 4206667 NIL POLY2 (NIL T T) |package| NIL NIL) (|RealPolynomialUtilitiesPackage| 4203675 4204050 4204569 "POLUTIL" 4205780 NIL POLUTIL (NIL T T) |package| NIL NIL) (|PolToPol| 4200210 4200837 4201584 "POLTOPOL" 4202999 NIL POLTOPOL (NIL NIL T) |package| NIL NIL) (|Point| 4194023 4200117 4200181 "POINT" 4200186 NIL POINT (NIL T) |domain| NIL NIL) (|PolynomialNumberTheoryFunctions| 4190075 4190799 4191665 "PNTHEORY" 4193235 T PNTHEORY (NIL) |package| NIL NIL) (|PatternMatchTools| 4187312 4187811 4188529 "PMTOOLS" 4189547 NIL PMTOOLS (NIL T T T) |package| NIL NIL) (|PatternMatchSymbol| 4186562 4186695 4186925 "PMSYM" 4187155 NIL PMSYM (NIL T) |package| NIL NIL) (|PatternMatchQuotientFieldCategory| 4185582 4185697 4186069 "PMQFCAT" 4186423 NIL PMQFCAT (NIL T T T) |package| NIL NIL) (|AttachPredicates| 4184479 4184652 4184929 "PMPRED" 4185367 NIL PMPRED (NIL T) |package| NIL NIL) (|FunctionSpaceAttachPredicates| 4183428 4183545 4183840 "PMPREDFS" 4184320 NIL PMPREDFS (NIL T T T) |package| NIL NIL) (|PatternMatchPolynomialCategory| 4180904 4181253 4181965 "PMPLCAT" 4183017 NIL PMPLCAT (NIL T T T T T) |package| NIL NIL) (|PatternMatchListAggregate| 4180015 4180148 4180451 "PMLSAGG" 4180747 NIL PMLSAGG (NIL T T T) |package| NIL NIL) (|PatternMatchKernel| 4179049 4179175 4179519 "PMKERNEL" 4179865 NIL PMKERNEL (NIL T T) |package| NIL NIL) (|PatternMatchIntegerNumberSystem| 4178252 4178388 4178655 "PMINS" 4178889 NIL PMINS (NIL T) |package| NIL NIL) (|PatternMatchFunctionSpace| 4177152 4177267 4177696 "PMFS" 4178113 NIL PMFS (NIL T T T) |package| NIL NIL) (|PatternMatchPushDown| 4175723 4175920 4176307 "PMDOWN" 4176926 NIL PMDOWN (NIL T T T) |package| NIL NIL) (|PatternMatchAssertions| 4174250 4174494 4174837 "PMASS" 4175440 T PMASS (NIL) |package| NIL NIL) (|FunctionSpaceAssertions| 4173027 4173159 4173440 "PMASSFS" 4174079 NIL PMASSFS (NIL T T) |package| NIL NIL) (|PolynomialPackageForCurve| 4168680 4169029 4169741 "PLPKCRV" 4172564 NIL PLPKCRV (NIL T T T NIL T) |package| NIL NIL) (|PlotTools| 4168102 4168208 4168372 "PLOTTOOL" 4168550 T PLOTTOOL (NIL) |package| NIL NIL) (|Plot| 4158704 4160735 4162884 "PLOT" 4165977 T PLOT (NIL) |domain| NIL NIL) (|Plot3D| 4151238 4153029 4154801 "PLOT3D" 4156960 T PLOT3D (NIL) |domain| NIL NIL) (|PlotFunctions1| 4149471 4149714 4150100 "PLOT1" 4150933 NIL PLOT1 (NIL T) |package| NIL NIL) (|ParametricLinearEquations| 4110564 4116959 4123953 "PLEQN" 4142734 NIL PLEQN (NIL T T T T) |package| NIL NIL) (|Plcs| 4109542 4110421 4110529 "PLCS" 4110534 NIL PLCS (NIL T T) |domain| NIL NIL) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| 4107977 4109110 4109391 "PLACESPS" 4109396 NIL PLACESPS (NIL T) |domain| NIL NIL) (|Places| 4106824 4107797 4107906 "PLACES" 4107911 NIL PLACES (NIL T) |domain| NIL NIL) (|PlacesCategory| 4101360 4102233 4102346 "PLACESC" 4105847 NIL PLACESC (NIL T T) |category| NIL 4106710) (|PolynomialInterpolation| 4100155 4100350 4100683 "PINTERP" 4101120 NIL PINTERP (NIL NIL T) |package| NIL NIL) (|PolynomialInterpolationAlgorithms| 4099541 4099610 4099843 "PINTERPA" 4100062 NIL PINTERPA (NIL T T) |package| NIL NIL) (|PositiveInteger| 4098482 4099164 4099345 "PI" 4099406 T PI (NIL) |domain| NIL NIL) (|PrincipalIdealDomain| 4095961 4097405 4097475 "PID" 4097782 T PID (NIL) |category| NIL 4098001) (|PiCoercions| 4095499 4095547 4095705 "PICOERCE" 4095889 NIL PICOERCE (NIL T) |package| NIL NIL) (|PolyGroebner| 4094391 4094597 4094892 "PGROEB" 4095263 NIL PGROEB (NIL T) |package| NIL NIL) (|PermutationGroupExamples| 4085504 4087024 4088917 "PGE" 4092562 T PGE (NIL) |package| NIL NIL) (|PolynomialGcdPackage| 4081752 4082197 4082928 "PGCD" 4084950 NIL PGCD (NIL T T T T) |package| NIL NIL) (|PartialFractionPackage| 4080506 4080667 4080994 "PFRPAC" 4081542 NIL PFRPAC (NIL T) |package| NIL NIL) (|PartialFraction| 4075040 4077790 4078440 "PFR" 4079927 NIL PFR (NIL T) |domain| NIL NIL) (|PointsOfFiniteOrderTools| 4072115 4072449 4073026 "PFOTOOLS" 4074646 NIL PFOTOOLS (NIL T T) |package| NIL NIL) (|PackageForPoly| 4062593 4063577 4064886 "PFORP" 4070994 NIL PFORP (NIL T T T NIL) |package| NIL NIL) (|PointsOfFiniteOrderRational| 4059833 4060214 4060884 "PFOQ" 4062178 NIL PFOQ (NIL T T T) |package| NIL NIL) (|PointsOfFiniteOrder| 4057017 4057338 4057998 "PFO" 4059478 NIL PFO (NIL T T T T T) |package| NIL NIL) (|PrimeField| 4051612 4056751 4056912 "PF" 4056917 NIL PF (NIL NIL) |domain| NIL NIL) (|PolynomialFactorizationExplicit| 4046648 4048759 4048851 "PFECAT" 4050192 T PFECAT (NIL) |category| NIL 4051095) (|PolynomialFactorizationExplicit&| 4045361 4045710 4046237 "PFECAT-" 4046242 NIL PFECAT- (NIL T) |domain| NIL NIL) (|PolynomialFactorizationByRecursionUnivariate| 4041785 4042362 4043169 "PFBRU" 4044742 NIL PFBRU (NIL T T) |package| NIL NIL) (|PolynomialFactorizationByRecursion| 4036794 4037563 4038599 "PFBR" 4040970 NIL PFBR (NIL T T T T) |package| NIL NIL) (|Permutation| 4030555 4032471 4033550 "PERM" 4035774 NIL PERM (NIL T) |domain| NIL NIL) (|PermutationGroup| 4022568 4023920 4025413 "PERMGRP" 4029131 NIL PERMGRP (NIL T) |domain| NIL NIL) (|PermutationCategory| 4019919 4021096 4021185 "PERMCAT" 4021948 NIL PERMCAT (NIL T) |category| |Permutation| 4022361) (|Permanent| 4019336 4019392 4019607 "PERMAN" 4019839 NIL PERMAN (NIL NIL T) |package| NIL NIL) (|PendantTree| 4015706 4018634 4018853 "PENDTREE" 4019176 NIL PENDTREE (NIL T) |domain| NIL NIL) (|PartialDifferentialRing| 4012625 4013666 4013763 "PDRING" 4014976 NIL PDRING (NIL T) |category| NIL 4015425) (|PartialDifferentialRing&| 4011255 4011555 4012149 "PDRING-" 4012154 NIL PDRING- (NIL T T) |domain| NIL NIL) (|NumericalPDEProblem| 4007048 4008094 4009139 "PDEPROB" 4010264 T PDEPROB (NIL) |domain| NIL NIL) (|AnnaPartialDifferentialEquationPackage| 4002769 4003580 4004574 "PDEPACK" 4006146 T PDEPACK (NIL) |package| NIL NIL) (|PolynomialDecomposition| 4000811 4001100 4001562 "PDECOMP" 4002427 NIL PDECOMP (NIL T T) |package| NIL NIL) (|PartialDifferentialEquationsSolverCategory| 3997193 3998340 3998454 "PDECAT" 3999681 T PDECAT (NIL) |category| NIL 4000729) (|PolynomialComposition| 3996755 3996792 3996968 "PCOMP" 3997132 NIL PCOMP (NIL T T) |package| NIL NIL) (|PoincareBirkhoffWittLyndonBasis| 3993725 3994482 3995033 "PBWLB" 3996296 NIL PBWLB (NIL T) |domain| NIL NIL) (|Pattern| 3982232 3984321 3986425 "PATTERN" 3991659 NIL PATTERN (NIL T) |domain| NIL NIL) (|PatternFunctions2| 3981631 3981705 3981895 "PATTERN2" 3982134 NIL PATTERN2 (NIL T T) |package| NIL NIL) (|PatternFunctions1| 3978008 3978557 3979289 "PATTERN1" 3980984 NIL PATTERN1 (NIL T T) |package| NIL NIL) (|PatternMatchResult| 3973911 3974624 3975370 "PATRES" 3977356 NIL PATRES (NIL T T) |domain| NIL NIL) (|PatternMatchResultFunctions2| 3973095 3973201 3973466 "PATRES2" 3973781 NIL PATRES2 (NIL T T T) |package| NIL NIL) (|PatternMatch| 3969793 3970314 3970913 "PATMATCH" 3972628 NIL PATMATCH (NIL T T T) |package| NIL NIL) (|PatternMatchable| 3969017 3969276 3969359 "PATMAB" 3969554 NIL PATMAB (NIL T) |category| NIL 3969711) (|PatternMatchListResult| 3966451 3966877 3967347 "PATLRES" 3968677 NIL PATLRES (NIL T T T) |domain| NIL NIL) (|Patternable| 3965723 3965908 3965974 "PATAB" 3965979 NIL PATAB (NIL T) |category| NIL 3966258) (|PartitionsAndPermutations| 3961572 3962350 3963307 "PARTPERM" 3964832 T PARTPERM (NIL) |package| NIL NIL) (|ParametricSurface| 3960932 3961022 3961205 "PARSURF" 3961453 NIL PARSURF (NIL T) |domain| NIL NIL) (|ParametricSurfaceFunctions2| 3960249 3960343 3960559 "PARSU2" 3960814 NIL PARSU2 (NIL T T) |package| NIL NIL) (|ParametricSpaceCurve| 3959605 3959693 3959880 "PARSCURV" 3960132 NIL PARSCURV (NIL T) |domain| NIL NIL) (|ParametricSpaceCurveFunctions2| 3958889 3958989 3959217 "PARSC2" 3959481 NIL PARSC2 (NIL T T) |package| NIL NIL) (|ParametricPlaneCurve| 3958263 3958346 3958528 "PARPCURV" 3958777 NIL PARPCURV (NIL T) |domain| NIL NIL) (|ParametricPlaneCurveFunctions2| 3957547 3957647 3957875 "PARPC2" 3958139 NIL PARPC2 (NIL T T) |package| NIL NIL) (|ParametrizationPackage| 3954750 3954883 3955446 "PARAMP" 3957327 NIL PARAMP (NIL T NIL T T T T T) |package| NIL NIL) (|PolynomialAN2Expression| 3953765 3953930 3954197 "PAN2EXPR" 3954545 T PAN2EXPR (NIL) |package| NIL NIL) (|Palette| 3952066 3952448 3952796 "PALETTE" 3953447 T PALETTE (NIL) |domain| NIL NIL) (|PackageForAlgebraicFunctionField| 3927912 3931837 3936064 "PAFF" 3947989 NIL PAFF (NIL T NIL T) |package| NIL NIL) (|PackageForAlgebraicFunctionFieldOverFiniteField| 3895147 3901022 3906918 "PAFFFF" 3922210 NIL PAFFFF (NIL T NIL T) |package| NIL NIL) (|PAdicRationalConstructor| 3885537 3893670 3894075 "PADICRC" 3894858 NIL PADICRC (NIL NIL T) |domain| NIL NIL) (|PAdicRational| 3874451 3884323 3884688 "PADICRAT" 3885231 NIL PADICRAT (NIL NIL) |domain| NIL NIL) (|PAdicInteger| 3871994 3874327 3874415 "PADIC" 3874420 NIL PADIC (NIL NIL) |domain| NIL NIL) (|PAdicIntegerCategory| 3867502 3869775 3869862 "PADICCT" 3870916 NIL PADICCT (NIL NIL) |category| NIL 3871427) (|PadeApproximantPackage| 3865555 3865933 3866450 "PADEPAC" 3867086 NIL PADEPAC (NIL T NIL NIL) |package| NIL NIL) (|PadeApproximants| 3864036 3864268 3864680 "PADE" 3865294 NIL PADE (NIL T T T) |package| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumber| 3858214 3863057 3863402 "PACRAT" 3863783 T PACRAT (NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumberCategory| 3851798 3856489 3856611 "PACRATC" 3856616 T PACRATC (NIL) |category| NIL 3856815) (|PseudoAlgebraicClosureOfPerfectFieldCategory| 3844738 3847673 3847791 "PACPERC" 3850045 T PACPERC (NIL) |category| NIL 3850938) (|PseudoAlgebraicClosureOfFiniteField| 3839426 3844164 3844425 "PACOFF" 3844592 NIL PACOFF (NIL T) |domain| NIL NIL) (|PseudoAlgebraicClosureOfFiniteFieldCategory| 3834061 3838142 3838258 "PACFFC" 3838263 T PACFFC (NIL) |category| NIL 3838346) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| 3826957 3833118 3833481 "PACEXT" 3833854 NIL PACEXT (NIL NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| 3818361 3824402 3824540 "PACEXTC" 3824545 T PACEXTC (NIL) |category| NIL 3824729) (|OrdinaryWeightedPolynomials| 3815310 3816413 3816940 "OWP" 3818008 NIL OWP (NIL T NIL NIL NIL) |domain| NIL NIL) (|OrderedVariableList| 3813935 3814596 3814923 "OVAR" 3815062 NIL OVAR (NIL NIL) |domain| NIL NIL) (|OutputPackage| 3812779 3812940 3813205 "OUT" 3813712 T OUT (NIL) |package| NIL NIL) (|OutputForm| 3797029 3799578 3802769 "OUTFORM" 3809624 T OUTFORM (NIL) |domain| NIL NIL) (|OrdSetInts| 3796212 3796581 3796735 "OSI" 3796911 T OSI (NIL) |domain| NIL NIL) (|OrthogonalPolynomialFunctions| 3793748 3794135 3794700 "ORTHPOL" 3795746 NIL ORTHPOL (NIL T) |package| NIL NIL) (|UnivariateSkewPolynomial| 3789997 3793132 3793395 "OREUP" 3793633 NIL OREUP (NIL NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariateSkewPolynomial| 3786209 3789369 3789644 "ORESUP" 3789866 NIL ORESUP (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateSkewPolynomialCategoryOps| 3782002 3782724 3783635 "OREPCTO" 3785445 NIL OREPCTO (NIL T T) |package| NIL NIL) (|UnivariateSkewPolynomialCategory| 3771928 3774974 3775082 "OREPCAT" 3779560 NIL OREPCAT (NIL T) |category| NIL 3781305) (|UnivariateSkewPolynomialCategory&| 3767721 3768782 3770424 "OREPCAT-" 3770429 NIL OREPCAT- (NIL T T) |domain| NIL NIL) (|OrderedSet| 3766598 3766906 3766956 "ORDSET" 3767411 T ORDSET (NIL) |category| NIL 3767639) (|OrderedSet&| 3765994 3766121 3766386 "ORDSET-" 3766391 NIL ORDSET- (NIL T) |domain| NIL NIL) (|OrderedRing| 3763943 3764959 3765011 "ORDRING" 3765341 T ORDRING (NIL) |category| NIL 3765554) (|OrderedRing&| 3763405 3763527 3763763 "ORDRING-" 3763768 NIL ORDRING- (NIL T) |domain| NIL NIL) (|OrderedMonoid| 3762581 3763168 3763224 "ORDMON" 3763229 T ORDMON (NIL) |category| NIL 3763265) (|OrderingFunctions| 3761168 3761364 3761702 "ORDFUNS" 3762351 NIL ORDFUNS (NIL NIL T) |package| NIL NIL) (|OrderedFinite| 3760473 3760951 3761007 "ORDFIN" 3761012 T ORDFIN (NIL) |category| NIL 3761048) (|OrderedCompletion| 3755005 3757928 3758640 "ORDCOMP" 3759832 NIL ORDCOMP (NIL T) |domain| NIL NIL) (|OrderedCompletionFunctions2| 3753585 3753816 3754196 "ORDCOMP2" 3754737 NIL ORDCOMP2 (NIL T T) |package| NIL NIL) (|NumericalOptimizationProblem| 3747865 3749220 3750624 "OPTPROB" 3752253 T OPTPROB (NIL) |domain| NIL NIL) (|AnnaNumericalOptimizationPackage| 3742110 3743163 3744452 "OPTPACK" 3746656 T OPTPACK (NIL) |package| NIL NIL) (|NumericalOptimizationCategory| 3738284 3739420 3739508 "OPTCAT" 3740943 T OPTCAT (NIL) |category| NIL 3742028) (|OperationsQuery| 3737857 3737920 3738054 "OPQUERY" 3738196 T OPQUERY (NIL) |package| NIL NIL) (|Operator| 3733469 3735087 3735914 "OP" 3737076 NIL OP (NIL T) |domain| NIL NIL) (|OnePointCompletion| 3728492 3731340 3731969 "ONECOMP" 3732913 NIL ONECOMP (NIL T) |domain| NIL NIL) (|OnePointCompletionFunctions2| 3727133 3727342 3727702 "ONECOMP2" 3728246 NIL ONECOMP2 (NIL T T) |package| NIL NIL) (|OpenMathServerPackage| 3726043 3726220 3726489 "OMSERVER" 3726922 T OMSERVER (NIL) |package| NIL NIL) (|OrderedMultisetAggregate| 3721513 3725087 3725185 "OMSAGG" 3725296 NIL OMSAGG (NIL T) |category| NIL 3725415) (|OpenMathPackage| 3719172 3719569 3720071 "OMPKG" 3721057 T OMPKG (NIL) |package| NIL NIL) (|OpenMath| 3718256 3718405 3718451 "OM" 3718936 T OM (NIL) |category| NIL NIL) (|OppositeMonogenicLinearOperator| 3716002 3717411 3717739 "OMLO" 3718058 NIL OMLO (NIL T T) |domain| NIL NIL) (|ExpressionToOpenMath| 3714141 3714366 3714773 "OMEXPR" 3715702 NIL OMEXPR (NIL T) |package| NIL NIL) (|OpenMathError| 3713014 3713328 3713582 "OMERR" 3713929 T OMERR (NIL) |domain| NIL NIL) (|OpenMathErrorKind| 3711608 3711945 3712254 "OMERRK" 3712755 T OMERRK (NIL) |domain| NIL NIL) (|OpenMathEncoding| 3710656 3710933 3711163 "OMENC" 3711426 T OMENC (NIL) |domain| NIL NIL) (|OpenMathDevice| 3700799 3702466 3704412 "OMDEV" 3708754 T OMDEV (NIL) |domain| NIL NIL) (|OpenMathConnection| 3699042 3699334 3699728 "OMCONN" 3700457 T OMCONN (NIL) |domain| NIL NIL) (|OrderedIntegralDomain| 3697042 3698300 3698372 "OINTDOM" 3698377 T OINTDOM (NIL) |category| NIL 3698422) (|OrderedFreeMonoid| 3690424 3691998 3693138 "OFMONOID" 3695972 NIL OFMONOID (NIL T) |domain| NIL NIL) (|OrderlyDifferentialVariable| 3689605 3690251 3690380 "ODVAR" 3690385 NIL ODVAR (NIL T) |domain| NIL NIL) (|OrdinaryDifferentialRing| 3685544 3688727 3689049 "ODR" 3689416 NIL ODR (NIL T T NIL) |domain| NIL NIL) (|OrderlyDifferentialPolynomial| 3672391 3684981 3685304 "ODPOL" 3685309 NIL ODPOL (NIL T) |domain| NIL NIL) (|OrderedDirectProduct| 3663651 3672134 3672349 "ODP" 3672354 NIL ODP (NIL NIL T NIL) |domain| NIL NIL) (|ODETools| 3661496 3661808 3662283 "ODETOOLS" 3663280 NIL ODETOOLS (NIL T T) |package| NIL NIL) (|SystemODESolver| 3657181 3658006 3659004 "ODESYS" 3660616 NIL ODESYS (NIL T T) |package| NIL NIL) (|RationalRicDE| 3647240 3648920 3650866 "ODERTRIC" 3655440 NIL ODERTRIC (NIL T T) |package| NIL NIL) (|ReduceLODE| 3646216 3646318 3646688 "ODERED" 3647114 NIL ODERED (NIL T T T T T) |package| NIL NIL) (|RationalLODE| 3640428 3641361 3642615 "ODERAT" 3645165 NIL ODERAT (NIL T T) |package| NIL NIL) (|PrimitiveRatRicDE| 3634733 3635387 3636418 "ODEPRRIC" 3639707 NIL ODEPRRIC (NIL T T T T) |package| NIL NIL) (|NumericalODEProblem| 3631495 3632298 3633101 "ODEPROB" 3633984 T ODEPROB (NIL) |domain| NIL NIL) (|PrimitiveRatDE| 3624945 3625578 3626680 "ODEPRIM" 3630697 NIL ODEPRIM (NIL T T T T) |package| NIL NIL) (|PureAlgebraicLODE| 3623567 3623723 3624218 "ODEPAL" 3624765 NIL ODEPAL (NIL T T T T) |package| NIL NIL) (|AnnaOrdinaryDifferentialEquationPackage| 3617268 3618437 3619843 "ODEPACK" 3622255 T ODEPACK (NIL) |package| NIL NIL) (|ODEIntegration| 3615321 3615448 3615917 "ODEINT" 3617107 NIL ODEINT (NIL T T) |package| NIL NIL) (|ODEIntensityFunctionsTable| 3606869 3608838 3610924 "ODEIFTBL" 3613303 T ODEIFTBL (NIL) |domain| NIL NIL) (|ElementaryFunctionODESolver| 3598878 3599916 3601417 "ODEEF" 3605702 NIL ODEEF (NIL T T) |package| NIL NIL) (|ConstantLODE| 3597597 3597707 3598202 "ODECONST" 3598744 NIL ODECONST (NIL T T T) |package| NIL NIL) (|OrdinaryDifferentialEquationsSolverCategory| 3594701 3595606 3595722 "ODECAT" 3596709 T ODECAT (NIL) |category| NIL 3597515) (|Octonion| 3590347 3594181 3594401 "OCT" 3594538 NIL OCT (NIL T) |domain| NIL NIL) (|OctonionCategoryFunctions2| 3589685 3589735 3589989 "OCTCT2" 3590273 NIL OCTCT2 (NIL T T T T) |package| NIL NIL) (|OctonionCategory| 3581803 3585066 3585153 "OC" 3587215 NIL OC (NIL T) |category| |Octonion| 3588487) (|OctonionCategory&| 3577719 3578694 3580202 "OC-" 3580401 NIL OC- (NIL T T) |domain| NIL NIL) (|OrderedCancellationAbelianMonoid| 3576771 3577300 3577394 "OCAMON" 3577399 T OCAMON (NIL) |category| NIL 3577464) (|OrderedAbelianSemiGroup| 3576014 3576493 3576569 "OASGP" 3576574 T OASGP (NIL) |category| NIL 3576617) (|OrderedAbelianMonoidSup| 3574926 3575476 3575552 "OAMONS" 3575623 T OAMONS (NIL) |category| NIL 3575716) (|OrderedAbelianMonoid| 3574128 3574607 3574677 "OAMON" 3574682 T OAMON (NIL) |category| NIL 3574738) (|OrderedAbelianGroup| 3573090 3573670 3573738 "OAGROUP" 3573743 T OAGROUP (NIL) |category| NIL 3573807) (|NumericTubePlot| 3572533 3572603 3572780 "NUMTUBE" 3572996 NIL NUMTUBE (NIL T) |package| NIL NIL) (|NumericalQuadrature| 3563150 3565286 3567540 "NUMQUAD" 3570333 T NUMQUAD (NIL) |package| NIL NIL) (|NumericalOrdinaryDifferentialEquations| 3556856 3558220 3559743 "NUMODE" 3561719 T NUMODE (NIL) |package| NIL NIL) (|NumericalIntegrationCategory| 3552655 3553924 3554010 "NUMINT" 3555557 T NUMINT (NIL) |category| NIL 3556774) (|NumberFormats| 3550672 3551021 3551461 "NUMFMT" 3552257 T NUMFMT (NIL) |package| NIL NIL) (|Numeric| 3527054 3531565 3535958 "NUMERIC" 3546342 NIL NUMERIC (NIL T) |package| NIL NIL) (|NormalizedTriangularSetCategory| 3519045 3526130 3526349 "NTSCAT" 3526354 NIL NTSCAT (NIL T T T T) |category| NIL 3526421) (|NumberTheoreticPolynomialFunctions| 3517509 3517773 3518154 "NTPOLFN" 3518773 NIL NTPOLFN (NIL T) |package| NIL NIL) (|NewSparseUnivariatePolynomial| 3497119 3511535 3512948 "NSUP" 3516184 NIL NSUP (NIL T) |domain| NIL NIL) (|NewSparseUnivariatePolynomialFunctions2| 3496304 3496422 3496686 "NSUP2" 3496977 NIL NSUP2 (NIL T T) |package| NIL NIL) (|NewSparseMultivariatePolynomial| 3481089 3495791 3496101 "NSMP" 3496106 NIL NSMP (NIL T T) |domain| NIL NIL) (|NeitherSparseOrDensePowerSeries| 3464303 3480341 3480657 "NSDPS" 3480866 NIL NSDPS (NIL T) |domain| NIL NIL) (|NumericRealEigenPackage| 3461583 3462052 3462691 "NREP" 3463766 NIL NREP (NIL T) |package| NIL NIL) (|NewtonPolygon| 3457173 3457883 3458833 "NPOLYGON" 3460819 NIL NPOLYGON (NIL T T T NIL) |package| NIL NIL) (|NPCoef| 3454839 3455205 3455792 "NPCOEF" 3456778 NIL NPCOEF (NIL T T T T T) |package| NIL NIL) (|NottinghamGroup| 3453745 3454394 3454572 "NOTTING" 3454736 NIL NOTTING (NIL T) |domain| NIL NIL) (|NormRetractPackage| 3451769 3451960 3452421 "NORMRETR" 3453520 NIL NORMRETR (NIL T T T T NIL) |package| NIL NIL) (|NormalizationPackage| 3448439 3448810 3449463 "NORMPK" 3451354 NIL NORMPK (NIL T T T T T) |package| NIL NIL) (|NormInMonogenicAlgebra| 3447834 3447863 3448117 "NORMMA" 3448386 NIL NORMMA (NIL T T T T) |package| NIL NIL) (|None| 3447611 3447771 3447812 "NONE" 3447817 T NONE (NIL) |domain| NIL NIL) (|NoneFunctions1| 3447280 3447314 3447431 "NONE1" 3447552 NIL NONE1 (NIL T) |package| NIL NIL) (|NonLinearFirstOrderODESolver| 3446194 3446277 3446720 "NODE1" 3447173 NIL NODE1 (NIL T T) |package| NIL NIL) (|NonNegativeInteger| 3443751 3444811 3445231 "NNI" 3445826 T NNI (NIL) |domain| NIL NIL) (|NonLinearSolvePackage| 3441112 3441582 3442200 "NLINSOL" 3443215 NIL NLINSOL (NIL T) |package| NIL NIL) (|NumericalIntegrationProblem| 3435011 3436463 3437962 "NIPROB" 3439683 T NIPROB (NIL) |domain| NIL NIL) (|NumberFieldIntegralBasis| 3432909 3433249 3433777 "NFINTBAS" 3434637 NIL NFINTBAS (NIL T T) |package| NIL NIL) (|NewtonInterpolation| 3432381 3432452 3432625 "NEWTON" 3432814 NIL NEWTON (NIL T) |package| NIL NIL) (|NonCommutativeOperatorDivision| 3430150 3430451 3430930 "NCODIV" 3432031 NIL NCODIV (NIL T T) |package| NIL NIL) (|NumericContinuedFraction| 3429614 3429685 3429873 "NCNTFRAC" 3430055 NIL NCNTFRAC (NIL T) |package| NIL NIL) (|NumericComplexEigenPackage| 3426420 3427003 3427762 "NCEP" 3428963 NIL NCEP (NIL T) |package| NIL NIL) (|NonAssociativeRing| 3424706 3425720 3425786 "NASRING" 3425999 T NASRING (NIL) |category| NIL 3426160) (|NonAssociativeRing&| 3424351 3424411 3424597 "NASRING-" 3424602 NIL NASRING- (NIL T) |domain| NIL NIL) (|NonAssociativeRng| 3423042 3423700 3423764 "NARNG" 3423981 T NARNG (NIL) |category| NIL 3424143) (|NonAssociativeRng&| 3422554 3422646 3422881 "NARNG-" 3422886 NIL NARNG- (NIL T) |domain| NIL NIL) (|NAGLinkSupportPackage| 3420454 3420794 3421263 "NAGSP" 3422143 T NAGSP (NIL) |package| NIL NIL) (|NagSpecialFunctionsPackage| 3405132 3407808 3410761 "NAGS" 3417569 T NAGS (NIL) |package| NIL NIL) (|NagLapack| 3402737 3403230 3403796 "NAGF07" 3404600 T NAGF07 (NIL) |package| NIL NIL) (|NagLinearEquationSolvingPackage| 3393411 3395544 3397829 "NAGF04" 3400530 T NAGF04 (NIL) |package| NIL NIL) (|NagEigenPackage| 3381767 3384395 3387179 "NAGF02" 3390673 T NAGF02 (NIL) |package| NIL NIL) (|NagMatrixOperationsPackage| 3373632 3375443 3377391 "NAGF01" 3379887 T NAGF01 (NIL) |package| NIL NIL) (|NagOptimisationPackage| 3363027 3365643 3368378 "NAGE04" 3370957 T NAGE04 (NIL) |package| NIL NIL) (|NagFittingPackage| 3347630 3351322 3355173 "NAGE02" 3359226 T NAGE02 (NIL) |package| NIL NIL) (|NagInterpolationPackage| 3340439 3342087 3343866 "NAGE01" 3345913 T NAGE01 (NIL) |package| NIL NIL) (|NagPartialDifferentialEquationsPackage| 3336487 3337426 3338491 "NAGD03" 3339466 T NAGD03 (NIL) |package| NIL NIL) (|NagOrdinaryDifferentialEquationsPackage| 3323349 3326344 3329508 "NAGD02" 3333417 T NAGD02 (NIL) |package| NIL NIL) (|NagIntegrationPackage| 3313215 3315512 3317946 "NAGD01" 3320973 T NAGD01 (NIL) |package| NIL NIL) (|NagSeriesSummationPackage| 3306682 3308016 3309495 "NAGC06" 3311802 T NAGC06 (NIL) |package| NIL NIL) (|NagRootFindingPackage| 3304200 3304709 3305310 "NAGC05" 3306139 T NAGC05 (NIL) |package| NIL NIL) (|NagPolynomialRootsPackage| 3303094 3303281 3303563 "NAGC02" 3303984 T NAGC02 (NIL) |package| NIL NIL) (|NonAssociativeAlgebra| 3301636 3302374 3302471 "NAALG" 3302632 NIL NAALG (NIL T) |category| NIL 3302754) (|NonAssociativeAlgebra&| 3301299 3301350 3301551 "NAALG-" 3301556 NIL NAALG- (NIL T T) |domain| NIL NIL) (|MyUnivariatePolynomial| 3286665 3299795 3300276 "MYUP" 3300908 NIL MYUP (NIL NIL T) |domain| NIL NIL) (|MyExpression| 3272431 3283958 3284643 "MYEXPR" 3286093 NIL MYEXPR (NIL NIL T) |domain| NIL NIL) (|MultivariateSquareFree| 3261031 3262946 3265135 "MULTSQFR" 3270423 NIL MULTSQFR (NIL T T T T) |package| NIL NIL) (|MultivariateFactorize| 3259622 3259758 3260145 "MULTFACT" 3260855 NIL MULTFACT (NIL T T T T) |package| NIL NIL) (|MultivariateTaylorSeriesCategory| 3248662 3254079 3254207 "MTSCAT" 3256319 NIL MTSCAT (NIL T T) |category| NIL 3257299) (|MergeThing| 3248204 3248276 3248428 "MTHING" 3248566 NIL MTHING (NIL T) |package| NIL NIL) (|MoreSystemCommands| 3247832 3247879 3248003 "MSYSCMD" 3248132 T MSYSCMD (NIL) |package| NIL NIL) (|Multiset| 3242080 3245772 3246309 "MSET" 3247348 NIL MSET (NIL T) |domain| NIL NIL) (|MultisetAggregate| 3237891 3241374 3241459 "MSETAGG" 3241464 NIL MSETAGG (NIL T) |category| |Multiset| 3241523) (|MonoidRing| 3231613 3233746 3234889 "MRING" 3236814 NIL MRING (NIL T T) |domain| NIL NIL) (|MonoidRingFunctions2| 3230923 3231013 3231227 "MRF2" 3231499 NIL MRF2 (NIL T T T) |package| NIL NIL) (|MRationalFactorize| 3230199 3230243 3230529 "MRATFAC" 3230855 NIL MRATFAC (NIL T T T T) |package| NIL NIL) (|MPolyCatRationalFunctionFactorizer| 3225737 3226165 3226945 "MPRFF" 3229717 NIL MPRFF (NIL T T T T) |package| NIL NIL) (|MultivariatePolynomial| 3215884 3225417 3225624 "MPOLY" 3225629 NIL MPOLY (NIL NIL T) |domain| NIL NIL) (|MPolyCatPolyFactorizer| 3214962 3215006 3215393 "MPCPF" 3215816 NIL MPCPF (NIL T T T T) |package| NIL NIL) (|MPolyCatFunctions3| 3214096 3214146 3214478 "MPC3" 3214888 NIL MPC3 (NIL T T T T T T T) |package| NIL NIL) (|MPolyCatFunctions2| 3212703 3212797 3213171 "MPC2" 3213974 NIL MPC2 (NIL T T T T T T T) |package| NIL NIL) (|MonomialExtensionTools| 3210012 3210468 3211081 "MONOTOOL" 3212208 NIL MONOTOOL (NIL T T) |package| NIL NIL) (|Monoid| 3208727 3209162 3209204 "MONOID" 3209628 T MONOID (NIL) |category| NIL 3209910) (|Monoid&| 3207783 3208016 3208392 "MONOID-" 3208397 NIL MONOID- (NIL T) |domain| NIL NIL) (|MonogenicAlgebra| 3193757 3202347 3202478 "MONOGEN" 3203854 NIL MONOGEN (NIL T T) |category| NIL 3204611) (|MonogenicAlgebra&| 3189337 3190354 3192008 "MONOGEN-" 3192257 NIL MONOGEN- (NIL T T T) |domain| NIL NIL) (|MonadWithUnit| 3187518 3188104 3188160 "MONADWU" 3188834 T MONADWU (NIL) |category| NIL 3189239) (|MonadWithUnit&| 3186405 3186670 3187125 "MONADWU-" 3187130 NIL MONADWU- (NIL T) |domain| NIL NIL) (|Monad| 3185438 3185738 3185778 "MONAD" 3186113 T MONAD (NIL) |category| NIL 3186323) (|Monad&| 3184898 3185028 3185252 "MONAD-" 3185257 NIL MONAD- (NIL T) |domain| NIL NIL) (|MoebiusTransform| 3182359 3183181 3183612 "MOEBIUS" 3184530 NIL MOEBIUS (NIL T) |domain| NIL NIL) (|Module| 3181518 3181978 3182045 "MODULE" 3182050 NIL MODULE (NIL T) |category| NIL 3182085) (|Module&| 3180875 3181005 3181297 "MODULE-" 3181302 NIL MODULE- (NIL T T) |domain| NIL NIL) (|ModularRing| 3177463 3178353 3178829 "MODRING" 3180624 NIL MODRING (NIL T T NIL NIL NIL) |domain| NIL NIL) (|ModuleOperator| 3172659 3174251 3175115 "MODOP" 3176682 NIL MODOP (NIL T T) |domain| NIL NIL) (|ModuleMonomial| 3169995 3170522 3171038 "MODMONOM" 3172361 NIL MODMONOM (NIL T T NIL) |domain| NIL NIL) (|ModMonic| 3153318 3166909 3167582 "MODMON" 3169411 NIL MODMON (NIL T T) |domain| NIL NIL) (|ModularField| 3149136 3151522 3151932 "MODFIELD" 3153135 NIL MODFIELD (NIL T T NIL NIL NIL) |domain| NIL NIL) (|MathMLFormat| 3147553 3147923 3148252 "MMLFORM" 3148847 T MMLFORM (NIL) |domain| NIL NIL) (|MultipleMap| 3146640 3146690 3147048 "MMAP" 3147479 NIL MMAP (NIL T T T T T T) |package| NIL NIL) (|MonogenicLinearOperator| 3143756 3144837 3144927 "MLO" 3145744 NIL MLO (NIL T) |category| NIL 3146178) (|MultivariateLifting| 3138895 3139811 3140936 "MLIFT" 3142806 NIL MLIFT (NIL T T T T) |package| NIL NIL) (|MakeUnaryCompiledFunction| 3137806 3137933 3138220 "MKUCFUNC" 3138739 NIL MKUCFUNC (NIL T T T) |package| NIL NIL) (|MakeRecord| 3137253 3137336 3137508 "MKRECORD" 3137698 NIL MKRECORD (NIL T T) |package| NIL NIL) (|MakeFunction| 3135771 3135975 3136335 "MKFUNC" 3136970 NIL MKFUNC (NIL T) |package| NIL NIL) (|MakeFloatCompiledFunction| 3134530 3134716 3135056 "MKFLCFN" 3135534 NIL MKFLCFN (NIL T) |package| NIL NIL) (|MakeCachableSet| 3133716 3134165 3134329 "MKCHSET" 3134433 NIL MKCHSET (NIL T) |domain| NIL NIL) (|MakeBinaryCompiledFunction| 3132473 3132622 3132947 "MKBCFUNC" 3133538 NIL MKBCFUNC (NIL T T T T) |package| NIL NIL) (|MachineInteger| 3127597 3131559 3131861 "MINT" 3132215 T MINT (NIL) |domain| NIL NIL) (|ModularHermitianRowReduction| 3125583 3125918 3126394 "MHROWRED" 3127218 NIL MHROWRED (NIL T) |package| NIL NIL) (|MachineFloat| 3117957 3122604 3123477 "MFLOAT" 3124750 T MFLOAT (NIL) |domain| NIL NIL) (|MultFiniteFactorize| 3116639 3116776 3117131 "MFINFACT" 3117781 NIL MFINFACT (NIL T T T T) |package| NIL NIL) (|MeshCreationRoutinesForThreeDimensions| 3109128 3110818 3112680 "MESH" 3114869 T MESH (NIL) |package| NIL NIL) (|ModularDistinctDegreeFactorizer| 3106420 3106835 3107427 "MDDFACT" 3108664 NIL MDDFACT (NIL T) |package| NIL NIL) (|MultiDictionary| 3101726 3105047 3105128 "MDAGG" 3105591 NIL MDAGG (NIL T) |category| NIL 3105853) (|MachineComplex| 3083558 3100454 3100849 "MCMPLX" 3101375 T MCMPLX (NIL) |domain| NIL NIL) (|MatrixCommonDenominator| 3082022 3082234 3082603 "MCDEN" 3083311 NIL MCDEN (NIL T T) |package| NIL NIL) (|MultiVariableCalculusFunctions| 3077908 3078293 3078999 "MCALCFN" 3081583 NIL MCALCFN (NIL T T T T) |package| NIL NIL) (|StorageEfficientMatrixOperations| 3074093 3074812 3075700 "MATSTOR" 3077114 NIL MATSTOR (NIL T) |package| NIL NIL) (|Matrix| 3068267 3073149 3073517 "MATRIX" 3073767 NIL MATRIX (NIL T) |domain| NIL NIL) (|MatrixLinearAlgebraFunctions| 3060683 3061674 3062833 "MATLIN" 3067316 NIL MATLIN (NIL T T T T) |package| NIL NIL) (|MatrixCategory| 3042899 3047471 3047617 "MATCAT" 3057791 NIL MATCAT (NIL T T T) |category| NIL 3060230) (|MatrixCategory&| 3037075 3038595 3040830 "MATCAT-" 3040835 NIL MATCAT- (NIL T T T T) |domain| NIL NIL) (|MatrixCategoryFunctions2| 3034672 3034859 3035402 "MATCAT2" 3036846 NIL MATCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|MappingPackage4| 3032711 3033088 3033585 "MAPPKG4" 3034256 NIL MAPPKG4 (NIL T T) |package| NIL NIL) (|MappingPackage3| 3029623 3030072 3030679 "MAPPKG3" 3032213 NIL MAPPKG3 (NIL T T T) |package| NIL NIL) (|MappingPackage2| 3027970 3028202 3028561 "MAPPKG2" 3029352 NIL MAPPKG2 (NIL T T) |package| NIL NIL) (|MappingPackage1| 3025471 3025885 3026437 "MAPPKG1" 3027485 NIL MAPPKG1 (NIL T) |package| NIL NIL) (|MappingPackageInternalHacks3| 3024806 3024879 3025111 "MAPHACK3" 3025374 NIL MAPHACK3 (NIL T T T) |package| NIL NIL) (|MappingPackageInternalHacks2| 3024134 3024197 3024405 "MAPHACK2" 3024712 NIL MAPHACK2 (NIL T T) |package| NIL NIL) (|MappingPackageInternalHacks1| 3023068 3023236 3023527 "MAPHACK1" 3023936 NIL MAPHACK1 (NIL T) |package| NIL NIL) (|MatrixManipulation| 3010723 3012146 3014029 "MAMA" 3021363 NIL MAMA (NIL T T T T) |package| NIL NIL) (|Magma| 3007925 3008641 3009128 "MAGMA" 3010282 NIL MAGMA (NIL T) |domain| NIL NIL) (|ModularAlgebraicGcdOperations| 3005083 3005586 3005702 "MAGCDOC" 3007331 NIL MAGCDOC (NIL T T) |category| NIL NIL) (|ThreeDimensionalMatrix| 2999029 3001664 3002584 "M3D" 3004244 NIL M3D (NIL T) |domain| NIL NIL) (|LazyStreamAggregate| 2990293 2996279 2996361 "LZSTAGG" 2997749 NIL LZSTAGG (NIL T) |category| NIL 2998268) (|LazyStreamAggregate&| 2984293 2985892 2988142 "LZSTAGG-" 2988147 NIL LZSTAGG- (NIL T T) |domain| NIL NIL) (|LyndonWord| 2979512 2980575 2981440 "LWORD" 2983484 NIL LWORD (NIL T) |domain| NIL NIL) (|LieSquareMatrix| 2969326 2979071 2979337 "LSQM" 2979342 NIL LSQM (NIL NIL T) |domain| NIL NIL) (|LinearSystemPolynomialPackage| 2968079 2968260 2968659 "LSPP" 2969121 NIL LSPP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage| 2964279 2964667 2965423 "LSMP" 2967637 NIL LSMP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage1| 2959626 2960497 2961535 "LSMP1" 2963324 NIL LSMP1 (NIL T) |package| NIL NIL) (|ListAggregate| 2950985 2958327 2958397 "LSAGG" 2958492 NIL LSAGG (NIL T) |category| NIL 2958645) (|ListAggregate&| 2946320 2947528 2949297 "LSAGG-" 2949302 NIL LSAGG- (NIL T T) |domain| NIL NIL) (|LiePolynomial| 2942689 2944775 2945219 "LPOLY" 2945963 NIL LPOLY (NIL T T) |domain| NIL NIL) (|LinearPolynomialEquationByFractions| 2941614 2941814 2942165 "LPEFRAC" 2942465 NIL LPEFRAC (NIL T) |package| NIL NIL) (|LocalParametrizationOfSimplePointPackage| 2937020 2937358 2938138 "LPARSPT" 2941213 NIL LPARSPT (NIL T NIL T T T T T) |package| NIL NIL) (|LeftOreRing| 2935501 2936332 2936384 "LORER" 2936535 T LORER (NIL) |category| NIL 2936671) (|LinesOpPack| 2933099 2933564 2934131 "LOP" 2934987 NIL LOP (NIL T) |package| NIL NIL) (|Localize| 2930811 2931748 2932112 "LO" 2932853 NIL LO (NIL T T T) |domain| NIL NIL) (|Logic| 2930375 2930486 2930526 "LOGIC" 2930672 T LOGIC (NIL) |category| NIL 2930788) (|Logic&| 2930192 2930215 2930314 "LOGIC-" 2930319 NIL LOGIC- (NIL T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorsOps| 2928589 2928796 2929201 "LODOOPS" 2929951 NIL LODOOPS (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperator| 2924944 2928353 2928531 "LODO" 2928536 NIL LODO (NIL T NIL) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorFactorizer| 2921551 2922088 2922919 "LODOF" 2924380 NIL LODOF (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperatorCategory| 2916026 2919372 2919500 "LODOCAT" 2920422 NIL LODOCAT (NIL T) |category| NIL 2920778) (|LinearOrdinaryDifferentialOperatorCategory&| 2915542 2915612 2915903 "LODOCAT-" 2915908 NIL LODOCAT- (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator2| 2911732 2915169 2915453 "LODO2" 2915458 NIL LODO2 (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator1| 2908091 2911509 2911674 "LODO1" 2911679 NIL LODO1 (NIL T) |domain| NIL NIL) (|ElementaryFunctionLODESolver| 2905957 2906152 2906778 "LODEEF" 2907858 NIL LODEEF (NIL T T T) |package| NIL NIL) (|LocalPowerSeriesCategory| 2894727 2900605 2900698 "LOCPOWC" 2903377 NIL LOCPOWC (NIL T) |category| |NeitherSparseOrDensePowerSeries| 2904347) (|LinearAggregate| 2887714 2891762 2891836 "LNAGG" 2893404 NIL LNAGG (NIL T) |category| NIL 2894101) (|LinearAggregate&| 2886509 2886775 2887288 "LNAGG-" 2887293 NIL LNAGG- (NIL T T) |domain| NIL NIL) (|ListMonoidOps| 2880266 2881301 2882342 "LMOPS" 2885564 NIL LMOPS (NIL T T NIL) |domain| NIL NIL) (|LeftModule| 2879405 2879849 2879912 "LMODULE" 2880001 NIL LMODULE (NIL T) |category| NIL 2880074) (|ListMultiDictionary| 2875315 2878738 2878981 "LMDICT" 2879237 NIL LMDICT (NIL T) |domain| NIL NIL) (|LinearSystemFromPowerSeriesPackage| 2873652 2873874 2874268 "LISYSER" 2875059 NIL LISYSER (NIL T T) |package| NIL NIL) (|List| 2864136 2872089 2872521 "LIST" 2873258 NIL LIST (NIL T) |domain| NIL NIL) (|ListFunctions3| 2863461 2863548 2863745 "LIST3" 2864025 NIL LIST3 (NIL T T T) |package| NIL NIL) (|ListFunctions2| 2862052 2862265 2862584 "LIST2" 2863214 NIL LIST2 (NIL T T) |package| NIL NIL) (|ListToMap| 2859408 2859781 2860322 "LIST2MAP" 2861580 NIL LIST2MAP (NIL T T) |package| NIL NIL) (|LinearlyExplicitRingOver| 2857483 2858382 2858474 "LINEXP" 2858903 NIL LINEXP (NIL T) |category| NIL 2859127) (|LinearDependence| 2855249 2855598 2856087 "LINDEP" 2857105 NIL LINDEP (NIL T T) |package| NIL NIL) (|RationalFunctionLimitPackage| 2849474 2850706 2852110 "LIMITRF" 2853936 NIL LIMITRF (NIL T) |package| NIL NIL) (|PowerSeriesLimitPackage| 2846273 2846738 2847522 "LIMITPS" 2848967 NIL LIMITPS (NIL T T) |package| NIL NIL) (|AssociatedLieAlgebra| 2836791 2845293 2845760 "LIE" 2845923 NIL LIE (NIL T T) |domain| NIL NIL) (|LieAlgebra| 2835454 2835984 2836059 "LIECAT" 2836296 NIL LIECAT (NIL T) |category| NIL 2836495) (|LieAlgebra&| 2835234 2835257 2835397 "LIECAT-" 2835402 NIL LIECAT- (NIL T T) |domain| NIL NIL) (|Library| 2824834 2834290 2834573 "LIB" 2834981 T LIB (NIL) |domain| NIL NIL) (|LinGroebnerPackage| 2815167 2817191 2819394 "LGROBP" 2822727 NIL LGROBP (NIL NIL T) |package| NIL NIL) (|LiouvillianFunction| 2810578 2810976 2811660 "LF" 2814677 NIL LF (NIL T T) |package| NIL NIL) (|LiouvillianFunctionCategory| 2808579 2809359 2809443 "LFCAT" 2810006 T LFCAT (NIL) |category| NIL 2810301) (|LexTriangularPackage| 2801730 2803151 2804743 "LEXTRIPK" 2807087 NIL LEXTRIPK (NIL T NIL) |package| NIL NIL) (|LieExponentials| 2796295 2797456 2798298 "LEXP" 2801049 NIL LEXP (NIL T T NIL) |domain| NIL NIL) (|LeadingCoefDetermination| 2793734 2794171 2794822 "LEADCDET" 2795829 NIL LEADCDET (NIL T T T T) |package| NIL NIL) (|LazardSetSolvingPackage| 2792156 2792259 2792703 "LAZM3PK" 2793602 NIL LAZM3PK (NIL T T T T T T) |package| NIL NIL) (|LaurentPolynomial| 2783930 2788516 2789485 "LAUPOL" 2791304 NIL LAUPOL (NIL T T) |domain| NIL NIL) (|LaplaceTransform| 2783012 2783066 2783456 "LAPLACE" 2783852 NIL LAPLACE (NIL T T) |package| NIL NIL) (|LocalAlgebra| 2780184 2781662 2782020 "LA" 2782781 NIL LA (NIL T T T) |domain| NIL NIL) (|LeftAlgebra| 2778850 2779625 2779691 "LALG" 2779786 NIL LALG (NIL T) |category| NIL 2779877) (|LeftAlgebra&| 2778416 2778491 2778708 "LALG-" 2778713 NIL LALG- (NIL T T) |domain| NIL NIL) (|Kovacic| 2776385 2776693 2777254 "KOVACIC" 2778067 NIL KOVACIC (NIL T T) |package| NIL NIL) (|ConvertibleTo| 2776127 2776155 2776225 "KONVERT" 2776323 NIL KONVERT (NIL T) |category| NIL NIL) (|CoercibleTo| 2775878 2775905 2775971 "KOERCE" 2776066 NIL KOERCE (NIL T) |category| NIL NIL) (|Kernel| 2772309 2773359 2774020 "KERNEL" 2775265 NIL KERNEL (NIL T) |domain| NIL NIL) (|KernelFunctions2| 2771456 2771571 2771803 "KERNEL2" 2772165 NIL KERNEL2 (NIL T T) |package| NIL NIL) (|KeyedDictionary| 2762873 2769074 2769176 "KDAGG" 2769821 NIL KDAGG (NIL T T) |category| NIL 2770107) (|KeyedDictionary&| 2762209 2762359 2762676 "KDAGG-" 2762681 NIL KDAGG- (NIL T T T) |domain| NIL NIL) (|KeyedAccessFile| 2752821 2761631 2761902 "KAFILE" 2762005 NIL KAFILE (NIL T) |domain| NIL NIL) (|AssociatedJordanAlgebra| 2743330 2751832 2752305 "JORDAN" 2752471 NIL JORDAN (NIL T T) |domain| NIL NIL) (|IndexedAggregate| 2737853 2740491 2740588 "IXAGG" 2742210 NIL IXAGG (NIL T T) |category| NIL 2742865) (|IndexedAggregate&| 2736427 2736779 2737374 "IXAGG-" 2737379 NIL IXAGG- (NIL T T T) |domain| NIL NIL) (|IndexedVector| 2730310 2736299 2736397 "IVECTOR" 2736402 NIL IVECTOR (NIL T NIL) |domain| NIL NIL) (|InfiniteTuple| 2728348 2728679 2729118 "ITUPLE" 2729927 NIL ITUPLE (NIL T) |domain| NIL NIL) (|InnerTrigonometricManipulations| 2725303 2725519 2726100 "ITRIGMNP" 2728089 NIL ITRIGMNP (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions3| 2723309 2723601 2724047 "ITFUN3" 2724961 NIL ITFUN3 (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions2| 2722670 2722756 2722956 "ITFUN2" 2723199 NIL ITFUN2 (NIL T T) |package| NIL NIL) (|InnerTaylorSeries| 2719304 2720765 2721270 "ITAYLOR" 2722229 NIL ITAYLOR (NIL T) |domain| NIL NIL) (|InnerSparseUnivariatePowerSeries| 2701724 2708980 2710839 "ISUPS" 2717539 NIL ISUPS (NIL T) |domain| NIL NIL) (|InnerPolySum| 2700345 2700511 2700874 "ISUMP" 2701521 NIL ISUMP (NIL T T T T) |package| NIL NIL) (|IndexedString| 2692955 2700005 2700149 "ISTRING" 2700260 NIL ISTRING (NIL NIL) |domain| NIL NIL) (|InternalRationalUnivariateRepresentationPackage| 2691353 2691453 2691922 "IRURPK" 2692826 NIL IRURPK (NIL T T T T T) |package| NIL NIL) (|IrrRepSymNatPackage| 2689231 2689592 2690106 "IRSN" 2690893 T IRSN (NIL) |package| NIL NIL) (|IntegrationResultRFToFunction| 2685432 2686052 2686892 "IRRF2F" 2688579 NIL IRRF2F (NIL T) |package| NIL NIL) (|IrredPolyOverFiniteField| 2684809 2684897 2685102 "IRREDFFX" 2685320 NIL IRREDFFX (NIL T) |package| NIL NIL) (|IntegerRoots| 2682269 2682684 2683241 "IROOT" 2684321 NIL IROOT (NIL T) |package| NIL NIL) (|IntegrationResult| 2677177 2678586 2679652 "IR" 2681268 NIL IR (NIL T) |domain| NIL NIL) (|IntegrationResultFunctions2| 2673809 2674440 2675234 "IR2" 2676483 NIL IR2 (NIL T T) |package| NIL NIL) (|IntegrationResultToFunction| 2671803 2671993 2672492 "IR2F" 2673585 NIL IR2F (NIL T T) |package| NIL NIL) (|InternalPrintPackage| 2671452 2671493 2671614 "IPRNTPK" 2671738 T IPRNTPK (NIL) |package| NIL NIL) (|InnerPrimeField| 2666068 2671176 2671347 "IPF" 2671352 NIL IPF (NIL NIL) |domain| NIL NIL) (|InnerPAdicInteger| 2663609 2665917 2666032 "IPADIC" 2666037 NIL IPADIC (NIL NIL NIL) |domain| NIL NIL) (|InverseLaplaceTransform| 2662519 2662599 2663057 "INVLAPLA" 2663505 NIL INVLAPLA (NIL T T) |package| NIL NIL) (|TranscendentalIntegration| 2646984 2650252 2653717 "INTTR" 2659178 NIL INTTR (NIL T T) |package| NIL NIL) (|IntegrationTools| 2641212 2642288 2643555 "INTTOOLS" 2645813 NIL INTTOOLS (NIL T T) |package| NIL NIL) (|IntegerSolveLinearPolynomialEquation| 2640195 2640405 2640727 "INTSLPE" 2640978 T INTSLPE (NIL) |package| NIL NIL) (|Interval| 2637510 2640031 2640163 "INTRVL" 2640168 NIL INTRVL (NIL T) |domain| NIL NIL) (|RationalFunctionIntegration| 2633361 2634177 2635188 "INTRF" 2636655 NIL INTRF (NIL T) |package| NIL NIL) (|IntegerRetractions| 2632357 2632492 2632749 "INTRET" 2633191 NIL INTRET (NIL T) |package| NIL NIL) (|RationalIntegration| 2629091 2629642 2630406 "INTRAT" 2631767 NIL INTRAT (NIL T T) |package| NIL NIL) (|PatternMatchIntegration| 2624259 2625142 2626169 "INTPM" 2628341 NIL INTPM (NIL T T) |package| NIL NIL) (|PureAlgebraicIntegration| 2618793 2619588 2620762 "INTPAF" 2623408 NIL INTPAF (NIL T T T) |package| NIL NIL) (|AnnaNumericalIntegrationPackage| 2610323 2611881 2613740 "INTPACK" 2617012 T INTPACK (NIL) |package| NIL NIL) (|Integer| 2605835 2609788 2610044 "INT" 2610097 T INT (NIL) |domain| NIL NIL) (|TranscendentalHermiteIntegration| 2604637 2604843 2605211 "INTHERTR" 2605605 NIL INTHERTR (NIL T T) |package| NIL NIL) (|AlgebraicHermiteIntegration| 2603625 2603735 2604099 "INTHERAL" 2604503 NIL INTHERAL (NIL T T T T) |package| NIL NIL) (|IntegerNumberTheoryFunctions| 2599608 2600333 2601214 "INTHEORY" 2602816 T INTHEORY (NIL) |package| NIL NIL) (|GenusZeroIntegration| 2584125 2586624 2589547 "INTG0" 2597000 NIL INTG0 (NIL T T T) |package| NIL NIL) (|IntegrationFunctionsTable| 2561415 2566906 2572522 "INTFTBL" 2578575 T INTFTBL (NIL) |domain| NIL NIL) (|InterpolateFormsPackage| 2557704 2558029 2558768 "INTFRSP" 2561051 NIL INTFRSP (NIL T NIL T T T T T T) |package| NIL NIL) (|IntegerFactorizationPackage| 2556331 2556525 2556857 "INTFACT" 2557471 NIL INTFACT (NIL T) |package| NIL NIL) (|InterfaceGroebnerPackage| 2555618 2555669 2555944 "INTERGB" 2556256 NIL INTERGB (NIL T NIL T T T) |package| NIL NIL) (|ElementaryIntegration| 2551170 2551756 2552680 "INTEF" 2554990 NIL INTEF (NIL T T) |package| NIL NIL) (|IntegralDomain| 2548889 2549876 2549934 "INTDOM" 2550421 T INTDOM (NIL) |category| NIL 2550756) (|IntegralDomain&| 2547967 2548198 2548576 "INTDOM-" 2548581 NIL INTDOM- (NIL T) |domain| NIL NIL) (|IntersectionDivisorPackage| 2545370 2545522 2546232 "INTDIVP" 2547786 NIL INTDIVP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|IntervalCategory| 2539701 2542179 2542314 "INTCAT" 2544022 NIL INTCAT (NIL T) |category| |Interval| 2544568) (|IntegerBits| 2538813 2538970 2539201 "INTBIT" 2539508 T INTBIT (NIL) |package| NIL NIL) (|AlgebraicIntegrate| 2536191 2536431 2537043 "INTALG" 2538542 NIL INTALG (NIL T T T T T) |package| NIL NIL) (|AlgebraicIntegration| 2535074 2535243 2535606 "INTAF" 2535998 NIL INTAF (NIL T T) |package| NIL NIL) (|InnerTable| 2526301 2534717 2534979 "INTABL" 2534984 NIL INTABL (NIL T T T) |domain| NIL NIL) (|IntegerNumberSystem| 2518209 2521964 2522032 "INS" 2523795 T INS (NIL) |category| NIL 2525055) (|IntegerNumberSystem&| 2513764 2514901 2516517 "INS-" 2516678 NIL INS- (NIL T) |domain| NIL NIL) (|InnerPolySign| 2511779 2512104 2512592 "INPSIGN" 2513375 NIL INPSIGN (NIL T T) |package| NIL NIL) (|InfiniteProductPrimeField| 2510024 2510213 2510617 "INPRODPF" 2511551 NIL INPRODPF (NIL T T) |package| NIL NIL) (|InfiniteProductFiniteField| 2507764 2507953 2508438 "INPRODFF" 2509796 NIL INPRODFF (NIL T T T T) |package| NIL NIL) (|InnerMultFact| 2505580 2505911 2506476 "INNMFACT" 2507394 NIL INNMFACT (NIL T T T T) |package| NIL NIL) (|InnerModularGcd| 2504146 2504276 2504614 "INMODGCD" 2505416 NIL INMODGCD (NIL T T NIL NIL) |package| NIL NIL) (|InnerNumericFloatSolvePackage| 2501630 2501979 2502531 "INFSP" 2503742 NIL INFSP (NIL T T T) |package| NIL NIL) (|InfiniteProductCharacteristicZero| 2499863 2500052 2500463 "INFPROD0" 2501402 NIL INFPROD0 (NIL T T) |package| NIL NIL) (|InputForm| 2495381 2496861 2497675 "INFORM" 2499070 T INFORM (NIL) |domain| NIL NIL) (|InputFormFunctions1| 2494688 2494779 2494967 "INFORM1" 2495261 NIL INFORM1 (NIL T) |package| NIL NIL) (|Infinity| 2493733 2493907 2494148 "INFINITY" 2494479 T INFINITY (NIL) |package| NIL NIL) (|InfinitlyClosePoint| 2489629 2491153 2491788 "INFCLSPT" 2493495 NIL INFCLSPT (NIL T NIL T T T T T T T) |domain| NIL NIL) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| 2484498 2487302 2488173 "INFCLSPS" 2488974 NIL INFCLSPS (NIL T NIL T) |domain| NIL NIL) (|InfinitlyClosePointCategory| 2469610 2471026 2471462 "INFCLCT" 2482965 NIL INFCLCT (NIL T NIL T T T T T T T) |category| NIL 2484384) (|InnerNumericEigenPackage| 2467184 2467587 2468158 "INEP" 2469173 NIL INEP (NIL T T T) |package| NIL NIL) (|IndexedExponents| 2466098 2466913 2467080 "INDE" 2467085 NIL INDE (NIL T) |domain| NIL NIL) (|IncrementingMaps| 2465328 2465424 2465643 "INCRMAPS" 2465973 NIL INCRMAPS (NIL T) |package| NIL NIL) (|InnerNormalBasisFieldFunctions| 2457033 2458399 2459989 "INBFF" 2463843 NIL INBFF (NIL T) |package| NIL NIL) (|IndexedMatrix| 2451843 2456776 2456947 "IMATRIX" 2456952 NIL IMATRIX (NIL T NIL NIL) |domain| NIL NIL) (|InnerMatrixQuotientFieldFunctions| 2449375 2449542 2450123 "IMATQF" 2451626 NIL IMATQF (NIL T T T T T T T T) |package| NIL NIL) (|InnerMatrixLinearAlgebraFunctions| 2446015 2446346 2446955 "IMATLIN" 2448974 NIL IMATLIN (NIL T T T T) |package| NIL NIL) (|IndexedList| 2438492 2445893 2445986 "ILIST" 2445991 NIL ILIST (NIL T NIL) |domain| NIL NIL) (|InnerIndexedTwoDimensionalArray| 2435549 2438193 2438439 "IIARRAY2" 2438444 NIL IIARRAY2 (NIL T NIL NIL T T) |domain| NIL NIL) (|InnerFiniteField| 2428015 2435326 2435484 "IFF" 2435489 NIL IFF (NIL NIL NIL) |domain| NIL NIL) (|IndexedFlexibleArray| 2420698 2426660 2427051 "IFARRAY" 2427711 NIL IFARRAY (NIL T NIL) |domain| NIL NIL) (|InnerFreeAbelianMonoid| 2419583 2420485 2420652 "IFAMON" 2420657 NIL IFAMON (NIL T T NIL) |domain| NIL NIL) (|InnerEvalable| 2418971 2419041 2419132 "IEVALAB" 2419461 NIL IEVALAB (NIL T T) |category| NIL NIL) (|InnerEvalable&| 2418539 2418612 2418845 "IEVALAB-" 2418850 NIL IEVALAB- (NIL T T T) |domain| NIL NIL) (|IndexedDirectProductObject| 2418008 2418337 2418490 "IDPO" 2418495 NIL IDPO (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoidSup| 2416944 2417686 2417922 "IDPOAMS" 2417927 NIL IDPOAMS (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoid| 2415967 2416637 2416861 "IDPOAM" 2416866 NIL IDPOAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductCategory| 2414367 2414690 2414817 "IDPC" 2415641 NIL IDPC (NIL T T) |category| NIL 2415885) (|IndexedDirectProductAbelianMonoid| 2413590 2414095 2414291 "IDPAM" 2414296 NIL IDPAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductAbelianGroup| 2412709 2413323 2413515 "IDPAG" 2413520 NIL IDPAG (NIL T T) |domain| NIL NIL) (|IdealDecompositionPackage| 2404247 2406174 2408263 "IDECOMP" 2410739 NIL IDECOMP (NIL NIL NIL) |package| NIL NIL) (|PolynomialIdeals| 2392157 2393502 2395111 "IDEAL" 2402797 NIL IDEAL (NIL T T T T) |domain| NIL NIL) (|InfClsPt| 2388717 2390610 2391130 "ICP" 2391739 NIL ICP (NIL T NIL T) |domain| NIL NIL) (|InnerCommonDenominator| 2387109 2387267 2387651 "ICDEN" 2388525 NIL ICDEN (NIL T T T T) |package| NIL NIL) (|IndexCard| 2385865 2386305 2386538 "ICARD" 2386910 T ICARD (NIL) |domain| NIL NIL) (|IntegralBasisPolynomialTools| 2382015 2382574 2383381 "IBPTOOLS" 2385244 NIL IBPTOOLS (NIL T T T T) |package| NIL NIL) (|IndexedBits| 2375550 2381450 2381627 "IBITS" 2381893 NIL IBITS (NIL NIL) |domain| NIL NIL) (|IntegralBasisTools| 2370037 2370840 2371942 "IBATOOL" 2374674 NIL IBATOOL (NIL T T T) |package| NIL NIL) (|ChineseRemainderToolsForIntegralBases| 2366272 2366959 2367885 "IBACHIN" 2369316 NIL IBACHIN (NIL T T T) |package| NIL NIL) (|IndexedTwoDimensionalArray| 2363109 2365911 2366147 "IARRAY2" 2366152 NIL IARRAY2 (NIL T NIL NIL) |domain| NIL NIL) (|IndexedOneDimensionalArray| 2357644 2362927 2363065 "IARRAY1" 2363070 NIL IARRAY1 (NIL T NIL) |domain| NIL NIL) (|InnerAlgebraicNumber| 2347909 2354357 2355371 "IAN" 2356686 T IAN (NIL) |domain| NIL NIL) (|InnerAlgFactor| 2347018 2347097 2347423 "IALGFACT" 2347806 NIL IALGFACT (NIL T T T T) |package| NIL NIL) (|HyperbolicFunctionCategory| 2346220 2346339 2346421 "HYPCAT" 2346838 T HYPCAT (NIL) |category| NIL NIL) (|HyperbolicFunctionCategory&| 2345572 2345695 2346008 "HYPCAT-" 2346013 NIL HYPCAT- (NIL T) |domain| NIL NIL) (|HTMLFormat| 2344003 2344373 2344698 "HTMLFORM" 2345283 T HTMLFORM (NIL) |domain| NIL NIL) (|HomogeneousAggregate| 2339038 2340916 2341000 "HOAGG" 2342737 NIL HOAGG (NIL T) |category| NIL 2343639) (|HomogeneousAggregate&| 2336955 2337498 2338319 "HOAGG-" 2338324 NIL HOAGG- (NIL T T) |domain| NIL NIL) (|HexadecimalExpansion| 2327114 2335920 2336244 "HEXADEC" 2336687 T HEXADEC (NIL) |domain| NIL NIL) (|HeuGcd| 2325117 2325400 2325810 "HEUGCD" 2326782 NIL HEUGCD (NIL T) |package| NIL NIL) (|HyperellipticFiniteDivisor| 2323869 2324790 2325065 "HELLFDIV" 2325070 NIL HELLFDIV (NIL T T T T) |domain| NIL NIL) (|Heap| 2314195 2316314 2317976 "HEAP" 2322251 NIL HEAP (NIL T) |domain| NIL NIL) (|HomogeneousDirectProduct| 2305509 2313991 2314153 "HDP" 2314158 NIL HDP (NIL NIL T) |domain| NIL NIL) (|HomogeneousDistributedMultivariatePolynomial| 2295095 2304764 2305106 "HDMP" 2305310 NIL HDMP (NIL NIL T) |domain| NIL NIL) (|HallBasis| 2293910 2294147 2294453 "HB" 2294823 T HB (NIL) |package| NIL NIL) (|HashTable| 2285224 2293633 2293815 "HASHTBL" 2293820 NIL HASHTBL (NIL T T NIL) |domain| NIL NIL) (|Pi| 2281835 2284487 2284845 "HACKPI" 2284886 T HACKPI (NIL) |domain| NIL NIL) (|GuessUnivariatePolynomial| 2249639 2256421 2263700 "GUESSUP" 2274638 NIL GUESSUP (NIL NIL) |package| NIL NIL) (|GuessPolynomial| 2194921 2208040 2220806 "GUESSP" 2236919 T GUESSP (NIL) |package| NIL NIL) (|Guess| 2135625 2144701 2154282 "GUESS" 2185902 NIL GUESS (NIL T T T T NIL NIL) |package| NIL NIL) (|GuessInteger| 2086172 2097911 2109471 "GUESSINT" 2124105 T GUESSINT (NIL) |package| NIL NIL) (|GuessFinite| 2040634 2050448 2060695 "GUESSF" 2076031 NIL GUESSF (NIL T) |package| NIL NIL) (|GuessFiniteFunctions| 2040108 2040160 2040360 "GUESSF1" 2040558 NIL GUESSF1 (NIL T) |package| NIL NIL) (|GuessAlgebraicNumber| 1992007 2003081 2014478 "GUESSAN" 2028767 T GUESSAN (NIL) |package| NIL NIL) (|GeneralTriangularSet| 1985851 1991723 1991955 "GTSET" 1991960 NIL GTSET (NIL T T T T) |domain| NIL NIL) (|GeneralSparseTable| 1977236 1985648 1985816 "GSTBL" 1985821 NIL GSTBL (NIL T T T NIL) |domain| NIL NIL) (|GeneralUnivariatePowerSeries| 1966041 1975585 1976045 "GSERIES" 1976888 NIL GSERIES (NIL T NIL NIL) |domain| NIL NIL) (|Group| 1964698 1965270 1965310 "GROUP" 1965680 T GROUP (NIL) |category| NIL 1965922) (|Group&| 1963437 1963740 1964238 "GROUP-" 1964243 NIL GROUP- (NIL T) |domain| NIL NIL) (|GroebnerSolve| 1960221 1960860 1961638 "GROEBSOL" 1962764 NIL GROEBSOL (NIL NIL T T) |package| NIL NIL) (|GradedModule| 1958544 1958832 1958934 "GRMOD" 1959910 NIL GRMOD (NIL T T) |category| NIL 1960139) (|GradedModule&| 1958229 1958261 1958461 "GRMOD-" 1958466 NIL GRMOD- (NIL T T T) |domain| NIL NIL) (|GraphImage| 1950722 1952219 1953883 "GRIMAGE" 1956601 T GRIMAGE (NIL) |domain| NIL NIL) (|GraphicsDefaults| 1947939 1948341 1948971 "GRDEF" 1950140 T GRDEF (NIL) |package| NIL NIL) (|GrayCode| 1946946 1947144 1947403 "GRAY" 1947712 T GRAY (NIL) |package| NIL NIL) (|Graphviz| 1945429 1945699 1946047 "GRAPHVIZ" 1946630 T GRAPHVIZ (NIL) |package| NIL NIL) (|GradedAlgebra| 1944316 1944744 1944848 "GRALG" 1945137 NIL GRALG (NIL T T) |category| NIL 1945285) (|GradedAlgebra&| 1943844 1943918 1944177 "GRALG-" 1944182 NIL GRALG- (NIL T T T) |domain| NIL NIL) (|GeneralPolynomialSet| 1939087 1943037 1943389 "GPOLSET" 1943667 NIL GPOLSET (NIL T T T T) |domain| NIL NIL) (|GeneralPackageForAlgebraicFunctionField| 1904370 1906572 1909373 "GPAFF" 1936841 NIL GPAFF (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|GosperSummationMethod| 1903242 1903321 1903777 "GOSPER" 1904267 NIL GOSPER (NIL T T T T T) |package| NIL NIL) (|GuessOption| 1897179 1898426 1899700 "GOPT" 1902006 T GOPT (NIL) |domain| NIL NIL) (|GuessOptionFunctions0| 1889112 1890743 1892415 "GOPT0" 1895565 T GOPT0 (NIL) |domain| NIL NIL) (|GeneralModulePolynomial| 1881959 1882817 1883694 "GMODPOL" 1888632 NIL GMODPOL (NIL NIL T T T NIL T) |domain| NIL NIL) (|GeneralHenselPackage| 1880284 1880532 1880938 "GHENSEL" 1881677 NIL GHENSEL (NIL T T) |package| NIL NIL) (|GenerateUnivariatePowerSeries| 1868788 1870144 1871995 "GENUPS" 1878727 NIL GENUPS (NIL T T) |package| NIL NIL) (|GenUFactorize| 1868136 1868242 1868439 "GENUFACT" 1868658 NIL GENUFACT (NIL T) |package| NIL NIL) (|GeneralPolynomialGcdPackage| 1866788 1866948 1867344 "GENPGCD" 1867947 NIL GENPGCD (NIL T T T T) |package| NIL NIL) (|GeneralizedMultivariateFactorize| 1865804 1865848 1866263 "GENMFACT" 1866720 NIL GENMFACT (NIL T T T T T) |package| NIL NIL) (|GenExEuclid| 1863419 1863768 1864267 "GENEEZ" 1865411 NIL GENEEZ (NIL T T) |package| NIL NIL) (|GnuDraw| 1861005 1861450 1862000 "GDRAW" 1862899 T GDRAW (NIL) |package| NIL NIL) (|GeneralDistributedMultivariatePolynomial| 1851013 1860244 1860585 "GDMP" 1860864 NIL GDMP (NIL NIL T T) |domain| NIL NIL) (|GenericNonAssociativeAlgebra| 1832267 1839350 1841428 "GCNAALG" 1849114 NIL GCNAALG (NIL T NIL NIL NIL) |domain| NIL NIL) (|GcdDomain| 1829766 1831045 1831093 "GCDDOM" 1831494 T GCDDOM (NIL) |category| NIL 1831806) (|GcdDomain&| 1828584 1828880 1829348 "GCDDOM-" 1829353 NIL GCDDOM- (NIL T) |domain| NIL NIL) (|GroebnerPackage| 1826425 1826648 1827113 "GB" 1828280 NIL GB (NIL T T T T) |package| NIL NIL) (|GroebnerInternalPackage| 1808873 1811903 1815249 "GBINTERN" 1823256 NIL GBINTERN (NIL T T T T) |package| NIL NIL) (|GroebnerFactorizationPackage| 1804949 1805326 1806067 "GBF" 1808357 NIL GBF (NIL T T T T) |package| NIL NIL) (|EuclideanGroebnerBasisPackage| 1802679 1802897 1803393 "GBEUCLID" 1804648 NIL GBEUCLID (NIL T T T T) |package| NIL NIL) (|GaussianFactorizationPackage| 1801502 1801693 1801990 "GAUSSFAC" 1802454 T GAUSSFAC (NIL) |package| NIL NIL) (|GaloisGroupUtilities| 1798140 1798734 1799416 "GALUTIL" 1800890 NIL GALUTIL (NIL T) |package| NIL NIL) (|GaloisGroupPolynomialUtilities| 1794958 1795372 1795978 "GALPOLYU" 1797667 NIL GALPOLYU (NIL T T) |package| NIL NIL) (|GaloisGroupFactorizationUtilities| 1789393 1789810 1790617 "GALFACTU" 1794427 NIL GALFACTU (NIL T T T) |package| NIL NIL) (|GaloisGroupFactorizer| 1773643 1776191 1779250 "GALFACT" 1786442 NIL GALFACT (NIL T) |package| NIL NIL) (|FortranVectorFunctionCategory| 1769114 1770088 1770176 "FVFUN" 1772344 T FVFUN (NIL) |category| NIL 1773555) (|FortranVectorCategory| 1767868 1768132 1768204 "FVC" 1768714 T FVC (NIL) |category| NIL 1769026) (|FunctionCalled| 1767348 1767537 1767677 "FUNCTION" 1767788 NIL FUNCTION (NIL NIL) |domain| NIL NIL) (|FortranType| 1763416 1764236 1765108 "FT" 1766514 T FT (NIL) |domain| NIL NIL) (|FortranTemplate| 1761409 1762099 1762499 "FTEM" 1763062 T FTEM (NIL) |domain| NIL NIL) (|FunctionSpaceUnivariatePolynomialFactor| 1757919 1758433 1759245 "FSUPFACT" 1760840 NIL FSUPFACT (NIL T T T) |package| NIL NIL) (|FortranScalarType| 1755293 1755685 1756254 "FST" 1757400 T FST (NIL) |domain| NIL NIL) (|FunctionSpaceReduce| 1753745 1753912 1754287 "FSRED" 1755078 NIL FSRED (NIL T T) |package| NIL NIL) (|FunctionSpacePrimitiveElement| 1751323 1751745 1752406 "FSPRMELT" 1753257 NIL FSPRMELT (NIL T T) |package| NIL NIL) (|FunctionalSpecialFunction| 1743489 1744345 1745497 "FSPECF" 1750313 NIL FSPECF (NIL T T) |package| NIL NIL) (|FunctionSpace| 1715746 1727946 1728022 "FS" 1734799 NIL FS (NIL T) |category| NIL 1738507) (|FunctionSpace&| 1698908 1703083 1709176 "FS-" 1709745 NIL FS- (NIL T T) |domain| NIL NIL) (|FunctionSpaceIntegration| 1697880 1697950 1698371 "FSINT" 1698815 NIL FSINT (NIL T T) |package| NIL NIL) (|FourierSeries| 1695251 1696166 1696655 "FSERIES" 1697550 NIL FSERIES (NIL T T) |domain| NIL NIL) (|FunctionSpaceComplexIntegration| 1693040 1693237 1693780 "FSCINT" 1695020 NIL FSCINT (NIL T T) |package| NIL NIL) (|FiniteSetAggregate| 1687427 1691272 1691359 "FSAGG" 1692057 NIL FSAGG (NIL T) |category| NIL 1692453) (|FiniteSetAggregate&| 1684061 1684862 1686104 "FSAGG-" 1686293 NIL FSAGG- (NIL T T) |domain| NIL NIL) (|FiniteSetAggregateFunctions2| 1682453 1682621 1683003 "FSAGG2" 1683859 NIL FSAGG2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToUnivariatePowerSeries| 1678233 1678582 1679586 "FS2UPS" 1682071 NIL FS2UPS (NIL T T T T T NIL) |package| NIL NIL) (|FunctionSpaceFunctions2| 1677540 1677590 1677858 "FS2" 1678159 NIL FS2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToExponentialExpansion| 1675540 1675762 1676339 "FS2EXPXP" 1677290 NIL FS2EXPXP (NIL T T NIL NIL) |package| NIL NIL) (|FactoredFunctionUtilities| 1674528 1674698 1674987 "FRUTIL" 1675341 NIL FRUTIL (NIL T) |package| NIL NIL) (|Factored| 1661445 1667318 1669420 "FR" 1672482 NIL FR (NIL T) |domain| NIL NIL) (|FramedNonAssociativeAlgebra| 1652943 1656898 1657007 "FRNAALG" 1659935 NIL FRNAALG (NIL T) |category| NIL 1661021) (|FramedNonAssociativeAlgebra&| 1645438 1646961 1649151 "FRNAALG-" 1650892 NIL FRNAALG- (NIL T T) |domain| NIL NIL) (|FramedNonAssociativeAlgebraFunctions2| 1644699 1644749 1645047 "FRNAAF2" 1645364 NIL FRNAAF2 (NIL T T T T) |package| NIL NIL) (|FramedModule| 1642074 1642702 1643167 "FRMOD" 1644432 NIL FRMOD (NIL T T T T NIL) |domain| NIL NIL) (|FractionalIdeal| 1638223 1639057 1639587 "FRIDEAL" 1641759 NIL FRIDEAL (NIL T T T T) |domain| NIL NIL) (|FractionalIdealFunctions2| 1636745 1636865 1637413 "FRIDEAL2" 1638079 NIL FRIDEAL2 (NIL T T T T T T T T) |package| NIL NIL) (|FullyRetractableTo| 1635570 1636171 1636251 "FRETRCT" 1636256 NIL FRETRCT (NIL T) |category| NIL 1636541) (|FullyRetractableTo&| 1634200 1634510 1635088 "FRETRCT-" 1635093 NIL FRETRCT- (NIL T T) |domain| NIL NIL) (|FramedAlgebra| 1629657 1631269 1631394 "FRAMALG" 1633157 NIL FRAMALG (NIL T T) |category| NIL 1633630) (|FramedAlgebra&| 1626671 1627282 1628317 "FRAMALG-" 1628767 NIL FRAMALG- (NIL T T T) |domain| NIL NIL) (|Fraction| 1617523 1625880 1626301 "FRAC" 1626306 NIL FRAC (NIL T) |domain| NIL NIL) (|FractionFunctions2| 1616899 1616975 1617175 "FRAC2" 1617423 NIL FRAC2 (NIL T T) |package| NIL NIL) (|FactoredFunctions2| 1616275 1616351 1616551 "FR2" 1616799 NIL FR2 (NIL T T) |package| NIL NIL) (|FloatingPointSystem| 1607404 1611670 1611738 "FPS" 1613851 T FPS (NIL) |category| NIL 1614887) (|FloatingPointSystem&| 1606335 1606521 1606855 "FPS-" 1607155 NIL FPS- (NIL T) |domain| NIL NIL) (|FieldOfPrimeCharacteristic| 1602134 1604583 1604665 "FPC" 1605143 T FPC (NIL) |category| NIL 1605443) (|FieldOfPrimeCharacteristic&| 1601704 1601771 1602003 "FPC-" 1602008 NIL FPC- (NIL T) |domain| NIL NIL) (|FullyPatternMatchable| 1599895 1600843 1600929 "FPATMAB" 1600934 NIL FPATMAB (NIL T) |category| NIL 1601186) (|FullPartialFractionExpansion| 1595759 1596411 1597171 "FPARFRAC" 1599297 NIL FPARFRAC (NIL T T) |domain| NIL NIL) (|FortranProgram| 1588299 1589098 1590288 "FORTRAN" 1594744 NIL FORTRAN (NIL NIL NIL NIL NIL) |domain| NIL NIL) (|FortranPackage| 1584854 1585552 1586375 "FORT" 1587520 T FORT (NIL) |package| NIL NIL) (|FortranFunctionCategory| 1580823 1581665 1581741 "FORTFN" 1583687 T FORTFN (NIL) |category| NIL 1584766) (|FortranProgramCategory| 1580397 1580471 1580545 "FORTCAT" 1580655 T FORTCAT (NIL) |category| NIL 1580768) (|ScriptFormulaFormat| 1577356 1577990 1578639 "FORMULA" 1579802 T FORMULA (NIL) |domain| NIL NIL) (|ScriptFormulaFormat1| 1576932 1576982 1577133 "FORMULA1" 1577282 NIL FORMULA1 (NIL T) |package| NIL NIL) (|FindOrderFinite| 1576030 1576111 1576442 "FORDER" 1576827 NIL FORDER (NIL T T T T) |package| NIL NIL) (|FortranOutputStackPackage| 1574201 1574484 1574909 "FOP" 1575671 T FOP (NIL) |package| NIL NIL) (|FreeNilpotentLie| 1571817 1572747 1573128 "FNLA" 1573949 NIL FNLA (NIL NIL NIL T) |domain| NIL NIL) (|FileNameCategory| 1569741 1570242 1570304 "FNCAT" 1571272 T FNCAT (NIL) |category| |FileName| 1571735) (|FileName| 1569155 1569660 1569714 "FNAME" 1569719 T FNAME (NIL) |domain| NIL NIL) (|FortranMachineTypeCategory| 1567248 1568498 1568580 "FMTC" 1568585 T FMTC (NIL) |category| NIL 1568659) (|FreeMonoid| 1561713 1563282 1564265 "FMONOID" 1566322 NIL FMONOID (NIL T) |domain| NIL NIL) (|FreeModule| 1560642 1561290 1561534 "FM" 1561539 NIL FM (NIL T T) |domain| NIL NIL) (|FortranMatrixFunctionCategory| 1556113 1557087 1557175 "FMFUN" 1559343 T FMFUN (NIL) |category| NIL 1560554) (|FortranMatrixCategory| 1554867 1555131 1555203 "FMC" 1555713 T FMC (NIL) |category| NIL 1556025) (|FreeModuleCat| 1550546 1551619 1551710 "FMCAT" 1553750 NIL FMCAT (NIL T T) |category| NIL 1554515) (|FreeModule1| 1549065 1550177 1550335 "FM1" 1550460 NIL FM1 (NIL T T) |domain| NIL NIL) (|FloatingRealPackage| 1545378 1546013 1546835 "FLOATRP" 1548337 NIL FLOATRP (NIL T) |package| NIL NIL) (|Float| 1535307 1541197 1542420 "FLOAT" 1544181 T FLOAT (NIL) |domain| NIL NIL) (|FloatingComplexPackage| 1530908 1531697 1532703 "FLOATCP" 1534401 NIL FLOATCP (NIL T) |package| NIL NIL) (|FullyLinearlyExplicitRingOver| 1529031 1530195 1530297 "FLINEXP" 1530302 NIL FLINEXP (NIL T) |category| NIL 1530492) (|FullyLinearlyExplicitRingOver&| 1527728 1528044 1528602 "FLINEXP-" 1528607 NIL FLINEXP- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateSort| 1526089 1526286 1526694 "FLASORT" 1527497 NIL FLASORT (NIL T T) |package| NIL NIL) (|FreeLieAlgebra| 1521487 1522603 1522706 "FLALG" 1525003 NIL FLALG (NIL T T) |category| |LiePolynomial| 1525767) (|FiniteLinearAggregate| 1512176 1517386 1517472 "FLAGG" 1519708 NIL FLAGG (NIL T) |category| NIL 1520688) (|FiniteLinearAggregate&| 1510314 1510761 1511521 "FLAGG-" 1511526 NIL FLAGG- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateFunctions2| 1508723 1508891 1509271 "FLAGG2" 1510112 NIL FLAGG2 (NIL T T T T) |package| NIL NIL) (|FiniteRankAlgebra| 1503561 1504935 1505068 "FINRALG" 1507364 NIL FINRALG (NIL T T) |category| NIL 1508191) (|FiniteRankAlgebra&| 1502259 1502577 1503145 "FINRALG-" 1503150 NIL FINRALG- (NIL T T T) |domain| NIL NIL) (|Finite| 1501156 1501482 1501524 "FINITE" 1501936 T FINITE (NIL) |category| NIL 1502177) (|Finite&| 1500872 1500927 1501062 "FINITE-" 1501067 NIL FINITE- (NIL T) |domain| NIL NIL) (|FiniteRankNonAssociativeAlgebra| 1486600 1489907 1490024 "FINAALG" 1497873 NIL FINAALG (NIL T) |category| NIL 1500495) (|FiniteRankNonAssociativeAlgebra&| 1477428 1479157 1481325 "FINAALG-" 1484583 NIL FINAALG- (NIL T T) |domain| NIL NIL) (|File| 1476566 1477040 1477203 "FILE" 1477310 NIL FILE (NIL T) |domain| NIL NIL) (|FileCategory| 1474302 1474698 1474794 "FILECAT" 1476138 NIL FILECAT (NIL T T) |category| NIL 1476484) (|Field| 1470976 1473185 1473225 "FIELD" 1473274 T FIELD (NIL) |category| NIL 1473458) (|Field&| 1469035 1469544 1470279 "FIELD-" 1470284 NIL FIELD- (NIL T) |domain| NIL NIL) (|FreeGroup| 1465791 1466847 1467394 "FGROUP" 1468543 NIL FGROUP (NIL T) |domain| NIL NIL) (|FGLMIfCanPackage| 1464291 1464539 1464913 "FGLMICPK" 1465509 NIL FGLMICPK (NIL T NIL) |package| NIL NIL) (|FiniteFieldExtension| 1458005 1464096 1464246 "FFX" 1464251 NIL FFX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldSquareFreeDecomposition| 1457111 1457193 1457460 "FFSQFR" 1457894 NIL FFSQFR (NIL T T) |package| NIL NIL) (|FiniteFieldSolveLinearPolynomialEquation| 1456249 1456345 1456676 "FFSLPE" 1456991 NIL FFSLPE (NIL T T T) |package| NIL NIL) (|FiniteFieldPolynomialPackage| 1446643 1448443 1450461 "FFPOLY" 1454332 NIL FFPOLY (NIL T) |package| NIL NIL) (|FiniteFieldPolynomialPackage2| 1445584 1445661 1446106 "FFPOLY2" 1446542 NIL FFPOLY2 (NIL T T) |package| NIL NIL) (|FiniteFieldExtensionByPolynomial| 1439284 1445349 1445539 "FFP" 1445544 NIL FFP (NIL T NIL) |domain| NIL NIL) (|FiniteField| 1432075 1439081 1439224 "FF" 1439229 NIL FF (NIL NIL NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtension| 1424329 1430643 1431080 "FFNBX" 1431770 NIL FFNBX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtensionByPolynomial| 1416202 1422494 1423063 "FFNBP" 1424024 NIL FFNBP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasis| 1407464 1414723 1415183 "FFNB" 1415852 NIL FFNB (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldIntegralBasis| 1405586 1405841 1406367 "FFINTBAS" 1407180 NIL FFINTBAS (NIL T T T) |package| NIL NIL) (|FiniteFieldCategory| 1399259 1402598 1402666 "FFIELDC" 1403857 T FFIELDC (NIL) |category| NIL 1404591) (|FiniteFieldCategory&| 1396824 1397461 1398400 "FFIELDC-" 1398405 NIL FFIELDC- (NIL T) |domain| NIL NIL) (|FiniteFieldHomomorphisms| 1395948 1395996 1396265 "FFHOM" 1396736 NIL FFHOM (NIL T T T) |package| NIL NIL) (|FiniteFieldFunctions| 1391520 1392396 1393406 "FFF" 1395023 NIL FFF (NIL T) |package| NIL NIL) (|FractionFreeFastGaussian| 1382761 1384235 1385995 "FFFG" 1389926 NIL FFFG (NIL T T) |package| NIL NIL) (|FractionFreeFastGaussianFractions| 1380002 1380423 1381162 "FFFGF" 1382286 NIL FFFGF (NIL T T T) |package| NIL NIL) (|FiniteFieldFactorizationWithSizeParseBySideEffect| 1377315 1377624 1378168 "FFFACTSE" 1379644 NIL FFFACTSE (NIL T T) |package| NIL NIL) (|FiniteFieldFactorization| 1374828 1375137 1375631 "FFFACTOR" 1376957 NIL FFFACTOR (NIL T T) |package| NIL NIL) (|FiniteFieldCyclicGroupExtension| 1368050 1374203 1374471 "FFCGX" 1374692 NIL FFCGX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroupExtensionByPolynomial| 1361230 1367359 1367667 "FFCGP" 1367914 NIL FFCGP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroup| 1353546 1360614 1360875 "FFCG" 1361079 NIL FFCG (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldCategory| 1321636 1335258 1335466 "FFCAT" 1347014 NIL FFCAT (NIL T T T) |category| NIL 1349518) (|FunctionFieldCategory&| 1313118 1314649 1316887 "FFCAT-" 1319638 NIL FFCAT- (NIL T T T T) |domain| NIL NIL) (|FunctionFieldCategoryFunctions2| 1311894 1311944 1312456 "FFCAT2" 1313044 NIL FFCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranExpression| 1294775 1299911 1301901 "FEXPR" 1310040 NIL FEXPR (NIL NIL NIL T) |domain| NIL NIL) (|FullyEvalableOver| 1293418 1293946 1294031 "FEVALAB" 1294173 NIL FEVALAB (NIL T) |category| NIL 1294529) (|FullyEvalableOver&| 1292319 1292558 1293038 "FEVALAB-" 1293043 NIL FEVALAB- (NIL T T) |domain| NIL NIL) (|FiniteDivisor| 1290157 1291156 1291526 "FDIV" 1292151 NIL FDIV (NIL T T T T) |domain| NIL NIL) (|FiniteDivisorCategory| 1284989 1285891 1286128 "FDIVCAT" 1289322 NIL FDIVCAT (NIL T T T T) |category| NIL 1289965) (|FiniteDivisorCategory&| 1284544 1284583 1284919 "FDIVCAT-" 1284924 NIL FDIVCAT- (NIL T T T T T) |domain| NIL NIL) (|FiniteDivisorFunctions2| 1283125 1283241 1283763 "FDIV2" 1284404 NIL FDIV2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranCodePackage1| 1280596 1281072 1281661 "FCPAK1" 1282590 T FCPAK1 (NIL) |package| NIL NIL) (|FourierComponent| 1279348 1279767 1280001 "FCOMP" 1280430 NIL FCOMP (NIL T) |domain| NIL NIL) (|FortranCode| 1254866 1259577 1264940 "FC" 1274023 T FC (NIL) |domain| NIL NIL) (|FiniteAlgebraicExtensionField| 1242263 1248274 1248377 "FAXF" 1252049 NIL FAXF (NIL T) |category| NIL 1253396) (|FiniteAlgebraicExtensionField&| 1236873 1238034 1239682 "FAXF-" 1240750 NIL FAXF- (NIL T T) |domain| NIL NIL) (|FlexibleArray| 1229695 1235684 1236044 "FARRAY" 1236569 NIL FARRAY (NIL T) |domain| NIL NIL) (|FiniteAbelianMonoidRing| 1222147 1225029 1225149 "FAMR" 1227185 NIL FAMR (NIL T T) |category| NIL 1227915) (|FiniteAbelianMonoidRing&| 1220525 1220917 1221605 "FAMR-" 1221610 NIL FAMR- (NIL T T T) |domain| NIL NIL) (|FiniteAbelianMonoidRingFunctions2| 1219766 1219816 1220116 "FAMR2" 1220451 NIL FAMR2 (NIL T T T T T) |package| NIL NIL) (|FreeAbelianMonoid| 1218529 1219572 1219702 "FAMONOID" 1219707 NIL FAMONOID (NIL T) |domain| NIL NIL) (|FreeAbelianMonoidCategory| 1214771 1215660 1215796 "FAMONC" 1217737 NIL FAMONC (NIL T T) |category| NIL 1218331) (|FreeAbelianGroup| 1212957 1214319 1214577 "FAGROUP" 1214582 NIL FAGROUP (NIL T) |domain| NIL NIL) (|FactoringUtilities| 1208427 1209062 1209913 "FACUTIL" 1212268 NIL FACUTIL (NIL T T T T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| 1206919 1207144 1207580 "FACTRN" 1208173 NIL FACTRN (NIL T) |package| NIL NIL) (|FactoredFunctions| 1205450 1205722 1206097 "FACTFUNC" 1206618 NIL FACTFUNC (NIL T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| 1203886 1204111 1204571 "FACTEXT" 1205196 NIL FACTEXT (NIL T) |package| NIL NIL) (|ExponentialOfUnivariatePuiseuxSeries| 1192701 1202404 1202856 "EXPUPXS" 1203587 NIL EXPUPXS (NIL T NIL NIL) |domain| NIL NIL) (|ExpressionTubePlot| 1187861 1188898 1190070 "EXPRTUBE" 1191581 T EXPRTUBE (NIL) |package| NIL NIL) (|ExpressionSolve| 1186188 1186330 1186787 "EXPRSOL" 1187690 NIL EXPRSOL (NIL T T T T) |package| NIL NIL) (|ExpressionSpaceODESolver| 1179522 1180394 1181651 "EXPRODE" 1185103 NIL EXPRODE (NIL T T) |package| NIL NIL) (|Expression| 1157283 1176754 1177644 "EXPR" 1178688 NIL EXPR (NIL T) |domain| NIL NIL) (|ExpressionToUnivariatePowerSeries| 1146312 1147099 1148486 "EXPR2UPS" 1156193 NIL EXPR2UPS (NIL T T) |package| NIL NIL) (|ExpressionFunctions2| 1145682 1145762 1145962 "EXPR2" 1146208 NIL EXPR2 (NIL T T) |package| NIL NIL) (|ExponentialExpansion| 1128719 1143885 1144515 "EXPEXPAN" 1145349 NIL EXPEXPAN (NIL T T NIL NIL) |domain| NIL NIL) (|Export3D| 1128253 1128327 1128457 "EXP3D" 1128621 T EXP3D (NIL) |package| NIL NIL) (|Exit| 1128030 1128190 1128231 "EXIT" 1128236 T EXIT (NIL) |domain| NIL NIL) (|EvaluateCycleIndicators| 1127330 1127432 1127662 "EVALCYC" 1127904 NIL EVALCYC (NIL T) |package| NIL NIL) (|Evalable| 1126664 1126799 1126866 "EVALAB" 1127136 NIL EVALAB (NIL T) |category| NIL 1127293) (|Evalable&| 1125984 1126125 1126431 "EVALAB-" 1126436 NIL EVALAB- (NIL T T) |domain| NIL NIL) (|EuclideanDomain| 1122066 1123951 1124011 "EUCDOM" 1124914 T EUCDOM (NIL) |category| NIL 1125472) (|EuclideanDomain&| 1119861 1120432 1121283 "EUCDOM-" 1121288 NIL EUCDOM- (NIL T) |domain| NIL NIL) (|ExpertSystemToolsPackage| 1100389 1104352 1108599 "ESTOOLS" 1115678 T ESTOOLS (NIL) |package| NIL NIL) (|ExpertSystemToolsPackage2| 1099800 1099872 1100062 "ESTOOLS2" 1100293 NIL ESTOOLS2 (NIL T T) |package| NIL NIL) (|ExpertSystemToolsPackage1| 1099372 1099422 1099583 "ESTOOLS1" 1099726 NIL ESTOOLS1 (NIL T) |package| NIL NIL) (|ExpressionSpace| 1089830 1092174 1092234 "ES" 1096909 T ES (NIL) |category| NIL 1099144) (|ExpressionSpace&| 1082495 1084269 1086929 "ES-" 1087243 NIL ES- (NIL T) |domain| NIL NIL) (|ExpertSystemContinuityPackage| 1075659 1077000 1078505 "ESCONT" 1081064 T ESCONT (NIL) |package| NIL NIL) (|ExpertSystemContinuityPackage1| 1075176 1075222 1075410 "ESCONT1" 1075589 NIL ESCONT1 (NIL NIL NIL) |package| NIL NIL) (|ExpressionSpaceFunctions2| 1074606 1074667 1074868 "ES2" 1075091 NIL ES2 (NIL T T) |package| NIL NIL) (|ExpressionSpaceFunctions1| 1073995 1074067 1074268 "ES1" 1074510 NIL ES1 (NIL T T) |package| NIL NIL) (|ErrorFunctions| 1072820 1072981 1073255 "ERROR" 1073765 T ERROR (NIL) |package| NIL NIL) (|EqTable| 1064147 1072563 1072725 "EQTBL" 1072730 NIL EQTBL (NIL T T) |domain| NIL NIL) (|Equation| 1053462 1057343 1059349 "EQ" 1062187 NIL EQ (NIL T) |domain| NIL NIL) (|EquationFunctions2| 1052878 1052954 1053134 "EQ2" 1053362 NIL EQ2 (NIL T T) |package| NIL NIL) (|EigenPackage| 1044825 1046537 1048423 "EP" 1051051 NIL EP (NIL T) |package| NIL NIL) (|EntireRing| 1043611 1044356 1044406 "ENTIRER" 1044411 T ENTIRER (NIL) |category| NIL 1044497) (|EuclideanModularRing| 1038098 1040185 1040765 "EMR" 1043317 NIL EMR (NIL T T T NIL NIL NIL) |domain| NIL NIL) (|EltableAggregate| 1036815 1037047 1037144 "ELTAGG" 1037785 NIL ELTAGG (NIL T T) |category| NIL 1038067) (|EltableAggregate&| 1036417 1036485 1036708 "ELTAGG-" 1036713 NIL ELTAGG- (NIL T T T) |domain| NIL NIL) (|Eltable| 1036117 1036146 1036225 "ELTAB" 1036353 NIL ELTAB (NIL T T) |category| NIL NIL) (|EllipticFunctionsUnivariateTaylorSeries| 1034639 1034793 1035140 "ELFUTS" 1035924 NIL ELFUTS (NIL T T) |package| NIL NIL) (|ElementaryFunctionCategory| 1034193 1034249 1034331 "ELEMFUN" 1034538 T ELEMFUN (NIL) |category| NIL NIL) (|ElementaryFunctionCategory&| 1033955 1033976 1034135 "ELEMFUN-" 1034140 NIL ELEMFUN- (NIL T) |domain| NIL NIL) (|ExtensibleLinearAggregate| 1026237 1030780 1030874 "ELAGG" 1032577 NIL ELAGG (NIL T) |category| NIL 1033298) (|ExtensibleLinearAggregate&| 1023788 1024344 1025349 "ELAGG-" 1025354 NIL ELAGG- (NIL T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariatePuiseuxSeries| 1010183 1012334 1013595 "EFUPXS" 1022822 NIL EFUPXS (NIL T T T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariateLaurentSeries| 998242 1000395 1001610 "EFULS" 1009217 NIL EFULS (NIL T T T) |domain| NIL NIL) (|ElementaryFunctionStructurePackage| 993313 993775 994628 "EFSTRUC" 997693 NIL EFSTRUC (NIL T T) |package| NIL NIL) (|ElementaryFunction| 975229 976987 979188 "EF" 991269 NIL EF (NIL T T) |package| NIL NIL) (|ExtAlgBasis| 973855 974330 974601 "EAB" 974996 T EAB (NIL) |domain| NIL NIL) (|e04ucfAnnaType| 972590 973736 973815 "E04UCFA" 973820 T E04UCFA (NIL) |domain| NIL NIL) (|e04nafAnnaType| 971325 972471 972550 "E04NAFA" 972555 T E04NAFA (NIL) |domain| NIL NIL) (|e04mbfAnnaType| 970060 971206 971285 "E04MBFA" 971290 T E04MBFA (NIL) |domain| NIL NIL) (|e04jafAnnaType| 968795 969941 970020 "E04JAFA" 970025 T E04JAFA (NIL) |domain| NIL NIL) (|e04gcfAnnaType| 967532 968676 968755 "E04GCFA" 968760 T E04GCFA (NIL) |domain| NIL NIL) (|e04fdfAnnaType| 966269 967413 967492 "E04FDFA" 967497 T E04FDFA (NIL) |domain| NIL NIL) (|e04dgfAnnaType| 965004 966150 966229 "E04DGFA" 966234 T E04DGFA (NIL) |domain| NIL NIL) (|e04AgentsPackage| 954682 956990 959456 "E04AGNT" 962586 T E04AGNT (NIL) |package| NIL NIL) (|DifferentialVariableCategory| 952447 953074 953180 "DVARCAT" 954171 NIL DVARCAT (NIL T) |category| NIL 954550) (|DifferentialVariableCategory&| 951179 951467 952023 "DVARCAT-" 952028 NIL DVARCAT- (NIL T T) |domain| NIL NIL) (|DesingTreePackage| 937722 938439 939776 "DTP" 950353 NIL DTP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|DesingTree| 933982 936708 936990 "DSTREE" 937497 NIL DSTREE (NIL T) |domain| NIL NIL) (|DesingTreeCategory| 930302 932860 932947 "DSTRCAT" 933321 NIL DSTRCAT (NIL T) |category| |DesingTree| 933548) (|DifferentialSparseMultivariatePolynomial| 919165 929830 930150 "DSMP" 930155 NIL DSMP (NIL T T T) |domain| NIL NIL) (|DrawOption| 910739 912409 914219 "DROPT" 917391 T DROPT (NIL) |domain| NIL NIL) (|DrawOptionFunctions1| 910199 910279 910453 "DROPT1" 910635 NIL DROPT1 (NIL T) |package| NIL NIL) (|DrawOptionFunctions0| 901940 903728 905671 "DROPT0" 908312 T DROPT0 (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForPoints| 898700 899312 900094 "DRAWPT" 901234 T DRAWPT (NIL) |package| NIL NIL) (|TopLevelDrawFunctions| 887968 889781 891969 "DRAW" 896632 NIL DRAW (NIL T) |package| NIL NIL) (|DrawNumericHack| 887274 887363 887598 "DRAWHACK" 887855 NIL DRAWHACK (NIL T) |package| NIL NIL) (|DrawComplex| 884739 885269 885881 "DRAWCX" 886700 T DRAWCX (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForAlgebraicCurves| 883785 883895 884229 "DRAWCURV" 884605 NIL DRAWCURV (NIL T T) |package| NIL NIL) (|TopLevelDrawFunctionsForCompiledFunctions| 864497 868302 872580 "DRAWCFUN" 879605 T DRAWCFUN (NIL) |package| NIL NIL) (|DequeueAggregate| 859846 862418 862494 "DQAGG" 863564 NIL DQAGG (NIL T) |category| |Dequeue| 864009) (|DifferentialPolynomialCategory| 840076 850359 850560 "DPOLCAT" 854644 NIL DPOLCAT (NIL T T T T) |category| NIL 855638) (|DifferentialPolynomialCategory&| 832157 834021 837170 "DPOLCAT-" 837175 NIL DPOLCAT- (NIL T T T T T) |domain| NIL NIL) (|DirectProductModule| 822017 831899 832086 "DPMO" 832091 NIL DPMO (NIL NIL T T) |domain| NIL NIL) (|DirectProductMatrixModule| 811716 821614 821926 "DPMM" 821931 NIL DPMM (NIL NIL T T T) |domain| NIL NIL) (|DistributedMultivariatePolynomial| 801434 811026 811335 "DMP" 811528 NIL DMP (NIL NIL T) |domain| NIL NIL) (|DiscreteLogarithmPackage| 800635 800747 801043 "DLP" 801298 NIL DLP (NIL T) |package| NIL NIL) (|DataList| 791660 799247 799588 "DLIST" 800346 NIL DLIST (NIL T) |domain| NIL NIL) (|DoublyLinkedAggregate| 787032 789830 789916 "DLAGG" 790873 NIL DLAGG (NIL T) |category| NIL 791226) (|DivisionRing| 785063 785979 786033 "DIVRING" 786265 T DIVRING (NIL) |category| NIL 786436) (|DivisionRing&| 783509 783882 784502 "DIVRING-" 784507 NIL DIVRING- (NIL T) |domain| NIL NIL) (|Divisor| 781355 782855 783075 "DIV" 783350 NIL DIV (NIL T) |domain| NIL NIL) (|DivisorCategory| 777494 778880 778961 "DIVCAT" 780410 NIL DIVCAT (NIL T) |category| |Divisor| 780942) (|DisplayPackage| 774615 775083 775708 "DISPLAY" 776913 T DISPLAY (NIL) |package| NIL NIL) (|DirichletRing| 770727 772409 773065 "DIRRING" 774015 NIL DIRRING (NIL T) |domain| NIL NIL) (|DirectProduct| 762105 770564 770685 "DIRPROD" 770690 NIL DIRPROD (NIL NIL T) |domain| NIL NIL) (|DirectProductFunctions2| 760233 760516 760951 "DIRPROD2" 761788 NIL DIRPROD2 (NIL NIL T T) |package| NIL NIL) (|DirectProductCategory| 744771 753205 753319 "DIRPCAT" 754028 NIL DIRPCAT (NIL NIL T) |category| NIL 755375) (|DirectProductCategory&| 740377 741294 742775 "DIRPCAT-" 743433 NIL DIRPCAT- (NIL T NIL T) |domain| NIL NIL) (|DiophantineSolutionPackage| 739204 739446 739780 "DIOSP" 740111 T DIOSP (NIL) |package| NIL NIL) (|DictionaryOperations| 734275 737424 737515 "DIOPS" 738312 NIL DIOPS (NIL T) |category| NIL 738673) (|DictionaryOperations&| 733577 733720 734052 "DIOPS-" 734057 NIL DIOPS- (NIL T T) |domain| NIL NIL) (|DifferentialRing| 731841 732698 732760 "DIFRING" 733103 T DIFRING (NIL) |category| NIL 733296) (|DifferentialRing&| 731247 731362 731637 "DIFRING-" 731642 NIL DIFRING- (NIL T) |domain| NIL NIL) (|DifferentialExtension| 727689 729598 729684 "DIFEXT" 730327 NIL DIFEXT (NIL T) |category| NIL 730820) (|DifferentialExtension&| 725022 725648 726721 "DIFEXT-" 726726 NIL DIFEXT- (NIL T T) |domain| NIL NIL) (|Dictionary| 721189 724338 724409 "DIAGG" 724414 NIL DIAGG (NIL T) |category| NIL 724455) (|Dictionary&| 720297 720496 720882 "DIAGG-" 720887 NIL DIAGG- (NIL T T) |domain| NIL NIL) (|DenavitHartenbergMatrix| 713423 718431 718888 "DHMATRIX" 719961 NIL DHMATRIX (NIL T) |domain| NIL NIL) (|DoubleFloatVector| 705684 713078 713228 "DFVEC" 713323 T DFVEC (NIL) |domain| NIL NIL) (|DoubleFloatSpecialFunctions| 692885 695451 698430 "DFSFUN" 702775 T DFSFUN (NIL) |package| NIL NIL) (|DoubleFloatMatrix| 686677 692425 692631 "DFMAT" 692729 T DFMAT (NIL) |domain| NIL NIL) (|DoubleFloat| 678035 683879 684711 "DFLOAT" 685883 T DFLOAT (NIL) |domain| NIL NIL) (|DefiniteIntegrationTools| 674460 674952 675769 "DFINTTLS" 677487 NIL DFINTTLS (NIL T T) |package| NIL NIL) (|DeRhamComplex| 669646 671056 671787 "DERHAM" 673834 NIL DERHAM (NIL T NIL) |domain| NIL NIL) (|Dequeue| 656577 659190 661426 "DEQUEUE" 667461 NIL DEQUEUE (NIL T) |domain| NIL NIL) (|DegreeReductionPackage| 655088 655323 655709 "DEGRED" 656313 NIL DEGRED (NIL T T) |package| NIL NIL) (|RationalFunctionDefiniteIntegration| 648853 650026 651509 "DEFINTRF" 653834 NIL DEFINTRF (NIL T) |package| NIL NIL) (|ElementaryFunctionDefiniteIntegration| 644462 645146 646232 "DEFINTEF" 648121 NIL DEFINTEF (NIL T T) |package| NIL NIL) (|DecimalExpansion| 634629 643439 643759 "DECIMAL" 644190 T DECIMAL (NIL) |domain| NIL NIL) (|DistinctDegreeFactorize| 630134 630813 631690 "DDFACT" 633886 NIL DDFACT (NIL T T) |package| NIL NIL) (|DoubleResultantPackage| 629346 629408 629714 "DBLRESP" 630048 NIL DBLRESP (NIL T T T T) |package| NIL NIL) (|Database| 625835 626257 626837 "DBASE" 628965 NIL DBASE (NIL T) |domain| NIL NIL) (|d03fafAnnaType| 624534 625690 625782 "D03FAFA" 625787 T D03FAFA (NIL) |domain| NIL NIL) (|d03eefAnnaType| 623234 624389 624481 "D03EEFA" 624486 T D03EEFA (NIL) |domain| NIL NIL) (|d03AgentsPackage| 619878 620612 621433 "D03AGNT" 622461 T D03AGNT (NIL) |package| NIL NIL) (|d02ejfAnnaType| 618818 619731 619824 "D02EJFA" 619829 T D02EJFA (NIL) |domain| NIL NIL) (|d02cjfAnnaType| 617758 618671 618764 "D02CJFA" 618769 T D02CJFA (NIL) |domain| NIL NIL) (|d02bhfAnnaType| 616698 617611 617704 "D02BHFA" 617709 T D02BHFA (NIL) |domain| NIL NIL) (|d02bbfAnnaType| 615638 616551 616644 "D02BBFA" 616649 T D02BBFA (NIL) |domain| NIL NIL) (|d02AgentsPackage| 604757 607201 609794 "D02AGNT" 613093 T D02AGNT (NIL) |package| NIL NIL) (|d01WeightsPackage| 600985 601843 602785 "D01WGTS" 603865 T D01WGTS (NIL) |package| NIL NIL) (|d01TransformFunctionType| 599569 600848 600946 "D01TRNS" 600951 T D01TRNS (NIL) |domain| NIL NIL) (|d01gbfAnnaType| 598173 599452 599530 "D01GBFA" 599535 T D01GBFA (NIL) |domain| NIL NIL) (|d01fcfAnnaType| 596777 598056 598134 "D01FCFA" 598139 T D01FCFA (NIL) |domain| NIL NIL) (|d01asfAnnaType| 595381 596660 596738 "D01ASFA" 596743 T D01ASFA (NIL) |domain| NIL NIL) (|d01aqfAnnaType| 593985 595264 595342 "D01AQFA" 595347 T D01AQFA (NIL) |domain| NIL NIL) (|d01apfAnnaType| 592589 593868 593946 "D01APFA" 593951 T D01APFA (NIL) |domain| NIL NIL) (|d01anfAnnaType| 591193 592472 592550 "D01ANFA" 592555 T D01ANFA (NIL) |domain| NIL NIL) (|d01amfAnnaType| 589797 591076 591154 "D01AMFA" 591159 T D01AMFA (NIL) |domain| NIL NIL) (|d01alfAnnaType| 588401 589680 589758 "D01ALFA" 589763 T D01ALFA (NIL) |domain| NIL NIL) (|d01akfAnnaType| 587005 588284 588362 "D01AKFA" 588367 T D01AKFA (NIL) |domain| NIL NIL) (|d01ajfAnnaType| 585609 586888 586966 "D01AJFA" 586971 T D01AJFA (NIL) |domain| NIL NIL) (|d01AgentsPackage| 575732 577911 580212 "D01AGNT" 583356 T D01AGNT (NIL) |package| NIL NIL) (|CyclotomicPolynomialPackage| 574196 574478 574864 "CYCLOTOM" 575416 T CYCLOTOM (NIL) |package| NIL NIL) (|CycleIndicators| 567922 569255 570718 "CYCLES" 572779 T CYCLES (NIL) |package| NIL NIL) (|CoerceVectorMatrixPackage| 566759 566950 567261 "CVMP" 567702 NIL CVMP (NIL T) |package| NIL NIL) (|ComplexTrigonometricManipulations| 562283 562621 563340 "CTRIGMNP" 566313 NIL CTRIGMNP (NIL T T) |package| NIL NIL) (|CyclicStreamTools| 561143 561297 561583 "CSTTOOLS" 562095 NIL CSTTOOLS (NIL T T) |package| NIL NIL) (|ComplexRootFindingPackage| 553946 554806 556014 "CRFP" 560096 NIL CRFP (NIL T T) |package| NIL NIL) (|CRApackage| 552457 552694 553052 "CRAPACK" 553649 NIL CRAPACK (NIL T) |package| NIL NIL) (|ComplexPatternMatch| 551334 551503 551877 "CPMATCH" 552248 NIL CPMATCH (NIL T T T) |package| NIL NIL) (|CharacteristicPolynomialInMonogenicalAlgebra| 550671 550720 551001 "CPIMA" 551261 NIL CPIMA (NIL T T T) |package| NIL NIL) (|CoordinateSystems| 544367 545315 546487 "COORDSYS" 549628 NIL COORDSYS (NIL T) |package| NIL NIL) (|ContinuedFraction| 537760 540760 541614 "CONTFRAC" 543588 NIL CONTFRAC (NIL T) |domain| NIL NIL) (|CommutativeRing| 536533 537278 537338 "COMRING" 537343 T COMRING (NIL) |category| NIL 537432) (|SubSpaceComponentProperty| 535046 535395 535725 "COMPPROP" 536269 T COMPPROP (NIL) |domain| NIL NIL) (|ComplexPattern| 534452 534496 534728 "COMPLPAT" 534978 NIL COMPLPAT (NIL T T T) |package| NIL NIL) (|Complex| 518778 534146 534324 "COMPLEX" 534329 NIL COMPLEX (NIL T) |domain| NIL NIL) (|ComplexFunctions2| 518161 518235 518433 "COMPLEX2" 518680 NIL COMPLEX2 (NIL T T) |package| NIL NIL) (|ComplexFactorization| 517631 517675 517879 "COMPFACT" 518093 NIL COMPFACT (NIL T T) |package| NIL NIL) (|ComplexCategory| 491656 507827 507912 "COMPCAT" 509862 NIL COMPCAT (NIL T) |category| NIL 512207) (|ComplexCategory&| 475114 479345 485182 "COMPCAT-" 485922 NIL COMPCAT- (NIL T T) |domain| NIL NIL) (|Comparable| 474606 474798 474848 "COMPAR" 474945 T COMPAR (NIL) |category| NIL 475032) (|CommuteUnivariatePolynomialCategory| 474056 474085 474324 "COMMUPC" 474553 NIL COMMUPC (NIL T T T) |package| NIL NIL) (|CommonOperators| 473676 473728 473850 "COMMONOP" 473980 T COMMONOP (NIL) |package| NIL NIL) (|Commutator| 473064 473270 473418 "COMM" 473564 T COMM (NIL) |domain| NIL NIL) (|CombinatorialOpsCategory| 471730 471991 472069 "COMBOPC" 472704 T COMBOPC (NIL) |category| NIL 473021) (|IntegerCombinatoricFunctions| 469826 470083 470495 "COMBINAT" 471419 NIL COMBINAT (NIL T) |package| NIL NIL) (|CombinatorialFunction| 463425 464144 465145 "COMBF" 468959 NIL COMBF (NIL T T) |package| NIL NIL) (|Color| 461615 462033 462421 "COLOR" 463063 T COLOR (NIL) |domain| NIL NIL) (|ComplexRootPackage| 460971 461034 461275 "CMPLXRT" 461528 NIL CMPLXRT (NIL T T) |package| NIL NIL) (|TwoDimensionalPlotClipping| 454028 455549 457238 "CLIP" 459350 T CLIP (NIL) |package| NIL NIL) (|CliffordAlgebra| 451495 452514 452920 "CLIF" 453741 NIL CLIF (NIL NIL T NIL) |domain| NIL NIL) (|Collection| 445883 448633 448697 "CLAGG" 450227 NIL CLAGG (NIL T) |category| NIL 451018) (|Collection&| 443529 444169 445062 "CLAGG-" 445067 NIL CLAGG- (NIL T T) |domain| NIL NIL) (|ComplexIntegerSolveLinearPolynomialEquation| 442424 442613 442987 "CINTSLPE" 443316 NIL CINTSLPE (NIL T T) |package| NIL NIL) (|ChangeOfVariable| 438224 438868 439743 "CHVAR" 441731 NIL CHVAR (NIL T T T) |package| NIL NIL) (|CharacteristicZero| 437108 437853 437919 "CHARZ" 437924 T CHARZ (NIL) |category| NIL 437943) (|CharacteristicPolynomialPackage| 436587 436652 436844 "CHARPOL" 437019 NIL CHARPOL (NIL T) |package| NIL NIL) (|CharacteristicNonZero| 435272 436062 436134 "CHARNZ" 436217 T CHARNZ (NIL) |category| NIL 436306) (|Character| 432242 433133 433696 "CHAR" 434743 T CHAR (NIL) |domain| NIL NIL) (|CombinatorialFunctionCategory| 431708 431788 431876 "CFCAT" 432117 T CFCAT (NIL) |category| NIL NIL) (|Cell| 429002 429458 430039 "CELL" 431176 NIL CELL (NIL T) |domain| NIL NIL) (|ComplexDoubleFloatVector| 419398 428362 428600 "CDFVEC" 428828 T CDFVEC (NIL) |domain| NIL NIL) (|ComplexDoubleFloatMatrix| 412109 418865 419111 "CDFMAT" 419216 T CDFMAT (NIL) |domain| NIL NIL) (|CommonDenominator| 410713 410870 411208 "CDEN" 411917 NIL CDEN (NIL T T T) |package| NIL NIL) (|CharacterClass| 404251 409175 409695 "CCLASS" 410237 T CCLASS (NIL) |domain| NIL NIL) (|CartesianTensor| 396151 397388 398625 "CARTEN" 403130 NIL CARTEN (NIL NIL NIL T) |domain| NIL NIL) (|CartesianTensorFunctions2| 394594 394807 395210 "CARTEN2" 395909 NIL CARTEN2 (NIL NIL NIL T T) |package| NIL NIL) (|CardinalNumber| 391752 392936 393462 "CARD" 394112 T CARD (NIL) |domain| NIL NIL) (|CylindricalAlgebraicDecompositionUtilities| 390381 390543 390901 "CADU" 391556 NIL CADU (NIL T T) |package| NIL NIL) (|CylindricalAlgebraicDecompositionPackage| 385363 386259 387364 "CAD" 389397 NIL CAD (NIL T) |package| NIL NIL) (|CachableSet| 384401 384811 384863 "CACHSET" 385103 T CACHSET (NIL) |category| NIL 385260) (|CancellationAbelianMonoid| 383615 383992 384072 "CABMON" 384165 T CABMON (NIL) |category| NIL 384268) (|BinaryTree| 380150 383089 383276 "BTREE" 383485 NIL BTREE (NIL T) |domain| NIL NIL) (|BinaryTournament| 376527 379493 379732 "BTOURN" 379979 NIL BTOURN (NIL T) |domain| NIL NIL) (|BinaryTreeCategory| 372844 375694 375781 "BTCAT" 375894 NIL BTCAT (NIL T) |category| NIL 376053) (|BinaryTreeCategory&| 372326 372429 372688 "BTCAT-" 372693 NIL BTCAT- (NIL T T) |domain| NIL NIL) (|BitAggregate| 365009 370774 370828 "BTAGG" 371220 T BTAGG (NIL) |category| NIL 371494) (|BitAggregate&| 364315 364452 364760 "BTAGG-" 364765 NIL BTAGG- (NIL T) |domain| NIL NIL) (|BinarySearchTree| 359996 363062 363441 "BSTREE" 364004 NIL BSTREE (NIL T) |domain| NIL NIL) (|BasicStochasticDifferential| 357468 358134 358649 "BSD" 359551 T BSD (NIL) |domain| NIL NIL) (|BrillhartTests| 355619 355855 356275 "BRILL" 357142 NIL BRILL (NIL T) |package| NIL NIL) (|BinaryRecursiveAggregate| 350771 353594 353686 "BRAGG" 354811 NIL BRAGG (NIL T) |category| NIL 355185) (|BinaryRecursiveAggregate&| 348774 349257 350071 "BRAGG-" 350076 NIL BRAGG- (NIL T T) |domain| NIL NIL) (|BalancedPAdicRational| 336816 347496 347885 "BPADICRT" 348460 NIL BPADICRT (NIL NIL) |domain| NIL NIL) (|BalancedPAdicInteger| 334343 336676 336780 "BPADIC" 336785 NIL BPADIC (NIL NIL) |domain| NIL NIL) (|BoundIntegerRoots| 333769 333813 334041 "BOUNDZRO" 334275 NIL BOUNDZRO (NIL T T) |package| NIL NIL) (|BasicOperator| 326469 328003 329489 "BOP" 332325 T BOP (NIL) |domain| NIL NIL) (|BasicOperatorFunctions1| 322244 322960 323888 "BOP1" 325624 NIL BOP1 (NIL T) |package| NIL NIL) (|Boolean| 320040 320866 321302 "BOOLEAN" 321838 T BOOLEAN (NIL) |domain| NIL NIL) (|BiModule| 319129 319589 319663 "BMODULE" 319668 NIL BMODULE (NIL T T) |category| NIL 319795) (|BlowUpPackage| 312783 313854 315191 "BLUPPACK" 318012 NIL BLUPPACK (NIL T NIL T T T) |package| NIL NIL) (|BlowUpWithQuadTrans| 311905 312546 312689 "BLQT" 312694 T BLQT (NIL) |domain| NIL NIL) (|BlowUpMethodCategory| 309451 310082 310152 "BLMETCT" 311246 T BLMETCT (NIL) |category| NIL 311823) (|BlowUpWithHamburgerNoether| 308566 309204 309359 "BLHN" 309364 T BLHN (NIL) |domain| NIL NIL) (|BlasLevelOne| 298333 300640 303091 "BLAS1" 306155 T BLAS1 (NIL) |package| NIL NIL) (|Bits| 292070 297975 298104 "BITS" 298228 T BITS (NIL) |domain| NIL NIL) (|BinaryFile| 290593 291224 291513 "BINFILE" 291817 T BINFILE (NIL) |domain| NIL NIL) (|BinaryExpansion| 280774 289582 289898 "BINARY" 290323 T BINARY (NIL) |domain| NIL NIL) (|BagAggregate| 277681 279671 279739 "BGAGG" 280146 NIL BGAGG (NIL T) |category| NIL 280374) (|BagAggregate&| 277439 277473 277616 "BGAGG-" 277621 NIL BGAGG- (NIL T T) |domain| NIL NIL) (|BasicFunctions| 276083 276456 276796 "BFUNCT" 277143 T BFUNCT (NIL) |domain| NIL NIL) (|BezoutMatrix| 273749 274005 274487 "BEZOUT" 275809 NIL BEZOUT (NIL T T T T T) |package| NIL NIL) (|Bezier| 272242 272538 272910 "BEZIER" 273419 NIL BEZIER (NIL T) |package| NIL NIL) (|BalancedBinaryTree| 267076 270286 270847 "BBTREE" 271754 NIL BBTREE (NIL T) |domain| NIL NIL) (|BasicType| 266705 266761 266809 "BASTYPE" 266981 T BASTYPE (NIL) |category| NIL NIL) (|BasicType&| 266495 266525 266640 "BASTYPE-" 266645 NIL BASTYPE- (NIL T) |domain| NIL NIL) (|BalancedFactorisation| 265390 265498 265813 "BALFACT" 266332 NIL BALFACT (NIL T T) |package| NIL NIL) (|AxiomServer| 264347 264529 264784 "AXSERV" 265173 T AXSERV (NIL) |package| NIL NIL) (|Automorphism| 262654 263408 263705 "AUTOMOR" 264104 NIL AUTOMOR (NIL T) |domain| NIL NIL) (|UnitsKnownAttribute| 262527 262532 262600 "ATUNIKN" 262605 T ATUNIKN (NIL) |category| NIL NIL) (|AttributeRegistry| 261869 261874 261938 "ATTREG" 261943 T ATTREG (NIL) |category| NIL NIL) (|AttributeButtons| 258975 259559 260194 "ATTRBUT" 261282 T ATTRBUT (NIL) |domain| NIL NIL) (|ShallowlyMutableAttribute| 258836 258841 258921 "ATSHMUT" 258926 T ATSHMUT (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory| 257990 258109 258203 "ATRIG" 258656 T ATRIG (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory&| 257652 257695 257902 "ATRIG-" 257907 NIL ATRIG- (NIL T) |domain| NIL NIL) (|PartiallyOrderedSetAttribute| 257507 257512 257598 "ATPOSET" 257603 T ATPOSET (NIL) |category| NIL NIL) (|NoZeroDivisorsAttribute| 257372 257377 257453 "ATNZDIV" 257458 T ATNZDIV (NIL) |category| NIL NIL) (|NullSquareAttribute| 257245 257250 257318 "ATNULSQ" 257323 T ATNULSQ (NIL) |category| NIL NIL) (|NotherianAttribute| 257120 257125 257191 "ATNOTHR" 257196 T ATNOTHR (NIL) |category| NIL NIL) (|MultiplicativeValuationAttribute| 256967 256972 257066 "ATMULVA" 257071 T ATMULVA (NIL) |category| NIL NIL) (|LeftUnitaryAttribute| 256838 256843 256913 "ATLUNIT" 256918 T ATLUNIT (NIL) |category| NIL NIL) (|LazyRepresentationAttribute| 256695 256700 256784 "ATLR" 256789 T ATLR (NIL) |category| NIL NIL) (|JacobiIdentityAttribute| 256560 256565 256641 "ATJACID" 256646 T ATJACID (NIL) |category| NIL NIL) (|FiniteAggregateAttribute| 256423 256428 256506 "ATFINAG" 256511 T ATFINAG (NIL) |category| NIL NIL) (|CanonicalUnitNormalAttribute| 256278 256283 256369 "ATCUNOR" 256374 T ATCUNOR (NIL) |category| NIL NIL) (|CommutativeStarAttribute| 256141 256146 256224 "ATCS" 256229 T ATCS (NIL) |category| NIL NIL) (|CentralAttribute| 256020 256025 256087 "ATCENRL" 256092 T ATCENRL (NIL) |category| NIL NIL) (|CanonicalAttribute| 255895 255900 255966 "ATCANON" 255971 T ATCANON (NIL) |category| NIL NIL) (|CanonicalClosedAttribute| 255758 255763 255841 "ATCANCL" 255846 T ATCANCL (NIL) |category| NIL NIL) (|ArbitraryPrecisionAttribute| 255615 255620 255704 "ATARBPR" 255709 T ATARBPR (NIL) |category| NIL NIL) (|ArbitraryExponentAttribute| 255474 255479 255561 "ATARBEX" 255566 T ATARBEX (NIL) |category| NIL NIL) (|ApproximateAttribute| 255345 255350 255420 "ATAPPRO" 255425 T ATAPPRO (NIL) |category| NIL NIL) (|AdditiveValuationAttribute| 255204 255209 255291 "ATADDVA" 255296 T ATADDVA (NIL) |category| NIL NIL) (|ArrayStack| 245017 247184 248909 "ASTACK" 253536 NIL ASTACK (NIL T) |domain| NIL NIL) (|AssociatedEquations| 242420 242868 243501 "ASSOCEQ" 244519 NIL ASSOCEQ (NIL T T) |package| NIL NIL) (|Asp9| 240912 241853 242063 "ASP9" 242250 NIL ASP9 (NIL NIL) |domain| NIL NIL) (|Asp8| 240546 240813 240880 "ASP8" 240885 NIL ASP8 (NIL NIL) |domain| NIL NIL) (|Asp80| 238781 239886 240130 "ASP80" 240344 NIL ASP80 (NIL NIL) |domain| NIL NIL) (|Asp7| 237080 238169 238396 "ASP7" 238594 NIL ASP7 (NIL NIL) |domain| NIL NIL) (|Asp78| 235417 236495 236714 "ASP78" 236903 NIL ASP78 (NIL NIL) |domain| NIL NIL) (|Asp77| 233753 234832 235051 "ASP77" 235240 NIL ASP77 (NIL NIL) |domain| NIL NIL) (|Asp74| 232049 233138 233367 "ASP74" 233566 NIL ASP74 (NIL NIL) |domain| NIL NIL) (|Asp73| 230347 231434 231663 "ASP73" 231862 NIL ASP73 (NIL NIL) |domain| NIL NIL) (|Asp6| 228686 229765 229982 "ASP6" 230170 NIL ASP6 (NIL NIL) |domain| NIL NIL) (|Asp55| 227016 228101 228320 "ASP55" 228509 NIL ASP55 (NIL NIL) |domain| NIL NIL) (|Asp50| 225347 226428 226648 "ASP50" 226838 NIL ASP50 (NIL NIL) |domain| NIL NIL) (|Asp4| 223879 224810 225010 "ASP4" 225187 NIL ASP4 (NIL NIL) |domain| NIL NIL) (|Asp49| 222408 223339 223541 "ASP49" 223719 NIL ASP49 (NIL NIL) |domain| NIL NIL) (|Asp42| 220552 221663 221938 "ASP42" 222207 NIL ASP42 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp41| 218705 219813 220086 "ASP41" 220353 NIL ASP41 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp35| 217038 218120 218339 "ASP35" 218528 NIL ASP35 (NIL NIL) |domain| NIL NIL) (|Asp34| 216670 216937 217006 "ASP34" 217011 NIL ASP34 (NIL NIL) |domain| NIL NIL) (|Asp33| 216222 216314 216455 "ASP33" 216571 NIL ASP33 (NIL NIL) |domain| NIL NIL) (|Asp31| 214515 215607 215836 "ASP31" 216035 NIL ASP31 (NIL NIL) |domain| NIL NIL) (|Asp30| 214147 214414 214483 "ASP30" 214488 NIL ASP30 (NIL NIL) |domain| NIL NIL) (|Asp29| 213697 213791 213932 "ASP29" 214048 NIL ASP29 (NIL NIL) |domain| NIL NIL) (|Asp28| 213329 213596 213665 "ASP28" 213670 NIL ASP28 (NIL NIL) |domain| NIL NIL) (|Asp27| 212961 213228 213297 "ASP27" 213302 NIL ASP27 (NIL NIL) |domain| NIL NIL) (|Asp24| 211486 212418 212621 "ASP24" 212800 NIL ASP24 (NIL NIL) |domain| NIL NIL) (|Asp20| 209768 210862 211094 "ASP20" 211296 NIL ASP20 (NIL NIL) |domain| NIL NIL) (|Asp1| 208300 209231 209431 "ASP1" 209608 NIL ASP1 (NIL NIL) |domain| NIL NIL) (|Asp19| 206625 207712 207932 "ASP19" 208122 NIL ASP19 (NIL NIL) |domain| NIL NIL) (|Asp12| 206177 206269 206410 "ASP12" 206526 NIL ASP12 (NIL NIL) |domain| NIL NIL) (|Asp10| 204411 205514 205759 "ASP10" 205974 NIL ASP10 (NIL NIL) |domain| NIL NIL) (|TwoDimensionalArray| 201270 204024 204249 "ARRAY2" 204254 NIL ARRAY2 (NIL T) |domain| NIL NIL) (|OneDimensionalArray| 195159 200535 200789 "ARRAY1" 201084 NIL ARRAY1 (NIL T) |domain| NIL NIL) (|OneDimensionalArrayFunctions2| 193375 193663 194087 "ARRAY12" 194837 NIL ARRAY12 (NIL T T) |package| NIL NIL) (|TwoDimensionalArrayCategory| 183671 186279 186451 "ARR2CAT" 191766 NIL ARR2CAT (NIL T T T) |category| NIL 192975) (|TwoDimensionalArrayCategory&| 179838 180860 182368 "ARR2CAT-" 182373 NIL ARR2CAT- (NIL T T T T) |domain| NIL NIL) (|ApplyRules| 177722 177928 178437 "APPRULE" 179583 NIL APPRULE (NIL T T T) |package| NIL NIL) (|ApplyUnivariateSkewPolynomial| 177093 177150 177391 "APPLYORE" 177641 NIL APPLYORE (NIL T T T) |package| NIL NIL) (|ApplicationProgramInterface| 175651 175869 176201 "API" 176831 T API (NIL) |package| NIL NIL) (|Any| 174083 174471 174795 "ANY" 175349 T ANY (NIL) |domain| NIL NIL) (|AnyFunctions1| 172933 173099 173360 "ANY1" 173878 NIL ANY1 (NIL T) |package| NIL NIL) (|AntiSymm| 169143 170384 170948 "ANTISYM" 172440 NIL ANTISYM (NIL T NIL) |domain| NIL NIL) (|AnonymousFunction| 168892 169054 169121 "ANON" 169126 T ANON (NIL) |domain| NIL NIL) (|AlgebraicNumber| 159460 165887 166849 "AN" 167976 T AN (NIL) |domain| NIL NIL) (|AbelianMonoidRing| 153584 155485 155593 "AMR" 157017 NIL AMR (NIL T T) |category| NIL 157953) (|AbelianMonoidRing&| 152263 152558 153135 "AMR-" 153140 NIL AMR- (NIL T T T) |domain| NIL NIL) (|AssociationList| 131828 152090 152218 "ALIST" 152223 NIL ALIST (NIL T T) |domain| NIL NIL) (|AlgebraGivenByStructuralConstants| 127001 131087 131416 "ALGSC" 131678 NIL ALGSC (NIL T NIL NIL NIL) |domain| NIL NIL) (|AlgebraPackage| 120277 121187 122332 "ALGPKG" 125966 NIL ALGPKG (NIL T T) |package| NIL NIL) (|AlgebraicMultFact| 118768 118962 119357 "ALGMFACT" 120043 NIL ALGMFACT (NIL T T T) |package| NIL NIL) (|AlgebraicManipulations| 111091 112039 113114 "ALGMANIP" 118067 NIL ALGMANIP (NIL T T) |package| NIL NIL) (|AlgebraicFunctionField| 97882 110316 110634 "ALGFF" 110957 NIL ALGFF (NIL T T T NIL) |domain| NIL NIL) (|AlgFactor| 96410 96599 96930 "ALGFACT" 97643 NIL ALGFACT (NIL T) |package| NIL NIL) (|Algebra| 94976 95767 95836 "ALGEBRA" 95938 NIL ALGEBRA (NIL T) |category| NIL 96025) (|Algebra&| 94543 94618 94834 "ALGEBRA-" 94839 NIL ALGEBRA- (NIL T T) |domain| NIL NIL) (|AssociationListAggregate| 70289 91056 91176 "ALAGG" 91399 NIL ALAGG (NIL T T) |category| |AssociationList| 91625) (|ArcHyperbolicFunctionCategory| 69449 69574 69662 "AHYP" 70103 T AHYP (NIL) |category| NIL NIL) (|Aggregate| 67687 68056 68104 "AGG" 68958 T AGG (NIL) |category| NIL 69431) (|Aggregate&| 66746 66993 67365 "AGG-" 67370 NIL AGG- (NIL T) |domain| NIL NIL) (|AffineSpaceCategory| 62636 63427 63510 "AFSPCAT" 65807 NIL AFSPCAT (NIL T) |category| NIL 66632) (|AlgebraicFunction| 58425 59087 59831 "AF" 62018 NIL AF (NIL T T) |package| NIL NIL) (|AffineSpace| 57480 58279 58390 "AFFSP" 58395 NIL AFFSP (NIL NIL T) |domain| NIL NIL) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| 56013 57190 57405 "AFFPLPS" 57410 NIL AFFPLPS (NIL T) |domain| NIL NIL) (|AffinePlane| 55078 55895 55978 "AFFPL" 55983 NIL AFFPL (NIL T) |domain| NIL NIL) (|AffineAlgebraicSetComputeWithResultant| 48512 49389 50647 "AFALGRES" 54122 NIL AFALGRES (NIL T NIL T T T) |package| NIL NIL) (|AffineAlgebraicSetComputeWithGroebnerBasis| 45978 46239 46844 "AFALGGRO" 48217 NIL AFALGGRO (NIL T NIL T T T) |package| NIL NIL) (|PlaneAlgebraicCurvePlot| 44687 45081 45400 "ACPLOT" 45721 T ACPLOT (NIL) |domain| NIL NIL) (|AlgebraicallyClosedFunctionSpace| 28628 39906 40048 "ACFS" 41463 NIL ACFS (NIL T) |category| |Expression| 41846) (|AlgebraicallyClosedFunctionSpace&| 25328 26092 27446 "ACFS-" 27451 NIL ACFS- (NIL T T) |domain| NIL NIL) (|AlgebraicallyClosedField| 18951 21835 21913 "ACF" 23646 T ACF (NIL) |category| NIL 24442) (|AlgebraicallyClosedField&| 16600 17188 18117 "ACF-" 18122 NIL ACF- (NIL T) |domain| NIL NIL) (|AbelianSemiGroup| 15981 16189 16251 "ABELSG" 16410 T ABELSG (NIL) |category| NIL 16518) (|AbelianSemiGroup&| 15728 15766 15909 "ABELSG-" 15914 NIL ABELSG- (NIL T) |domain| NIL NIL) (|AbelianMonoid| 14733 15060 15116 "ABELMON" 15417 T ABELMON (NIL) |category| NIL 15619) (|AbelianMonoid&| 14172 14295 14545 "ABELMON-" 14550 NIL ABELMON- (NIL T) |domain| NIL NIL) (|AbelianGroup| 13194 13622 13676 "ABELGRP" 13869 T ABELGRP (NIL) |category| NIL 14003) (|AbelianGroup&| 12401 12575 12914 "ABELGRP-" 12919 NIL ABELGRP- (NIL T) |domain| NIL NIL) (|OneDimensionalArrayAggregate| 6156 11366 11466 "A1AGG" 11471 NIL A1AGG (NIL T) |category| NIL 11565) (|OneDimensionalArrayAggregate&| 30 1630 3956 "A1AGG-" 3961 NIL A1AGG- (NIL T T) |domain| NIL NIL)) 
\ No newline at end of file
diff --git a/src/share/algebra/operation.daase b/src/share/algebra/operation.daase
index dc40fd7..344e0bb 100644
--- a/src/share/algebra/operation.daase
+++ b/src/share/algebra/operation.daase
@@ -1,3318 +1,3323 @@
 
-(1571468 . 3618694787)       
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(1571990 . 3618799568)       
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|String|))) (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *3)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|Complex| *5)) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *3)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *2) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *2)) (|ofCategory| *5 (|Ring|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DesingTreeCategory| *11)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|Point| *3)))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|))))) 
 (((*1 *1) (|isDomain| *1 (|Void|)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |%expansion| (|ExponentialExpansion| *5 *3 *6 *7)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *5 *3 *6 *7)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofType| *6 (|Symbol|)) (|ofType| *7 *3)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootPackage| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| (|Integer|)))) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Kernel| *7)) (|ofCategory| *7 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *5) (|PartialDifferentialRing| *5) (|CombinatorialOpsCategory|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RecurrenceOperator| *6 *7))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|LazardSetSolvingPackage| *3 *4 *5 *6 *7 *2)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *2 (|SquareFreeRegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|AlgebraicManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $)))))))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *4 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|UniversalSegment| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|StochasticDifferential| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|))))) 
 (((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Mapping| *4 (|Integer|) (|Integer|))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|OutputForm|)))) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|isDomain| *1 (|QuadraticForm| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *5))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|BasicFunctions|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| *4)))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|RootsFindingPackage| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *3 *2)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|List| (|PrimitiveArray| (|DoubleFloat|)))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|)))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Union| (|GraphImage|) "undefined"))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
-(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *5 *2)) (|ofCategory| *2 (|FunctionSpace| *5)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *5 (|Kernel| $)))))))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|)))) (|isDomain| *1 (|Divisor| *3)) (|ofCategory| *3 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|)))))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Fraction| (|Integer|)))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Fraction| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5))))) ((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *4) (|:| |right| *4)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |degree| *4)))) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *4 *5))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) ((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Complex| (|Expression| *4))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Complex| *3)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Character|))) (|isDomain| *1 (|CharacterClass|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|CharacterClass|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|)))))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *4)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|List| (|BasicOperator|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
-(((*1 *1 *1) (|partial| |ofCategory| *1 (|StepThrough|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|))))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |exponent| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|GroebnerSolve| *4 *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|)))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|PolynomialComposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AlgebraicFunctionField| *4 *5 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofType| *7 *6)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|NewtonInterpolation| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|RetractableTo| (|Fraction| *2)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BoundIntegerRoots| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *1) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraPackage| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 *2))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| *4))) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|ExpressionTubePlot|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Any|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SubSpace| 3 (|DoubleFloat|))) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Export3D|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Mapping| *4 (|List| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Mapping| *4 (|List| *4)))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2)))))) 
 (((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *7) (|:| |coeff| *7)) "failed") *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *2) (|:| |polj| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *6))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3) (AND (|has| *6 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3) (AND (|has| *9 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *10)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *10 (|MatrixCategory| *7 *8 *9)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| *7))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|ofCategory| *2 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
 (((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *2 *3 *5)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|MonogenicAlgebra| *2 *3))))) 
-(((*1 *1 *2 *2 *2 *2) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Void|))))) 
+(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|)) (|isDomain| *3 (|Expression| (|Integer|)))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Record| (|:| |start| *3) (|:| |factors| (|Factored| *3)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerBits|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01WeightsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|MonoidRing| *3 *4))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *6 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|SuchThat| (|List| (|Polynomial| *4)) (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Vector| *2)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *2 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|isDomain| *1 (|FractionalIdeal| *5 *6 *7 *2)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5 *4)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *5 *4 *6))))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroup| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Fraction| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |value| *4) (|:| |weight| (|Integer|))))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *3 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlane| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *8 (|PlacesCategory| *4 *7)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *8)) (|isDomain| *4 (|AffinePlane| *8)) (|isDomain| *9 (|Symbol|)) (|ofCategory| *8 (|Field|)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *12 (|DirectProductCategory| (|#| *10) *5)) (|ofCategory| *13 (|LocalPowerSeriesCategory| *8)) (|ofCategory| *14 (|PlacesCategory| *8 *13)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *8 *10 *11 *12 *2 *13 *14 *7 *6)) (|ofCategory| *11 (|PolynomialCategory| *8 *12 (|OrderedVariableList| *10))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *8)) (|ofCategory| *7 (|DivisorCategory| *14)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1) (|isDomain| *1 (|SingletonAsOrderedSet|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *7 (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *5 (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| (|List| *7) *7 (|SparseUnivariatePolynomial| *7))) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *7)) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *6 *7 *3 *8)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *7)) (|ofCategory| *8 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *7))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *6)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| (|List| *6))) (|isDomain| *1 (|GenExEuclid| *4 *6)) (|isDomain| *5 (|List| *6))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |cont| *5) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|DistinctDegreeFactorize| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| (|PrimeField| *3)) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) *2)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5))))) 
 (((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Fraction| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *2)) (|ofCategory| *2 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RationalFunction| *4))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|PlacesCategory| *5 *8)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *5 *6 *4 *7 *3 *8 *2)) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinesOpPack| *4))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| *2)) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| *2)) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1) (AND (|isDomain| *1 (|GenericNonAssociativeAlgebra| *2 *3 *4 *5)) (|ofCategory| *2 (|CommutativeRing|)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|Vector| (|Matrix| *2)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|CRApackage| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|List| *4))) (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7))))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7)))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |unit| *1) (|:| |canonical| *1) (|:| |associate| *1))) (|ofCategory| *1 (|IntegralDomain|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3)))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|TubePlot| *3)) (|isDomain| *1 (|NumericTubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *2 *3 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *3 *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *1 (|FileCategory| *2 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|BinaryTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *4)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) *4)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|isDomain| *1 (|InterpolateFormsPackage| *6 *7 *5 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *3 (|DivisorCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *14)) (|ofCategory| *14 (|DesingTreeCategory| *13)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|NormalizationPackage| *4 *5 *6 *2 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FGLMIfCanPackage| *4 *5)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5)))) (|ofCategory| *4 (|GcdDomain|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LexTriangularPackage| *4 *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *3 *5 *6 *7)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *3 *5 *6)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|ElementaryRischDESystem| *8 *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GenExEuclid| *5 *3))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|)))))) (|isDomain| *1 (|DiophantineSolutionPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))))) (|:| |%type| (|String|)))) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *5)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *5 *6 *2)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|CommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *2 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *2 *3 *1 *4) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|PseudoAlgebraicClosureOfRationalNumber|))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
-(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|PatternMatchResult| *4 *5)) (|isDomain| *3 (|PatternMatchResult| *4 *6)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|ListAggregate| *5)) (|isDomain| *1 (|PatternMatchListResult| *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OnePointCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 (|NonNegativeInteger|) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *3))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Mapping| (|SparseUnivariatePolynomial| *3) (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegration| *6 *3))))) 
-(((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *1 (|XFreeAlgebra| *4 *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HallBasis|))))) 
-(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|XRecursivePolynomial| *4 *2)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *1 (|XFreeAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *2 *3 *4 *5) (AND (|ofCategory| *6 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *9 *7 *8)) (|isDomain| *2 (|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| *10))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *10))))) (|:| |nfacts| (|List| *6)) (|:| |nlead| (|List| *10)))) (|isDomain| *1 (|NPCoef| *6 *7 *8 *9 *10)) (|isDomain| *3 (|SparseUnivariatePolynomial| *10)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *10))))) 
-(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Kernel| *7)) (|ofCategory| *7 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *5) (|PartialDifferentialRing| *5) (|CombinatorialOpsCategory|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RecurrenceOperator| *6 *7))))) 
-(((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|List| (|PrimitiveArray| (|DoubleFloat|)))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|)))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|ExpressionTubePlot|)) (|isDomain| *3 (|DoubleFloat|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Mapping| *4 (|List| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Mapping| *4 (|List| *4)))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForAlgebraicCurves| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|has| *6 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3) (AND (|has| *9 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *10)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *10 (|MatrixCategory| *7 *8 *9)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| *7))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01WeightsPackage|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|Kernel| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *8))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
 (((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *1) (|isDomain| *1 (|TheSymbolTable|)))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranCode|))))) 
 (((*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2))))) ((*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *5 *3)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *2 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|Symbol|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *3 *4))))) 
+(((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *2)) (|ofCategory| *2 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
 (((*1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternFunctions1| *4 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|PrincipalIdealDomain|)) (|isDomain| *2 (|Record| (|:| |coef| (|List| *1)) (|:| |generator| *1))) (|isDomain| *3 (|List| *1))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RationalFunction| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Matrix| (|PrimeField| *3))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 *2)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| (|DistributedMultivariatePolynomial| *5 *6)))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1 *2 *2) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Cell| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|Cell| *5))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *5))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Vector| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|SingleInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *5))))) 
 (((*1 *1 *2 *2 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *4 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *1 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
 (((*1 *2 *1) (|partial| AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *3) (|SparseUnivariatePolynomial| (|RealClosure| *3)))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Mapping| *5 *6)) (|isDomain| *1 (|ListToMap| *6 *5)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|isDomain| *6 (|Mapping| *2 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
 (((*1 *2 *3 *4) (AND (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|LaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|Polynomial| *4))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *4)) (|:| |invmval| (|Matrix| *4)) (|:| |genIdeal| (|PolynomialIdeals| *4 *5 *6 *7)))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|BasicOperatorFunctions1| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|))))) 
 (((*1 *2 *3 *4 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Algebra| *3)) (|isDomain| *1 (|LocalAlgebra| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Module| *3)) (|isDomain| *1 (|Localize| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OnePointCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|)))))) 
+(((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *1 (|XFreeAlgebra| *4 *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4 *5) (AND (|ofCategory| *6 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *9 *7 *8)) (|isDomain| *2 (|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| *10))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *10))))) (|:| |nfacts| (|List| *6)) (|:| |nlead| (|List| *10)))) (|isDomain| *1 (|NPCoef| *6 *7 *8 *9 *10)) (|isDomain| *3 (|SparseUnivariatePolynomial| *10)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *10))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Vector| (|List| *3))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|GenExEuclid| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|XRecursivePolynomial| *4 *2)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *1 (|XFreeAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *7)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *2 *7 *4)) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5))))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForAlgebraicCurves| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|))))) 
 (((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 (|NonNegativeInteger|))) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 *6)) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|CliffordAlgebra| *2 *3 *4)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|QuadraticForm| *2 *3)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|Monoid|))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *3))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *4)))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|Kernel| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| *4)) (|Polynomial| *4))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|List| (|Record| (|:| |func| *2) (|:| |pole| (|Boolean|))))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *4 *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4)))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BalancedBinaryTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|GraphImage|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 (|PseudoAlgebraicClosureOfRationalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfFiniteField| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Algebra| *3)) (|isDomain| *1 (|LocalAlgebra| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Module| *3)) (|isDomain| *1 (|Localize| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BalancedBinaryTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2 *2) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
 (((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *3)) (|ofCategory| *3 (|LocalPowerSeriesCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|GraphImage|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Factored| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Factored| (|Polynomial| *6))) (|isDomain| *5 (|Symbol|)) (|isDomain| *3 (|Polynomial| *6)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *6))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
 (((*1 *1 *1) (|isDomain| *1 (|Boolean|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2) (AND (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|VectorSpace| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|CardinalNumber|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *1)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Stream| *3))) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OrderedVariableList| *3)) (|ofType| *3 (|List| *2)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SegmentBinding| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2)))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *9)) (|:| |polval| (|SparseUnivariatePolynomial| *8)))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *2)) (|:| |logand| (|SparseUnivariatePolynomial| *2))))) (|isDomain| *4 (|List| (|Record| (|:| |integrand| *2) (|:| |intvar| *2)))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResult| *2))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *2 *3) (AND (|isDomain| *3 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| *4)))) (|isDomain| *1 (|FactoredFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *6)))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *6))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *1 *2 *2 *1) (AND (|isDomain| *1 (|ListMultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|Partition|)) (|isDomain| *3 (|List| (|Integer|)))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Kernel| *4))) (|ofCategory| *4 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *3 *4)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteSetAggregate&| *3 *4)) (|ofCategory| *3 (|FiniteSetAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonogenicAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
 (((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *3))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *5)))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Polynomial| *5))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|StructuralConstantsPackage| *4))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
 (((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2)))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Union| (|Boolean|) "failed")) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OrderedVariableList| *3)) (|ofType| *3 (|List| *2)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SegmentBinding| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2)))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|NewSparseUnivariatePolynomial| *3))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
 (((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *6))) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "right") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "left") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|Library|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|UniversalSegment| (|Integer|))) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "value") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|TableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "last") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "rest") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "first") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|isDomain| *5 (|Mapping| (|Stream| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "right") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "left") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 (|Integer|)) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *2)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|DataList| (|String|))) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ *3)) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|QueryEquation|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "count") (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DataList| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "sort") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "unique") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Eltable| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Library|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PlacesCategory| *2 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|DirectProduct| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|QuadraticForm| *4 *2)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "value") (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|Ruleset| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|StringAggregate|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "last") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "rest") (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "first") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *2 *3) (AND (|isDomain| *3 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| *4)))) (|isDomain| *1 (|FactoredFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|ListAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Symbol|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *6 *7 *4 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (|ofCategory| *14 (|DesingTreeCategory| *13)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|TemplateUtilities|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |cd| (|String|)) (|:| |name| (|String|)))) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|U32Vector|))) (|isDomain| *1 (|U32VectorPolynomialOperations|)) (|isDomain| *3 (|U32Vector|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *13))) (|isDomain| *3 (|SparseUnivariatePolynomial| *13)) (|isDomain| *4 (|List| *12)) (|isDomain| *5 (|List| *10)) (|isDomain| *6 (|List| *13)) (|isDomain| *7 (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *13))))) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|isDomain| *9 (|Vector| (|List| (|SparseUnivariatePolynomial| *10)))) (|ofCategory| *12 (|OrderedSet|)) (|ofCategory| *10 (|EuclideanDomain|)) (|ofCategory| *13 (|PolynomialCategory| *10 *11 *12)) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *11 *12 *10 *13))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedDoubling| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)))))))) 
 (((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U16Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U8Matrix|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Divisor| *2)) (|ofCategory| *2 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofType| *2 (|List| (|Symbol|))) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *2) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *2 *3 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *2))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |unitPart| *9) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *9)) (|:| |exponent| (|Integer|))))))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaussianFactorizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UniqueFactorizationDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *3 *2 *5)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *2 *6)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|FortranType|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|BasicOperator|))) ((*1 *1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *2 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV)))) (|isDomain| *10 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(((*1 *2 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Stream| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *2 (|ModuleMonomial| *5 *6 *7)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|MonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Multiset| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *8 (|FileName|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|LeftModule| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|ApplyUnivariateSkewPolynomial| *5 *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3 *2 *2 *4 *5) (AND (|isDomain| *4 (|Automorphism| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *2))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|DivisionRing|))) ((*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|FortranType|)) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|ofType| *9 (|Mapping| *6 *4)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|List| *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5 *4)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Float|))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Hermite| *3) (|:| |eqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *2)))) (|isDomain| *4 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *2)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunction| *5)) (|ofCategory| *5 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
+(((*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Point| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|))))) 
 (((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| *4)))) (|:| |xValues| (|Segment| *4)) (|:| |yValues| (|Segment| *4)))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|List| (|Point| *4))))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|CliffordAlgebra| *3 *4 *5)) (|ofType| *3 *2) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|QuadraticForm| *3 *4))))) 
+(((*1 *1 *2 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|ModuleMonomial| *5 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *6 *7 *8)) (|ofCategory| *8 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *4))))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PowerSeriesCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|PowerSeriesCategory| *4 *3 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|OrderedSet|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *6)) (|SuchThat| (|Symbol|) (|Polynomial| *6)))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *6))))) (|isDomain| *1 (|EigenPackage| *6)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *6)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| *4)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |id| (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |poly| *6) (|:| |normal| (|Fraction| *6)) (|:| |special| (|Fraction| *6)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *6)) (|isDomain| *3 (|Fraction| *6)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialDecomposition| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *4) (|partial| AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|PolynomialDecomposition| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *2 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|OrderedVariableList| *4)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|Type|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *4 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
 (((*1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|PseudoAlgebraicClosureOfRationalNumber|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 *2)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|Complex| (|Integer|)))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Complex| (|Integer|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GeneralizedMultivariateFactorize| *4 *5 *6 *7 *3)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|GenUFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| *5 *6))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerAlgFactor| *5 *6 *7 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *7 *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *8)) (|isDomain| *3 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))))) ((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *4))) (|isDomain| *1 (|LyndonWord| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatPolyFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Polynomial| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MRationalFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFunctionFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Integer|)) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SimpleAlgebraicExtensionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Polynomial| (|Integer|))) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SAERationalFunctionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|))))) (|isDomain| *1 (|BasicFunctions|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Kernel| *4))) (|ofCategory| *4 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *3 *4)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *1))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Variable| *5)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *5 (|Polynomial| *6))) (|isDomain| *1 (|PolynomialToUnivariatePolynomial| *5 *6)) (|isDomain| *3 (|Polynomial| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunction| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|Fraction| (|Integer|)))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GenExEuclid| *3 *5))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *4 *5)) (|ofCategory| *5 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *6))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
 (((*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|BasicStochasticDifferential|) (|Integer|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| (|List| *3)))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *3 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*3 $)) (SIGNATURE |denom| (*3 $)) (SIGNATURE |coerce| ($ *3)))))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *3) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
 (((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *3 *4))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *3 *4))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
+(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
+(((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|IntegrationResultRFToFunction| *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
 (((*1 *1 *1 *1) (|partial| |ofCategory| *1 (|CancellationAbelianMonoid|)))) 
+(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
+(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)) (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))))) 
 (((*1 *1) (|isDomain| *1 (|FortranType|)))) 
 (((*1 *2 *2 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *1) (|partial| |ofCategory| *1 (|CharacteristicNonZero|))) ((*1 *1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|Mapping| (|Boolean|) *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *6 *7 *8 *9))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *2 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *2 *7)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *4 *6)) (|ofCategory| *2 (|DirectProductCategory| *5 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *5)) (|:| |coeff| (|Fraction| *5)))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *4 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *4)) (|Record| (|:| |index| *3) (|:| |exponent| *4)))) (|isDomain| *1 (|GeneralModulePolynomial| *5 *2 *3 *4 *6 *7)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *4 (|OrderedVariableList| *5)))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4))))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
 (((*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|CommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|InnerCommonDenominator| *2 *4 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|MatrixCommonDenominator| *2 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ListMonoidOps| *4 *2 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 *2))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Stream| *3))) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (|ofCategory| *1 (|MonadWithUnit|))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
 (((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
+(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Join| (|FieldOfPrimeCharacteristic|) (CATEGORY |package| (SIGNATURE |coerce| (*2 *4)) (SIGNATURE |lookup| ((|PositiveInteger|) *2)) (SIGNATURE |basis| ((|Vector| *2) (|PositiveInteger|))) (SIGNATURE |Frobenius| (*2 *2))))) (|isDomain| *1 (|FiniteFieldPolynomialPackage2| *2 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |c| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDE| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1) (|ofCategory| *1 (|Finite|))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (|isDomain| *1 (|Integer|))) ((*1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Permutation| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AnyFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *6)) (|:| |coeff| (|Fraction| *6)))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *5)) (|:| |den| *5)))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *3 *4 *4 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|PureAlgebraicIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *2 *1 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OutputForm|))))) 
 (((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Quaternion| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|Octonion| *3))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DefiniteIntegrationTools| *4 *5)) (|ofCategory| *5 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *4))) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|LinearPolynomialEquationByFractions| *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranCode|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *2) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *1 (|MultivariateSquareFree| *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
 (((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CombinatorialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpressionSpace&| *4)) (|ofCategory| *4 (|ExpressionSpace|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionSpace&| *4 *5)) (|ofCategory| *4 (|FunctionSpace| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LiouvillianFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|TwoFactorize| *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| *3) (|DirectProduct| *4 (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|QuasiAlgebraicSet2| *3 *4))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *4 *5 *6 *7)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| *3)) (|ofType| *7 *3))) ((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofType| *8 (|List| *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|WeightedPolynomials| *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofType| *9 (|List| *3)) (|ofType| *10 *3)))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SymbolTable|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
+(((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Mapping| *6 (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *5 (|List| (|NonNegativeInteger|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *6))) (|isDomain| *1 (|FractionFreeFastGaussian| *6 *7)) (|ofCategory| *7 (|AbelianMonoidRing| *6 (|NonNegativeInteger|)))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *4 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *6)))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "right") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "left") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|Library|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|UniversalSegment| (|Integer|))) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "value") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|TableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "last") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "rest") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "first") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|RegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *10 *11))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|List| (|List| *5))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "right") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "left") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 (|Integer|)) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *2)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|DataList| (|String|))) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ *3)) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|QueryEquation|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "count") (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DataList| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "sort") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "unique") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Eltable| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Library|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PlacesCategory| *2 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|DirectProduct| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|QuadraticForm| *4 *2)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "value") (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|Ruleset| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|StringAggregate|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "last") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "rest") (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "first") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *5))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Kernel| *5)) (|isDomain| *1 (|IntegrationTools| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4))))) 
+(((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4 *3 *4 *3 *5 *5) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|List| (|PrimitiveArray| *5))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| *5))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|FactoredFunctionUtilities| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|OrderedRing|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Kernel| *6)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
+(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Float|))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinaryTournament| *3))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MyUnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *1 (|PolynomialRing| *3 *2)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Partition|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|isDomain| *1 (|SymmetricPolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|UnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FunctionSpaceReduce| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (|ofCategory| *3 (|DesingTreeCategory| *13))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *2 *3 *3 *4 *4) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Segment| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Vector| *4))) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Vector| *3)))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|ContinuedFraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Integer|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|MergeThing| *3))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
+(((*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) ((*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4))))) (|isDomain| *1 (|EigenPackage| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| *5))) (|:| |coeff| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *3 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *4 *7)) (|ofCategory| *8 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|FlexibleArray| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofType| *4 (|Integer|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |bas| (|GeneralTriangularSet| *4 *5 *6 *7)) (|:| |top| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
+(((*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *3) (|:| |polj| *3)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|FramedAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| (|FortranCode|)) (|:| |elseClause| (|FortranCode|)))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| (|FortranCode|))) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| (|FortranCode|)))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| (|FortranCode|)))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|))))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *3)) (|:| |invmval| (|Matrix| *3)) (|:| |genIdeal| (|PolynomialIdeals| *3 *4 *5 *6)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Matrix| *5))) (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|StructuralConstantsPackage| *5))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Finite|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|)))))) 
+(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |ofCategory| *1 (|IntegralDomain|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1) (|isDomain| *1 (|GraphImage|)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |outval| *4) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *4)))))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|Equation| *4))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
-(((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|Record| (|:| |solns| (|List| *5)) (|:| |maps| (|List| (|Record| (|:| |arg| *5) (|:| |res| *5)))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2))))) 
-(((*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|TranscendentalRischDESystem| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *3 *5 *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Factored| *4) *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|FactoredFunctionUtilities| *4)))) ((*1 *1 *1) (|isDomain| *1 (|Plot3D|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1) (|isDomain| *1 (|Plot|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Commutator|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Commutator|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *1 *2 *3 *3 *4 *5) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2 *3 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *1) (|isDomain| *1 (|GraphImage|)))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedDoubling| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)))))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| *3)))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|SubSpaceComponentProperty|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InternalPrintPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Divisor| *2)) (|ofCategory| *2 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofType| *2 (|List| (|Symbol|))) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *2) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *2 *3 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *2))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV)))) (|isDomain| *10 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |base| *3) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Fraction| (|Integer|))))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|List| (|Fraction| *7))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *3 (|Fraction| *7)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Symbol|)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *2 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *9) (|:| |radicand| *9))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *9)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *9 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|AffinePlane| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *2 (|ModuleMonomial| *5 *6 *7)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|MonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *8 (|FileName|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberSystem&| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|NonAssociativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OctonionCategory&| *3 *4)) (|ofCategory| *3 (|OctonionCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuotientFieldCategory&| *3 *4)) (|ofCategory| *3 (|QuotientFieldCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuaternionCategory&| *3 *4)) (|ofCategory| *3 (|QuaternionCategory| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealClosedField&| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2) (AND (|ofCategory| *1 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealNumberSystem&| *3)) (|ofCategory| *3 (|RealNumberSystem|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2))))) 
-(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *4 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NormalizationPackage| *6 *7 *8 *4 *5)) (|ofCategory| *5 (|RegularTriangularSetCategory| *6 *7 *8 *4))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|DivisionRing|))) ((*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|U32Vector|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *6)) (|ofCategory| *3 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
-(((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|EuclideanDomain|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|CliffordAlgebra| *3 *4 *5)) (|ofType| *3 *2) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|QuadraticForm| *3 *4))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Character|))) (|isDomain| *1 (|CharacterClass|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|CharacterClass|))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *2)))) (|isDomain| *4 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *2)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunction| *5)) (|ofCategory| *5 (|IntegralDomain|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SubSpace| 3 (|DoubleFloat|))) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Export3D|))))) 
-(((*1 *1 *2 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|ModuleMonomial| *5 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *6 *7 *8)) (|ofCategory| *8 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *4))))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PowerSeriesCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|PowerSeriesCategory| *4 *3 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|ofCategory| *2 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *6 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|SuchThat| (|List| (|Polynomial| *4)) (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| (|PrimeField| *3)) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) *2)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *8))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|Type|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|PrincipalIdealDomain|)) (|isDomain| *2 (|Record| (|:| |coef| (|List| *1)) (|:| |generator| *1))) (|isDomain| *3 (|List| *1))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|Complex| (|Integer|)))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Complex| (|Integer|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GeneralizedMultivariateFactorize| *4 *5 *6 *7 *3)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|GenUFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| *5 *6))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerAlgFactor| *5 *6 *7 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *7 *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *8)) (|isDomain| *3 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))))) ((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *4))) (|isDomain| *1 (|LyndonWord| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatPolyFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Polynomial| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MRationalFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFunctionFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Integer|)) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SimpleAlgebraicExtensionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Polynomial| (|Integer|))) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SAERationalFunctionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 (|NonNegativeInteger|))) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 *6)) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *1))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Variable| *5)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *5 (|Polynomial| *6))) (|isDomain| *1 (|PolynomialToUnivariatePolynomial| *5 *6)) (|isDomain| *3 (|Polynomial| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunction| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|BasicStochasticDifferential|) (|Integer|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2) (AND (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|VectorSpace| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|CardinalNumber|))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *2)) (|:| |logand| (|SparseUnivariatePolynomial| *2))))) (|isDomain| *4 (|List| (|Record| (|:| |integrand| *2) (|:| |intvar| *2)))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResult| *2))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *6)))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *6))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|NewSparseUnivariatePolynomial| *3))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *6))) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
-(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U16Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U8Matrix|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *3 *2 *5)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *2 *6)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
-(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Multiset| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|ofType| *9 (|Mapping| *6 *4)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Float|))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *4 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|PseudoAlgebraicClosureOfRationalNumber|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 *2)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
-(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|Fraction| (|Integer|)))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GenExEuclid| *3 *5))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| (|List| *3)))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *3 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*3 $)) (SIGNATURE |denom| (*3 $)) (SIGNATURE |coerce| ($ *3)))))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|IntegrationResultRFToFunction| *5))))) 
-(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)) (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *2 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *2 *7)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *4 *6)) (|ofCategory| *2 (|DirectProductCategory| *5 *6))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *4 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *4)) (|Record| (|:| |index| *3) (|:| |exponent| *4)))) (|isDomain| *1 (|GeneralModulePolynomial| *5 *2 *3 *4 *6 *7)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *4 (|OrderedVariableList| *5)))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|CommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|InnerCommonDenominator| *2 *4 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|MatrixCommonDenominator| *2 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Join| (|FieldOfPrimeCharacteristic|) (CATEGORY |package| (SIGNATURE |coerce| (*2 *4)) (SIGNATURE |lookup| ((|PositiveInteger|) *2)) (SIGNATURE |basis| ((|Vector| *2) (|PositiveInteger|))) (SIGNATURE |Frobenius| (*2 *2))))) (|isDomain| *1 (|FiniteFieldPolynomialPackage2| *2 *4))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *6)) (|:| |coeff| (|Fraction| *6)))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (|ofCategory| *1 (|MonadWithUnit|))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
-(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *5))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Kernel| *5)) (|isDomain| *1 (|IntegrationTools| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|OrderedRing|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinaryTournament| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|TangentExpansions| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|isDomain| *1 (|PackageForPoly| *4 *3 *2 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *2)) (|ofType| *5 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *4 (|List| *6)) (|isDomain| *2 (|Record| (|:| |fs| (|Boolean|)) (|:| |sd| *4) (|:| |td| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *5 (|List| *4))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1) (|ofCategory| *1 (|Finite|))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (|isDomain| *1 (|Integer|))) ((*1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Permutation| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *2 (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|)))))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *2)) (|ofCategory| *2 (|LeftModule| *4)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|NonNegativeInteger|))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|ExpressionSolve| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *7 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *2)))))) 
-(((*1 *2 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinarySearchTree| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
-(((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *4)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *3))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *3)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Stream| *4))) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *4 *5)) (|isDomain| *3 (|Stream| *4)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|RadixUtilities|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DoubleFloat|))))) 
-(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|))))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Tableau| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *5 (|List| (|Symbol|))) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *6)) (|ofCategory| *6 (|Type|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |mm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|OrderedFreeMonoid| *3)) (|:| |mm| (|OrderedFreeMonoid| *3)) (|:| |rm| (|OrderedFreeMonoid| *3)))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Float|)))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *5 (|Float|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2)))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
-(((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|isDomain| *1 (|InterpolateFormsPackage| *4 *5 *6 *7 *8 *9 *10 *3)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *3 (|DivisorCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerAlgebraicNumber|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *3)) (|isDomain| *1 (|GosperSummationMethod| *5 *3 *6 *7 *2)) (|ofCategory| *2 (|Join| (|RetractableTo| (|Fraction| (|Integer|))) (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *4 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *4 *3 *5 *6)) (|ofCategory| *4 (|FunctionFieldCategory| *3 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|))))) 
-(((*1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5)))))) 
-(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
-(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3 *4 *3 *3) (AND (|isDomain| *3 (|Equation| *6)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *5 *6)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| (|Equation| *8))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *8)) (|isDomain| *6 (|List| *8)) (|ofCategory| *8 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *6 (|List| (|Equation| *8))) (|ofCategory| *8 (|FunctionSpace| *7)) (|isDomain| *5 (|Equation| *8)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *5)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *5 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *5)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ExpressionSolve| *7 *3 *2 *8)) (|ofCategory| *8 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *3))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *5))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|TaylorSolve| *5 *2 *6))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| A (|Matrix| *5)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5)) (|:| |eq| *6) (|:| |rh| *5)))))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *4 (|String|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *6 (|PositiveInteger|)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |plist| (|List| *3)) (|:| |modulo| *5))) (|isDomain| *1 (|GeneralHenselPackage| *5 *3)) (|isDomain| *4 (|List| *3))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|)))) (|isDomain| *1 (|d01WeightsPackage|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *4)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|ODETools| *4 *5)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|ODETools| *5 *6)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|)))))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|FlexibleArray| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofType| *4 (|Integer|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|FramedAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Matrix| *5))) (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|StructuralConstantsPackage| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
-(((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Matrix| *11)) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *8)))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *8 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *11 (|PolynomialCategory| *8 *10 *9)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| *11)) (|:| |neqzro| (|List| *11)) (|:| |wcond| (|List| (|Polynomial| *8))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *8)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *8)))))))))) (|:| |rgsz| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *8 *9 *10 *11)) (|isDomain| *7 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| (|FortranCode|)) (|:| |elseClause| (|FortranCode|)))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| (|FortranCode|))) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| (|FortranCode|)))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| (|FortranCode|)))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|))))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
-(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |ofCategory| *1 (|IntegralDomain|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FourierComponent| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |llcmres| *1) (|:| |coeff1| *1) (|:| |coeff2| *1))) (|ofCategory| *1 (|LeftOreRing|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SimpleCell| *5 *6))) (|isDomain| *1 (|SimpleCell| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SimpleCell| *5 *3))) (|isDomain| *1 (|SimpleCell| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
-(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *5)))) (|isDomain| *1 (|ComplexRootFindingPackage| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *5))))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *4)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GenExEuclid| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofType| *4 *3) (|ofType| *5 (|Mapping| *3 *3 (|NonNegativeInteger|))) (|isDomain| *1 (|InnerModularGcd| *3 *2 *4 *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *4))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks3| *5 *6 *2))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| *1)))) (|ofCategory| *1 (|FunctionSpace| *3))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| *6)) (|isDomain| *4 (|Vector| (|Integer|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6)) (|isDomain| *1 (|RandomDistributions| *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Union| "left" "center" "right" "vertical" "horizontal"))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|SubSpaceComponentProperty|))))))) 
-(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|IntegralDomain|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|EuclideanModularRing| *3 *4 *2 *5 *6 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofType| *5 (|Mapping| *4 *4 *2)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *7 (|Mapping| (|Union| *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularField| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularRing| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (|Integer|)))) (|ofCategory| *4 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |poly| *3) (|:| |mult| *5))) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
-(((*1 *2 *1 *2 *3) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|RoutinesTable|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|d03AgentsPackage|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Complex| *5)))) (|isDomain| *1 (|FloatingComplexPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|NonNegativeInteger|)))))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| *3 (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Point| *4))) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Cell| *4)) (|ofCategory| *4 (|RealClosedField|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|QuadraticForm| *3 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *3 (|CommutativeRing|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
-(((*1 *1 *2 *2 *1) (AND (|isDomain| *1 (|ListMultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Record| (|:| |under| *1) (|:| |floor| *1) (|:| |upper| *1))) (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *8)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|Ring|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|FactoringUtilities| *5 *6 *7 *8)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *3 *6 *7)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategoryWithDegree|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteSetAggregate&| *3 *4)) (|ofCategory| *3 (|FiniteSetAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonogenicAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |particular| (|Union| *6 "failed")) (|:| |basis| (|List| *6))) *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *6) "failed")) (|:| |basis| (|List| (|Vector| *6))))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *4 (|Vector| *6))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOption|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Mapping| (|Void|) (|SExpression|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *3 *1 *4) (AND (|isDomain| *3 (|SplittingNode| *5 *6)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *5 *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *6)) (|ofCategory| *6 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|ModularHermitianRowReduction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|isDomain| *1 (|ChangeOfVariable| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| *4))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Union| (|:| |ans| (|Record| (|:| |ans| *3) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (|isDomain| *1 (|TranscendentalRischDE| *6 *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|CommuteUnivariatePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|TheSymbolTable|))) ((*1 *1) (|isDomain| *1 (|SymbolTable|)))) 
-(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|RecurrenceOperator| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
-(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Record| (|:| |k| (|Integer|)) (|:| |c| *4))) (|isDomain| *1 (|NeitherSparseOrDensePowerSeries| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianGroup|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianSemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Color|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|DenavitHartenbergMatrix| *3)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|FreeModule1| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LeftModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Mapping| *7 *5)) (|isDomain| *1 (|MappingPackage3| *5 *6 *7)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Monad|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RightModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SemiGroup|))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|AbelianGroup|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *5))) (|ofCategory| *5 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternMatchPushDown| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage1| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *1)) (|isDomain| *4 (|Vector| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| *5)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|Finite|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|SetOfMIntegersInOneToN| *3 *4))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
-(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|HallBasis|))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|ListAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *7))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1 *1) (|isDomain| *1 (|PositiveInteger|))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Union| "prime" "polynomial" "normal" "cyclic"))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|FunctionSpaceReduce| *4 *3)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceReduce| *5 *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RootsFindingPackage| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Boolean|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|Point| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |coef| (|Fraction| *5)) (|:| |poly| *3))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *5)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *5) (|:| |degree| (|Integer|))))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *5))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|BasicOperatorFunctions1| *2))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *4)) (|isDomain| *1 (|MappingPackage2| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|BasicOperator|))) ((*1 *1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *4))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *4 (|PolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (|isDomain| *1 (|GroebnerInternalPackage| *6 *7 *8 *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Stream| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *8 (|FileName|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *3 (|DoubleFloat|))))) 
-(((*1 *2 *2 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6))))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *5 *6 *7)) (|isDomain| *3 (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Library|)))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|Switch|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Automorphism| *6)) (|isDomain| *5 (|Mapping| *6 *6)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| R (|Matrix| *6)) (|:| A (|Matrix| *6)) (|:| |Ainv| (|Matrix| *6)))) (|isDomain| *1 (|PseudoLinearNormalForm| *6)) (|isDomain| *3 (|Matrix| *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PolynomialIdeals| *3 *4 *5 *6))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|LeftModule| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|ApplyUnivariateSkewPolynomial| *5 *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3 *2 *2 *4 *5) (AND (|isDomain| *4 (|Automorphism| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *2))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Segment| (|DoubleFloat|)))) (|isDomain| *1 (|PlotTools|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5))))) 
-(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
-(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *2 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Vector| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|SingleInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *5))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Mapping| *5 *6)) (|isDomain| *1 (|ListToMap| *6 *5)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|isDomain| *6 (|Mapping| *2 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3 *4 *5 *3 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Complex| (|DoubleFloat|))) (|isDomain| *6 (|String|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|BasicOperatorFunctions1| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *3 (|DoubleFloat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|)))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Vector| (|List| *3))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|GenExEuclid| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *7)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *2 *7 *4)) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|CliffordAlgebra| *2 *3 *4)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|QuadraticForm| *2 *3)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|Monoid|))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *3))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|List| (|Record| (|:| |func| *2) (|:| |pole| (|Boolean|))))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *4 *2))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 (|PseudoAlgebraicClosureOfRationalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfFiniteField| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
-(((*1 *1) (|isDomain| *1 (|Color|)))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Factored| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Factored| (|Polynomial| *6))) (|isDomain| *5 (|Symbol|)) (|isDomain| *3 (|Polynomial| *6)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *6))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *1)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Stream| *3))) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2)))) 
-(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DesingTreeCategory| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tree| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Tree| *2))) (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |cd| (|String|)) (|:| |name| (|String|)))) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *13))) (|isDomain| *3 (|SparseUnivariatePolynomial| *13)) (|isDomain| *4 (|List| *12)) (|isDomain| *5 (|List| *10)) (|isDomain| *6 (|List| *13)) (|isDomain| *7 (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *13))))) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|isDomain| *9 (|Vector| (|List| (|SparseUnivariatePolynomial| *10)))) (|ofCategory| *12 (|OrderedSet|)) (|ofCategory| *10 (|EuclideanDomain|)) (|ofCategory| *13 (|PolynomialCategory| *10 *11 *12)) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *11 *12 *10 *13))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
-(((*1 *2 *3 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) ((*1 *1) (|isDomain| *1 (|ScriptFormulaFormat|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|TexFormat|)))) 
-(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *6)) (|SuchThat| (|Symbol|) (|Polynomial| *6)))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *6))))) (|isDomain| *1 (|EigenPackage| *6)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *6)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| *4)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
-(((*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|OrderedVariableList| *4)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|DrawOptionFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *1 *1) (|partial| |ofCategory| *1 (|CharacteristicNonZero|))) ((*1 *1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ListMonoidOps| *4 *2 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 *2))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CombinatorialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpressionSpace&| *4)) (|ofCategory| *4 (|ExpressionSpace|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionSpace&| *4 *5)) (|ofCategory| *4 (|FunctionSpace| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LiouvillianFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| *3) (|DirectProduct| *4 (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|QuasiAlgebraicSet2| *3 *4))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Kernel| *6)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *5 *6))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Float|))) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|List| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Integer|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Multiset| *3)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4))))) (|isDomain| *1 (|EigenPackage| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *3 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *2 *3) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *4 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *3 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|SymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|Mapping| *6 (|List| *6)))) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *6))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Fraction| (|Integer|))))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| (|NonNegativeInteger|)) (|:| |remainder| (|NonNegativeInteger|)))) (|isDomain| *1 (|NonNegativeInteger|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|Union| (|OrderedFreeMonoid| *3) "failed")) (|:| |rm| (|Union| (|OrderedFreeMonoid| *3) "failed")))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tableau| *3))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *10 (|PlacesCategory| *5 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (|ofCategory| *4 (|DesingTreeCategory| *11))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *4 (|DoubleFloat|))))) 
-(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *5 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *2) *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelThreeSpace|))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *9 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|:| |recPoint| (|AffinePlane| *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (|isDomain| *1 (|BlowUpPackage| *6 *7 *8 *9 *5)) (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|isDomain| *4 (|AffinePlane| *6)) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *6 *9)) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldFunctions| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SExpression|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|LyndonWord| *3))) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|IrredPolyOverFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|List| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LieExponentials| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|DifferentialRing|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|LinearDependence| *5 *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|not| (|ofCategory| *5 (|Field|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Fraction| *5))) (|isDomain| *1 (|LinearDependence| *5 *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|)))) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *3 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |less| (|BinarySearchTree| *3)) (|:| |greater| (|BinarySearchTree| *3)))) (|isDomain| *1 (|BinarySearchTree| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|DivisorCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| *4)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *3) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultToFunction| *3 *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| *3) (|:| |special| *3))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| (|Vector| *5))) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|CharacterClass|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Character|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
-(((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *7)) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *9)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|NumberFieldIntegralBasis| *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *3 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *3 *5))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
-(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *7 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| *7 "failed")) (|:| |basis| (|List| *7))))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *7 *3)) (|isDomain| *4 (|List| *7)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|NonLinearFirstOrderODESolver| *5 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)) (|isDomain| *4 (|Vector| *7)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Vector| *6))) (|isDomain| *1 (|ElementaryFunctionODESolver| *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *7) (|:| |basis| (|List| *7))) *7 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *3) (|:| |basis| (|List| *3))) *3 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Equation| *2)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))))) ((*1 *2 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Equation| *2)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |particular| *6) (|:| |basis| (|List| *6))) "failed") *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *6)) (|:| |basis| (|Matrix| *6)))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *8 (|DoubleFloat|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Expression| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Expression| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Expression| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Expression| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Expression| *5)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *2 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *3 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *2 *3 *4 *4 *5) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *4 *4 *3) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| *6)) (|:| |den| *6))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1 *3 *3) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|MonogenicLinearOperator| *3)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *5 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Stream| (|Stream| (|Polynomial| *5)))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|Stream| (|Polynomial| *5)))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *6 *7 *8 *4)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *11 (|Mapping| *8 *6)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *10 (|Mapping| *6 *9)) (|isDomain| *2 (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *6 *7 *8 *9 *10 *11)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *9) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Field|)) (|ofType| *12 (|Mapping| *9 *7)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *11 (|Mapping| *7 *10)) (|isDomain| *2 (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *7 *8 *9 *10 *11 *12)) (|ofCategory| *8 (|GcdDomain|)) (|ofCategory| *9 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *10) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|))))) (|ofType| *6 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|))))) (|ofType| *7 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *7))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixManipulation| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Matrix| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|Equation| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|ElementaryFunctionCategory|)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *4 *5 *6 *3))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|RetractableTo| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofType| *7 *2)))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *8))) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *6))) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SubSpace| 3 *3)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *1 *1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|TaylorSeries| *5))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|TaylorSeries| *5))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TemplateUtilities|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|List| (|Polynomial| *5))) (|isDomain| *1 (|FunctionFieldCategory&| *4 *5 *6 *7)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Polynomial| *4)))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
-(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) (|NonNegativeInteger|) *7)) (|isDomain| *4 (|Vector| *7)) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Vector| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *7 (|AbelianMonoidRing| *2 *5)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *7))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *13)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|CommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *6) (|:| |den| *4))) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *6 *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *4)) (|:| |den| *4))) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |eq| *7) (|:| |rh| (|List| (|Fraction| *6))))) (|isDomain| *1 (|PrimitiveRatDE| *5 *6 *7 *3)) (|isDomain| *4 (|List| (|Fraction| *6))) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PolynomialSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *4 *3)) (|ofCategory| *3 (|Join| (|UnivariatePolynomialCategory| *4) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Permutation| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Permutation| (|Integer|)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModMonic| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|NonCommutativeOperatorDivision| *3 *4)) (|ofCategory| *3 (|MonogenicLinearOperator| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PolynomialInterpolationAlgorithms| *4 *2))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|FunctionSpace| *3)) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *5))))) 
-(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SquareMatrix| *2 *3)) (|ofType| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *4)) (|ofCategory| *4 (|LeftModule| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Partition|))))) 
-(((*1 *1) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) 
-(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |const| *3) (|:| |nconst| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *2 *4 *5) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *4 *3))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *5 *6 *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *3)) (|:| |logand| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|AlgebraicFunction| *5 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|OutputForm|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|AxiomServer|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Database| (|IndexCard|))) (|isDomain| *1 (|OperationsQuery|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *7)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *7 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *7)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| (|Symbol|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomial| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|XRecursivePolynomial| *3 *4))))) 
-(((*1 *1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Union| (|Integer|) "failed") *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *4)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *4 *2 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *2 *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *4 *5))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *3 (|PlacesCategory| *4 *8)) (|ofCategory| *9 (|DivisorCategory| *3)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *2 *8 *3 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *4 *5 *6 *7 *2 *8 *3)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *3 (|PlacesCategory| *4 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Places| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *3)) (|ofType| *7 *3) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
-(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|NPCoef| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HeuGcd| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6))))) 
-(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *6 *7 *5)) (|ofCategory| *7 (|Field|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RoutinesTable|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |gvlist| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *2 *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *2 *4)) (|ofCategory| *4 (|EuclideanDomain|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *5 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *6)) (|SparseUnivariatePolynomial| *6))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |outval| *7) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *7)))))) (|isDomain| *1 (|InnerNumericEigenPackage| *6 *7 *4)) (|ofCategory| *7 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *3 *6 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|DirectProductCategory| *8 *2)) (|ofType| *8 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *6 *3 *7 *8 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 (|Integer|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *3)))) ((*1 *2 *3) (AND (|isDomain| *2 (|ContinuedFraction| (|Integer|))) (|isDomain| *1 (|NumericContinuedFraction| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 (|Integer|)))) ((*1 *2 *1) (AND (|ofType| *3 (|Integer|)) (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|String|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *1 (|OpenMathError|))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5))))) (|isDomain| *1 (|PseudoLinearNormalForm| *5)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |sup| (|Polynomial| *6)) (|:| |inf| (|Polynomial| *6)))) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |polnum| (|NewSparseUnivariatePolynomial| *3)) (|:| |polden| *3) (|:| |power| (|NonNegativeInteger|)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |polnum| *1) (|:| |polden| *1) (|:| |power| (|NonNegativeInteger|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Tableau| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|SparseMultivariateTaylorSeries| *4 *3 *5))) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *3 *5)) (|ofCategory| *5 (|PolynomialCategory| *4 (|IndexedExponents| *3) *3)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|TaylorSeries| *4))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|OutputForm|))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MathMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *5)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *8) (|:| |radicand| *8))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *3 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)) (SIGNATURE |coerce| ($ *7)))))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|LyndonWord| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *5)))) (|isDomain| *3 (|Vector| (|Expression| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *6))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |upol| (|SparseUnivariatePolynomial| *8)) (|:| |Lval| (|List| *8)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *8)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| *8))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *6 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|NonNegativeInteger|)))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sin| (|Stream| *4)) (|:| |cos| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ir| (|IntegrationResult| (|Fraction| *6))) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *6)))))) (|isDomain| *1 (|RetractSolvePackage| *5 *6))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *8))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|List| *2))) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *2))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4))))) 
-(((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|AlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *2)))) ((*1 *2 *3 *1 *2 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *4)) (|:| |deg| (|PositiveInteger|)))) (|isDomain| *1 (|DegreeReductionPackage| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *6 *2)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *2)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *4 *2 *3 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *3)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Expression| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteSetAggregate| *5)) (|ofCategory| *6 (|FiniteSetAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|InnerAlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListFunctions2| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *8 (|FiniteLinearAggregate| *2)) (|ofCategory| *9 (|FiniteLinearAggregate| *2)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *2 *8 *9 *10)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *10 (|MatrixCategory| *2 *8 *9)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *7 *2)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *10 (|DirectProductCategory| *6 *2)) (|ofCategory| *11 (|DirectProductCategory| *5 *2)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *12 (|RectangularMatrixCategory| *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|StreamFunctions2| *5 *2)))) ((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *2)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|VectorFunctions2| *5 *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|SmithNormalForm| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|isDomain| *2 (|PatternMatchListResult| *5 *6 (|List| *6))) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|isDomain| *3 (|List| *6)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|RetractableTo| (|Symbol|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *3)))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|Ring|)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|not| (|ofCategory| *3 (|Ring|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *6)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| AND (|isDomain| *4 (|SparseUnivariatePolynomial| *11)) (|isDomain| *6 (|List| *10)) (|isDomain| *7 (|List| (|NonNegativeInteger|))) (|isDomain| *8 (|List| *11)) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *11 (|EuclideanDomain|)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|PolynomialCategory| *11 *9 *10)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|MultivariateSquareFree| *9 *10 *11 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofType| *6 (|List| *2))))) 
-(((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) ((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (AND (|isDomain| *3 (|Record| (|:| |det| *12) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|isDomain| *4 (|Matrix| *12)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *9)))) (|isDomain| *6 (|List| (|List| *12))) (|isDomain| *7 (|NonNegativeInteger|)) (|isDomain| *8 (|Integer|)) (|ofCategory| *9 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *12 (|PolynomialCategory| *9 *11 *10)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |eqzro| (|List| *12)) (|:| |neqzro| (|List| *12)) (|:| |wcond| (|List| (|Polynomial| *9))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *9)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *9))))))))) (|isDomain| *1 (|ParametricLinearEquations| *9 *10 *11 *12))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |entry| *3) (|:| |count| (|NonNegativeInteger|)))))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *9)) (|isDomain| *5 (|Mapping| (|Boolean|) *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *9)))) (|isDomain| *3 (|List| *9)) (|ofCategory| *1 (|TriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *8)))) (|isDomain| *3 (|List| *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *6 *7 *8 *4)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixManipulation| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Matrix| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|Equation| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|d01WeightsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|)))) 
+(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Matrix| *11)) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *8)))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *8 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *11 (|PolynomialCategory| *8 *10 *9)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| *11)) (|:| |neqzro| (|List| *11)) (|:| |wcond| (|List| (|Polynomial| *8))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *8)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *8)))))))))) (|:| |rgsz| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *8 *9 *10 *11)) (|isDomain| *7 (|Integer|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|ElementaryFunctionCategory|)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *4))))) 
 (((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| *4)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| *4)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *4))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FourierComponent| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |llcmres| *1) (|:| |coeff1| *1) (|:| |coeff2| *1))) (|ofCategory| *1 (|LeftOreRing|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks3| *5 *6 *2))))) 
 (((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|TranscendentalIntegration| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|:| |coords| (|List| (|Integer|))))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|Mapping| (|IntegrationResult| *3) *3 (|Symbol|))) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (|Symbol|))) (|ofCategory| *3 (|ElementaryFunctionCategory|)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|FunctionSpace| *7)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *7 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *7 (|PatternMatchable| (|Integer|))) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|IntegrationTools| *7 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SimpleCell| *5 *6))) (|isDomain| *1 (|SimpleCell| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SimpleCell| *5 *3))) (|isDomain| *1 (|SimpleCell| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Union| "left" "center" "right" "vertical" "horizontal"))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|)))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Set| (|NonNegativeInteger|))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *4 *5 *6 *3))))) 
 (((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |low| (|List| *3)) (|:| |high| (|List| *3)))) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PackageForPoly| *3 *4 *5 *6)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *3 *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sinh| (|Stream| *4)) (|:| |cosh| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
 (((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *4 *5 *6 *7)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
 (((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|List| (|Kernel| *3))) (|isDomain| *5 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *7 *3))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *5)))) (|isDomain| *1 (|ComplexRootFindingPackage| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *5))))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *4)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
 (((*1 *2 *1 *2) (AND (|isDomain| *2 (|AffinePlane| *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|RewriteRule| *4 *5 *2))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| (|RewriteRule| *5 *6 *2))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|Ring|) (|PatternMatchable| *5) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *5)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|PatternMatchable| *5) (|ConvertibleTo| (|Pattern| *5)))) (|isDomain| *1 (|ApplyRules| *5 *6 *2))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *4)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *2 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Graphviz|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *5 *6 *7 *8 *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Graphviz|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GenExEuclid| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofType| *4 *3) (|ofType| *5 (|Mapping| *3 *3 (|NonNegativeInteger|))) (|isDomain| *1 (|InnerModularGcd| *3 *2 *4 *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *8))) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *6))) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|Graphviz|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|RegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|KeyedAccessFile| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Library|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|Graphviz|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|ElementaryIntegration| *6 *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Graphviz|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
 (((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|RetractableTo| *3)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PrimitiveFunctionCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|PrimitiveFunctionCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *1 *1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
 (((*1 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Record| (|:| |under| *1) (|:| |floor| *1) (|:| |upper| *1))) (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *3) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3))))) 
+(((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedRing|)) (|isDomain| *1 (|ExpertSystemToolsPackage1| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|d03AgentsPackage|)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|Symbol|)) (|:| |c| (|XPolynomial| *3))))) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| *3) (|:| |c| (|XRecursivePolynomial| *3 *4))))) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|TaylorSeries| *5))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|TaylorSeries| *5))))) 
 (((*1 *2 *3 *1) (AND (|isDomain| *3 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *4 *5))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SquareMatrix| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Join| (|Ring|) (CATEGORY |package| (ATTRIBUTE (|commutative| "*"))))) (|isDomain| *1 (|Permanent| *4 *2))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TemplateUtilities|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
 (((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2 *3 *1) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *3)) (|Record| (|:| |index| *5) (|:| |exponent| *3)))) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *3 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *3 (|OrderedVariableList| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|))))) 
 (((*1 *2 *1 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|PolynomialCategory| *4 (|IndexedExponents| *5) *5)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|List| (|Polynomial| *5))) (|isDomain| *1 (|FunctionFieldCategory&| *4 *5 *6 *7)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Polynomial| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Union| (|SparseUnivariatePolynomial| *4) (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|))))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Expression| *5))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *2 *3 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|InverseLaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|SpecialFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|)))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranType|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|RoutinesTable|)) (|isDomain| *3 (|String|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *1 *2 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
 (((*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *2 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2) (AND (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianGroup|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianSemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Color|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|DenavitHartenbergMatrix| *3)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|FreeModule1| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LeftModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Mapping| *7 *5)) (|isDomain| *1 (|MappingPackage3| *5 *6 *7)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Monad|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RightModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SemiGroup|))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|AbelianGroup|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedString| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|SingleInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| *1)))) (|ofCategory| *1 (|FunctionSpace| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) (|NonNegativeInteger|) *7)) (|isDomain| *4 (|Vector| *7)) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Vector| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *7 (|AbelianMonoidRing| *2 *5)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *7))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTournament| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *7))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1 *1) (|isDomain| *1 (|PositiveInteger|))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| *6)) (|isDomain| *4 (|Vector| (|Integer|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6)) (|isDomain| *1 (|RandomDistributions| *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CharacteristicPolynomialPackage| *2)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|CharacteristicPolynomialInMonogenicalAlgebra| *4 *2 *3)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|EigenPackage| *5)) (|ofCategory| *5 (|GcdDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|EigenPackage| *4)) (|ofCategory| *4 (|GcdDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
 (((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PrincipalIdealDomain|))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Polynomial| *5)))) (|isDomain| *1 (|SystemSolvePackage| *5))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *4 (|MonogenicAlgebra| *5 *7)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|ReduceLODE| *5 *6 *7 *4 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Boolean|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|FortranScalarType|)) (|isDomain| *2 (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|SubSpaceComponentProperty|))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| *8)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| *8)))))) (|isDomain| *1 (|LinearSystemPolynomialPackage| *5 *6 *7 *8))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *13)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
 (((*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *5) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *5)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *3) (|:| |pol1| (|SparseUnivariatePolynomial| *3)) (|:| |pol2| (|SparseUnivariatePolynomial| *3)) (|:| |prim| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *3)) (|ofCategory| *3 (|AlgebraicallyClosedField|)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *3 *4 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *6))) (|:| |prim| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|PrimitiveElement| *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|CommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *6) (|:| |den| *4))) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *6 *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *4)) (|:| |den| *4))) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |eq| *7) (|:| |rh| (|List| (|Fraction| *6))))) (|isDomain| *1 (|PrimitiveRatDE| *5 *6 *7 *3)) (|isDomain| *4 (|List| (|Fraction| *6))) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
 (((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|ComplexCategory| *6)) (|ofCategory| (|Polynomial| *6) (|PatternMatchable| *5)) (|ofCategory| *6 (|Join| (|PatternMatchable| *5) (|CommutativeRing|))) (|isDomain| *1 (|ComplexPatternMatch| *5 *6 *3)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|PatternMatchResult| *4 *1)) (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *1 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *3))) (|ofCategory| *3 (|PatternMatchable| *5)) (|isDomain| *1 (|PatternMatchPushDown| *5 *3 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|ConvertibleTo| *4) (|PatternMatchable| *5) (|RetractableTo| (|Kernel| $)))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchFunctionSpace| *5 *6 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| (|Integer|) *3)) (|isDomain| *4 (|Pattern| (|Integer|))) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *1 (|PatternMatchIntegerNumberSystem| *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *3 (|Kernel| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|RetractableTo| (|Kernel| $)) (|ConvertibleTo| *4) (|PatternMatchable| *5))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchKernel| *5 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchListResult| *5 *6 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *3 (|ListAggregate| *6)) (|isDomain| *1 (|PatternMatchListAggregate| *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (AND (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *3) *8 (|Pattern| *6) (|PatternMatchResult| *6 *3))) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|PatternMatchResult| *6 *3)) (|isDomain| *4 (|Pattern| *6)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *9 *7 *8) (|ConvertibleTo| *4))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *6))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *8 *6 *7) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *7 (|PatternMatchable| *5)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|QuotientFieldCategory| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|PatternMatchable| *5) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchQuotientFieldCategory| *5 *6 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *1 (|PatternMatchSymbol| *5)))) ((*1 *2 *3 *4 *5 *2 *6) (AND (|isDomain| *4 (|List| (|Pattern| *7))) (|isDomain| *5 (|Mapping| *9 (|List| *9))) (|isDomain| *6 (|Mapping| (|PatternMatchResult| *7 *9) *9 (|Pattern| *7) (|PatternMatchResult| *7 *9))) (|ofCategory| *7 (|SetCategory|)) (|ofCategory| *9 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *7)) (|RetractableTo| *8))) (|isDomain| *2 (|PatternMatchResult| *7 *9)) (|isDomain| *3 (|List| *9)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *7 *8 *9))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *7))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *7 *3)) (|isDomain| *5 (|OrderedCompletion| *3))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *8 (|FileName|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
 (((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *6 *2)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|NewtonPolygon| *6 *3 *7 *8)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *4))))) 
 (((*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Switch|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *6 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *6)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PolynomialSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *4 *3)) (|ofCategory| *3 (|Join| (|UnivariatePolynomialCategory| *4) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|)))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|)))))) 
+(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))))) 
+(((*1 *2 *3 *4 *5 *3 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Complex| (|DoubleFloat|))) (|isDomain| *6 (|String|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
 (((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DesingTreeCategory| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tree| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Tree| *2))) (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *3)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegralDomain|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|EuclideanModularRing| *3 *4 *2 *5 *6 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofType| *5 (|Mapping| *4 *4 *2)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *7 (|Mapping| (|Union| *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularField| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularRing| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|)))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|Complex| *5)) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *3)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) ((*1 *1) (|isDomain| *1 (|ScriptFormulaFormat|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|TexFormat|)))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4))))) 
 (((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|DrawOptionFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *2) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *2)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Permutation| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Permutation| (|Integer|)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModMonic| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
 (((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DesingTreeCategory| *11)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (|Integer|)))) (|ofCategory| *4 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *4))))) 
+(((*1 *2 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Matrix| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|SquareMatrixCategory| *2 *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *2 *3)) (|ofCategory| *5 (|DirectProductCategory| *2 *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Multiset| *3)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|List| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ans| (|Fraction| *5)) (|:| |nosol| (|Boolean|)))) (|isDomain| *1 (|TranscendentalRischDE| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3 *2 *3) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *4 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *3 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|SymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *4 *5 *6 *7))) (|isDomain| *1 (|WuWenTsunTriangularSet| *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *6 *7 *8 *9))) (|isDomain| *1 (|WuWenTsunTriangularSet| *6 *7 *8 *9))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |%expansion| (|ExponentialExpansion| *5 *3 *6 *7)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *5 *3 *6 *7)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofType| *6 (|Symbol|)) (|ofType| *7 *3)))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *4 *5)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|NonCommutativeOperatorDivision| *3 *4)) (|ofCategory| *3 (|MonogenicLinearOperator| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tableau| *3))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootPackage| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| (|Integer|)))) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |poly| *3) (|:| |mult| *5))) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PolynomialInterpolationAlgorithms| *4 *2))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ConstantLODE| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *1 *2 *3) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *3 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|GuessFiniteFunctions| *3)) (|ofCategory| *3 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|))))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|FunctionSpace| *3)) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|Type|)))) ((*1 *1 *2) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3))))) ((*1 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|d03AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|InterfaceGroebnerPackage| *3 *4 *5 *6 *7)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *6))) (|isDomain| *1 (|ChangeOfVariable| *5 *6 *7)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3))))) 
+(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Complex| *5)))) (|isDomain| *1 (|FloatingComplexPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))))) (|isDomain| *1 (|SymbolTable|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Algebra| *2)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|NonNegativeInteger|)))))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|BasicFunctions|))))) 
+(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *5))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| *4)))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| *3 (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *3 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Evalable| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|Equation| *2)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *3)) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|Integer|))) (|isDomain| *4 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|EvaluateCycleIndicators| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 *1)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2 *1 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|InnerEvalable| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|InnerEvalable| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OnePointCompletion| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|MoebiusTransform| *3)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PolynomialPackageForCurve| *2 *3 *5 *6 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *2)))) ((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|has| *3 (SIGNATURE ** (*3 *3 *4))) (|isDomain| *2 (|Stream| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|SymmetricFunctions| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|SymmetricFunctions| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *9)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SquareMatrix| *2 *3)) (|ofType| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *4)) (|ofCategory| *4 (|LeftModule| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
+(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Point| *4))) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *11 (|Mapping| *8 *6)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *10 (|Mapping| *6 *9)) (|isDomain| *2 (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *6 *7 *8 *9 *10 *11)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *9) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Field|)) (|ofType| *12 (|Mapping| *9 *7)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *11 (|Mapping| *7 *10)) (|isDomain| *2 (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *7 *8 *9 *10 *11 *12)) (|ofCategory| *8 (|GcdDomain|)) (|ofCategory| *9 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *10) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|))))) (|ofType| *6 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|))))) (|ofType| *7 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *7))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Cell| *4)) (|ofCategory| *4 (|RealClosedField|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|QuadraticForm| *3 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Partition|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|RetractableTo| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofType| *7 *2)))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3))))) 
+(((*1 *1) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |const| *3) (|:| |nconst| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SubSpace| 3 *3)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |val| *1) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *5 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(((*1 *2 *3 *2 *4 *5) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *4 *3))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) ((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|Plot3D|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|NonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *2 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
 (((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|SubResultantPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| (|List| *7) *7 (|SparseUnivariatePolynomial| *7))) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *7)) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *6 *7 *3 *8)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *7)) (|ofCategory| *8 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *7))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *6)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3)))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *8)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|Ring|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|FactoringUtilities| *5 *6 *7 *8)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *3 *6 *7)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategoryWithDegree|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| (|List| *6))) (|isDomain| *1 (|GenExEuclid| *4 *6)) (|isDomain| *5 (|List| *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|RealNumberSystem|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|isDomain| *2 (|Record| (|:| |r| *3) (|:| |phi| *3)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |f1| (|List| *4)) (|:| |f2| (|List| (|List| (|List| *4)))) (|:| |f3| (|List| (|List| *4))) (|:| |f4| (|List| (|List| (|List| *4)))))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| (|List| *4))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |cont| *5) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|DistinctDegreeFactorize| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
 (((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *7) (|:| |right| *7) (|:| |sol?| (|Boolean|))) (|Integer|) *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *1 (|GrayCode|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *5 *6 *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
 (((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |particular| (|Union| *6 "failed")) (|:| |basis| (|List| *6))) *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *6) "failed")) (|:| |basis| (|List| (|Vector| *6))))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *4 (|Vector| *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *3)) (|:| |logand| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
 (((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PrecomputedAssociatedEquations| *5 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOption|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
 (((*1 *2 *1 *1) (AND (|ofCategory| *1 (|Comparable|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *3 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Mapping| (|Void|) (|SExpression|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
 (((*1 *2 *3 *4 *5 *5 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|Polynomial| *6)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *7)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *7 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|isDomain| *4 (|OrderedCompletion| *6)) (|ofCategory| *6 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Fraction| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|AlgebraicFunction| *5 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|OutputForm|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LiePolynomial| *4 *5))) (|isDomain| *1 (|LieExponentials| *4 *5 *6)) (|ofCategory| *5 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *6 (|PositiveInteger|))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|AxiomServer|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Database| (|IndexCard|))) (|isDomain| *1 (|OperationsQuery|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *4 *2)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|OutputForm|))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MathMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *1) (|isDomain| *1 (|Character|)))) 
+(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *6)))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|PlacesCategory| *5 *8)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *5 *6 *4 *7 *3 *8 *2)) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
 (((*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) ((*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *1 *4) (AND (|isDomain| *3 (|SplittingNode| *5 *6)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *5 *6))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Void|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *6 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *1 *1) (|isDomain| *1 (|AlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *2)))) ((*1 *2 *3 *1 *2 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *4)) (|:| |deg| (|PositiveInteger|)))) (|isDomain| *1 (|DegreeReductionPackage| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *6 *2)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *2)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *4 *2 *3 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *3)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Expression| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteSetAggregate| *5)) (|ofCategory| *6 (|FiniteSetAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|InnerAlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListFunctions2| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *8 (|FiniteLinearAggregate| *2)) (|ofCategory| *9 (|FiniteLinearAggregate| *2)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *2 *8 *9 *10)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *10 (|MatrixCategory| *2 *8 *9)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *7 *2)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *10 (|DirectProductCategory| *6 *2)) (|ofCategory| *11 (|DirectProductCategory| *5 *2)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *12 (|RectangularMatrixCategory| *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|StreamFunctions2| *5 *2)))) ((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *2)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|VectorFunctions2| *5 *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinesOpPack| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *6)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| AND (|isDomain| *4 (|SparseUnivariatePolynomial| *11)) (|isDomain| *6 (|List| *10)) (|isDomain| *7 (|List| (|NonNegativeInteger|))) (|isDomain| *8 (|List| *11)) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *11 (|EuclideanDomain|)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|PolynomialCategory| *11 *9 *10)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|MultivariateSquareFree| *9 *10 *11 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofType| *6 (|List| *2))))) 
+(((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|RegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *10 *11))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
 (((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|List| (|List| *5))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
 (((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SquareMatrix| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Join| (|Ring|) (CATEGORY |package| (ATTRIBUTE (|commutative| "*"))))) (|isDomain| *1 (|Permanent| *4 *2))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| *2)) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| *2)) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1) (AND (|isDomain| *1 (|GenericNonAssociativeAlgebra| *2 *3 *4 *5)) (|ofCategory| *2 (|CommutativeRing|)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|Vector| (|Matrix| *2)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedCompletion| (|Float|))) (|isDomain| *2 (|OrderedCompletion| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *7)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *7 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *7)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|CharacteristicZero|)) (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|AlgebraicNumber|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|SimplifyAlgebraicNumberConvertPackage|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedString| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|SingleInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FunctionSpaceReduce| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|CRApackage| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|List| *4))) (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7))))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7)))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (|ofCategory| *3 (|DesingTreeCategory| *13))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *4))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *6)) (|ofCategory| *6 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|ModularHermitianRowReduction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *1) (|isDomain| *1 (|GraphImage|)))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *2)) (|Record| (|:| |index| *5) (|:| |exponent| *2)))) (|ofCategory| *2 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *2 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *2 (|OrderedVariableList| *3)))))) 
+(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|RationalFunctionIntegration| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
-(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PseudoLinearNormalForm| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| *4) (|:| |c| *3))))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |outval| *4) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *4)))))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|isDomain| *1 (|ChangeOfVariable| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *3 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Evalable| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|Equation| *2)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *3)) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|Integer|))) (|isDomain| *4 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|EvaluateCycleIndicators| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 *1)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2 *1 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|InnerEvalable| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|InnerEvalable| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OnePointCompletion| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|MoebiusTransform| *3)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PolynomialPackageForCurve| *2 *3 *5 *6 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *2)))) ((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|has| *3 (SIGNATURE ** (*3 *3 *4))) (|isDomain| *2 (|Stream| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|Equation| *4))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |unit| *1) (|:| |canonical| *1) (|:| |associate| *1))) (|ofCategory| *1 (|IntegralDomain|))))) 
+(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeriesFunctions| *3))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| *4))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Union| (|:| |ans| (|Record| (|:| |ans| *3) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (|isDomain| *1 (|TranscendentalRischDE| *6 *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
 (((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PointCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
-(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *7) (|List| *7))) (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|)))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FunctionCalled| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RuleCalled| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| (|Factored| *3)) (|:| |special| (|Factored| *3)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3))))) 
+(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |logpart| *3))) (|isDomain| *1 (|AlgebraicHermiteIntegration| *5 *6 *7 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| (|Fraction| *6)) (|:| |logpart| (|Fraction| *6)) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalHermiteIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2 *1 *1 *3) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *6)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *7)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Complex| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|isDomain| *2 (|Complex| *6)) (|isDomain| *1 (|ComplexFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Expression| *3) (|Expression| *3))) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|isDomain| *2 (|DirectProduct| *5 *7)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Equation| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Equation| *6)) (|isDomain| *1 (|EquationFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Kernel| *6)) (|ofCategory| *6 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ExpressionSpaceFunctions1| *6 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Kernel| *5)) (|ofCategory| *5 (|ExpressionSpace|)) (|ofCategory| *2 (|ExpressionSpace|)) (|isDomain| *1 (|ExpressionSpaceFunctions2| *5 *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *1 *1)) (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|ExpertSystemToolsPackage2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Expression| *6)) (|isDomain| *1 (|ExpressionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *7 *5)) (|isDomain| *1 (|FiniteAbelianMonoidRingFunctions2| *5 *6 *4 *7 *2)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *9 (|Field|)) (|ofCategory| *10 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| (|Fraction| *10))) (|isDomain| *2 (|FiniteDivisor| *9 *10 *11 *12)) (|isDomain| *1 (|FiniteDivisorFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|FunctionFieldCategory| *9 *10 *11)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FullyEvalableOver| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *8 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *9 (|UnivariatePolynomialCategory| *8)) (|ofCategory| *2 (|FunctionFieldCategory| *8 *9 *10)) (|isDomain| *1 (|FunctionFieldCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *10 (|UnivariatePolynomialCategory| (|Fraction| *9))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *6)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *6)) (|isDomain| *1 (|FactoredFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Fraction| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|FractionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FractionalIdeal| *5 *6 *7 *8)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *8 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|QuotientFieldCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| *10)) (|isDomain| *2 (|FractionalIdeal| *9 *10 *11 *12)) (|isDomain| *1 (|FractionalIdealFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|Join| (|FramedAlgebra| *10 *11) (|RetractableTo| *10))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|FramedNonAssociativeAlgebra| *6)) (|isDomain| *1 (|FramedNonAssociativeAlgebraFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *6 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *2 (|FunctionSpace| *6)) (|isDomain| *1 (|FunctionSpaceFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FunctionSpace| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *6)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|IntegrationResult| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|IntegrationResult| *6)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |ratpart| *5) (|:| |coeff| *5)) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| *6) (|:| |coeff| *6))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Union| *5 "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *2)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |mainpart| *5) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *6) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *6) (|:| |logand| *6)))))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|InfiniteTuple| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *6)) (|isDomain| *1 (|InfiniteTupleFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|ListFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ListFunctions3| *6 *7 *8)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *8 "failed") *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *8))) (|isDomain| *1 (|MultipleMap| *5 *6 *4 *7 *8 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *8)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *8 *6)) (|isDomain| *1 (|MPolyCatFunctions3| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *9 *7 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|MonoidRing| *5 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Monoid|)) (|isDomain| *2 (|MonoidRing| *6 *7)) (|isDomain| *1 (|MonoidRingFunctions2| *5 *6 *7)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|NewSparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|NewSparseUnivariatePolynomial| *6)) (|isDomain| *1 (|NewSparseUnivariatePolynomialFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|OctonionCategory| *6)) (|isDomain| *1 (|OctonionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|OctonionCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4 *2 *2) (AND (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricPlaneCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricPlaneCurve| *6)) (|isDomain| *1 (|ParametricPlaneCurveFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSpaceCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSpaceCurve| *6)) (|isDomain| *1 (|ParametricSpaceCurveFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSurface| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSurface| *6)) (|isDomain| *1 (|ParametricSurfaceFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|PatternMatchResult| *5 *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *7)) (|isDomain| *1 (|PatternMatchResultFunctions2| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Pattern| *6)) (|isDomain| *1 (|PatternFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Polynomial| *6)) (|isDomain| *1 (|PolynomialFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *7)) (|isDomain| *4 (|Mapping| *2 *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|)))))) (|isDomain| *1 (|PolynomialCategoryLifting| *6 *7 *8 *5 *2)) (|ofCategory| *5 (|PolynomialCategory| *8 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *6)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Point| *6)) (|isDomain| *1 (|PointFunctions2| *5 *6)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *2 (|Polynomial| *4))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|QuotientFieldCategory| *6)) (|isDomain| *1 (|QuotientFieldCategoryFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|QuotientFieldCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|QuaternionCategory| *6)) (|isDomain| *1 (|QuaternionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|QuaternionCategory| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *5 *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *10 *7)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *10 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *2 (|RectangularMatrixCategory| *5 *6 *10 *11 *12)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *11 (|DirectProductCategory| *6 *10)) (|ofCategory| *12 (|DirectProductCategory| *5 *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Segment| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SegmentBinding| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|SegmentBinding| *6)) (|isDomain| *1 (|SegmentBindingFunctions2| *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|StreamFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|StreamFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|SparseUnivariatePolynomialFunctions2| *5 *6)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *4 *4 *4)) (|ofCategory| *1 (|TableAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariateLaurentSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariateLaurentSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariateLaurentSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|UniversalSegment| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *6)) (|isDomain| *4 (|UnivariatePolynomial| *5 *6)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *7 *8)) (|isDomain| *1 (|UnivariatePolynomialFunctions2| *5 *6 *7 *8)) (|ofType| *7 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *6)) (|isDomain| *1 (|UnivariatePolynomialCategoryFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariatePuiseuxSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariatePuiseuxSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariatePuiseuxSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *6 "failed") *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *4 (|OrderedMonoid|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
 (((*1 *2 *3 *3 *3 *3 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)))) ((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FunctionCalled| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RuleCalled| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Set| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|List| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|List| *4)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|Set| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|Set| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *3 *1) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Segment| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SegmentBinding| *4))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *2))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Set| (|Set| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|OrderedRing|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *3 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *4))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericEigenPackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|MachineFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OneDimensionalArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|OneDimensionalArray| *3))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *4 (|Any|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *3 *7 *4)) (|ofCategory| *7 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
-(((*1 *2 *3 *3 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Monoid|) (|Finite|) (CATEGORY |package| (SIGNATURE ** (*3 *3 (|Integer|)))))) (|isDomain| *1 (|DiscreteLogarithmPackage| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *3 (|Integer|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| *4)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *2 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|Places| *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *9)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *6)) (|isDomain| *1 (|ParametrizationPackage| *6 *7 *3 *8 *9 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *4 (|PlacesCategory| *6 *2))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
-(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *5)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *7 *5)) (|isDomain| *4 (|DirectProduct| *6 *7)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|DirectProduct| *6 *5)) (|isDomain| *1 (|DirectProductFunctions2| *6 *7 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *5)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *5)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ListFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|PrimitiveArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *5)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *3 *6 *3)) (|isDomain| *5 (|Stream| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamFunctions2| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|Vector| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|VectorFunctions2| *6 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *2 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|UniversalSegment| (|Integer|)))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|)))))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Field|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *2 *4 *3)) (|ofCategory| *2 (|Algebra| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *2 *4 *3)) (|ofCategory| *2 (|Module| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| (|Expression| (|Integer|)) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage4| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrdinaryWeightedPolynomials| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|StochasticDifferential| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorSpace| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *3)) (|isDomain| *1 (|WeightedPolynomials| *2 *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Character|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *3 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraPackage| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 *2))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| *4))) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Any|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|))))) 
-(((*1 *2 *3 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2)))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|CardinalNumber|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *4))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerBits|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianSemiGroup|))) ((*1 *1 *1 *1) (|isDomain| *1 (|Color|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianSemiGroup|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Matrix| (|PrimeField| *3))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|LaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|Polynomial| *4))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
-(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3)))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|CommuteUnivariatePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *4 *5)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|SplittingNode| *3 *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|Record| (|:| |solns| (|List| *5)) (|:| |maps| (|List| (|Record| (|:| |arg| *5) (|:| |res| *5)))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|ThreeDimensionalMatrix| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
 (((*1 *2 *3 *4 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|isDomain| *4 (|Integer|)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|TubePlot| *3)) (|isDomain| *1 (|NumericTubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
+(((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|TheSymbolTable|))) ((*1 *1) (|isDomain| *1 (|SymbolTable|)))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4))))) 
+(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *7 *8 *4)) (|ofCategory| *7 (|FiniteAbelianMonoidRing| *5 *8)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|RecurrenceOperator| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|OneDimensionalArray| (|List| (|LyndonWord| *5)))) (|isDomain| *1 (|LyndonWord| *5))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *2 *3 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
 (((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalFunctionIntegration| *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *3 *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *1 (|FileCategory| *2 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Stream| *3))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|TranscendentalRischDESystem| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Character|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Field|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *2 *4 *3)) (|ofCategory| *2 (|Algebra| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *2 *4 *3)) (|ofCategory| *2 (|Module| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| (|Expression| (|Integer|)) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage4| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrdinaryWeightedPolynomials| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|StochasticDifferential| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorSpace| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *3)) (|isDomain| *1 (|WeightedPolynomials| *2 *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
 (((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Bits|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|BinaryTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *3 *5 *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|CardinalNumber|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|SubSpace| 3 *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianSemiGroup|))) ((*1 *1 *1 *1) (|isDomain| *1 (|Color|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianSemiGroup|))))) 
 (((*1 *2 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
 (((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|List| *2)) (|isDomain| *1 (|BasicOperatorFunctions1| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 (|List| *4))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Mapping| *4 (|List| *4))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3))))) 
-(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *4)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) *4)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|isDomain| *1 (|InterpolateFormsPackage| *6 *7 *5 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *3 (|DivisorCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Reference| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|ThreeDimensionalMatrix| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
 (((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (|isDomain| *1 (|Partition|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *14)) (|ofCategory| *14 (|DesingTreeCategory| *13)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Factored| *4) *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|FactoredFunctionUtilities| *4)))) ((*1 *1 *1) (|isDomain| *1 (|Plot3D|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1) (|isDomain| *1 (|Plot|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3 *3) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Finite|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *6)))) (|isDomain| *1 (|RepresentationPackage2| *6)) (|isDomain| *3 (|List| (|Matrix| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *4)))) (|isDomain| *1 (|RepresentationPackage2| *4)) (|isDomain| *3 (|List| (|Matrix| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CyclicStreamTools| *4 *3)) (|ofCategory| *3 (|LazyStreamAggregate| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Reference| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Commutator|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Commutator|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| *3) (|:| |entry| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *1 (|TableAggregate| *3 *4)))) ((*1 *1) (AND (|ofCategory| *1 (|TableAggregate| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *2 *6 *7)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Record| (|:| |k| (|Integer|)) (|:| |c| *4))) (|isDomain| *1 (|NeitherSparseOrDensePowerSeries| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *5))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *5))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
+(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *2 (|DivisorCategory| *9)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
 (((*1 *2 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|)))) (|isDomain| *1 (|ElementaryRischDE| *8 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *6)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Void|)))) ((*1 *2 *3 *1 *4) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Result|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Result|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *3 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *5))) (|ofCategory| *5 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternMatchPushDown| *4 *5 *6))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
 (((*1 *2 *3) (|partial| AND (|ofCategory| *5 (|RetractableTo| (|AlgebraicNumber|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Equation| (|OnePointCompletion| *3))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OnePointCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
+(((*1 *1 *2 *3 *3 *4 *5) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2 *3 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *1) (|isDomain| *1 (|GraphImage|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
 (((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *7 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *8 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| *3)))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
 (((*1 *1 *2 *3) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Cell| *5)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *5))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| *5) (|List| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|MappingPackage1| *5)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Integer|) (|Integer|))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage1| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
 (((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Vector| *4))) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedSquaring| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE * ($ $ $)))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|SubSpaceComponentProperty|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|NormalizationPackage| *4 *5 *6 *2 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *2))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| *3) (|:| |entry| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *1 (|TableAggregate| *3 *4)))) ((*1 *1) (AND (|ofCategory| *1 (|TableAggregate| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *2 *6 *7)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |close| (|List| *6)) (|:| |open| (|List| *6))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FGLMIfCanPackage| *4 *5)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5)))) (|ofCategory| *4 (|GcdDomain|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LexTriangularPackage| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InternalPrintPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *1)) (|isDomain| *4 (|Vector| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| *5)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HeuGcd| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Mapping| *5 *5)) (|isDomain| *1 (|ODEIntegration| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *3 *5 *6 *7)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *3 *5 *6)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 *3 *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *1 (|BalancedBinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |adjMat| *3) (|:| |detMat| *4))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |constant| *5) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6)))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *6))) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *6))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |base| *3) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|FortranPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|ElementaryRischDESystem| *8 *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|Finite|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|SetOfMIntegersInOneToN| *3 *4))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|ComplexCategory| *4)) (|ofCategory| *4 (|IntegerNumberSystem|)) (|isDomain| *1 (|ComplexIntegerSolveLinearPolynomialEquation| *4 *5)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldSolveLinearPolynomialEquation| *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|IntegerSolveLinearPolynomialEquation|)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
 (((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *4) (|SparseUnivariatePolynomial| (|RealClosure| *4)))) (|isDomain| *3 (|OutputForm|)) (|isDomain| *1 (|RealClosure| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *2 (|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| *7)) (|:| |n0| (|List| *7)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GenExEuclid| *5 *3))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|HallBasis|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Fraction| (|Integer|))))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|List| (|Fraction| *7))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *3 (|Fraction| *7)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
 (((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|ReductionOfOrder| *3 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |eq| *3) (|:| |op| (|List| *5)))) (|isDomain| *1 (|ReductionOfOrder| *5 *3)) (|isDomain| *4 (|List| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedAbelianMonoidSup|)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Symbol|)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|)))))) (|isDomain| *1 (|DiophantineSolutionPackage|))))) 
 (((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *5 *4)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 |SortedExponentVector|)))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *11))) (|isDomain| *3 (|SparseUnivariatePolynomial| *11)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|List| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|isDomain| *7 (|Vector| (|List| (|SparseUnivariatePolynomial| *8)))) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *11 (|PolynomialCategory| *8 *9 *10)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *9 *10 *8 *11))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
 (((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))))) (|:| |%type| (|String|)))) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *6 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|IndexedAggregate| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *5) (|:| |radicand| (|List| *5)))) (|isDomain| *1 (|FactoredFunctions| *5)) (|isDomain| *4 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *9) (|:| |radicand| *9))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *9)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *9 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Union| "prime" "polynomial" "normal" "cyclic"))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *5)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *5 *6 *2)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|FunctionSpaceReduce| *4 *3)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceReduce| *5 *3))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|UTSodetools| *5 *2 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)) (|isDomain| *4 (|List| *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| *9)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|String|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|AffinePlane| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RootsFindingPackage| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Bits|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|StochasticDifferential| *4)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|StochasticDifferential| *4))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *3)))) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|List| (|PositiveInteger|))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
+(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| *1)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Vector| *1))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|CommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *2 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberSystem&| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|NonAssociativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OctonionCategory&| *3 *4)) (|ofCategory| *3 (|OctonionCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuotientFieldCategory&| *3 *4)) (|ofCategory| *3 (|QuotientFieldCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuaternionCategory&| *3 *4)) (|ofCategory| *3 (|QuaternionCategory| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealClosedField&| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2) (AND (|ofCategory| *1 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealNumberSystem&| *3)) (|ofCategory| *3 (|RealNumberSystem|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| (|Stream| *5)) (|List| (|Stream| *5)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Stream| *5))) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *5)) (|ofCategory| *5 (|Type|))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FractionFreeFastGaussian| *3 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *3 *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *2 *3 *1 *4) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|PseudoAlgebraicClosureOfRationalNumber|))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| *8 *8 *8)) (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |polyPart| (|LaurentPolynomial| *4 *5)) (|:| |fracPart| (|Fraction| *5)))) (|isDomain| *1 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |primePart| *1) (|:| |commonPart| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (|Integer|))))) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *4) (|:| |pow| (|Integer|))))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
+(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|Point| *4))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| AND (|isDomain| *5 (|Record| (|:| |contp| *3) (|:| |factors| (|List| (|Record| (|:| |irr| *10) (|:| |pow| (|Integer|))))))) (|isDomain| *6 (|List| *3)) (|isDomain| *7 (|List| *8)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *3 *9 *8)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |polfac| (|List| *10)) (|:| |correct| *3) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|LeadingCoefDetermination| *8 *9 *3 *10)) (|isDomain| *4 (|List| (|SparseUnivariatePolynomial| *3)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ComplexCategory&| *3 *2)) (|ofCategory| *3 (|ComplexCategory| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedAlgebra&| *3 *2 *4)) (|ofCategory| *3 (|FramedAlgebra| *2 *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| *2 *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1) (|isDomain| *1 (|Color|)))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|SimpleCell| *3 (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|Cell| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|SimpleCell| *3 (|SparseUnivariatePolynomial| *3)))) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|Cell| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)) (|isDomain| *1 (|InfiniteProductFiniteField| *4 *5 *6 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|isDomain| *1 (|InfiniteProductPrimeField| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *4))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *7 *8)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *5)))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *6)))) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *6))))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|List| *3))) (|isDomain| *1 (|FunctionSpaceIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|IntegrationResult| (|Fraction| *5))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|Expression| *5) (|List| (|Expression| *5)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *5)))) ((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Polynomial| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *7 (|List| *7))) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RomanNumeral|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *3)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *4))))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Cell| *2)) (|ofCategory| *2 (|RealClosedField|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3))))) 
-(((*1 *2 *2 *3) (|partial| AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| AND (|isDomain| *4 (|List| *11)) (|isDomain| *5 (|List| (|SparseUnivariatePolynomial| *9))) (|isDomain| *6 (|List| *9)) (|isDomain| *7 (|List| *12)) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|ofCategory| *11 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *12 (|PolynomialCategory| *9 *10 *11)) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *12))) (|isDomain| *1 (|MultivariateLifting| *10 *11 *9 *12)) (|isDomain| *3 (|SparseUnivariatePolynomial| *12))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeGroup| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeMonoid| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|Kernel| *6))) (|isDomain| *1 (|IntegrationTools| *5 *6))))) 
-(((*1 *2 *3 *2) (|partial| AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *4)))) ((*1 *2 *3 *2) (|partial| AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *4 *5 *2 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *4 (|List| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|ODETools| *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1) (|isDomain| *1 (|IntegrationFunctionsTable|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Point| *4)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| (|NewSparseUnivariatePolynomial| *3)) (|:| |remainder| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *1) (|isDomain| *1 (|Color|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *2))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| *5)))) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |coef| (|Fraction| *5)) (|:| |poly| *3))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| *8 *8 *8)) (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *6 *3) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|isDomain| *1 (|GeneralDistributedMultivariatePolynomial| *3 *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HomogeneousDistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|LazardSetSolvingPackage| *5 *6 *7 *8 *9 *10)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *10 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|RegularChain| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |outval| (|Complex| *4)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| *4))))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| (|Stream| *5)) (|List| (|Stream| *5)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Stream| *5))) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *5)) (|ofCategory| *5 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *5))) (|isDomain| *1 (|LyndonWord| *5))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *6)))) (|isDomain| *4 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *6))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|DoubleResultantPackage| *5 *2 *6 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *2 *6))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *1 *1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
-(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *5)) (|isDomain| *3 (|List| *5)) (|ofType| *4 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Fraction| (|Polynomial| *6))) (|isDomain| *1 (|RationalInterpolation| *5 *6)) (|ofType| *5 (|Symbol|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|RationalIntegration| *3 *4))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3 *4 *2 *2 *5) (|partial| AND (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *3 (|Kernel| *4)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|SimpleCell| *3 *2)) (|ofCategory| *3 (|RealClosedField|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|PatternMatchResult| *4 *5)) (|isDomain| *3 (|PatternMatchResult| *4 *6)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|ListAggregate| *5)) (|isDomain| *1 (|PatternMatchListResult| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
 (((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|FortranScalarType|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SimpleFortranProgram| *5 *4)) (|ofCategory| *4 (|FunctionSpace| *5))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|KernelFunctions2| *2 *4))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DisplayPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |glval| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *5)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *5) (|:| |degree| (|Integer|))))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *5))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |polyPart| (|LaurentPolynomial| *4 *5)) (|:| |fracPart| (|Fraction| *5)))) (|isDomain| *1 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |primePart| *1) (|:| |commonPart| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)) (|isDomain| *3 (|String|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 (|NonNegativeInteger|) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *3))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|BasicOperatorFunctions1| *2))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Mapping| (|SparseUnivariatePolynomial| *3) (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegration| *6 *3))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Record| (|:| |max| (|Union| (|Integer|) "failed")) (|:| |ord| (|Union| (|Integer|) "failed")) (|:| |ker| (|Kernel| *5)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|AssociatedEquations| *4 *5)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *4 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NormalizationPackage| *6 *7 *8 *4 *5)) (|ofCategory| *5 (|RegularTriangularSetCategory| *6 *7 *8 *4))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
 (((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Complex| (|Float|)))) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |radicand| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(((*1 *2 *3 *4 *5 *4 *4 *4) (AND (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *3 (|List| *6)) (|isDomain| *5 (|List| *3)) (|isDomain| *2 (|Record| (|:| |f1| *3) (|:| |f2| (|List| *5)) (|:| |f3| *5) (|:| |f4| (|List| *5)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *4 (|List| *5))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|TubePlotTools|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *4)) (|ofCategory| *4 (|Ring|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) (|isDomain| *1 (|Symbol|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|OutputForm|)))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *4 *5 *6)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
-(((*1 *2 *3 *4 *2 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Pattern| *6))) (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *8) *8 (|Pattern| *6) (|PatternMatchResult| *6 *8))) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *8 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *6)) (|RetractableTo| *7))) (|isDomain| *2 (|PatternMatchResult| *6 *8)) (|ofCategory| *7 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *6 *7 *8))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Color|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|List| *13)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *6 (|Field|)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *6 *7 *3 *8 *9 *10 *11 *2 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *2 (|DivisorCategory| *11)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Stream| (|Integer|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Matrix| *6))) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|RepresentationPackage2| *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Ring|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|IntegrationResultToFunction| *4 *2)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|IntegrationResultRFToFunction| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *4)) (|isDomain| *1 (|MappingPackage2| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| AND (|isDomain| *5 (|Record| (|:| |contp| *3) (|:| |factors| (|List| (|Record| (|:| |irr| *10) (|:| |pow| (|Integer|))))))) (|isDomain| *6 (|List| *3)) (|isDomain| *7 (|List| *8)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *3 *9 *8)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |polfac| (|List| *10)) (|:| |correct| *3) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|LeadingCoefDetermination| *8 *9 *3 *10)) (|isDomain| *4 (|List| (|SparseUnivariatePolynomial| *3)))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LiePolynomial| *3 *4)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
+(((*1 *1 *2 *2 *2 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *4 *5 *6 *7)) (|ofCategory| *4 (|Join| (|Finite|) (|Field|))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *7 (|FunctionFieldCategory| *4 *5 *6)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FindOrderFinite| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|FiniteDivisor| *6 *7 *4 *8)) (|isDomain| *5 (|Mapping| *9 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|ofCategory| *8 (|FunctionFieldCategory| *6 *7 *4)) (|ofCategory| *9 (|Join| (|Finite|) (|Field|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ReducedDivisor| *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PrintPackage|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *2))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|U32Vector|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *6)) (|ofCategory| *3 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HallBasis|))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ComplexCategory&| *3 *2)) (|ofCategory| *3 (|ComplexCategory| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedAlgebra&| *3 *2 *4)) (|ofCategory| *3 (|FramedAlgebra| *2 *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| *2 *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *5 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *2)) (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|MonomialExtensionTools| *5 *2)) (|ofCategory| *5 (|Field|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *4))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *4 (|PolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (|isDomain| *1 (|GroebnerInternalPackage| *6 *7 *8 *4))))) 
+(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *2))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *8)) (|isDomain| *4 (|Matrix| (|SparseUnivariatePolynomial| *8))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *7 *8)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Mapping| (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|))) (|Integer|) *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|TranscendentalIntegration| *4 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *4)) (|ofCategory| *4 (|Type|))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|List| (|Fraction| *6))) (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalIntegration| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|SimpleCell| *3 (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|Cell| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|SimpleCell| *3 (|SparseUnivariatePolynomial| *3)))) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|Cell| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *3)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
 (((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Expression| *5))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|RoutinesTable|)) (|isDomain| *3 (|String|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *4 (|CommutativeRing|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Polynomial| *5)))) (|isDomain| *1 (|SystemSolvePackage| *5))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *4 (|MonogenicAlgebra| *5 *7)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|ReduceLODE| *5 *6 *7 *4 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *7))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *7 *3)) (|isDomain| *5 (|OrderedCompletion| *3))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|NewtonPolygon| *6 *3 *7 *8)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)) (|isDomain| *1 (|InfiniteProductFiniteField| *4 *5 *6 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|isDomain| *1 (|InfiniteProductPrimeField| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *4))))) 
+(((*1 *1 *2 *3 *1 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|EuclideanDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |k| *4) (|:| |c| *3)))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |close| *1) (|:| |open| (|List| *7))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *2 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *7 *8)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|isDomain| *1 (|IntegerCombinatoricFunctions| *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *5)))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *6)))) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *6))))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|List| *3))) (|isDomain| *1 (|FunctionSpaceIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|IntegrationResult| (|Fraction| *5))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|Expression| *5) (|List| (|Expression| *5)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *5)))) ((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Polynomial| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *6 *4)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *4 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Fraction| (|Factored| (|Polynomial| *4)))) (|isDomain| *1 (|RationalFunctionFactorizer| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| *3) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| *3)))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6))))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *5 *6 *7)) (|isDomain| *3 (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *7 (|List| *7))) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *2))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Library|)))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DrawComplex|))))) 
 (((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (AND (|isDomain| *6 (|List| (|Boolean|))) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *8 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *6 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *6)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|)))))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RomanNumeral|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| (|List| *4) *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|StreamTensor| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5))))) 
 (((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (AND (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *3 (|Integer|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
 (((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (AND (|isDomain| *4 (|List| (|Boolean|))) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *7 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7))))) 
 (((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *2)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *7 *2)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *5 *6)) (|ofCategory| *2 (|DirectProductCategory| *4 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Vector| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|))))) 
 (((*1 *2 *3 *4 *3 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Automorphism| *6)) (|isDomain| *5 (|Mapping| *6 *6)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| R (|Matrix| *6)) (|:| A (|Matrix| *6)) (|:| |Ainv| (|Matrix| *6)))) (|isDomain| *1 (|PseudoLinearNormalForm| *6)) (|isDomain| *3 (|Matrix| *6))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|TangentExpansions| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|StepThrough|)))) 
 (((*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|)))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|isDomain| *1 (|PackageForPoly| *4 *3 *2 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *2)) (|ofType| *5 (|NonNegativeInteger|))))) 
 (((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Matrix| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|SquareMatrixCategory| *2 *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *2 *3)) (|ofCategory| *5 (|DirectProductCategory| *2 *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ans| (|Fraction| *5)) (|:| |nosol| (|Boolean|)))) (|isDomain| *1 (|TranscendentalRischDE| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *4 (|TaylorSeries| *6)) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|WeierstrassPreparation| *6)) (|isDomain| *5 (|Stream| *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *4 (|List| *6)) (|isDomain| *2 (|Record| (|:| |fs| (|Boolean|)) (|:| |sd| *4) (|:| |td| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *5 (|List| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 (|List| *5))) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|List| (|Stream| *4)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
 (((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PolynomialIdeals| *3 *4 *5 *6))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *1 *2 *3 *3 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *4 *3 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *4 *3 *5)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *2 *4 *5)))) ((*1 *1 *2 *2) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Partition|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ConstantLODE| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|GuessFiniteFunctions| *3)) (|ofCategory| *3 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|))))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *3)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Segment| (|DoubleFloat|)))) (|isDomain| *1 (|PlotTools|))))) 
 (((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *1 *2 *3 *3 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *4 *3 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *4 *3 *5)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *2 *4 *5)))) ((*1 *1 *2 *2) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *6))) (|isDomain| *1 (|ChangeOfVariable| *5 *6 *7)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Cell| *2)) (|ofCategory| *2 (|RealClosedField|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MoreSystemCommands|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Algebra| *2)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|SymmetricFunctions| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|SymmetricFunctions| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNumericEigenPackage| *4 *5 *6)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UniversalSegment| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
 (((*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|))))) 
-(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| *1)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *1 (|MonogenicAlgebra| *5 *6)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ListMonoidOps| *5 *6 *7)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|AbelianMonoid|)) (|ofType| *7 *6))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariateSkewPolynomial| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Automorphism| *3)) (|ofType| *5 (|Mapping| *3 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
 (((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
 (((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4))))) 
 (((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |val| *1) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
 (((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Boolean|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *5 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |polypart| *3))) (|isDomain| *1 (|TranscendentalIntegration| *5 *3))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef| *4) (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *2 (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|)))))))) 
 (((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) ((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *2 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|SubResultantPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Any|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
 (((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| *5))) (|isDomain| *1 (|FloatingRealPackage| *5)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormRetractPackage| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|ofType| *6 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ExtensionField| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Finite|))))) 
 (((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
 (((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| *2))) (|isDomain| *2 (|Pattern| *3)) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| *2)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |f1| (|List| *4)) (|:| |f2| (|List| (|List| (|List| *4)))) (|:| |f3| (|List| (|List| *4))) (|:| |f4| (|List| (|List| (|List| *4)))))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| (|List| *4))))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| AND (|isDomain| *4 (|List| *11)) (|isDomain| *5 (|List| (|SparseUnivariatePolynomial| *9))) (|isDomain| *6 (|List| *9)) (|isDomain| *7 (|List| *12)) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|ofCategory| *11 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *12 (|PolynomialCategory| *9 *10 *11)) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *12))) (|isDomain| *1 (|MultivariateLifting| *10 *11 *9 *12)) (|isDomain| *3 (|SparseUnivariatePolynomial| *12))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RealNumberSystem|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *1 (|GrayCode|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *2)) (|ofCategory| *2 (|LeftModule| *4)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *3 *3 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PrecomputedAssociatedEquations| *5 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
 (((*1 *2 *3 *4 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *4 *2)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|NonNegativeInteger|))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
 (((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|RewriteRule| *3 *4 *5))) (|isDomain| *1 (|Ruleset| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DictionaryOperations| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *2))) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|ExpressionSolve| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *7 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *2)))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|ODETools| *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|SingleInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeGroup| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeMonoid| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
+(((*1 *2 *1 *3 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|))) ((*1 *1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| (|Boolean|) (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |integrand| *3) (|:| |intvar| *3)))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|Kernel| *6))) (|isDomain| *1 (|IntegrationTools| *5 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariatePolynomialDivisionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| (|Symbol|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomial| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|XRecursivePolynomial| *3 *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *3 *2) (|partial| AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *4)))) ((*1 *2 *3 *2) (|partial| AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *4 *5 *2 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *4 (|List| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|ODETools| *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|Mapping| *6 (|List| *6)))) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))))) 
+(((*1 *1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinarySearchTree| *3))))) 
+(((*1 *1) (|isDomain| *1 (|IntegrationFunctionsTable|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
+(((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DictionaryOperations| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedCompletion| (|Float|))) (|isDomain| *2 (|OrderedCompletion| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|CharacteristicZero|)) (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|AlgebraicNumber|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|SimplifyAlgebraicNumberConvertPackage|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *4))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
-(((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *2)) (|Record| (|:| |index| *5) (|:| |exponent| *2)))) (|ofCategory| *2 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *2 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *2 (|OrderedVariableList| *3)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| *4) (|:| |c| *3))))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeriesFunctions| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| (|Factored| *3)) (|:| |special| (|Factored| *3)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |logpart| *3))) (|isDomain| *1 (|AlgebraicHermiteIntegration| *5 *6 *7 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| (|Fraction| *6)) (|:| |logpart| (|Fraction| *6)) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalHermiteIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *4 *5)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|SplittingNode| *3 *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *7 *8 *4)) (|ofCategory| *7 (|FiniteAbelianMonoidRing| *5 *8)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *3 *4)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |preimage| (|List| *3)) (|:| |image| (|List| *3)))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *1 *1 *1) (|isDomain| *1 (|CardinalNumber|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *4 *5 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateLaurentSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *5)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SemiGroup|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InputForm|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)) (|ofCategory| *4 (|LeftModule| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *5)) (|ofCategory| *5 (|LeftModule| *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Operator| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Operator| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Field|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *2 *2) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Set| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| *8)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |k| (|OrderedFreeMonoid| *3)) (|:| |c| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|DequeueAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SpecialFunctionCategory|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PatternMatchIntegration| *5 *2))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *3 *2 *4 *5)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *2))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3) (CATEGORY |domain| (SIGNATURE |coerce| ($ *4))))) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *5 (|Join| (|UnivariatePowerSeriesCategory| *2 *4) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *3 *2 *4 *5 *6 *7)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)) (|ofType| *7 (|Symbol|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Union| (|Integer|) "failed") *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *3 (|PatternMatchable| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *2 (|PatternMatchable| *3)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *1 (|AlgebraicIntegrate| *4 *5 *6 *7 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *5 *6 *7))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|DequeueAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *4)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *4 *2 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *2 *3 *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *8 (|PlacesCategory| *2 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|PolynomialCategory| *5 *4 *2)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *2 *5 *6 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *6)) (SIGNATURE |numer| (*6 $)) (SIGNATURE |denom| (*6 $))))))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RationalFunction| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *2 *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Fraction| (|Integer|))))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *4 *8 *3 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *4)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BalancedPAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofType| *4 *3) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRationalConstructor| *4 *5)) (|isDomain| *3 (|Integer|)) (|ofCategory| *5 (|PAdicIntegerCategory| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|has| *2 (SIGNATURE ** (*2 *2 *3))) (|has| *2 (SIGNATURE |coerce| (*2 (|Symbol|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *3 (|PlacesCategory| *4 *8)) (|ofCategory| *9 (|DivisorCategory| *3)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *2 *8 *3 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *4 *5 *6 *7 *2 *8 *3)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *3 (|PlacesCategory| *4 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Places| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| (|NonNegativeInteger|)) (|:| |remainder| (|NonNegativeInteger|)))) (|isDomain| *1 (|NonNegativeInteger|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|Union| (|OrderedFreeMonoid| *3) "failed")) (|:| |rm| (|Union| (|OrderedFreeMonoid| *3) "failed")))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerTaylorSeries| *3)))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *3)) (|ofType| *7 *3) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| (|Pattern| *3))))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *5 *3))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *3))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *3)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|List| *6) "failed") (|Integer|) *6 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Partition|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Stream| *4))) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *4 *5)) (|isDomain| *3 (|Stream| *4)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|NPCoef| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| *4)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicLODE| *5 *6 *7 *4))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Permutation| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|List| (|Permutation| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Stream| *7))) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *5 (|IndexedExponents| *6) *6)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Mapping| (|Stream| *7) *7)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *5 *6 *7))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|RadixUtilities|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1) (|ofCategory| *1 (|UniqueFactorizationDomain|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *2)) (|ofCategory| *2 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $)))))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *1 *1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |kers| (|List| (|Kernel| *3))) (|:| |vals| (|List| *3)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|)) (|isDomain| *3 (|String|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| (|Integer|) *3)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5))))) 
-(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|isDomain| *1 (|IntegralBasisTools| *2 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|Point| *3)))))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|LazardSetSolvingPackage| *3 *4 *5 *6 *7 *2)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *2 (|SquareFreeRegularTriangularSetCategory| *3 *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|StochasticDifferential| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DoubleFloat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Kernel| *4)) (|isDomain| *1 (|KernelFunctions2| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Table| (|PositiveInteger|) (|NonNegativeInteger|)))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *10 (|PlacesCategory| *5 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (|ofCategory| *4 (|DesingTreeCategory| *11))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Union| (|GraphImage|) "undefined"))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HeuGcd| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *1) (AND (|isDomain| *1 (|DirichletRing| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
-(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *4)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *2 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *2)) (|Record| (|:| |index| *3) (|:| |exponent| *2))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|))))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
 (((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3)))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateLaurentSeriesCategory| *4))))) 
-(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1) (|isDomain| *1 (|TheSymbolTable|)))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|Symbol|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *4) (|LinearlyExplicitRingOver| *4))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *5) (|LinearlyExplicitRingOver| *5))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 *2)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Cell| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|Cell| *5))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *5))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Point| *4)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Table| (|Symbol|) (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Tableau| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *4) (|LinearlyExplicitRingOver| *4))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *5) (|LinearlyExplicitRingOver| *5))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| (|NewSparseUnivariatePolynomial| *3)) (|:| |remainder| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *6 *7 *5)) (|ofCategory| *7 (|Field|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RoutinesTable|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *4)) (|:| |invmval| (|Matrix| *4)) (|:| |genIdeal| (|PolynomialIdeals| *4 *5 *6 *7)))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *4 (|DoubleFloat|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (|Fraction| *5)) (|:| |c2| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Vector| (|Vector| *5))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
 (((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| *4)) (|Polynomial| *4))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *5 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
 (((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *9)) (|:| |polval| (|SparseUnivariatePolynomial| *8)))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |gvlist| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|))))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
 (((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (|isDomain| *1 (|Partition|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Finite|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *6)))) (|isDomain| *1 (|RepresentationPackage2| *6)) (|isDomain| *3 (|List| (|Matrix| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *4)))) (|isDomain| *1 (|RepresentationPackage2| *4)) (|isDomain| *3 (|List| (|Matrix| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *6)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Void|)))) ((*1 *2 *3 *1 *4) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|))))))) 
 (((*1 *2 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *7 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *8 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Cell| *5)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *2 *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *2 *4)) (|ofCategory| *4 (|EuclideanDomain|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *5 (|List| (|Symbol|))) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *6)) (|ofCategory| *6 (|Type|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *2) *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2))))) 
 (((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |close| (|List| *6)) (|:| |open| (|List| *6))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HeuGcd| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |constant| *5) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *4) (|SparseUnivariatePolynomial| (|RealClosure| *4)))) (|isDomain| *3 (|OutputForm|)) (|isDomain| *1 (|RealClosure| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
-(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *6 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)) (|isDomain| *4 (|List| *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| *9)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|String|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|StochasticDifferential| *4)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|StochasticDifferential| *4))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|List| (|PositiveInteger|))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FractionFreeFastGaussian| *3 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *3 *4))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (|Integer|))))) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *4) (|:| |pow| (|Integer|))))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *2))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *5 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *6)) (|SparseUnivariatePolynomial| *6))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |outval| *7) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *7)))))) (|isDomain| *1 (|InnerNumericEigenPackage| *6 *7 *4)) (|ofCategory| *7 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelThreeSpace|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |mm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|OrderedFreeMonoid| *3)) (|:| |mm| (|OrderedFreeMonoid| *3)) (|:| |rm| (|OrderedFreeMonoid| *3)))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *1 (|File| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *9 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|:| |recPoint| (|AffinePlane| *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (|isDomain| *1 (|BlowUpPackage| *6 *7 *8 *9 *5)) (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|isDomain| *4 (|AffinePlane| *6)) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *6 *9)) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *3 *6 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|DirectProductCategory| *8 *2)) (|ofType| *8 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *6 *3 *7 *8 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Float|)))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *5 (|Float|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *3)))) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldFunctions| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Integer|) *2 *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 (|Integer|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *3)))) ((*1 *2 *3) (AND (|isDomain| *2 (|ContinuedFraction| (|Integer|))) (|isDomain| *1 (|NumericContinuedFraction| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 (|Integer|)))) ((*1 *2 *1) (AND (|ofType| *3 (|Integer|)) (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SExpression|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
 (((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3 *4 *5 *4 *4 *4) (AND (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *3 (|List| *6)) (|isDomain| *5 (|List| *3)) (|isDomain| *2 (|Record| (|:| |f1| *3) (|:| |f2| (|List| *5)) (|:| |f3| *5) (|:| |f4| (|List| *5)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *4 (|List| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LiePolynomial| *3 *4)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
-(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *2 *3 *1 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|isDomain| *1 (|InterpolateFormsPackage| *4 *5 *6 *7 *8 *9 *10 *3)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *3 (|DivisorCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|LyndonWord| *3))) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerAlgebraicNumber|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|IrredPolyOverFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *4)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) ((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|String|))))) 
+(((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|isDomain| *1 (|IntegerCombinatoricFunctions| *2))))) 
-(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DrawComplex|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *2)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *7 *2)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *5 *6)) (|ofCategory| *2 (|DirectProductCategory| *4 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *3)) (|isDomain| *1 (|GosperSummationMethod| *5 *3 *6 *7 *2)) (|ofCategory| *2 (|Join| (|RetractableTo| (|Fraction| (|Integer|))) (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|List| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *1 (|OpenMathError|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *4 (|TaylorSeries| *6)) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|WeierstrassPreparation| *6)) (|isDomain| *5 (|Stream| *4))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNumericEigenPackage| *4 *5 *6)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UniversalSegment| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef| *4) (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *1 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *5 *6))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *2))) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *1 *3 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| (|Boolean|) (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *5 *3))))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5))))) (|isDomain| *1 (|PseudoLinearNormalForm| *5)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PAdicIntegerCategory| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |sup| (|Polynomial| *6)) (|:| |inf| (|Polynomial| *6)))) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *4 *3 *5 *6)) (|ofCategory| *4 (|FunctionFieldCategory| *3 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LieExponentials| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|DifferentialRing|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *4)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|isDomain| *1 (|GeneralDistributedMultivariatePolynomial| *3 *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HomogeneousDistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |polnum| (|NewSparseUnivariatePolynomial| *3)) (|:| |polden| *3) (|:| |power| (|NonNegativeInteger|)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |polnum| *1) (|:| |polden| *1) (|:| |power| (|NonNegativeInteger|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
 (((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|AssociationListAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |key| *3) (|:| |entry| *4)))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Stream| *7))) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *5 (|IndexedExponents| *6) *6)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Mapping| (|Stream| *7) *7)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *5 *6 *7))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *1 *1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Kernel| *4)) (|isDomain| *1 (|KernelFunctions2| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *2 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *2)) (|Record| (|:| |index| *3) (|:| |exponent| *2))))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|PrimitiveArray| *3)) (|isDomain| *1 (|SubResultantPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Tableau| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|))) ((*1 *1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|LazardSetSolvingPackage| *5 *6 *7 *8 *9 *10)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *10 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|RegularChain| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|SparseMultivariateTaylorSeries| *4 *3 *5))) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *3 *5)) (|ofCategory| *5 (|PolynomialCategory| *4 (|IndexedExponents| *3) *3)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|TaylorSeries| *4))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|LinearDependence| *5 *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|not| (|ofCategory| *5 (|Field|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Fraction| *5))) (|isDomain| *1 (|LinearDependence| *5 *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedMultisetAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|))) ((*1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *3 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|BalancedPAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|PAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofType| *3 *2) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3)))) ((*1 *1 *1) (AND (|ofType| *2 (|Integer|)) (|isDomain| *1 (|PAdicRationalConstructor| *2 *3)) (|ofCategory| *3 (|PAdicIntegerCategory| *2)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *2))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|)))) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *3 (|NonNegativeInteger|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
 (((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|PointCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Point| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|DoubleFloat|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GrayCode|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |less| (|BinarySearchTree| *3)) (|:| |greater| (|BinarySearchTree| *3)))) (|isDomain| *1 (|BinarySearchTree| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|DivisorCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| *4)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *3) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultToFunction| *3 *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| *3) (|:| |special| *3))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| (|Vector| *5))) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|CharacterClass|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Character|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Point| *3)))))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|Finite|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|ModuleMonomial| *2 *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *3)) (|Record| (|:| |index| *2) (|:| |exponent| *3))))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|BagAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerFactorizationPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |h| *6) (|:| |c1| (|Fraction| *6)) (|:| |c2| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDESystem| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |outval| (|Complex| *4)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| *4))))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *4 (|NonNegativeInteger|)) (|OrderedVariableList| *3) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *3 *4))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Mapping| *6 (|List| *6))) (|isDomain| *1 (|UTSodetools| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *4))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *5))) (|isDomain| *1 (|LyndonWord| *5))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *8)) (|isDomain| *1 (|FactoringUtilities| *6 *7 *8 *9))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *4) (AND (|isDomain| *4 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *4 *3))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LeadingCoefDetermination| *6 *7 *3 *8)) (|ofCategory| *8 (|PolynomialCategory| *3 *7 *6))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *6)))) (|isDomain| *4 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *6))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|DoubleResultantPackage| *5 *2 *6 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *2 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *3 *2 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *2 *4) (|RetractableTo| *2))))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FramedModule| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)) (|ofType| *6 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|MonogenicAlgebra| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormInMonogenicAlgebra| *4 *2 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|AlgebraicManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $)))))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *4 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *3 *2)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|RetractableTo| (|Fraction| *2)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BoundIntegerRoots| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *6))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
 (((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|MonoidRing| *3 *4))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *5)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4)))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *8) (|:| |radicand| *8))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *3 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)) (SIGNATURE |coerce| ($ *7)))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *7)) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|NottinghamGroup| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *3 *4))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternFunctions1| *4 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| (|DistributedMultivariatePolynomial| *5 *6)))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *1) (|isDomain| *1 (|Color|)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *4)))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *3)) (|ofCategory| *3 (|LocalPowerSeriesCategory| *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Union| (|Boolean|) "failed")) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *5))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *5))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *2 (|DivisorCategory| *9)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Result|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Result|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *3 *4))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Equation| (|OnePointCompletion| *3))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OnePointCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *5))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Integer|) (|Integer|))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedSquaring| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE * ($ $ $)))))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|ComplexCategory| *4)) (|ofCategory| *4 (|IntegerNumberSystem|)) (|isDomain| *1 (|ComplexIntegerSolveLinearPolynomialEquation| *4 *5)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldSolveLinearPolynomialEquation| *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|IntegerSolveLinearPolynomialEquation|)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *2 (|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| *7)) (|:| |n0| (|List| *7)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedAbelianMonoidSup|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *5) (|:| |radicand| (|List| *5)))) (|isDomain| *1 (|FactoredFunctions| *5)) (|isDomain| *4 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|))))) 
+(((*1 *1 *1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *5)) (|isDomain| *3 (|List| *5)) (|ofType| *4 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Fraction| (|Polynomial| *6))) (|isDomain| *1 (|RationalInterpolation| *5 *6)) (|ofType| *5 (|Symbol|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|RationalIntegration| *3 *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *3 *4 *3 *3) (AND (|isDomain| *3 (|Equation| *6)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *5 *6)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| (|Equation| *8))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *8)) (|isDomain| *6 (|List| *8)) (|ofCategory| *8 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *6 (|List| (|Equation| *8))) (|ofCategory| *8 (|FunctionSpace| *7)) (|isDomain| *5 (|Equation| *8)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *5)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *5 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *5)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ExpressionSolve| *7 *3 *2 *8)) (|ofCategory| *8 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *3))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *5))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|TaylorSolve| *5 *2 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|NumberFieldIntegralBasis| *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *3 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *3 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| A (|Matrix| *5)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5)) (|:| |eq| *6) (|:| |rh| *5)))))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|)))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *2 *2 *5) (|partial| AND (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *3 (|Kernel| *4)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *4 (|String|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *7 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| *7 "failed")) (|:| |basis| (|List| *7))))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *7 *3)) (|isDomain| *4 (|List| *7)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|NonLinearFirstOrderODESolver| *5 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)) (|isDomain| *4 (|Vector| *7)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Vector| *6))) (|isDomain| *1 (|ElementaryFunctionODESolver| *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *7) (|:| |basis| (|List| *7))) *7 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *3) (|:| |basis| (|List| *3))) *3 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Equation| *2)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))))) ((*1 *2 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Equation| *2)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |particular| *6) (|:| |basis| (|List| *6))) "failed") *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *6)) (|:| |basis| (|Matrix| *6)))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *8 (|DoubleFloat|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Expression| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Expression| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Expression| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Expression| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Expression| *5)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
 (((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
-(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|LyndonWord| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|DifferentialVariableCategory| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| *5)))) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5)))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *6 *3) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|SimpleCell| *3 *2)) (|ofCategory| *3 (|RealClosedField|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |glval| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *5))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *4 *5 *6 *7)) (|ofCategory| *4 (|Join| (|Finite|) (|Field|))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *7 (|FunctionFieldCategory| *4 *5 *6)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FindOrderFinite| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|FiniteDivisor| *6 *7 *4 *8)) (|isDomain| *5 (|Mapping| *9 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|ofCategory| *8 (|FunctionFieldCategory| *6 *7 *4)) (|ofCategory| *9 (|Join| (|Finite|) (|Field|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ReducedDivisor| *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *4)) (|ofCategory| *4 (|Type|))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *2 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *3 (|BlowUpMethodCategory|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *5)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |k| *4) (|:| |c| *3)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|RootsFindingPackage| *3))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|KernelFunctions2| *2 *4))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *5)))) (|isDomain| *3 (|Vector| (|Expression| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *5 *2)) (|ofCategory| *2 (|FunctionSpace| *5)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *5 (|Kernel| $)))))))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *2 (|Record| (|:| |part1| *3) (|:| |part2| *4))) (|isDomain| *1 (|MakeRecord| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|))))) 
-(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *6 *4)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *4 *7))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| (|List| *4) *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|StreamTensor| *4))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *2 *3 *4 *4 *5) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DisplayPackage|))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *5)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *6 (|PositiveInteger|)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |plist| (|List| *3)) (|:| |modulo| *5))) (|isDomain| *1 (|GeneralHenselPackage| *5 *3)) (|isDomain| *4 (|List| *3))))) 
+(((*1 *2 *3 *4 *4 *3) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Partition|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|)))) (|isDomain| *1 (|d01WeightsPackage|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *1 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ListMonoidOps| *5 *6 *7)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|AbelianMonoid|)) (|ofType| *7 *6))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariateSkewPolynomial| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Automorphism| *3)) (|ofType| *5 (|Mapping| *3 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |upol| (|SparseUnivariatePolynomial| *8)) (|:| |Lval| (|List| *8)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *8)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| *8))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Any|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormRetractPackage| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|ofType| *6 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ExtensionField| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Finite|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RealNumberSystem|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|NonNegativeInteger|)))))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *2)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|Tuple| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Result|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3))))) 
-(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sin| (|Stream| *4)) (|:| |cos| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|)))) (|isDomain| *1 (|Divisor| *3)) (|ofCategory| *3 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *2 *3 *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *8 (|PlacesCategory| *2 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| *6)) (|:| |den| *6))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Result|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Record| (|:| |max| (|Union| (|Integer|) "failed")) (|:| |ord| (|Union| (|Integer|) "failed")) (|:| |ker| (|Kernel| *5)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|)))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ir| (|IntegrationResult| (|Fraction| *6))) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *4)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|List| (|Expression| *6))) (|isDomain| *1 (|DegreeReductionPackage| *5 *6)) (|isDomain| *3 (|Expression| *6)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|IntegrationResultToFunction| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|List| (|Expression| *4))) (|isDomain| *1 (|IntegrationResultRFToFunction| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentExpansionCategory| *3 *2)) (|ofCategory| *3 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| (|Symbol|) *3)) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|List| *6) "failed") (|Integer|) *6 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *1 *3 *3) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Fraction| (|Integer|)))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NonNegativeInteger|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1) (|ofCategory| *1 (|UniqueFactorizationDomain|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *2)) (|ofCategory| *2 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $)))))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Fraction| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5))))) ((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *4) (|:| |right| *4)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5)))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |kers| (|List| (|Kernel| *3))) (|:| |vals| (|List| *3)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|ODETools| *4 *5)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|ODETools| *5 *6)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
 (((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Vector| (|List| (|Integer|)))) (|isDomain| *1 (|HallBasis|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (|Fraction| *5)) (|:| |c2| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Vector| (|Vector| *5))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |degree| *4)))) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|)))))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *6)))))) (|isDomain| *1 (|RetractSolvePackage| *5 *6))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *4))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|))))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *8))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *4 *5))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|TemplateUtilities|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|StepThrough|)))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaussianFactorizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UniqueFactorizationDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) ((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Complex| (|Float|)))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|FortranType|)) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|List| *5))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|List| *2))) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |radicand| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|MonogenicLinearOperator| *3)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Complex| (|Expression| *4))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Complex| *3)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *5 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *3 *4))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *3 *4))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Complex| (|DoubleFloat|)))) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Vector| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Stream| (|Stream| (|Polynomial| *5)))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|Stream| (|Polynomial| *5)))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
-(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|SmithNormalForm| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *4 *5 *6)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Complex| (|DoubleFloat|)))) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Vector| *3))))) 
-(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|Mapping| (|Boolean|) *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *6 *7 *8 *9))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *5)) (|:| |coeff| (|Fraction| *5)))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *2 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Pattern| *6))) (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *8) *8 (|Pattern| *6) (|PatternMatchResult| *6 *8))) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *8 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *6)) (|RetractableTo| *7))) (|isDomain| *2 (|PatternMatchResult| *6 *8)) (|ofCategory| *7 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *6 *7 *8))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|IntegrationResult| *2)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|RewriteRule| *3 *4 *5))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|Ruleset| *3 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |c| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDE| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AnyFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *1 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|EuclideanDomain|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|List| (|BasicOperator|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|IntegrationResult| *2)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *4))) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|LinearPolynomialEquationByFractions| *4))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|isDomain| *2 (|PatternMatchListResult| *5 *6 (|List| *6))) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|isDomain| *3 (|List| *6)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|RetractableTo| (|Symbol|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *3)))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|Ring|)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|not| (|ofCategory| *3 (|Ring|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
 (((*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *1 *2 *2) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Mapping| *6 (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *5 (|List| (|NonNegativeInteger|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *6))) (|isDomain| *1 (|FractionFreeFastGaussian| *6 *7)) (|ofCategory| *7 (|AbelianMonoidRing| *6 (|NonNegativeInteger|)))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
-(((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|FactoredFunctionUtilities| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *1) (|partial| |ofCategory| *1 (|StepThrough|)))) 
+(((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) ((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Color|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|))))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |exponent| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Vector| *4))) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Vector| *3)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|List| *13)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *6 (|Field|)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *6 *7 *3 *8 *9 *10 *11 *2 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *2 (|DivisorCategory| *11)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|GroebnerSolve| *4 *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) ((*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Stream| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1) (|ofCategory| *1 (|RadicalCategory|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealClosedField|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1) (|isDomain| *1 (|Pi|))) ((*1 *1) (|ofCategory| *1 (|TranscendentalFunctionCategory|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *3) (|:| |polj| *3)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp12| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp29| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp33| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FortranProgramCategory|)) (|isDomain| *2 (|Void|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FileName|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Matrix| *6))) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|RepresentationPackage2| *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Ring|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (AND (|isDomain| *3 (|Record| (|:| |det| *12) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|isDomain| *4 (|Matrix| *12)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *9)))) (|isDomain| *6 (|List| (|List| *12))) (|isDomain| *7 (|NonNegativeInteger|)) (|isDomain| *8 (|Integer|)) (|ofCategory| *9 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *12 (|PolynomialCategory| *9 *11 *10)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |eqzro| (|List| *12)) (|:| |neqzro| (|List| *12)) (|:| |wcond| (|List| (|Polynomial| *9))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *9)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *9))))))))) (|isDomain| *1 (|ParametricLinearEquations| *9 *10 *11 *12))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1) (|isDomain| *1 (|Pi|))) ((*1 *1) (|ofCategory| *1 (|TranscendentalFunctionCategory|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *2))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
 (((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|))))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *3)) (|:| |invmval| (|Matrix| *3)) (|:| |genIdeal| (|PolynomialIdeals| *3 *4 *5 *6)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|FileName|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Finite|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofCategory| *3 (|Type|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |entry| *3) (|:| |count| (|NonNegativeInteger|)))))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Segment| *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| (|Integer|)))) (|isDomain| *1 (|InnerPolySum| *6 *4 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| (|Integer|)))) (|isDomain| *1 (|InnerPolySum| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceSum| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|CombinatorialOpsCategory|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|CombinatorialOpsCategory|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceSum| *4 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunctionSum| *5)) (|isDomain| *3 (|Polynomial| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Union| (|Fraction| (|Polynomial| *5)) (|Expression| *5))) (|isDomain| *1 (|RationalFunctionSum| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Polynomial| *5))) (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| *3)) (|isDomain| *1 (|RationalFunctionSum| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|Expression| *5))) (|isDomain| *1 (|RationalFunctionSum| *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|d01WeightsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| *4)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| *4)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|:| |coords| (|List| (|Integer|))))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sinh| (|Stream| *4)) (|:| |cosh| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *4 *5 *6 *7)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|RegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|PolynomialComposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *2)) (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|MonomialExtensionTools| *5 *2)) (|ofCategory| *5 (|Field|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *8)) (|isDomain| *4 (|Matrix| (|SparseUnivariatePolynomial| *8))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *7 *8)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AlgebraicFunctionField| *4 *5 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofType| *7 *6)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Mapping| (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|))) (|Integer|) *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|TranscendentalIntegration| *4 *5))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|RationalFunctionIntegration| *4))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|RetractableTo| *3)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PrimitiveFunctionCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|PrimitiveFunctionCategory|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|d03AgentsPackage|)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|)))))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
-(((*1 *1 *1 *2 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| *5) (|List| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|MappingPackage1| *5)) (|ofCategory| *5 (|SetCategory|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Mapping| *5 *5)) (|isDomain| *1 (|ODEIntegration| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 *3 *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *1 (|BalancedBinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *6))) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *6))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|NewtonInterpolation| *4))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PseudoLinearNormalForm| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PointCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(((*1 *2 *3 *4 *3 *5) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|Record| (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (|List| (|Integer|))))) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *3 *8 *4 *9 *10)) (|isDomain| *5 (|Integer|)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *3 *4)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|StringCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *11))) (|isDomain| *3 (|SparseUnivariatePolynomial| *11)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|List| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|isDomain| *7 (|Vector| (|List| (|SparseUnivariatePolynomial| *8)))) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *11 (|PolynomialCategory| *8 *9 *10)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *9 *10 *8 *11))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
-(((*1 *2 *3 *4 *3 *5) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|Record| (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (|List| (|Integer|))))) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *3 *8 *4 *9 *10)) (|isDomain| *5 (|Integer|)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
-(((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|IndexedAggregate| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *3)))) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |preimage| (|List| *3)) (|:| |image| (|List| *3)))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *7) (|List| *7))) (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *2 *2) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *7) (|:| |coeff| *7)) "failed") *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8))))) 
+(((*1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|)))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *2 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Set| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)))) ((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5))))) 
 (((*1 *2 *2) (AND (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TextFile|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *2) (|:| |polj| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
 (((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|AssociatedEquations| *4 *5)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *2 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|TubePlotTools|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|IntegrationResultToFunction| *4 *2)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|IntegrationResultRFToFunction| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *2 *2 *2 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *2))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|List| (|Fraction| *6))) (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalIntegration| *5 *6))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *3)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |close| *1) (|:| |open| (|List| *7))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Fraction| (|Factored| (|Polynomial| *4)))) (|isDomain| *1 (|RationalFunctionFactorizer| *4))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| *3) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| *3)))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *2))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|)))))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Vector| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 (|List| *5))) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|List| (|Stream| *4)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6)))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| *8)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Set| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|List| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|List| *4)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|Set| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|Set| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |k| (|OrderedFreeMonoid| *3)) (|:| |c| *4)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *2 *3 *5)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|MonogenicAlgebra| *2 *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *2 *2 *2 *2) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|PrimitiveArray| *3)) (|isDomain| *1 (|SubResultantPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Segment| *3)) (|isDomain| *1 (|SegmentBinding| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4)))))) 
-(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| *1)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *1 (|MonogenicAlgebra| *5 *6)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *5))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |polypart| *3))) (|isDomain| *1 (|TranscendentalIntegration| *5 *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| *5))) (|isDomain| *1 (|FloatingRealPackage| *5)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|)))))) 
-(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|ODETools| *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|SingleInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *1) (|isDomain| *1 (|CharacterClass|))) ((*1 *1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|Collection| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InfiniteTuple| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModuleMonomial| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *3)) (|Record| (|:| |index| *2) (|:| |exponent| *3)))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *3 *5))) (|isDomain| *1 (|SplittingNode| *3 *5)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| *4) (|:| |tower| *5)))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *1 (|SplittingNode| *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |tower| *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingNode| *2 *3))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingTree| *2 *3))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |integrand| *3) (|:| |intvar| *3)))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariatePolynomialDivisionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Set| (|Set| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
+(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|PolynomialCategory| *5 *4 *2)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *2 *5 *6 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *6)) (SIGNATURE |numer| (*6 $)) (SIGNATURE |denom| (*6 $))))))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RationalFunction| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BalancedPAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofType| *4 *3) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRationalConstructor| *4 *5)) (|isDomain| *3 (|Integer|)) (|ofCategory| *5 (|PAdicIntegerCategory| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|has| *2 (SIGNATURE ** (*2 *2 *3))) (|has| *2 (SIGNATURE |coerce| (*2 (|Symbol|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerTaylorSeries| *3)))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| *4)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicLODE| *5 *6 *7 *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Table| (|PositiveInteger|) (|NonNegativeInteger|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|OrderedRing|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SpecialFunctionCategory|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PatternMatchIntegration| *5 *2))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *3 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|Collection| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InfiniteTuple| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModuleMonomial| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *3)) (|Record| (|:| |index| *2) (|:| |exponent| *3)))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *3 *5))) (|isDomain| *1 (|SplittingNode| *3 *5)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| *4) (|:| |tower| *5)))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *1 (|SplittingNode| *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |tower| *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingNode| *2 *3))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingTree| *2 *3))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *3 *2 *4 *5)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *2))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3) (CATEGORY |domain| (SIGNATURE |coerce| ($ *4))))) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *5 (|Join| (|UnivariatePowerSeriesCategory| *2 *4) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *3 *2 *4 *5 *6 *7)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)) (|ofType| *7 (|Symbol|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
+(((*1 *2 *3 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|BalancedPAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|PAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofType| *3 *2) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3)))) ((*1 *1 *1) (AND (|ofType| *2 (|Integer|)) (|isDomain| *1 (|PAdicRationalConstructor| *2 *3)) (|ofCategory| *3 (|PAdicIntegerCategory| *2)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *2))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|Library|))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Table| (|Symbol|) (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *4))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|)) (|isDomain| *3 (|Expression| (|Integer|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GrayCode|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|))))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *1 (|File| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *3 (|PatternMatchable| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *2 (|PatternMatchable| *3)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DisplayPackage|))))) 
-(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *3)))) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Hermite| *3) (|:| |eqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Point| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *4 *5)) (|ofCategory| *5 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *6))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *3) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericEigenPackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|MachineFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Record| (|:| |start| *3) (|:| |factors| (|Factored| *3)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *1 (|AlgebraicIntegrate| *4 *5 *6 *7 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *5 *6 *7))))) 
+(((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Vector| *2)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *2 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|isDomain| *1 (|FractionalIdeal| *5 *6 *7 *2)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
-(((*1 *2 *3 *4 *4 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|PureAlgebraicIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DefiniteIntegrationTools| *4 *5)) (|ofCategory| *5 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *1 (|MultivariateSquareFree| *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|EuclideanDomain|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SymbolTable|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *3 *4 *3 *5 *5) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|List| (|PrimitiveArray| *5))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| *5))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OneDimensionalArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|OneDimensionalArray| *3))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5 *4)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *5 *4 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|BagAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *4 (|Any|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroup| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
 (((*1 *1 *1) (|isDomain| *1 (|InputForm|)))) 
-(((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MyUnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *1 (|PolynomialRing| *3 *2)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Partition|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|isDomain| *1 (|SymmetricPolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|UnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *2 *3 *3 *4 *4) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Segment| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|ContinuedFraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|)))) ((*1 *2 *3) (AND (|ofCategory| *5 (|Join| (|ConvertibleTo| *2) (|CommutativeRing|))) (|isDomain| *2 (|Pattern| *4)) (|isDomain| *1 (|ComplexPattern| *4 *5 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|ComplexCategory| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GeneralPolynomialSet| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ConvertibleTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|PointCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *4 *5 *6 *7 *8)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SingletonAsOrderedSet|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *2 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|SquareFreeRegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|Polynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|Polynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6)))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|)))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|MergeThing| *3))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| *5))) (|:| |coeff| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *4 *7)) (|ofCategory| *8 (|BlowUpMethodCategory|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |bas| (|GeneralTriangularSet| *4 *5 *6 *7)) (|:| |top| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|)))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *9)) (|isDomain| *5 (|Mapping| (|Boolean|) *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *9)))) (|isDomain| *3 (|List| *9)) (|ofCategory| *1 (|TriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *8)))) (|isDomain| *3 (|List| *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *4))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Set| (|NonNegativeInteger|))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |low| (|List| *3)) (|:| |high| (|List| *3)))) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Pattern| *5)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerFactorizationPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |h| *6) (|:| |c1| (|Fraction| *6)) (|:| |c2| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDESystem| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PackageForPoly| *3 *4 *5 *6)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *3 *5))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Fraction| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
 (((*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|CharacteristicZero|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| *5))) (|isDomain| *1 (|Kovacic| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|CharacteristicZero|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| *6))) (|isDomain| *1 (|Kovacic| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|RewriteRule| *4 *5 *2))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| (|RewriteRule| *5 *6 *2))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|Ring|) (|PatternMatchable| *5) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *5)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|PatternMatchable| *5) (|ConvertibleTo| (|Pattern| *5)))) (|isDomain| *1 (|ApplyRules| *5 *6 *2))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *4)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *2 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *5 *6 *7 *8 *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|ElementaryIntegration| *6 *3))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *3) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|Symbol|)) (|:| |c| (|XPolynomial| *3))))) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| *3) (|:| |c| (|XRecursivePolynomial| *3 *4))))) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *3 *7 *4)) (|ofCategory| *7 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|CommonOperators|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|ExpressionSpace&| *3)) (|ofCategory| *3 (|ExpressionSpace|)))) ((*1 *2 *2) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2 *3 *1) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *3)) (|Record| (|:| |index| *5) (|:| |exponent| *3)))) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *3 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *3 (|OrderedVariableList| *4)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Union| (|SparseUnivariatePolynomial| *4) (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|))))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Pattern| *5)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *6))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|)) (|isDomain| *3 (|String|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Mapping| *6 (|List| *6))) (|isDomain| *1 (|UTSodetools| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|CharacterClass|)))) ((*1 *2 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *2 *3 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|InverseLaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|SpecialFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|FortranScalarType|)) (|isDomain| *2 (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| *8)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| *8)))))) (|isDomain| *1 (|LinearSystemPolynomialPackage| *5 *6 *7 *8))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |value| *4) (|:| |weight| (|Integer|))))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *8)) (|isDomain| *1 (|FactoringUtilities| *6 *7 *8 *9))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AttributeButtons|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CardinalNumber|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *3 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlane| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *4 *8 *3 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| (|Pattern| *3))))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Partition|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Permutation| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|List| (|Permutation| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *8 (|PlacesCategory| *4 *7)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *8)) (|isDomain| *4 (|AffinePlane| *8)) (|isDomain| *9 (|Symbol|)) (|ofCategory| *8 (|Field|)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *12 (|DirectProductCategory| (|#| *10) *5)) (|ofCategory| *13 (|LocalPowerSeriesCategory| *8)) (|ofCategory| *14 (|PlacesCategory| *8 *13)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *8 *10 *11 *12 *2 *13 *14 *7 *6)) (|ofCategory| *11 (|PolynomialCategory| *8 *12 (|OrderedVariableList| *10))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *8)) (|ofCategory| *7 (|DivisorCategory| *14)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1) (|isDomain| *1 (|SingletonAsOrderedSet|)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *3 *3 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Monoid|) (|Finite|) (CATEGORY |package| (SIGNATURE ** (*3 *3 (|Integer|)))))) (|isDomain| *1 (|DiscreteLogarithmPackage| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *4) (AND (|isDomain| *4 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|)) (|isDomain| *3 (|Integer|))))) 
 (((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |num| (|Pattern| *3)) (|:| |den| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *4 *3))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|Algebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|AlgebraGivenByStructuralConstants| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp10| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp19| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) (|isDomain| *1 (|Asp1| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) (|isDomain| *1 (|Asp20| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) (|isDomain| *1 (|Asp24| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp31| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp35| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp41| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) (|isDomain| *1 (|Asp42| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp49| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp4| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp50| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp55| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp6| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp73| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp74| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp77| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp78| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp7| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp80| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) (|isDomain| *1 (|Asp9| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 2)) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|CartesianTensor| *3 *4 *5))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DirectProduct| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))) (|isDomain| *1 (|Database| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 10)) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| (|Expression| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|Float|)))) (|isDomain| *2 (|SegmentBinding| (|Float|))) (|isDomain| *1 (|DrawNumericHack| *4)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4) (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *3 *4 *2)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *2 *4 *3)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XRecursivePolynomial| *3 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XDistributedPolynomial| *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|MachineFloat|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|ScriptFormulaFormat|)) (|isDomain| *1 (|ScriptFormulaFormat1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FourierComponent| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|AbelianGroup|))) (|isDomain| *1 (|FourierSeries| *3 *4)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierSeries| *2 *3)) (|ofCategory| *2 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|AbelianGroup|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Fraction| *3)))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| *3))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranScalarType|)) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|MachineFloat|))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 16)) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedJordanAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|CoercibleTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|LeftAlgebra| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XPBWPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedLieAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Magma| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineInteger|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineFloat|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Integer|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|MachineInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|MachineInteger|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MakeCachableSet| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)) (|isDomain| *1 (|MonoidRing| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|MyExpression| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MyUnivariatePolynomial| *3 *2)) (|ofType| *3 (|Symbol|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|NonAssociativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|NoneFunctions1| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3))) ((*1 *1 *2) (AND (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *2 (|PartialDifferentialRing| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathErrorKind|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariateSkewPolynomial| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Automorphism| *4)) (|ofType| *6 (|Mapping| *4 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Polynomial| *3)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|AlgebraicNumber|))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Tree| *3)) (|isDomain| *1 (|PendantTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Factored| *3))) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Pi|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|PiCoercions| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ResolveLatticeCompletion| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Exit|)) (|isDomain| *1 (|ResolveLatticeCompletion| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|RationalFunction| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Character|)) (|ofCategory| *1 (|StringAggregate|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Switch|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Symbol|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Table| (|Symbol|) (|FortranType|))) (|isDomain| *1 (|SymbolTable|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|TexFormat|)) (|isDomain| *1 (|TexFormat1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|TaylorSeries| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Tuple| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Segment| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|UniversalSegment| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Void|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|XAlgebra| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedMonoid|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|)))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Integer|) *2 *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *4)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) ((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PAdicIntegerCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LeadingCoefDetermination| *6 *7 *3 *8)) (|ofCategory| *8 (|PolynomialCategory| *3 *7 *6))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *3 (|Integer|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *7 (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *5 (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *4)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
-(((*1 *1) (|isDomain| *1 (|CharacterClass|))) ((*1 *1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| *4)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Tuple| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|)))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Point| *3)))))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *2 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|Places| *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *9)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *6)) (|isDomain| *1 (|ParametrizationPackage| *6 *7 *3 *8 *9 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *4 (|PlacesCategory| *6 *2))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| (|Integer|) *3)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *5)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *7 *5)) (|isDomain| *4 (|DirectProduct| *6 *7)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|DirectProduct| *6 *5)) (|isDomain| *1 (|DirectProductFunctions2| *6 *7 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *5)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *5)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ListFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|PrimitiveArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *5)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *3 *6 *3)) (|isDomain| *5 (|Stream| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamFunctions2| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|Vector| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|VectorFunctions2| *6 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|isDomain| *1 (|IntegralBasisTools| *2 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *2 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *3 *2 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *2 *4) (|RetractableTo| *2))))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FramedModule| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)) (|ofType| *6 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|MonogenicAlgebra| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormInMonogenicAlgebra| *4 *2 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-((|cExp| . 1571308) (|car| . 1571059) (|sylvesterMatrix| . 1570765) (|shiftHP| . 1557541) (|edf2ef| . 1557386) (|rowEchWoZeroLinesWOVectorise| . 1557271) (|cdr| . 1557022) (|antiCommutative?| . 1556682) (|antiCommutator| . 1556623) (|OMunhandledSymbol| . 1556510) (|collectUpper| . 1556264) (|OMreceive| . 1556137) (|has?| . 1556023) (|zeroOf| . 1555352) (|symmetricGroup| . 1555050) (|linear| . 1554532) (|mesh| . 1553244) (|infClsPt?| . 1553151) (|plus| . 1552712) (|totalDifferential| . 1552531) (|length| . 1551011) (|primintegrate| . 1550592) (|upperCase| . 1550450) (|ceiling| . 1550250) (|modifyPointData| . 1549907) (|scripts| . 1549551) (|duplicates?| . 1549424) (|root| . 1549175) (|Lazard| . 1548967) (|var1StepsDefault| . 1548777) (|quotVecSpaceBasis| . 1548652) (|copyslice| . 1548488) (|ldf2lst| . 1548065) (|sign| . 1545647) (|Hausdorff| . 1545382) (|diffHP| . 1532158) (|evenlambert| . 1531665) (|enterInCache| . 1531391) (|rubiksGroup| . 1531278) (|unitNormalize| . 1531187) (|setMinPoints3D| . 1531110) (|highCommonTerms| . 1530906) (|OMputEndAttr| . 1530824) (|shiftRight| . 1530679) (|minimumExponent| . 1530519) (|axes| . 1530084) (|stopMusserTrials| . 1529758) (|cyclicGroup| . 1529456) (|rows| . 1528878) (|gcdprim| . 1528735) (|coerce| . 1488373) (|radicalOfLeftTraceForm| . 1488195) (|shallowCopy| . 1488077) (|birth| . 1487959) (|asechIfCan| . 1487818) (|isQuotient| . 1487519) (|irreducibleRepresentation| . 1486990) (|definingPolynomial| . 1485746) (|leftFactorIfCan| . 1485521) (|cyclePartition| . 1485400) (|isOp| . 1485040) (|distinguishedCommonRootsOf| . 1484802) (|localParamOfSimplePt| . 1484280) (|startStats!| . 1484084) (|clipSurface| . 1483962) (|iisqrt2| . 1483769) (|nrows| . 1483280) (|trim| . 1483092) (|distinguishedRootsOf| . 1482696) (|generalSqFr| . 1482421) (|Aleph| . 1482325) (|iiexp| . 1482129) (|ncols| . 1481640) (|adaptive?| . 1481568) (|linSolve| . 1481117) (|typeList| . 1480875) (|acsch| . 1479680) (|BasicMethod| . 1479533) (|eigenvector| . 1479216) (|cyclotomicDecomposition| . 1479050) (|option?| . 1478899) (|alterDrift!| . 1478709) (|OMgetEndAttr| . 1478627) (|inverseLaplace| . 1478196) (|position| . 1477314) (|createLowComplexityNormalBasis| . 1477030) (|OMputBind| . 1476948) (|multMonom| . 1476469) (|operator| . 1474551) (|is?| . 1473447) (|RemainderList| . 1473061) (|less?| . 1471845) (|push!| . 1471491) (|toScale| . 1471279) (|rightLcm| . 1471141) (|lflimitedint| . 1470616) (|leftExtendedGcd| . 1470396) (|algebraicVariables| . 1470115) (|subQuasiComponent?| . 1468676) (|nthFactor| . 1467829) (|formula| . 1467731) (|applyRules| . 1466971) (|kovacic| . 1466178) (|numberPlacesDegExtDeg| . 1464760) (|listVariable| . 1464480) (|atanIfCan| . 1464339) (|suchThat| . 1462407) (|getOrder| . 1462228) (|btwFact| . 1461847) (|overlabel| . 1461797) (|initiallyReduced?| . 1460777) (|semiResultantEuclidean1| . 1460546) (|cyclicEqual?| . 1460431) (|makeSeries| . 1460186) (|viewDeltaYDefault| . 1460006) (|selectODEIVPRoutines| . 1459956) (|yCoord| . 1459842) (|iicosh| . 1459646) (|setClosed| . 1459511) (|enqueue!| . 1459247) (|basicSet| . 1458392) (|mathieu24| . 1458129) (|createIrreduciblePoly| . 1457927) (|subResultantGcdEuclidean| . 1457685) (|weights| . 1457095) (|palgextint0| . 1456010) (|medialSet| . 1455344) (|flush| . 1455188) (|coth2tanh| . 1454973) (|outputFixed| . 1454794) (|rangePascalTriangle| . 1454536) (|roughBasicSet| . 1454139) (|flexible?| . 1453799) (|newtonPolySlope| . 1453347) (|getAncestors| . 1453215) (|extendedIntegrate| . 1452834) (|karatsubaDivide| . 1452621) (|quickSort| . 1452363) (|mergeDifference| . 1452243) (|convert| . 1443669) (|cSinh| . 1443509) (|padecf| . 1443204) (|makeSketch| . 1443003) (|fmecg| . 1441938) (|flatten| . 1441892) (|and| . 1441747) (|mainValue| . 1441627) (|forLoop| . 1441346) (|acschIfCan| . 1441205) (|translateToOrigin| . 1440077) (|tanh2coth| . 1439862) (|drot| . 1439638) (|optional?| . 1439523) (|call| . 1439442) (|normInvertible?| . 1439051) (|complete| . 1438479) (|symbolTableOf| . 1438360) (|shiftLeft| . 1438215) (|repeatUntilLoop| . 1438131) (|coefChoose| . 1437824) (|iflist2Result| . 1437556) (|rotate| . 1437309) (|ignore?| . 1436952) (|dnrm2| . 1436774) (|palglimint| . 1436203) (|every?| . 1435008) (|tanQ| . 1434637) (|diag| . 1434434) (|reducedForm| . 1434333) (|mesh?| . 1434212) (|droot| . 1433987) (|log2| . 1433864) (|fullInfClsPt| . 1433416) (|rightDiscriminant| . 1433000) (|deriv| . 1432869) (|factorGroebnerBasis| . 1432147) (|sqfrFactor| . 1432025) (|second| . 1431927) (|OMputVariable| . 1431815) (|parabolic| . 1431631) (|leadingIdeal| . 1431403) (|cyclicParents| . 1431282) (|critMonD1| . 1430916) (|satisfy?| . 1430309) (|setCurve| . 1429106) (|desingTree| . 1427137) (|eulerPhi| . 1427038) (|exprex| . 1426817) (|imagi| . 1426715) (|reverse!| . 1426256) (|hitherPlane| . 1426135) (|addPointLast| . 1425940) (|completeHermite| . 1425629) (|replaceVarByOne| . 1425343) (|iilog| . 1425147) (|isAbsolutelyIrreducible?| . 1424739) (|cfirst| . 1424518) (|ScanRoman| . 1424399) (|OMParseError?| . 1424311) (|dzasum| . 1424121) (|odd?| . 1423780) (|decomposeFunc| . 1423565) (|say| . 1423341) (|readIfCan!| . 1423068) (|resultantEuclideannaif| . 1422820) (|ShiftC| . 1422574) (|ode1| . 1422346) (|subs1stVar| . 1422088) (|debug| . 1421804) (|screenResolution3D| . 1421730) (|intensity| . 1421609) (|excpDivV| . 1421104) (|inconsistent?| . 1420346) (|copyIto| . 1420210) (|setpoint!| . 1419702) (|library| . 1419623) (|tableForDiscreteLogarithm| . 1419462) (|cot2trig| . 1419247) (|extendedSubResultantGcd| . 1418627) (|Ei2| . 1418502) (|algDsolve| . 1417967) (|positive?| . 1417490) (|iipolygamma| . 1417288) (|series| . 1411420) (|approximate| . 1410289) (|exponential1| . 1410199) (|mainVariable| . 1409436) (|conical| . 1409224) (|toseSquareFreePart| . 1408832) (|iicos| . 1408636) (|tomodpa| . 1408444) (|merge| . 1407493) (|divideIfCan| . 1407237) (|notelem| . 1407071) (|construct| . 1402751) (|lowerCase| . 1402609) (|expPot| . 1402421) (|variationOfParameters| . 1402194) (|squareFreePrim| . 1401918) (|integral?| . 1401102) (|algintegrate| . 1400606) (|OMputSymbol| . 1400491) (|expextendedint| . 1399985) (|realRoots| . 1399521) (|UP2ifCan| . 1399057) (|monomialIntPoly| . 1398799) (|showTypeInOutput| . 1398698) (|redPol| . 1398428) (|clearFortranOutputStack| . 1398326) (|derivationCoordinates| . 1398042) (|surface| . 1397946) (|indicialEquations| . 1396153) (|segment| . 1395859) (|taylorIfCan| . 1395673) (|legendreP| . 1395463) (|stFuncN| . 1395164) (|identityMatrix| . 1394996) (|infiniteProduct| . 1394110) (|scanOneDimSubspaces| . 1393858) (|tanSum| . 1393739) (|degreeOfMinimalForm| . 1393485) (|associatedSystem| . 1393168) (|getMatch| . 1392989) (|associatedEquations| . 1392588) (|factorFraction| . 1392371) (|integerDecode| . 1392280) (|operation| . 1391782) (|subresultantSequence| . 1391539) (|zeroSetSplitIntoTriangularSystems| . 1391180) (|powerAssociative?| . 1391038) (|integralMatrix| . 1390754) (|ZetaFunction| . 1387844) (|updatF| . 1387471) (|limitedint| . 1387051) (|validExponential| . 1386642) (|genericLeftTrace| . 1386330) (|imagI| . 1386127) (|moebius| . 1386028) (|chartV| . 1385523) (|complexExpand| . 1384875) (|cosSinInfo| . 1384741) (|comment| . 1384573) (|OMencodingBinary| . 1384523) (|uncouplingMatrices| . 1384279) (|eq| . 1383999) (|OMgetBVar| . 1383917) (|float| . 1383445) (|removeSinhSq| . 1383230) (|endOfFile?| . 1383151) (|positiveSolve| . 1381663) (|createPrimitiveElement| . 1381608) (|id| . 1381513) (|clearTheIFTable| . 1381422) (|quasiMonic?| . 1381207) (|changeName| . 1381088) (|integer| . 1380711) (|setfirst!| . 1380568) (|separateDegrees| . 1380313) (|roughSubIdeal?| . 1380002) (|crest| . 1379781) (|iiatanh| . 1379585) (|entry?| . 1379351) (|localize| . 1378762) (|returns| . 1378126) (|corrPoly| . 1377566) (|nextNormalPoly| . 1377390) (|string| . 1376940) (|log10| . 1376634) (|outlineRender| . 1376512) (|createPrimitivePoly| . 1376310) (|setFormula!| . 1376209) (|superscript| . 1376117) (|repeating| . 1376010) (|semiResultantEuclideannaif| . 1375779) (|minset| . 1375425) (|mapUp!| . 1375143) (|diff| . 1374731) (|totolex| . 1374449) (|lazyPquo| . 1374069) (|pdf2ef| . 1373914) (|truncate| . 1373556) (|fixedPoint| . 1373224) (|zoom| . 1372695) (|associator| . 1372633) (|polyPart| . 1372442) (|extDegree| . 1372317) (|negAndPosEdge| . 1372023) (|stronglyReduced?| . 1371461) (|child| . 1371301) (|varList| . 1369926) (|monicRightDivide| . 1369398) (|augment| . 1368207) (|integral| . 1367222) (|elliptic?| . 1366692) (|OMencodingXML| . 1366642) (|key| . 1366379) (|preprocess| . 1365524) (|expenseOfEvaluation| . 1365174) (|extractClosed| . 1365028) (|nthFractionalTerm| . 1364898) (|associative?| . 1364558) (|binaryFunction| . 1364282) (|sinhcosh| . 1364041) (|cylindrical| . 1363857) (|denomRicDE| . 1363479) (|increment| . 1363327) (|accuracyIF| . 1362920) (|pointV| . 1362415) (|genericPosition| . 1361997) (|B1solve| . 1361293) (|polygon?| . 1361172) (|aromberg| . 1360869) (|separant| . 1360622) (|OMgetInteger| . 1360537) (|exprHasLogarithmicWeights| . 1360231) (|extractBottom!| . 1360056) (|sum| . 1357379) (|entry| . 1356290) (|exprToUPS| . 1355411) (|Not| . 1355281) (|duplicates| . 1355094) (|queue| . 1354981) (|symbol| . 1354732) (|lazyPrem| . 1354352) (|adjunctionDivisor| . 1352496) (|symbolTable| . 1352353) (|obj| . 1352282) (|complement| . 1352153) (|pushFortranOutputStack| . 1351914) (|one| . 1351702) (|backOldPos| . 1351340) (|submod| . 1351276) (|filename| . 1351182) (|zero| . 1350790) (|generator| . 1349706) (|curveColor| . 1349549) (|Or| . 1349413) (|predicates| . 1349293) (|popFortranOutputStack| . 1349203) (^ . 1348603) (|primeFactor| . 1348481) (|remainder!| . 1348320) (|outputAsFortran| . 1347448) (|exp| . 1345181) (|critBonD| . 1344815) (|setScreenResolution3D| . 1344738) (|numberOfOperations| . 1344450) (|pi| . 1343981) (|innerSolve1| . 1343450) (|closedCurve?| . 1343329) (|complementaryBasis| . 1343055) (|sqrt| . 1342389) (|rightUnits| . 1341762) (|Ci| . 1341467) (|taylorQuoByVar| . 1341362) (|associatorDependence| . 1340963) (|cAtan| . 1340803) (|li| . 1340508) (|zag| . 1340458) (|someBasis| . 1340314) (|mantissa| . 1340142) (|erf| . 1339847) (|minColIndex| . 1339380) (|mergeFactors| . 1339237) (|difference| . 1339046) (|hyperelliptic| . 1338492) (|numberOfFactors| . 1338115) (|rk4f| . 1337828) (|fffg| . 1337387) (|DiffAction| . 1337163) (|rule| . 1336501) (|concat!| . 1335880) (|removeIrreducibleRedundantFactors| . 1335511) (|critpOrder| . 1335126) (|dilog| . 1334831) (|lo| . 1334741) (|associates?| . 1334651) (|solveLinearPolynomialEquationByFractions| . 1334394) (|closedCurve| . 1333874) (|children| . 1333594) (|differentiate| . 1329238) (|sin| . 1327768) (|incr| . 1327556) (|extendedEuclidean| . 1327277) (|retractable?| . 1326466) (|monomRDE| . 1326065) (|matrixConcat3D| . 1325930) (|cos| . 1324460) (|hi| . 1324370) (|drawComplex| . 1324106) (|ruleset| . 1323750) (|irreducibleFactor| . 1323628) (|rightDivide| . 1323118) (|tan| . 1321740) (|PDESolve| . 1321183) (|extendedint| . 1320837) (|possiblyInfinite?| . 1320719) (|rewriteSetByReducingWithParticularGenerators| . 1320297) (|vector| . 1320073) (|cot| . 1318878) (|basisOfInterpolateFormsForFact| . 1318317) (|linear?| . 1317759) (|internalSubQuasiComponent?| . 1317046) (|errorInfo| . 1316954) (|sec| . 1315759) (|stoseInvertibleSetsqfreg| . 1315397) (|computeBasis| . 1315184) (|dmpToHdmp| . 1314935) (|inR?| . 1314820) (|csc| . 1313625) (|ShiftAction| . 1313401) (|ravel| . 1313205) (|numberOfHues| . 1313124) (|shuffle| . 1312968) (|createNormalPoly| . 1312766) (|asin| . 1311385) (|getStream| . 1311207) (|discreteLog| . 1310984) (|nextPartition| . 1310648) (|removeDuplicates!| . 1310420) (|acos| . 1309039) (|slash| . 1308989) (|columnSpace| . 1308734) (|fortranTypeOf| . 1308618) (|ridHack1| . 1308512) (|atan| . 1307041) (|primeFrobenius| . 1306866) (|blankSeparate| . 1306773) (|set| . 1306563) (|pade| . 1305648) (|prime?| . 1304912) (|acot| . 1303714) (|element?| . 1303455) (|init| . 1303224) (|OMclose| . 1303142) (|cot2tan| . 1302927) (|interpretString| . 1302816) (|asec| . 1301618) (|palglimint0| . 1300359) (|controlPanel| . 1300120) (|ode2| . 1299886) (|numberOfPlacesOfDegree| . 1298477) (|acsc| . 1297279) (|cyclicSubmodule| . 1297033) (|chvar| . 1296645) (|evenInfiniteProduct| . 1295759) (|prepareDecompose| . 1294732) (|iExquo| . 1294583) (|sinh| . 1293208) (|generate| . 1292726) (|decimal| . 1292626) (|rischNormalize| . 1292165) (|incrementBy| . 1292010) (|squareFreePart| . 1291175) (|posExpnPart| . 1291075) (|cosh| . 1289700) (|shift| . 1289169) (|fortranInteger| . 1289124) (|tubeRadius| . 1288916) (|tanintegrate| . 1288517) (|yRange| . 1288288) (|debug3D| . 1288211) (|tanh| . 1286836) (|expand| . 1284944) (|OMgetApp| . 1284862) (|actualExtensionV| . 1284357) (|lastNonNull| . 1284230) (|OMUnknownSymbol?| . 1284142) (|outputAsTex| . 1283898) (|coth| . 1282706) (|filterWhile| . 1282452) (|isTimes| . 1281518) (|extractTop!| . 1281343) (|explicitEntries?| . 1281221) (|henselFact| . 1280648) (|OMgetEndError| . 1280566) (|sech| . 1279374) (|filterUntil| . 1279120) (|characteristicSet| . 1278454) (|modTree| . 1278329) (|listOfMonoms| . 1278111) (|stoseInvertibleSet| . 1277749) (|concat| . 1276640) (|se2rfi| . 1276231) (|csch| . 1275039) (|select| . 1274221) (|wholePart| . 1273797) (|Frobenius| . 1273208) (|setTopPredicate| . 1273055) (|semiResultantEuclidean2| . 1272824) (|asinh| . 1271629) (|multiEuclideanTree| . 1271504) (|guessRat| . 1264451) (|clip| . 1263109) (|outputForm| . 1262166) (|messagePrint| . 1262061) (|acosh| . 1260866) (|rightCharacteristicPolynomial| . 1260699) (|listYoungTableaus| . 1260536) (|increase| . 1260312) (|youngGroup| . 1260016) (|genericRightMinimalPolynomial| . 1259673) (|atanh| . 1258478) (|iiAiryBi| . 1258304) (|makeMulti| . 1258086) (|imagE| . 1257984) (|extensionDegree| . 1257296) (|tensorMap| . 1257135) (|result| . 1256891) (|acoth| . 1255696) (|meshFun2Var| . 1255282) (|bernoulliB| . 1255067) (|functionNames| . 1254977) (|nthRootIfCan| . 1254794) (|bivariateSLPEBR| . 1254397) (|makeRecord| . 1254220) (|asech| . 1253025) (|selectPolynomials| . 1252608) (|leadingTerm| . 1252430) (|lists| . 1252204) (|symbolIfCan| . 1252082) (|randnum| . 1251910) (|lastNonNul| . 1251783) (|OMgetObject| . 1251701) (|packageCall| . 1251552) (|lSpaceBasis| . 1251252) (|multiplyCoefficients| . 1250804) (|order| . 1246179) (|LowTriBddDenomInv| . 1245918) (|maxrank| . 1245350) (|df2ef| . 1245210) (|ptree| . 1245028) (|extractSplittingLeaf| . 1244842) (|OMputString| . 1244730) (|degreePartition| . 1244226) (|cyclicCopy| . 1244142) (|groebgen| . 1243810) (|inspect| . 1243308) (|stablePol| . 1243157) (|linkToFortran| . 1242310) (|leadingCoefficientRicDE| . 1241847) (|leader| . 1241600) (|fullParamInit| . 1240910) (|imagk| . 1240808) (|guessAlg| . 1236473) (|elColumn2!| . 1236175) (|#| . 1234794) (|extension| . 1234706) (|pfaffian| . 1234479) (|guessADE| . 1227426) (|nthRoot| . 1227052) (|mainContent| . 1226833) (|OMencodingSGML| . 1226783) (|infinite?| . 1226535) (|sumSquares| . 1226399) (|csch2sinh| . 1226184) (|sup| . 1225972) (|nextPrimitivePoly| . 1225796) (|hasoln| . 1225349) (|modularGcdPrimitive| . 1225087) (|solveLinearPolynomialEquation| . 1224099) (|eyeDistance| . 1223978) (|leftLcm| . 1223684) (|lexico| . 1223328) (|cubic| . 1222804) (|fortranLiteralLine| . 1222694) (|presuper| . 1222644) (|expt| . 1222458) (|leftFactor| . 1222291) (|mapExpon| . 1221797) (|stosePrepareSubResAlgo| . 1221383) (|complexLimit| . 1220414) (|squareFreeBasis| . 1220209) (|numericalOptimization| . 1219619) (|setexcpDiv!| . 1219111) (|varselect| . 1218905) (|linearAssociatedExp| . 1218718) (|gderiv| . 1218541) (|setStatus| . 1218258) (|numberOfVariables| . 1217403) (|rarrow| . 1217353) (|argumentList!| . 1216942) (|rewriteIdealWithRemainder| . 1216631) (|countRealRootsMultiple| . 1216387) (|cAsinh| . 1216227) (|empty?| . 1215131) (|distance| . 1215007) (|removeSuperfluousCases| . 1214222) (|finiteSeries2Vector| . 1214002) (|digamma| . 1213559) (|quotientByP| . 1213497) (|represents| . 1212368) (|minPoints| . 1212131) (|coerceP| . 1211925) (|halfExtendedResultant1| . 1211684) (|lquo| . 1210776) (|printTypes| . 1210591) (|epilogue| . 1210408) (|leftRemainder| . 1210114) (|oddintegers| . 1209946) (|blue| . 1209907) (|chebyshevU| . 1209594) (|intermediateResultsIF| . 1209187) (|numberOfComputedEntries| . 1209054) (|argscript| . 1208962) (|groebSolve| . 1208597) (|addBadValue| . 1208325) (|gcdBasis| . 1208120) (|romberg| . 1207820) (|retract| . 1198612) (|internalZeroSetSplit| . 1197851) (|determinant| . 1196864) (|factorByRecursion| . 1196168) (|monomials| . 1195374) (|lieAdmissible?| . 1195034) (|sizePascalTriangle| . 1194905) (|hasSolution?| . 1194316) (|useSingleFactorBound| . 1194158) (|initials| . 1193877) (|denominators| . 1193746) (|makeSin| . 1193538) (|identity| . 1193400) (|integerBound| . 1193181) (|leastPower| . 1192862) (|fortranReal| . 1192817) (|cAtanh| . 1192657) (|badNum| . 1192131) (F2FG . 1191769) (|insertMatch| . 1191597) (|dcopy| . 1191445) (|mapUnivariate| . 1190784) (|ratPoly| . 1190329) (|OMgetEndObject| . 1190247) (|withPredicates| . 1190124) (|setsymbName!| . 1189587) (|norm| . 1186074) (|any?| . 1184879) (|semiLastSubResultantEuclidean| . 1184645) (|lazyPseudoRemainder| . 1184540) (|maxDegree| . 1184262) (|sec2cos| . 1184047) (|linearAssociatedLog| . 1183669) (BY . 1183548) (|cAsin| . 1183388) (|polCase| . 1183041) (|gcdBasisAdd| . 1182833) (|binomial| . 1182259) (|regularRepresentation| . 1181853) (|divOfZero| . 1181756) (|resetAttributeButtons| . 1181675) (|completeEval| . 1181284) (|numeric| . 1179707) (|previous| . 1179611) (LODO2FUN . 1179297) (|readLineIfCan!| . 1179209) (|find| . 1179068) (|algebraicDecompose| . 1178120) (|radical| . 1177776) (|genericLeftNorm| . 1177464) (|singularitiesOf| . 1176599) (|att2Result| . 1175702) (|monomRDEsys| . 1175251) (|PollardSmallFactor| . 1175126) (|generalLambert| . 1174497) (|cycleElt| . 1174349) (|bag| . 1173679) (|simpson| . 1173379) (|divisors| . 1173243) (|pseudoRemainder| . 1173137) (|factorPolynomial| . 1172680) (|setsubMatrix!| . 1172454) (|setProperties| . 1172339) (|initiallyReduce| . 1171896) (|index| . 1171361) (|rightRecip| . 1171138) (|iipow| . 1170940) (|makeYoungTableau| . 1170783) (|nextSubsetGray| . 1170643) (D . 1169088) (|point| . 1168072) (|rationalFunction| . 1167630) (|removeZeroes| . 1166331) (|integralRepresents| . 1166054) (|quasiRegular?| . 1165751) (|setRow!| . 1165515) (|iiatan| . 1165319) (|min| . 1164830) (|pointPlot| . 1164164) (|imagJ| . 1163961) (|setAdaptive| . 1163886) (|subresultantVector| . 1163686) (|safetyMargin| . 1163344) (|extractProperty| . 1163180) (|finiteSeries2LinSysWOVectorise| . 1162930) (|irreducibleFactors| . 1162564) (|ratDsolve| . 1160757) (|setRealSteps| . 1160675) (|maximumExponent| . 1160515) (|findCoef| . 1160384) (|exponent| . 1159600) (|constantKernel| . 1159439) (|subMatrix| . 1158629) (|csubst| . 1158301) (|cup| . 1158175) (|startTable!| . 1157428) (|assoc| . 1157213) (|daxpy| . 1157026) (|balancedFactorisation| . 1156555) (|denominator| . 1156168) (|divOfPole| . 1156071) (|stopTableInvSet!| . 1155378) (|laguerre| . 1155217) (|monicLeftDivide| . 1154689) (|internalAugment| . 1153428) (|tryFunctionalDecomposition?| . 1153273) (|generalTwoFactor| . 1152998) (|basisOfInterpolateForms| . 1152437) (|setSingularPoints| . 1151188) (|invertibleElseSplit?| . 1150880) (|setelt!| . 1150727) (|prevPrime| . 1150619) (|sinhIfCan| . 1150478) (|blockConcat| . 1150200) (|separe| . 1150015) (|infLex?| . 1149710) (|brillhartIrreducible?| . 1149408) (|setErrorBound| . 1149215) (|stirling2| . 1149096) (|pseudoDivide| . 1148367) (|vspace| . 1148286) (|toseInvertibleSet| . 1147934) (|sub| . 1147884) (|rightPower| . 1147698) (|hasHi| . 1147581) (|charpol| . 1147316) (|one?| . 1146901) (|frst| . 1146807) (|arity| . 1146702) (|qqq| . 1146439) (|rightMult| . 1146284) (|numFunEvals| . 1146212) (|third| . 1146114) (|column| . 1145641) (|rightRemainder| . 1145503) (|viewPhiDefault| . 1145323) (|setClipValue| . 1145237) (|hconcat| . 1145097) (|latex| . 1144294) (|cAcos| . 1144134) (|extendIfCan| . 1143868) (|multinomial| . 1143721) (|height| . 1142787) (|lhs| . 1142277) (|outputGeneral| . 1142098) (|addMatchRestricted| . 1141923) (|karatsuba| . 1141704) (|shallowExpand| . 1141493) (|sdf2lst| . 1141064) (|previousTower| . 1140981) (|dimensionOfIrreducibleRepresentation| . 1140843) (|nodes| . 1140722) (|mapExponents| . 1140252) (|LiePolyIfCan| . 1139879) (|reverseLex| . 1139672) (|first| . 1138704) (|maxrow| . 1138410) (|viewWriteDefault| . 1138220) (|monicRightFactorIfCan| . 1137956) (|quoByVar| . 1137851) (|normal| . 1137717) (|useSingleFactorBound?| . 1137562) (|ramified?| . 1137021) (|completeSmith| . 1136686) (|selectNonFiniteRoutines| . 1136636) (|removeRoughlyRedundantFactorsInPol| . 1136346) (|makeFR| . 1135837) (|qShiftC| . 1135588) (|pushup| . 1134484) (|blockSplit| . 1133114) (|uncorrelated?| . 1132524) (|psolve| . 1125856) (|noLinearFactor?| . 1125705) (|factorSquareFreePolynomial| . 1125516) (|singleFactorBound| . 1124793) (|fortranLiteral| . 1124683) (|relativeApprox| . 1124123) (|alphanumeric?| . 1124043) (|computePowers| . 1123854) (|exteriorDifferential| . 1123707) (|lfextendedint| . 1123269) (|algebraicOf| . 1122981) (|triangular?| . 1122673) (|wholeRadix| . 1122550) (|pointSizeDefault| . 1122360) (|constantCoefficientRicDE| . 1121866) (|checkExtraValues| . 1121654) (|lintgcd| . 1121483) (|right| . 1120902) (|quasiComponent| . 1120571) (|linearlyDependentOverZ?| . 1120385) (|makeprod| . 1120258) (|e01sff| . 1120038) (|f02aff| . 1119873) (|specialise| . 1119616) (|tubePlot| . 1118325) (|f02aef| . 1118151) (|width| . 1117848) (|left| . 1117267) (|copyfirst| . 1117106) (|OMwrite| . 1115775) (|remainder| . 1115416) (|pointData| . 1115260) (|excepCoord| . 1115167) (|resultantSet| . 1114926) (|meatAxe| . 1113844) (|conjugate| . 1112814) (|normal01| . 1112724) (|safety| . 1112490) (|f02adf| . 1112319) (|unrankImproperPartitions0| . 1112170) (|projectionSet| . 1111929) (|reciprocalPolynomial| . 1111736) (|consnewpol| . 1111236) (|outputSpacing| . 1111124) (|aLinear| . 1110890) (|rowEchelonLocal| . 1110742) (|updatD| . 1110376) (|f02abf| . 1110208) (|principalSubResultantSet| . 1109973) (|pointColorPalette| . 1109839) (|clikeUniv| . 1109621) (|iiBesselI| . 1109419) (|supRittWu?| . 1109201) (|maxDerivative| . 1108923) (|linearMatrix| . 1108723) (|f02aaf| . 1108558) (|discriminantSet| . 1108317) (|iidprod| . 1108119) (|generalPosition| . 1107726) (|normal?| . 1107200) (|taylor| . 1103349) (|sbt| . 1103246) (|measure| . 1098336) (|returnType!| . 1097793) (|xor| . 1097645) (|cylindricalDecomposition| . 1097201) (|physicalLength!| . 1096943) (|abelianGroup| . 1096782) (|laurent| . 1093635) (|sample| . 1092906) (|cLog| . 1092746) (|showTheSymbolTable| . 1092698) (|dequeue!| . 1092443) (|basisOfMiddleNucleus| . 1092265) (|coefficientSet| . 1092033) (|thetaCoord| . 1091919) (|quote| . 1091832) (|puiseux| . 1088656) (|seed| . 1088570) (|fullDesTree| . 1088122) (|delta| . 1087936) (|fractionFreeGauss!| . 1087638) (|explicitlyFinite?| . 1087520) (|leftUnit| . 1087359) (|crushedSet| . 1087072) (|atoms| . 1086846) (|lowerPolynomial| . 1086517) (|selectOrPolynomials| . 1086091) (|zeta| . 1086008) (|double?| . 1085920) (|graphs| . 1085643) (|polynomial| . 1084846) (|gcdcofactprim| . 1084703) (|drift| . 1084574) (|decreasePrecision| . 1084402) (|OMputApp| . 1084320) (|normalizeIfCan| . 1083930) (|lllp| . 1083781) (|oddlambert| . 1083288) (|clearTable!| . 1083122) (|cSec| . 1082962) (|diagonalProduct| . 1082454) (|rightRank| . 1082262) (|removeZero| . 1082006) (|integralBasis| . 1080274) (|drawCurves| . 1079796) (|leadingSupport| . 1079650) (|noKaratsuba| . 1079476) (|listLoops| . 1079312) (|resultantnaif| . 1079146) (|idealSimplify| . 1078913) (|eulerE| . 1078698) (|stiffnessAndStabilityOfODEIF| . 1078222) (|fresnelC| . 1077834) (|elRow2!| . 1077536) (|partialQuotients| . 1077405) (|OMlistSymbols| . 1077284) (|null?| . 1077007) (|columns| . 1076429) (|curry| . 1076229) (|rightRegularRepresentation| . 1075909) (|acoshIfCan| . 1075768) (|mainMonomial| . 1075581) (|infix| . 1075435) (|lambda| . 1075344) (|scripted?| . 1075267) (|rightZero| . 1075151) (|getCurve| . 1075047) (|resetNew| . 1074976) (|graphCurves| . 1074376) (|curve?| . 1074255) (|integralBasisAtInfinity| . 1073984) (|elements| . 1073800) (|palginfieldint| . 1073335) (|colorFunction| . 1072954) (|hermite| . 1072548) (|maxPoints3D| . 1072474) (|wholeRagits| . 1072351) (|expandTrigProducts| . 1071950) (|startTableGcd!| . 1071185) (|airyAi| . 1070742) (|iisqrt3| . 1070549) (|localAbs| . 1069486) (|aRow| . 1069206) (|pmintegrate| . 1068075) (|untab| . 1067895) (|dequeue| . 1067498) (|leftTrace| . 1067381) (|setValue!| . 1067202) (|OMread| . 1067085) (|pdf2df| . 1066939) (|mindegTerm| . 1066741) (|useNagFunctions| . 1066319) (|createMultiplicationTable| . 1066065) (|setlocalParam!| . 1065527) (|OMgetType| . 1065443) (|e01sbf| . 1065184) (|points| . 1065025) (|coth2trigh| . 1064810) (|uniform| . 1064376) (|int| . 1063726) (|conjug| . 1063446) (** . 1057602) (|listRepresentation| . 1057429) (|fill!| . 1057054) (|gcdPolynomial| . 1056506) (|endSubProgram| . 1056425) (|quadTransform| . 1056005) (|setchart!| . 1055497) (|normalDeriv| . 1055187) (|splitNodeOf!| . 1054679) (|semiSubResultantGcdEuclidean2| . 1054454) (|HermiteIntegrate| . 1053697) (|splitSquarefree| . 1053417) (|chiSquare1| . 1053285) (|symmetric?| . 1052831) (|hadamard| . 1052668) (|rootsOf| . 1051857) (|numFunEvals3D| . 1051783) (|unravel| . 1051587) (|DiffC| . 1051341) (|terms| . 1050725) (|leadingExponent| . 1050252) (|laurentIfCan| . 1050065) (|setProperty| . 1049951) (|lyndon?| . 1049793) (|setchildren!| . 1049627) (|hcrf| . 1049438) (|simplify| . 1048758) (|ocf2ocdf| . 1048589) (|virtualDegree| . 1048311) (|newTypeLists| . 1048225) (|ipow| . 1048027) (|removeCosSq| . 1047812) (|dictionary| . 1047586) (|redpps| . 1047088) (|iisinh| . 1046892) (|multV| . 1046366) (|rules| . 1046010) (|rightExactQuotient| . 1045862) (|sn| . 1045687) (|nthCoef| . 1045498) (|genericLeftTraceForm| . 1045183) (|subs2ndVar| . 1044925) (|nullary| . 1044799) (|e02bcf| . 1044594) (|functionIsContinuousAtEndPoints| . 1043973) (|euclideanSize| . 1043874) (|e02bbf| . 1043672) (|firstUncouplingMatrix| . 1043409) (|e02baf| . 1043233) (|numberOfComponents| . 1042492) (|semiDiscriminantEuclidean| . 1042261) (|mapmult| . 1042127) (|graeffe| . 1041934) (|firstSubsetGray| . 1041797) (|e02akf| . 1041586) (|mr| . 1041282) (|pattern| . 1040965) (|functionIsOscillatory| . 1040662) (|minimize| . 1040381) (|xn| . 1040174) (|e02ajf| . 1039957) (|e04ycf| . 1039741) (|cache| . 1039625) (|primitivePart| . 1038458) (|homogenize| . 1036653) (|lcm| . 1036338) (|elliptic| . 1035578) (|e04ucf| . 1035034) (|OMreadStr| . 1034925) (|myDegree| . 1034510) (|e04naf| . 1034101) (|isPower| . 1033253) (|unit| . 1032919) (|e04mbf| . 1032686) (|pushdown| . 1031582) (|center| . 1031041) (|getCode| . 1030955) (|e04jaf| . 1030690) (|minimumDegree| . 1029798) (|e04gcf| . 1029539) (|rk4qc| . 1028753) (|LazardQuotient| . 1028484) (|e04fdf| . 1028225) (|symFunc| . 1027919) (|supersub| . 1027823) (|leftNorm| . 1027706) (|cRationalPower| . 1027524) (|e04dgf| . 1027181) (|systemCommand| . 1027068) (|rootPoly| . 1026667) (|divisor| . 1025169) (|f01ref| . 1024942) (|leftExactQuotient| . 1024628) (|besselY| . 1024173) (F2EXPRR . 1023983) (|sumOfDivisors| . 1023884) (|f01rdf| . 1023648) (|constDsolve| . 1023120) (|pleskenSplit| . 1022636) (|f01rcf| . 1022445) (|mainPrimitivePart| . 1022226) (|printStats!| . 1022060) (|iisech| . 1021864) (|f01qef| . 1021649) (|baseRDE| . 1021319) (|inverse| . 1019590) (|datalist| . 1019475) (|internalSubPolSet?| . 1018726) (|f01qdf| . 1018502) (|transcendent?| . 1018384) (|tubePointsDefault| . 1018194) (|desingTreeWoFullParam| . 1016914) (|distribute| . 1016806) (|f01qcf| . 1016627) (|reseed| . 1016513) (|generalizedContinuumHypothesisAssumed| . 1016428) (|comparison| . 1016293) (|f01mcf| . 1016075) (|zeroDimPrime?| . 1015703) (|search| . 1015556) (|f01maf| . 1015251) (|newSubProgram| . 1015142) (|lyndonIfCan| . 1015002) (|rightNorm| . 1014885) (|f01bsf| . 1014583) (|jacobian| . 1014017) (|rem| . 1013858) (|f01brf| . 1013522) (|newtonPolygon| . 1013120) (|integralLastSubResultant| . 1012725) (|innerint| . 1012085) (|prologue| . 1011902) (|quo| . 1011743) (|movedPoints| . 1011505) (|reduceLODE| . 1011092) (|triangularSystems| . 1010844) (|getRef| . 1010675) (|/\\| . 1010578) (|lex| . 1010447) (|complexEigenvalues| . 1010215) (|\\/| . 1010118) (|LiePoly| . 1009948) (|showArrayValues| . 1009871) (|getExplanations| . 1009749) (|radicalRoots| . 1009185) (|affineAlgSetLocal| . 1008668) (|mvar| . 1008241) (|ideal| . 1007339) (|sorted?| . 1007012) (|putGraph| . 1006849) (~= . 1006024) (|numberOfComposites| . 1005892) (|pair?| . 1005615) (|lieAlgebra?| . 1005275) (|An| . 1005107) (|figureUnits| . 1004953) (|leftTrim| . 1004765) (|univcase| . 1004486) (|affinePoint| . 1004363) (|polyRing2UPUP| . 1003925) (|expintfldpoly| . 1003601) (|basisOfLeftAnnihilator| . 1003420) (|mapMatrixIfCan| . 1003018) (|value| . 1002594) (|splitLinear| . 1002488) (|normalDenom| . 1002266) (|pow| . 1001866) (|subCase?| . 1001037) (|dom| . 1000959) (|quotedOperators| . 1000613) (|constantRight| . 1000373) (|internalInfRittWu?| . 999624) (|scale| . 999142) (|properties| . 999030) (|euclideanNormalForm| . 998748) (|print| . 998562) (|areEquivalent?| . 997890) (|addiag| . 997718) (|digits| . 997097) (|intersectionDivisor| . 995031) (|colorDef| . 994907) (|aCubic| . 994667) (|karatsubaOnce| . 994493) (|leftGcd| . 994199) (|nextLatticePermutation| . 994050) (|postfix| . 994000) (|patternMatchTimes| . 993530) (|unaryFunction| . 993288) (|zaxpy| . 993077) (|shiftRoots| . 992914) (|monomial?| . 991998) (|script| . 991634) (|radPoly| . 991292) (|icamax| . 991146) (|statusIto| . 990989) (|trigs| . 990381) (LE . 990163) (|multiplicative?| . 990010) (|Ei4| . 989885) (|printStatement| . 989791) (|selectAndPolynomials| . 989365) (|leftOne| . 989245) (|shiftInfoRec| . 988675) (|createLowComplexityTable| . 988425) (|declare| . 988307) (|cCosh| . 988147) (|bright| . 987864) (|firstNumer| . 987765) (|indices| . 987609) (|OMputObject| . 987527) (|pr2dmp| . 987176) (|newLine| . 987095) (|origin| . 987003) (|constantIfCan| . 986832) (|roughBase?| . 986524) (|fi2df| . 986384) (|output| . 985862) (|legendre| . 985589) (|base| . 985146) (|selectIntegrationRoutines| . 985096) (|fortran| . 984884) (|computeInt| . 984461) (|numerators| . 984330) (|directSum| . 983962) (|removeRoughlyRedundantFactorsInPols| . 983354) (|pushdterm| . 982952) (|basisOfCentroid| . 982763) (|infieldint| . 982509) (|interpolate| . 981220) (|stop| . 981175) (|pomopo!| . 981022) (|printCode| . 980943) (|countRealRoots| . 980731) (|suppOfZero| . 980606) (|heapSort| . 980348) (|list?| . 980071) (|rename| . 979977) (|nextIrreduciblePoly| . 979801) (|doubleResultant| . 979485) (|seriesToOutputForm| . 979132) (|LyndonWordsList| . 978933) (Y . 978496) (|bombieriNorm| . 977832) (|stirling1| . 977713) (|complexEigenvectors| . 977376) (|problemPoints| . 976874) (|phiCoord| . 976760) (|inf| . 976610) (|contractSolve| . 975954) (|zeroSetSplit| . 972256) (|integralMatrixAtInfinity| . 971972) (|reorder| . 971332) (|sumOfKthPowerDivisors| . 971191) (|OMgetEndBVar| . 971109) (|semiResultantReduitEuclidean| . 970840) (|cAcoth| . 970680) (|even?| . 970339) (|finite?| . 970009) (|squareFreeFactors| . 969690) (|leviCivitaSymbol| . 969525) (|factorCantorZassenhaus| . 969025) (|hermiteH| . 968870) (|laurentRep| . 968693) (|yellow| . 968654) (|connect| . 968495) (|coleman| . 968335) (|paren| . 968062) (|rationalApproximation| . 967529) (|fglmIfCan| . 967112) (|constant?| . 966697) (|float?| . 966420) (|basisOfLeftNucleus| . 966242) (|credPol| . 965972) (|lazyPseudoDivide| . 965065) (|extractPoint| . 964918) (|setAttributeButtonStep| . 964833) (|Ei| . 964416) (|string?| . 964139) (|setOfMinN| . 963955) (|suppOfPole| . 963830) (|viewport2D| . 963774) (|lepol| . 963507) (|variablesOf| . 963383) (|showTheFTable| . 963324) (|particularSolution| . 962312) (|vark| . 962078) (|effective?| . 961953) (|mapGen| . 961325) (|numberOfPrimitivePoly| . 961173) (|assert| . 960754) (|hue| . 960494) (|more?| . 959438) (|paraboloidal| . 959254) (|stoseInvertible?sqfreg| . 958843) (|lifting| . 958262) (GE . 958044) (|subscript| . 957952) (|rootSplit| . 957547) (|leftRegularRepresentation| . 957227) (|prime| . 957088) (|components| . 956967) (|canonicalIfCan| . 956820) (|permutationGroup| . 956680) (|closeComponent| . 956480) (|interpret| . 956285) (|projection| . 956187) (|setColumn!| . 955951) (|horizSplit| . 955329) (|copies| . 955214) (|diagonals| . 955092) (|iisin| . 954896) (|unmakeSUP| . 954743) (|internal?| . 954597) (|tex| . 954509) (|createNormalElement| . 954378) (|roman| . 954216) (^= . 954166) (|certainlySubVariety?| . 953848) (|autoReduced?| . 953509) (|setEpilogue!| . 953320) (|jacobiIdentity?| . 952980) (|integrate| . 940070) (|factorSFBRlcUnit| . 939343) (|alphabetic| . 939295) (|tan2trig| . 939080) (|generalInfiniteProduct| . 938076) (|genus| . 935614) (|makeCell| . 935293) (|red| . 935254) (|cCoth| . 935094) (|discriminant| . 933717) (|graphState| . 933464) (|sparsityIF| . 933321) (|distFact| . 932679) (|direction| . 932539) (|rationalPlaces| . 931288) (|initParLocLeaves| . 930598) (|mapdiv| . 930436) (|separate| . 929750) (|dn| . 929575) (|computeCycleEntry| . 929434) (|aspFilename| . 929343) (|rewriteSetWithReduction| . 928970) (|level| . 928813) (|leftDiscriminant| . 928397) (|edf2fi| . 928242) (|OMputAttr| . 928160) (|conditionP| . 927839) (|mainVariableOf| . 927724) (|simplifyPower| . 927567) (UTS2UP . 927254) (|OMgetError| . 927172) (|OMUnknownCD?| . 927084) (|oddInfiniteProduct| . 926198) (|rightScalarTimes!| . 926057) (|dmp2rfi| . 924893) (|setMinPoints| . 924818) (|delete| . 924558) (|packExps| . 924351) (|ReduceOrder| . 923934) (|systemSizeIF| . 923527) (|middle| . 923334) (|mightHaveRoots| . 923110) (|rootSimp| . 922553) (|setLegalFortranSourceExtensions| . 922460) (|adjoint| . 921425) (|approximants| . 921281) (|round| . 921226) (|translate| . 920203) (|table| . 919875) (|lazyPremWithDefault| . 919297) (|collect| . 918957) (|completeEchelonBasis| . 918791) (|cycleSplit!| . 918651) (|omError| . 918518) (|kroneckerDelta| . 918353) (|anfactor| . 917932) (|maxPower| . 917660) (|rischDE| . 916928) (|simplifyLog| . 916713) (|variableName| . 916503) (|collectUnder| . 916257) (|computeCycleLength| . 916080) (|primes| . 915941) (|stoseSquareFreePart| . 915539) (|leadingIndex| . 915066) (= . 913915) (|cothIfCan| . 913774) (|substring?| . 913652) (|evaluate| . 912661) (|genericRightTraceForm| . 912346) (|write!| . 912212) (|create3Space| . 911998) (|bits| . 911646) (|wordInGenerators| . 911464) (|coefficients| . 910621) (< . 910113) (|mapCoef| . 909918) (|limitedIntegrate| . 909478) (|LyndonWordsList1| . 909255) (|purelyAlgebraicLeadingMonomial?| . 908969) (|functionName| . 908759) (> . 908626) (|OMconnOutDevice| . 908530) (|findOrderOfDivisor| . 906732) (|d03faf| . 906393) (|fullOut| . 905263) (|mathieu23| . 905000) (<= . 904618) (|supp| . 904493) (|exQuo| . 903526) (|d03eef| . 903149) (|partialNumerators| . 903018) (|createGenericMatrix| . 902839) (|next| . 902743) (>= . 902610) (|laplace| . 902224) (|rationalIfCan| . 900824) (|d03edf| . 900586) (|stiffnessAndStabilityFactor| . 900374) (|selectOptimizationRoutines| . 900324) (|decrease| . 900100) (|getMultiplicationMatrix| . 899443) (|factorSqFree| . 898858) (|dfRange| . 898725) (|block| . 898630) (|generalizedInverse| . 898374) (|suffix?| . 898283) (|negative?| . 897806) (|getButtonValue| . 897691) (+ . 894996) (|bitTruth| . 894883) (|deref| . 894801) (|rst| . 894707) (|rightQuotient| . 894569) (|differentialVariables| . 894294) (- . 891474) (|rootRadius| . 891088) (|outputList| . 890974) (|basis| . 889344) (|showAllElements| . 889200) (|palgint0| . 888185) (|char| . 888029) (/ . 883936) (|factorsOfCyclicGroupSize| . 883783) (|totalDegree| . 883070) (|univariateSolve| . 880829) (|degreeSubResultantEuclidean| . 880536) (|maxdeg| . 880245) (|scaleRoots| . 880082) (|replace| . 879967) (|prem| . 879587) (|writeLine!| . 879431) (|stopTable!| . 878756) (|numberOfDivisors| . 878657) (|OMmakeConn| . 878562) (FG2F . 878200) (|scan| . 876206) (|totalGroebner| . 876034) (|true| . 875993) (|showFortranOutputStack| . 875891) (|parametrize| . 872608) (|schwerpunkt| . 872396) (|Ei6| . 872271) (|normDeriv2| . 871946) (|fractRagits| . 871821) (|getEq| . 871468) (|shanksDiscLogAlgorithm| . 871238) (|expint| . 870857) (|extract!| . 870355) (|affineSingularPoints| . 868995) (|affineAlgSet| . 868084) (|polar| . 867900) (|reducedQPowers| . 867665) (|permutations| . 867521) (|iitan| . 867325) (|classNumber| . 866037) (|bandedHessian| . 865640) (|inrootof| . 865421) (|ratDenom| . 863734) (|objectOf| . 863657) (|homogeneous?| . 863339) (|branchPointAtInfinity?| . 863070) (|OMsend| . 862915) (|linearPolynomials| . 862544) (|resetVariableOrder| . 862452) (|cosIfCan| . 862311) (|oneDimensionalArray| . 862060) (|setButtonValue| . 861830) (|morphism| . 861464) (|df2mf| . 861332) (|solve1| . 861066) (|setEmpty!| . 860890) (|squareTop| . 860701) (|subTriSet?| . 860008) (|localParam| . 859837) (|linearBezier| . 859684) (|bezoutResultant| . 859347) (|guessPRec| . 852294) (|nullity| . 851118) (|boundOfCauchy| . 850923) (|orbits| . 850792) (|cschIfCan| . 850651) (|pointColorDefault| . 850477) (|viewZoomDefault| . 850297) (GF2FG . 849904) (|c05nbf| . 849621) (|equation| . 848886) (|subNode?| . 848630) (|prefix?| . 848539) (|orbit| . 847395) (|univariatePolynomials| . 847024) (|name| . 846381) (|getMeasure| . 846269) (|bezoutDiscriminant| . 845935) (|dcabs1| . 845804) (|saturate| . 845314) (|c05adf| . 845076) (|map| . 819668) (|viewport3D| . 819610) (|setScreenResolution| . 819535) (|removeRedundantFactors| . 818045) (|multiplyExponents| . 817567) (|chartCoord| . 817474) (|nullary?| . 817390) (|convertIfCan| . 817283) (|gbasis| . 816982) (|bitCoef| . 816897) (|cross| . 816592) (|c06gsf| . 816417) (|atanhIfCan| . 816276) (|changeBase| . 815949) (|nand| . 815851) (|reindex| . 815643) (|nonLinearPart| . 815528) (|infieldIntegrate| . 815269) (|hessian| . 814914) (|getGraph| . 814779) (|c06gqf| . 814604) (|bernoulli| . 814293) (|lineColorDefault| . 814119) (|gramschmidt| . 813994) (|hexDigit| . 813946) (|oblateSpheroidal| . 813737) (|iiacsch| . 813541) (|approxNthRoot| . 813399) (|squareFreePolynomial| . 812942) (|c06gcf| . 812770) (|unprotectedRemoveRedundantFactors| . 812480) (|secIfCan| . 812339) (|shade| . 812150) (|digit| . 812102) (|iibinom| . 811904) (|insertBottom!| . 811723) (|tubePoints| . 811495) (|setPoly| . 811357) (|c06gbf| . 811185) (|leftUnits| . 810558) (|genusNeg| . 808709) (|lowerCase?| . 808629) (|escape| . 808586) (|iiperm| . 808388) (|permutation| . 808031) (|sortConstraints| . 807698) (|prinb| . 807406) (|c06fuf| . 807192) (|LyndonBasis| . 806898) (|blowUpWithExcpDiv| . 806208) (|checkForZero| . 805317) (|smaller?| . 805231) (|drawComplexVectorField| . 804998) (|iidigamma| . 804824) (|subResultantGcd| . 804294) (|mainCoefficients| . 804079) (|c06frf| . 803868) (|simpsono| . 803568) (|explimitedint| . 803013) (|polarCoordinates| . 802765) (|parabolicCylindrical| . 802581) (|irreducible?| . 801972) (|cAcsch| . 801812) (|copy!| . 801674) (|plenaryPower| . 801528) (|c06fqf| . 801320) (|diagonal?| . 800866) (|lexGroebner| . 800694) (|transcendentalDecompose| . 798779) (|f2df| . 798654) (|c06fpf| . 798446) (|zRange| . 798330) (|factorset| . 797985) (|compactFraction| . 797886) (|closed?| . 797661) (|coerceListOfPairs| . 797533) (|algebraicSet| . 797129) (|eval| . 786141) (|recolor| . 785876) (|var1Steps| . 785648) (|doubleComplex?| . 785560) (|euclideanGroebner| . 784666) (|groebner| . 782915) (|c06ekf| . 782737) (|OMgetBind| . 782655) (|unitVector| . 781928) (|blowUp| . 781236) (|power| . 781074) (|finiteBound| . 780889) (|simpleBounds?| . 780746) (|rur| . 779126) (|characteristicSerie| . 778352) (|c06ecf| . 778177) (|removeFirstZeroes| . 778077) (|primitivePart!| . 777858) (|iicot| . 777662) (|child?| . 777504) (|exprToGenUPS| . 776625) (|invmod| . 776564) (|c06ebf| . 776392) (|tan2cot| . 776177) (|OMputError| . 776095) (|quoted?| . 775980) (|region| . 775821) (|iitanh| . 775625) (|subset?| . 775500) (|realElementary| . 774819) (|polynomialZeros| . 774551) (|extend| . 772312) (|evalRec| . 771871) (|c06eaf| . 771699) (|packModulus| . 771433) (|minPoly| . 770975) (|patternMatch| . 766850) (|primitiveElement| . 764910) (|whileLoop| . 764826) (|checkOptions| . 764696) (|s17def| . 764457) (|expressIdealMember| . 764351) (|characteristicPolynomial| . 762406) (|insert!| . 759436) (|hash| . 758356) (|extractIndex| . 758199) (|randomR| . 757476) (|integralCoordinates| . 757164) (|external?| . 757082) (|cTanh| . 756922) (|coefficient| . 753899) (|s17dcf| . 753660) (|stoseInvertible?| . 752890) (|permanent| . 752670) (|discriminantEuclidean| . 752422) (|nodeOf?| . 752175) (|neglist| . 752042) (|vertSplit| . 751420) (|aQuartic| . 751177) (|stoseIntegralLastSubResultant| . 750772) (|s17akf| . 750613) (|topPredicate| . 750446) (|pack!| . 750310) (|hMonic| . 750071) (|repSq| . 749881) (|maxLevel| . 749603) (|setlocalPoint!| . 749058) (|lfextlimint| . 748548) (|monicModulo| . 748256) (|s17ajf| . 748097) (|headRemainder| . 747757) (|moreAlgebraic?| . 747064) (|palgRDE0| . 745965) (|coerceL| . 745744) (|intPatternMatch| . 745070) (|primintfldpoly| . 744801) (|condition| . 744625) (|lazyEvaluate| . 744531) (|s17ahf| . 744372) (|swapColumns!| . 744149) (|csc2sin| . 743934) (|regime| . 743017) (|stoseInternalLastSubResultant| . 742071) (|trunc| . 741728) (|index?| . 741569) (|s17aff| . 741410) (|s17agf| . 741251) (|numericalIntegration| . 740626) (|lift| . 738725) (|stoseInvertible?reg| . 738314) (|Is| . 737097) (|OMReadError?| . 737009) (|schema| . 736795) (|coshIfCan| . 736654) (|viewpoint| . 734729) (|diophantineSystem| . 734384) (|setVariableOrder| . 734122) (|reduce| . 727537) (|evalat| . 727398) (|guessPade| . 723063) (|ode| . 722798) (|mathieu12| . 722535) (|s17aef| . 722376) (|cosh2sech| . 722161) (|ParCondList| . 721560) (|color| . 721373) (|solveRetract| . 721041) (|subResultantChain| . 720786) (|rootBound| . 720444) (|numberOfChildren| . 720287) (|dec| . 720229) (|monomialIntegrate| . 719875) (|transform| . 719611) (|sincos| . 719372) (|s17adf| . 719213) (|lllip| . 719054) (|close| . 718779) (|optimize| . 717543) (|intChoose| . 716950) (|sumOfSquares| . 716834) (|factorsOfDegree| . 716575) (|modifyPoint| . 715977) (|unvectorise| . 715372) (|s17acf| . 715213) (|OMputEndObject| . 715131) (|LyndonCoordinates| . 714837) (|outputMeasure| . 714717) (|mainVariable?| . 714443) (|df2fi| . 714303) (|rowEch| . 714161) (|s15aef| . 714002) (|extractIfCan| . 713848) (|fixedDivisor| . 713687) (|mainVariables| . 713416) (|exponential| . 713053) (|numberOfNormalPoly| . 712901) (|normalElement| . 712589) (|mulmod| . 712525) (|socf2socdf| . 712332) (|compdegd| . 711946) (|s15adf| . 711787) (|vectoraddmul| . 711617) (|plotPolar| . 710988) (|generic?| . 710873) (|rroot| . 710350) (|divergence| . 710025) (|raisePolynomial| . 709696) (|upperCase?| . 709616) (|pointColor| . 709459) (|optAttributes| . 708955) (|s14baf| . 708790) (|setParam!| . 708591) (|orthonormalBasis| . 708399) (|iisec| . 708203) (|univariate?| . 707916) (|cardinality| . 707777) (|display| . 706505) (|s14abf| . 706346) (|changeMeasure| . 706231) (|commutator| . 706128) (|noncommutativeJordanAlgebra?| . 705788) (|largest| . 705441) (|fintegrate| . 704877) (|bat| . 704706) (|lazyResidueClass| . 704180) (|linearPart| . 704065) (|iiacot| . 703869) (|totalfract| . 703433) (|s14aaf| . 703274) (|clipPointsDefault| . 703106) (|companionBlocks| . 702865) (|fortranComplex| . 702820) (|errorKind| . 702726) (|composites| . 702605) (|iomode| . 702447) (|tryFunctionalDecomposition| . 702289) (|lookup| . 702021) (|s13adf| . 701862) (|approxSqrt| . 701762) (|continuedFraction| . 700833) (|polyRicDE| . 699854) (|stack| . 699741) (|multiplicity| . 698784) (|zerosOf| . 697706) (|innerEigenvectors| . 697255) (|s13acf| . 697096) (|rowEchelon| . 695470) (|polygamma| . 694937) (|linGenPos| . 694593) (|alphabetic?| . 694513) (|deleteRoutine!| . 694427) (|innerSolve| . 694108) (|rotatey| . 693967) (|algSplitSimple| . 693595) (|content| . 692896) (|s13aaf| . 692737) (|SturmHabichtMultiple| . 692490) (|insertionSort!| . 691947) (|nextPrimitiveNormalPoly| . 691771) (|gradient| . 691416) (|Zero| . 691115) (|s01eaf| . 690944) (|listexp| . 690611) (LT . 690393) (|mulbyscalar| . 690229) (|listAllMono| . 689947) (|pointDominateBy| . 688193) (|minimalPolynomial| . 687438) (|ran| . 687181) (|laplacian| . 686856) (|signAround| . 686112) (|s21bdf| . 685944) (|extendedResultant| . 685652) (|algebraicCoefficients?| . 685366) (|LazardQuotient2| . 685094) (|unexpand| . 684778) (|unrankImproperPartitions1| . 684629) (|exists?| . 684540) (|bandedJacobian| . 684140) (|select!| . 683808) (|createNormalPrimitivePoly| . 683606) (|changeThreshhold| . 683491) (|s21bcf| . 683326) (|hdmpToDmp| . 683077) (|setTower!| . 682963) (|partitions| . 682528) (|besselJ| . 682073) (|remove!| . 680823) (|antiAssociative?| . 680483) (|gcdcofact| . 680340) (|getDatabase| . 680131) (|s21bbf| . 679966) (|objects| . 679688) (|rootOf| . 678192) (|hypergeometric0F1| . 677973) (|universe| . 677847) (|imagK| . 677644) (|iiacoth| . 677448) (|logpart| . 677184) (|listSD| . 676998) (|s21baf| . 676836) (|trapezoidalo| . 676536) (|retractIfCan| . 668840) (RF2UTS . 668500) (|hdmpToP| . 668277) (|OMreadFile| . 668168) (|cn| . 667993) (|fTable| . 666874) (|addPoint| . 666279) (|s20adf| . 666120) (|logIfCan| . 665979) (|tValues| . 665880) (|delete!| . 665600) (|completeHensel| . 665366) (|normalized?| . 664346) (|splitConstant| . 663943) (|e02agf| . 663669) (|showTheIFTable| . 663609) (|pdct| . 663529) (|qelt| . 662922) (|ddot| . 662738) (|makeop| . 662432) (|transpose| . 661580) (|s20acf| . 661421) (|isPlus| . 660480) (|match?| . 660356) (|bumptab| . 660136) (|setPrologue!| . 659947) (|typeLists| . 659737) (|solid?| . 659641) (|elementary| . 659490) (|iroot| . 659254) (|alternative?| . 658914) (|internalDecompose| . 655939) (|d01aqf| . 655692) (|LagrangeInterpolation| . 655497) (|leftDivide| . 654763) (|complexNormalize| . 653490) (|relerror| . 653411) (|iidsum| . 653213) (|indexName| . 653003) (|power!| . 652817) (|frobenius| . 652637) (|s19adf| . 652478) (|permutationRepresentation| . 651709) (|slex| . 651550) (|setCondition!| . 651371) (|palgRDE| . 650877) (|or| . 650732) (|nary?| . 650648) (|lazy?| . 650526) (|d01apf| . 650273) (|nlde| . 650046) (|eigenMatrix| . 649853) (|dznrm2| . 649663) (|xRange| . 649434) (|squareFree| . 646921) (|s19acf| . 646762) (|repeating?| . 646590) (|evalIfCan| . 642503) (|sinIfCan| . 642362) (|splitDenominator| . 640771) (|genusTree| . 640053) (|invertibleSet| . 639767) (|mainSquareFreePart| . 639548) (|ord| . 639468) (|numberOfImproperPartitions| . 639359) (|d01anf| . 639109) (|generalCoefficient| . 638711) (|Gamma| . 637987) (|listAllMonoExp| . 637676) (|samplePoint| . 637412) (|hexDigit?| . 637332) (|idamax| . 637192) (|nonSingularModel| . 636484) (|d01amf| . 636240) (|factorSquareFree| . 634276) (|stripCommentsAndBlanks| . 634189) (|plot| . 632306) (|weierstrass| . 632099) (|qsetelt!| . 631687) (|quotValuation| . 631594) (|nextsubResultant2| . 631361) (|d01alf| . 631068) (|bandMatrix| . 630506) (|fracPart| . 630206) (|groebner?| . 629950) (|subspace| . 629486) (|torsionIfCan| . 628509) (|resultantReduit| . 628311) (|s19abf| . 628152) (|genericRightNorm| . 627840) (|padicFraction| . 627741) (|bipolarCylindrical| . 627532) (|expenseOfEvaluationIF| . 627125) (|unit?| . 627038) (|izamax| . 626852) (|module| . 626191) (|insert| . 625946) (|d01akf| . 625702) (|quasiAlgebraicSet| . 625438) (|reduceRow| . 625316) (|putColorInfo| . 625163) (|curveColorPalette| . 625029) (|ptFunc| . 624685) (|sayLength| . 624455) (|s19aaf| . 624296) (|headReduce| . 623853) (|mkPrim| . 623605) (|iiBesselJ| . 623403) (|factorAndSplit| . 623244) (|diagonalMatrix| . 621971) (|guess| . 610472) (|definingEquations| . 610211) (|d01ajf| . 609967) (|pointInIdeal?| . 609589) (|dot| . 609078) (|OMgetEndBind| . 608996) (|setMaxPoints| . 608921) (|bumptab1| . 608750) (|Musser| . 608539) (|s18def| . 608300) (|sts2stst| . 608073) (|symmetricPower| . 607627) (|po| . 607471) (|resetBadValues| . 607384) (|zeroSquareMatrix| . 607217) (|wordInStrongGenerators| . 607035) (|s18dcf| . 606796) (|tRange| . 606615) (|entries| . 605343) (|polyred| . 605127) (|getGoodPrime| . 604856) (|magnitude| . 604702) (|mapUnivariateIfCan| . 604341) (|swap!| . 604140) (|s18aff| . 603981) (|lBasis| . 601637) (|acotIfCan| . 601496) (|transCoord| . 601403) (|expandPower| . 601188) (|imaginary| . 601090) (|palgextint| . 600606) (|monicDivide| . 600183) (|s18aef| . 600024) (|meshPar2Var| . 598993) (|setnext!| . 598852) (|applyTransform| . 598545) (|acscIfCan| . 598404) (|var2Steps| . 598176) (|tracePowMod| . 597963) (|s18adf| . 597804) (|solve| . 580986) (|removeSuperfluousQuasiComponents| . 580299) (|rationalPower| . 580081) (|OMopenFile| . 579954) (|eigenvectors| . 579567) (|mainKernel| . 579467) (|localIntegralBasis| . 578008) (|exponents| . 577917) (|reshape| . 577188) (|sqfree| . 576871) (|s18acf| . 576712) (|iiGamma| . 576538) (|squareFreeLexTriangular| . 576077) (|box| . 575894) (|critM| . 575624) (|redmat| . 575246) (|conditionsForIdempotents| . 574022) (|label| . 573972) (|heap| . 573861) (|f04qaf| . 573544) (|mulbybinomial| . 573222) (|currentSubProgram| . 573141) (|lastSubResultant| . 572286) (|critT| . 571904) (|component| . 571386) (|generalizedEigenvectors| . 571035) (|palgint| . 570586) (|f04mcf| . 570345) (|OMlistCDs| . 570254) (|lyndon| . 570124) (|split| . 568051) (|findCycle| . 567800) (|cyclicEntries| . 567679) (|solveLinear| . 567155) (GT . 566937) (|revert| . 566444) (|f04mbf| . 566024) (|front| . 565769) (|sturmSequence| . 565580) (|makeVariable| . 564794) (|mirror| . 564150) (|adaptive| . 563773) (|Ei1| . 563648) (|stFunc2| . 563350) (|f04maf| . 563100) (|zeroMatrix| . 562573) (|goppaCode| . 561273) (|toroidal| . 561064) (|generateIrredPoly| . 560866) (|listOfTerms| . 560217) (|basisOfLeftNucloid| . 560028) (|multiServ| . 559917) (|f04jgf| . 559692) (|sizeMultiplication| . 558783) (|factor1| . 558303) (|stepBlowUp| . 557546) (|createThreeSpace| . 557441) (|OMputEndBind| . 557359) (|mapDown!| . 557068) (|meshPar1Var| . 556738) (|f04faf| . 556551) (|coHeight| . 556230) (|setprevious!| . 556089) (|En| . 555901) (|tanhIfCan| . 555760) (|semicolonSeparate| . 555667) (|cartesian| . 555483) (|divisorAtDesingTree| . 554818) (|goto| . 554730) (|f04axf| . 554498) (|rightTraceMatrix| . 553992) (|iteratedInitials| . 553777) (|rightGcd| . 553639) (|tableau| . 553515) (|pureLex| . 553308) (|alphanumeric| . 553260) (|f04atf| . 553073) (|aQuadratic| . 552836) (~ . 552745) (|divide| . 551786) (|rational?| . 549976) (|mindeg| . 549688) (|cCsc| . 549528) (|halfExtendedSubResultantGcd2| . 548976) (|fullPartialFraction| . 548753) (|Somos| . 548481) (|f04asf| . 548297) (|mpsode| . 547995) (|setPredicates| . 547872) (|clearTheFTable| . 547782) (|OMputInteger| . 547669) (|cycleEntry| . 547571) (|position!| . 547481) (|homogeneous| . 547209) (|evalADE| . 546768) (|iiacos| . 546572) (|appendPoint| . 546449) (|style| . 546239) (|inBetweenExcpDiv| . 545577) (|divideExponents| . 545422) (|binary| . 545232) (|declare!| . 544473) (SEGMENT . 544203) (|qinterval| . 544050) (|f04arf| . 543866) (|hex| . 543762) (|rhs| . 543252) (|polyRingToBlUpRing| . 542854) (|stFunc1| . 542573) (|eigenvalues| . 542317) (|top!| . 542142) (|minPol| . 541482) (|swapRows!| . 541259) (|multiset| . 540976) (|numberOfValuesNeeded| . 540550) (|rCoord| . 540436) (|null| . 540331) (|viewDefaults| . 540247) (|multisect| . 539618) (|isamax| . 539484) (|ksec| . 539245) (|f04adf| . 539040) (|patternVariable| . 538889) (|expIfCan| . 538748) (|weight| . 537844) (|OMgetFloat| . 537755) (|quasiMonicPolynomials| . 537384) (|setvalue!| . 537246) (|OMbindTCP| . 537120) (|radicalSimplify| . 536782) (|belong?| . 535074) (|useEisensteinCriterion?| . 534919) (|trace2PowMod| . 534706) (|common| . 534586) (|sinh2csch| . 534371) (|rootPower| . 533814) (|FormatArabic| . 533695) (|radicalEigenvalues| . 533514) (|cSech| . 533354) (|measure2Result| . 532908) (|zero?| . 532192) (|digit?| . 532112) (|checkRur| . 531667) (|OMputBVar| . 531585) (|nthExpon| . 530965) (|status| . 530493) (|definingField| . 530302) (|linearDependenceOverZ| . 530095) (|factorUsingMusser| . 529671) (|charthRoot| . 529419) (|continue| . 529331) (|hasTopPredicate?| . 529216) (|ODESolve| . 528779) (|SturmHabichtCoefficients| . 528564) (|projectivePoint| . 527823) (|rectangularMatrix| . 527623) (|genericLeftDiscriminant| . 527314) (|split!| . 527143) (|initial| . 526896) (|option| . 526413) (|deepestTail| . 526226) (|midpoint| . 525957) (|indiceSubResultantEuclidean| . 525664) (|floor| . 525464) (|fillPascalTriangle| . 525349) (|intcompBasis| . 525087) (|generalizedEigenvector| . 524319) (|new| . 523213) (|unparse| . 523134) (|inRadical?| . 522875) (|asinhIfCan| . 522734) (|initTable!| . 522568) (|safeCeiling| . 522405) (|subsInVar| . 522116) (|divideIfCan!| . 521772) (|quadraticBezier| . 521616) (|prinpolINFO| . 521324) (|uniform01| . 521234) (|f07fef| . 521039) (|optpair| . 520902) (|lifting1| . 520199) (|OMgetSymbol| . 520069) (|tree| . 519405) (|cycle| . 519276) (|displayKind| . 519195) (|f07fdf| . 519009) (|integers| . 518841) (|probablyZeroDim?| . 518526) (|And| . 518390) (|clearTheSymbolTable| . 518205) (|makeSUP| . 518052) (|algebraic?| . 517653) (|theCurve| . 516459) (|leftMult| . 516304) (|hspace| . 516223) (|f07aef| . 515986) (|replaceKthElement| . 515829) (|viewPosDefault| . 515615) (|expintegrate| . 515182) (|createZechTable| . 514971) (|setFieldInfo| . 514729) (|fortranCharacter| . 514684) (|OMgetString| . 514600) (|f07adf| . 514441) (|delay| . 514192) (|partialFraction| . 513549) (|coerceS| . 513328) (|leftAlternative?| . 512988) (|green| . 512949) (|fullOutput| . 510174) (|specialTrigs| . 509888) (|recip| . 507904) (|sort!| . 507549) (|biringToPolyRing| . 507151) (|solveid| . 506916) (|doublyTransitive?| . 506762) (|drotg| . 506615) (|constantOperator| . 506445) (|realEigenvalues| . 506240) (|s17dlf| . 505998) (|leftRankPolynomial| . 505231) (|match| . 503889) (|rightAlternative?| . 503549) (|dAndcExp| . 503322) (|rational| . 502002) (|genericLeftMinimalPolynomial| . 501659) (|matrixGcd| . 501307) (|pointToCell| . 501095) (|s17dhf| . 500891) (|multiple| . 500615) (|freeOf?| . 500204) (|product| . 499111) (|filterUpTo| . 498980) (|arg1| . 498832) (|s17dgf| . 498628) (|solveLinearPolynomialEquationByRecursion| . 497914) (|calcRanges| . 497749) (|optional| . 497473) (|tail| . 497098) (|apply| . 496355) (|alterQuadVar!| . 496162) (|intersect| . 494366) (|arg2| . 494218) (|getlo| . 493732) (|argument| . 493376) (|normalForm| . 492789) (|f02xef| . 492560) (|slope| . 491614) (NOT . 491359) (|drawStyle| . 491237) (|pile| . 491144) (|close!| . 490972) (|listConjugateBases| . 490467) (|f02wef| . 490250) (|semiSubResultantGcdEuclidean1| . 490025) (|not| . 489842) (|monic?| . 489442) (|brace| . 489098) (OR . 488880) (|rightOne| . 488760) (|pseudoRem| . 488620) (E1 . 488463) (|f02fjf| . 487676) (|leaves| . 487555) (|mul| . 487419) (|cons| . 487260) (AND . 487042) (|quasiRegular| . 486795) (|ef2edf| . 486640) (|maxint| . 486460) (|makeCrit| . 486001) (|quotient| . 485542) (|f02bjf| . 485302) (|possiblyNewVariety?| . 484947) (|update| . 484784) (|copy| . 483813) (|poisson| . 483671) (|const| . 483505) (|asecIfCan| . 483364) (|top| . 483022) (|applyQuote| . 482368) (|f02bbf| . 482159) (|invertible?| . 481541) (|symmetricTensors| . 481207) (|constantOpIfCan| . 481027) (|separateFactors| . 480476) (|maxMixedDegree| . 480242) (|deleteProperty!| . 480156) (|f02axf| . 479979) (|cAsech| . 479819) (|mkIntegral| . 479510) (|partition| . 479308) (|loopPoints| . 479091) (|rowEchLocal| . 478946) (|printInfo| . 476041) (|f02awf| . 475870) (|invertIfCan| . 475562) (|insertTop!| . 475381) (|singularPointsWithRestriction| . 474974) (|foundZeroes| . 474856) (|bringDown| . 474317) (|representationType| . 474191) (|f02akf| . 474014) (|lfintegrate| . 473611) (|gcd| . 471191) (|primPartElseUnitCanonical!| . 470967) (|polygon| . 470447) (|rightMinimalPolynomial| . 470243) (|coord| . 469613) (|f02ajf| . 469442) (|pastel| . 469366) (|list| . 468952) (|monicDecomposeIfCan| . 468670) (|inHallBasis?| . 468553) (|iifact| . 468383) (|f02agf| . 468212) (|numberOfCycles| . 468082) (|enumerate| . 467813) (|truncatedmultiplication| . 467674) (|zeroDim?| . 467134) (|rename!| . 467040) (|reducedSystem| . 466643) (|bottom!| . 466468) (|OMgetVariable| . 466384) (|normFactors| . 466041) (|in?| . 465419) (|SFunction| . 465259) (|elem?| . 465140) (|fixPredicate| . 464842) (|nil| . 464768) (* . 456555) (|UpTriBddDenomInv| . 456294) (|dihedralGroup| . 455992) (|findTerm| . 455794) (|setAdaptive3D| . 455717) (|hasPredicate?| . 455602) (|equality| . 455467) (|besselK| . 455012) (|OMputEndAtp| . 454930) (|subHeight| . 454849) (|Beta| . 454202) (|wordsForStrongGenerators| . 454049) (|leadingBasisTerm| . 453787) (|pToDmp| . 453575) (|lastSubResultantEuclidean| . 453324) (|bezoutMatrix| . 453030) (|removeDuplicates| . 452870) (|rdregime| . 452248) (|encode| . 452131) (|getPickedPoints| . 452015) (|getOp| . 451628) (|tanh2trigh| . 451413) (|false| . 451372) (|empty| . 450402) (|stronglyReduce| . 450146) (|bat1| . 449969) (|rest| . 449193) (|swap| . 448893) (|halfExtendedSubResultantGcd1| . 448341) (|complexElementary| . 447068) (|exactQuotient| . 446617) (|reverse| . 446215) (|polyRDE| . 445752) (|maxColIndex| . 445285) (|selectSumOfSquaresRoutines| . 445235) (|curryLeft| . 444992) (|selectsecond| . 444868) (|guessHolo| . 440533) (|goodPoint| . 440293) (|mix| . 439971) (|setDifference| . 439857) (|normalizedDivide| . 439307) (|OMgetEndApp| . 439225) (|evaluateInverse| . 438947) (|OMsupportsCD?| . 438834) (|setIntersection| . 438720) (|hclf| . 438531) (|setStatus!| . 438324) (|purelyAlgebraic?| . 437758) (|updateStatus!| . 437582) (|LPolynomial| . 434702) (|setDegree!| . 434495) (|iiabs| . 434321) (|subNodeOf?| . 434025) (|parametric?| . 433950) (|axServer| . 433787) (|setUnion| . 433673) (|check| . 432917) (|unary?| . 432833) (|selectMultiDimensionalRoutines| . 432783) (|solveInField| . 431846) (|indiceSubResultant| . 431638) (|getDomains| . 431506) (|size?| . 430617) (|size| . 428678) (|ellipticCylindrical| . 428469) (|degree| . 423666) (|sort| . 422942) (|idealiser| . 422322) (|substitute| . 422217) (|rewriteIdealWithQuasiMonicGenerators| . 421841) (|maxShift| . 421563) (|copyQuadVar| . 421351) (|iiacsc| . 421155) (|binomThmExpt| . 420928) (|cAcot| . 420768) (|changeNameToObjf| . 420652) (|allRootsOf| . 419610) (|quadraticForm| . 419447) (|hasDimension?| . 419125) (|enterPointData| . 418952) (|prindINFO| . 418555) (|reduceBasisAtInfinity| . 418281) (|lastSubResultantElseSplit| . 417979) (|sturmVariationsOf| . 417717) (|isExpt| . 416091) (|complexRoots| . 415573) (|curve| . 414864) (|subscriptedVariables| . 414758) (|selectFiniteRoutines| . 414708) (|recoverAfterFail| . 414581) (|showScalarValues| . 414504) (|redPo| . 414175) (|sizeLess?| . 414084) (|addmod| . 414020) (|symmetricRemainder| . 413959) (|parts| . 412813) (|leaf?| . 412381) (|df2st| . 412012) (|BumInSepFFE| . 411649) (|ldf2vmf| . 411497) (|nthFlag| . 411320) (|fortranDouble| . 411275) (|normalise| . 411159) (|createPrimitiveNormalPoly| . 410957) (|modulus| . 409807) (|unitCanonical| . 409754) (|purelyTranscendental?| . 409468) (|OMopenString| . 409344) (|traverse| . 409175) (|readLine!| . 409097) (|coefOfFirstNonZeroTerm| . 408997) (|OMputFloat| . 408880) (|convergents| . 408736) (|cCos| . 408576) (|displayAsGF| . 408443) (|internalLastSubResultant| . 407517) (|cond| . 407349) (|llprop| . 407192) (|acothIfCan| . 407051) (|fortranLinkerArgs| . 406963) (|atrapezoidal| . 406660) (|type| . 406521) (|rdHack1| . 406288) (|isMult| . 406067) (|pointLists| . 405954) (|removeSinSq| . 405739) (|OMencodingUnknown| . 405689) (|depth| . 405068) (|screenResolution| . 404831) (|deepestInitial| . 404644) (|monomial2series| . 404434) (|comp| . 404178) (|mainDefiningPolynomial| . 404058) (|toseLastSubResultant| . 403663) (|ScanFloatIgnoreSpacesIfCan| . 403544) (|count| . 401079) (|leftRank| . 400887) (|nextSublist| . 400493) (|factorial| . 400145) (|open?| . 400013) (|implies| . 399966) (|numerator| . 399589) (|symmetricSquare| . 399444) (|reduction| . 398894) (|getSmgl| . 398787) (|elRow1!| . 398492) (|divisorCascade| . 397910) (|setright!| . 397766) (|bivariate?| . 397479) (|low| . 397389) (|property| . 397268) (|truncatedmuladd| . 397101) (|partialDenominators| . 396970) (|allSimpleCells| . 396491) (|expr| . 396242) (|halfExtendedResultant2| . 396001) (|lcmCoef| . 395860) (|units| . 395233) (|sin?| . 395110) (|exquo| . 393610) (|horizConcat| . 393152) (|div| . 393102) (|pToHdmp| . 392879) (|code| . 391636) (|bsolve| . 390793) (|root?| . 390647) (|op| . 390491) (|vertConcat| . 390033) (|rotatex| . 389892) (|setLabelValue| . 389804) (|minGbasis| . 389537) (|failed| . 389230) (|multiple?| . 389115) (|iiacosh| . 388919) (|torsion?| . 388074) (|coordinates| . 385948) (|harmonic| . 385808) (|traceMatrix| . 385184) (|standardBasisOfCyclicSubmodule| . 384949) (|checkPrecision| . 384860) (|clearCache| . 384747) (|fixedPoints| . 384600) (|fractionPart| . 383986) (|cap| . 383819) (|singularPoints| . 382206) (|flexibleArray| . 381945) (|arrayStack| . 381827) (|leftZero| . 381711) (|radicalEigenvectors| . 381413) (|rank| . 378934) (|wronskianMatrix| . 378473) (|pquo| . 378093) (|rightFactorCandidate| . 377897) (|airyBi| . 377454) (|overset?| . 377041) (|nthExponent| . 376919) (|supDimElseRittWu?| . 376226) (|exprHasWeightCosWXorSinWX| . 375856) (|HenselLift| . 375551) (|copyInto!| . 375379) (|stoseInvertibleSetreg| . 375017) (|symmetricProduct| . 374649) (|vectorcombination| . 374476) (|zeroVector| . 374309) (|laguerreL| . 373999) (|getBadValues| . 373879) (|wrregime| . 373226) (|whatInfinity| . 373095) (|conditions| . 372891) (|numberOfMonomials| . 372396) (|triangulate| . 371719) (|groebnerFactorize| . 370272) (|orderIfNegative| . 370134) (|seriesSolve| . 366064) (|var2StepsDefault| . 365874) (|fresnelS| . 365486) (|besselI| . 365031) (|predicate| . 364830) (|f2st| . 364710) (|isList| . 364573) (|gethi| . 364087) (|padicallyExpand| . 363935) (|summary| . 363843) (|times!| . 363702) (|finiteBasis| . 363402) (|mathieu11| . 363139) (|numberOfFractionalTerms| . 363012) (|show| . 362853) (|makingStats?| . 362684) (|keys| . 361833) (|deepExpand| . 361622) (|cubicBezier| . 361463) (|internalIntegrate0| . 361054) (|quadraticNorm| . 360740) (|e02aef| . 360541) (|returnTypeOf| . 360374) (|resize| . 360111) (|guessExpRat| . 353058) (|sechIfCan| . 352917) (|simplifyExp| . 352702) (|exp1| . 352621) (|clipParametric| . 352043) (|rationalPoint?| . 351441) (|dimensionsOf| . 351007) (|removeSquaresIfCan| . 350720) (|constant| . 349754) (|c02agf| . 349551) (|removeRedundantFactorsInContents| . 349229) (|mat| . 349036) (|GospersMethod| . 348562) (|axesColorDefault| . 348388) (|trueEqual| . 348294) (|interpolateFormsForFact| . 346284) (|c02aff| . 346081) (|logical?| . 345993) (|aColumn| . 345713) (|e02adf| . 345537) (|incrementKthElement| . 345383) (|realSolve| . 343282) (|overlap| . 342844) (|nilFactor| . 342722) (|linearlyDependent?| . 342512) (|MPtoMPT| . 342263) (|degOneCoef| . 341969) (|adaptive3D?| . 341895) (|c05pbf| . 341608) (|showAttributes| . 340509) (|stopTableGcd!| . 339816) (|rewriteIdealWithHeadRemainder| . 339505) (|tab| . 339343) (|graphStates| . 338894) (|pole?| . 338575) (|setleft!| . 338431) (|doubleFloatFormat| . 338350) (|radix| . 338197) (|divide!| . 338033) (|OMserve| . 337907) (|credits| . 337815) (|compile| . 337694) (|sncndn| . 337450) (|froot| . 336895) (|cAcosh| . 336735) (|univariatePolynomial| . 335859) (|leftQuotient| . 335565) (|dflist| . 335344) (|key?| . 335179) (|minRowIndex| . 334712) (|e01sef| . 334492) (|setrest!| . 334239) (|outputAsScript| . 333995) (|binarySearchTree| . 333872) (|makeCos| . 333664) (|printInfo!| . 333465) (|trivialIdeal?| . 333194) (|element| . 332911) (|e01saf| . 332735) (|replaceDiffs| . 332312) (|guessRec| . 325259) (|matrixDimensions| . 325107) (|opeval| . 324829) (|infix?| . 324748) (|max| . 324181) (|e01daf| . 324002) (|linearAssociatedOrder| . 323818) (|curveV| . 323220) (|indicialEquationAtInfinity| . 322580) (|explicitlyEmpty?| . 322458) (|vectorise| . 322164) (|e01bhf| . 321950) (|basisOfNucleus| . 321772) (|setmult!| . 321243) (|e01bgf| . 321061) (|subPolSet?| . 320312) (|imagj| . 320210) (|cyclic?| . 319980) (|random| . 318727) (|functionIsFracPolynomial?| . 318409) (|e01bff| . 318227) (|showIntensityFunctions| . 317652) (|bumprow| . 317363) (|firstExponent| . 317108) (|tanAn| . 316928) (|binaryTournament| . 316805) (|fprindINFO| . 316405) (|internalIntegrate| . 315681) (|abs| . 314751) (|e01bef| . 314578) (|KrullNumber| . 313723) (|kmax| . 313517) (|e01baf| . 313338) (|rombergo| . 313038) (|inverseColeman| . 312878) (|setTex!| . 312787) (|last| . 312199) (|OMputAtp| . 312117) (|identitySquareMatrix| . 311950) (|qShiftAction| . 311723) (|iFTable| . 311128) (|iiBesselY| . 310926) (|e02zaf| . 310741) (|conjugates| . 310625) (|One| . 310180) (|normalizeAtInfinity| . 309906) (|genericRightDiscriminant| . 309597) (|dim| . 309521) (|primextintfrac| . 309194) (|prod| . 309050) (|e02gaf| . 308842) (|rootOfIrreduciblePoly| . 308430) (|positiveRemainder| . 308369) (|perfectSquare?| . 308241) (|RittWuCompare| . 308013) (|commonDenominator| . 307154) (|e02dff| . 306963) (|build| . 306484) (|e02def| . 306302) (|semiDegreeSubResultantEuclidean| . 306026) (|row| . 305553) (|dark| . 305477) (|zCoord| . 305363) (|primaryDecomp| . 304811) (|complexIntegrate| . 304092) (|UnVectorise| . 303924) (|e02ddf| . 303659) (|sech2cosh| . 303444) (|nthr| . 302912) (|shellSort| . 302654) (|testModulus| . 302443) (|midpoints| . 302156) (|e02dcf| . 301849) (|factorSquareFreeByRecursion| . 301153) (|retractToGrn| . 300985) (|mapBivariate| . 300622) (|e02daf| . 300351) (|parametersOf| . 300261) (|high| . 300171) (|coercePreimagesImages| . 300043) (|member?| . 298574) (|combineFeatureCompatibility| . 298366) (|guessHP| . 290899) (|diagonal| . 290695) (|e02bef| . 290403) (|collectQuasiMonic| . 290150) (|members| . 289118) (|fibonacci| . 289019) (|e02bdf| . 288852) (|changeVar| . 288074) (|minPoints3D| . 288000) (|reset| . 287117) (|qnew| . 286515) (|back| . 286260) (|Ei3| . 286135) (|iiasinh| . 285939) (|powmod| . 285875) (|ScanFloatIgnoreSpaces| . 285766) (|outerProduct| . 285617) (|write| . 284972) (|rotate!| . 284717) (|minusInfinity| . 284528) (|save| . 284483) (|fortranLogical| . 284438) (|linears| . 284276) (|pushucoef| . 283859) (|xCoord| . 283745) (|subResultantsChain| . 283541) (|plusInfinity| . 283352) (|insertRoot!| . 283254) (|singular?| . 282713) (|lagrange| . 282220) (|chiSquare| . 282076) (|argumentListOf| . 281953) (|complexNumeric| . 278266) (|fortranCarriageReturn| . 278186) (|limit| . 275969) (|mkAnswer| . 275624) (|dimension| . 274142) (|presub| . 274092) (|kernels| . 273993) (|d| . 273826) (|leftCharacteristicPolynomial| . 273659) (|cotIfCan| . 273518) (|restorePrecision| . 273432) (|minrank| . 272864) (|point?| . 272743) (|univariate| . 269796) (|generalInterpolation| . 267829) (|setMaxPoints3D| . 267752) (|bivariatePolynomials| . 267381) (|topFortranOutputStack| . 267289) (|cycleLength| . 267152) (|factor| . 255323) (|processTemplate| . 255149) (|lfinfieldint| . 254777) (|symbol?| . 254388) (|coerceImages| . 254269) (|tensorProduct| . 253754) (|imag| . 253014) (|weakBiRank| . 252822) (|complex?| . 252734) (|countable?| . 252649) (|principalIdeal| . 252483) (|minordet| . 251749) (|directProduct| . 251620) (|factorUsingYun| . 251196) (|prepareSubResAlgo| . 250792) (|localParamV| . 250257) (|getMultiplicationTable| . 249479) (|relationsIdeal| . 249080) (|destruct| . 248595) (|rotatez| . 248454) (|Si| . 248159) (|scalarMatrix| . 247727) (|rspace| . 247643) (|linearDependence| . 247421) (|d01gbf| . 247123) (|monomial| . 244226) (|writeObj| . 244073) (|d01gaf| . 243902) (|superHeight| . 243821) (|showClipRegion| . 243699) (|OMputEndBVar| . 243617) (|trapezoidal| . 243317) (|multivariate| . 241648) (|charClass| . 241471) (|quadratic?| . 241337) (|number?| . 241183) (|leftPower| . 240997) (|d01fcf| . 240702) (|options| . 240281) (|foundPlaces| . 240113) (|e| . 239927) (|multiEuclidean| . 239826) (|groebnerIdeal| . 239570) (|iCompose| . 239462) (|rquo| . 238554) (|d01bbf| . 238388) (|ref| . 238306) (|logGamma| . 238093) (|rightUnit| . 237932) (|repack1| . 237706) (|d01asf| . 237459) (|commaSeparate| . 237247) (|vconcat| . 237107) (|inv| . 235901) (|ramifMult| . 235808) (|limitPlus| . 234968) (|outputArgs| . 234596) (|iter| . 234409) (|headReduced?| . 233389) (|ground?| . 232803) (|ramifiedAtInfinity?| . 232534) (|cSin| . 232374) (|d02raf| . 231938) (|moduloP| . 231842) (|rightTrim| . 231654) (|unitsColorDefault| . 231480) (|composite| . 231027) (|ground| . 230792) (|primitive?| . 230509) (|complexSolve| . 229416) (|characteristic| . 227730) (|maxSubst| . 227458) (|d02kef| . 226618) (|perspective| . 226496) (|leadingMonomial| . 225404) (|localPointV| . 224862) (|symbNameV| . 224328) (|qroot| . 223764) (|rk4| . 223187) (|d02gbf| . 222781) (|merge!| . 222310) (|leadingCoefficient| . 220286) (|introduce!| . 220176) (|inc| . 220118) (|cCot| . 219958) (|palgLODE| . 219355) (|primlimintfrac| . 218954) (|d02gaf| . 218632) (|primitiveMonomials| . 218426) (|range| . 218214) (|tower| . 218115) (|iiBeta| . 217913) (|bitLength| . 217831) (|perfectNthRoot| . 217499) (|variableOf| . 217321) (|d02ejf| . 216743) (|reductum| . 214708) (|setleaves!| . 214579) (|iprint| . 214464) (|cCsch| . 214304) (|lprop| . 214156) (|real?| . 213407) (|geometric| . 213265) (|d02cjf| . 212773) (|modularFactor| . 212562) (|double| . 212376) (|makeGraphImage| . 211774) (|guessBinRat| . 204721) (|constantLeft| . 204481) (|d02bhf| . 204096) (|OMconnectTCP| . 203940) (|overbar| . 203893) (|mkcomm| . 203765) (|commutative?| . 203425) (|fortranCompilerName| . 203337) (|refine| . 201565) (|d02bbf| . 201175) (|squareMatrix| . 201020) (|usingTable?| . 200851) (|physicalLength| . 200568) (|setsubmult!| . 200039) (|e02ahf| . 199825) (|node?| . 199667) (|eq?| . 199012) (UP2UTS . 198741) (|baseRDEsys| . 198432) (|reducedContinuedFraction| . 198298) (|spherical| . 198114) (|quartic| . 197587) (|makeFloatFunction| . 197149) (|addMatch| . 196977) (|copyDrift| . 196765) (|outputFloating| . 196586) (|mapSolve| . 196202) (|read!| . 196071) (|univariatePolynomialsGcds| . 195405) (|principal?| . 195097) (|allPairsAmong| . 194551) (|showRegion| . 194429) (|mathieu22| . 194166) (|plus!| . 194025) (|prinshINFO| . 193761) (|remove| . 192795) (|identification| . 192534) (|cycleRagits| . 192411) (|realEigenvectors| . 192113) (|Yun| . 191902) (|graphImage| . 191858) (|iiasec| . 191662) (|chebyshevT| . 191349) (|initializeParamOfPlaces| . 189937) (|newReduc| . 189717) (|cTan| . 189557) (|elt| . 180496) (|isobaric?| . 180221) (|trace| . 179404) (|listOfLists| . 178811) (|rationalPoints| . 176496) (|upDateBranches| . 175213) (|doubleDisc| . 174978) (|setelt| . 172576) (|ranges| . 172129) (|nonQsign| . 172006) (|iiBesselK| . 171804) (|makeEq| . 171487) (|printHeader| . 171193) (|infRittWu?| . 169948) (|pointValue| . 169701) (|fractRadix| . 169575) (|qfactor| . 169205) (|upperCase!| . 169151) (|pmComplexintegrate| . 168572) (|anticoord| . 168276) (|setcurve!| . 167675) (|numericIfCan| . 166307) (|semiIndiceSubResultantEuclidean| . 166031) (|Ei5| . 165906) (|rightRankPolynomial| . 165139) (|changeWeightLevel| . 164518) (|twoFactor| . 164212) (|selectPDERoutines| . 164162) (|powern| . 163954) (|copyBSD| . 163830) (|edf2df| . 163684) (|sh| . 163320) (|octon| . 163071) (|primPartElseUnitCanonical| . 162847) (|integralDerivationMatrix| . 162501) (|iiAiryAi| . 162327) (|acosIfCan| . 162186) (|initializeGroupForWordProblem| . 161913) (|monicCompleteDecompose| . 161673) (|lazyIntegrate| . 161442) (|makeViewport3D| . 161086) (F . 160939) (|localUnquote| . 160591) (|drawToScale| . 160423) (|mdeg| . 160197) (|light| . 160121) (|nextsousResultant2| . 159949) (|fortranDoubleComplex| . 159904) (|subtractIfCan| . 159827) (|qPot| . 159648) (|leftScalarTimes!| . 159507) (|alternating| . 159356) (|wreath| . 159230) (|genericRightTrace| . 158918) (|affineRationalPoints| . 158027) (|union| . 157431) (|bfEntry| . 157190) (|makeUnit| . 157041) (|vedf2vef| . 156864) (|decompose| . 154004) (|atom?| . 153727) (|clipWithRanges| . 153433) (|readable?| . 153344) (|twist| . 153101) (|prefix| . 153005) (|leftTraceMatrix| . 152499) (|normalize| . 151400) (|rootProduct| . 150843) (|createMultiplicationMatrix| . 150609) (|scalarTypeOf| . 150475) (|nsqfree| . 149950) (|subSet| . 149801) (|extendedgcd| . 149626) (|placesOfDegree| . 147383) (|log| . 145049) (|bipolar| . 144840) (|ffactor| . 144533) (|zeroDimPrimary?| . 144161) (|createRandomElement| . 143994) (|lazyGintegrate| . 143744) (|mainForm| . 143643) (|nextPrime| . 143535) (|dasum| . 143357) (|input| . 143105) (|variable| . 142414) (|beauzamyBound| . 142072) (|OMconnInDevice| . 141976) (|exactQuotient!| . 141525) (|structuralConstants| . 140309) (|lazyVariations| . 140013) (|powers| . 139878) (|test| . 139834) (|jordanAdmissible?| . 139494) (|rowEchWoZeroLines| . 139379) (|reduceLineOverLine| . 139260) (|algebraicSort| . 138573) (|makeViewport2D| . 138378) (|expandLog| . 138163) (|square?| . 137709) (|balancedBinaryTree| . 137569) (|yCoordinates| . 137257) (|integerIfCan| . 137116) (|pop!| . 136774) (|sylvesterSequence| . 136582) (|OMputEndError| . 136500) (|showAll?| . 136362) (|biRank| . 136170) (|numer| . 134907) (|real| . 133967) (|dscal| . 133786) (|dihedral| . 133635) (|ParCond| . 133127) (|pushuconst| . 132756) (|OMgetEndAtp| . 132674) (|mainCharacterization| . 132410) (|createHN| . 132197) (|denom| . 130954) (|complex| . 130850) (|iiasin| . 130654) (|showTheRoutinesTable| . 130607) (|asinIfCan| . 130466) (|indicialEquation| . 129713) (|lighting| . 129586) (|smith| . 129338) (|kernel| . 128821) (|skewSFunction| . 128658) (|exprHasAlgebraicWeight| . 128329) (|inverseIntegralMatrixAtInfinity| . 128045) (|itsALeaf!| . 127877) (|nullSpace| . 126170) (|userOrdered?| . 126039) (|removeRoughlyRedundantFactorsInContents| . 125717) (|draw| . 117687) (|derivative| . 117128) (|constantToUnaryFunction| . 116975) (|makeTerm| . 116820) (|complexNumericIfCan| . 113765) (|transcendenceDegree| . 113444) (|singularAtInfinity?| . 113175) (|cycles| . 113037) (|basisOfRightAnnihilator| . 112856) (|makeObject| . 108385) (|dswap| . 108173) (|Nul| . 108080) (|absolutelyIrreducible?| . 107490) (|dimensions| . 107137) (|getShiftRec| . 106647) (|parse| . 106568) (|rightFactorIfCan| . 106301) (|npcoef| . 105664) (|coef| . 105064) (|iicsch| . 104868) (|critB| . 104592) (|lfunc| . 104509) (|leastMonomial| . 104322) (|OMcloseConn| . 104236) (|coordinate| . 103840) (|fullDisplay| . 103233) (|inverseIntegralMatrix| . 102949) (|monom| . 102498) (|algint| . 102115) (|append| . 102035) (|recur| . 101676) (|infinity| . 101485) (|badValues| . 101299) (|tubeRadiusDefault| . 101091) (|makeResult| . 100817) (|brillhartTrials| . 100499) (|character?| . 100411) (|function| . 99702) (|leftRecip| . 99479) (|newElement| . 98898) (|clearDenominator| . 98009) (|Lazard2| . 97798) (|maxIndex| . 97637) (|space| . 97350) (|trigs2explogs| . 96907) (|commutativeEquality| . 96724) (|roughEqualIdeals?| . 96413) (|dominantTerm| . 95739) (|addPoint2| . 95589) (|htrigs| . 95374) (|doubleRank| . 95182) (|dioSolve| . 94862) (|clipBoolean| . 94728) (|compBound| . 94506) (|cAsec| . 94346) (|antisymmetric?| . 93892) (|rischDEsys| . 93197) (|iicoth| . 93001) (|compiledFunction| . 92477) (|precision| . 92066) (|numberOfIrreduciblePoly| . 91914) (|zeroDimensional?| . 91461) (|normalizedAssociate| . 91147) (|rightExtendedGcd| . 90927) (|branchIfCan| . 89938) (|setFoundPlacesToEmpty| . 89770) (|numberRatPlacesExtDeg| . 88361) (|modularGcd| . 88099) (|minimalForm| . 87175) (|shufflein| . 87019) (|reduceByQuasiMonic| . 86763) (|chainSubResultants| . 86569) (|message| . 86489) (|generators| . 86096) (|branchPoint?| . 85555) (|genusTreeNeg| . 84805) (|rootNormalize| . 84445) (|leastAffineMultiple| . 84279) (|interpolateForms| . 82249) (|contains?| . 82068) (|maxPoints| . 81831) (|reopen!| . 81670) (|node| . 81564) (|setPosition| . 81441) (|open| . 81152) (|factorList| . 80590) (|exptMod| . 80212) (|cPower| . 80049) (|radicalSolve| . 77784) (|tube| . 77380) (|binaryTree| . 77197) (|basisOfRightNucleus| . 77019) (|exponentialOrder| . 76796) (|writable?| . 76707) (|finiteSeries2LinSys| . 76457) (|invmultisect| . 75828) (|shrinkable| . 75567) (|defineProperty| . 75349) (|unitNormal| . 75205) (|primextendedint| . 74713) (|FormatRoman| . 74594) (|OMsetEncoding| . 74472) (|cscIfCan| . 74331) (|gcdPrimitive| . 73527) (|viewDeltaXDefault| . 73347) (|strongGenerators| . 73207) (|central?| . 73026) (|chineseRemainder| . 72107) (|integralAtInfinity?| . 71835) (|increasePrecision| . 71663) (|generic| . 69977) (|integer?| . 69478) (|cyclotomic| . 69006) (|removeConstantTerm| . 68802) (|reduceRowOnList| . 68649) (|ratpart| . 68558) (|pointToPlace| . 68097) (|variables| . 65881) (|roughUnitIdeal?| . 65573) (|symmetricDifference| . 65476) (|dmpToP| . 65264) (|deepCopy| . 65146) (|cycleTail| . 65048) (|move| . 64779) (|directory| . 64691) (|interReduce| . 64404) (|times| . 64156) (|edf2efi| . 63986) (|infinityNorm| . 63672) (|parent| . 63554) (|OMgetAttr| . 63472) (|perfectNthPower?| . 63302) (|replaceVarByZero| . 63016) (|cAcsc| . 62856) (|basisOfCenter| . 62678) (|distdfact| . 62361) (|tablePow| . 62087) (|singRicDE| . 60994) (|cos2sec| . 60779) (|Vectorise| . 60611) (|ricDsolve| . 57152) (|bubbleSort!| . 56609) (|iiasech| . 56413) (|janko2| . 56150) (|create| . 54545) (|placesAbove| . 53197) (|sin2csc| . 52982) (|weighted| . 52772) (|SturmHabichtSequence| . 52529) (|eisensteinIrreducible?| . 52371) (|nor| . 52273) (|iicsc| . 52077) (|rightTrace| . 51960) (|setref| . 51875) (|denomLODE| . 51052) (|fixedPointExquo| . 50858) (|bracket| . 50721) (|summation| . 50110) (|setImagSteps| . 50028) (|getZechTable| . 49407) (|prefixRagits| . 49284) (|resultant| . 48401) (|curryRight| . 48158) (|over| . 48108) (|inGroundField?| . 47990) (|any| . 47884) (|randomLC| . 47531) (|title| . 47085) (|startPolynomial| . 46816) (|rangeIsFinite| . 46257) (|subMultV| . 45731) (|lp| . 45600) (|map!| . 44385) (|radicalEigenvector| . 44147) (|moebiusMu| . 44048) (|jordanAlgebra?| . 43708) (|pascalTriangle| . 43545) (|lexTriangular| . 43240) (|tanIfCan| . 43099) (|setlast!| . 42956) (|routines| . 42909) (|minIndex| . 42748) (|failed?| . 42379) (|quatern| . 42266) (|reducedDiscriminant| . 41981) (|totalLex| . 41774) (|stoseLastSubResultant| . 41369) (|viewSizeDefault| . 41161) (|startTableInvSet!| . 40396) (EQ . 40178) (|t| . 40034) (|critMTonD1| . 39671) (|sPol| . 39317) (|quadratic| . 38796) (|primlimitedint| . 38255) (|printingInfo?| . 38086) (|viewThetaDefault| . 37906) (|trailingCoefficient| . 37749) (|idealiserMatrix| . 37439) (|mask| . 37381) (|removeCoshSq| . 37166) (|perfectSqrt| . 37056) (|removeRedundantFactorsInPols| . 36734) (|goodnessOfFit| . 36396) (|definingInequation| . 36163) (|cyclic| . 36012) (|newton| . 35832) (|assign| . 31370) (|ScanArabic| . 31251) (|OMsupportsSymbol?| . 31135) (|viewWriteAvailable| . 31040) (|firstDenom| . 30909) (|knownInfBasis| . 30602) (|basisOfRightNucloid| . 30413) (|flagFactor| . 30233) (|interval| . 29745) (|compose| . 29460) (|removeConjugate| . 28885) (|lazyIrreducibleFactors| . 28519) (|factorials| . 27996) (|useEisensteinCriterion| . 27838) (|getVariableOrder| . 27679) (|moduleSum| . 27293) (|toseInvertible?| . 26543) (|resultantEuclidean| . 26295) (|solid| . 26196) (|localReal?| . 25972) (|testDim| . 25664) (|factors| . 24977) (|nextItem| . 24917) (|lambert| . 24424) (|palgintegrate| . 23928) (|operators| . 23825) (|setOrder| . 23507) (|mainMonomials| . 23292) (|OMgetAtp| . 23210) (|contract| . 22428) (|complexForm| . 21743) (|machineFraction| . 21648) (|leftMinimalPolynomial| . 21444) (|minus!| . 21168) (|tanNa| . 21046) (|triangSolve| . 19964) (|lazyPseudoQuotient| . 19859) (|domainOf| . 19782) (|ddFact| . 19548) (|realZeros| . 17277) (|solveLinearlyOverQ| . 17054) (|listBranches| . 16793) (|head| . 16353) (|additive?| . 16200) (|palgLODE0| . 14937) (|maxRowIndex| . 14470) (|taylorRep| . 14294) (|rk4a| . 14001) (|antisymmetricTensors| . 13581) (|rootKerSimp| . 12945) (|reportInstantiations| . 12822) (|setFoundZeroes| . 12701) (|bit?| . 12606) (|jacobi| . 12504) (|euler| . 12234) (|super| . 12184) (|tab1| . 12007) (|bfKeys| . 11917) (|pol| . 11719) (|safeFloor| . 11556) (|nextColeman| . 11396) (|matrix| . 10379) (|asimpson| . 10076) (|gnuDraw| . 9217) (|lowerCase!| . 9163) (|selectfirst| . 9039) (|complexZeros| . 8338) (|prolateSpheroidal| . 8129) (|exprToXXP| . 7569) (|degreeSubResultant| . 7361) (|pseudoQuotient| . 7218) (|powerSum| . 7067) (|void| . 7029) (|desingTreeAtPoint| . 6365) (|subst| . 5920) (|factorOfDegree| . 4499) (|explogs2trigs| . 4106) (|cyclotomicFactorization| . 3936) (|nextNormalPrimitivePoly| . 3760) (|generalizedContinuumHypothesisAssumed?| . 3678) (|reduced?| . 2887) (|alternatingGroup| . 2585) (|maxTower| . 2468) (|sequences| . 2162) (|basisOfCommutingElements| . 1984) (|externalList| . 1894) (|resultantReduitEuclidean| . 1608) (|error| . 1130) (|musserTrials| . 804) (|OMputEndApp| . 722) (|allDegrees| . 510) (|choosemon| . 245) (|SturmHabicht| . 30)) 
\ No newline at end of file
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+((|numberOfDivisors| . 1571891) (|car| . 1571642) (|setsymbName!| . 1571105) (|clearTable!| . 1570939) (|OMmakeConn| . 1570844) (|cdr| . 1570595) (|norm| . 1567082) (|cSec| . 1566922) (FG2F . 1566560) (|any?| . 1565365) (|diagonalProduct| . 1564857) (|scan| . 1562863) (|linear| . 1562345) (|semiLastSubResultantEuclidean| . 1562111) (|rightRank| . 1561919) (|totalGroebner| . 1561747) (|lazyPseudoRemainder| . 1561642) (|removeZero| . 1561386) (|showFortranOutputStack| . 1561284) (|maxDegree| . 1561006) (|integralBasis| . 1559274) (|parametrize| . 1555991) (|length| . 1554471) (|sec2cos| . 1554256) (|drawCurves| . 1553778) (|schwerpunkt| . 1553566) (|scripts| . 1553210) (|linearAssociatedLog| . 1552832) (|leadingSupport| . 1552686) (|Ei6| . 1552561) (|cAsin| . 1552401) (|ricDsolve| . 1548942) (|noKaratsuba| . 1548768) (|normDeriv2| . 1548443) (|polCase| . 1548096) (|bubbleSort!| . 1547553) (|listLoops| . 1547389) (|fractRagits| . 1547264) (|rows| . 1546686) (|coerce| . 1506324) (|gcdBasisAdd| . 1506116) (|iiasech| . 1505920) (|resultantnaif| . 1505754) (|getEq| . 1505401) (|isQuotient| . 1505102) (|binomial| . 1504528) (|janko2| . 1504265) (|idealSimplify| . 1504032) (|shanksDiscLogAlgorithm| . 1503802) (|regularRepresentation| . 1503396) (|create| . 1501791) (|eulerE| . 1501576) (|expint| . 1501195) (|nrows| . 1500706) (|divOfZero| . 1500609) (|placesAbove| . 1499261) (|stiffnessAndStabilityOfODEIF| . 1498785) (|extract!| . 1498283) (|ncols| . 1497794) (|resetAttributeButtons| . 1497713) (|sin2csc| . 1497498) (|fresnelC| . 1497110) (|affineSingularPoints| . 1495750) (|completeEval| . 1495359) (|weighted| . 1495149) (|elRow2!| . 1494851) (|affineAlgSet| . 1493940) (|call| . 1493859) (|position| . 1492977) (|previous| . 1492881) (|SturmHabichtSequence| . 1492638) (|partialQuotients| . 1492507) (|polar| . 1492323) (|eisensteinIrreducible?| . 1492165) (LODO2FUN . 1491851) (|OMlistSymbols| . 1491730) (|reducedQPowers| . 1491495) (|nor| . 1491397) (|readLineIfCan!| . 1491309) (|null?| . 1491032) (|permutations| . 1490888) (|formula| . 1490790) (|find| . 1490649) (|iicsc| . 1490453) (|columns| . 1489875) (|suchThat| . 1487943) (|operator| . 1486025) (|iitan| . 1485829) (|rightTrace| . 1485712) (|algebraicDecompose| . 1484764) (|curry| . 1484564) (|classNumber| . 1483276) (|genericLeftNorm| . 1482964) (|setref| . 1482879) (|rightRegularRepresentation| . 1482559) (|bandedHessian| . 1482162) (|singularitiesOf| . 1481297) (|kovacic| . 1480504) (|denomLODE| . 1479681) (|acoshIfCan| . 1479540) (|inrootof| . 1479321) (|att2Result| . 1478424) (|fixedPointExquo| . 1478230) (|mainMonomial| . 1478043) (|ratDenom| . 1476356) (|monomRDEsys| . 1475905) (|bracket| . 1475768) (|infix| . 1475622) (|objectOf| . 1475545) (|summation| . 1474934) (|PollardSmallFactor| . 1474809) (|scripted?| . 1474732) (|homogeneous?| . 1474414) (|convert| . 1465840) (|setImagSteps| . 1465758) (|generalLambert| . 1465129) (|rightZero| . 1465013) (|branchPointAtInfinity?| . 1464744) (|and| . 1464599) (|flatten| . 1464553) (|cycleElt| . 1464405) (|getZechTable| . 1463784) (|getCurve| . 1463680) (|OMsend| . 1463525) (|bag| . 1462855) (|prefixRagits| . 1462732) (|resetNew| . 1462661) (|linearPolynomials| . 1462290) (|simpson| . 1461990) (|resultant| . 1461107) (|graphCurves| . 1460507) (|resetVariableOrder| . 1460415) (|divisors| . 1460279) (|curryRight| . 1460036) (|curve?| . 1459915) (|cosIfCan| . 1459774) (|pseudoRemainder| . 1459668) (|over| . 1459618) (|integralBasisAtInfinity| . 1459347) (|oneDimensionalArray| . 1459096) (|factorPolynomial| . 1458639) (|inGroundField?| . 1458521) (|elements| . 1458337) (|setButtonValue| . 1458107) (|second| . 1458009) (|randomLC| . 1457656) (|setsubMatrix!| . 1457430) (|palginfieldint| . 1456965) (|morphism| . 1456599) (|setProperties| . 1456484) (|startPolynomial| . 1456215) (|colorFunction| . 1455834) (|df2mf| . 1455702) (|rangeIsFinite| . 1455143) (|initiallyReduce| . 1454700) (|hermite| . 1454294) (|solve1| . 1454028) (|subMultV| . 1453502) (|rightRecip| . 1453279) (|maxPoints3D| . 1453205) (|setEmpty!| . 1453029) (|iipow| . 1452831) (|lp| . 1452700) (|wholeRagits| . 1452577) (|say| . 1452353) (|squareTop| . 1452164) (|makeYoungTableau| . 1452007) (|map!| . 1450792) (|expandTrigProducts| . 1450391) (|debug| . 1450107) (|subTriSet?| . 1449414) (|operation| . 1448916) (|nextSubsetGray| . 1448776) (|radicalEigenvector| . 1448538) (|startTableGcd!| . 1447773) (|localParam| . 1447602) (|library| . 1447523) (|moebiusMu| . 1447424) (|rationalFunction| . 1446982) (|airyAi| . 1446539) (|linearBezier| . 1446386) (|jordanAlgebra?| . 1446046) (|removeZeroes| . 1444747) (|iisqrt3| . 1444554) (|bezoutResultant| . 1444217) (|integralRepresents| . 1443940) (|pascalTriangle| . 1443777) (|localAbs| . 1442714) (|guessPRec| . 1435661) (|lexTriangular| . 1435356) (|quasiRegular?| . 1435053) (|aRow| . 1434773) (|construct| . 1430453) (|nullity| . 1429277) (|setRow!| . 1429041) (|tanIfCan| . 1428900) (|pmintegrate| . 1427769) (|boundOfCauchy| . 1427574) (|iiatan| . 1427378) (|setlast!| . 1427235) (|untab| . 1427055) (|orbits| . 1426924) (|pointPlot| . 1426258) (|routines| . 1426211) (|leftTrace| . 1426094) (|cschIfCan| . 1425953) (|minIndex| . 1425792) (|imagJ| . 1425589) (|setValue!| . 1425410) (|pointColorDefault| . 1425236) (|segment| . 1424942) (|setAdaptive| . 1424867) (|failed?| . 1424498) (|OMread| . 1424381) (|viewZoomDefault| . 1424201) (|subresultantVector| . 1424001) (|quatern| . 1423888) (|pdf2df| . 1423742) (GF2FG . 1423349) (|safetyMargin| . 1423007) (|reducedDiscriminant| . 1422722) (|mindegTerm| . 1422524) (|subNode?| . 1422268) (|extractProperty| . 1422104) (|totalLex| . 1421897) (|useNagFunctions| . 1421475) (|orbit| . 1420331) (|finiteSeries2LinSysWOVectorise| . 1420081) (|stoseLastSubResultant| . 1419676) (|createMultiplicationTable| . 1419422) (|univariatePolynomials| . 1419051) (|irreducibleFactors| . 1418685) (|viewSizeDefault| . 1418477) (|setlocalParam!| . 1417939) (|getMeasure| . 1417827) (|ratDsolve| . 1416020) (|startTableInvSet!| . 1415255) (|OMgetType| . 1415171) (|comment| . 1415003) (|bezoutDiscriminant| . 1414669) (|setRealSteps| . 1414587) (|critMTonD1| . 1414224) (|points| . 1414065) (|float| . 1413593) (|dcabs1| . 1413462) (|sPol| . 1413108) (|maximumExponent| . 1412948) (|coth2trigh| . 1412733) (|id| . 1412638) (|saturate| . 1412148) (|quadratic| . 1411627) (|uniform| . 1411193) (|integer| . 1410816) (|viewport3D| . 1410758) (|primlimitedint| . 1410217) (|int| . 1409567) (|setScreenResolution| . 1409492) (|printingInfo?| . 1409323) (|conjug| . 1409043) (|removeRedundantFactors| . 1407553) (|viewThetaDefault| . 1407373) (|listRepresentation| . 1407200) (|string| . 1406750) (|multiplyExponents| . 1406272) (|trailingCoefficient| . 1406115) (|fill!| . 1405740) (|chartCoord| . 1405647) (|idealiserMatrix| . 1405337) (|localize| . 1404748) (|gcdPolynomial| . 1404200) (|nullary?| . 1404116) (|mask| . 1404058) (|endSubProgram| . 1403977) (|convertIfCan| . 1403870) (|removeCoshSq| . 1403655) (|gbasis| . 1403354) (|perfectSqrt| . 1403244) (|bitCoef| . 1403159) (|removeRedundantFactorsInPols| . 1402837) (|cross| . 1402532) (|goodnessOfFit| . 1402194) (|atanhIfCan| . 1402053) (|definingInequation| . 1401820) (|changeBase| . 1401493) (|cyclic| . 1401342) (|nand| . 1401244) (|newton| . 1401064) (|reindex| . 1400856) (|assign| . 1396394) (|nonLinearPart| . 1396279) (|univcase| . 1396000) (|ScanArabic| . 1395881) (|key| . 1395618) (|infieldIntegrate| . 1395359) (|affinePoint| . 1395236) (|OMsupportsSymbol?| . 1395120) (|hessian| . 1394765) (|polyRing2UPUP| . 1394327) (|viewWriteAvailable| . 1394232) (|getGraph| . 1394097) (|expintfldpoly| . 1393773) (|firstDenom| . 1393642) (|bernoulli| . 1393331) (|knownInfBasis| . 1393024) (|basisOfLeftAnnihilator| . 1392843) (|lineColorDefault| . 1392669) (|basisOfRightNucloid| . 1392480) (|mapMatrixIfCan| . 1392078) (|gramschmidt| . 1391953) (|splitLinear| . 1391847) (|flagFactor| . 1391667) (|normalDenom| . 1391445) (|compose| . 1391160) (|sum| . 1388483) (|removeConjugate| . 1387908) (|Not| . 1387778) (|pow| . 1387378) (|symbol| . 1387129) (|lazyIrreducibleFactors| . 1386763) (|subCase?| . 1385934) (|entry| . 1384845) (|factorials| . 1384322) (|quotedOperators| . 1383976) (|one| . 1383764) (|useEisensteinCriterion| . 1383606) (|constantRight| . 1383366) (|queue| . 1383253) (|symbolTable| . 1383110) (|zero| . 1382718) (|Or| . 1382582) (|getVariableOrder| . 1382423) (|internalInfRittWu?| . 1381674) (|pushFortranOutputStack| . 1381435) (^ . 1380835) (|moduleSum| . 1380449) (|scale| . 1379967) (|filename| . 1379873) (|exp| . 1377606) (|generator| . 1376522) (|popFortranOutputStack| . 1376432) (|euclideanNormalForm| . 1376150) (|toseInvertible?| . 1375400) (|csc2sin| . 1375185) (|pi| . 1374716) (|resultantEuclidean| . 1374468) (|regime| . 1373551) (|areEquivalent?| . 1372879) (|outputAsFortran| . 1372007) (|sqrt| . 1371341) (|solid| . 1371242) (|addiag| . 1371070) (|stoseInternalLastSubResultant| . 1370124) (|localReal?| . 1369900) (|digits| . 1369279) (|li| . 1368984) (|trunc| . 1368641) (|testDim| . 1368333) (|intersectionDivisor| . 1366267) (|index?| . 1366108) (|erf| . 1365813) (|factors| . 1365126) (|colorDef| . 1365002) (|numericalIntegration| . 1364377) (|nextItem| . 1364317) (|aCubic| . 1364077) (|stoseInvertible?reg| . 1363666) (|rule| . 1363004) (|lambert| . 1362511) (|karatsubaOnce| . 1362337) (|dilog| . 1362042) (|Is| . 1360825) (|dot| . 1360314) (|palgintegrate| . 1359818) (|leftGcd| . 1359524) (|OMReadError?| . 1359436) (|sin| . 1357966) (|OMgetEndBind| . 1357884) (|operators| . 1357781) (|setMaxPoints| . 1357706) (|nextLatticePermutation| . 1357557) (|schema| . 1357343) (|cos| . 1355873) (|lo| . 1355783) (|ruleset| . 1355427) (|setOrder| . 1355109) (|bumptab1| . 1354938) (|coshIfCan| . 1354797) (|postfix| . 1354747) (|differentiate| . 1350391) (|tan| . 1349013) (|incr| . 1348801) (|Musser| . 1348590) (|mainMonomials| . 1348375) (|patternMatchTimes| . 1347905) (|viewpoint| . 1345980) (|cot| . 1344785) (|hi| . 1344695) (|unaryFunction| . 1344453) (|OMgetAtp| . 1344371) (|diophantineSystem| . 1344026) (|sec| . 1342831) (|sts2stst| . 1342604) (|zaxpy| . 1342393) (|contract| . 1341611) (|setVariableOrder| . 1341349) (|vector| . 1341125) (|csc| . 1339930) (|symmetricPower| . 1339484) (|ravel| . 1339288) (|shiftRoots| . 1339125) (|complexForm| . 1338440) (|evalat| . 1338301) (|asin| . 1336920) (|po| . 1336764) (|machineFraction| . 1336669) (|monomial?| . 1335753) (|guessPade| . 1331418) (|acos| . 1330037) (|resetBadValues| . 1329950) (|radPoly| . 1329608) (|leftMinimalPolynomial| . 1329404) (|ode| . 1329139) (|atan| . 1327668) (|zeroSquareMatrix| . 1327501) (|icamax| . 1327355) (|set| . 1327145) (|minus!| . 1326869) (|mathieu12| . 1326606) (|acot| . 1325408) (|wordInStrongGenerators| . 1325226) (|tanNa| . 1325104) (|statusIto| . 1324947) (|cosh2sech| . 1324732) (|asec| . 1323534) (|tRange| . 1323353) (|triangSolve| . 1322271) (|trigs| . 1321663) (|ParCondList| . 1321062) (|acsc| . 1319864) (|entries| . 1318592) (|multiplicative?| . 1318439) (|lazyPseudoQuotient| . 1318334) (|solveRetract| . 1318002) (|sinh| . 1316627) (|polyred| . 1316411) (|domainOf| . 1316334) (|Ei4| . 1316209) (|subResultantChain| . 1315954) (|cosh| . 1314579) (|getGoodPrime| . 1314308) (|radicalEigenvectors| . 1314010) (|printStatement| . 1313916) (|rootBound| . 1313574) (|ddFact| . 1313340) (|magnitude| . 1313186) (|tanh| . 1311811) (|generate| . 1311329) (|wronskianMatrix| . 1310868) (|mapUnivariateIfCan| . 1310507) (|incrementBy| . 1310352) (|realZeros| . 1308081) (|selectAndPolynomials| . 1307655) (|numberOfChildren| . 1307498) (|coth| . 1306306) (|shift| . 1305775) (|pquo| . 1305395) (|leftOne| . 1305275) (|dec| . 1305217) (|solveLinearlyOverQ| . 1304994) (|swap!| . 1304793) (|sech| . 1303601) (|expand| . 1301709) (|rightFactorCandidate| . 1301513) (|monomialIntegrate| . 1301159) (|listBranches| . 1300898) (|shiftInfoRec| . 1300328) (|concat| . 1299219) (|lBasis| . 1296875) (|csch| . 1295683) (|filterWhile| . 1295429) (|airyBi| . 1294986) (|createLowComplexityTable| . 1294736) (|transform| . 1294472) (|head| . 1294032) (|acotIfCan| . 1293891) (|asinh| . 1292696) (|filterUntil| . 1292442) (|overset?| . 1292029) (|transCoord| . 1291936) (|additive?| . 1291783) (|cCosh| . 1291623) (|sincos| . 1291384) (|acosh| . 1290189) (|select| . 1289371) (|nthExponent| . 1289249) (|palgLODE0| . 1287986) (|firstNumer| . 1287887) (|lllip| . 1287728) (|atanh| . 1286533) (|expandPower| . 1286318) (|supDimElseRittWu?| . 1285625) (|indices| . 1285469) (|maxRowIndex| . 1285002) (|intChoose| . 1284409) (|acoth| . 1283214) (|imaginary| . 1283116) (|exprHasWeightCosWXorSinWX| . 1282746) (|OMputObject| . 1282664) (|taylorRep| . 1282488) (|sumOfSquares| . 1282372) (|asech| . 1281177) (|palgextint| . 1280693) (|HenselLift| . 1280388) (|lists| . 1280162) (|rk4a| . 1279869) (|pr2dmp| . 1279518) (|factorsOfDegree| . 1279259) (|monicDivide| . 1278836) (|copyInto!| . 1278664) (|newLine| . 1278583) (|meshPar2Var| . 1277552) (|antisymmetricTensors| . 1277132) (|result| . 1276888) (|modifyPoint| . 1276290) (|makeRecord| . 1276113) (|stoseInvertibleSetreg| . 1275751) (|origin| . 1275659) (|ptree| . 1275477) (|rootKerSimp| . 1274841) (|unvectorise| . 1274236) (|setnext!| . 1274095) (|symmetricProduct| . 1273727) (|constantIfCan| . 1273556) (|setFoundZeroes| . 1273435) (|OMputEndObject| . 1273353) (|applyTransform| . 1273046) (|vectorcombination| . 1272873) (|leader| . 1272626) (|roughBase?| . 1272318) (|LyndonCoordinates| . 1272024) (|acscIfCan| . 1271883) (|zeroVector| . 1271716) (|#| . 1270335) (|fi2df| . 1270195) (|outputMeasure| . 1270075) (|var2Steps| . 1269847) (|laguerreL| . 1269537) (|legendre| . 1269264) (|mainVariable?| . 1268990) (|tracePowMod| . 1268777) (|getBadValues| . 1268657) (|base| . 1268214) (|df2fi| . 1268074) (|solve| . 1251256) (|wrregime| . 1250603) (|selectIntegrationRoutines| . 1250553) (|rowEch| . 1250411) (|removeSuperfluousQuasiComponents| . 1249724) (|whatInfinity| . 1249593) (|computeInt| . 1249170) (|extractIfCan| . 1249016) (|rationalPower| . 1248798) (|numberOfMonomials| . 1248303) (|numerators| . 1248172) (|fixedDivisor| . 1248011) (|OMopenFile| . 1247884) (|triangulate| . 1247207) (|directSum| . 1246839) (|mainVariables| . 1246568) (|eigenvectors| . 1246181) (|groebnerFactorize| . 1244734) (|removeRoughlyRedundantFactorsInPols| . 1244126) (|exponential| . 1243763) (|mainKernel| . 1243663) (|orderIfNegative| . 1243525) (|pushdterm| . 1243123) (|numberOfNormalPoly| . 1242971) (|localIntegralBasis| . 1241512) (|seriesSolve| . 1237442) (|basisOfCentroid| . 1237253) (|normalElement| . 1236941) (|exponents| . 1236850) (|var2StepsDefault| . 1236660) (|infieldint| . 1236406) (|mulmod| . 1236342) (|sqfree| . 1236025) (|fresnelS| . 1235637) (|interpolate| . 1234348) (|socf2socdf| . 1234155) (|iiGamma| . 1233981) (|besselI| . 1233526) (|stop| . 1233481) (|compdegd| . 1233095) (|squareFreeLexTriangular| . 1232634) (|predicate| . 1232433) (|pomopo!| . 1232280) (|cExp| . 1232120) (|vectoraddmul| . 1231950) (|box| . 1231767) (|f2st| . 1231647) (|sylvesterMatrix| . 1231353) (|printCode| . 1231274) (|retract| . 1222066) (|plotPolar| . 1221437) (|critM| . 1221167) (|isList| . 1221030) (|countRealRoots| . 1220818) (|shiftHP| . 1207594) (|generic?| . 1207479) (|redmat| . 1207101) (|gethi| . 1206615) (|suppOfZero| . 1206490) (|edf2ef| . 1206335) (|rroot| . 1205812) (|conditionsForIdempotents| . 1204588) (|padicallyExpand| . 1204436) (|heapSort| . 1204178) (|rowEchWoZeroLinesWOVectorise| . 1204063) (|divergence| . 1203738) (|mulbybinomial| . 1203416) (|times!| . 1203275) (|list?| . 1202998) (|raisePolynomial| . 1202669) (|antiCommutative?| . 1202329) (|currentSubProgram| . 1202248) (|finiteBasis| . 1201948) (|rename| . 1201854) (|upperCase?| . 1201774) (|antiCommutator| . 1201715) (|lastSubResultant| . 1200860) (|mathieu11| . 1200597) (|nextIrreduciblePoly| . 1200421) (|pointColor| . 1200264) (|OMunhandledSymbol| . 1200151) (|critT| . 1199769) (BY . 1199648) (|numberOfFractionalTerms| . 1199521) (|doubleResultant| . 1199205) (|optAttributes| . 1198701) (|collectUpper| . 1198455) (|component| . 1197937) (|makingStats?| . 1197768) (|seriesToOutputForm| . 1197415) (|numeric| . 1195838) (|OMreceive| . 1195711) (|setParam!| . 1195512) (|generalizedEigenvectors| . 1195161) (|keys| . 1194310) (|has?| . 1194196) (|LyndonWordsList| . 1193997) (|radical| . 1193653) (|orthonormalBasis| . 1193461) (|palgint| . 1193012) (|deepExpand| . 1192801) (|bombieriNorm| . 1192137) (|zeroOf| . 1191466) (|iisec| . 1191270) (|OMlistCDs| . 1191179) (|cubicBezier| . 1191020) (|stirling1| . 1190901) (|symmetricGroup| . 1190599) (|univariate?| . 1190312) (|lyndon| . 1190182) (|internalIntegrate0| . 1189773) (|cardinality| . 1189634) (|complexEigenvectors| . 1189297) (|index| . 1188762) (|mesh| . 1187474) (|split| . 1185401) (|quadraticNorm| . 1185087) (|infClsPt?| . 1184994) (|problemPoints| . 1184492) (|point| . 1183476) (|changeMeasure| . 1183361) (|findCycle| . 1183110) (|returnTypeOf| . 1182943) (|noncommutativeJordanAlgebra?| . 1182603) (|phiCoord| . 1182489) (|min| . 1182000) (|plus| . 1181561) (|cyclicEntries| . 1181440) (|resize| . 1181177) (D . 1179622) (|inf| . 1179472) (|totalDifferential| . 1179291) (|largest| . 1178944) (|solveLinear| . 1178420) (|guessExpRat| . 1171367) (|contractSolve| . 1170711) (|primintegrate| . 1170292) (|fintegrate| . 1169728) (|revert| . 1169235) (|sechIfCan| . 1169094) (|zeroSetSplit| . 1165396) (|upperCase| . 1165254) (|bat| . 1165083) (|front| . 1164828) (|simplifyExp| . 1164613) (|assoc| . 1164398) (|integralMatrixAtInfinity| . 1164114) (|ceiling| . 1163914) (|lazyResidueClass| . 1163388) (|sturmSequence| . 1163199) (|exp1| . 1163118) (|reorder| . 1162478) (|linearPart| . 1162363) (|modifyPointData| . 1162020) (|makeVariable| . 1161234) (|clipParametric| . 1160656) (|sumOfKthPowerDivisors| . 1160515) (|iiacot| . 1160319) (|duplicates?| . 1160192) (|mirror| . 1159548) (|rationalPoint?| . 1158946) (|OMgetEndBVar| . 1158864) (|totalfract| . 1158428) (|root| . 1158179) (|adaptive| . 1157802) (|dimensionsOf| . 1157368) (|semiResultantReduitEuclidean| . 1157099) (|clipPointsDefault| . 1156931) (|Lazard| . 1156723) (|Ei1| . 1156598) (|removeSquaresIfCan| . 1156311) (|cAcoth| . 1156151) (|companionBlocks| . 1155910) (|var1StepsDefault| . 1155720) (|stFunc2| . 1155422) (|removeRedundantFactorsInContents| . 1155100) (|even?| . 1154759) (|fortranComplex| . 1154714) (|quotVecSpaceBasis| . 1154589) (|zeroMatrix| . 1154062) (|mat| . 1153869) (|third| . 1153771) (|finite?| . 1153441) (|errorKind| . 1153347) (|copyslice| . 1153183) (|goppaCode| . 1151883) (|GospersMethod| . 1151409) (|squareFreeFactors| . 1151090) (|ldf2lst| . 1150667) (|composites| . 1150546) (|toroidal| . 1150337) (|height| . 1149403) (|axesColorDefault| . 1149229) (|leviCivitaSymbol| . 1149064) (|iomode| . 1148906) (|sign| . 1146488) (|generateIrredPoly| . 1146290) (|trueEqual| . 1146196) (|factorCantorZassenhaus| . 1145696) (|tryFunctionalDecomposition| . 1145538) (|Hausdorff| . 1145273) (|listOfTerms| . 1144624) (|ScanRoman| . 1144505) (|interpolateFormsForFact| . 1142495) (|diffHP| . 1129271) (|hermiteH| . 1129116) (|first| . 1128148) (|lookup| . 1127880) (|basisOfLeftNucloid| . 1127691) (|OMParseError?| . 1127603) (|logical?| . 1127515) (|normal| . 1127381) (|laurentRep| . 1127204) (|approxSqrt| . 1127104) (|evenlambert| . 1126611) (|multiServ| . 1126500) (|dzasum| . 1126310) (|aColumn| . 1126030) (|yellow| . 1125991) (|continuedFraction| . 1125062) (|enterInCache| . 1124788) (|sizeMultiplication| . 1123879) (|odd?| . 1123538) (|incrementKthElement| . 1123384) (|connect| . 1123225) (|polyRicDE| . 1122246) (|rubiksGroup| . 1122133) (|factor1| . 1121653) (|decomposeFunc| . 1121438) (|realSolve| . 1119337) (|coleman| . 1119177) (|unitNormalize| . 1119086) (|multiplicity| . 1118129) (|stepBlowUp| . 1117372) (|readIfCan!| . 1117099) (|overlap| . 1116661) (|paren| . 1116388) (|zerosOf| . 1115310) (|setMinPoints3D| . 1115233) (|createThreeSpace| . 1115128) (|resultantEuclideannaif| . 1114880) (|nilFactor| . 1114758) (|highCommonTerms| . 1114554) (|ShiftC| . 1114308) (|rationalApproximation| . 1113775) (|innerEigenvectors| . 1113324) (|right| . 1112743) (|palglimint0| . 1111484) (|OMputEndBind| . 1111402) (|linearlyDependent?| . 1111192) (|f02aff| . 1111027) (|mapDown!| . 1110736) (|fglmIfCan| . 1110319) (|MPtoMPT| . 1110070) (|OMputEndAttr| . 1109988) (|left| . 1109407) (|rowEchelon| . 1107781) (|f02aef| . 1107607) (|ode1| . 1107379) (|controlPanel| . 1107140) (|meshPar1Var| . 1106810) (|f02adf| . 1106639) (|constant?| . 1106224) (|polygamma| . 1105691) (|shiftRight| . 1105546) (|ode2| . 1105312) (|subs1stVar| . 1105054) (|degOneCoef| . 1104760) (|linGenPos| . 1104416) (|minimumExponent| . 1104256) (|float?| . 1103979) (|f02abf| . 1103811) (|coHeight| . 1103490) (|numberOfPlacesOfDegree| . 1102081) (|screenResolution3D| . 1102007) (|adaptive3D?| . 1101933) (|basisOfLeftNucleus| . 1101755) (|alphabetic?| . 1101675) (|setprevious!| . 1101534) (|f02aaf| . 1101369) (|axes| . 1100934) (|cyclicSubmodule| . 1100688) (|intensity| . 1100567) (|stopTableGcd!| . 1099874) (|chvar| . 1099486) (|En| . 1099298) (|stopMusserTrials| . 1098972) (|credPol| . 1098702) (|taylor| . 1094851) (|deleteRoutine!| . 1094765) (|excpDivV| . 1094260) (|measure| . 1089350) (|rewriteIdealWithHeadRemainder| . 1089039) (|innerSolve| . 1088720) (|lazyPseudoDivide| . 1087813) (|tanhIfCan| . 1087672) (|laurent| . 1084525) (|cyclicGroup| . 1084223) (|evenInfiniteProduct| . 1083337) (|inconsistent?| . 1082579) (|tab| . 1082417) (|copyIto| . 1082281) (|rotatey| . 1082140) (|gcdprim| . 1081997) (|extractPoint| . 1081850) (|puiseux| . 1078674) (|semicolonSeparate| . 1078581) (|prepareDecompose| . 1077554) (|delta| . 1077368) (|graphStates| . 1076919) (|findCoef| . 1076788) (|radicalOfLeftTraceForm| . 1076610) (|setAttributeButtonStep| . 1076525) (|setleft!| . 1076381) (|cartesian| . 1076197) (|algSplitSimple| . 1075825) (|setpoint!| . 1075317) (|iExquo| . 1075168) (|pole?| . 1074849) (|exponent| . 1074065) (|zeta| . 1073982) (|Ei| . 1073565) (|content| . 1072866) (|polynomial| . 1072069) (|shallowCopy| . 1071951) (|divisorAtDesingTree| . 1071286) (|tableForDiscreteLogarithm| . 1071125) (|decimal| . 1071025) (|constantKernel| . 1070864) (|doubleFloatFormat| . 1070783) (|string?| . 1070506) (|SturmHabichtMultiple| . 1070259) (|birth| . 1070141) (|goto| . 1070053) (|cot2trig| . 1069838) (|rischNormalize| . 1069377) (|subMatrix| . 1068567) (|rightTraceMatrix| . 1068061) (|setOfMinN| . 1067877) (|asechIfCan| . 1067736) (|insertionSort!| . 1067193) (|squareFreePart| . 1066358) (|extendedSubResultantGcd| . 1065738) (|radix| . 1065585) (|csubst| . 1065257) (|Ei2| . 1065132) (|suppOfPole| . 1065007) (|nextPrimitiveNormalPoly| . 1064831) (|irreducibleRepresentation| . 1064302) (|iteratedInitials| . 1064087) (|posExpnPart| . 1063987) (|divide!| . 1063823) (|cup| . 1063697) (|fortranInteger| . 1063652) (|viewport2D| . 1063596) (|gradient| . 1063241) (|definingPolynomial| . 1061997) (|rightGcd| . 1061859) (|algDsolve| . 1061324) (|OMserve| . 1061198) (|startTable!| . 1060451) (|tubeRadius| . 1060243) (|lambda| . 1060152) (|listexp| . 1059819) (|leftFactorIfCan| . 1059594) (|pureLex| . 1059387) (|positive?| . 1058910) (|sncndn| . 1058666) (|daxpy| . 1058479) (|alphanumeric| . 1058431) (|cyclePartition| . 1058310) (|mulbyscalar| . 1058146) (|iipolygamma| . 1057944) (|tanintegrate| . 1057545) (|froot| . 1056990) (|balancedFactorisation| . 1056519) (|cAcosh| . 1056359) (|isOp| . 1055999) (|listAllMono| . 1055717) (|aQuadratic| . 1055480) (|series| . 1049612) (|yRange| . 1049383) (|denominator| . 1048996) (|divide| . 1048037) (|pointDominateBy| . 1046283) (|distinguishedCommonRootsOf| . 1046045) (|debug3D| . 1045968) (|approximate| . 1044837) (|univariatePolynomial| . 1043961) (|divOfPole| . 1043864) (|minimalPolynomial| . 1043109) (|localParamOfSimplePt| . 1042587) (|rational?| . 1040777) (|OMgetApp| . 1040695) (|exponential1| . 1040605) (|leftQuotient| . 1040311) (|stopTableInvSet!| . 1039618) (|dflist| . 1039397) (|ran| . 1039140) (|startStats!| . 1038944) (|mindeg| . 1038656) (|mainVariable| . 1037893) (|actualExtensionV| . 1037388) (|laguerre| . 1037227) (|conical| . 1037015) (|laplacian| . 1036690) (|clipSurface| . 1036568) (|cCsc| . 1036408) (|key?| . 1036243) (|lastNonNull| . 1036116) (|monicLeftDivide| . 1035588) (|dequeue| . 1035191) (|iisqrt2| . 1034998) (|signAround| . 1034254) (|minRowIndex| . 1033787) (|toseSquareFreePart| . 1033395) (|halfExtendedSubResultantGcd2| . 1032843) (** . 1026999) (|OMUnknownSymbol?| . 1026911) (|internalAugment| . 1025650) (|iicos| . 1025454) (|lepol| . 1025187) (|fullPartialFraction| . 1024964) (|extendedResultant| . 1024672) (|trim| . 1024484) (|e01sbf| . 1024225) (|setrest!| . 1023972) (|outputAsTex| . 1023728) (|tryFunctionalDecomposition?| . 1023573) (|variablesOf| . 1023449) (|Somos| . 1023177) (|distinguishedRootsOf| . 1022781) (|algebraicCoefficients?| . 1022495) (|tomodpa| . 1022303) (|outputAsScript| . 1022059) (|isTimes| . 1021125) (|generalTwoFactor| . 1020850) (|showTheFTable| . 1020791) (|binarySearchTree| . 1020668) (|LazardQuotient2| . 1020396) (|generalSqFr| . 1020121) (|mpsode| . 1019819) (|merge| . 1018868) (|extractTop!| . 1018693) (|basisOfInterpolateForms| . 1018132) (|particularSolution| . 1017120) (|Aleph| . 1017024) (|makeCos| . 1016816) (|unexpand| . 1016500) (|setPredicates| . 1016377) (|divideIfCan| . 1016121) (|explicitEntries?| . 1015999) (|setSingularPoints| . 1014750) (|vark| . 1014516) (|iiexp| . 1014320) (|clearTheFTable| . 1014230) (|unrankImproperPartitions1| . 1014081) (|notelem| . 1013915) (|printInfo!| . 1013716) (|henselFact| . 1013143) (|invertibleElseSplit?| . 1012835) (|effective?| . 1012710) (|exists?| . 1012621) (|trivialIdeal?| . 1012350) (|adaptive?| . 1012278) (|OMputInteger| . 1012165) (|lowerCase| . 1012023) (|OMgetEndError| . 1011941) (|setelt!| . 1011788) (|mapGen| . 1011160) (|expPot| . 1010972) (|cycleEntry| . 1010874) (|element| . 1010591) (|characteristicSet| . 1009925) (|prevPrime| . 1009817) (|numberOfPrimitivePoly| . 1009665) (|position!| . 1009575) (|modTree| . 1009450) (|variationOfParameters| . 1009223) (|replaceDiffs| . 1008800) (|sinhIfCan| . 1008659) (|hue| . 1008399) (|guessRec| . 1001346) (|listOfMonoms| . 1001128) (|evalADE| . 1000687) (|squareFreePrim| . 1000411) (|e02bcf| . 1000206) (|blockConcat| . 999928) (|dictionary| . 999702) (|more?| . 998646) (|rules| . 998290) (|iiacos| . 998094) (|integral?| . 997278) (|matrixDimensions| . 997126) (|e02bbf| . 996924) (|stoseInvertibleSet| . 996562) (|separe| . 996377) (|paraboloidal| . 996193) (|appendPoint| . 996070) (|algintegrate| . 995574) (|e02baf| . 995398) (|opeval| . 995120) (|se2rfi| . 994711) (|infLex?| . 994406) (|stoseInvertible?sqfreg| . 993995) (|style| . 993785) (|e02akf| . 993574) (|OMputSymbol| . 993459) (|max| . 992892) (|wholePart| . 992468) (|brillhartIrreducible?| . 992166) (|lifting| . 991585) (|inBetweenExcpDiv| . 990923) (|pattern| . 990606) (|linearAssociatedOrder| . 990422) (|expextendedint| . 989916) (|e02ajf| . 989699) (|Frobenius| . 989110) (|setErrorBound| . 988917) (|subscript| . 988825) (|realRoots| . 988361) (|curveV| . 987763) (|e04ycf| . 987547) (|cache| . 987431) (|setTopPredicate| . 987278) (|stirling2| . 987159) (|lcm| . 986844) (|rootSplit| . 986439) (|UP2ifCan| . 985975) (|e04ucf| . 985431) (|indicialEquationAtInfinity| . 984791) (|semiResultantEuclidean2| . 984560) (|pseudoDivide| . 983831) (|leftRegularRepresentation| . 983511) (|multiEuclideanTree| . 983386) (|monomialIntPoly| . 983128) (|explicitlyEmpty?| . 983006) (|e04naf| . 982597) (|vspace| . 982516) (|prime| . 982377) (|showTypeInOutput| . 982276) (|guessRat| . 975223) (|e04mbf| . 974990) (|vectorise| . 974696) (|toseInvertibleSet| . 974344) (|components| . 974223) (|basisOfNucleus| . 974045) (|center| . 973504) (|clip| . 972162) (|redPol| . 971892) (|e04jaf| . 971627) (|sub| . 971577) (|canonicalIfCan| . 971430) (|clearFortranOutputStack| . 971328) (|setmult!| . 970799) (|e04gcf| . 970540) (|outputForm| . 969597) (|rightPower| . 969411) (|permutationGroup| . 969271) (|derivationCoordinates| . 968987) (|e04fdf| . 968728) (|subPolSet?| . 967979) (|messagePrint| . 967874) (|hasHi| . 967757) (|closeComponent| . 967557) (|rightCharacteristicPolynomial| . 967390) (|charpol| . 967125) (|e04dgf| . 966782) (|surface| . 966686) (|imagj| . 966584) (|systemCommand| . 966471) (|projection| . 966373) (|f01ref| . 966146) (|calcRanges| . 965981) (|indicialEquations| . 964188) (|cyclic?| . 963958) (|listYoungTableaus| . 963795) (|one?| . 963380) (|setColumn!| . 963144) (|increase| . 962920) (|tail| . 962545) (|functionIsFracPolynomial?| . 962227) (|taylorIfCan| . 962041) (|f01rdf| . 961805) (|frst| . 961711) (|horizSplit| . 961089) (|f01rcf| . 960898) (|alterQuadVar!| . 960705) (|showIntensityFunctions| . 960130) (|legendreP| . 959920) (|youngGroup| . 959624) (|arity| . 959519) (|copies| . 959404) (|divisor| . 957906) (|genericRightMinimalPolynomial| . 957563) (|intersect| . 955767) (|f01qef| . 955552) (|stFuncN| . 955253) (|bumprow| . 954964) (|qqq| . 954701) (|diagonals| . 954579) (|getlo| . 954093) (|iiAiryBi| . 953919) (|identityMatrix| . 953751) (|f01qdf| . 953527) (|firstExponent| . 953272) (|rightMult| . 953117) (|iisin| . 952921) (|argument| . 952565) (|makeMulti| . 952347) (|f01qcf| . 952168) (|init| . 951937) (|infiniteProduct| . 951051) (|tanAn| . 950871) (|numFunEvals| . 950799) (|unmakeSUP| . 950646) (|normalForm| . 950059) (|f01mcf| . 949841) (|scanOneDimSubspaces| . 949589) (|imagE| . 949487) (|column| . 949014) (|internal?| . 948868) (|datalist| . 948753) (|search| . 948606) (|slope| . 947660) (|f01maf| . 947355) (|tanSum| . 947236) (|extensionDegree| . 946548) (|rightRemainder| . 946410) (|createNormalElement| . 946279) (|drawStyle| . 946157) (|f01bsf| . 945855) (|degreeOfMinimalForm| . 945601) (|tensorMap| . 945440) (|viewPhiDefault| . 945260) (|roman| . 945098) (|pile| . 945005) (|associatedSystem| . 944688) (|meshFun2Var| . 944274) (|f01brf| . 943938) (|setClipValue| . 943852) (|certainlySubVariety?| . 943534) (|close!| . 943362) (|getMatch| . 943183) (|bernoulliB| . 942968) (|hconcat| . 942828) (|autoReduced?| . 942489) (|listConjugateBases| . 941984) (|associatedEquations| . 941583) (|functionNames| . 941493) (|latex| . 940690) (|setEpilogue!| . 940501) (|semiSubResultantGcdEuclidean1| . 940276) (|factorFraction| . 940059) (|nthRootIfCan| . 939876) (|cAcos| . 939716) (|jacobiIdentity?| . 939376) (|monic?| . 938976) (|integerDecode| . 938885) (|bivariateSLPEBR| . 938488) (|extendIfCan| . 938222) (|integrate| . 925312) (|rightOne| . 925192) (|leftPower| . 925006) (|subresultantSequence| . 924763) (|selectPolynomials| . 924346) (|multinomial| . 924199) (|factorSFBRlcUnit| . 923472) (|pseudoRem| . 923332) (|zeroSetSplitIntoTriangularSystems| . 922973) (|foundPlaces| . 922805) (|leadingTerm| . 922627) (|lhs| . 922117) (|alphabetic| . 922069) (E1 . 921912) (|multiEuclidean| . 921811) (|powerAssociative?| . 921669) (|symbolIfCan| . 921547) (|outputGeneral| . 921368) (|tan2trig| . 921153) (|leaves| . 921032) (|integralMatrix| . 920748) (|groebnerIdeal| . 920492) (|randnum| . 920320) (|addMatchRestricted| . 920145) (|generalInfiniteProduct| . 919141) (|mul| . 919005) (|iCompose| . 918897) (|ZetaFunction| . 915987) (|lastNonNul| . 915860) (|karatsuba| . 915641) (|genus| . 913179) (|leftTrim| . 912991) (|quasiRegular| . 912744) (|updatF| . 912371) (|rquo| . 911463) (|OMgetObject| . 911381) (|shallowExpand| . 911170) (|makeCell| . 910849) (|ef2edf| . 910694) (|limitedint| . 910274) (|ref| . 910192) (|packageCall| . 910043) (|sdf2lst| . 909614) (|red| . 909575) (|logGamma| . 909362) (|value| . 908938) (|maxint| . 908758) (|iicsch| . 908562) (|validExponential| . 908153) (|lSpaceBasis| . 907853) (|previousTower| . 907770) (|cCoth| . 907610) (|rightUnit| . 907449) (|makeCrit| . 906990) (|critB| . 906714) (|genericLeftTrace| . 906402) (|multiplyCoefficients| . 905954) (|dimensionOfIrreducibleRepresentation| . 905816) (|properties| . 905704) (|discriminant| . 904327) (|lfunc| . 904244) (|quotient| . 903785) (|repack1| . 903559) (|print| . 903373) (|imagI| . 903170) (|order| . 898545) (|nodes| . 898424) (|graphState| . 898171) (|dom| . 898093) (|moebius| . 897994) (|possiblyNewVariety?| . 897639) (|leastMonomial| . 897452) (|commaSeparate| . 897240) (|LowTriBddDenomInv| . 896979) (|mapExponents| . 896509) (|sparsityIF| . 896366) (|chartV| . 895861) (|poisson| . 895719) (|OMcloseConn| . 895633) (|vconcat| . 895493) (|maxrank| . 894925) (|LiePolyIfCan| . 894552) (|distFact| . 893910) (|ramifMult| . 893817) (|const| . 893651) (|df2ef| . 893511) (|complexExpand| . 892863) (|coordinate| . 892467) (|reverseLex| . 892260) (|script| . 891896) (|direction| . 891756) (|fullDisplay| . 891149) (|asecIfCan| . 891008) (|cosSinInfo| . 890874) (|limitPlus| . 890034) (|extractSplittingLeaf| . 889848) (|maxrow| . 889554) (LE . 889336) (|rationalPlaces| . 888085) (|inverseIntegralMatrix| . 887801) (|invertible?| . 887183) (|outputArgs| . 886811) (|OMencodingBinary| . 886761) (|OMputString| . 886649) (|viewWriteDefault| . 886459) (|initParLocLeaves| . 885769) (|uncouplingMatrices| . 885525) (|degreePartition| . 885021) (|symmetricTensors| . 884687) (|declare| . 884569) (|iter| . 884382) (|algint| . 883999) (|monicRightFactorIfCan| . 883735) (|mapdiv| . 883573) (|constantOpIfCan| . 883393) (|recur| . 883034) (|bright| . 882751) (|eq| . 882471) (|headReduced?| . 881451) (|cyclicCopy| . 881367) (|quoByVar| . 881262) (|separate| . 880576) (|ramifiedAtInfinity?| . 880307) (|separateFactors| . 879756) (|groebgen| . 879424) (|OMgetBVar| . 879342) (|badValues| . 879156) (|useSingleFactorBound?| . 879001) (|dn| . 878826) (|maxMixedDegree| . 878592) (|cSin| . 878432) (|output| . 877910) (|removeSinhSq| . 877695) (|tubeRadiusDefault| . 877487) (|inspect| . 876985) (|ramified?| . 876444) (|fortran| . 876232) (|computeCycleEntry| . 876091) (|deleteProperty!| . 876005) (|endOfFile?| . 875926) (|makeResult| . 875652) (|moduloP| . 875556) (|stablePol| . 875405) (|completeSmith| . 875070) (|aspFilename| . 874979) (|brillhartTrials| . 874661) (|cAsech| . 874501) (|positiveSolve| . 873013) (|unitsColorDefault| . 872839) (|linkToFortran| . 871992) (|selectNonFiniteRoutines| . 871942) (|rewriteSetWithReduction| . 871569) (|mkIntegral| . 871260) (|createPrimitiveElement| . 871205) (|character?| . 871117) (|composite| . 870664) (|leadingCoefficientRicDE| . 870201) (|removeRoughlyRedundantFactorsInPol| . 869911) (|leftDiscriminant| . 869495) (|fullParamInit| . 868805) (|loopPoints| . 868588) (|primitive?| . 868305) (|clearTheIFTable| . 868214) (|leftRecip| . 867991) (|makeFR| . 867482) (|edf2fi| . 867327) (|complexSolve| . 866234) (|rowEchLocal| . 866089) (|imagk| . 865987) (|quasiMonic?| . 865772) (|newElement| . 865191) (|qShiftC| . 864942) (|OMputAttr| . 864860) (|changeName| . 864741) (Y . 864304) (|invertIfCan| . 863996) (|guessAlg| . 859661) (|characteristic| . 857975) (|clearDenominator| . 857086) (|pushup| . 855982) (|conditionP| . 855661) (|insertTop!| . 855480) (|maxSubst| . 855208) (|elColumn2!| . 854910) (|setfirst!| . 854767) (|Lazard2| . 854556) (|blockSplit| . 853186) (|mainVariableOf| . 853071) (|separateDegrees| . 852816) (|singularPointsWithRestriction| . 852409) (|extension| . 852321) (|perspective| . 852199) (|maxIndex| . 852038) (|uncorrelated?| . 851448) (|simplifyPower| . 851291) (|space| . 851004) (|bits| . 850652) (|foundZeroes| . 850534) (|localPointV| . 849992) (|roughSubIdeal?| . 849681) (|pfaffian| . 849454) (|psolve| . 842786) (UTS2UP . 842473) (|bringDown| . 841934) (|guessADE| . 834881) (|symbNameV| . 834347) (|crest| . 834126) (|trigs2explogs| . 833683) (|noLinearFactor?| . 833532) (|OMgetError| . 833450) (|iiatanh| . 833254) (|representationType| . 833128) (|commutativeEquality| . 832945) (|qroot| . 832381) (|nthRoot| . 832007) (|factorSquareFreePolynomial| . 831818) (|OMUnknownCD?| . 831730) (|lfintegrate| . 831327) (|entry?| . 831093) (|rk4| . 830516) (|mainContent| . 830297) (|roughEqualIdeals?| . 829986) (|singleFactorBound| . 829263) (|oddInfiniteProduct| . 828377) (|returns| . 827741) (|primPartElseUnitCanonical!| . 827517) (|OMencodingSGML| . 827467) (|merge!| . 826996) (|dominantTerm| . 826322) (|fortranLiteral| . 826212) (|rightScalarTimes!| . 826071) (|introduce!| . 825961) (|polygon| . 825441) (|corrPoly| . 824881) (|infinite?| . 824633) (|addPoint2| . 824483) (|relativeApprox| . 823923) (|dmp2rfi| . 822759) (|nextNormalPoly| . 822583) (|rightMinimalPolynomial| . 822379) (|sumSquares| . 822243) (|inc| . 822185) (|htrigs| . 821970) (|alphanumeric?| . 821890) (|setMinPoints| . 821815) (|doubleRank| . 821623) (|coord| . 820993) (|log10| . 820687) (|cCot| . 820527) (|csch2sinh| . 820312) (|computePowers| . 820123) (|packExps| . 819916) (|dioSolve| . 819596) (|pastel| . 819520) (|palgLODE| . 818917) (|outlineRender| . 818795) (|sup| . 818583) (|exteriorDifferential| . 818436) (|ReduceOrder| . 818019) (|clipBoolean| . 817885) (|monicDecomposeIfCan| . 817603) (|createPrimitivePoly| . 817401) (|primlimintfrac| . 817000) (|nextPrimitivePoly| . 816824) (|lfextendedint| . 816386) (GE . 816168) (|systemSizeIF| . 815761) (|range| . 815549) (|setFormula!| . 815448) (|inHallBasis?| . 815331) (|compBound| . 815109) (|hasoln| . 814662) (|assert| . 814243) (|algebraicOf| . 813955) (|middle| . 813762) (|iifact| . 813592) (|tower| . 813493) (|modularGcdPrimitive| . 813231) (|superscript| . 813139) (|cAsec| . 812979) (|triangular?| . 812671) (|interpret| . 812476) (|mightHaveRoots| . 812252) (|iiBeta| . 812050) (|numberOfCycles| . 811920) (|solveLinearPolynomialEquation| . 810932) (|repeating| . 810825) (|antisymmetric?| . 810371) (|wholeRadix| . 810248) (|rootSimp| . 809691) (|bitLength| . 809609) (|enumerate| . 809340) (|eyeDistance| . 809219) (|semiResultantEuclideannaif| . 808988) (|rischDEsys| . 808293) (|pointSizeDefault| . 808103) (|tex| . 808015) (|setLegalFortranSourceExtensions| . 807922) (|iicoth| . 807726) (|truncatedmultiplication| . 807587) (|perfectNthRoot| . 807255) (|minset| . 806901) (|leftLcm| . 806607) (|constantCoefficientRicDE| . 806113) (|adjoint| . 805078) (|mapUp!| . 804796) (|zeroDim?| . 804256) (|compiledFunction| . 803732) (|variableOf| . 803554) (|lexico| . 803198) (|checkExtraValues| . 802986) (|approximants| . 802842) (|setleaves!| . 802713) (|rename!| . 802619) (|numberOfIrreduciblePoly| . 802467) (|diff| . 802055) (|cubic| . 801531) (|lintgcd| . 801360) (|round| . 801305) (|fortranLiteralLine| . 801195) (|reducedSystem| . 800798) (|iprint| . 800683) (|totolex| . 800401) (|zeroDimensional?| . 799948) (|quasiComponent| . 799617) (|lazyPremWithDefault| . 799039) (|bottom!| . 798864) (|cCsch| . 798704) (|normalizedAssociate| . 798390) (|lazyPquo| . 798010) (|presuper| . 797960) (|linearlyDependentOverZ?| . 797774) (|collect| . 797434) (|pdf2ef| . 797279) (|OMgetVariable| . 797195) (|lprop| . 797047) (|expt| . 796861) (|rightExtendedGcd| . 796641) (|makeprod| . 796514) (|completeEchelonBasis| . 796348) (|normFactors| . 796005) (|leftFactor| . 795838) (|real?| . 795089) (|truncate| . 794731) (|branchIfCan| . 793742) (|e01sff| . 793522) (|level| . 793365) (|cycleSplit!| . 793225) (|in?| . 792603) (|mapExpon| . 792109) (|fixedPoint| . 791777) (|geometric| . 791635) (|setFoundPlacesToEmpty| . 791467) (|specialise| . 791210) (|omError| . 791077) (|SFunction| . 790917) (|modularFactor| . 790706) (|stosePrepareSubResAlgo| . 790292) (|numberRatPlacesExtDeg| . 788883) (|tubePlot| . 787592) (|kroneckerDelta| . 787427) (|elem?| . 787308) (|makeGraphImage| . 786706) (|modularGcd| . 786444) (|complexLimit| . 785475) (|width| . 785172) (|anfactor| . 784751) (|delete| . 784491) (|fixPredicate| . 784193) (|squareFreeBasis| . 783988) (|guessBinRat| . 776935) (|minimalForm| . 776011) (|copyfirst| . 775850) (|maxPower| . 775578) (|UpTriBddDenomInv| . 775317) (|constantLeft| . 775077) (|numericalOptimization| . 774487) (|shufflein| . 774331) (|OMwrite| . 773000) (|rischDE| . 772268) (|dihedralGroup| . 771966) (|setexcpDiv!| . 771458) (|OMconnectTCP| . 771302) (|reduceByQuasiMonic| . 771046) (|remainder| . 770687) (|simplifyLog| . 770472) (|varselect| . 770266) (|findTerm| . 770068) (|overbar| . 770021) (|chainSubResultants| . 769827) (|translate| . 768804) (|pointData| . 768648) (|variableName| . 768438) (|table| . 768110) (|setAdaptive3D| . 768033) (|mkcomm| . 767905) (|linearAssociatedExp| . 767718) (|message| . 767638) (|excepCoord| . 767545) (|collectUnder| . 767299) (= . 766148) (|substring?| . 766026) (|hasPredicate?| . 765911) (|commutative?| . 765571) (|generators| . 765178) (|resultantSet| . 764937) (|computeCycleLength| . 764760) (|equality| . 764625) (|fortranCompilerName| . 764537) (|branchPoint?| . 763996) (|meatAxe| . 762914) (|primes| . 762775) (< . 762267) (|besselK| . 761812) (|refine| . 760040) (|genusTreeNeg| . 759290) (|conjugate| . 758260) (|stoseSquareFreePart| . 757858) (> . 757725) (|OMputEndAtp| . 757643) (|d03faf| . 757304) (|squareMatrix| . 757149) (|rootNormalize| . 756789) (|normal01| . 756699) (|leadingIndex| . 756226) (<= . 755844) (|subHeight| . 755763) (|d03eef| . 755386) (|usingTable?| . 755217) (|leastAffineMultiple| . 755051) (|safety| . 754817) (|functionName| . 754607) (|cothIfCan| . 754466) (>= . 754333) (|next| . 754237) (|Beta| . 753590) (|d03edf| . 753352) (|physicalLength| . 753069) (|interpolateForms| . 751039) (|unrankImproperPartitions0| . 750890) (|evaluate| . 749899) (|wordsForStrongGenerators| . 749746) (|setsubmult!| . 749217) (|contains?| . 749036) (|projectionSet| . 748795) (|genericRightTraceForm| . 748480) (|leadingBasisTerm| . 748218) (|suffix?| . 748127) (|node?| . 747969) (|maxPoints| . 747732) (|write!| . 747598) (+ . 744903) (|pToDmp| . 744691) (|eq?| . 744036) (|reopen!| . 743875) (|create3Space| . 743661) (- . 740841) (|lastSubResultantEuclidean| . 740590) (UP2UTS . 740319) (|node| . 740213) (|wordInGenerators| . 740031) (/ . 735938) (|bezoutMatrix| . 735644) (|char| . 735488) (|baseRDEsys| . 735179) (|setPosition| . 735056) (|coefficients| . 734213) (|rdregime| . 733591) (|reducedContinuedFraction| . 733457) (|open| . 733168) (|mapCoef| . 732973) (|encode| . 732856) (|spherical| . 732672) (|factorList| . 732110) (|limitedIntegrate| . 731670) (|true| . 731629) (|getPickedPoints| . 731513) (|quartic| . 730986) (|exptMod| . 730608) (|LyndonWordsList1| . 730385) (|getOp| . 729998) (|makeFloatFunction| . 729560) (|cPower| . 729397) (|purelyAlgebraicLeadingMonomial?| . 729111) (|tanh2trigh| . 728896) (|quadTransform| . 728476) (|addMatch| . 728304) (|radicalSolve| . 726039) (|OMconnOutDevice| . 725943) (|empty| . 724973) (|setchart!| . 724465) (|copyDrift| . 724253) (|tube| . 723849) (|findOrderOfDivisor| . 722051) (|stronglyReduce| . 721795) (|binaryTree| . 721612) (|outputFloating| . 721433) (|normalDeriv| . 721123) (|fullOut| . 719993) (|bat1| . 719816) (|basisOfRightNucleus| . 719638) (|mapSolve| . 719254) (|splitNodeOf!| . 718746) (|swap| . 718446) (|mathieu23| . 718183) (|exponentialOrder| . 717960) (|c05nbf| . 717677) (|prefix?| . 717586) (|equation| . 716851) (|read!| . 716720) (|semiSubResultantGcdEuclidean2| . 716495) (|supp| . 716370) (|writable?| . 716281) (|c05adf| . 716043) (|halfExtendedSubResultantGcd1| . 715491) (|map| . 690083) (|univariatePolynomialsGcds| . 689417) (|HermiteIntegrate| . 688660) (|exQuo| . 687693) (|principal?| . 687385) (|finiteSeries2LinSys| . 687135) (|complexElementary| . 685862) (|c06gsf| . 685687) (|splitSquarefree| . 685407) (|name| . 684764) (|allPairsAmong| . 684218) (|exactQuotient| . 683767) (|c06gqf| . 683592) (|invmultisect| . 682963) (|chiSquare1| . 682831) (|shrinkable| . 682570) (|polyRDE| . 682107) (|c06gcf| . 681935) (|showRegion| . 681813) (|symmetric?| . 681359) (|c06gbf| . 681187) (|maxColIndex| . 680720) (|mathieu22| . 680457) (|defineProperty| . 680239) (|hadamard| . 680076) (|rootsOf| . 679265) (|selectSumOfSquaresRoutines| . 679215) (|c06fuf| . 679001) (|plus!| . 678860) (|unitNormal| . 678716) (|prinshINFO| . 678452) (|curryLeft| . 678209) (|c06frf| . 677998) (|primextendedint| . 677506) (|numFunEvals3D| . 677432) (|unravel| . 677236) (|selectsecond| . 677112) (|c06fqf| . 676904) (|identification| . 676643) (|FormatRoman| . 676524) (|DiffC| . 676278) (|guessHolo| . 671943) (|c06fpf| . 671735) (|cycleRagits| . 671612) (|OMsetEncoding| . 671490) (|eval| . 660502) (|goodPoint| . 660262) (|c06ekf| . 660084) (|realEigenvectors| . 659786) (|cscIfCan| . 659645) (|terms| . 659029) (|hexDigit| . 658981) (|Yun| . 658770) (|mix| . 658448) (|c06ecf| . 658273) (|leadingExponent| . 657800) (|gcdPrimitive| . 656996) (|oblateSpheroidal| . 656787) (|graphImage| . 656743) (|normalizedDivide| . 656193) (|c06ebf| . 656021) (|viewDeltaXDefault| . 655841) (|laurentIfCan| . 655654) (|iiacsch| . 655458) (|setProperty| . 655344) (|OMgetEndApp| . 655262) (|c06eaf| . 655090) (|iiasec| . 654894) (|strongGenerators| . 654754) (|approxNthRoot| . 654612) (|central?| . 654431) (|evaluateInverse| . 654153) (|s17def| . 653914) (|chebyshevT| . 653601) (|lyndon?| . 653443) (|squareFreePolynomial| . 652986) (|initializeParamOfPlaces| . 651574) (|OMsupportsCD?| . 651461) (|s17dcf| . 651222) (|chineseRemainder| . 650303) (|setchildren!| . 650137) (|unprotectedRemoveRedundantFactors| . 649847) (|integralAtInfinity?| . 649575) (|hclf| . 649386) (|s17akf| . 649227) (|newReduc| . 649007) (|hcrf| . 648818) (|hash| . 647738) (|secIfCan| . 647597) (|increasePrecision| . 647425) (|setStatus!| . 647218) (|s17ajf| . 647059) (|cTan| . 646899) (|simplify| . 646219) (|shade| . 646030) (|bandedJacobian| . 645630) (|isobaric?| . 645355) (|condition| . 645179) (|purelyAlgebraic?| . 644613) (|s17ahf| . 644454) (|ocf2ocdf| . 644285) (|generic| . 642599) (|permanent| . 642379) (|digit| . 642331) (|select!| . 641999) (|virtualDegree| . 641721) (|updateStatus!| . 641545) (|s17agf| . 641386) (|listOfLists| . 640793) (|integer?| . 640294) (|iibinom| . 640096) (|createNormalPrimitivePoly| . 639894) (|s17aff| . 639735) (|LPolynomial| . 636855) (|cyclotomic| . 636383) (|rationalPoints| . 634068) (|newTypeLists| . 633982) (|ipow| . 633784) (|insertBottom!| . 633603) (|changeThreshhold| . 633488) (|permutation| . 633131) (|removeConstantTerm| . 632927) (|setDegree!| . 632720) (|s17aef| . 632561) (|upDateBranches| . 631278) (|lift| . 629377) (|tubePoints| . 629149) (|iiabs| . 628975) (|hdmpToDmp| . 628726) (|reduceRowOnList| . 628573) (|s17adf| . 628414) (|reduce| . 621829) (|doubleDisc| . 621594) (|removeCosSq| . 621379) (|close| . 621104) (|optimize| . 619868) (|setPoly| . 619730) (|setTower!| . 619616) (|ranges| . 619169) (|subNodeOf?| . 618873) (|s17acf| . 618714) (|ratpart| . 618623) (|redpps| . 618125) (|leftUnits| . 617498) (|partitions| . 617063) (|iisinh| . 616867) (|s15aef| . 616708) (|nonQsign| . 616585) (|pointToPlace| . 616124) (|genusNeg| . 614275) (|besselJ| . 613820) (|iiBesselK| . 613618) (|s15adf| . 613459) (|multV| . 612933) (|roughUnitIdeal?| . 612625) (|lowerCase?| . 612545) (|remove!| . 611295) (|makeEq| . 610978) (|s14baf| . 610813) (|symmetricDifference| . 610716) (|rightExactQuotient| . 610568) (|escape| . 610525) (|antiAssociative?| . 610185) (|display| . 608913) (|sn| . 608738) (|s14abf| . 608579) (|printHeader| . 608285) (|dmpToP| . 608073) (|iiperm| . 607875) (|gcdcofact| . 607732) (|nthCoef| . 607543) (|s14aaf| . 607384) (|infRittWu?| . 606139) (|deepCopy| . 606021) (|sortConstraints| . 605688) (|getDatabase| . 605479) (|genericLeftTraceForm| . 605164) (|s13adf| . 605005) (|pointValue| . 604758) (|cycleTail| . 604660) (|prinb| . 604368) (|objects| . 604090) (|s13acf| . 603931) (|move| . 603662) (|fractRadix| . 603536) (|subs2ndVar| . 603278) (|LyndonBasis| . 602984) (|rootOf| . 601488) (|qfactor| . 601118) (|s13aaf| . 600959) (|nullary| . 600833) (|interReduce| . 600546) (|hypergeometric0F1| . 600327) (|blowUpWithExcpDiv| . 599637) (|Zero| . 599336) (|functionIsContinuousAtEndPoints| . 598715) (|parametric?| . 598640) (LT . 598422) (|s01eaf| . 598251) (|upperCase!| . 598197) (|edf2efi| . 598027) (|checkForZero| . 597136) (|stack| . 597023) (|universe| . 596897) (|axServer| . 596734) (|euclideanSize| . 596635) (|s21bdf| . 596467) (|pmComplexintegrate| . 595888) (|infinityNorm| . 595574) (|smaller?| . 595488) (|imagK| . 595285) (|check| . 594529) (|anticoord| . 594233) (|s21bcf| . 594068) (|parent| . 593950) (|firstUncouplingMatrix| . 593687) (|drawComplexVectorField| . 593454) (|iiacoth| . 593258) (|unary?| . 593174) (|setcurve!| . 592573) (|s21bbf| . 592408) (|OMgetAttr| . 592326) (|numberOfComponents| . 591585) (|iidigamma| . 591411) (|logpart| . 591147) (|rem| . 590988) (|selectMultiDimensionalRoutines| . 590938) (|perfectNthPower?| . 590768) (|s21baf| . 590606) (|numericIfCan| . 589238) (|semiDiscriminantEuclidean| . 589007) (|subResultantGcd| . 588477) (|listSD| . 588291) (|solveInField| . 587354) (|s20adf| . 587195) (|replaceVarByZero| . 586909) (|semiIndiceSubResultantEuclidean| . 586633) (|mapmult| . 586499) (|mainCoefficients| . 586284) (|trapezoidalo| . 585984) (|quo| . 585825) (|indiceSubResultant| . 585617) (|graeffe| . 585424) (|e02agf| . 585150) (|cAcsc| . 584990) (|retractIfCan| . 577294) (|simpsono| . 576994) (RF2UTS . 576654) (|getDomains| . 576522) (|match?| . 576398) (|s20acf| . 576239) (|basisOfCenter| . 576061) (|firstSubsetGray| . 575924) (|explimitedint| . 575369) (|hdmpToP| . 575146) (|/\\| . 575049) (|size?| . 574160) (|d01aqf| . 573913) (|distdfact| . 573596) (|mr| . 573292) (|polarCoordinates| . 573044) (|OMreadFile| . 572935) (|ellipticCylindrical| . 572726) (|\\/| . 572629) (|s19adf| . 572470) (|functionIsOscillatory| . 572167) (|tablePow| . 571893) (|parabolicCylindrical| . 571709) (|cn| . 571534) (|or| . 571389) (|degree| . 566586) (|d01apf| . 566333) (|minimize| . 566052) (|singRicDE| . 564959) (|irreducible?| . 564350) (|fTable| . 563231) (|idealiser| . 562611) (|s19acf| . 562452) (|xn| . 562245) (|cos2sec| . 562030) (|cAcsch| . 561870) (|addPoint| . 561275) (|rewriteIdealWithQuasiMonicGenerators| . 560899) (~= . 560074) (|d01anf| . 559824) (|Vectorise| . 559656) (|primitivePart| . 558489) (|copy!| . 558351) (|logIfCan| . 558210) (|maxShift| . 557932) (|d01amf| . 557688) (|homogenize| . 555883) (|plenaryPower| . 555737) (|tValues| . 555638) (|copyQuadVar| . 555426) (|d01alf| . 555133) (|elliptic| . 554373) (|diagonal?| . 553919) (|delete!| . 553639) (|iiacsc| . 553443) (|s19abf| . 553284) (|OMreadStr| . 553175) (|lexGroebner| . 553003) (|completeHensel| . 552769) (|binomThmExpt| . 552542) (|insert| . 552297) (|d01akf| . 552053) (|myDegree| . 551638) (|plot| . 549755) (|transcendentalDecompose| . 547840) (|normalized?| . 546820) (|cAcot| . 546660) (|s19aaf| . 546501) (|isPower| . 545653) (|f2df| . 545528) (|subspace| . 545064) (|splitConstant| . 544661) (|changeNameToObjf| . 544545) (|d01ajf| . 544301) (|unit| . 543967) (|zRange| . 543851) (|showTheIFTable| . 543791) (|allRootsOf| . 542749) (|s18def| . 542510) (|module| . 541849) (|pushdown| . 540745) (|factorset| . 540400) (|pdct| . 540320) (|quadraticForm| . 540157) (|s18dcf| . 539918) (|getCode| . 539832) (|compactFraction| . 539733) (|qelt| . 539126) (|hasDimension?| . 538804) (|guess| . 527305) (|s18aff| . 527146) (|bit?| . 527051) (|minimumDegree| . 526159) (|closed?| . 525934) (|ddot| . 525750) (|enterPointData| . 525577) (|s18aef| . 525418) (|jacobi| . 525316) (|rk4qc| . 524530) (|coerceListOfPairs| . 524402) (|makeop| . 524096) (|prindINFO| . 523699) (|s18adf| . 523540) (|euler| . 523270) (|LazardQuotient| . 523001) (|algebraicSet| . 522597) (|transpose| . 521745) (|reduceBasisAtInfinity| . 521471) (|reshape| . 520742) (|s18acf| . 520583) (|super| . 520533) (|symFunc| . 520227) (|recolor| . 519962) (|isPlus| . 519021) (|lastSubResultantElseSplit| . 518719) (|f04qaf| . 518402) (|tab1| . 518225) (|supersub| . 518129) (|var1Steps| . 517901) (|bumptab| . 517681) (|sturmVariationsOf| . 517419) (|f04mcf| . 517178) (|bfKeys| . 517088) (|leftNorm| . 516971) (|doubleComplex?| . 516883) (|setPrologue!| . 516694) (|label| . 516644) (|isExpt| . 515018) (GT . 514800) (|f04mbf| . 514380) (|pol| . 514182) (|cRationalPower| . 514000) (|euclideanGroebner| . 513106) (|typeLists| . 512896) (|complexRoots| . 512378) (|safeFloor| . 512215) (|f04maf| . 511965) (|heap| . 511854) (|rootPoly| . 511453) (|groebner| . 509702) (|solid?| . 509606) (|curve| . 508897) (|f04jgf| . 508672) (|nextColeman| . 508512) (|leftExactQuotient| . 508198) (|OMgetBind| . 508116) (|elementary| . 507965) (|subscriptedVariables| . 507859) (|f04faf| . 507672) (|asimpson| . 507369) (|besselY| . 506914) (|unitVector| . 506187) (|iroot| . 505951) (|selectFiniteRoutines| . 505901) (|f04axf| . 505669) (|gnuDraw| . 504810) (F2EXPRR . 504620) (|blowUp| . 503928) (|alternative?| . 503588) (|recoverAfterFail| . 503461) (|f04atf| . 503274) (|lowerCase!| . 503220) (|sumOfDivisors| . 503121) (~ . 503030) (|power| . 502868) (|internalDecompose| . 499893) (|showScalarValues| . 499816) (|f04asf| . 499632) (|selectfirst| . 499508) (|constDsolve| . 498980) (|finiteBound| . 498795) (|LagrangeInterpolation| . 498600) (|redPo| . 498271) (|homogeneous| . 497999) (|complexZeros| . 497298) (|pleskenSplit| . 496814) (|simpleBounds?| . 496671) (|tableau| . 496547) (|leftDivide| . 495813) (|sizeLess?| . 495722) (SEGMENT . 495452) (|f04arf| . 495268) (|prolateSpheroidal| . 495059) (|mainPrimitivePart| . 494840) (|rur| . 493220) (|complexNormalize| . 491947) (|addmod| . 491883) (|exprToXXP| . 491323) (|printStats!| . 491157) (|characteristicSerie| . 490383) (|relerror| . 490304) (|declare!| . 489545) (|symmetricRemainder| . 489484) (|f04adf| . 489279) (|degreeSubResultant| . 489071) (|iisech| . 488875) (|removeFirstZeroes| . 488775) (|iidsum| . 488577) (|leaf?| . 488145) (|pseudoQuotient| . 488002) (|baseRDE| . 487672) (|null| . 487567) (|primitivePart!| . 487348) (|indexName| . 487138) (|df2st| . 486769) (|powerSum| . 486618) (|multiset| . 486335) (|inverse| . 484606) (|iicot| . 484410) (|power!| . 484224) (|BumInSepFFE| . 483861) (|desingTreeAtPoint| . 483197) (|internalSubPolSet?| . 482448) (|digit?| . 482368) (|child?| . 482210) (|frobenius| . 482030) (|ldf2vmf| . 481878) (|continue| . 481790) (|subst| . 481345) (|transcendent?| . 481227) (|exprToGenUPS| . 480348) (|permutationRepresentation| . 479579) (|nthFlag| . 479402) (|initial| . 479155) (|factorOfDegree| . 477734) (|option| . 477251) (|tubePointsDefault| . 477061) (|invmod| . 477000) (|slex| . 476841) (|fortranDouble| . 476796) (|new| . 475690) (|explogs2trigs| . 475297) (|desingTreeWoFullParam| . 474017) (|tan2cot| . 473802) (|setCondition!| . 473623) (|normalise| . 473507) (|f07fef| . 473312) (|cyclotomicFactorization| . 473142) (|distribute| . 473034) (|OMputError| . 472952) (|palgRDE| . 472458) (|createPrimitiveNormalPoly| . 472256) (|nextNormalPrimitivePoly| . 472080) (|f07fdf| . 471894) (|And| . 471758) (|reseed| . 471644) (|quoted?| . 471529) (|nary?| . 471445) (|modulus| . 470295) (|f07aef| . 470058) (|generalizedContinuumHypothesisAssumed?| . 469976) (|generalizedContinuumHypothesisAssumed| . 469891) (|region| . 469732) (|lazy?| . 469610) (|unitCanonical| . 469557) (|f07adf| . 469398) (|reduced?| . 468607) (|comparison| . 468472) (|iitanh| . 468276) (|tree| . 467612) (|nlde| . 467385) (|purelyTranscendental?| . 467099) (|alternatingGroup| . 466797) (|zeroDimPrime?| . 466425) (|subset?| . 466300) (|eigenMatrix| . 466107) (|OMopenString| . 465983) (|s17dlf| . 465741) (|maxTower| . 465624) (|newSubProgram| . 465515) (|realElementary| . 464834) (|dznrm2| . 464644) (^= . 464594) (|readLine!| . 464516) (|s17dhf| . 464312) (|sequences| . 464006) (|multiple| . 463730) (|lyndonIfCan| . 463590) (|polynomialZeros| . 463322) (|arg1| . 463174) (|xRange| . 462945) (|coefOfFirstNonZeroTerm| . 462845) (|basisOfCommutingElements| . 462667) (|s17dgf| . 462463) (|optional| . 462187) (|rightNorm| . 462070) (|arg2| . 461922) (|extend| . 459683) (|squareFree| . 457170) (|OMputFloat| . 457053) (|f02xef| . 456824) (|externalList| . 456734) (|jacobian| . 456168) (NOT . 455913) (|evalRec| . 455472) (|repeating?| . 455300) (|convergents| . 455156) (|f02wef| . 454939) (|newtonPolygon| . 454537) (|resultantReduitEuclidean| . 454251) (|not| . 454068) (OR . 453850) (|product| . 452757) (|packModulus| . 452491) (|evalIfCan| . 448404) (|cCos| . 448244) (|f02fjf| . 447457) (|musserTrials| . 447131) (|integralLastSubResultant| . 446736) (AND . 446518) (|minPoly| . 446060) (|sinIfCan| . 445919) (|displayAsGF| . 445786) (|f02bjf| . 445546) (|OMputEndApp| . 445464) (|update| . 445301) (|innerint| . 444661) (|patternMatch| . 440536) (|splitDenominator| . 438945) (|internalLastSubResultant| . 438019) (|applyQuote| . 437365) (|f02bbf| . 437156) (|allDegrees| . 436944) (|prologue| . 436761) (|primitiveElement| . 434821) (|genusTree| . 434103) (|linSolve| . 433652) (|llprop| . 433495) (|whileLoop| . 433411) (|f02axf| . 433234) (|choosemon| . 432969) (|movedPoints| . 432731) (|invertibleSet| . 432445) (|acothIfCan| . 432304) (|typeList| . 432062) (|printInfo| . 429157) (|top| . 428815) (|f02awf| . 428644) (|SturmHabicht| . 428429) (|reduceLODE| . 428016) (|checkOptions| . 427886) (|mainSquareFreePart| . 427667) (|acsch| . 426472) (|fortranLinkerArgs| . 426384) (|f02akf| . 426207) (|triangularSystems| . 425959) (|expressIdealMember| . 425853) (|ord| . 425773) (|BasicMethod| . 425626) (|atrapezoidal| . 425323) (|f02ajf| . 425152) (|getRef| . 424983) (|partition| . 424781) (|characteristicPolynomial| . 422836) (|numberOfImproperPartitions| . 422727) (|eigenvector| . 422410) (|rdHack1| . 422177) (|f02agf| . 422006) (|lex| . 421875) (|gcd| . 419455) (|insert!| . 416485) (|generalCoefficient| . 416087) (|cyclotomicDecomposition| . 415921) (|isMult| . 415700) (|complexEigenvalues| . 415468) (|extractIndex| . 415311) (|Gamma| . 414587) (|option?| . 414436) (|pointLists| . 414323) (|LiePoly| . 414153) (|listAllMonoExp| . 413842) (* . 405629) (|randomR| . 404906) (|zoom| . 404377) (|alterDrift!| . 404187) (|removeSinSq| . 403972) (|showArrayValues| . 403895) (|integralCoordinates| . 403583) (|associator| . 403521) (|samplePoint| . 403257) (|OMgetEndAttr| . 403175) (|OMencodingUnknown| . 403125) (|getExplanations| . 403003) (|hexDigit?| . 402923) (|external?| . 402841) (|polyPart| . 402650) (|inverseLaplace| . 402219) (|screenResolution| . 401982) (|idamax| . 401842) (|radicalRoots| . 401278) (|false| . 401237) (|cTanh| . 401077) (|createLowComplexityNormalBasis| . 400793) (|extDegree| . 400668) (|deepestInitial| . 400481) (|affineAlgSetLocal| . 399964) (|nonSingularModel| . 399256) (|coefficient| . 396233) (|monomial2series| . 396023) (|OMputBind| . 395941) (|negAndPosEdge| . 395647) (|mvar| . 395220) (|multMonom| . 394741) (|stoseInvertible?| . 393971) (|factorSquareFree| . 392007) (|stronglyReduced?| . 391445) (|mainDefiningPolynomial| . 391325) (|ideal| . 390423) (|stripCommentsAndBlanks| . 390336) (|discriminantEuclidean| . 390088) (|child| . 389928) (|is?| . 388824) (|toseLastSubResultant| . 388429) (|sorted?| . 388102) (|ScanFloatIgnoreSpacesIfCan| . 387983) (|nodeOf?| . 387736) (|weierstrass| . 387529) (|RemainderList| . 387143) (|varList| . 385768) (|putGraph| . 385605) (|leftRank| . 385413) (|neglist| . 385280) (|qsetelt!| . 384868) (|less?| . 383652) (|monicRightDivide| . 383124) (|numberOfComposites| . 382992) (|quotValuation| . 382899) (|vertSplit| . 382277) (|augment| . 381086) (|push!| . 380732) (|nextSublist| . 380338) (|factorial| . 379990) (|pair?| . 379713) (|sort| . 378989) (|aQuartic| . 378746) (|nextsubResultant2| . 378513) (|toScale| . 378301) (|integral| . 377316) (|lieAlgebra?| . 376976) (|elliptic?| . 376446) (|stoseIntegralLastSubResultant| . 376041) (|bandMatrix| . 375479) (|rightLcm| . 375341) (|open?| . 375209) (|fracPart| . 374909) (|An| . 374741) (|writeDotGraph| . 374596) (|topPredicate| . 374429) (|lflimitedint| . 373904) (|OMencodingXML| . 373854) (|numerator| . 373477) (|standardDotHeader| . 373393) (|figureUnits| . 373239) (|groebner?| . 372983) (|pack!| . 372847) (|symmetricSquare| . 372702) (|leftExtendedGcd| . 372482) (|preprocess| . 371627) (|expenseOfEvaluation| . 371277) (|hMonic| . 371038) (|sampleDotGraph| . 370954) (|torsionIfCan| . 369977) (|algebraicVariables| . 369696) (|reduction| . 369146) (|getSmgl| . 369039) (|dotview| . 368933) (|repSq| . 368743) (|resultantReduit| . 368545) (|subQuasiComponent?| . 367106) (|extractClosed| . 366960) (|genericRightNorm| . 366648) (|maxLevel| . 366370) (|dot2eps| . 366267) (|elRow1!| . 365972) (|parts| . 364826) (|nthFactor| . 363979) (|nthFractionalTerm| . 363849) (|applyRules| . 363089) (|setlocalPoint!| . 362544) (|padicFraction| . 362445) (|divisorCascade| . 361863) (|associative?| . 361523) (|setright!| . 361379) (|lfextlimint| . 360869) (|bipolarCylindrical| . 360660) (|numberPlacesDegExtDeg| . 359242) (|binaryFunction| . 358966) (|expenseOfEvaluationIF| . 358559) (|monicModulo| . 358267) (|sinhcosh| . 358026) (|listVariable| . 357746) (|traverse| . 357577) (|bivariate?| . 357290) (|cylindrical| . 357106) (|headRemainder| . 356766) (|unit?| . 356679) (|atanIfCan| . 356538) (|low| . 356448) (|izamax| . 356262) (|cond| . 356094) (|moreAlgebraic?| . 355401) (|denomRicDE| . 355023) (|getOrder| . 354844) (|truncatedmuladd| . 354677) (|partialDenominators| . 354546) (|palgRDE0| . 353447) (|quasiAlgebraicSet| . 353183) (|btwFact| . 352802) (|increment| . 352650) (|type| . 352511) (|accuracyIF| . 352104) (|coerceL| . 351883) (|reduceRow| . 351761) (|overlabel| . 351711) (|allSimpleCells| . 351232) (|putColorInfo| . 351079) (|pointV| . 350574) (|intPatternMatch| . 349900) (|depth| . 349279) (|initiallyReduced?| . 348259) (|halfExtendedResultant2| . 348018) (|curveColorPalette| . 347884) (|genericPosition| . 347466) (|primintfldpoly| . 347197) (|comp| . 346941) (|semiResultantEuclidean1| . 346710) (|lcmCoef| . 346569) (|sin?| . 346446) (|lazyEvaluate| . 346352) (|ptFunc| . 346008) (|count| . 343543) (|cyclicEqual?| . 343428) (|B1solve| . 342724) (|sayLength| . 342494) (|swapColumns!| . 342271) (|makeSeries| . 342026) (|horizConcat| . 341568) (|polygon?| . 341447) (|aromberg| . 341144) (|headReduce| . 340701) (|viewDeltaYDefault| . 340521) (|pToHdmp| . 340298) (|separant| . 340051) (|mkPrim| . 339803) (|selectODEIVPRoutines| . 339753) (|bsolve| . 338910) (|implies| . 338863) (|iiBesselJ| . 338661) (|OMgetInteger| . 338576) (|yCoord| . 338462) (|root?| . 338316) (|exprHasLogarithmicWeights| . 338010) (|factorAndSplit| . 337851) (|iicosh| . 337655) (|vertConcat| . 337197) (|rotatex| . 337056) (|diagonalMatrix| . 335783) (|setClosed| . 335648) (|extractBottom!| . 335473) (|setLabelValue| . 335385) (|definingEquations| . 335124) (|enqueue!| . 334860) (|exprToUPS| . 333981) (|property| . 333860) (|minGbasis| . 333593) (|pointInIdeal?| . 333215) (|basicSet| . 332360) (|duplicates| . 332173) (|lazyPrem| . 331793) (|mathieu24| . 331530) (|multiple?| . 331415) (|iiacosh| . 331219) (|createIrreduciblePoly| . 331017) (|adjunctionDivisor| . 329161) (|units| . 328534) (|obj| . 328463) (|subResultantGcdEuclidean| . 328221) (|torsion?| . 327376) (|exquo| . 325876) (|weights| . 325286) (|complement| . 325157) (|coordinates| . 323031) (|div| . 322981) (|backOldPos| . 322619) (|palgextint0| . 321534) (|harmonic| . 321394) (|code| . 320151) (|traceMatrix| . 319527) (|submod| . 319463) (|medialSet| . 318797) (|color| . 318610) (|curveColor| . 318453) (|flush| . 318297) (|standardBasisOfCyclicSubmodule| . 318062) (|predicates| . 317942) (|coth2tanh| . 317727) (|fixedPoints| . 317580) (|outputFixed| . 317401) (|divideExponents| . 317246) (|primeFactor| . 317124) (|failed| . 316817) (|fractionPart| . 316203) (|binary| . 316013) (|cap| . 315846) (|rangePascalTriangle| . 315588) (|remainder!| . 315427) (|critBonD| . 315061) (|qinterval| . 314908) (|commutator| . 314805) (|roughBasicSet| . 314408) (|singularPoints| . 312795) (|hex| . 312691) (|flexible?| . 312351) (|flexibleArray| . 312090) (|setScreenResolution3D| . 312013) (|checkPrecision| . 311924) (|clearCache| . 311811) (|rhs| . 311301) (|arrayStack| . 311183) (|newtonPolySlope| . 310731) (|numberOfOperations| . 310443) (|polyRingToBlUpRing| . 310045) (|getAncestors| . 309913) (|leftZero| . 309797) (|innerSolve1| . 309266) (|stFunc1| . 308985) (|extendedIntegrate| . 308604) (|closedCurve?| . 308483) (|eigenvalues| . 308227) (|rank| . 305748) (|karatsubaDivide| . 305535) (|complementaryBasis| . 305261) (|top!| . 305086) (|quickSort| . 304828) (|rightUnits| . 304201) (|minPol| . 303541) (|mergeDifference| . 303421) (|Ci| . 303126) (|swapRows!| . 302903) (|cSinh| . 302743) (|taylorQuoByVar| . 302638) (|numberOfValuesNeeded| . 302212) (|padecf| . 301907) (|associatorDependence| . 301508) (|rCoord| . 301394) (|makeSketch| . 301193) (|cAtan| . 301033) (|viewDefaults| . 300949) (|conditions| . 300745) (|fmecg| . 299680) (|zag| . 299630) (|multisect| . 299001) (|binaryTournament| . 298878) (|mainValue| . 298758) (|someBasis| . 298614) (|isamax| . 298480) (|forLoop| . 298199) (|fprindINFO| . 297799) (|mantissa| . 297627) (|ksec| . 297388) (|internalIntegrate| . 296664) (|acschIfCan| . 296523) (|minColIndex| . 296056) (|summary| . 295964) (|patternVariable| . 295813) (|translateToOrigin| . 294685) (|abs| . 293755) (|mergeFactors| . 293612) (|show| . 293453) (|expIfCan| . 293312) (|tanh2coth| . 293097) (|KrullNumber| . 292242) (|difference| . 292051) (|drot| . 291827) (|weight| . 290923) (|hyperelliptic| . 290369) (|kmax| . 290163) (|e02aef| . 289964) (|OMgetFloat| . 289875) (|rombergo| . 289575) (|optional?| . 289460) (|numberOfFactors| . 289083) (|Ei5| . 288958) (|c02agf| . 288755) (|normInvertible?| . 288364) (|quasiMonicPolynomials| . 287993) (|constant| . 287027) (|inverseColeman| . 286867) (|rk4f| . 286580) (|fffg| . 286139) (|rightRankPolynomial| . 285372) (|setvalue!| . 285234) (|complete| . 284662) (|setTex!| . 284571) (|c02aff| . 284368) (|DiffAction| . 284144) (|e02adf| . 283968) (|OMbindTCP| . 283842) (|OMputAtp| . 283760) (|symbolTableOf| . 283641) (|changeWeightLevel| . 283020) (|identitySquareMatrix| . 282853) (|c05pbf| . 282566) (|radicalSimplify| . 282228) (|shiftLeft| . 282083) (|twoFactor| . 281777) (|concat!| . 281156) (|showAttributes| . 280057) (|repeatUntilLoop| . 279973) (|belong?| . 278265) (|qShiftAction| . 278038) (|removeIrreducibleRedundantFactors| . 277669) (|selectPDERoutines| . 277619) (|useEisensteinCriterion?| . 277464) (|critpOrder| . 277079) (|coefChoose| . 276772) (|iFTable| . 276177) (|powern| . 275969) (|credits| . 275877) (|compile| . 275756) (|copyBSD| . 275632) (|trace2PowMod| . 275419) (|iflist2Result| . 275151) (|iiBesselY| . 274949) (|associates?| . 274859) (|edf2df| . 274713) (|common| . 274593) (|solveLinearPolynomialEquationByFractions| . 274336) (|rotate| . 274089) (|conjugates| . 273973) (|e01sef| . 273753) (|ignore?| . 273396) (|normalizeAtInfinity| . 273122) (|sinh2csch| . 272907) (|e01saf| . 272731) (|closedCurve| . 272211) (|sh| . 271847) (|rootPower| . 271290) (|dnrm2| . 271112) (|genericRightDiscriminant| . 270803) (|e01daf| . 270624) (|octon| . 270375) (|infix?| . 270294) (|children| . 270014) (|extendedEuclidean| . 269735) (|palglimint| . 269164) (|FormatArabic| . 269045) (|e01bhf| . 268831) (|dim| . 268755) (|primPartElseUnitCanonical| . 268531) (|integralDerivationMatrix| . 268185) (|primextintfrac| . 267858) (|radicalEigenvalues| . 267677) (|e01bgf| . 267495) (|every?| . 266300) (|retractable?| . 265489) (|random| . 264236) (|tanQ| . 263865) (|iiAiryAi| . 263691) (|cSech| . 263531) (|e01bff| . 263349) (|prod| . 263205) (|monomRDE| . 262804) (|measure2Result| . 262358) (|rootOfIrreduciblePoly| . 261946) (|matrixConcat3D| . 261811) (|diag| . 261608) (|e01bef| . 261435) (|acosIfCan| . 261294) (|reducedForm| . 261193) (|drawComplex| . 260929) (|positiveRemainder| . 260868) (|zero?| . 260152) (|e01baf| . 259973) (|last| . 259385) (|initializeGroupForWordProblem| . 259112) (|irreducibleFactor| . 258990) (|perfectSquare?| . 258862) (|checkRur| . 258417) (|e02zaf| . 258232) (|mesh?| . 258111) (|monicCompleteDecompose| . 257871) (|One| . 257426) (|droot| . 257201) (|e02gaf| . 256993) (|OMputBVar| . 256911) (|RittWuCompare| . 256683) (|rightDivide| . 256173) (|lazyIntegrate| . 255942) (|log2| . 255819) (|e02dff| . 255628) (|nthExpon| . 255008) (|commonDenominator| . 254149) (|PDESolve| . 253592) (|makeViewport3D| . 253236) (|localUnquote| . 252888) (|build| . 252409) (|definingField| . 252218) (|extendedint| . 251872) (|fullInfClsPt| . 251424) (|e02def| . 251242) (|rightDiscriminant| . 250826) (|drawToScale| . 250658) (|linearDependenceOverZ| . 250451) (|e02ddf| . 250186) (|semiDegreeSubResultantEuclidean| . 249910) (|possiblyInfinite?| . 249792) (|factorUsingMusser| . 249368) (|e02dcf| . 249061) (|deriv| . 248930) (|row| . 248457) (|rewriteSetByReducingWithParticularGenerators| . 248035) (|mdeg| . 247809) (|factorGroebnerBasis| . 247087) (|basisOfInterpolateFormsForFact| . 246526) (|charthRoot| . 246274) (|e02daf| . 246003) (|dark| . 245927) (|light| . 245851) (|sqfrFactor| . 245729) (|e02bef| . 245437) (|hasTopPredicate?| . 245322) (|zCoord| . 245208) (|linear?| . 244650) (|nextsousResultant2| . 244478) (|fortranDoubleComplex| . 244433) (|primaryDecomp| . 243881) (|e02bdf| . 243714) (|ODESolve| . 243277) (|OMputVariable| . 243165) (|reset| . 242282) (|internalSubQuasiComponent?| . 241569) (|subtractIfCan| . 241492) (|parabolic| . 241308) (|complexIntegrate| . 240589) (|SturmHabichtCoefficients| . 240374) (|outerProduct| . 240225) (|write| . 239580) (|errorInfo| . 239488) (|minusInfinity| . 239299) (|save| . 239254) (|leadingIdeal| . 239026) (|qPot| . 238847) (|projectivePoint| . 238106) (|UnVectorise| . 237938) (|plusInfinity| . 237749) (|stoseInvertibleSetsqfreg| . 237387) (|computeBasis| . 237174) (|rectangularMatrix| . 236974) (|cyclicParents| . 236853) (|sech2cosh| . 236638) (|leftScalarTimes!| . 236497) (|alternating| . 236346) (|genericLeftDiscriminant| . 236037) (|critMonD1| . 235671) (|nthr| . 235139) (|dmpToHdmp| . 234890) (|d| . 234723) (|wreath| . 234597) (|split!| . 234426) (|shellSort| . 234168) (|satisfy?| . 233561) (|inR?| . 233446) (|complexNumeric| . 229759) (|status| . 229287) (|ShiftAction| . 229063) (|deepestTail| . 228876) (|testModulus| . 228665) (|setCurve| . 227462) (|genericRightTrace| . 227150) (|kernels| . 227051) (|affineRationalPoints| . 226160) (|midpoint| . 225891) (|desingTree| . 223922) (|midpoints| . 223635) (|numberOfHues| . 223554) (|univariate| . 220607) (|bfEntry| . 220366) (|indiceSubResultantEuclidean| . 220073) (|eulerPhi| . 219974) (|factorSquareFreeByRecursion| . 219278) (|shuffle| . 219122) (|factor| . 207293) (|createNormalPoly| . 207091) (|floor| . 206891) (|exprex| . 206670) (|retractToGrn| . 206502) (|makeUnit| . 206353) (|imag| . 205613) (|vedf2vef| . 205436) (|fillPascalTriangle| . 205321) (|mapBivariate| . 204958) (|getStream| . 204780) (|imagi| . 204678) (|d01gbf| . 204380) (|directProduct| . 204251) (|discreteLog| . 204028) (|intcompBasis| . 203766) (|reverse!| . 203307) (|d01gaf| . 203136) (|parametersOf| . 203046) (|decompose| . 200186) (|destruct| . 199701) (|generalizedEigenvector| . 198933) (|d01fcf| . 198638) (|hitherPlane| . 198517) (|options| . 198096) (|high| . 198006) (|nextPartition| . 197670) (|atom?| . 197393) (|monomial| . 194496) (|e| . 194310) (|clipWithRanges| . 194016) (|unparse| . 193937) (|removeDuplicates!| . 193709) (|addPointLast| . 193514) (|coercePreimagesImages| . 193386) (|d01bbf| . 193220) (|multivariate| . 191551) (|readable?| . 191462) (|inRadical?| . 191203) (|d01asf| . 190956) (|completeHermite| . 190645) (|member?| . 189176) (|slash| . 189126) (|combineFeatureCompatibility| . 188918) (|asinhIfCan| . 188777) (|twist| . 188534) (|replaceVarByOne| . 188248) (|columnSpace| . 187993) (|iilog| . 187797) (|guessHP| . 180330) (|d02raf| . 179894) (|initTable!| . 179728) (|rightTrim| . 179540) (|fortranTypeOf| . 179424) (|prefix| . 179328) (|inv| . 178122) (|apply| . 177379) (|leftTraceMatrix| . 176873) (|safeCeiling| . 176710) (|d02kef| . 175870) (|isAbsolutelyIrreducible?| . 175462) (|diagonal| . 175258) (|ridHack1| . 175152) (|ground?| . 174566) (|primeFrobenius| . 174391) (|d02gbf| . 173985) (|subsInVar| . 173696) (|cfirst| . 173475) (|collectQuasiMonic| . 173222) (|normalize| . 172123) (|ground| . 171888) (|brace| . 171544) (|rootProduct| . 170987) (|divideIfCan!| . 170643) (|d02gaf| . 170321) (|members| . 169289) (|blankSeparate| . 169196) (|leadingMonomial| . 168104) (|cons| . 167945) (|quadraticBezier| . 167789) (|createMultiplicationMatrix| . 167555) (|fibonacci| . 167456) (|d02ejf| . 166878) (|pade| . 165963) (|leadingCoefficient| . 163939) (|copy| . 162968) (|scalarTypeOf| . 162834) (|prinpolINFO| . 162542) (|d02cjf| . 162050) (|changeVar| . 161272) (|prime?| . 160536) (|primitiveMonomials| . 160330) (|element?| . 160071) (|uniform01| . 159981) (|nsqfree| . 159456) (|minPoints3D| . 159382) (|d02bhf| . 158997) (|reductum| . 156962) (|d02bbf| . 156572) (|optpair| . 156435) (|OMclose| . 156353) (|qnew| . 155751) (|subSet| . 155602) (|double| . 155416) (|lifting1| . 154713) (|e02ahf| . 154499) (|back| . 154244) (|cot2tan| . 154029) (|extendedgcd| . 153854) (|OMgetSymbol| . 153724) (|Ei3| . 153599) (|interpretString| . 153488) (|placesOfDegree| . 151245) (|list| . 150831) (|cycle| . 150702) (|iiasinh| . 150506) (|bipolar| . 150297) (|displayKind| . 150216) (|powmod| . 150152) (|ffactor| . 149845) (|remove| . 148879) (|integers| . 148711) (|ScanFloatIgnoreSpaces| . 148602) (|zeroDimPrimary?| . 148230) (|nil| . 148156) (|probablyZeroDim?| . 147841) (|rotate!| . 147586) (|createRandomElement| . 147419) (|elt| . 138358) (|trace| . 137541) (|clearTheSymbolTable| . 137356) (|fortranLogical| . 137311) (|lazyGintegrate| . 137061) (|setelt| . 134659) (|makeSUP| . 134506) (|linears| . 134344) (|mainForm| . 134243) (|removeDuplicates| . 134083) (|algebraic?| . 133684) (|pushucoef| . 133267) (|nextPrime| . 133159) (|rest| . 132383) (|theCurve| . 131189) (|xCoord| . 131075) (|dasum| . 130897) (|reverse| . 130495) (|leftMult| . 130340) (|subResultantsChain| . 130136) (|gderiv| . 129959) (|beauzamyBound| . 129617) (|setDifference| . 129503) (|hspace| . 129422) (|insertRoot!| . 129324) (|setStatus| . 129041) (|OMconnInDevice| . 128945) (|setIntersection| . 128831) (|replaceKthElement| . 128674) (|singular?| . 128133) (|numberOfVariables| . 127278) (|exactQuotient!| . 126827) (F . 126680) (|viewPosDefault| . 126466) (|lagrange| . 125973) (|rarrow| . 125923) (|structuralConstants| . 124707) (|setUnion| . 124593) (|expintegrate| . 124160) (|chiSquare| . 124016) (|argumentList!| . 123605) (|lazyVariations| . 123309) (|size| . 121370) (|union| . 120774) (|createZechTable| . 120563) (|argumentListOf| . 120440) (|rewriteIdealWithRemainder| . 120129) (|powers| . 119994) (|substitute| . 119889) (|setFieldInfo| . 119647) (|fortranCarriageReturn| . 119567) (|countRealRootsMultiple| . 119323) (|jordanAdmissible?| . 118983) (|reciprocalPolynomial| . 118790) (|fortranCharacter| . 118745) (|cAsinh| . 118585) (|limit| . 116368) (|rowEchWoZeroLines| . 116253) (|log| . 113919) (|mkAnswer| . 113574) (|OMgetString| . 113490) (|reduceLineOverLine| . 113371) (|empty?| . 112275) (|consnewpol| . 111775) (|variable| . 111084) (|input| . 110832) (|outputSpacing| . 110720) (|delay| . 110471) (|dimension| . 108989) (|distance| . 108865) (|algebraicSort| . 108178) (|test| . 108134) (|presub| . 108084) (|partialFraction| . 107441) (|aLinear| . 107207) (|removeSuperfluousCases| . 106422) (|makeViewport2D| . 106227) (|leftCharacteristicPolynomial| . 106060) (|coerceS| . 105839) (|finiteSeries2Vector| . 105619) (|rowEchelonLocal| . 105471) (|expandLog| . 105256) (|real| . 104316) (|leftAlternative?| . 103976) (|updatD| . 103610) (|cotIfCan| . 103469) (|digamma| . 103026) (|square?| . 102572) (|complex| . 102468) (|balancedBinaryTree| . 102328) (|green| . 102289) (|restorePrecision| . 102203) (|quotientByP| . 102141) (|principalSubResultantSet| . 101906) (|numer| . 100643) (|pointColorPalette| . 100509) (|fullOutput| . 97734) (|represents| . 96605) (|minrank| . 96037) (|yCoordinates| . 95725) (|denom| . 94482) (|specialTrigs| . 94196) (|integerIfCan| . 94055) (|point?| . 93934) (|minPoints| . 93697) (|clikeUniv| . 93479) (|kernel| . 92962) (|coerceP| . 92756) (|recip| . 90772) (|generalInterpolation| . 88805) (|iiBesselI| . 88603) (|pop!| . 88261) (|draw| . 80231) (|sort!| . 79876) (|halfExtendedResultant1| . 79635) (|setMaxPoints3D| . 79558) (|supRittWu?| . 79340) (|sylvesterSequence| . 79148) (|makeObject| . 74677) (|biringToPolyRing| . 74279) (|append| . 74199) (|maxDerivative| . 73921) (|bivariatePolynomials| . 73550) (|lquo| . 72642) (|OMputEndError| . 72560) (|coef| . 71960) (|linearMatrix| . 71760) (|function| . 71051) (|solveid| . 70816) (|topFortranOutputStack| . 70724) (|printTypes| . 70539) (|showAll?| . 70401) (|npcoef| . 69764) (|monom| . 69313) (|doublyTransitive?| . 69159) (|biRank| . 68967) (|infinity| . 68776) (|cycleLength| . 68639) (|epilogue| . 68456) (|discriminantSet| . 68215) (|drotg| . 68068) (|dscal| . 67887) (|processTemplate| . 67713) (|leftRemainder| . 67419) (|iidprod| . 67221) (|partialNumerators| . 67090) (|constantOperator| . 66920) (|dihedral| . 66769) (|lfinfieldint| . 66397) (|oddintegers| . 66229) (|generalPosition| . 65836) (|createGenericMatrix| . 65657) (|blue| . 65618) (|realEigenvalues| . 65413) (|normal?| . 64887) (|symbol?| . 64498) (|ParCond| . 63990) (|laplace| . 63604) (|precision| . 63193) (|leftRankPolynomial| . 62426) (|sbt| . 62323) (|coerceImages| . 62204) (|chebyshevU| . 61891) (|pushuconst| . 61520) (|rationalIfCan| . 60120) (|intermediateResultsIF| . 59713) (|match| . 58371) (|tensorProduct| . 57856) (|returnType!| . 57313) (|OMgetEndAtp| . 57231) (|stiffnessAndStabilityFactor| . 57019) (|weakBiRank| . 56827) (|rightAlternative?| . 56487) (|numberOfComputedEntries| . 56354) (|xor| . 56206) (|mainCharacterization| . 55942) (|selectOptimizationRoutines| . 55892) (|createHN| . 55679) (|dAndcExp| . 55452) (|complex?| . 55364) (|argscript| . 55272) (|cylindricalDecomposition| . 54828) (|decrease| . 54604) (|countable?| . 54519) (|rational| . 53199) (|iiasin| . 53003) (|groebSolve| . 52638) (|physicalLength!| . 52380) (|getMultiplicationMatrix| . 51723) (|expr| . 51474) (|variables| . 49258) (|genericLeftMinimalPolynomial| . 48915) (|principalIdeal| . 48749) (|abelianGroup| . 48588) (|addBadValue| . 48316) (|showTheRoutinesTable| . 48269) (|factorSqFree| . 47684) (|times| . 47436) (|gcdBasis| . 47231) (|matrixGcd| . 46879) (|minordet| . 46145) (|sample| . 45416) (|asinIfCan| . 45275) (|dfRange| . 45142) (|factorUsingYun| . 44718) (|pointToCell| . 44506) (|cLog| . 44346) (|romberg| . 44046) (|indicialEquation| . 43293) (|block| . 43198) (|directory| . 43110) (|prepareSubResAlgo| . 42706) (|freeOf?| . 42295) (|showTheSymbolTable| . 42247) (|internalZeroSetSplit| . 41486) (|lighting| . 41359) (|generalizedInverse| . 41103) (|localParamV| . 40568) (|filterUpTo| . 40437) (|dequeue!| . 40182) (|determinant| . 39195) (|smith| . 38947) (|negative?| . 38470) (|basisOfMiddleNucleus| . 38292) (|solveLinearPolynomialEquationByRecursion| . 37578) (|getMultiplicationTable| . 36800) (|factorByRecursion| . 36104) (|skewSFunction| . 35941) (|getButtonValue| . 35826) (|op| . 35670) (|title| . 35224) (|coefficientSet| . 34992) (|relationsIdeal| . 34593) (|monomials| . 33799) (|exprHasAlgebraicWeight| . 33470) (|bitTruth| . 33357) (|rotatez| . 33216) (|inverseIntegralMatrixAtInfinity| . 32932) (|lieAdmissible?| . 32592) (|thetaCoord| . 32478) (|deref| . 32396) (|any| . 32290) (|sizePascalTriangle| . 32161) (|Si| . 31866) (|quote| . 31779) (|itsALeaf!| . 31611) (|rst| . 31517) (EQ . 31299) (|t| . 31155) (|hasSolution?| . 30566) (|scalarMatrix| . 30134) (|seed| . 30048) (|nullSpace| . 28341) (|rightQuotient| . 28203) (|useSingleFactorBound| . 28045) (|rspace| . 27961) (|fullDesTree| . 27513) (|userOrdered?| . 27382) (|differentialVariables| . 27107) (|linearDependence| . 26885) (|fractionFreeGauss!| . 26587) (|initials| . 26306) (|removeRoughlyRedundantFactorsInContents| . 25984) (|rootRadius| . 25598) (|derivative| . 25039) (|denominators| . 24908) (|writeObj| . 24755) (|explicitlyFinite?| . 24637) (|outputList| . 24523) (|constantToUnaryFunction| . 24370) (|makeSin| . 24162) (|superHeight| . 24081) (|leftUnit| . 23920) (|basis| . 22290) (|identity| . 22152) (|makeTerm| . 21997) (|showClipRegion| . 21875) (|crushedSet| . 21588) (|showAllElements| . 21444) (|integerBound| . 21225) (|interval| . 20737) (|complexNumericIfCan| . 17682) (|OMputEndBVar| . 17600) (|atoms| . 17374) (|palgint0| . 16359) (|lowerPolynomial| . 16030) (|leastPower| . 15711) (|trapezoidal| . 15411) (|transcendenceDegree| . 15090) (|factorsOfCyclicGroupSize| . 14937) (|charClass| . 14760) (|singularAtInfinity?| . 14491) (|fortranReal| . 14446) (|selectOrPolynomials| . 14020) (|totalDegree| . 13307) (|quadratic?| . 13173) (|double?| . 13085) (|cAtanh| . 12925) (|cycles| . 12787) (|univariateSolve| . 10546) (|basisOfRightAnnihilator| . 10365) (|reportInstantiations| . 10242) (|number?| . 10088) (|badNum| . 9562) (|graphs| . 9285) (|degreeSubResultantEuclidean| . 8992) (|dswap| . 8780) (F2FG . 8418) (|gcdcofactprim| . 8275) (|maxdeg| . 7984) (|matrix| . 6967) (|Nul| . 6874) (|insertMatch| . 6702) (|drift| . 6573) (|scaleRoots| . 6410) (|dcopy| . 6258) (|absolutelyIrreducible?| . 5668) (|decreasePrecision| . 5496) (|replace| . 5381) (|mapUnivariate| . 4720) (|OMputApp| . 4638) (|dimensions| . 4285) (|prem| . 3905) (|ratPoly| . 3450) (|normalizeIfCan| . 3060) (|getShiftRec| . 2570) (|writeLine!| . 2414) (|void| . 2376) (|parse| . 2297) (|OMgetEndObject| . 2215) (|lllp| . 2066) (|error| . 1588) (|stopTable!| . 913) (|oddlambert| . 420) (|withPredicates| . 297) (|rightFactorIfCan| . 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/users.daase/index.kaf b/src/share/algebra/users.daase/index.kaf
index e251d7b..b697266 100644
--- a/src/share/algebra/users.daase/index.kaf
+++ b/src/share/algebra/users.daase/index.kaf
@@ -1,4 +1,4 @@
-237625              (|ProjectiveAlgebraicSetPackage|)
+237680              (|ProjectiveAlgebraicSetPackage|)
 (|ProjectiveAlgebraicSetPackage|)
 (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |BlowUpPackage| |DesingTreePackage| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField|)
 (|AffinePlane|)
@@ -144,7 +144,7 @@
 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber|)
 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfRationalNumber|)
 (|BinaryFile| |ParametricLinearEquations| |TextFile|)
-(|BinaryFile| |Export3D| |File| |FortranOutputStackPackage| |FortranPackage| |FortranTemplate| |GnuDraw| |KeyedAccessFile| |Library| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |ParametricLinearEquations| |TextFile|)
+(|BinaryFile| |Export3D| |File| |FortranOutputStackPackage| |FortranPackage| |FortranTemplate| |GnuDraw| |Graphviz| |KeyedAccessFile| |Library| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |ParametricLinearEquations| |TextFile|)
 (|FractionFreeFastGaussianFractions|)
 (|AlgebraicIntegrate| |FindOrderFinite| |FiniteDivisorFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |ReducedDivisor|)
 (|FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension|)
@@ -304,7 +304,7 @@
 (|SystemSolvePackage|)
 (|InterpolateFormsPackage| |LinearSystemFromPowerSeriesPackage|)
 (|Expression| |PowerSeriesLimitPackage|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Cell| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |CylindricalAlgebraicDecompositionPackage| |CylindricalAlgebraicDecompositionUtilities| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |Finite&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Cell| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |CylindricalAlgebraicDecompositionPackage| |CylindricalAlgebraicDecompositionUtilities| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |Finite&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |Graphviz| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraPackage| |Asp19| |Asp55| |DirichletRing| |ElementaryFunctionSign| |FiniteSetAggregateFunctions2| |FramedNonAssociativeAlgebra&| |GaloisGroupFactorizer| |GenericNonAssociativeAlgebra| |Guess| |LieSquareMatrix| |MatrixCommonDenominator| |MatrixManipulation| |PAdicWildFunctionFieldIntegralBasis| |PermutationGroupExamples| |RealSolvePackage| |TaylorSolve| |ThreeSpace| |TwoDimensionalPlotClipping| |UnivariateTaylorSeriesODESolver|)
 (|FreeGroup| |FreeMonoid| |InnerFreeAbelianMonoid|)
 (|IntegerFactorizationPackage|)
@@ -561,7 +561,7 @@
 (|DirichletRing| |EllipticFunctionsUnivariateTaylorSeries| |InfiniteProductFiniteField| |InnerTaylorSeries| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |UnivariateLaurentSeriesConstructor| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |WeierstrassPreparation|)
 (|ElementaryFunctionsUnivariateLaurentSeries| |InfiniteProductFiniteField| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctionsNonCommutative| |UnivariateTaylorSeriesCategory&|)
 (|UnivariateTaylorSeriesCategory&|)
-(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |Graphviz| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|CylindricalAlgebraicDecompositionPackage| |InnerNumericFloatSolvePackage| |TranscendentalIntegration|)
 (|Export3D| |ThreeSpace|)
 (|MeshCreationRoutinesForThreeDimensions| |SubSpace| |ThreeDimensionalViewport| |ThreeSpace|)
@@ -583,7 +583,7 @@
 (|ExpressionSolve|)
 (|FortranTemplate|)
 (|TexFormat1|)
-(|Export3D| |FortranTemplate| |GnuDraw|)
+(|Export3D| |FortranTemplate| |GnuDraw| |Graphviz|)
 (|FortranCode| |FortranPackage| |FortranProgram|)
 (|NagPartialDifferentialEquationsPackage|)
 (|DrawComplex| |GnuDraw| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints|)
@@ -635,7 +635,7 @@
 (|AlgebraicHermiteIntegration| |AlgebraicIntegrate| |Asp10| |Asp19| |Asp20| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |FramedNonAssociativeAlgebraFunctions2| |GenExEuclid| |GenericNonAssociativeAlgebra| |LinearDependence| |SimpleAlgebraicExtension|)
 (|GraphImage| |MeshCreationRoutinesForThreeDimensions| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalViewport| |ViewportPackage|)
 (|TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BasicStochasticDifferential| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |U16Vector| |U32Vector| |U32VectorPolynomialOperations| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BasicStochasticDifferential| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |Graphviz| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |U16Vector| |U32Vector| |U32VectorPolynomialOperations| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
 (|OrdinaryWeightedPolynomials|)
 (|PAdicWildFunctionFieldIntegralBasis|)
 (|LieExponentials| |LiePolynomial| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
@@ -670,4 +670,4 @@
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
-(("e04ucfAnnaType" 0 237588) ("e04nafAnnaType" 0 237551) ("e04mbfAnnaType" 0 237514) ("e04jafAnnaType" 0 237477) ("e04gcfAnnaType" 0 237440) ("e04fdfAnnaType" 0 237403) ("e04dgfAnnaType" 0 237366) ("e04AgentsPackage" 0 237227) ("d03eefAnnaType" 0 237184) ("d03AgentsPackage" 0 237165) ("d02ejfAnnaType" 0 237121) ("d02cjfAnnaType" 0 237077) ("d02bhfAnnaType" 0 237033) ("d02bbfAnnaType" 0 236989) ("d02AgentsPackage" 0 236919) ("d01gbfAnnaType" 0 236883) ("d01fcfAnnaType" 0 236847) ("d01asfAnnaType" 0 236811) ("d01aqfAnnaType" 0 236775) ("d01apfAnnaType" 0 236739) ("d01anfAnnaType" 0 236703) ("d01amfAnnaType" 0 236667) ("d01alfAnnaType" 0 236631) ("d01akfAnnaType" 0 236595) ("d01ajfAnnaType" 0 236559) ("d01WeightsPackage" 0 236506) ("d01TransformFunctionType" 0 236470) ("d01AgentsPackage" 0 236217) ("XRecursivePolynomial" 0 236168) ("XPolynomialRing" 0 236141) ("XPBWPolynomial" 0 236121) ("XDistributedPolynomial" 0 236031) ("WildFunctionFieldIntegralBasis" 0 235991) ("WeightedPolynomials" 0 235959) ("Void" 0 231563) ("ViewportPackage" 0 231475) ("ViewDefaultsPackage" 0 231263) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 230954) ("VectorCategory&" 0 NIL) ("Vector" 0 225838) ("Variable" 0 225463) ("UserDefinedPartialOrdering" 0 225401) ("UniversalSegmentFunctions2" 0 225367) ("UniversalSegment" 0 224501) ("UnivariateTaylorSeriesFunctions2" 0 224463) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 224334) ("UnivariateTaylorSeries" 0 224173) ("UnivariateSkewPolynomialCategoryOps" 0 224138) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 224075) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 224015) ("UnivariatePuiseuxSeries" 0 223794) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 223675) ("UnivariatePolynomialDivisionPackage" 0 223630) ("UnivariatePolynomialDecompositionPackage" 0 223604) ("UnivariatePolynomialCommonDenominator" 0 223391) ("UnivariatePolynomialCategoryFunctions2" 0 222267) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 221958) ("UnivariateLaurentSeriesFunctions2" 0 221920) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 221892) ("UnivariateLaurentSeries" 0 221792) ("UnivariateFormalPowerSeriesFunctions" 0 221782) ("UnivariateFormalPowerSeries" 0 221694) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("U8Vector" 0 221681) ("U32Vector" 0 221635) ("U16Vector" 0 221621) ("TwoFactorize" 0 221568) ("TwoDimensionalViewport" 0 221395) ("TwoDimensionalPlotClipping" 0 221349) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 221333) ("TubePlotTools" 0 221292) ("TubePlot" 0 221207) ("TrigonometricManipulations" 0 221022) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 220832) ("Tree" 0 220790) ("TranscendentalRischDESystem" 0 220762) ("TranscendentalRischDE" 0 220718) ("TranscendentalManipulations" 0 220602) ("TranscendentalIntegration" 0 220534) ("TranscendentalHermiteIntegration" 0 220504) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 220482) ("TopLevelDrawFunctionsForCompiledFunctions" 0 220456) ("TopLevelDrawFunctions" 0 220444) ("ToolsForSign" 0 220337) ("ThreeSpace" 0 220085) ("ThreeDimensionalViewport" 0 219958) ("ThreeDimensionalMatrix" 0 219915) ("TheSymbolTable" 0 219865) ("TextFile" 0 219824) ("TexFormat" 0 219809) ("TemplateUtilities" 0 219789) ("TaylorSolve" 0 219769) ("TaylorSeries" 0 219742) ("TangentExpansions" 0 219703) ("TabulatedComputationPackage" 0 219567) ("Tableau" 0 219547) ("TableAggregate&" 0 NIL) ("Table" 0 218892) ("SystemSolvePackage" 0 218787) ("SystemODESolver" 0 218765) ("SymmetricPolynomial" 0 218719) ("SymmetricGroupCombinatoricFunctions" 0 218670) ("SymmetricFunctions" 0 218648) ("SymbolTable" 0 218369) ("Symbol" 0 210178) ("Switch" 0 210115) ("SupFractionFactorizer" 0 210100) ("SuchThat" 0 210020) ("SubSpaceComponentProperty" 0 209926) ("SubSpace" 0 209900) ("SubResultantPackage" 0 209795) ("StringAggregate&" 0 NIL) ("String" 0 198526) ("StreamTranscendentalFunctionsNonCommutative" 0 198490) ("StreamTranscendentalFunctions" 0 198277) ("StreamTaylorSeriesOperations" 0 197848) ("StreamInfiniteProduct" 0 197782) ("StreamFunctions3" 0 197589) ("StreamFunctions2" 0 197086) ("StreamFunctions1" 0 197048) ("StreamAggregate&" 0 NIL) ("Stream" 0 195185) ("StorageEfficientMatrixOperations" 0 195174) ("Stack" 0 195136) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 195003) ("SquareFreeRegularTriangularSetGcdPackage" 0 194876) ("SquareFreeRegularTriangularSet" 0 194779) ("SquareFreeRegularSetDecompositionPackage" 0 194744) ("SquareFreeQuasiComponentPackage" 0 194567) ("SplittingTree" 0 194540) ("SplittingNode" 0 194497) ("SparseUnivariateTaylorSeries" 0 194431) ("SparseUnivariateSkewPolynomial" 0 194365) ("SparseUnivariatePolynomialFunctions2" 0 193851) ("SparseUnivariatePolynomialExpressions" 0 193817) ("SparseUnivariatePolynomial" 0 187090) ("SparseUnivariateLaurentSeries" 0 187056) ("SparseMultivariateTaylorSeries" 0 187039) ("SparseMultivariatePolynomial" 0 185782) ("SortedCache" 0 185753) ("SmithNormalForm" 0 185721) ("SingletonAsOrderedSet" 0 185024) ("SingleInteger" 0 177301) ("SimpleCell" 0 177249) ("SimpleAlgebraicExtension" 0 177118) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 176680) ("SequentialDifferentialVariable" 0 176643) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 176528) ("SegmentBindingFunctions2" 0 176486) ("SegmentBinding" 0 176119) ("Segment" 0 175034) ("ScriptFormulaFormat" 0 175009) ("SExpressionOf" 0 174993) ("SExpression" 0 174764) ("RoutinesTable" 0 174173) ("RootsFindingPackage" 0 174037) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 174021) ("RewriteRule" 0 173976) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 173950) ("Result" 0 172879) ("RepeatedSquaring" 0 172638) ("RepeatedDoubling" 0 172455) ("RegularTriangularSetGcdPackage" 0 172397) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 172380) ("RegularSetDecompositionPackage" 0 172355) ("RegularChain" 0 172300) ("Reference" 0 171917) ("ReductionOfOrder" 0 171884) ("ReduceLODE" 0 171862) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 171852) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 171772) ("RealSolvePackage" 0 171744) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 171689) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 171657) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 171567) ("RationalLODE" 0 171428) ("RationalIntegration" 0 171307) ("RationalFunctionSign" 0 171249) ("RationalFunctionIntegration" 0 171215) ("RationalFunctionFactor" 0 171182) ("RationalFunction" 0 171134) ("RationalFactorize" 0 170904) ("RandomNumberSource" 0 170824) ("RadixExpansion" 0 170762) ("RadicalSolvePackage" 0 170740) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 170717) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 170705) ("QueryEquation" 0 170692) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 170679) ("QuasiComponentPackage" 0 170565) ("QuasiAlgebraicSet" 0 170542) ("QuadraticForm" 0 170522) ("PushVariables" 0 170495) ("PureAlgebraicIntegration" 0 170418) ("PseudoRemainderSequence" 0 170333) ("PseudoLinearNormalForm" 0 170313) ("PseudoAlgebraicClosureOfRationalNumber" 0 170196) ("PseudoAlgebraicClosureOfFiniteField" 0 169925) ("ProjectiveSpace" 0 169905) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 169792) ("ProjectivePlane" 0 169687) ("ProjectiveAlgebraicSetPackage" 0 169594) ("Product" 0 169553) ("PrintPackage" 0 169527) ("PrimitiveRatRicDE" 0 169509) ("PrimitiveRatDE" 0 169456) ("PrimitiveElement" 0 169422) ("PrimitiveArray" 0 168591) ("PrimeField" 0 168498) ("PrecomputedAssociatedEquations" 0 168474) ("PowerSeriesLimitPackage" 0 168382) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 158593) ("PolynomialSquareFree" 0 158569) ("PolynomialSolveByFormulas" 0 158545) ("PolynomialSetUtilitiesPackage" 0 158148) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 158045) ("PolynomialRing" 0 157877) ("PolynomialPackageForCurve" 0 157780) ("PolynomialNumberTheoryFunctions" 0 157726) ("PolynomialInterpolationAlgorithms" 0 157698) ("PolynomialIdeals" 0 157647) ("PolynomialGcdPackage" 0 157571) ("PolynomialFunctions2" 0 157375) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 157312) ("PolynomialFactorizationByRecursion" 0 157288) ("PolynomialDecomposition" 0 157258) ("PolynomialCategoryQuotientFunctions" 0 156859) ("PolynomialCategoryLifting" 0 156224) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 153811) ("PolyGroebner" 0 153765) ("PolToPol" 0 153728) ("PointsOfFiniteOrderTools" 0 153674) ("PointsOfFiniteOrder" 0 153651) ("PointPackage" 0 153510) ("Point" 0 153074) ("PoincareBirkhoffWittLyndonBasis" 0 153037) ("PlotTools" 0 153022) ("Plot3D" 0 152955) ("Plot" 0 152818) ("Plcs" 0 152759) ("PlaneAlgebraicCurvePlot" 0 152715) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 152663) ("Places" 0 152626) ("PiCoercions" 0 152604) ("Pi" 0 152568) ("PermutationGroup" 0 152539) ("Permutation" 0 152444) ("PatternMatchTools" 0 152381) ("PatternMatchSymbol" 0 152370) ("PatternMatchResultFunctions2" 0 152323) ("PatternMatchResult" 0 150905) ("PatternMatchQuotientFieldCategory" 0 150878) ("PatternMatchPushDown" 0 150757) ("PatternMatchPolynomialCategory" 0 150720) ("PatternMatchListResult" 0 150675) ("PatternMatchListAggregate" 0 150658) ("PatternMatchKernel" 0 150615) ("PatternMatchIntegration" 0 150496) ("PatternMatchIntegerNumberSystem" 0 150471) ("PatternMatchFunctionSpace" 0 150456) ("PatternFunctions1" 0 150386) ("Pattern" 0 148853) ("PartitionsAndPermutations" 0 148753) ("Partition" 0 148636) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 148517) ("ParametricSurface" 0 148417) ("ParametricSpaceCurve" 0 148314) ("ParametricPlaneCurve" 0 148211) ("ParadoxicalCombinatorsForStreams" 0 148010) ("Palette" 0 147808) ("PackageForPoly" 0 147501) ("PAdicRationalConstructor" 0 147459) ("PAdicInteger" 0 147441) ("OutputPackage" 0 147071) ("OutputForm" 0 137224) ("OrderlyDifferentialVariable" 0 137118) ("OrderlyDifferentialPolynomial" 0 137085) ("OrderedVariableList" 0 136532) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 136380) ("OrderedCompletionFunctions2" 0 136309) ("OrderedCompletion" 0 135526) ("OrdSetInts" 0 135492) ("OpenMathPackage" 0 135466) ("OpenMathErrorKind" 0 135448) ("OpenMathEncoding" 0 135270) ("OpenMathDevice" 0 135088) ("OpenMathConnection" 0 135062) ("OnePointCompletionFunctions2" 0 135029) ("OnePointCompletion" 0 134216) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 134147) ("OctonionCategory&" 0 NIL) ("ODETools" 0 134099) ("ODEIntensityFunctionsTable" 0 134036) ("ODEIntegration" 0 133927) ("NumericalPDEProblem" 0 133884) ("NumericalOptimizationProblem" 0 133828) ("NumericalODEProblem" 0 133784) ("NumericalIntegrationProblem" 0 133721) ("NumericTubePlot" 0 133675) ("NumericRealEigenPackage" 0 133654) ("Numeric" 0 133615) ("NumberTheoreticPolynomialFunctions" 0 133585) ("NumberFormats" 0 133555) ("NormalizationPackage" 0 133382) ("NoneFunctions1" 0 133347) ("None" 0 133046) ("NonNegativeInteger" 0 117109) ("NonLinearSolvePackage" 0 117091) ("NonLinearFirstOrderODESolver" 0 117059) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 117041) ("NewtonInterpolation" 0 117031) ("NewSparseUnivariatePolynomialFunctions2" 0 116995) ("NewSparseUnivariatePolynomial" 0 116917) ("NewSparseMultivariatePolynomial" 0 116805) ("NeitherSparseOrDensePowerSeries" 0 116718) ("NagPartialDifferentialEquationsPackage" 0 116699) ("NagOrdinaryDifferentialEquationsPackage" 0 116629) ("NagOptimisationPackage" 0 116473) ("NagIntegrationPackage" 0 116301) ("NagEigenPackage" 0 116280) ("NPCoef" 0 116256) ("NAGLinkSupportPackage" 0 115844) ("MyUnivariatePolynomial" 0 115827) ("MyExpression" 0 115797) ("MultivariateSquareFree" 0 115733) ("MultivariateLifting" 0 115645) ("MultivariateFactorize" 0 115312) ("Multiset" 0 115253) ("MultipleMap" 0 115178) ("MultiVariableCalculusFunctions" 0 115084) ("MultFiniteFactorize" 0 115010) ("MoreSystemCommands" 0 114931) ("MonomialExtensionTools" 0 114812) ("MonoidRing" 0 114787) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 114765) ("ModuleOperator" 0 114752) ("ModuleMonomial" 0 114724) ("Module&" 0 NIL) ("ModularRing" 0 114684) ("ModularHermitianRowReduction" 0 114479) ("ModularDistinctDegreeFactorizer" 0 114422) ("ModMonic" 0 114312) ("MeshCreationRoutinesForThreeDimensions" 0 114266) ("MergeThing" 0 114253) ("MatrixLinearAlgebraFunctions" 0 114226) ("MatrixCommonDenominator" 0 114116) ("MatrixCategoryFunctions2" 0 113735) ("MatrixCategory&" 0 NIL) ("Matrix" 0 108851) ("MappingPackageInternalHacks3" 0 108831) ("MappingPackageInternalHacks2" 0 108811) ("MappingPackageInternalHacks1" 0 108791) ("MappingPackage1" 0 108697) ("MakeUnaryCompiledFunction" 0 108637) ("MakeFunction" 0 108578) ("MakeFloatCompiledFunction" 0 108514) ("MakeBinaryCompiledFunction" 0 108466) ("Magma" 0 108435) ("MachineInteger" 0 108401) ("MachineFloat" 0 108332) ("MRationalFactorize" 0 108168) ("MPolyCatRationalFunctionFactorizer" 0 108058) ("MPolyCatPolyFactorizer" 0 108021) ("MPolyCatFunctions3" 0 108008) ("MPolyCatFunctions2" 0 107921) ("LyndonWord" 0 107834) ("Logic&" 0 NIL) ("Localize" 0 107817) ("LocalParametrizationOfSimplePointPackage" 0 107724) ("LocalAlgebra" 0 107711) ("ListToMap" 0 107660) ("ListMultiDictionary" 0 107628) ("ListMonoidOps" 0 107576) ("ListFunctions2" 0 107136) ("ListAggregate&" 0 NIL) ("List" 0 89330) ("LiouvillianFunction" 0 89289) ("LinesOpPack" 0 89224) ("LinearSystemPolynomialPackage" 0 89201) ("LinearSystemMatrixPackage" 0 88867) ("LinearSystemFromPowerSeriesPackage" 0 88839) ("LinearPolynomialEquationByFractions" 0 88718) ("LinearOrdinaryDifferentialOperatorsOps" 0 88679) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 88646) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 88613) ("LinearOrdinaryDifferentialOperator1" 0 88449) ("LinearOrdinaryDifferentialOperator" 0 88371) ("LinearDependence" 0 88343) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 88306) ("LiePolynomial" 0 88269) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 88237) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 88197) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 88126) ("Kovacic" 0 88093) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 88081) ("KernelFunctions2" 0 88066) ("Kernel" 0 86217) ("IrredPolyOverFiniteField" 0 86177) ("Interval" 0 86130) ("IntersectionDivisorPackage" 0 86086) ("InterpolateFormsPackage" 0 86042) ("InternalRationalUnivariateRepresentationPackage" 0 85968) ("InternalPrintPackage" 0 85860) ("InterfaceGroebnerPackage" 0 85813) ("IntegrationTools" 0 85504) ("IntegrationResultToFunction" 0 85409) ("IntegrationResultRFToFunction" 0 85369) ("IntegrationResultFunctions2" 0 85170) ("IntegrationResult" 0 84798) ("IntegrationFunctionsTable" 0 84743) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 84614) ("IntegralBasisPolynomialTools" 0 84574) ("IntegerSolveLinearPolynomialEquation" 0 84562) ("IntegerRoots" 0 84377) ("IntegerRetractions" 0 84345) ("IntegerPrimesPackage" 0 83913) ("IntegerNumberTheoryFunctions" 0 83812) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 83792) ("IntegerLinearDependence" 0 83753) ("IntegerFactorizationPackage" 0 83629) ("IntegerCombinatoricFunctions" 0 83413) ("IntegerBits" 0 83382) ("Integer" 0 67607) ("InputFormFunctions1" 0 67588) ("InputForm" 0 65327) ("InnerTrigonometricManipulations" 0 65199) ("InnerTaylorSeries" 0 65109) ("InnerTable" 0 65099) ("InnerSparseUnivariatePowerSeries" 0 65002) ("InnerPrimeField" 0 64968) ("InnerPolySum" 0 64944) ("InnerPolySign" 0 64861) ("InnerPAdicInteger" 0 64821) ("InnerNumericFloatSolvePackage" 0 64724) ("InnerNumericEigenPackage" 0 64667) ("InnerNormalBasisFieldFunctions" 0 64619) ("InnerMultFact" 0 64573) ("InnerMatrixQuotientFieldFunctions" 0 64540) ("InnerMatrixLinearAlgebraFunctions" 0 64471) ("InnerIndexedTwoDimensionalArray" 0 64393) ("InnerFreeAbelianMonoid" 0 64352) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 64106) ("InnerAlgebraicNumber" 0 64086) ("InnerAlgFactor" 0 64017) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 63965) ("InfinitlyClosePoint" 0 63891) ("InfiniteTuple" 0 63837) ("InfClsPt" 0 63800) ("IndexedVector" 0 63773) ("IndexedString" 0 63762) ("IndexedOneDimensionalArray" 0 63693) ("IndexedList" 0 63684) ("IndexedFlexibleArray" 0 63597) ("IndexedExponents" 0 63296) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 63275) ("IndexedDirectProductOrderedAbelianMonoid" 0 63227) ("IndexedDirectProductObject" 0 63189) ("IndexedDirectProductAbelianMonoid" 0 63109) ("IndexedDirectProductAbelianGroup" 0 63094) ("IndexedBits" 0 63085) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 63062) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 62993) ("HomogeneousDirectProduct" 0 62912) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62900) ("HashTable" 0 62844) ("HallBasis" 0 62823) ("GuessOptionFunctions0" 0 62813) ("GuessOption" 0 62779) ("GuessFiniteFunctions" 0 62763) ("Guess" 0 62663) ("Group&" 0 NIL) ("GroebnerPackage" 0 62434) ("GroebnerInternalPackage" 0 62307) ("GrayCode" 0 62293) ("GraphicsDefaults" 0 62193) ("GraphImage" 0 62105) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 62062) ("GenusZeroIntegration" 0 62033) ("GeneralizedMultivariateFactorize" 0 61961) ("GeneralTriangularSet" 0 61902) ("GeneralSparseTable" 0 61886) ("GeneralPolynomialSet" 0 61695) ("GeneralPolynomialGcdPackage" 0 61671) ("GeneralPackageForAlgebraicFunctionField" 0 61584) ("GeneralHenselPackage" 0 61498) ("GeneralDistributedMultivariatePolynomial" 0 61413) ("GenUFactorize" 0 61361) ("GenExEuclid" 0 61187) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 61149) ("GaloisGroupPolynomialUtilities" 0 61123) ("GaloisGroupFactorizer" 0 61075) ("GaloisGroupFactorizationUtilities" 0 61032) ("FunctionalSpecialFunction" 0 61017) ("FunctionSpaceUnivariatePolynomialFactor" 0 60918) ("FunctionSpaceToUnivariatePowerSeries" 0 60878) ("FunctionSpacePrimitiveElement" 0 60801) ("FunctionSpaceIntegration" 0 60563) ("FunctionSpaceFunctions2" 0 60479) ("FunctionSpaceComplexIntegration" 0 60450) ("FunctionSpaceAttachPredicates" 0 60403) ("FunctionSpaceAssertions" 0 60336) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 60308) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 60286) ("FreeModule1" 0 60210) ("FreeModule" 0 60105) ("FreeGroup" 0 60075) ("FreeAbelianGroup" 0 60056) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 60038) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 60010) ("FractionalIdeal" 0 59842) ("FractionFreeFastGaussianFractions" 0 59832) ("FractionFreeFastGaussian" 0 59786) ("Fraction" 0 51868) ("FourierComponent" 0 51850) ("FortranType" 0 51560) ("FortranScalarType" 0 51280) ("FortranPackage" 0 51070) ("FortranOutputStackPackage" 0 50825) ("FortranExpression" 0 50660) ("FortranCode" 0 50393) ("FloatingRealPackage" 0 50372) ("FloatingPointSystem&" 0 NIL) ("Float" 0 48518) ("FlexibleArray" 0 48493) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 48459) ("FiniteLinearAggregateFunctions2" 0 48280) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 48199) ("FiniteFieldSolveLinearPolynomialEquation" 0 48168) ("FiniteFieldPolynomialPackage" 0 47966) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47905) ("FiniteFieldFunctions" 0 47752) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47690) ("FiniteFieldExtensionByPolynomial" 0 47605) ("FiniteFieldExtension" 0 47584) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 47523) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 47387) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 47349) ("FiniteAbelianMonoidRing&" 0 NIL) ("Finite&" 0 NIL) ("FileName" 0 46968) ("File" 0 46914) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46805) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46754) ("FactoringUtilities" 0 46666) ("FactoredFunctions2" 0 46471) ("FactoredFunctions" 0 46402) ("FactoredFunctionUtilities" 0 46287) ("Factored" 0 41805) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41776) ("ExpressionSpaceFunctions2" 0 41678) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41655) ("ExpressionFunctions2" 0 41278) ("Expression" 0 39442) ("ExponentialOfUnivariatePuiseuxSeries" 0 39327) ("ExponentialExpansion" 0 39287) ("ExpertSystemToolsPackage2" 0 39249) ("ExpertSystemToolsPackage1" 0 39228) ("ExpertSystemToolsPackage" 0 38737) ("ExpertSystemContinuityPackage" 0 38699) ("Exit" 0 38429) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 38409) ("EuclideanGroebnerBasisPackage" 0 38379) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 38171) ("Equation" 0 34772) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34746) ("ElementaryRischDE" 0 34720) ("ElementaryIntegration" 0 34657) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34617) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34546) ("ElementaryFunctionStructurePackage" 0 34216) ("ElementaryFunctionSign" 0 33854) ("ElementaryFunctionODESolver" 0 33821) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33806) ("EigenPackage" 0 33782) ("DrawOptionFunctions1" 0 33757) ("DrawOptionFunctions0" 0 33553) ("DrawOption" 0 33381) ("DoubleResultantPackage" 0 33358) ("DoubleFloatVector" 0 33336) ("DoubleFloatSpecialFunctions" 0 33320) ("DoubleFloat" 0 31188) ("Divisor" 0 30965) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30560) ("DistinctDegreeFactorize" 0 30241) ("DisplayPackage" 0 30215) ("DiscreteLogarithmPackage" 0 30190) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29628) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29518) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 29445) ("DesingTree" 0 29358) ("DegreeReductionPackage" 0 29334) ("DefiniteIntegrationTools" 0 29254) ("Database" 0 29234) ("DataList" 0 29221) ("CylindricalAlgebraicDecompositionUtilities" 0 29163) ("CyclotomicPolynomialPackage" 0 29115) ("CyclicStreamTools" 0 29081) ("CoordinateSystems" 0 29039) ("ContinuedFraction" 0 28924) ("ConstantLODE" 0 28891) ("ComplexRootPackage" 0 28832) ("ComplexPatternMatch" 0 28811) ("ComplexPattern" 0 28790) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28769) ("ComplexFunctions2" 0 28737) ("ComplexFactorization" 0 28669) ("ComplexDoubleFloatVector" 0 28640) ("ComplexCategory&" 0 NIL) ("Complex" 0 28054) ("CommuteUnivariatePolynomialCategory" 0 27907) ("Commutator" 0 27886) ("CommonOperators" 0 27733) ("CommonDenominator" 0 27599) ("CombinatorialFunction" 0 27584) ("Color" 0 27485) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 27421) ("ChineseRemainderToolsForIntegralBases" 0 27381) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 27359) ("CharacterClass" 0 27286) ("Character" 0 26964) ("ChangeOfVariable" 0 26864) ("Cell" 0 26819) ("CartesianTensor" 0 26789) ("CardinalNumber" 0 26072) ("BrillhartTests" 0 26046) ("BoundIntegerRoots" 0 26012) ("Boolean" 0 7575) ("BlowUpPackage" 0 7553) ("Bits" 0 7526) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7465) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicStochasticDifferential" 0 7438) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
+(("e04ucfAnnaType" 0 237643) ("e04nafAnnaType" 0 237606) ("e04mbfAnnaType" 0 237569) ("e04jafAnnaType" 0 237532) ("e04gcfAnnaType" 0 237495) ("e04fdfAnnaType" 0 237458) ("e04dgfAnnaType" 0 237421) ("e04AgentsPackage" 0 237282) ("d03eefAnnaType" 0 237239) ("d03AgentsPackage" 0 237220) ("d02ejfAnnaType" 0 237176) ("d02cjfAnnaType" 0 237132) ("d02bhfAnnaType" 0 237088) ("d02bbfAnnaType" 0 237044) ("d02AgentsPackage" 0 236974) ("d01gbfAnnaType" 0 236938) ("d01fcfAnnaType" 0 236902) ("d01asfAnnaType" 0 236866) ("d01aqfAnnaType" 0 236830) ("d01apfAnnaType" 0 236794) ("d01anfAnnaType" 0 236758) ("d01amfAnnaType" 0 236722) ("d01alfAnnaType" 0 236686) ("d01akfAnnaType" 0 236650) ("d01ajfAnnaType" 0 236614) ("d01WeightsPackage" 0 236561) ("d01TransformFunctionType" 0 236525) ("d01AgentsPackage" 0 236272) ("XRecursivePolynomial" 0 236223) ("XPolynomialRing" 0 236196) ("XPBWPolynomial" 0 236176) ("XDistributedPolynomial" 0 236086) ("WildFunctionFieldIntegralBasis" 0 236046) ("WeightedPolynomials" 0 236014) ("Void" 0 231607) ("ViewportPackage" 0 231519) ("ViewDefaultsPackage" 0 231307) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 230998) ("VectorCategory&" 0 NIL) ("Vector" 0 225882) ("Variable" 0 225507) ("UserDefinedPartialOrdering" 0 225445) ("UniversalSegmentFunctions2" 0 225411) ("UniversalSegment" 0 224545) ("UnivariateTaylorSeriesFunctions2" 0 224507) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 224378) ("UnivariateTaylorSeries" 0 224217) ("UnivariateSkewPolynomialCategoryOps" 0 224182) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 224119) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 224059) ("UnivariatePuiseuxSeries" 0 223838) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 223719) ("UnivariatePolynomialDivisionPackage" 0 223674) ("UnivariatePolynomialDecompositionPackage" 0 223648) ("UnivariatePolynomialCommonDenominator" 0 223435) ("UnivariatePolynomialCategoryFunctions2" 0 222311) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 222002) ("UnivariateLaurentSeriesFunctions2" 0 221964) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 221936) ("UnivariateLaurentSeries" 0 221836) ("UnivariateFormalPowerSeriesFunctions" 0 221826) ("UnivariateFormalPowerSeries" 0 221738) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("U8Vector" 0 221725) ("U32Vector" 0 221679) ("U16Vector" 0 221665) ("TwoFactorize" 0 221612) ("TwoDimensionalViewport" 0 221439) ("TwoDimensionalPlotClipping" 0 221393) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 221377) ("TubePlotTools" 0 221336) ("TubePlot" 0 221251) ("TrigonometricManipulations" 0 221066) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 220876) ("Tree" 0 220834) ("TranscendentalRischDESystem" 0 220806) ("TranscendentalRischDE" 0 220762) ("TranscendentalManipulations" 0 220646) ("TranscendentalIntegration" 0 220578) ("TranscendentalHermiteIntegration" 0 220548) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 220526) ("TopLevelDrawFunctionsForCompiledFunctions" 0 220500) ("TopLevelDrawFunctions" 0 220488) ("ToolsForSign" 0 220381) ("ThreeSpace" 0 220129) ("ThreeDimensionalViewport" 0 220002) ("ThreeDimensionalMatrix" 0 219959) ("TheSymbolTable" 0 219909) ("TextFile" 0 219857) ("TexFormat" 0 219842) ("TemplateUtilities" 0 219822) ("TaylorSolve" 0 219802) ("TaylorSeries" 0 219775) ("TangentExpansions" 0 219736) ("TabulatedComputationPackage" 0 219600) ("Tableau" 0 219580) ("TableAggregate&" 0 NIL) ("Table" 0 218925) ("SystemSolvePackage" 0 218820) ("SystemODESolver" 0 218798) ("SymmetricPolynomial" 0 218752) ("SymmetricGroupCombinatoricFunctions" 0 218703) ("SymmetricFunctions" 0 218681) ("SymbolTable" 0 218402) ("Symbol" 0 210211) ("Switch" 0 210148) ("SupFractionFactorizer" 0 210133) ("SuchThat" 0 210053) ("SubSpaceComponentProperty" 0 209959) ("SubSpace" 0 209933) ("SubResultantPackage" 0 209828) ("StringAggregate&" 0 NIL) ("String" 0 198548) ("StreamTranscendentalFunctionsNonCommutative" 0 198512) ("StreamTranscendentalFunctions" 0 198299) ("StreamTaylorSeriesOperations" 0 197870) ("StreamInfiniteProduct" 0 197804) ("StreamFunctions3" 0 197611) ("StreamFunctions2" 0 197108) ("StreamFunctions1" 0 197070) ("StreamAggregate&" 0 NIL) ("Stream" 0 195207) ("StorageEfficientMatrixOperations" 0 195196) ("Stack" 0 195158) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 195025) ("SquareFreeRegularTriangularSetGcdPackage" 0 194898) ("SquareFreeRegularTriangularSet" 0 194801) ("SquareFreeRegularSetDecompositionPackage" 0 194766) ("SquareFreeQuasiComponentPackage" 0 194589) ("SplittingTree" 0 194562) ("SplittingNode" 0 194519) ("SparseUnivariateTaylorSeries" 0 194453) ("SparseUnivariateSkewPolynomial" 0 194387) ("SparseUnivariatePolynomialFunctions2" 0 193873) ("SparseUnivariatePolynomialExpressions" 0 193839) ("SparseUnivariatePolynomial" 0 187112) ("SparseUnivariateLaurentSeries" 0 187078) ("SparseMultivariateTaylorSeries" 0 187061) ("SparseMultivariatePolynomial" 0 185804) ("SortedCache" 0 185775) ("SmithNormalForm" 0 185743) ("SingletonAsOrderedSet" 0 185046) ("SingleInteger" 0 177323) ("SimpleCell" 0 177271) ("SimpleAlgebraicExtension" 0 177140) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 176702) ("SequentialDifferentialVariable" 0 176665) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 176550) ("SegmentBindingFunctions2" 0 176508) ("SegmentBinding" 0 176141) ("Segment" 0 175056) ("ScriptFormulaFormat" 0 175031) ("SExpressionOf" 0 175015) ("SExpression" 0 174786) ("RoutinesTable" 0 174195) ("RootsFindingPackage" 0 174059) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 174043) ("RewriteRule" 0 173998) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 173972) ("Result" 0 172901) ("RepeatedSquaring" 0 172660) ("RepeatedDoubling" 0 172477) ("RegularTriangularSetGcdPackage" 0 172419) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 172402) ("RegularSetDecompositionPackage" 0 172377) ("RegularChain" 0 172322) ("Reference" 0 171939) ("ReductionOfOrder" 0 171906) ("ReduceLODE" 0 171884) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 171874) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 171794) ("RealSolvePackage" 0 171766) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 171711) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 171679) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 171589) ("RationalLODE" 0 171450) ("RationalIntegration" 0 171329) ("RationalFunctionSign" 0 171271) ("RationalFunctionIntegration" 0 171237) ("RationalFunctionFactor" 0 171204) ("RationalFunction" 0 171156) ("RationalFactorize" 0 170926) ("RandomNumberSource" 0 170846) ("RadixExpansion" 0 170784) ("RadicalSolvePackage" 0 170762) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 170739) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 170727) ("QueryEquation" 0 170714) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 170701) ("QuasiComponentPackage" 0 170587) ("QuasiAlgebraicSet" 0 170564) ("QuadraticForm" 0 170544) ("PushVariables" 0 170517) ("PureAlgebraicIntegration" 0 170440) ("PseudoRemainderSequence" 0 170355) ("PseudoLinearNormalForm" 0 170335) ("PseudoAlgebraicClosureOfRationalNumber" 0 170218) ("PseudoAlgebraicClosureOfFiniteField" 0 169947) ("ProjectiveSpace" 0 169927) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 169814) ("ProjectivePlane" 0 169709) ("ProjectiveAlgebraicSetPackage" 0 169616) ("Product" 0 169575) ("PrintPackage" 0 169549) ("PrimitiveRatRicDE" 0 169531) ("PrimitiveRatDE" 0 169478) ("PrimitiveElement" 0 169444) ("PrimitiveArray" 0 168613) ("PrimeField" 0 168520) ("PrecomputedAssociatedEquations" 0 168496) ("PowerSeriesLimitPackage" 0 168404) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 158615) ("PolynomialSquareFree" 0 158591) ("PolynomialSolveByFormulas" 0 158567) ("PolynomialSetUtilitiesPackage" 0 158170) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 158067) ("PolynomialRing" 0 157899) ("PolynomialPackageForCurve" 0 157802) ("PolynomialNumberTheoryFunctions" 0 157748) ("PolynomialInterpolationAlgorithms" 0 157720) ("PolynomialIdeals" 0 157669) ("PolynomialGcdPackage" 0 157593) ("PolynomialFunctions2" 0 157397) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 157334) ("PolynomialFactorizationByRecursion" 0 157310) ("PolynomialDecomposition" 0 157280) ("PolynomialCategoryQuotientFunctions" 0 156881) ("PolynomialCategoryLifting" 0 156246) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 153833) ("PolyGroebner" 0 153787) ("PolToPol" 0 153750) ("PointsOfFiniteOrderTools" 0 153696) ("PointsOfFiniteOrder" 0 153673) ("PointPackage" 0 153532) ("Point" 0 153096) ("PoincareBirkhoffWittLyndonBasis" 0 153059) ("PlotTools" 0 153044) ("Plot3D" 0 152977) ("Plot" 0 152840) ("Plcs" 0 152781) ("PlaneAlgebraicCurvePlot" 0 152737) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 152685) ("Places" 0 152648) ("PiCoercions" 0 152626) ("Pi" 0 152590) ("PermutationGroup" 0 152561) ("Permutation" 0 152466) ("PatternMatchTools" 0 152403) ("PatternMatchSymbol" 0 152392) ("PatternMatchResultFunctions2" 0 152345) ("PatternMatchResult" 0 150927) ("PatternMatchQuotientFieldCategory" 0 150900) ("PatternMatchPushDown" 0 150779) ("PatternMatchPolynomialCategory" 0 150742) ("PatternMatchListResult" 0 150697) ("PatternMatchListAggregate" 0 150680) ("PatternMatchKernel" 0 150637) ("PatternMatchIntegration" 0 150518) ("PatternMatchIntegerNumberSystem" 0 150493) ("PatternMatchFunctionSpace" 0 150478) ("PatternFunctions1" 0 150408) ("Pattern" 0 148875) ("PartitionsAndPermutations" 0 148775) ("Partition" 0 148658) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 148539) ("ParametricSurface" 0 148439) ("ParametricSpaceCurve" 0 148336) ("ParametricPlaneCurve" 0 148233) ("ParadoxicalCombinatorsForStreams" 0 148032) ("Palette" 0 147830) ("PackageForPoly" 0 147523) ("PAdicRationalConstructor" 0 147481) ("PAdicInteger" 0 147463) ("OutputPackage" 0 147093) ("OutputForm" 0 137246) ("OrderlyDifferentialVariable" 0 137140) ("OrderlyDifferentialPolynomial" 0 137107) ("OrderedVariableList" 0 136554) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 136402) ("OrderedCompletionFunctions2" 0 136331) ("OrderedCompletion" 0 135548) ("OrdSetInts" 0 135514) ("OpenMathPackage" 0 135488) ("OpenMathErrorKind" 0 135470) ("OpenMathEncoding" 0 135292) ("OpenMathDevice" 0 135110) ("OpenMathConnection" 0 135084) ("OnePointCompletionFunctions2" 0 135051) ("OnePointCompletion" 0 134238) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 134169) ("OctonionCategory&" 0 NIL) ("ODETools" 0 134121) ("ODEIntensityFunctionsTable" 0 134058) ("ODEIntegration" 0 133949) ("NumericalPDEProblem" 0 133906) ("NumericalOptimizationProblem" 0 133850) ("NumericalODEProblem" 0 133806) ("NumericalIntegrationProblem" 0 133743) ("NumericTubePlot" 0 133697) ("NumericRealEigenPackage" 0 133676) ("Numeric" 0 133637) ("NumberTheoreticPolynomialFunctions" 0 133607) ("NumberFormats" 0 133577) ("NormalizationPackage" 0 133404) ("NoneFunctions1" 0 133369) ("None" 0 133068) ("NonNegativeInteger" 0 117131) ("NonLinearSolvePackage" 0 117113) ("NonLinearFirstOrderODESolver" 0 117081) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 117063) ("NewtonInterpolation" 0 117053) ("NewSparseUnivariatePolynomialFunctions2" 0 117017) ("NewSparseUnivariatePolynomial" 0 116939) ("NewSparseMultivariatePolynomial" 0 116827) ("NeitherSparseOrDensePowerSeries" 0 116740) ("NagPartialDifferentialEquationsPackage" 0 116721) ("NagOrdinaryDifferentialEquationsPackage" 0 116651) ("NagOptimisationPackage" 0 116495) ("NagIntegrationPackage" 0 116323) ("NagEigenPackage" 0 116302) ("NPCoef" 0 116278) ("NAGLinkSupportPackage" 0 115866) ("MyUnivariatePolynomial" 0 115849) ("MyExpression" 0 115819) ("MultivariateSquareFree" 0 115755) ("MultivariateLifting" 0 115667) ("MultivariateFactorize" 0 115334) ("Multiset" 0 115275) ("MultipleMap" 0 115200) ("MultiVariableCalculusFunctions" 0 115106) ("MultFiniteFactorize" 0 115032) ("MoreSystemCommands" 0 114953) ("MonomialExtensionTools" 0 114834) ("MonoidRing" 0 114809) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 114787) ("ModuleOperator" 0 114774) ("ModuleMonomial" 0 114746) ("Module&" 0 NIL) ("ModularRing" 0 114706) ("ModularHermitianRowReduction" 0 114501) ("ModularDistinctDegreeFactorizer" 0 114444) ("ModMonic" 0 114334) ("MeshCreationRoutinesForThreeDimensions" 0 114288) ("MergeThing" 0 114275) ("MatrixLinearAlgebraFunctions" 0 114248) ("MatrixCommonDenominator" 0 114138) ("MatrixCategoryFunctions2" 0 113757) ("MatrixCategory&" 0 NIL) ("Matrix" 0 108873) ("MappingPackageInternalHacks3" 0 108853) ("MappingPackageInternalHacks2" 0 108833) ("MappingPackageInternalHacks1" 0 108813) ("MappingPackage1" 0 108719) ("MakeUnaryCompiledFunction" 0 108659) ("MakeFunction" 0 108600) ("MakeFloatCompiledFunction" 0 108536) ("MakeBinaryCompiledFunction" 0 108488) ("Magma" 0 108457) ("MachineInteger" 0 108423) ("MachineFloat" 0 108354) ("MRationalFactorize" 0 108190) ("MPolyCatRationalFunctionFactorizer" 0 108080) ("MPolyCatPolyFactorizer" 0 108043) ("MPolyCatFunctions3" 0 108030) ("MPolyCatFunctions2" 0 107943) ("LyndonWord" 0 107856) ("Logic&" 0 NIL) ("Localize" 0 107839) ("LocalParametrizationOfSimplePointPackage" 0 107746) ("LocalAlgebra" 0 107733) ("ListToMap" 0 107682) ("ListMultiDictionary" 0 107650) ("ListMonoidOps" 0 107598) ("ListFunctions2" 0 107158) ("ListAggregate&" 0 NIL) ("List" 0 89341) ("LiouvillianFunction" 0 89300) ("LinesOpPack" 0 89235) ("LinearSystemPolynomialPackage" 0 89212) ("LinearSystemMatrixPackage" 0 88878) ("LinearSystemFromPowerSeriesPackage" 0 88850) ("LinearPolynomialEquationByFractions" 0 88729) ("LinearOrdinaryDifferentialOperatorsOps" 0 88690) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 88657) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 88624) ("LinearOrdinaryDifferentialOperator1" 0 88460) ("LinearOrdinaryDifferentialOperator" 0 88382) ("LinearDependence" 0 88354) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 88317) ("LiePolynomial" 0 88280) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 88248) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 88208) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 88137) ("Kovacic" 0 88104) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 88092) ("KernelFunctions2" 0 88077) ("Kernel" 0 86228) ("IrredPolyOverFiniteField" 0 86188) ("Interval" 0 86141) ("IntersectionDivisorPackage" 0 86097) ("InterpolateFormsPackage" 0 86053) ("InternalRationalUnivariateRepresentationPackage" 0 85979) ("InternalPrintPackage" 0 85871) ("InterfaceGroebnerPackage" 0 85824) ("IntegrationTools" 0 85515) ("IntegrationResultToFunction" 0 85420) ("IntegrationResultRFToFunction" 0 85380) ("IntegrationResultFunctions2" 0 85181) ("IntegrationResult" 0 84809) ("IntegrationFunctionsTable" 0 84754) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 84625) ("IntegralBasisPolynomialTools" 0 84585) ("IntegerSolveLinearPolynomialEquation" 0 84573) ("IntegerRoots" 0 84388) ("IntegerRetractions" 0 84356) ("IntegerPrimesPackage" 0 83924) ("IntegerNumberTheoryFunctions" 0 83823) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 83803) ("IntegerLinearDependence" 0 83764) ("IntegerFactorizationPackage" 0 83640) ("IntegerCombinatoricFunctions" 0 83424) ("IntegerBits" 0 83393) ("Integer" 0 67618) ("InputFormFunctions1" 0 67599) ("InputForm" 0 65338) ("InnerTrigonometricManipulations" 0 65210) ("InnerTaylorSeries" 0 65120) ("InnerTable" 0 65110) ("InnerSparseUnivariatePowerSeries" 0 65013) ("InnerPrimeField" 0 64979) ("InnerPolySum" 0 64955) ("InnerPolySign" 0 64872) ("InnerPAdicInteger" 0 64832) ("InnerNumericFloatSolvePackage" 0 64735) ("InnerNumericEigenPackage" 0 64678) ("InnerNormalBasisFieldFunctions" 0 64630) ("InnerMultFact" 0 64584) ("InnerMatrixQuotientFieldFunctions" 0 64551) ("InnerMatrixLinearAlgebraFunctions" 0 64482) ("InnerIndexedTwoDimensionalArray" 0 64404) ("InnerFreeAbelianMonoid" 0 64363) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 64117) ("InnerAlgebraicNumber" 0 64097) ("InnerAlgFactor" 0 64028) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 63976) ("InfinitlyClosePoint" 0 63902) ("InfiniteTuple" 0 63848) ("InfClsPt" 0 63811) ("IndexedVector" 0 63784) ("IndexedString" 0 63773) ("IndexedOneDimensionalArray" 0 63704) ("IndexedList" 0 63695) ("IndexedFlexibleArray" 0 63608) ("IndexedExponents" 0 63307) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 63286) ("IndexedDirectProductOrderedAbelianMonoid" 0 63238) ("IndexedDirectProductObject" 0 63200) ("IndexedDirectProductAbelianMonoid" 0 63120) ("IndexedDirectProductAbelianGroup" 0 63105) ("IndexedBits" 0 63096) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 63073) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 63004) ("HomogeneousDirectProduct" 0 62923) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62911) ("HashTable" 0 62855) ("HallBasis" 0 62834) ("GuessOptionFunctions0" 0 62824) ("GuessOption" 0 62790) ("GuessFiniteFunctions" 0 62774) ("Guess" 0 62674) ("Group&" 0 NIL) ("GroebnerPackage" 0 62445) ("GroebnerInternalPackage" 0 62318) ("GrayCode" 0 62304) ("GraphicsDefaults" 0 62204) ("GraphImage" 0 62116) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 62073) ("GenusZeroIntegration" 0 62044) ("GeneralizedMultivariateFactorize" 0 61972) ("GeneralTriangularSet" 0 61913) ("GeneralSparseTable" 0 61897) ("GeneralPolynomialSet" 0 61706) ("GeneralPolynomialGcdPackage" 0 61682) ("GeneralPackageForAlgebraicFunctionField" 0 61595) ("GeneralHenselPackage" 0 61509) ("GeneralDistributedMultivariatePolynomial" 0 61424) ("GenUFactorize" 0 61372) ("GenExEuclid" 0 61198) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 61160) ("GaloisGroupPolynomialUtilities" 0 61134) ("GaloisGroupFactorizer" 0 61086) ("GaloisGroupFactorizationUtilities" 0 61043) ("FunctionalSpecialFunction" 0 61028) ("FunctionSpaceUnivariatePolynomialFactor" 0 60929) ("FunctionSpaceToUnivariatePowerSeries" 0 60889) ("FunctionSpacePrimitiveElement" 0 60812) ("FunctionSpaceIntegration" 0 60574) ("FunctionSpaceFunctions2" 0 60490) ("FunctionSpaceComplexIntegration" 0 60461) ("FunctionSpaceAttachPredicates" 0 60414) ("FunctionSpaceAssertions" 0 60347) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 60319) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 60297) ("FreeModule1" 0 60221) ("FreeModule" 0 60116) ("FreeGroup" 0 60086) ("FreeAbelianGroup" 0 60067) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 60049) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 60021) ("FractionalIdeal" 0 59853) ("FractionFreeFastGaussianFractions" 0 59843) ("FractionFreeFastGaussian" 0 59797) ("Fraction" 0 51879) ("FourierComponent" 0 51861) ("FortranType" 0 51571) ("FortranScalarType" 0 51291) ("FortranPackage" 0 51081) ("FortranOutputStackPackage" 0 50836) ("FortranExpression" 0 50671) ("FortranCode" 0 50404) ("FloatingRealPackage" 0 50383) ("FloatingPointSystem&" 0 NIL) ("Float" 0 48529) ("FlexibleArray" 0 48504) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 48470) ("FiniteLinearAggregateFunctions2" 0 48291) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 48210) ("FiniteFieldSolveLinearPolynomialEquation" 0 48179) ("FiniteFieldPolynomialPackage" 0 47977) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47916) ("FiniteFieldFunctions" 0 47763) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47701) ("FiniteFieldExtensionByPolynomial" 0 47616) ("FiniteFieldExtension" 0 47595) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 47534) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 47398) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 47360) ("FiniteAbelianMonoidRing&" 0 NIL) ("Finite&" 0 NIL) ("FileName" 0 46968) ("File" 0 46914) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46805) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46754) ("FactoringUtilities" 0 46666) ("FactoredFunctions2" 0 46471) ("FactoredFunctions" 0 46402) ("FactoredFunctionUtilities" 0 46287) ("Factored" 0 41805) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41776) ("ExpressionSpaceFunctions2" 0 41678) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41655) ("ExpressionFunctions2" 0 41278) ("Expression" 0 39442) ("ExponentialOfUnivariatePuiseuxSeries" 0 39327) ("ExponentialExpansion" 0 39287) ("ExpertSystemToolsPackage2" 0 39249) ("ExpertSystemToolsPackage1" 0 39228) ("ExpertSystemToolsPackage" 0 38737) ("ExpertSystemContinuityPackage" 0 38699) ("Exit" 0 38429) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 38409) ("EuclideanGroebnerBasisPackage" 0 38379) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 38171) ("Equation" 0 34772) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34746) ("ElementaryRischDE" 0 34720) ("ElementaryIntegration" 0 34657) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34617) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34546) ("ElementaryFunctionStructurePackage" 0 34216) ("ElementaryFunctionSign" 0 33854) ("ElementaryFunctionODESolver" 0 33821) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33806) ("EigenPackage" 0 33782) ("DrawOptionFunctions1" 0 33757) ("DrawOptionFunctions0" 0 33553) ("DrawOption" 0 33381) ("DoubleResultantPackage" 0 33358) ("DoubleFloatVector" 0 33336) ("DoubleFloatSpecialFunctions" 0 33320) ("DoubleFloat" 0 31188) ("Divisor" 0 30965) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30560) ("DistinctDegreeFactorize" 0 30241) ("DisplayPackage" 0 30215) ("DiscreteLogarithmPackage" 0 30190) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29628) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29518) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 29445) ("DesingTree" 0 29358) ("DegreeReductionPackage" 0 29334) ("DefiniteIntegrationTools" 0 29254) ("Database" 0 29234) ("DataList" 0 29221) ("CylindricalAlgebraicDecompositionUtilities" 0 29163) ("CyclotomicPolynomialPackage" 0 29115) ("CyclicStreamTools" 0 29081) ("CoordinateSystems" 0 29039) ("ContinuedFraction" 0 28924) ("ConstantLODE" 0 28891) ("ComplexRootPackage" 0 28832) ("ComplexPatternMatch" 0 28811) ("ComplexPattern" 0 28790) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28769) ("ComplexFunctions2" 0 28737) ("ComplexFactorization" 0 28669) ("ComplexDoubleFloatVector" 0 28640) ("ComplexCategory&" 0 NIL) ("Complex" 0 28054) ("CommuteUnivariatePolynomialCategory" 0 27907) ("Commutator" 0 27886) ("CommonOperators" 0 27733) ("CommonDenominator" 0 27599) ("CombinatorialFunction" 0 27584) ("Color" 0 27485) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 27421) ("ChineseRemainderToolsForIntegralBases" 0 27381) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 27359) ("CharacterClass" 0 27286) ("Character" 0 26964) ("ChangeOfVariable" 0 26864) ("Cell" 0 26819) ("CartesianTensor" 0 26789) ("CardinalNumber" 0 26072) ("BrillhartTests" 0 26046) ("BoundIntegerRoots" 0 26012) ("Boolean" 0 7575) ("BlowUpPackage" 0 7553) ("Bits" 0 7526) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7465) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicStochasticDifferential" 0 7438) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
